/**
 * 查询信用账户资产
 */
define(function(require, exports, module){ 
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		layerUtils = require("layerUtils"),
		_pageId = "#account_netLogin";
	var mobileService = require("mobileService");
	var external = require("external");
	var platform = require("gconfig").platform;
	/* 私有业务模块的全局变量 end */
	
	function init()
	{
		var param = {
                "funcNo": "60021",
                "navTitle": "开通港股通"
            };
            external.callMessage(param);
		cleanPageElement();
	}
	
	function bindPageEvent()
	{
		appUtils.bindEvent($(_pageId+" .ct_btn"),function(){
			var fund_account = $(_pageId+" .fund_account").val(),   //信用账号
			tradepwd = $(_pageId+" .tradepwd").val(),  //交易密码
			user_id = appUtils.getSStorageInfo("user_id");  //用户id
//			param = {
//				"user_id" : user_id,
//				"fund_account" : fund_account,
//				"password" : tradepwd
//			};
//			//查询信用账户资金
//			service.loginNetAccount(param,function(data){
//				var error_no = data.error_no,
//					error_info = data.error_info,
//					result = data.results;
//				if(error_no == "0" && result.length != 0){
//					var net_asset = result[0].net_asset;
//					appUtils.setSStorageInfo("net_asset",net_asset);
//					appUtils.pageInit("account/netLogin","account/netInfo",{});
//				}else{
//					layerUtils.iAlert(error_info,-1);
//				}
//			});
			var param = {
					"user_id" : user_id,
					"fundid" : fund_account,
					"password" : tradepwd	
			};
			mobileService.getNetInfo(param, function(data){
				console.log(JSON.stringify(data));
				var error_no = data.error_no,
				error_info = data.error_info,
				result = data.results;
				if(error_no == "0" && result.length != 0){
					//信用资产
					var net_asset = parseInt(result[0].account_balance) + parseInt(result[0].stkvalue);
					appUtils.setSStorageInfo("net_asset",net_asset);
					appUtils.pageInit("account/netLogin","account/netInfo",{});
				} else {
					layerUtils.iAlert(error_info,-1);
					return false;
				}
			});
		});
		
		//绑定返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
		
		//绑定删除已经输入的电话号码
		appUtils.bindEvent($(_pageId + " .txt_close"), function(){
			$(_pageId+" .fund_account").attr("value","");
		});
		
		//绑定home键 跳转到主界面
		appUtils.bindEvent($(_pageId+" .icon_home"), function(){
			var param = {
                    "funcNo": "50114",
                    "moduleName": "open"
                };
                external.callMessage(param);
		});
	}
	
	function destroy()
	{
		mobileService.destroy();
	}	
	/* 清理界面元素*/
	function cleanPageElement()
	{
		$(_pageId+" .fund_account").attr("value","");
        $(_pageId+" .tradepwd").attr("value","");
	}
	
	var netLogin = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = netLogin;
});
