/**
 * 风险测评
 */
define(function(require,exports,module){
    /* 私有业务模块的全局变量 begin */
    var appUtils = require("appUtils"),
        global = require("gconfig").global,
        gconfig = require("gconfig"),
        layerUtils = require("layerUtils"),
        Map = require("map"),
        fristMap = "",
        _pageId = "#account_riskAssessment ";
    var mobileService = require("mobileService");
    var external = require("external");
    /* 私有业务模块的全局变量 end */    /*start by 2017-06-10 适当性*/
    var questionnaire_title="",//问卷题目
        questionnaire_options="",//问卷选项
        choose_answer="";//客户选择的答案
    /*end by 2017-06-10 适当性 */    var platform = gconfig.platform;    
	function init()
    {
		var param = {
                "funcNo": "60021",
                "navTitle": "风险测评"
            };
            external.callMessage(param);
        fristMap = new Map();
        getRiskAssessQuestions();  // 获取问卷答题
        
      //获取之前风测结果方法
		getRiskInfo();
    }    function bindPageEvent()
    {
        /* 提交答题  */
        appUtils.preBindEvent($(document),_pageId+" .ct_btn",function(){
            var keys = fristMap.keys();
            postRiskAssessmentData(keys);  // 提交答题
        });        /* 绑定返回事件 */
        appUtils.bindEvent($(_pageId+" .icon_back"),function(){
            appUtils.pageBack();
        });        //绑定home键 跳转到主界面
        appUtils.bindEvent($(_pageId+" .icon_home"), function(){
        	var param = {
                    "funcNo": "50114",
                    "moduleName": "open"
                };
                external.callMessage(param);
        });
    }    function destroy()
    {
        mobileService.destroy();
    }    /* 获取风险测评题库 */
    function getRiskAssessQuestions()
    {
        // 查询风险评测
        var userid = appUtils.getSStorageInfo("user_id");
        var queryTestParam = {
            "user_id":userid,
            "fundid":appUtils.getSStorageInfo("zqAccount")
        };
        mobileService.getSurveyQuestionFromThird(queryTestParam,function(data){
            var errorNo = data.error_no;
            var errorInfo = data.error_info;
            if(data.results != "" && data.results != undefined){
                if(errorNo==0 && data.results.length != 0)  // 调用成功,跳转到风险测评页面
                {
                    var results = data.results;
                    var questionHtml = "";
                    $(_pageId+" .test_main").html("");
                    for(var i =0; i<results.length; i++)  // 先遍历
                    {
                        var oneEle = results[i];
                        var queid = oneEle.que_id;  // que_id	题目编号
                        var type = oneEle.type;  // type	问题类型（0：单选，1：多选）
                        var qname = oneEle.q_name;  // q_name	题目描述
                        var str = type+"-"+queid+"-"+qname;
                        var secondMap = null;
                        if(!fristMap.containsKey(str))  // 若map中没有对应的问题号，则存入问题号
                        {
                            secondMap = new Map();
                            secondMap.put(oneEle.ans_id,oneEle);
                            fristMap.put(str, secondMap);	  // fristMap每一个Key对应一个问题
                        }
                        else
                        {
                            fristMap.get(str).put(oneEle.ans_id,oneEle);
                        }
                    }
                    var keys = fristMap.keys();
                    for(var j=0; j<keys.length; j++)
                    {
                        var oneData  = fristMap.get(keys[j]); // 取出一个问题
                        paramRiskAccessElement(oneData, keys[j], j + 1);//start by 2017-06-16 dmm 获取适当问卷题目、问卷选项 用于留痕入参
                        questionHtml += createRiskAccessElement(oneData,keys[j],j+1);
                    }
                    $(_pageId+" .test_main").html(questionHtml);
                    // 当题目过多，则设置下一步按钮悬浮底部
                    if($(document.body).height()<$(_pageId).height())
                    {
                        $(_pageId+" .fix_bot").css("position","fixed");
                    }
                    else
                    {
                        $(_pageId+" .fix_bot").css("position","absolute");
                    }
                    // 为选择按钮添加事件
                    appUtils.bindEvent($(_pageId+" .test_main .icon_radio"),function(){
                        var quetype = $(this).attr("que-type");	 // 问题类型0：单选，1：多选
                        var queid   = $(this).attr("id");
                        if(quetype == 1)
                        {
                            $(this).toggleClass("checked");
                        }
                        else
                        {
                            if($(this).hasClass("checked"))
                            {
                                $(this).parent().parent().prev("h5").css("color","red");  // 未选择答案，则将该题标记为红色
                                $(this).removeClass("checked");
                            }
                            else
                            {
                                $(_pageId+" .test_main #"+queid).removeClass("checked");
                                $(this).parent().parent().prev("h5").css("color","#666666");	// 题目红色标记恢复黑色
                                $(this).addClass("checked");
                            }
                        }
                    });
                    // setDefaultAnswer();  // 设置默认的答案，默认是最低风险承受能力
                }
                else
                {
                    layerUtils.iMsg("-1",errorInfo);
                }
            }else{
                layerUtils.iAlert("抱歉，没有查询到风险测评题目！",-1,function(){
                    appUtils.pageBack();
                });
            }        },true,true,handleTimeout);
    }    /*start by 2017-06-10 dmm 适当性风测*/
    //获取适当问卷题目、问卷选项 用于留痕入参
    function paramRiskAccessElement(oneData, key, index) {
        var type = key.split("-")[0];
        var queid = key.split("-")[1];
        var qname = key.split("-")[2];
        var oneDatakeys = oneData.keys();
        var str = "(多选)";
        if(type == 0){str = "(单选)";}
        questionnaire_title += index + "." + qname + str+"|";//问卷题目
        //答案选项处理
        var answerParam = "";
        for(var i = 0; i < oneDatakeys.length; i++) // 先遍历确定有多少题
        {
            var answerElem = oneData.get(oneDatakeys[i]);
            bgNum = changQuestionBgNum(i);
            var answer = bgNum + "、"+ answerElem.a_name+"&";
            answerParam += answer;
        }
        questionnaire_options += index + "、" + answerParam +"|";//问卷选项
    }
    /*end by 2017-06-10  dmm适当性风测*/    /* 处理请求超时 */
    function handleTimeout()
    {
        layerUtils.iConfirm("请求超时，是否重新加载？",function(){
            getRiskAssessQuestions();  // 再次风险测评题目
        });
    }    /* 设置问题的默认答案 */
    function setDefaultAnswer()
    {
        var questionList = $(_pageId+" .test_main .input_list");  // 获取所有问题的集合
        // 处理每一个问题
        questionList.each(function(){
            var markArray = new Array();
            for(var i=0;i<$(this).children("li").length;i++)
            {
                markArray.push(Number($(this).children("li").eq(i).children("a").attr("ans-mark")));
            }
            markArray.sort();  // js 的 sort 方法是在原数组的基础上进行排序
            $(this).children("li").children("a[ans-mark='"+markArray[0]+"']").addClass("checked");
        });
    }    /**
     * 创建一个问题项目
     * @param oneData 一个问题结果集
     * @param key 结构type+"-"+queid+"-"+qname;
     */
    function createRiskAccessElement(oneData,key,index)
    {
        var type  = key.split("-")[0];
        var queid = key.split("-")[1];
        var qname = key.split("-")[2];
        var oneDatakeys = oneData.keys();
        var itemHtml = "";
        var itemHead = "";
        var itemElem = "";
        var str = "(多选)";
        // 问题标号
        var bgNum ="A";
        for(var i =0; i<oneDatakeys.length; i++)  // 先遍历确定有多少题
        {
            var oneElem = oneData.get(oneDatakeys[i]);
            var mark  = oneElem.mark;  // 答案分值
            var aname = oneElem.a_name;  // 答案描述
            var ansid = oneElem.ans_id;
            if(type==0) str ="(单选)";
            bgNum = changQuestionBgNum(i);
            itemElem += "<li><a href=\"javascript:void(0);\" class=\"icon_radio\" que-type =\""+type+"\" ans-id=\""+ansid+"\" ans-mark=\""+mark+"\" id =\""+queid+"\">"+bgNum+". "+aname+"</a></li>";
        }
        itemHead = "<h5>"+index+". "+qname+str+"</h5>";
        itemHtml = "<div class=\"test_box\">"+itemHead+"<div class=\"input_list\" id=\""+(index+"-"+queid)+"\">"+itemElem+"</div></div>";
        return itemHtml;
    }    /* 提交风险评测答案 */
	function postRiskAssessmentData(keys)
	{
		var oneRiskAssessData ="";	// 格式如：1_2_7|2_7_3|  问题ID_答案ID_答案分值
		var countNoChoice = 0; // 没有选择问题数量
		var numNoChoice  ="";  // 没有选择问题题号
		var array = new Map();
//		for(var j=0; j<keys.length; j++)
//		{
//			var index = j+1;
//			var queid = keys[j].split("-")[1];
//			var isChoice = false;
//			$(_pageId+" .test_main #"+queid).each(function (){
//				
//				
//				if($(this).hasClass("checked"))
//				{
//					isChoice = true;
//					var ansid = $(this).attr("ans-id");
//					var mark  = $(this).attr("ans-mark");
//					mark = "5";
//					oneRiskAssessData +=(queid+"_"+ansid+"_"+mark+"|");
//				}
//			});
//			if(!isChoice)  // 没有选中 则记录未提交的题目编号
//			{
//				countNoChoice++;
//				numNoChoice +=index+"、";
//			}
//		}
		
		
		for(var j=0; j<keys.length; j++)
		{
			var index = j+1;
			var queid = keys[j].split("-")[1];
			var quetype = keys[j].split("-")[0]; //题目类型 0单选 1多选
			var duoxuanDN ="";
			var isChoice = false;
			$(_pageId+" .test_main #"+queid).each(function (){
				
				
				if($(this).hasClass("checked"))
				{
					isChoice = true;
					var ansid = $(this).attr("ans-id");
					var mark  = $(this).attr("ans-mark");
//					var aname = $(this).attr("aname");//新加
					
					mark = "5";
					oneRiskAssessData +=(queid+"_"+ansid+"_"+mark+"|");
					
					 if(quetype=="0"){
                         choose_answer += (queid + "_" + ansid +"_"+quetype+"|");
                     }else if(quetype=="1"){
                         duoxuanDN +=ansid+"&";
                         choose_answer += (queid + "_" + duoxuanDN +"_"+quetype+"|");
                     }
//                     if("8000"==queid){
//                         service_time +=(aname+"&"); //拟投资期限
//                         console.info("service_time:" + service_time);
//                     }
//                     if("8001"==queid){
//                         service_varieties +=(aname+"&");//投资品种
//                         console.info("service_varieties:" + service_varieties);
//                     }
					 
				}
			});
			if(!isChoice)  // 没有选中 则记录未提交的题目编号
			{
				countNoChoice++;
				numNoChoice +=index+"、";
			}
		}
		
		if(countNoChoice>0)//您的答题尚未完成
		{
			numNoChoice=numNoChoice.substring(0,numNoChoice.length-1); // 去掉最后一个逗号
			layerUtils.iAlert("您的答题尚未完成，未完成题目编号："+numNoChoice);
			return false;
		}
		var userid = appUtils.getSStorageInfo("user_id");
		var submitTestParam ={
			"user_id":userid,
			"subject_type":"1",
			"answerStr":oneRiskAssessData,
			"need_third":"1",
			"question_source":"1",
			"sub_id":"1",
			"fundid":appUtils.getSStorageInfo("zqAccount"),
			"business_code":"ggt",
			"business_id":appUtils.getSStorageInfo("businessId")
		};
		// 提交风险评测答案
		mobileService.submitTestAnswer(submitTestParam,function(data){
			var errorNo = data.error_no;
			var errorInfo = data.error_info;
			console.log("yangrui ,,..."+errorNo);
			if(errorNo==0 && data.results.length != 0)	//调用成功,跳转到风险测评页面
			{
			    var risklevel = data.results[0].risklevel; //风险评测等级
                var subitemname = data.results[0].subitemname; //问卷测评等级对应中文名称
                var riskvalue = data.results[0].riskvalue; //分数
                
                appUtils.setSStorageInfo("riskvalue",riskvalue);
                appUtils.setSStorageInfo("subitemname",subitemname);
                appUtils.setSStorageInfo("risklevel",risklevel);
                
				var param = {
                        "user_id":appUtils.getSStorageInfo("user_id"),
                        "survey_type":"1"
                    };
                        mobileService.xiuGaijuan(param,function(data){
                            console.log("yangrui......."+JSON.stringify(data));
                            var error_no = data.error_no,
                                error_info = data.error_info,
                                result = data.accountInfoList;
                            if(error_no == "0"){
                            	 var risk_param={
                                         "fundaccount":appUtils.getSStorageInfo("zqAccount"),   //资产账户
                                         "name":appUtils.getSStorageInfo("name"),          //用户名称
                                         "user_id":appUtils.getSStorageInfo("user_id"),       //用户编号
                                         "questionnaire_type":"1",   //问卷类型
                                         "questionnaire_name":"fxcp",  //问卷名称
                                         "questionnaire_version":"1",//问卷版本
                                         "pre_test_scores":appUtils.getSStorageInfo("survey_score"),//评测前分数
                                         "post_evaluation_score":appUtils.getSStorageInfo("riskvalue"),//评测后分数
                                         "pre_evaluation_level":appUtils.getSStorageInfo("rating_lvl_name"),//评测前等级
                                         "post_rating":appUtils.getSStorageInfo("risklevel"),  //评测后等级
                                         "questionnaire_title":questionnaire_title,  //问卷题目
                                         "questionnaire_options":questionnaire_options, //问卷选项
                                         "questionnaire_answer":choose_answer, //问卷答案
                                         "questionnaire_expiration_date":"2017-3-29" //到期时间
                                     }
                            	
                            	 mobileService.questionnaireFlow(risk_param,function(data){
                                     if(data.error_no == "0"){
                                         appUtils.pageInit("account/riskAssessment","account/riskInfo",{"remark":riskvalue,"riskdesc":subitemname,"define_value":risklevel});
                                     }else{
                                    	 layerUtils.iMsg("-1",data.error_info);
                                         return false;
                                     }
                                 });
                            	
//                            	appUtils.pageInit("account/riskAssessment","account/riskInfo",{"remark":riskvalue,"riskdesc":subitemname,"define_value":risklevel});
				}else{
                        layerUtils.iAlert(error_info,-1);
                    }
                },true,true,handleTimeout);
			}
			else
			{
				layerUtils.iMsg("-1",errorInfo);
				return false;
			}
		});
	}
    
    /* 改变问题答案 */
    function changQuestionBgNum(num)
    {
        var bgNum ="A";
        switch(num)
        {
            case 0: bgNum = "A"; break;
            case 1: bgNum = "B"; break;
            case 2: bgNum = "C"; break;
            case 3: bgNum = "D"; break;
            case 4: bgNum = "E"; break;
            case 5: bgNum = "F"; break;
            case 6: bgNum = "G"; break;
            default: bgNum ="其它";
        }
        return bgNum;
    }
    
    
    /********新增查询之前等级方法*********/
	function getRiskInfo(){
		var  user_id = appUtils.getSStorageInfo("userInfo",true).user_id;
        var  zj_account=appUtils.getSStorageInfo("zqAccount",true);
        var  param={
            "user_id": user_id,
            "zj_account": zj_account,
            "op_source": "5"
        };        //业务办理查询风险测评结果
        mobileService.ZQaccount(param,function(data){
            if(data.error_no=="0"){
                var result=data.results[0];
                var risk_level=result.risklevel;//风险等级
                var riskvalue=result.riskvalue;//风险分数
                var status=result.status;//风险分数
                var subitemname=result.subitemname;//风险分数
                var update_date=result.update_date;//风险分数
                
                appUtils.setSStorageInfo("survey_score",riskvalue);//评测前分数
                appUtils.setSStorageInfo("rating_lvl_name",risk_level);
        }else{
        		layerUtils.iAlert("-1",data.error_info,function (){
        			appUtils.pageInit("userCenter/fundRisk","userCenter/wd");
            	});
        	}
       });
}    var riskAssessment = {
        "init" : init,
        "bindPageEvent" : bindPageEvent,
        "destroy" : destroy
    };    module.exports = riskAssessment;
});
