/*
 * 风险测评信息
 */
define(function(require, exports, module){ 
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		layerUtils = require("layerUtils"),
		survey_score = "",  //风险等级数字评分
		riskFlag = "",  //1表示满足风险评测等级，2表示不满足
		risklevel = "",//以数字表示的风险等级
		rating_lvl_name = "",  //风险评测等级
		Map = require("map"),
		countProtocol = 0, // 计算签署成功的数量
		protocolArray = new Array(),  // 存放协议签名值
		_pageId = "#account_riskInfo";
	var mobileService = require("mobileService");
	var external = require("external");
	var platform = require("gconfig").platform;
	var common = require("common");
	/* 私有业务模块的全局变量 end */
	
	function init()
	{
		var param = {
                "funcNo": "60021",
                "navTitle": "风险测评信息"
            };
            external.callMessage(param);
		cleanPageElement();
		//初始化处理
		initHandle();
		
		//适当性公用匹配方法
        findRiskInfo();
//        appUtils.clearSStorage("md5");
	}
	
	function bindPageEvent()
	{
		appUtils.bindEvent($(_pageId+" .rule_check span"),function(){	
			 var md5=appUtils.getSStorageInfo("md5");
             if(md5!=null && md5 !=""){
     			$(this).toggleClass("checked"); //  切换勾选样式
             }else{
             	 layerUtils.iAlert("请您先阅读协议内容！",-1);
             	 return false;
             }
		});
		
		
		//绑定确认键
		appUtils.bindEvent($(_pageId+" #confirm"),function(){
			
		 if(!$(_pageId+" .icon_check").hasClass("checked")) {
				layerUtils.iMsg(-1, "您还未签署协议,请先签署协议！");
				return false;
		} 
			
		appUtils.setSStorageInfo("subitemname",rating_lvl_name);
		var param = {
                "user_id":appUtils.getSStorageInfo("user_id"),
                "survey_type":"1"
            };
		mobileService.xiuGaijuan(param,function(data){
                console.log("yangrui......."+JSON.stringify(data));
                var error_no = data.error_no,
                    error_info = data.error_info,
                    result = data.accountInfoList;
		   if(error_no == "0"){ 
			 //适当性验签
				selectSign("1");
//		    appUtils.pageInit("account/riskInfo","account/mainPage",{});
		 }else{
                    layerUtils.iAlert(error_info,-1);
               }
		},true,true);
		});
		
		//绑定重新评测按钮
		appUtils.bindEvent($(_pageId+" #reTest"),function(){
		console.log("yangrui_________");
			if(!$(_pageId+" .icon_check").hasClass("checked")) {
				layerUtils.iMsg(-1, "您还未签署协议,请先签署协议！");
				return false;
			} else {
				//验签
				selectSign("0");
			}
//			appUtils.pageInit("account/riskInfo","account/riskAssessment",{});
		});
		
		//绑定返回按钮
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.setSStorageInfo("subitemname",rating_lvl_name);
			appUtils.pageInit("account/riskInfo","account/mainPage",{});
		});		//绑定重新评测按钮
		appUtils.bindEvent($(_pageId+" #testAgain"),function(){
			if(!$(_pageId+" .icon_check").hasClass("checked")) {
				layerUtils.iMsg(-1, "您还未签署协议,请先签署协议！");
				return false;
			} else {
				//验签
				selectSign("0");
			}
//			appUtils.pageInit("account/riskInfo","account/riskAssessment",{});
		});
		
		//绑定home键 跳转到主界面
		appUtils.bindEvent($(_pageId+" .icon_home"), function(){
			var param = {
                    "funcNo": "50114",
                    "moduleName": "open"
                };
                external.callMessage(param);
		});
	}
	
	function destroy()
	{
		appUtils.clearSStorage("md5");
		mobileService.destroy();
	}	//初始化处理
	function initHandle(){
		var _prePageCode = appUtils.getSStorageInfo("_prePageCode");
		if(_prePageCode == "account/riskAssessment"){
	//		survey_score = appUtils.getPageParam("remark");
	//		rating_lvl_name = appUtils.getPageParam("riskdesc");
			var getSurveyInfo = {
				"user_id":appUtils.getSStorageInfo("user_id"),
				"fundid":appUtils.getSStorageInfo("zqAccount")
			};
			mobileService.getSurveyInfo(getSurveyInfo, function(data){
				var error_no = data.error_no;
				var error_info = data.error_info;
				if(error_no == "0") {
					var result = data.results[0];
					risklevel = result.risklevel;
					rating_lvl_name = result.subitemname;
					survey_score = result.riskvalue;
					switchImg(survey_score);
					$(_pageId+" .test_level dl dt").html(result.riskvalue);
                    $(_pageId+" .test_level dl dd").html(rating_lvl_name);
				} else {
					layerUtils.iMsg("-1",error_info);
					return false;
				}
			});
		} else {
			survey_score = appUtils.getSStorageInfo("riskvalue"); //风险评测分数
			switchImg(survey_score);
        	rating_lvl_name = appUtils.getSStorageInfo("subitemname");  //风险评测等级
        	risklevel = appUtils.getSStorageInfo("risklevel");  //数字风险评测等级
        	
			$(_pageId+" .test_level dl dt").html(survey_score);
            $(_pageId+" .test_level dl dd").html(rating_lvl_name);
		}		var signed_ggtjysm = appUtils.getSStorageInfo("signed_ggtjysm");//是否签署港股通交易声明
		if(parseInt(risklevel) >= 3 &&  parseInt(risklevel)!=13) {
			$(_pageId+" .center").show();
			$(_pageId+" .notice").hide();
			$(_pageId+" #confirm").show();
			$(_pageId+" #reTest").hide();
			riskFlag = "1";
			appUtils.setSStorageInfo("riskFlag",riskFlag);
		}else{
			$(_pageId+" .center").hide();
			$(_pageId+" .notice").show();
			$(_pageId+" #confirm").hide();
			$(_pageId+" #reTest").show();
			$(_pageId+" .notice").html("您好，你的测评等级为"+rating_lvl_name+"，不利于后面综合评分，<a href='javascript:void(0);' id='testAgain'>请重新测评 ></a>");
			if(signed_ggtjysm != "1"){//已经签署过的不需要再签
				riskFlag = "2";
				getSign();
			}
		}
		appUtils.setSStorageInfo("risklevel",risklevel);
	}	function switchImg(survey_score){
		var riskResult_img = $(_pageId+" #riskResult_img");
		if(survey_score != null && survey_score != "" && survey_score != undefined){//去掉小数点
			if(survey_score.indexOf(".") >= 0){
				survey_score = survey_score.split(".")[0];
			}
		}else{
			survey_score = 0;
		}
		//分数进度条显示
		if(survey_score == 0){
			riskResult_img.removeClass().addClass("class0");
		}else if(survey_score <= 20){
			riskResult_img.removeClass().addClass("class01");
		}else if(survey_score <= 40){
			riskResult_img.removeClass().addClass("class02");
		}else if(survey_score <= 60){
			riskResult_img.removeClass().addClass("class03");
		}else if(survey_score <= 80){
			riskResult_img.removeClass().addClass("class04");
		}else if(survey_score <= 100){
			riskResult_img.removeClass().addClass("class05");
		}
	}	//获取协议
	function getSign(){
		var param = {
			"category_englishname":"ggtjysm",
			"category_no":"ggtjysm",
			"econtract_no":""
		};
		mobileService.getSign(param,function(data){
			var error_no = data.error_no,
				error_info = data.error_info,
				result = data.results;
			if(error_no == "0" && result.length != 0){
				fristMap = new Map();
				var results = data.results,
					  allProtocols = "";
				var protocolMap = null;
				for(var i=0;i<results.length;i++)
				{
					protocolMap = new Map();
					protocolMap.put("protocolid",results[i].agree_no);	//协议id
					protocolMap.put("protocolname",results[i].agree_name);	//协议名
					protocolMap.put("summary",results[i].md5_content);	//协议内容MD5,签名摘要信息
					allProtocols += "<li><a href=\"javascript:;\" protocol-id=\""+results[i].agree_no+"\" id=\"protocol0"+i+"\">《"+
						results[i].agree_name+"》</a></li>";
//					// 预绑定查看协议的事件
//					appUtils.preBindEvent($(_pageId+" .rule_list"),"#protocol0"+i,function(e){
//						appUtils.pageInit("account/riskInfo","account/showProtocol",{"protocol_id" : $(this).attr("protocol-id")});
//						e.stopPropagation();
//					});
					var param1 = {
						"agree_no" : protocolMap.get("protocolid"),
						"version":""
					}
					//查询协议内容
					mobileService.getProtocolInfo(param1,function(data){
						if(data.error_no == "0"){
						//	$(_pageId+" .title").append(data.results[0].content);
							layerUtils.iConfirm(data.results[0].content, function(){
								getSignProtocl();
							}, function(){
								riskFlag = "2";
								appUtils.setSStorageInfo("riskFlag",riskFlag);
								//appUtils.pageInit("account/signProtocol","account/mainPage",{});
							}, "确定", "取消");
						}else{
							layerUtils.iAlert(data.error_info,-1);
						}
					});
					fristMap.put(i,protocolMap);
				}
				$(_pageId+" .rule_list").html(allProtocols);
			}else{
				layerUtils.iAlert(error_info,-1);
			}
		},true,true,handleTimeout);
	}	/* 获取签名值 */
	function getSignProtocl()
	{
		var keys = fristMap.keys();  // 协议的数量		layerUtils.iLoading(true);  // 开启等待层。。。
		var oneData  = fristMap.get(keys[countProtocol]); // 取出一个协议
		var protocolid = oneData.get("protocolid"); // 协议ID
		var protocolname = oneData.get("protocolname");  //协议名称
		var summary = oneData.get("summary");  // 协议内容MD5,签名摘要信息
		// 添加值到数组中
		var protocol = {
			"protocol_id" : protocolid,
			"summary" : summary
		}
		protocolArray.push(protocol);
		countProtocol++;
		if(countProtocol < keys.length)  // 通过比较，获取每个协议的签名值
		{
			getSignProtocl();
		}else{
			submitProtocol();  //提交协议
		}
	}	// 提交协议
	function submitProtocol(){
		var signProtocolParam = {
			"user_id" : appUtils.getSStorageInfo("user_id"),
			"jsondata" : JSON.stringify(protocolArray),
			"ipaddr" : "",
			"macaddr" : "",
			"checksign" : "0",
			"trdaccount" : appUtils.getSStorageInfo("sha_account"),
			"sign_source_flag" : "1"
		};
		mobileService.checkSign(signProtocolParam,function(data){
			var error_no = data.error_no,
				error_info = data.error_info;
			if(error_no == "0"){
				var param = {
					"user_id":appUtils.getSStorageInfo("user_id"),
					"survey_type":"64"
				};
				mobileService.xiuGaijuan(param,function(data){
					console.log("yangrui......."+JSON.stringify(data));
					var error_no = data.error_no,
						error_info = data.error_info,
						result = data.accountInfoList;
					if(error_no == "0"){
						riskFlag = "1";
						appUtils.setSStorageInfo("riskFlag",riskFlag);
						appUtils.setSStorageInfo("signed_ggtjysm","1");
						$(_pageId+" #confirm").show();//确认键开启
//						appUtils.pageInit("account/riskInfo","account/mainPage",{});confirm
					}else{
							layerUtils.iAlert(error_info,-1);
						 }
					});			}else{
				protocolArray = new Array();
				layerUtils.iAlert(error_info,-1);
				return false;
			}
		});
	}	/* 处理请求超时 */
	function handleTimeout()
	{
		layerUtils.iConfirm("请求超时，是否重新加载？",function(){
			getSign();  // 再次获取协议
		});
	}
	
	/* 清理界面元素*/
	function cleanPageElement()
	{
//		$(_pageId+" .retry").hide();
		$(_pageId+" .icon_check").removeClass("checked")
		$(_pageId+" .center").hide();
		$(_pageId+" .notice").show();
		$(_pageId+" #confirm").hide();
		$(_pageId+" #reTest").show();
	}
	
	
	
//	//获取协议告知函
//	function getSign(){
//		
//	}
	
	
	  //获取协议
    function getGzhSign(){
    	//清楚原有MD5值
    	appUtils.clearSStorage("agree_content");
        var agree_type ="";
        if(appUtils.getSStorageInfo("state")=="1"){
        	agree_type="gzh"
        }else{
        	agree_type ="";
        }  
        var param = {
            "agree_type":"gzh"
//          "agree_type":agree_type
        };
        mobileService.gzhProtocol(param,function(data){
            var error_no = data.error_no,
                error_info = data.error_info;
            if(error_no == "0"){
                var results = data.results,
                    allProtocols = "";
                //获取相关数据
                if(results[0].id){//ID
                    appUtils.setSStorageInfo("id", results[0].id);
                }
                if(results[0].business_id){//业务ID
                    appUtils.setSStorageInfo("business_id", results[0].business_id);
                }
                if(results[0].business_code){//业务类型
                    appUtils.setSStorageInfo("business_code", results[0].business_code);
                }
                if(results[0].agree_name){//协议名称
                    appUtils.setSStorageInfo("agree_name", results[0].agree_name);
                }
                if(results[0].agree_no){//协议编号
                    appUtils.setSStorageInfo("agree_no", results[0].agree_no);
                }
                if(results[0].agree_version){//协议版本
                    appUtils.setSStorageInfo("agree_version", results[0].agree_version);
                }
                if(results[0].out_date){//过期时间
                    appUtils.setSStorageInfo("out_date", results[0].out_date);
                }
                if(results[0].agree_type){//agree_type
                    appUtils.setSStorageInfo("agree_type", results[0].agree_type);
                }                allProtocols += "<a href=\"javascript:;\" protocol-id=\""+results[0].id+"\" id=\"protocol0\">《"+results[0].agree_name+"》</a>";
                $(_pageId+" #xyShow").html(allProtocols);
                // 预绑定查看协议的事件
                appUtils.preBindEvent($(_pageId+" #xyShow"),"#protocol0",function(e){
                    appUtils.pageInit("account/riskInfo","account/showProtocol",{"protocol_id" : $(this).attr("protocol-id"),"protocol_type" : "gzh"});
                    e.stopPropagation();
                });
                
            }else{
                layerUtils.iAlert(error_info,-1);
            }
        });
    }    //获取签名值
    function selectSign(url){
        var param = {
    		"user_id":appUtils.getSStorageInfo("userInfo").user_id,
            "fundaccount":appUtils.getSStorageInfo("fund_account"),
            "name":appUtils.getSStorageInfo("userInfo").name,
            "type":"1",
            "protocol_name":appUtils.getSStorageInfo("agree_name"),
            "protocol_version":appUtils.getSStorageInfo("agree_version"),
            "signing_status":1,//1为签署   0未签署
//            "signature_channel":global.opSource,//签署渠道
//            "channel_type":global.opSource,//渠道类型
            "signature_channel":1,//签署渠道
            "channel_type":1,//渠道类型
            "channel_version_number":appUtils.getSStorageInfo("agree_version"),//渠道版本号
            "md5":appUtils.getSStorageInfo("md5"),//MD5值
            "protocol_content":appUtils.getSStorageInfo("agree_content"),  //协议内容business_code
            "business_code":"fxcp"  //协议内容business_code
        };
        mobileService.insertSignProtocol(param,function(data){
            if(data.error_no == "0"){
//                   appUtils.pageInit("userCenter/fundRisk","userCenter/wd");
            	if(url=="0"){
        			appUtils.pageInit("account/riskInfo","account/riskAssessment",{});
            	}else if(url=="1"){
            		appUtils.pageInit("account/riskInfo","account/mainPage",{});
            	}
            }else{
            	  layerUtils.iMsg("-1",data.error_info);
                return false;
            }
        });
    }      
    
    //查询匹配信息
    function findRiskInfo(){
      var param = {
           	  "user_id":appUtils.getSStorageInfo("userInfo").user_id,
               "business_code":"fxcp"	
           }
 	  
 	   mobileService.appropriatBusinessInfo(param,function(data){
            if(data.error_no == "0"){
//         	   var result = data.results[0];
//         	   var service_risk =result.service_risk;
//         	   var subitemname =result.subitemname;
//         	   var state =result.state;
//         	   var invest_type =result.invest_type;
//         	   appUtils.setSStorageInfo("service_risk",service_risk);
//         	   appUtils.setSStorageInfo("subitemname",subitemname);
//         	   appUtils.setSStorageInfo("state",state);
//         	   appUtils.setSStorageInfo("invest_type",invest_type);
//         	   
//         	   $(_pageId + " #ping_c").show();
////         	   $(_pageId + " #service_time").html("1-5年");
////         	   $(_pageId + " #service_varieties").html(service_varieties);
         	   
         	   
         	   
         	  var result = data.results[0];
        	   var service_risk =result.service_risk;
        	   var subitemname =result.subitemname;
        	   var state =result.state;
        	   var invest_type =result.invest_type;
        	   var invest_deadline =result.invest_deadline;
        	   appUtils.setSStorageInfo("service_risk",service_risk);
        	   appUtils.setSStorageInfo("subitemname",subitemname);
        	   appUtils.setSStorageInfo("state",state);
        	   appUtils.setSStorageInfo("invest_type",invest_type);
        	   appUtils.setSStorageInfo("invest_deadline",invest_deadline);
        	   if(invest_deadline=="1"){
        		  invest_deadline="0-1年";
        	   }else if(invest_deadline=="2"){
        		  invest_deadline="1-5年";
        	   }else{
        		  invest_deadline="3-5年以上"; 
        	   }
        	   
        	   var varietiesStr=""; 
        	   if(invest_type.indexOf("1") > -1){
        		  varietiesStr += "权益类投资品种";
        	   }
        	   if(invest_type.indexOf("2") > -1){
        		  varietiesStr += "固定收益类投资品种";
        	   }
        	   if(invest_type.indexOf("3") > -1){
       		      varietiesStr += "期货、融资融券";
       	       }
        	   if(invest_type.indexOf("4") > -1){
        		  varietiesStr += "复杂金融产品";
        	   }
        	   if(invest_type.indexOf("5") > -1){
        		  varietiesStr += "其他产品";
      	       }
        	   
        	   $(_pageId + " #service_time").html(invest_deadline);
       	       $(_pageId + " #service_varieties").html(varietiesStr);
        	   $(_pageId + " #ping_c").show();
         	   
         	  //适当性签名告知函
         	  getGzhSign();
            }else{
         	   layerUtils.iMsg("-1",data.error_info);
                return false;
            }
        });    }
	
	
	var riskInfo = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = riskInfo;
});
