define(function(require, exports, module) {
    
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var layerUtils = require("layerUtils");
	var external = require("external");
	var platform = gconfig.platform;
	var mobileService = require("mobileService");
    var app = navigator.appVersion;
    var appversion = app.toLocaleLowerCase();
	var loginPath = "http://action:10090/?logintype=1&&loginkind=2&&jsfuncname=OnCheckQx()" ;
	var common_sso = require("common_sso");
	/**
	 * 微信起始过渡页特殊的pageInit方法
	 * 这里没有prePageCode，而是负载元素pageCode
	 */
	function wxTransPageInit(parentPageCode, pageCode, param)
	{
		$("#stepLoadingDiv").hide();
		//增加过渡页面的标志位，兼容普通见面跳转过来
		if(!param){
			param = {};
		}
		param._isWxTransFlag = true;
		
		var pageUrl = gconfig.viewsPath + pageCode + ".html",
			pageId = pageCode.replaceAll("/", "_"),
			parentPageId = parentPageCode.replaceAll("/", "_"); //负载父元素ID
		
		try {
			if($("#"+pageId).length < 1) {
				require("ajax").loadHtml(pageUrl, function(htmlContent) {
					document.title = $(htmlContent).attr("data-pageTitle");
					$("#"+parentPageId).append(htmlContent); //保存这个page到parentPageCode
					$("#"+pageId+" img").each(function() { //设置图片scr地址，防止出错
						var src = $(this).attr("src");
						if(src && $(this).attr("data-serverImg")!="true") {
							$(this).attr("src", gconfig.imagesPath + src.substring(src.indexOf("images")+7));
						}
					});
					require.async(gconfig.scriptsPath+pageCode, function(page) {
						appUtils.setSStorageInfo("wxTransPage_pageParam", JSON.stringify(param));
						page.init(); //页面初始化
						page.bindPageEvent(); //事件绑定
					});
				}, true, false, false);
			} else {
				require.async(gconfig.scriptsPath+pageCode, function(page) {
					appUtils.setSStorageInfo("wxTransPage_pageParam", JSON.stringify(param));
					page.init(); //页面初始化
					page.bindPageEvent(); //事件绑定
				});
			}
		} catch(e) {
			//console.printStackTrace(e);
		}
	}
	
	/**
	 * 微信起始过渡页特殊的getPageParam方法
	 */
	function wxGetPageParam(paramName) 
	{
		 //根据_isWxTransFlag判断，兼容普通见面跳转过来
		var jsonParam = appUtils.getSStorageInfo("wxTransPage_pageParam");
		jsonParam = JSON.parse(jsonParam);
		if(jsonParam && jsonParam._isWxTransFlag){
			if(paramName) {
				return jsonParam[paramName];
			} else {
				return jsonParam;
			}
		} else {
			return appUtils.getPageParam(paramName);
		}
	}
	
	function firstLoadFunc() {
		$("#loading").fadeOut();
		require("external");
		//console.log("firstLoad...");
	}
	
	function filterLoginOut(data){
		var error_no = data.error_no;
		var error_info = data.error_info;
		if(error_no == "-999") {
			appUtils.clearSStorage("_loginInPageCode");
			appUtils.clearSStorage("_loginInPageParam");
			appUtils.clearSStorage("_isLoginIn");
			appUtils.setSStorageInfo("firstInstall","1");
			appUtils.setSStorageInfo("ygt_login","0",true);//清除云柜台登录标志
			appUtils.setSStorageInfo("_loginInPageCodeYGT","",true);
			appUtils.clearSStorage();
			common_sso.jumpLogin();
		}
	}
	
	function moduleJump(){
		appUtils.setSStorageInfo("firstInstallwd","0",true);
		appUtils.setSStorageInfo("firstInstall","0",true);
		appUtils.setSStorageInfo("firstInstallLife","0",true);
		appUtils.setSStorageInfo("firstInstallShop","0",true);
		appUtils.setSStorageInfo("firstInstallYqtTrends","0",true);
		 var param = {
		                    "funcNo": "50114",
		                    "moduleName": "open"
		                };
				external.callMessage(param);
	}
	
	/**
	 * 权限校验
	 * @param checkInParam 校验判断依据
	 * "checkInParam": {
	 * 		"prePageCode": prePageCode,
	 * 		"pageCode": pageCode,
	 * 		"param": param,
	 * 		"isLastReq": isLastReq,
	 * 		"isShowWait": isShowWait,
	 * 		"isShowOverLay": isShowOverLay
	 *	}
	 */
	function checkPermission(checkInParam) {
		return true;
	}



    /***************************中焯单点登录**********************************/
    //中焯登录
    function zhongZhuLogin(url,callback){
    	// 判断是否已经登录
        var login = appUtils.getSStorageInfo("ygt_login",true);
        if(login == "1" && appUtils.getSStorageInfo("user_id") ){
            if(callback) {
                callback();
            }
        }else{
        	var user_token = getUrlParam("user_token");
            var mobilephone = getUrlParam("mobilephone") ; 
             //alert(user_token + "|" + mobilephone) ;
            
            if((user_token==null||user_token=="") || 
            		(mobilephone==null||mobilephone=="") ){
            	// error.error_msg = "参数有误" ;
            	layerUtils.iAlert("参数有误",-1);
            	// callback(error) ;
            }
        	/*
            var  _url = decodeURI(url);
            var user_token = getUser_token(_url);
            var mobilephone = getMobileCode(_url);
            */
            SSO_login(mobilephone,user_token,callback);
        }
    }


    //新增登录接口
    function SSO_login(mobilephone,user_token,callback){
        var param = {
            "mobilephone":mobilephone,
            "user_token":user_token
        };
        mobileService.zhongZhuLogin(param, function(data){
            var error_no = data.error_no;
            // var error_info = data.error_info;
            if(error_no == "0") {
                var results = data.results[0];
                synUserInof(results,callback) ;
                // //第二种情况直接缓存信息
                // setUserInfo(results,callback);
            }else{
            	window.onJsOverrideUrlLoading(loginPath);
            }
        });
    }
    function synUserInof(results,callback){
    	//alert("====>synUserInof") ;
    	 var param = {
					"user_id":results.user_id,
    	            "zj_account":results.fundid,
    	            "client_id":results.client_id
    	        };
    	mobileService.syncTradeAccount(param, function(data){
            var error_no = data.error_no;
            var error_info = data.error_info;
            if(error_no == "0") {
                var results = data.results[0];
                setUserInfo(results,callback);
            }else{
            	//alert("====>synUserInof:"+error_info) ;
            	window.onJsOverrideUrlLoading(loginPath);
            }
        });
    }
    
    
    //把从原生内存缓存中取到的用户信息保存到session中
    function setUserInfo(results,callback) {
        var userInfo = results;
        //user_id保存到session
        if(userInfo.user_id) {
            appUtils.setSStorageInfo("user_id", userInfo.user_id,true );
        }
        //登陆账号保存到session
        if(userInfo.login_id) {
            appUtils.setSStorageInfo("login_id", userInfo.login_id,true );
        }
        //证件类型保存到session
        if(userInfo.identity_type) {
            appUtils.setSStorageInfo("identity_type", userInfo.identity_type,true );
        }
        //证件号码保存到session
        if(userInfo.identity_num) {
            appUtils.setSStorageInfo("identity_num", userInfo.identity_num,true );
        }
        //姓名保存到session
        if(userInfo.name) {
            appUtils.setSStorageInfo("name", userInfo.name,true );
        }
        //是否是交易用户 保存到session
        if(userInfo.is_trade) {
            appUtils.setSStorageInfo("is_trade", userInfo.is_trade,true );
        }
        //交易账户保存到session
        if(userInfo.trade_account) {
            appUtils.setSStorageInfo("trade_account", userInfo.trade_account,true );
        }
        //昵称保存到session
        if(userInfo.nick_name) {
            appUtils.setSStorageInfo("nick_name", userInfo.nick_name,true );
        }
        //sex性别保存到session
        if(userInfo.sex) {
            appUtils.setSStorageInfo("sex", userInfo.sex,true );
        }
        //birthday生日保存到session
        if(userInfo.birthday) {
            appUtils.setSStorageInfo("birthday", userInfo.birthday,true );
        }
        //mobile手机保存到session
        if(userInfo.mobile) {
            appUtils.setSStorageInfo("mobile", userInfo.mobile,true );
        }
        //login_by_mobile手机绑定保存到session
        if(userInfo.login_by_mobile) {
            appUtils.setSStorageInfo("login_by_mobile", userInfo.login_by_mobile,true );
        }
        //email邮箱保存到session
        if(userInfo.email) {
            appUtils.setSStorageInfo("email", userInfo.email,true );
        }
        //login_by_email绑定邮箱保存到session
        if(userInfo.login_by_email) {
            appUtils.setSStorageInfo("login_by_email", userInfo.login_by_email,true );
        }
        //telephone固定电话绑定到session
        if(userInfo.telephone) {
            appUtils.setSStorageInfo("telephone", userInfo.telephone,true );
        }
        //address通信住址保存到session
        if(userInfo.address) {
            appUtils.setSStorageInfo("address", userInfo.address,true );
        }
        //post_code邮编保存到session
        if(userInfo.post_code) {
            appUtils.setSStorageInfo("post_code", userInfo.post_code,true );
        }
        //qq_microblog QQ微博账号保存到session
        if(userInfo.qq_microblog) {
            appUtils.setSStorageInfo("qq_microblog", userInfo.qq_microblog,true );
        }
        //sina_microblog 新浪微博账号保存到session
        if(userInfo.sina_microblog) {
            appUtils.setSStorageInfo("sina_microblog", userInfo.sina_microblog,true );
        }
        //QQ号保存到session
        if(userInfo.qq) {
            appUtils.setSStorageInfo("qq", userInfo.qq,true );
        }
        //wechat号保存到session
        if(userInfo.wechat) {
            appUtils.setSStorageInfo("wechat", userInfo.wechat,true );
        }
        //recommend_person推荐人保存到session
        if(userInfo.recommend_person) {
            appUtils.setSStorageInfo("recommend_person", userInfo.recommend_person,true );
        }
        //last_login_time上次登录时间保存到session
        if(userInfo.last_login_time) {
            appUtils.setSStorageInfo("last_login_time", userInfo.last_login_time,true );
        }
        //occupational职业保存到session
        if(userInfo.occupational) {
            appUtils.setSStorageInfo("occupational", userInfo.occupational,true );
        }
        //adapter学历保存到session
        if(userInfo.adapter) {
            appUtils.setSStorageInfo("adapter", userInfo.adapter,true );
        }
        //certuid证书用户id保存到session
        if(userInfo.certuid) {
            appUtils.setSStorageInfo("certuid", userInfo.certuid,true );
        }
        //branch_no营业部保存到session
        if(userInfo.branch_no) {
            appUtils.setSStorageInfo("branch_no", userInfo.branch_no,true );
        }
        //emergency_name应急联系人姓名保存到session
        if(userInfo.emergency_name) {
            appUtils.setSStorageInfo("emergency_name", userInfo.emergency_name,true );
        }
        //emergency_relation与应急联系人关系保存到session
        if(userInfo.emergency_relation) {
            appUtils.setSStorageInfo("emergency_relation", userInfo.emergency_relation,true );
        }
        //emergency_tel应急联系人固定电话保存到session
        if(userInfo.emergency_tel) {
            appUtils.setSStorageInfo("emergency_tel", userInfo.emergency_tel,true );
        }
        //emergency_mobile应急联系人手机保存到session
        if(userInfo.emergency_mobile) {
            appUtils.setSStorageInfo("emergency_mobile", userInfo.emergency_mobile,true );
        }
        //emergency_email应急联系人邮箱保存到session
        if(userInfo.emergency_email) {
            appUtils.setSStorageInfo("emergency_email", userInfo.emergency_email,true );
        }
        //authentication_state实名认证,绑定银行卡 保存到session
        if(userInfo.authentication_state) {
            appUtils.setSStorageInfo("authentication_state", userInfo.authentication_state,true );
        }
        //org_id机构ID(第三方接口)保存到session
        if(userInfo.org_id) {
            appUtils.setSStorageInfo("org_id", userInfo.org_id,true );
        }
        //emergency_address应急联系人联系地址保存到session
        if(userInfo.emergency_address) {
            appUtils.setSStorageInfo("emergency_address", userInfo.emergency_address,true );
        }
        //type_code类别代码保存到session
        if(userInfo.type_code) {
            appUtils.setSStorageInfo("type_code", userInfo.type_code,true );
        }
        //type_name类别名称保存到session
        if(userInfo.type_name) {
            appUtils.setSStorageInfo("type_name", userInfo.type_name,true );
        }
        //vip_level会员等级保存到session
        if(userInfo.vip_level) {
            appUtils.setSStorageInfo("vip_level", userInfo.vip_level,true );
        }
        //total_integration用户总积分保存到session
        if(userInfo.total_integration) {
            appUtils.setSStorageInfo("total_integration", userInfo.total_integration,true );
        }
        if(userInfo.curr_loginid) {
            appUtils.setSStorageInfo("curr_loginid", userInfo.curr_loginid,true );
        }
        if(userInfo.client_id) {
            appUtils.setSStorageInfo("client_id", userInfo.client_id,true );
        }
        if(userInfo.fund_account) {
            appUtils.setSStorageInfo("fund_account", userInfo.fund_account,true );
        }
        if(userInfo.fundid) {
            appUtils.setSStorageInfo("fundid", userInfo.fundid,true );
        }
        appUtils.setSStorageInfo("zqAccount", sessionStorage.getItem("zqAccount"),true );

        appUtils.setSStorageInfo("ygt_login", "1",true);
        appUtils.setSStorageInfo("userInfo2", userInfo,true);
        appUtils.setSStorageInfo("userInfo", userInfo,true);
        if(callback){
            callback();
        }
    }


    //获取手机号码
    function getMobileCode(str) {
        var num = str.indexOf("mobilephone=");
        //var param =str.substr(num,str.length-1);
        //param = param.substr(11,param.length-1);
        //var Num = param.indexOf("#")
        //param = param.substr(0,Num);
        var param = str.substr(num+12,11);
        return param;
    }

    //获取用户token
    function  getUser_token(str) {
        var num = str.indexOf("user_token");
        var param =str.substr(num,str.length-1);
        param = param.substr(11,param.length-1);
        var Num = param.indexOf("&");
        param = param.substr(0,Num);
        return param;
    }
    //获取url中的参数
    function getUrlParam(name) {
        var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)"); //构造一个含有目标参数的正则表达式对象
        var r = window.location.search.substr(1).match(reg);  //匹配目标参数
        if (r != null) return unescape(r[2]); return null; //返回参数值
    }
  //url进行跳转
    window.onJsOverrideUrlLoading = function(str){
        if(appversion.indexOf("windows phone")>0){
            window.external.notify(str);
        }else if(appversion.indexOf("iphone")>0){
            window.location.href=str;
        }else if(appversion.indexOf("android")>0){
            window.MyWebView.onJsOverrideUrlLoading(str);
        }else{
            window.location.href = str;
        }
    };
    window.OnCheckQx = function(){
    	// 这应该回调给中卓APP登录页面
		 appUtils.sendDirect("/home/ywbl.html");
    };
    /***************************中焯单点登录**********************************/

	var common = {
		"firstLoadFunc": firstLoadFunc,
		"checkPermission": checkPermission,
		"wxTransPageInit": wxTransPageInit,
		"wxGetPageParam": wxGetPageParam,
		"filterLoginOut":filterLoginOut,
		"moduleJump":moduleJump,
		"getUrlParam":getUrlParam,
        "zhongZhuLogin" :zhongZhuLogin
    };
	//暴露对外的接口
	module.exports = common;
});
