define(function(require, exports, module) {
    
	var appUtils = require("appUtils");
	var layerUtils = require("layerUtils");
	var mobileService = require("mobileService");
    var app = navigator.appVersion;
    var appversion = app.toLocaleLowerCase();
	var loginPath = "http://action:10090/?logintype=1&&loginkind=2&&jsfuncname=OnCheckQx()" ;
	
	var fail = {
		"error_no":"-999",
		"error_info":"-"	
	};
	var success = {
			"error_no":"0",
			"error_info":""		
	};
	
    /***************************中焯单点登录**********************************/
    //中焯登录
    function zhongZhuLogin(callback){
    	// 判断是否已经登录
        var login = appUtils.getSStorageInfo("ygt_login",true);
        if(login == "1" && appUtils.getSStorageInfo("user_id") ){
            if(callback) {
                callback(success);
            }
        }else{
        	var user_token = getUrlParam("user_token");
            var mobilephone = getUrlParam("mobilephone") ; 
            if((user_token==null||user_token=="") || 
            		(mobilephone==null||mobilephone=="") ){
            	fail.error_info="参数有误" ;
            	if(callback) {
                    callback(fail);
                }
            }
            SSO_login(mobilephone,user_token,callback);
        }
    }


    //新增登录接口
    function SSO_login(mobilephone,user_token,callback){
        var param = {
            "mobilephone":mobilephone,
            "user_token":user_token
        };
        mobileService.zhongZhuLogin(param, function(data){
            var error_no = data.error_no;
            if(error_no == "0") {
                var results = data.results[0];
                synUserInof(results,callback) ;
            }else{
            	fail.error_no = data.error_no;
            	fail.error_info = data.error_info;
            	if(callback) {
                    callback(fail);
                }
            }
        });
    }
    function synUserInof(results,callback){
    	 var param = {
					"user_id":results.user_id,
    	            "zj_account":results.fundid,
    	            "client_id":results.client_id
    	        };
    	mobileService.syncTradeAccount(param, function(data){
            var error_no = data.error_no;
            if(error_no == "0") {
                // var results = data.results[0];
                // 设置模块数据信息
                setUserInfo(results,callback);
            }else{
            	fail.error_no = data.error_no;
            	fail.error_info = data.error_info;
            	if(callback) {
                    callback(fail);
                }
            }
        });
    }
    
    //把从原生内存缓存中取到的用户信息保存到session中
    function setUserInfo(results,callback) {
        var userInfo = results;
       
        //user_id保存到session
        if(userInfo.user_id) {
            appUtils.setSStorageInfo("user_id", userInfo.user_id );
        }
        //登陆账号保存到session
        if(userInfo.login_id) {
            appUtils.setSStorageInfo("login_id", userInfo.login_id );
        }
        //证件类型保存到session
        if(userInfo.identity_type) {
            appUtils.setSStorageInfo("identity_type", userInfo.identity_type );
        }
        //证件号码保存到session
        if(userInfo.identity_num) {
            appUtils.setSStorageInfo("identity_num", userInfo.identity_num );
        }
        //姓名保存到session
        if(userInfo.name) {
            appUtils.setSStorageInfo("name", userInfo.name );
        }
        //是否是交易用户 保存到session
        if(userInfo.is_trade) {
            appUtils.setSStorageInfo("is_trade", userInfo.is_trade );
        }
        //交易账户保存到session
        if(userInfo.trade_account) {
            appUtils.setSStorageInfo("trade_account", userInfo.trade_account );
        }
        //昵称保存到session
        if(userInfo.nick_name) {
            appUtils.setSStorageInfo("nick_name", userInfo.nick_name );
        }
        //sex性别保存到session
        if(userInfo.sex) {
            appUtils.setSStorageInfo("sex", userInfo.sex );
        }
        //birthday生日保存到session
        if(userInfo.birthday) {
            appUtils.setSStorageInfo("birthday", userInfo.birthday );
        }
        //mobile手机保存到session
        if(userInfo.mobile) {
            appUtils.setSStorageInfo("mobile", userInfo.mobile );
        }
        //login_by_mobile手机绑定保存到session
        if(userInfo.login_by_mobile) {
            appUtils.setSStorageInfo("login_by_mobile", userInfo.login_by_mobile );
        }
        //email邮箱保存到session
        if(userInfo.email) {
            appUtils.setSStorageInfo("email", userInfo.email );
        }
        //login_by_email绑定邮箱保存到session
        if(userInfo.login_by_email) {
            appUtils.setSStorageInfo("login_by_email", userInfo.login_by_email );
        }
        //telephone固定电话绑定到session
        if(userInfo.telephone) {
            appUtils.setSStorageInfo("telephone", userInfo.telephone );
        }
        //address通信住址保存到session
        if(userInfo.address) {
            appUtils.setSStorageInfo("address", userInfo.address );
        }
        //post_code邮编保存到session
        if(userInfo.post_code) {
            appUtils.setSStorageInfo("post_code", userInfo.post_code );
        }
        //qq_microblog QQ微博账号保存到session
        if(userInfo.qq_microblog) {
            appUtils.setSStorageInfo("qq_microblog", userInfo.qq_microblog );
        }
        //sina_microblog 新浪微博账号保存到session
        if(userInfo.sina_microblog) {
            appUtils.setSStorageInfo("sina_microblog", userInfo.sina_microblog );
        }
        //QQ号保存到session
        if(userInfo.qq) {
            appUtils.setSStorageInfo("qq", userInfo.qq );
        }
        //wechat号保存到session
        if(userInfo.wechat) {
            appUtils.setSStorageInfo("wechat", userInfo.wechat );
        }
        //recommend_person推荐人保存到session
        if(userInfo.recommend_person) {
            appUtils.setSStorageInfo("recommend_person", userInfo.recommend_person );
        }
        //last_login_time上次登录时间保存到session
        if(userInfo.last_login_time) {
            appUtils.setSStorageInfo("last_login_time", userInfo.last_login_time );
        }
        //occupational职业保存到session
        if(userInfo.occupational) {
            appUtils.setSStorageInfo("occupational", userInfo.occupational );
        }
        //adapter学历保存到session
        if(userInfo.adapter) {
            appUtils.setSStorageInfo("adapter", userInfo.adapter );
        }
        //certuid证书用户id保存到session
        if(userInfo.certuid) {
            appUtils.setSStorageInfo("certuid", userInfo.certuid );
        }
        //branch_no营业部保存到session
        if(userInfo.branch_no) {
            appUtils.setSStorageInfo("branch_no", userInfo.branch_no );
        }
        //emergency_name应急联系人姓名保存到session
        if(userInfo.emergency_name) {
            appUtils.setSStorageInfo("emergency_name", userInfo.emergency_name );
        }
        //emergency_relation与应急联系人关系保存到session
        if(userInfo.emergency_relation) {
            appUtils.setSStorageInfo("emergency_relation", userInfo.emergency_relation );
        }
        //emergency_tel应急联系人固定电话保存到session
        if(userInfo.emergency_tel) {
            appUtils.setSStorageInfo("emergency_tel", userInfo.emergency_tel );
        }
        //emergency_mobile应急联系人手机保存到session
        if(userInfo.emergency_mobile) {
            appUtils.setSStorageInfo("emergency_mobile", userInfo.emergency_mobile );
        }
        //emergency_email应急联系人邮箱保存到session
        if(userInfo.emergency_email) {
            appUtils.setSStorageInfo("emergency_email", userInfo.emergency_email );
        }
        //authentication_state实名认证,绑定银行卡 保存到session
        if(userInfo.authentication_state) {
            appUtils.setSStorageInfo("authentication_state", userInfo.authentication_state );
        }
        //org_id机构ID(第三方接口)保存到session
        if(userInfo.org_id) {
            appUtils.setSStorageInfo("org_id", userInfo.org_id );
        }
        //emergency_address应急联系人联系地址保存到session
        if(userInfo.emergency_address) {
            appUtils.setSStorageInfo("emergency_address", userInfo.emergency_address );
        }
        //type_code类别代码保存到session
        if(userInfo.type_code) {
            appUtils.setSStorageInfo("type_code", userInfo.type_code );
        }
        //type_name类别名称保存到session
        if(userInfo.type_name) {
            appUtils.setSStorageInfo("type_name", userInfo.type_name );
        }
        //vip_level会员等级保存到session
        if(userInfo.vip_level) {
            appUtils.setSStorageInfo("vip_level", userInfo.vip_level );
        }
        //total_integration用户总积分保存到session
        if(userInfo.total_integration) {
            appUtils.setSStorageInfo("total_integration", userInfo.total_integration );
        }
        if(userInfo.curr_loginid) {
            appUtils.setSStorageInfo("curr_loginid", userInfo.curr_loginid );
        }
        if(userInfo.client_id) {
            appUtils.setSStorageInfo("client_id", userInfo.client_id );
        }
        if(userInfo.fund_account) {
            appUtils.setSStorageInfo("fund_account", userInfo.fund_account );
        }
        if(userInfo.fundid) {
            appUtils.setSStorageInfo("fundid", userInfo.fundid );
        }
        appUtils.setSStorageInfo("zqAccount", sessionStorage.getItem("zqAccount") );
        appUtils.setSStorageInfo("ygt_login", "1");
        appUtils.setSStorageInfo("userInfo2", userInfo);
        appUtils.setSStorageInfo("userInfo", userInfo);
        if(appUtils.getSStorageInfo("userInfo2")){
        	//alert("userInfo(session)===>"+JSON.stringify(appUtils.getSStorageInfo("userInfo2")));
        }
        if(callback){
            callback(success);
        }
    }


    //获取手机号码
    function getMobileCode(str) {
        var num = str.indexOf("mobilephone=");
        var param = str.substr(num+12,11);
        return param;
    }

    //获取用户token
    function  getUser_token(str) {
        var num = str.indexOf("user_token");
        var param =str.substr(num,str.length-1);
        param = param.substr(11,param.length-1);
        var Num = param.indexOf("&");
        param = param.substr(0,Num);
        return param;
    }
    //获取url中的参数
    function getUrlParam(name) {
        var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)"); //构造一个含有目标参数的正则表达式对象
        var r = window.location.search.substr(1).match(reg);  //匹配目标参数
        if (r != null) return unescape(r[2]); return null; //返回参数值
    }
    //url进行跳转
    window.onJsOverrideUrlLoading = function(str){
        if(appversion.indexOf("windows phone")>0){
            window.external.notify(str);
        }else if(appversion.indexOf("iphone")>0){
            window.location.href=str;
        }else if(appversion.indexOf("android")>0){
            window.MyWebView.onJsOverrideUrlLoading(str);
        }else{
            window.location.href = str;
        }
    };
    window.OnCheckQx = function(){
    	// 这应该回调给中卓APP登录页面
		 var param = {
                    "funcNo": "50114",
                    "moduleName": "open"
                };
                external.callMessage(param);
    };
    // 跳转登录
    function jumpLogin(){
    	// 失败回调到原生登录
//    	alert("loginPath==>"+loginPath) ;
//    	alert("window.onJsOverrideUrlLoading==>"+window.onJsOverrideUrlLoading) ;
//    	window.onJsOverrideUrlLoading(loginPath);
    	var param = {
                "funcNo": "50114",
                "moduleName": "open"
            };
            external.callMessage(param);
    }
    /***************************中焯单点登录**********************************/

	var common = {
		"getUrlParam":getUrlParam,
		"jumpLogin":jumpLogin,
        "zhongZhuLogin" :zhongZhuLogin,
		"synUserInof":synUserInof
    };
	//暴露对外的接口
	module.exports = common;
});
