/**
 * 主菜单
 */
define(function(require, exports, module){ 
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		layerUtils = require("layerUtils"),
		_pageId = "#account_userCardInfo";
	var mobileService = require("mobileService");
	var external = require("external");
	var validatorUtil = require("validatorUtil");
	var utils = require("util");
	var common = require("common");
	
	/* 私有业务模块的全局变量 end */
	
	function init(){
		var param = {
                "funcNo": "60021",
                "navTitle": "个人信息"
            };
            external.callMessage(param);
		window.selDateCallback = selDateCallback;
		if(appUtils.getSStorageInfo("_prePageCode")=="account/videoNotice"){
			$(_pageId+" #identity_num input").val(appUtils.getSStorageInfo("id_identity_num"));
			$(_pageId+" #name input").val(appUtils.getSStorageInfo("id_name"));
		}else{
			initPage();
		}
	}	function bindPageEvent()
	{
		//绑定确认
		appUtils.bindEvent($(_pageId+" .ce_btn"),function(){
			if(verifyInfo()) {
				submitInfo();
			}
		});
		/* 长期有效  */
		appUtils.bindEvent($(_pageId+" #longTerm"),function(e){
			var idEndDate = this.checked ? "3000-12-31" :updateIdcardInfo["validity_end"];
			$(_pageId+" .idEndDate").html(idEndDate);
		},"change");
		//处理返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageInit("account/userCardInfo", "account/uploadPhoto", {});
		});
		//处理首页
		appUtils.bindEvent($(_pageId+" .icon_home"),function(){
			appUtils.pageInit("account/userCardInfo","account/addIndex",{});
		});

		/* 绑定选择日期的事件 */
		appUtils.bindEvent($(_pageId + " div[date-plugin='true']"), function(e) {
			util.selectDate(this); // 通过壳子调用系统的日历插件
		});
	}

	//获取用户身份证信息
	function initPage(){
		var fillInformationInParam = JSON.parse(appUtils.getSStorageInfo("fillInformationInParam"));
		var name = fillInformationInParam["name"];  //姓名
		var sign_office = fillInformationInParam["sign_office"]; //签发单位
		var papers_addr = fillInformationInParam["papers_addr"]; //证件地址
		var identity_num = fillInformationInParam["identity_num"];  //证件号码
		var validity_begin = fillInformationInParam["validity_begin"];
		var validity_end = fillInformationInParam["validity_end"];
		
		$(_pageId+" #name input").val(name);
		
		$(_pageId+" #identity_num input").val(identity_num);
		
		$(_pageId+" .sign_office").val(sign_office);
          $(_pageId+" .papers_addr").html(papers_addr);
          $(_pageId+" .address").html(papers_addr);
         $(_pageId+" .idBeginDate").html(validity_begin);
          $(_pageId+" .idEndDate").html(validity_end);
	}

	//信息提交校验
    function verifyInfo() {
		var name = $(_pageId+" #name input").val(); //姓名
		var idCardNo = $(_pageId+" #identity_num input").val(); //身份证
		var signDepartment = $(_pageId+" .sign_office").val(); //签发机关
		var idCardAddress = $(_pageId+" .papers_addr").val(); //证件地址
		var address = $(_pageId+" .papers_addr").val(); //联系地址
		var idBeginDate = $(_pageId+" .idBeginDate").html(); //起始期限
		var idEndDate = $(_pageId+" .idEndDate").html(); //结束期限
		var date = new Date().format("yyyy-MM-dd"); //得到当前日期
		if (name == "") {
			layerUtils.iMsg(-1, "姓名不能为空");
			return false;
		}
		if (!(/^[\u4E00-\u9FA5]{2,5}([·•]?[\u4E00-\u9FA5]{2,5})*$/).test(name)) {
			layerUtils.iMsg(-1, "姓名格式不正确");
			return false;
		}
		if (idCardNo == "") {
			layerUtils.iMsg(-1, "身份证不能为空");
			return false;
		}
		if (signDepartment == "") {
			layerUtils.iMsg(-1, "签发机关不能为空");
			return false;
		}
		if (idCardAddress == "") {
			layerUtils.iMsg(-1, "证件地址不能为空");
			return false;
		}
//		if (address == "") {
//			layerUtils.iMsg(-1, "联系地址不能为空");
//			return false;
//		}
//		//有效日期校验
		if (idBeginDate == "") {
			layerUtils.iMsg(-1, "身份证起始期限不能为空");
			return false;
		}
		// 验证有效期的格式
		var dateReg = /^[1-3]\d{3}-(0|1)\d-[0-3]\d$/;
		if (!(dateReg.test(idBeginDate) && validatorUtil.isDate(idBeginDate))) {
			layerUtils.iMsg(-1, "有效期的起始时间不符合格式!");
			return false;
		}
		if (!(dateReg.test(idEndDate) && validatorUtil.isDate(idEndDate))) {
			layerUtils.iMsg(-1, "有效期的结束时间不符合格式!");
			return false;
		}
		if (idBeginDate > date) {
			layerUtils.iMsg(-1, "身份证起始期限必须小于当前日期");
			return false;
		}

		if (idEndDate == "") {
			layerUtils.iMsg(-1, "身份证结束期限不能为空");
			return false;
		}

		if (idEndDate <= date) {
			layerUtils.iMsg(-1, "身份证结束期限必须大于当前日期");
			return false;
		}
		if (new Date(idBeginDate).getTime() - new Date().getTime() >= 0) {
			layerUtils.iMsg(-1, "有效期的起始时间不能大于当前日期!");
			return false;
		}
		// 校验身份证期限是否符合格式
		idBeginDate = idBeginDate.replaceAll("-", "/");
		idEndDate = idEndDate.replaceAll("-", "/");
		if (Date.parse(idBeginDate) >= Date.parse(idEndDate)) {
			layerUtils.iMsg(-1, "有效期的起始时间必须小于结束时间!");
			return false;
		}
		// 发送身份证存在性检查之前，前端验证身份证的格式
		if (!validatorUtil.isCardID(idCardNo)) {
			layerUtils.iMsg(-1, "请输入正确的身份证号码!");
			return false;
		}
//		// 对不满 18 周岁进行控制
//		if (idCardNo.length == 18) {
//			var dateStr = idCardNo.substring(6, 10) + "/" + idCardNo.substring(10, 12) + "/" + idCardNo.substring(12, 14),
//				userAge = new Date().getTime() - Date.parse(dateStr);
//			userAge = userAge / (365 * 24 * 60 * 60 * 1000);
//			if (parseInt(userAge) < 18) {
//				layerUtils.iAlert("您的年龄未满 18 周岁，不允许开户!", -1);
//				return false;
//			}
//		}
		// 设置出生日期
//		$(_pageId + " .idCardNo").attr("birthday", idCardNo.substring(6, 10) + "-" + idCardNo.substring(10, 12) + "-" + idCardNo.substring(12, 14));
		return true;
	}

	// 信息确认
	function submitInfo() {
		var param = {
			"user_id":appUtils.getSStorageInfo("user_id"),
			"identity_num":$(_pageId+" #identity_num input").val(),
			"name":$(_pageId+" #name input").val(),
			"papers_addr":$(_pageId+" .papers_addr").val(),
			"sign_office":$(_pageId+" .sign_office").val(), //签发机关
			"validity_end":$(_pageId+" .idEndDate").html() //结束期限
		};
		appUtils.setSStorageInfo("id_identity_num",$(_pageId+" #identity_num input").val());
		appUtils.setSStorageInfo("id_name",$(_pageId+" #name input").val());
		mobileService.submitUserInfoSw(param, function(data) {
			var error_no = data.error_no;
			var error_info = data.error_info;
			if(error_no == "0") {
				idNoUpUpdateImageState();
			} else {
				layerUtils.iAlert(error_info, -1);
			}
		});
	}
	//修改上传照片状态
	function idNoUpUpdateImageState(){
		var param={
			"user_id":appUtils.getSStorageInfo("user_id")
		}
		mobileService.idNoUpUpdateImageState(param,function(data){
			var errorNo = data.error_no;
			var errorInfo = data.error_info;
			if(errorNo==0){
				//appUtils.pageInit("account/userCardInfo", "account/videoNotice", {});  // account_identityCardResult
				// 不需要视频见证
				appUtils.pageInit("account/userCardInfo", "account/identityCardResult", {});
			}else{
				layerUtils.iAlert(errorInfo);
				return false;
			}
		})
	}
	/* 日历的回调函数 */
	function selDateCallback(data) {
		// 回调数据中的 data 是字符串，需解析
		if (typeof(data) == "string") {
			data = JSON.parse(data);
		}
		var thisData = data.date.split("-");
		var month = thisData[1];
		var day = thisData[2];
		if(thisData[1].length==1)
		{
			month = "0"+thisData[1];
		}
		if(thisData[2].length==1)
		{
			day = "0"+thisData[2];
		}
		$(_pageId + " #" + data.selector).val(thisData[0]+"-"+month+"-"+day);
	}	function destroy(){
		
	}	var userCardInfo = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"selDateCallback": selDateCallback,
		"destroy" : destroy
	};
	
	module.exports = userCardInfo;
});
