/**
 * 视频见证注意事项
 */
define(function(require, exports, module){ 
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
	      mobileService = require("mobileService"),  //业务层接口，请求数据
		  gconfig = require("gconfig"),
		  global = gconfig.global,
		  layerUtils = require("layerUtils"),
		  _pageId = "#account_videoNotice";
	var external = require("external");
	var netWorkStatus = "NONE";
	var platform = gconfig.platform;
	var common = require("common");
	/* 私有业务模块的全局变量 end */
	
	function init()
	{
		var param = {
                "funcNo": "60021",
                "navTitle": "视频认证"
            };
            external.callMessage(param);
		var param = {
				"user_id": appUtils.getSStorageInfo("user_id")
		};
		mobileService.queryIdentityCardData(param,function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			var result = data.results;
			if(error_no == "0") {
				if(result[0].query_flag == "1"){
					appUtils.setSStorageInfo("identityCard_id",result[0].id);
				}
			}
		})
	}
	
	function bindPageEvent()
	{
		/* 绑定返回 */
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageInit("account/uploadPhoto", "account/userCardInfo", {});
		});

		/* 在线视频视频见证 */
		appUtils.bindEvent($(_pageId+" .ce_btn"),function(){
			//查询网络
			var param = {
				"funcNo":"50030"
			};
			var result = external.callMessage(param);
			var netWorkStatus = "";
			network = result.results[0].network;
			if(network == "0") {
				netWorkStatus = "断网";
			} else if (network == "1") {
				netWorkStatus = "2G";
			} else if (network == "2") {
				netWorkStatus = "3G";
			} else if (network == "3") {
				netWorkStatus = "4G";
			} else if (network == "4") {
				netWorkStatus = "WIFI";
			} else if (network == "9") {
				netWorkStatus = "未定义";
			}
			// 如果网络是2G，给出提示
			if(netWorkStatus == "2G" || netWorkStatus == "未定义")
			{
				layerUtils.iAlert("你当前使用的网络网速较慢，请在3G,4G或者wifi等网路状态下进行视频见证",-1,function(){
					//申请anychat视频见证
					anychatVideoApply();
				});
			}else{
				//申请anychat视频见证
				anychatVideoApply();
			}
		});

		appUtils.bindEvent($(_pageId+" .icon_home"), function() {
			common.moduleJump();
		});
	}
	
	function destroy()
	{
		mobileService.destroy();
	}
	
	//调用anychat视频见证
	function anychatVideoApply(){
		var param = {
			"url":global.serverPath + ";jsessionid=" + appUtils.getSStorageInfo("jsessionid") + "?",
			"userId":appUtils.getSStorageInfo("identityCard_id") + ",sfzsw,"+appUtils.getSStorageInfo("user_id"),
			"userName":appUtils.getSStorageInfo("name")+"(身份证升位)",
			"orgId":appUtils.getSStorageInfo("branch_no"),
			"userType" : "1",
			"jsessionId":appUtils.getSStorageInfo("jsessionid"),
			"netWorkStatus":netWorkStatus,
			"funcNo":"60005",
			"moduleName":"project"
		};
		if(platform=="1") {
			param = {
					"url":global.serverPath + ";jsessionid=" + appUtils.getSStorageInfo("jsessionid") + "?",
					"userId":appUtils.getSStorageInfo("identityCard_id") + ",sfzsw,"+appUtils.getSStorageInfo("user_id"),
					"userName":appUtils.getSStorageInfo("name")+"(身份证升位)",
					"orgId":appUtils.getSStorageInfo("branch_no"),
					"userType" : "1",
					"jsessionId":appUtils.getSStorageInfo("jsessionid"),
					"netWorkStatus":netWorkStatus,
					"funcNo":"60005",
					"moduleName":"mall"
				};
		}
		external.callMessage(param);
		
	}

	//视频见证判断
	function videoFlag(videoFlag) {
		var videoFlag = videoFlag.videoFlag;
		if (videoFlag == "0") {
			var user_id =appUtils.getSStorageInfo("user_id") ;
			var param={
				"user_id":user_id
			}
			mobileService.updateVoideIdsw(param,function(data){
				var errorNo = data.error_no;
				var errorInfo = data.error_info;
				if(errorNo==0){
					appUtils.pageInit("account/videoNotice", "account/idVideoResult", {});
				}else{
					layerUtils.iAlert(errorInfo);
					return false;
				}
			})
		} else if (videoFlag == "1") {
			//见证失败
		} else if (videoFlag == "2") {
			//见证驳回
			layerUtils.iAlert("见证被驳回！", -1, function() {
				appUtils.pageInit("account/videoNotice", "account/userCardInfo", {});
			});
		}
	}

	var videoNotice = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy,
		"videoFlag" : videoFlag
	};
	
	// 暴露对外的接口
	module.exports = videoNotice;
});
