/**
 * 手机前端service层调用接口
 **/
define(function(require,exports,module){
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var service = require("service");
	var platform = gconfig.platform;
	var serviceSingleton = new service.Service();
	
	/********************************公共代码部分********************************/
    function commonInvoke(paraMap, callback, ctrlParam, reqParamVo){
		paraMap["op_source"] = "5";
    	reqParamVo.setReqParam(paraMap);
    	ctrlParam = ctrlParam?ctrlParam:{};
    	reqParamVo.setIsLastReq(ctrlParam.isLastReq);
    	reqParamVo.setIsAsync(ctrlParam.isAsync);
    	reqParamVo.setIsShowWait(ctrlParam.isShowWait);
    	reqParamVo.setTimeOutFunc(ctrlParam.timeOutFunc);
    	reqParamVo.setErrorFunc(ctrlParam.errorFunc);
    	reqParamVo.setIsShowOverLay(ctrlParam.isShowOverLay);
    	reqParamVo.setTipsWords(ctrlParam.tipsWords);
    	reqParamVo.setDataType(ctrlParam.dataType);
    	reqParamVo.setIsGlobal(ctrlParam.isGlobal);
    	reqParamVo.setProtocol(ctrlParam.protocol);
    	reqParamVo.setCacheTime(ctrlParam.cacheTime);
    	reqParamVo.setCacheType(ctrlParam.cacheType);
    	serviceSingleton.invoke(reqParamVo, callback);
    }
	function destroy(){
		serviceSingleton.destroy();
	}
	var mobileService = {
		"getInstance": getInstance, //为了避免以前调用getInstance方法报错
		"destroy": destroy
	};
	function getInstance(){
		return mobileService;
	}
	module.exports = mobileService;
	
	/********************************应用接口开始********************************/
		
	/**
	 * 功能：得到RSA的key
	 * 参数: callBackFunc:回调函数
	 */
	mobileService.getRsaKey = function(param,callback,ctrlParam){
		var paraMap = {};
		paraMap["funcNo"] = "1000000";
		paraMap["op_source"] = param.op_source;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	};
	
	/**
	 * 功能号	901926
	 * @param areaid	varchar(30)	区域省份Id	   N	
	 */
	mobileService.queryBranchList = function(param,callback,ctrlParam)
    {
	    var paraMap = {};
		paraMap["funcNo"] = "901926";
		paraMap["areaid"] = param.areaid;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	/**
	 * 通用|查询数据字典列表(501501(1004169))
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.queryDicts = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004169";
		paraMap["enum_type"] = param.enum_type;
		paraMap["item_name"] = param.item_name;
		paraMap["item_value"] = param.item_value;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	/**
	 * 云柜台登陆接口
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 * verify_code:图片验证码
	 */
	mobileService.login = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1000";
		paraMap["login_id"] = param.login_id;
		paraMap["identity_num"] = param.identity_num;
		paraMap["pwd_type"] = param.pwd_type;
		paraMap["pwd_value"] = param.pwd_value;
		paraMap["login_uid"] = param.login_uid;
		paraMap["login_type"] = param.login_type;
		paraMap["verify_code"] = param.verify_code;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	/**
	 * 云柜台登陆接口
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 * verify_code:图片验证码
	 *  功能: 查询用户信息
	 * 入参：user_id：用户编号  (N)
	 * 		login_id：登录名  (N)
	 * 		identity_type：证件类型  (N)
	 * 		identity_num：证件号码  (N)
	 * 		mobile：手机号码  (N)
	 * 		email：邮箱  (N)
	 * 		login_uid：三方渠道登录UID  (N)
	 * 		channel_type：三方渠道类型  (N)
	 */
	mobileService.SimpleQueryUserSyse = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1001";
		paraMap["user_id"] = param.user_id;
		paraMap["login_id"] = param.login_id;
		paraMap["identity_type"] = param.identity_type;
		paraMap["identity_num"] = param.identity_num;
		paraMap["mobile"] = param.mobile;
		paraMap["email"] = param.email;
		paraMap["login_uid"] = param.login_uid;
		paraMap["channel_type"] = param.channel_type;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
	/**
	 * 修改用户资料 -- 地址
	 * @param param json格式入参
	 * @param callback 回调处理
	 *
	 */
	mobileService.updateUser = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1003";
		paraMap["user_id"] = param.user_id;
		paraMap["fundid"] = param.fundid;
		paraMap["address"] = param.address;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 云柜台同步用户交易帐号
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.syncTradeAccount = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004";
		paraMap["user_id"] = param.user_id;
		paraMap["zj_account"] = param.zj_account;
		paraMap["client_id"] = param.client_id
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	/**
	 * 身份证过期修改---获取业务办理数据
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.idNoOpenStart = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1012";
		paraMap["user_id"] = param.user_id;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	/**
	 * 身份证过期修改---业务办理完成确认
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.idNoUpdateConfrim = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1035";
		paraMap["user_id"] = param.user_id;
		paraMap["op_source"] = param.op_source;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    
	/**
	 * 云柜台|搜索业务办理列表
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.queryBusinessList = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004430";
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
    
	/**
	 * 港股通|获取港股通需要判断的账户条件
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.getGgtAuthority = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004200";
		paraMap["user_id"] = param.user_id;
		paraMap["fundid"] = param.fundid;
		paraMap["isbind"] = param.isbind;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	
	/**
	 * 港股通|获取港股通业务数据
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.getGgtInfo = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004201";
		paraMap["user_id"] = param.user_id;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	
	/**
	 * 账户|获取风险评测结果
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.getSurveyInfo = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004196";
		paraMap["user_id"] = param.user_id;
		paraMap["fundid"] = param.fundid;
		paraMap["sub_id"] = param.sub_id;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	
	/**
	 * 账户|获取风险评测结果
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.getSurveyQuestion = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004138";
		paraMap["user_id"] = param.user_id;
		paraMap["subject_type"] = param.subject_type;
		paraMap["business_code"] = param.business_code;
		paraMap["business_id"] = param.business_id;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	
	/**
	 * 通用|获取电子协议
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.getSign = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004178";
		paraMap["agree_name"] = param.agree_name;
		paraMap["type_code"] = param.type_code;
		paraMap["agree_no"] = param.agree_no;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	
	/**
	 * 通用|获取电子协议内容
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.getProtocolInfo = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004179";
		paraMap["version"] = param.version;
		paraMap["agree_no"] = param.agree_no;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	
	/**
	 * 港股通|验签，修改签名标识状态
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.checkSign = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004206";
		paraMap["user_id"] = param.user_id;
		paraMap["trdaccount"] = param.trdaccount;
		paraMap["jsondata"] = param.jsondata;
		paraMap["macaddr"] = param.macaddr;
		paraMap["ipaddr"] = param.ipaddr;
		paraMap["checksign"] = param.checksign;
		paraMap["sign_source_flag"] = param.sign_source_flag;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	
	/**
	 * 港股通|获取业务办理过程中的所有步骤的数据
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.getGgtAllInfo = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004207";
		paraMap["user_id"] = param.user_id;
//		paraMap["trdaccount"] = param.trdaccount;
		paraMap["entrance"] = param.entrance;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	
	/**
	 * 港股通|查询信用资产
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.getNetInfo = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004405";
		paraMap["user_id"] = param.user_id;
		paraMap["fundid"] = param.fundid;
		paraMap["password"] = param.password;
	
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	
	/**
	 * 港股通|提交问卷
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.submitTestAnswer = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004139";
		paraMap["user_id"] = param.user_id;
		paraMap["subject_type"] = param.subject_type;
		paraMap["answerStr"] = param.answerStr;
		paraMap["need_third"] = param.need_third;
		paraMap["question_source"] = param.question_source;
		paraMap["sub_id"] = param.sub_id;
		paraMap["fundid"] = param.fundid;
		paraMap["business_code"] = param.business_code;
		paraMap["business_id"] = param.business_id;
	
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }

    /**
	 * 港股通|添加港股通跑批任务
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.openAccount = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004205";
		paraMap["user_id"] = param.user_id;
		paraMap["trdaccount"] = param.trdaccount;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}

	/**
	 * 通用|发送短信
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.sendSmsCode = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004181";
		paraMap["user_id"] = param.user_id;
		paraMap["mobile_no"] = param.mobile_no;
		paraMap["sms_type"] = param.sms_type;
	
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	
	/**
	 * 通用|短信验证
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.checkSmsCode = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004191";
		paraMap["mobile_code"] = param.mobile_code;
		paraMap["mobile"] = param.mobile;
		paraMap["sms_type"] = param.sms_type;
	
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	/**
	 * 通用|提交新手机号
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.newMobile = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1007";
		paraMap["user_id"] = param.user_id;
		paraMap["fundid"] = param.fundid;
		paraMap["mobile_code"] = param.mobile_code;
		paraMap["old_mobile"] = param.old_mobile;
		paraMap["new_mobile"] = param.new_mobile;
	
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	/**
	 * 用户体系|短信修改手机号码
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.submitMobileNo = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1007";
		paraMap["user_id"] = param.user_id;
		paraMap["mobile_code"] = param.mobile_code;
		paraMap["old_mobile"] = param.old_mobile;
		paraMap["new_mobile"] = param.new_mobile;
	
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	/**
	 * 权限开通|Email 绑定邮箱
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.queryEmailAccount = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004477";
		paraMap["user_id"] = param.user_id;
	
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	/**
	 * 权限开通|修改Email 绑定邮箱
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.updateEmailAccount = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004484";
		paraMap["user_id"] = param.user_id;
		paraMap["op_type"] = param.op_type;
		paraMap["email"] = param.email;
		
	
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	/**
	 * 创业板|添加跑批
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.confirmCybInfo = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004004";
		paraMap["user_id"] = param.user_id;
	
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	/**
	 * 创业板|创业板转签---业务办理完成确认
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.queryCyb = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004002";
		paraMap["user_id"] = param.user_id;
	
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	/**
	 * 创业板|获取深A和创业板权限开通数据
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.getCybInfo = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004020";
		paraMap["user_id"] = param.user_id;
		paraMap["isbind"] = param.isbind;
		paraMap["fundid"] = param.fundid;
	
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	
	/**
	 * 创业板|查询创业板转签办理状态
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.getCybStatus = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004021";
		paraMap["user_id"] = param.user_id;
		console.log("yangrui____  "+param.entrance);
		paraMap["entrance"] = param.entrance;
	
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	
	/**
	 * 创业板|修改“是否需要创业板转签”标识
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.alterCybSign = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004022";
		paraMap["user_id"] = param.user_id;
		paraMap["trdaccount"] = param.trdaccount;
	
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	
	/**
	 * 创业板|提交创业板转签请求
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.submitCyb = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004023";
		console.log("yangrui______ ser"+param.user_id);
		paraMap["user_id"] = param.user_id;
		paraMap["name"] = param.name;
		paraMap["mobile_no"] = param.mobile_no;
		paraMap["trdaccount"] = param.trdaccount;
		paraMap["relation"] = param.relation;
	
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	
	/**
	 * 云柜台|根据资金账户获取绑定的银行卡
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.getBankList = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004134";
		paraMap["user_id"] = param.user_id;
		paraMap["zj_account"] = param.zj_account;
		paraMap["flag_status"] = param.flag_status;
	
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	/**
	 * 云柜台|根据资金账户获取绑定的银行卡
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.getBankListShiBai = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004492";
		paraMap["user_id"] = param.user_id;
		paraMap["fund_account"] = param.zj_account;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 云柜台|根据资金账户获取绑定的银行卡
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	 mobileService.getAllBankList = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004135";
		paraMap["business_code"] = param.business_code;
		paraMap["bindtype"] = param.bindtype;
		paraMap["ispwd"] = param.ispwd;
	
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	 
	 /**
	 * 云柜台|将银行卡和资金账号绑定
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	 mobileService.bindBank = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004136";
		paraMap["user_id"] = param.user_id;
		paraMap["backCardId"] = param.backCardId;
		paraMap["cardNo"] = param.cardNo;
		paraMap["cardPassword"] = param.cardPassword;
		paraMap["zj_account"] = param.zj_account;
	
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	 }
	 
	 /**
	 * 云柜台|电子协议签署验签
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	 mobileService.checkSignProtocol = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004185";
		paraMap["user_id"] = param.user_id;
		paraMap["jsondata"] = param.jsondata;
		paraMap["macaddr"] = param.macaddr;
		paraMap["ipaddr"] = param.ipaddr;
		paraMap["checksign"] = param.checksign;
		paraMap["business_code"] = param.business_code;
		paraMap["business_item"] = param.business_item;
		paraMap["sign_source_flag"] = param.sign_source_flag;
		paraMap["certType"] = param.certType;
	
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	 }
	 /**
	 * 云柜台|获取委托方式
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	 mobileService.getDelegate = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004151";
		paraMap["user_id"] = param.user_id;
		paraMap["zj_account"] = param.zj_account;
	
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	 }

	 /**
	 * 云柜台|修改委托方式
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	 mobileService.editDelegate = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004161";
		paraMap["user_id"] = param.user_id;
		paraMap["zj_account"] = param.zj_account;
		paraMap["change_type"] = param.change_type;
		paraMap["entrust_code"] = param.entrust_code;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	 }

	 /**
	 * 云柜台|获取三方存管、风险测评、证件照片、委托方式相关信息
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	 mobileService.getRsikInfo = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004163";
		paraMap["user_id"] = param.user_id;
		paraMap["zj_account"] = param.zj_account;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	 }

	 /**
     	 * 云柜台|查询资产信息
     	 * @param param json格式入参
     	 * @param callback 回调处理
     	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
     	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
     	 */
     	 mobileService.queryAssetInfo = function(param,callback,ctrlParam) {
     	    var paraMap = {};
     		paraMap["funcNo"] = "1004142";
     		paraMap["user_id"] = param.user_id;
     		paraMap["zj_account"] = param.zj_account;

     		var reqParamVo = new service.ReqParamVo();
     		reqParamVo.setUrl(global.serverPath);
     		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
     	 };

     	 /**
     	 * 云柜台|查询持仓信息
     	 * @param param json格式入参
     	 * @param callback 回调处理
     	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
     	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
     	 */
     	 mobileService.queryMyPosition = function(param,callback,ctrlParam) {
     	    var paraMap = {};
     		paraMap["funcNo"] = "1004193";
     		paraMap["user_id"] = param.user_id;
     		paraMap["account_type"] = param.account_type;
     		paraMap["qryflag"] = param.qryflag;
     		paraMap["numPerPage"] = param.numPerPage;

     		var reqParamVo = new service.ReqParamVo();
     		reqParamVo.setUrl(global.serverPath);
     		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
     	 };

     	 /**
     	 * 云柜台|查询近三月账户账单信息
     	 * @param param json格式入参
     	 * @param callback 回调处理
     	 * @param fundid 资金账号
     	 * @param strdate 起止日期
     	 * @param enddate 终止日期
     	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
     	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
     	 */
     	 mobileService.queryBillInfo = function(param,callback,ctrlParam) {
     	    var paraMap = {};
     		paraMap["funcNo"] = "1004425";
     		paraMap["user_id"] = param.user_id;
     		paraMap["fundid"] = param.fundid;
     		paraMap["strdate"] = param.strdate;
     		paraMap["enddate"] = param.strdate;

     		var reqParamVo = new service.ReqParamVo();
     		reqParamVo.setUrl(global.serverPath);
     		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
     	 }

     	 /**
 		 * 云柜台|查询近三月账户账单信息
 		 * @param param json格式入参
 		 * @param callback 回调处理
 		 * @param fundid 资金账号
 		 * @param strdate 起止日期
 		 * @param enddate 终止日期
 		 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
 		 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
 		 */
 		 mobileService.queryAccountBack = function(param,callback,ctrlParam) {
 		    var paraMap = {};
 			paraMap["funcNo"] = "1004425";
 			paraMap["user_id"] = param.user_id;
 			paraMap["fundid"] = param.fundid;
 			paraMap["strdate"] = param.strdate;
 			paraMap["enddate"] = param.strdate;

 			var reqParamVo = new service.ReqParamVo();
 			reqParamVo.setUrl(global.serverPath);
 			commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
 		 }
            /**
             * 云柜台|我的资产信息------资产首页
             * @param param json格式入参
             * @param callback 回调处理
             * @param fundid 资金账号
             * @param strdate 起止日期
             * @param enddate 终止日期
             * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
             * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
             */
            mobileService.queryAccountShow = function(param,callback,ctrlParam) {
                var paraMap = {};
                paraMap["funcNo"] = "1004426";
                paraMap["user_id"] = param.user_id;
                var reqParamVo = new service.ReqParamVo();
                reqParamVo.setUrl(global.serverPath);
                commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
            }
 		 /**
 		     * 云柜台|获取我的证券资产总览
 		     * @param param json格式入参
 		     * @param callback 回调处理
 		     * @param fundid 资金账号
 		     * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
 		     * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
 		     */
 		    mobileService.queryStkAccount = function(param,callback,ctrlParam) {
 		        var paraMap = {};
 		        paraMap["funcNo"] = "1004427";
 		        console.log("yangrui________"+param.user_id);
 		        paraMap["user_id"] = param.user_id;

 		        var reqParamVo = new service.ReqParamVo();
 		        reqParamVo.setUrl(global.serverPath);
 		        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
 		    }
 		/**
	     * 云柜台|查询我的信用资产（总览）
	     * @param param json格式入参
	     * @param callback 回调处理
	     * @param fundid 资金账号
	     * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	     * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	     */
	    mobileService.queryMycreditAsset = function(param,callback,ctrlParam) {
	        var paraMap = {};
	        paraMap["funcNo"] = "1004520";
	        paraMap["user_id"] = param.user_id;
	        paraMap["fund_account"] = param.zj_account;

	        var reqParamVo = new service.ReqParamVo();
	        reqParamVo.setUrl(global.serverPath);
	        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	    }
	    /**
	     * 云柜台|查询我的信用负债详情（总览）
	     * @param param json格式入参
	     * @param callback 回调处理
	     * @param fundid 资金账号
	     * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	     * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	     */
	    mobileService.creditDetails = function(param,callback,ctrlParam) {
	        var paraMap = {};
	        paraMap["funcNo"] = "1004523";
	        paraMap["user_id"] = param.user_id;
	        paraMap["fund_account"] = param.zj_account;

	        var reqParamVo = new service.ReqParamVo();
	        reqParamVo.setUrl(global.serverPath);
	        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	    }
     /**
     	 * 云柜台|三方存管-充值/提现
     	 * @param param json格式入参
     	 * @param callback 回调处理
     	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
     	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
     	 */
     	 mobileService.handleMoney = function(param,callback,ctrlParam) {
     	    var paraMap = {};
     		paraMap["funcNo"] = "1004149";
     		paraMap["user_id"] = param.user_id;
     		paraMap["fund_account"] = param.fund_account;
     		paraMap["op_account"] = param.op_account;
     		paraMap["transfer_balance"] = param.money;
     		paraMap["password"] = param.PINCode;
     		paraMap["bank_code"] = param.bank_code;
     		paraMap["flag"] = param.flag;
     		paraMap["money_type"] = param.money_type;
     		paraMap["bankNum"] = param.bankNum;

     		var reqParamVo = new service.ReqParamVo();
     		reqParamVo.setUrl(global.serverPath);
     		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
     	 }
     /**
     	 * 云柜台|根据资金账户获取绑定的银行卡
     	 * @param param json格式入参
     	 * @param callback 回调处理
     	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
     	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
     	 */
     	mobileService.getBankList = function(param,callback,ctrlParam) {
     	    var paraMap = {};
     		paraMap["funcNo"] = "1004134";
     		paraMap["user_id"] = param.user_id;
     		paraMap["zj_account"] = param.zj_account;
     		paraMap["flag_status"] = param.flag_status;

     		var reqParamVo = new service.ReqParamVo();
     		reqParamVo.setUrl(global.serverPath);
     		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
         }
     /**
     	 * 云柜台|根据资金账户获取绑定的银行卡
     	 * @param param json格式入参
     	 * @param callback 回调处理
     	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
     	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
     	 */
     	 mobileService.getAllBankList = function(param,callback,ctrlParam) {
     	    var paraMap = {};
     		paraMap["funcNo"] = "1004135";
     		paraMap["business_code"] = param.business_code;
     		paraMap["bindtype"] = param.bindtype;
     		paraMap["ispwd"] = param.ispwd;

     		var reqParamVo = new service.ReqParamVo();
     		reqParamVo.setUrl(global.serverPath);
     		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
         }
    /**
     * 云柜台|根据行业持仓信息显示
     * @param param json格式入参
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
     * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
     */
    mobileService.getPosition = function(param,callback,ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004436";
        paraMap["user_id"] = param.user_id;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }


    /**
     * 云柜台|理财账户资产信息——————
     * @param param json格式入参
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
     * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
     */
    mobileService.getliAccount = function(param,callback,ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004437";
        paraMap["user_id"] = param.user_id;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
    
    /**
	 * 港股通|添加港股通跑批任务
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.openAccount = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004205";
		paraMap["user_id"] = param.user_id;
		paraMap["trdaccount"] = param.trdaccount;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}

    /**
     * 港股通|选择需要开通港股通的交易帐号
     * @param param json格式入参
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
     * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
     */
    mobileService.getStockHolder = function(param,callback,ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004208";
        paraMap["user_id"] = param.user_id;
        console.log("yangrui"+param.trdaccount);
        paraMap["trdaccount"] = param.trdaccount;    //入口

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	/**
	 * 港股通|添加港股通确认按钮
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.queRenOpen = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004209";
		paraMap["user_id"] = param.user_id;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
    /**
     * 港股通|国债逆回购权限办理数据获取
     * @param param json格式入参
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
     * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
     */
    mobileService.getGznhg = function(param,callback,ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004432";
        paraMap["user_id"] = param.user_id;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }

    /**
     * 港股通|修改问卷流程状态
     * @param param json格式入参
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
     * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
     */
    mobileService.xiuGaijuan = function(param,callback,ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004202";
        paraMap["user_id"] = param.user_id;
        paraMap["survey_type"] = param.survey_type;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }

    /**
     * 港股通|选择需要开通港股通的交易帐号
     * @param param json格式入参
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
     * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
     */
    mobileService.getGuoZh = function(param,callback,ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004435";
        paraMap["user_id"] = param.user_id;
        console.log("yangrui"+param.trdaccount);
        paraMap["trdaccount"] = param.trdaccount;    //入口
        paraMap["jsondata"] = param.jsondata;    //入口
        paraMap["checksign"] = param.checksign;    //入口
        paraMap["certType"] = param.certType;    //入口

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
    
    /**
     * 创业板|提交选择的深A账户
     * @param param json格式入参
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
     * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
     */
    mobileService.submitSzaAccount = function(param,callback,ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004029";
        paraMap["user_id"] = param.user_id;
        paraMap["trdaccount"] = param.trdaccount;    //入口
		paraMap["emergency_name"] = param.emergency_name;
		paraMap["emergency_mobile"] = param.emergency_mobile;
		paraMap["emergency_relation"] = param.emergency_relation;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }




	/**
	 *消息管理获取所有的消息
	 *功能号 1004143
	 * @param param json格式入参
	 * @param user_id 用户编号
	 * @param current_page 当前页
	 * @param page_count 每页显示的总条数
	 * @param read_status 消息状态标示
	 */
	mobileService.showMessages = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004143";
		paraMap["user_id"] = param.user_id;
		paraMap["current_page"] = param.current_page;
		paraMap["page_count"] = param.page_count;
		paraMap["read_status"] = param.read_status;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback,ctrlParam,reqParamVo);
	}

	/**
	 *根据用户编号获得用户的详细信息
	 *功能号 1004160
	 * @param param json格式入参
	 * @param user_id 用户编号
	 */
	mobileService.getUserInfo = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004160";
		paraMap["user_id"] = param.user_id;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback,ctrlParam, reqParamVo);
	}
	/**
	 *证券账户-获取三方存管，风险测评，证件照片，委托方式
	 *功能号 1004146
	 * @param param json格式入参
	 * @param user_id 用户编号
	 * @param zj_account 资金账号、

	 */
	mobileService.zqaccountinfor = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004146";
		paraMap["user_id"] = param.user_id;
		paraMap["zj_account"] = param.zj_account;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback,ctrlParam, reqParamVo);
	}
	/**
	 * 我的账户-根据账户号对账户进行管理(上证指数)
	 *功能号 1004147
	 * @param param json格式入参
	 * @param user_id 用户编号
	 * @param account 账户账号、

	 */
	mobileService.Accountmanager = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004147";
		paraMap["user_id"] = param.user_id;
		paraMap["account"] = param.trdaccount;    //入口
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback,ctrlParam, reqParamVo);
	}
	/**
	 * 我的账户-指定/撤销指定操作
	 * 我的账户-1004148
	 * @param param json格式入参
	 * @param user_id 用户编号
	 * @param zj_account 资金账号
	 * @param gd_account 股东账号
	 * @param flag 指定撤销指定
	 */
	mobileService.Handle = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004148";
		paraMap["user_id"] = param.user_id;
		paraMap["zj_account"] = param.zj_account;
		paraMap["gd_account"] = param.gd_account;
		paraMap["flag"] = param.flag;  //入口
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);m
		commonInvoke(paraMap, callback,ctrlParam, reqParamVo);
	}
	/**
	 * 获取我的业务办理记录
	 * 我的账户-1004438
	 * @param param json格式入参
	 * @param user_id 用户编号
	 */
	mobileService.queryBusinessInfo = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004438";
		paraMap["user_id"] = param.user_id;
		paraMap["business_code"] = param.business_code;
		paraMap["state"] = param.state;
		paraMap["business_id"] = param.business_id;
		paraMap["cur_page"] = param.cur_page;
		paraMap["num_per_page"] = param.num_per_page;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback,ctrlParam, reqParamVo);
	}
	/**
	 * 修改交易密码
	 * 我的账户-1004133
	 * @param param json格式入参
	 * @param user_id 用户编号
	 */
	mobileService.AlterPwd = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004133";
		paraMap["user_id"] = param.user_id;
		paraMap["zj_account"] = param.zj_account;;
		paraMap["oldPassword"] = param.oldPassword;
		paraMap["jy_password"] = param.jy_password;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback,ctrlParam, reqParamVo);
	}
	/**
	 * 修改资金密码
	 * 我的账户-1004162
	 * @param param json格式入参
	 * @param user_id 用户编号
	 */
	mobileService.Moneypwd = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004162";
		paraMap["user_id"] = param.user_id;
		paraMap["zj_account"] = param.zj_account;;
		paraMap["oldPassword"] = param.oldPassword;
		paraMap["zj_password"] = param.zj_password;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback,ctrlParam, reqParamVo);
	}
	/**
	 * 根据资金账户获得账户信息
	 * 我的账户-1004164
	 * @param param json格式入参
	 * @param user_id 用户编号
	 */
	mobileService.AccountInfo = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004164";
		paraMap["user_id"] = param.user_id;
		paraMap["zj_account"] = param.zj_account;;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback,ctrlParam, reqParamVo);
	}
	/**
	 *证券账户--获取三方存管
	 * 我的账户-1004163
	 * @param param json格式入参
	 * @param user_id 用户编号
	 */
	mobileService.ZQaccount= function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004163";
		paraMap["user_id"] = param.user_id;
		paraMap["zj_account"] = param.zj_account;;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback,ctrlParam, reqParamVo);
	}
	/**
	 *消息删除
	 * 我的账户-1004163
	 * @param param json格式入参
	 * @param user_id 用户编号
	 */
	mobileService.Infordelete= function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004174";
		paraMap["user_id"] = param.user_id;
		paraMap["message_id"] = param.message_id;;
		paraMap["message_status"] = param.message_status;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback,ctrlParam, reqParamVo);
	}

	/**
	 * 自助中心登录首页
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	 mobileService.AllInfor = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004142";
		paraMap["user_id"] = param.user_id;
		paraMap["zj_account"] = param.zj_account;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}

	 /**
	 *根据用户编号取得该用户下所有的交易账号信息
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.GetdealInfor = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004140";
		paraMap["user_id"] = param.user_id;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}

	/********************************增开接口开始********************************/

	 /**
	 *  增开---获取业务办理数据
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.queryResult = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004310";
		paraMap["user_id"] = param.user_id;


		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 功能：增开----获取业务办理数据，初始化业务数据(1004300)
		 * 参数: callBackFunc:回调函数
		 * 		user_id： 用户编号
		 */
	 mobileService.queryHasAccount = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004300";
		paraMap["user_id"] = param.user_id;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	 }
	/**
	 * 功能：增开---业务办理完成确认(1004309)
		 * 参数: callBackFunc:回调函数
		 * 		user_id： 用户编号
		 */
	 mobileService.Complete = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004309";
		paraMap["user_id"] = param.user_id;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	 }
	 /**
	 * 增开添加跑批
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.submitAccount = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004311";
		paraMap["user_id"] = param.user_id;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 增开|验签，增开-选择股东帐号
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.checkSignAgmentcom = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004308";
		paraMap["stkbd"] = param.stkbd;
		paraMap["user_id"] = param.user_id;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 增开|验签，修改签名标识状态
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.checkSignAgment = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004306";
		paraMap["user_id"] = param.user_id;
		paraMap["jsondata"] = param.jsondata;
		paraMap["checksign"] = param.checksign;
		paraMap["sign_source_flag"] = param.sign_source_flag;
		paraMap["certType"] = param.certType;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}

	/********************************增开接口结束********************************/

	
	/********************开通权限接口开始 added at 2015/09/11 begin yanwr**********************/

	/**
	 * LOF权限开通|LOF权限办理数据获取
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.queryLOFData = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004442";
		paraMap["user_id"] = param.user_id;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * LOF权限开通|LOF权限办理申请
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.applyLOF = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004443";
		paraMap["user_id"] = param.user_id;
		paraMap["trdaccount"] = param.trdaccount;
		paraMap["jsondata"] = param.jsondata;
		paraMap["checksign"] = param.checksign;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * LOF权限开通|LOF权限办理结果确认
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.confirmLOF = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004455";
		paraMap["user_id"] = param.user_id;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 大宗交易权限开通|大宗交易权限办理数据获取
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.queryBlockTradeData = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004464";
		paraMap["user_id"] = param.user_id;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 大宗交易权限开通|大宗交易权限办理申请
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.applyBlockTrade = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004465";
		paraMap["user_id"] = param.user_id;
		paraMap["jsondata"] = param.jsondata;
		paraMap["checksign"] = param.checksign;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 大宗交易权限开通|大宗交易权限办理结果确认
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.confirmBlockTrade = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004466";
		paraMap["user_id"] = param.user_id;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 国债逆回购权限开通|国债逆回购权限办理数据获取
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.queryNationalDebtData = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004432";
		paraMap["user_id"] = param.user_id;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 国债逆回购权限开通|国债逆回购权限办理申请
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.applyNationalDebt = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004435";
		paraMap["user_id"] = param.user_id;
		paraMap["trdaccount"] = param.trdaccount;
		paraMap["jsondata"] = param.jsondata;
		paraMap["checksign"] = param.checksign;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 国债逆回购权限开通|国债逆回购权限办理结果确认
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.confirmNationalDebt = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004452";
		paraMap["user_id"] = param.user_id;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 黄金ETF权限开通|黄金ETF权限办理数据获取
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.queryGoldETFData = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004444";
		paraMap["user_id"] = param.user_id;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 黄金ETF权限开通|黄金ETF权限办理申请
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.applyGoldETF = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004445";
		paraMap["user_id"] = param.user_id;
		paraMap["trdaccount"] = param.trdaccount;
		paraMap["jsondata"] = param.jsondata;
		paraMap["checksign"] = param.checksign;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 黄金ETF权限开通|黄金ETF权限办理结果确认
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.confirmGoldETF = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004456";
		paraMap["user_id"] = param.user_id;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 旧三板权限开通|旧三板权限办理数据获取
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.queryOldTBMData = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004458";
		paraMap["user_id"] = param.user_id;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 *旧三板权限开通|旧三板权限办理申请
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.applyOldTBM = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004449";
		paraMap["user_id"] = param.user_id;
		paraMap["jsondata"] = param.jsondata;
		paraMap["checksign"] = param.checksign;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 旧三板权限开通|旧三板权限办理结果确认
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.confirmOldTBM = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004450";
		paraMap["user_id"] = param.user_id;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 旧三板权限开通|旧三板权限办理结果确认
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.queryOldThirdBoardMarketCondition = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004448";
		paraMap["user_id"] = param.user_id;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 新三板权限开通|新三板权限办理数据获取
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.queryNewTBMData = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004462";
		paraMap["user_id"] = param.user_id;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 *新三板权限开通|新三板权限办理申请
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.applyNewTBM = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004460";
		paraMap["user_id"] = param.user_id;
		paraMap["jsondata"] = param.jsondata;
		paraMap["checksign"] = param.checksign;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 新三板权限开通|新三板权限办理结果确认
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.confirmNewTBM = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004461";
		paraMap["user_id"] = param.user_id;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 新三板权限开通|获取业务办理条件(1004459)
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.queryNewThirdBoardMarketCondition = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004459";
		paraMap["user_id"] = param.user_id;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 风险警示权限开通|风险警示权限办理数据获取
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.queryRiskWarningData = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004434";
		paraMap["user_id"] = param.user_id;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 风险警示权限开通|风险警示权限办理申请
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.applyRiskWarning = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004171";
		paraMap["user_id"] = param.user_id;
		paraMap["trdaccount"] = param.trdaccount;
		paraMap["jsondata"] = param.jsondata;
		paraMap["checksign"] = param.checksign;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 风险警示权限开通|风险警示权限办理结果确认
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.confirmRiskWarning = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004454";
		paraMap["user_id"] = param.user_id;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 跨境ETF权限开通|跨境ETF权限办理数据获取
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.queryCrossBorderETFData = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004446";
		paraMap["user_id"] = param.user_id;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 跨境ETF权限开通|跨境ETF权限办理申请
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.applyCrossBorderETF = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004447";
		paraMap["user_id"] = param.user_id;
		paraMap["jsondata"] = param.jsondata;
		paraMap["checksign"] = param.checksign;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 跨境ETF权限开通|跨境ETF权限办理结果确认
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.confirmCrossBorderETF = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004457";
		paraMap["user_id"] = param.user_id;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 退市整理股票权限开通|退市整理股票权限办理数据获取
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.queryFinishingStockData = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004433";
		paraMap["user_id"] = param.user_id;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 退市整理股票权限开通|退市整理股票权限办理申请
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.applyFinishingStock = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004172";
		paraMap["user_id"] = param.user_id;
		paraMap["trdaccount"] = param.trdaccount;
		paraMap["jsondata"] = param.jsondata;
		paraMap["checksign"] = param.checksign;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 退市整理股票权限开通|退市整理股票权限办理结果确认
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.confirmFinishingStock = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004453";
		paraMap["user_id"] = param.user_id;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}

	/**
	 * 大额取款预约|大额取款预约办理情况查询
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.largeWithdrawalReservationQuery = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004486";
		paraMap["user_id"] = param.user_id;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 大额取款预约|大额取款预约办理提交
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.largeWithdrawalReservationSubmit = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004487";
		paraMap["user_id"] = param.user_id;
		paraMap["amount"] = param.amount;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 大额取款预约|大额取款预约办理确认
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.largeWithdrawalReservationConfirm = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004488";
		paraMap["user_id"] = param.user_id;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	
	/**
	 * OTC开户|OTC开户办理情况查询
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.otcQuery = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004463";
		paraMap["user_id"] = param.user_id;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * OTC开户|OTC开户提交
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.otcSubmit = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004440";
		paraMap["user_id"] = param.user_id;
		paraMap["fund_account"] = param.fund_account;
		paraMap["jsondata"] = param.jsondata;
		paraMap["macaddr"] = param.macaddr;
		paraMap["ipaddr"] = param.ipaddr;
		paraMap["sign_source_flag"] = param.sign_source_flag;
		paraMap["checksign"] = param.checksign;
		paraMap["cert_type"] = param.cert_type;
		paraMap["otccodes"] = param.otccodes;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
		
	/**
	 * OTC开户|OTC开户办理确认
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.otcConfirm = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004451";
		paraMap["user_id"] = param.user_id;
		paraMap["fund_account"] = param.fund_account;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	
	/********************开通权限接口开始 added at 2015/09/11 end yanwr**********************/

	/********************修改成本价接口开始 added at 2015/09/22 begin yanwr******************/
	/**
	 * 修改成本价|根据证券代码查询证券代码信息
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.queryStockInfo = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004467";
		paraMap["user_id"] = param.user_id;
		paraMap["stkcode"] = param.stkcode;
		paraMap["fund_account"] = param.fund_account;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/**
	 * 修改成本价|修改成本价
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.modifyCost = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004468";
		paraMap["user_id"] = param.user_id;
		paraMap["stkcodes"] = param.stkcodes;
		paraMap["fund_account"] = param.fund_account;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/********************修改成本价接口结束 added at 2015/09/22 end yanwr******************/

	 /**
	 * 云柜台|获取委托方式
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	 mobileService.getDelegate = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004151";
		paraMap["user_id"] = param.user_id;
		paraMap["zj_account"] = param.zj_account;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	 }
	 
	 /**
	 * 云柜台|根据资金账户获取绑定的银行卡
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.getBankList = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004134";
		paraMap["user_id"] = param.user_id;
		paraMap["zj_account"] = param.zj_account;
		paraMap["flag_status"] = param.flag_status;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	 /**
	 * 云柜台|查询用户电子签名约定书是否签署
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.contractFlag = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004474";
		paraMap["user_id"] = param.user_id;
		paraMap["fund_account"] = param.zj_account;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	/**
	 * 云柜台|签署协议，申请电子签名约定书
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.signProtocol = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004475";
		paraMap["user_id"] = param.user_id;
		paraMap["fund_account"] = param.fund_account;
		paraMap["jsondata"] = param.jsondata;
		paraMap["macaddr"] = param.macaddr;
		paraMap["ipaddr"] = param.ipaddr;
		paraMap["checksign"] = param.checksign;
		paraMap["sign_source_flag"] = param.sign_source_flag;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	 /**
	 * 云柜台|修改三方存管绑定银行
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.updateThirdDepository = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004526";
		paraMap["user_id"] = param.user_id;
		paraMap["business_id"] = param.business_id;
		paraMap["bankcode"] = param.bankcode;
		paraMap["banknum"] = param.banknum;
		paraMap["bank_password"] = param.bank_password;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	 /**
	 * 云柜台|解绑银行卡信息
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.delectBankCard = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004137";
		paraMap["user_id"] = param.user_id;
		paraMap["fund_account"] = param.fund_account;
		paraMap["password"] = param.password;
		paraMap["bankcode"] = param.bankcode;
		paraMap["op_account"] = param.op_account;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	 /**
	 * 云柜台|更换银行卡信息
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.changeBankCard = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004525";
		paraMap["user_id"] = param.user_id;
		paraMap["fund_account"] = param.fund_account;
		paraMap["zj_password"] = param.password;
		paraMap["bankcode"] = param.bankcode;
		paraMap["op_account"] = param.op_account;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	 /**
	 * 云柜台|修改三方存管绑定银行
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.interestJieSuan = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004495";
		paraMap["user_id"] = param.user_id;
		paraMap["fund_account"] = param.fund_account;
		paraMap["bankcode"] = param.bankcode;
		paraMap["op_account"] = param.op_account;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	
    /**
	 * 云柜台|获取数字证书"申请"业务办理数据
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.getBusiInfo = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004413";
		paraMap["user_id"] = param.user_id;
		paraMap["cert_type"] = param.cert_type;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}

	/**
	 * 云柜台|查询数据字典身份证影像类型(1004403)
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.getIdCardTypePublic = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004403";
		paraMap["business_code"] = param.business_code;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}

	/**
	 * 云柜台|客户端证书--证书申请--数字证书申请---身份证上传 (1004414)
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.userCertApplyUploadImage = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004414";
		paraMap["user_id"] = param.user_id;
		paraMap["img_data"] = param.img_data;
		paraMap["img_type"] = param.img_type;
		paraMap["cert_type"] = param.cert_type;
		paraMap["need_ocr"] = param.need_ocr;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}

	/**
	 * 云柜台|申请证书 --- 验签，身份证照片上传确认 (1004521)
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.userCertApplyUploadImageSubmit = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004521";
		paraMap["user_id"] = param.user_id;
		paraMap["cert_type"] = param.cert_type;
		paraMap["jsondata"] = param.jsondata;
		paraMap["macaddr"] = param.macaddr;
		paraMap["ipaddr"] = param.ipaddr;
		paraMap["checksign"] = param.checksign;
		paraMap["sign_source_flag"] = param.sign_source_flag;
		paraMap["name"] = param.name;
		paraMap["sex"] = param.sex;
		paraMap["birthday"] = param.birthday;
		paraMap["papers_addr"] = param.papers_addr;
		paraMap["validity_begin"] = param.validity_begin;
		paraMap["validity_end"] = param.validity_end;
		paraMap["sign_office"] = param.sign_office;
		paraMap["ethnicname"] = param.ethnicname;
		paraMap["identity_num"] = param.identity_num;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}

	/**
	 * 云柜台|申请证书 --- 验签，身份证照片上传确认 (1004522)
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.userCertApplyInfoSubmit = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004522";
		paraMap["user_id"] = param.user_id;
		paraMap["cert_type"] = param.cert_type;
		paraMap["name"] = param.name;
		paraMap["sex"] = param.sex;
		paraMap["birthday"] = param.birthday;
		paraMap["papers_addr"] = param.papers_addr;
		paraMap["validity_begin"] = param.validity_begin;
		paraMap["validity_end"] = param.validity_end;
		paraMap["sign_office"] = param.sign_office;
		paraMap["ethnicname"] = param.ethnicname;
		paraMap["identity_num"] = param.identity_num;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/********************************债券专业投资者 开始********************************/
	
	/**
	 * 1004527 债券专业投资者 --- 获取业务办理条件和帐号权限数据
	 * @param param 
	 * @param callback
	 * @param ctrlParam
	 */
	mobileService.readBusinessAndAccountData = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004527";
		paraMap["user_id"] = param.user_id;
		paraMap["fund_account"] = param.fund_account;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 1004528 债券专业投资者 --- 业务知识测评
	 * @param param 
	 * @param callback
	 * @param ctrlParam
	 */
	mobileService.submitKnowledgeQuestionnaire = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004528";
		paraMap["user_id"] = param.user_id;
		paraMap["fund_account"] = param.fund_account;
		paraMap["answerStr"] = param.answerStr;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 1004529 债券专业投资者 --- 选择帐号
	 * @param param 
	 * @param callback
	 * @param ctrlParam
	 */
	mobileService.submitChooseAccount = function(param,callback,ctrlParam) {
		var paraMap = param || {};
		paraMap["funcNo"] = "1004529";
		paraMap["user_id"] = param.user_id;
		paraMap["fund_account"] = param.fund_account;
		paraMap["trdaccount"] = param.trdaccount;
		paraMap["jsondata"] = param.jsondata;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 1004530 债券专业投资者 --- 获取业务办理数据
	 * @param param
	 * @param callback
	 * @param ctrlParam
	 */
	mobileService.readBusinessData = function(param,callback,ctrlParam) {
		var paraMap = param || {};
		paraMap["funcNo"] = "1004530";
		paraMap["user_id"] = param.user_id;
		paraMap["fund_account"] = param.fund_account;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 1004531 债券专业投资者 --- 获取帐号数据
	 * @param param
	 * @param callback
	 * @param ctrlParam
	 */
	mobileService.readAccountData = function(param,callback,ctrlParam) {
		var paraMap = param || {};
		paraMap.funcNo = "1004531";
		paraMap["user_id"] = param.user_id;
		paraMap["fund_account"] = param.fund_account;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 1004532 债券专业投资者---业务办理完成确认
	 * @param param 
	 * @param callback
	 * @param ctrlParam
	 */
	mobileService.submitBusinessCompletion = function(param,callback,ctrlParam) {
		var paraMap = param || {};
		paraMap.funcNo = "1004532";
		paraMap["user_id"] = param.user_id;
		paraMap["fund_account"] = param.fund_account;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}


	/********************************债券专业投资者 结束********************************/
	
	/*******************************股东户加挂 开始********************************/
	/**
	 *  股东户加挂---获取业务办理数据
	 * @param param 
	 * @param callback
	 * @param ctrlParam
	 */
	mobileService.selectShareHolder = function(param,callback,ctrlParam) {
		var paraMap = param || {};
		paraMap.funcNo = "1004469";
		paraMap["user_id"] = param.user_id;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 股东户加挂---提交账号
	 * @param param 
	 * @param callback
	 * @param ctrlParam
	 */
	mobileService.submitShareHolder = function(param,callback,ctrlParam) {
		var paraMap = param || {};
		paraMap.funcNo = "1004183";
		paraMap["user_id"] = param.user_id;
		paraMap["checksign"] = param.checksign;
		paraMap["trdaccount"] = param.trdaccount;
		paraMap["jsondata"] = param.jsondata;


		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 股东户加挂---确认结果
	 * @param param 
	 * @param callback
	 * @param ctrlParam
	 */
	mobileService.submitBusinessShareHolder = function(param,callback,ctrlParam) {
		var paraMap = param || {};
		paraMap.funcNo = "1004470";
		paraMap["user_id"] = param.user_id;
		paraMap["fund_account"] = param.fund_account;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 股东户加挂---获取中登时间
	 * @param param 
	 * @param callback
	 * @param ctrlParam
	 */
	mobileService.selectTimeZD = function(param,callback,ctrlParam) {
		var paraMap = param || {};
		paraMap.funcNo = "1004411";

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/********************************股东户加挂 结束********************************/
	
	/*******************************指定交易 开始********************************/
	/**
	 *  指定交易---获取业务办理数据
	 * @param param 
	 * @param callback
	 * @param ctrlParam
	 */
	mobileService.selectAppointTrade = function(param,callback,ctrlParam) {
		var paraMap = param || {};
		paraMap.funcNo = "1004471";
		paraMap["user_id"] = param.user_id;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 指定交易---提交账号
	 * @param param 
	 * @param callback
	 * @param ctrlParam
	 */
	mobileService.submitAppointTrade = function(param,callback,ctrlParam) {
		var paraMap = param || {};
		paraMap.funcNo = "1004472";
		paraMap["user_id"] = param.user_id;
		paraMap["checksign"] = param.checksign;
		paraMap["trdaccount"] = param.trdaccount;
		paraMap["jsondata"] = param.jsondata;


		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 指定交易---确认结果
	 * @param param 
	 * @param callback
	 * @param ctrlParam
	 */
	mobileService.submitBusinessAppointTrade = function(param,callback,ctrlParam) {
		var paraMap = param || {};
		paraMap.funcNo = "1004473";
		paraMap["user_id"] = param.user_id;
		paraMap["fund_account"] = param.fund_account;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/********************************指定交易 结束********************************/
	/*******************************基金开户 开始********************************/
	/**
	 * 基金开户--- 查询用户基金公司开户状态
	 * @param param 
	 * @param callback
	 * @param ctrlParam
	 */
	mobileService.getSurveyFundOpen = function(param,callback,ctrlParam) {
		var paraMap = param || {};
		paraMap.funcNo = "1004489";
		paraMap["user_id"] = param.user_id;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 基金开户--- 查询用户基金公司开户状态
	 * @param param 
	 * @param callback
	 * @param ctrlParam
	 */
	mobileService.getSurveyQuestionFundOpen = function(param,callback,ctrlParam) {
		var paraMap = param || {};
		paraMap.funcNo = "1004490";
		paraMap["user_id"] = param.user_id;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 基金开户--- 查询用户基金公司开户状态
	 * @param param 
	 * @param callback
	 * @param ctrlParam
	 */
	mobileService.getSubmitFundOpen = function(param,callback,ctrlParam) {
		var paraMap = param || {};
		paraMap.funcNo = "1004491";
		paraMap["user_id"] = param.user_id;
		paraMap["answer"] = param.answer;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 基金开户--- 查询用户基金公司开户状态
	 * @param param 
	 * @param callback
	 * @param ctrlParam
	 */
	mobileService.selectFundOpen = function(param,callback,ctrlParam) {
		var paraMap = param || {};
		paraMap.funcNo = "1004188";
		paraMap["user_id"] = param.user_id;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 基金开户--- 基金开户
	 * @param param 
	 * @param callback
	 * @param ctrlParam
	 */
	mobileService.submitFundOpen = function(param,callback,ctrlParam) {
		var paraMap = param || {};
		paraMap.funcNo = "1004190";
		paraMap["user_id"] = param.user_id;
		paraMap["address"] = param.address;
		paraMap["postcode"] = param.postcode;
		paraMap["mobile"] = param.user_id;
		paraMap["email"] = param.email;
		paraMap["occupational"] = param.occupational;
		paraMap["adapter"] = param.adapter;
		paraMap["tacodes"] = param.tacodes;
		

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	
	/********************************基金开户 结束********************************/
	
	
	/********************************两融预约开户    开始********************************/
	
	/**
	 * 云柜台|融资融券预约 --- 获取业务办理条件 (1004537)
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.twoFinancialPost = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004537";
		paraMap["user_id"] = param.user_id;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 云柜台|融资融券预约 ---  查询业务办理数据 (1004538)
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.twoBusinessManagement = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004538";
		paraMap["user_id"] = param.user_id;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 云柜台|融资融券预约 ---  校验预留手机号并发送短信 (1004548)
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.checkPhoneNum = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004548";
		paraMap["user_id"] = param.user_id;
		paraMap["mobile"] = param.mobile;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 云柜台|融资融券预约 ---  预留手机号短信校验,生成业务办理数据 (1004549)
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.checkPhoneCode = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004549";
		paraMap["user_id"] = param.user_id;
		paraMap["mobile_code"] = param.mobile_code;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 云柜台|融资融券预约 ---  校验预留手机号并发送短信 (1004548)
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.checkInvestorsEducation = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004539";
		paraMap["user_id"] = param.user_id;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 云柜台|融资融券预约 ---  校验预留手机号并发送短信 (1004552)
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.twoFinancialProcess = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004552";
		paraMap["user_id"] = param.user_id;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 云柜台|融资融券预约 ---  视频教育确认完成，同时查询风险测评是否满足要求 (1004539)
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.twoInvestorsEducation = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004539";
		paraMap["user_id"] = param.user_id;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 云柜台|融资融券预约 ---  提交风险测评（提交到本地数据库）
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.twoSubmitTestAnswer = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004540";
		paraMap["user_id"] = param.user_id;
		paraMap["answerStr"] = param.answerStr;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 云柜台|融资融券预约 ---  提交业务知识测评
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.twoSubmitKnowledge = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004541";
		paraMap["user_id"] = param.user_id;
		paraMap["answerStr"] = param.answerStr;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 云柜台|融资融券预约 ---  提交征信问卷
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.twoSubmitCreditCp = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004542";
		paraMap["user_id"] = param.user_id;
		paraMap["answerStr"] = param.answerStr;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 云柜台|融资融券预约 ---  校验第三方接口风险测评是否通过
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.twoSelectRiskInfo = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004543";
		paraMap["user_id"] = param.user_id;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 云柜台|融资融券预约 ---  获取综合等分
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.twoSelectZhfs = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004544";
		paraMap["user_id"] = param.user_id;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 云柜台|融资融券预约 ---  提交额度
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.twoSumbitCreditMoney = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004545";
		paraMap["user_id"] = param.user_id;
		paraMap["answerStr"] = param.answerStr;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 云柜台|融资融券预约 ---  提交用户董监高信息 
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.twoSumbitCPSE = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004547";
		paraMap["user_id"] = param.user_id;
		paraMap["relatedperson_choice"] = param.relatedperson_choice;
		paraMap["relatedperson_name"] = param.relatedperson_name;
		paraMap["relatedperson_account"] = param.relatedperson_account;
		paraMap["shareholder_choice"] = param.shareholder_choice;
		paraMap["publiccompany_choice"] = param.publiccompany_choice;
		paraMap["publiccompany_name"] = param.publiccompany_name;
		paraMap["restrictedstock_choice"] = param.restrictedstock_choice;
		paraMap["restrictedstockList"] = param.restrictedstockList;
		paraMap["coupons_type"] = param.coupons_type;
		paraMap["entrust_type"] = param.entrust_type;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 云柜台|融资融券预约 ---  查询用户信用证券帐号和普通证券帐号状态
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.twoSelectAccountXy = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004550";
		paraMap["user_id"] = param.user_id;
		paraMap["answerStr"] = param.answerStr;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/**
	 * 云柜台|融资融券预约 --- 选择市场，签署协议
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.sumbitAccountXy = function(param,callback,ctrlParam) {
		var paraMap = {};
		paraMap["funcNo"] = "1004551";
		paraMap["user_id"] = param.user_id;
		paraMap["stkbds"] = param.stkbds;
		paraMap["jsondata"] = param.jsondata;
		paraMap["checksign"] = param.checksign;
		

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	}
	/********************************两融预约开户   结束********************************/
	
	/********************************身份证升位   开始********************************/
	/**
     * 身份证升位---获取业务办理数据
     * @param param json格式入参
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
     *    isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
     */
    mobileService.queryIdentityCardData = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1008";
        paraMap["user_id"] = param.user_id;


        var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 身份证升位---身份证上传
     * @param param json格式入参
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
     *    isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
     */
    mobileService.uploadPhotoIdCard = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1009";
        paraMap["user_id"] = param.user_id;
        paraMap["account"] = param.account;
        paraMap["img_type"] = param.img_type;
        paraMap["img_data"] = param.img_data;


        var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
     /**
     * 身份证升位---身份证上传
     * @param param json格式入参
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
     *    isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
     */
    mobileService.submitUserInfoSw = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1010";
        paraMap["user_id"] = param.user_id;
        paraMap["name"] = param.name;
        paraMap["identity_num"] = param.identity_num;
		paraMap["papers_addr"] = param.papers_addr;
		paraMap["sign_office"] = param.sign_office;
		paraMap["validity_end"] = param.validity_end;
        var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 身份证升位---身份证上传
     * @param param json格式入参
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
     *    isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
     */
    mobileService.updateVoideIdsw = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1011";
        paraMap["user_id"] = param.user_id;

        var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
	 * 身份证升位---用户主动放弃业务办理
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.endIdCardSw = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004535";
		paraMap["user_id"] = param.user_id;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
     /**
	 * 业务办理|身份证升位
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param user_id
	 */
	 mobileService.submitIdResult = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1034";
		paraMap["user_id"] = param.user_id;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	 };
	 /**
	 * 身份证升位---业务办理完成确认
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.idNoUpConfrim = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1034";
		paraMap["user_id"] = param.user_id;
		paraMap["op_source"] = param.op_source;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
	 * 身份升位---修改上传照片状态
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.idNoUpUpdateImageState = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1032";
		paraMap["user_id"] = param.user_id;
		paraMap["op_source"] = param.op_source;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /********************************身份证升位   结束********************************/
   
    /********************************身份证更新   开始********************************/
	/**
	 * 身份证过期修改---获取业务办理数据
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.idNoOpenStart = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1012";
		paraMap["user_id"] = param.user_id;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
	 * 身份证更新---用户主动放弃业务办理
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.endIdCardGx = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004536";
		paraMap["user_id"] = param.user_id;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
	/**
	 * 身份证过期修改---身份证上传（2015年4月9日）1013
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.idNoUpdateUploadImage = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1013";
		paraMap["user_id"] = param.user_id;
		paraMap["img_type"] = param.img_type;
		paraMap["img_data"] = param.img_data;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
	/**
	 * 身份证过期修改---提交姓名和身份证号码
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.idNoUpdateSubmitInfo = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1014";
		paraMap["user_id"] = param.user_id;
		paraMap["name"] = param.name;
		paraMap["identity_num"] = param.identity_num;
		paraMap["papers_addr"] = param.papers_addr;
		paraMap["sign_office"] = param.sign_office;
		paraMap["validity_begin"] = param.validity_begin;
		paraMap["validity_end"] = param.validity_end;
		paraMap["op_source"] = param.op_source;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 身份证变更---修改视频状态
     * @param param json格式入参
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
     *    isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
     */
    mobileService.updateVoideId = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1015";
        paraMap["user_id"] = param.user_id;

        var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
	 * 身份证过期修改---修改上传照片状态
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.idNoUpdateUpdateImageState = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1033";
		paraMap["user_id"] = param.user_id;
		paraMap["op_source"] = param.op_source;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
	 * 身份证过期修改---业务办理完成确认
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.idNoUpdateConfrim = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1035";
		paraMap["user_id"] = param.user_id;
		paraMap["op_source"] = param.op_source;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
    /********************************身份证更新   结束********************************/
    
    /********************************重置密码   开始********************************/
    /**
     * 业务办理|重置交易密码---输入资金帐号，获取业务办理数据
     * @param param json格式入参
     * @param callback 回调处理
     * @param account 资金帐号
     * @param password 交易密码
     */
     mobileService.resetJyPassPwd = function(param,callback,ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1017";
        paraMap["account"] = param.fund_account;
        paraMap["business_type"] = param.business_type;
        paraMap["zjpassword"] = param.zjpassword;
        paraMap["jypassword"] = param.jypassword;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
     };
     /**
	 * 业务办理|重置密码---输入资金帐号、校验手机号，获取业务办理数据
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param account 资金帐号
	 * @param password 交易密码
	 */
	 mobileService.submitUserInfo = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1026";
		paraMap["account"] = param.account;
		paraMap["name"] = param.name;
		paraMap["identity_num"] = param.identity_num;
		
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	 };
	 /**
	 * 新重置密码---输入资金帐号、校验手机号，获取业务办理数据 1026
	 * @param param json格式入参
	 * 		account：资金帐号  (Y)
	 * 		identity_num ：身份证号码   (Y)
	 * 		name：客户姓名  (Y)
	 * 		verify_code:图片验证码  (Y) 接入层校验
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.NsubmitResetInfo = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1026";
		paraMap["verify_code"] = param.verify_code;
		paraMap["account"] = param.account;
		paraMap["identity_num"] = param.identity_num;
		paraMap["name"] = param.name;
		paraMap["op_source"] = param.op_source;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
	 /**
     * 重置交易密码---身份证上传
     * @param param json格式入参
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
     *    isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
     */
    mobileService.uploadPhotoPwd = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1027";
        paraMap["account"] = param.account;
        paraMap["need_ocr"] = param.need_ocr;
        paraMap["img_type"] = param.img_type;
        paraMap["img_data"] = param.img_data;


        var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
     /**
     * 身份证升位---身份证上传
     * @param param json格式入参
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
     *    isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
     */
    mobileService.submitUserInfoResetPwd = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004546";
        paraMap["account"] = param.account;
        paraMap["name"] = param.name;
        paraMap["identity_num"] = param.identity_num;

        var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
	  /**
     * 重置密码---修改上传照片状态
     * @param param json格式入参
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
     *    isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
     */
    mobileService.uploadPhotoZtPwd = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1028";
        paraMap["account"] = param.account;

        var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 重置密码---修改视频状态
     * @param param json格式入参
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
     *    isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
     */
    mobileService.uploadvoidePwd = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1029";
        paraMap["account"] = param.account;

        var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
	/**
	 * 业务办理|重置密码
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param account 资金帐号
	 * @param password 交易密码
	 */
	 mobileService.updatePwd = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1030";
		paraMap["account"] = param.fund_account;
		paraMap["business_type"] = param.business_type;
		paraMap["zjpassword"] = param.zjpassword;
		paraMap["jypassword"] = param.jypassword;

		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	 };
	 /**
	 * 新重置密码---身份证上传 1027
	 * @param param json格式入参
	 * 		account	：	资金帐号  (Y)
	 * 		img_type	：	图片类型  (Y)
	 * 		img_data	：	BASE64图片数据  (Y)
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.NsubmitResetImage = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1027";
		paraMap["account"] = param.account;
		paraMap["img_type"] = param.img_type;
		paraMap["img_data"] = param.img_data;
		paraMap["op_source"] = param.op_source;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
	/**
	 * 新重置密码---修改上传照片状态 1028
	 * @param param json格式入参
	 * 		 account：资金帐号  (Y)
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.NupdateResetImageState = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1028";
		paraMap["account"] = param.account;
		paraMap["op_source"] = param.op_source;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
	/**
	 * 新重置密码---修改视频状态 1029
	 * @param param json格式入参
	 * 		 account：资金帐号  (Y)
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.NupdateResetVideoState = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1029";
		paraMap["account"] = param.account;
		paraMap["op_source"] = param.op_source;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
	/**
	 * 新重置密码---重置交易密码、重置资金密码 1030
	 * @param param json格式入参
	 * 		account：资金帐号  (Y)
	 * 		business_type：重置业务类型  (Y)resetjypwd：重置交易密码 ，resetzjpwd：重置资金密码 同时重置用逗号分隔
	 * 		zjpassword：交易密码
	 * 		jypassword：资金密码
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.NresetPwd = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1030";
		paraMap["account"] = param.account;
		paraMap["business_type"] = param.business_type;
		paraMap["zjpassword"] = param.zjpassword;
		paraMap["jypassword"] = param.jypassword;
		paraMap["op_source"] = param.op_source;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
	/**
	 * 新重置密码---获取视频状态 1031
	 * @param param json格式入参
	 * 		 account：资金帐号  (Y)
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.NqueryResetVideoState = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1031";
		paraMap["account"] = param.account;
		paraMap["op_source"] = param.op_source;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
	
    /********************************重置密码   结束********************************/
	/********************************新增中焯登录接口*******************************************/
    /**
     *证券账户--新增中焯登录接口
     * 我的账户-1004494
     * @param param json格式入参
     * @param user_id 用户编号
     */
    mobileService.zhongZhuLogin = function(param,callback,ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004101";
        paraMap["mobilephone"] = param.mobilephone;
        paraMap["user_token"] = param.user_token;


        paraMap["op_source"] = param.op_source;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    }
    /********************************新增中焯登录接口*******************************************/

	
    /********************************应用接口结束********************************/
});