/**
 * 上传身份证照片
 */
define(function(require, exports, module){ 
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
	    mobileService = require("mobileService"),  //业务层接口，请求数据
	    layerUtils = require("layerUtils"),
	    gconfig = require("gconfig"),
	    global = gconfig.global,
	    serverPath = global.serverPath,
	    _pageId = "#account_updatePhoto",
	    // 填写资料的页面入参，属性由 imgState 方法赋值
		fillInformationInParam = {
			"identity_num" : "",	// 身份证号
			"name" : "",	// 客户姓名
			"ethnicname" : "",	// 民族
			"papers_addr" : "",		// 证件地址
			"birthday" : "",	// 出生日期
			"validity_begin" : "",	// 证件开始日期
			"validity_end" : "",	// 证件结束日期
			"sex" : "",	// 用户性别,
			"sign_office" : "", // 签发机关
			"frontBase64Str" : "", // 签发机关
			"backBase64Str" : "" // 签发机关
		 };
	var platform = gconfig.platform;
	var protocol = null;	//协议
	var is_ocr = gconfig.global.is_ocr ;
	var external = require("external");
	var cert_type;
	var protocol = null;  // 协议保存
    var imgTypeZ = "";//正面照片的类型
    var imgTypeF = "";//反面照片的类型
    var imgTypeS;
    var common = require("common");

	/* 私有业务模块的全局变量 end */
	
	function init()
	{
		var param = {
                "funcNo": "60021",
                "navTitle": "上传身份证"
            };
            external.callMessage(param);
		//获取业务办理需要的影像资料类型
		external.callMessage({"funcNo": "50100","moduleName":"open"});
		$(_pageId+" .positive .pic").html("<img src=\"images/yl_pic01.jpg\"/>");  // 回显图片
		$(_pageId+" .negative .pic").html("<img src=\"images/yl_pic02.jpg\"/>");  // 回显图片
		selectPhotoType();
		
	}
	//获取业务办理需要的影像资料类型
	function selectPhotoType(){
		var uploadPhotos = {
			"business_code":"ygt_media_idoverdue"
		};
		mobileService.getIdCardTypePublic(uploadPhotos, function(data) {
			var error_no = data.error_no;
			var error_info = data.error_info;
			var results = data.results;
			if(error_no == "0") {
				//查询照片类型编号
				for (var i=0;i < results.length;i++) {
					if(results[i].item_name =="身份证正面照"){
						imgTypeZ = results[i].media_type;
					}else{
						imgTypeF = results[i].media_type;
					}
				}
			}else{
				layerUtils.iAlert(error_info, -1);
			}
		})
	}
	function bindPageEvent()
	{
		/* 点击页面隐藏按钮 */
		appUtils.bindEvent($(_pageId),function(){
			// 将按钮的自定义属性  last-media-id 设为 当前的 media-id
			$(_pageId+" .upload_btn li").attr("last-media-id",$(_pageId+" .upload_btn li:eq(0)").attr("media-id"));
			// 将按钮的自定义属性 media-id 设为 null
			$(_pageId+" .upload_btn li").attr("media-id","null");
			// 隐藏照片上传按钮
			$(_pageId+" .dialog-overlay").slideUp("fast");
			$(_pageId+" .upload_box").removeClass("active");
		});
		
		/* 绑定返回 */
		appUtils.bindEvent($(_pageId+"  .icon_back"),function(){
			appUtils.pageInit("account/updatePhoto", "account/updateIndex", {});
		});
		
		/* 绑定上传正面身份证照 */
		appUtils.bindEvent($(_pageId+" .upload_main .positive"),function(e){
			imgTypeS = 4;
			$(_pageId+" .upload_main .negative").removeClass("active");
			var isActive = $(this).hasClass("active");
			switchCss($(_pageId+" .upload_main .positive"), isActive, 4);
			$(_pageId+" .upload_btn h5").html("上传身份证正面");
			e.stopPropagation();  // 阻止冒泡
		});
		
		/* 绑定上传反面身份证照 */
		appUtils.bindEvent($(_pageId+" .upload_main .negative"),function(e){
			imgTypeS = 5;
			$(_pageId+" .upload_main .positive").removeClass("active");
			var isActive = $(this).hasClass("active");
			switchCss($(_pageId+" .upload_main .negative"), isActive , 5);
			$(_pageId+" .upload_btn h5").html("上传身份证反面");
			e.stopPropagation();  // 阻止冒泡
		});
		
		/* 点击相册 */
		appUtils.bindEvent($(_pageId+" .upload_btn li:eq(0)"),function(e){
			// 相册上传的参数
			var phoneConfig = {
				"funcNum" : "1013",
				"uuid" : "index",
				"r" : Math.random(),
				"userId" : appUtils.getSStorageInfo("user_id"),
				"photoType" : $(this).attr("media-id") == "3" ? "人像正面" : "身份证",	// 影像名称
				"action" : "phone",	// 照片来源类别，phone 相册，pai 相机
				"imgType" : $(this).attr("media-id"),
				"key" : "index",	// key 和 uuid 只需要写一个
				"url" : global.serverPath,
				"clientInfo" : appUtils.getSStorageInfo("clientinfo"),	 // 从 session 中将 clientinfo 取出
				"jsessionId" : appUtils.getSStorageInfo("jsessionid"), // 从 session 中将 jsessionid 取出
				"funcNo":"60002",
				"moduleName":"open",
				"isUpload":"0"
			};
			
			external.callMessage(phoneConfig);
			// 隐藏照片上传按钮
			$(_pageId+" .dialog-overlay").slideUp("fast");
			$(_pageId+" .upload_box").removeClass("active");
			// 将按钮的自定义属性  last-media-id 设为 当前的 media-id
			$(_pageId+" .upload_btn li").attr("last-media-id",$(_pageId+" .upload_btn li:eq(0)").attr("media-id"));
			// 将按钮的自定义属性 media-id 设为 null
			$(_pageId+" .upload_btn li").attr("media-id","null");
			e.stopPropagation();  // 阻止冒泡
		});
		/* 点击拍照 */
		appUtils.bindEvent($(_pageId+" .upload_btn li:eq(1)"),function(e){
			// 相机上传的参数
			var paiConfig = {
				"funcNum" : "1013",
				"uuid" : "index",
				"r" : Math.random(),
				"userId" : appUtils.getSStorageInfo("user_id"),
				"photoType" : $(this).attr("media-id") == "3" ? "人像正面" : "身份证",	// 影像名称
				"action" : "pai",	// 照片来源类别，phone 相册，pai 相机
				"imgType" : $(this).attr("media-id"),
				"key" : "index",	// key 和 uuid 只需要写一个
				"url" : global.serverPath,
				"clientInfo" : appUtils.getSStorageInfo("clientinfo"), 	// 从 session 中将 clientinfo 取出
				"jsessionId" : appUtils.getSStorageInfo("jsessionid"),	// 从 session 中将 jsessionid 取出
				"funcNo":"60002",
                "moduleName":"open",
                "isUpload":"0"
			};
			external.callMessage(paiConfig);

			// 隐藏照片上传按钮
			$(_pageId+" .dialog-overlay").slideUp("fast");
			$(_pageId+" .upload_box").removeClass("active");
			// 将按钮的自定义属性  last-media-id 设为 当前的 media-id
			$(_pageId+" .upload_btn li").attr("last-media-id",$(_pageId+" .upload_btn li:eq(0)").attr("media-id"));
			// 将按钮的自定义属性 media-id 设为 null
			$(_pageId+" .upload_btn li").attr("media-id","null");
			e.stopPropagation();  // 阻止冒泡
		});
		
		/* 绑定同意签署协议 */
		appUtils.bindEvent($(_pageId+" #checkbox"),function(){
			$(this).toggleClass("checked");
		});
		
		/* 绑定下一步 */
		appUtils.bindEvent($(_pageId+" .ce_btn"),function(){
			if(validatePhoto())
			{
				$(_pageId).remove();
				appUtils.pageInit("account/updatePhoto", "account/updateInfo", {});
			}
		});
		appUtils.bindEvent($(_pageId+" .icon_home"), function() {
			common.moduleJump();
		});
	}
	
	/* 处理返回按钮 */
	function pageBack()
	{
		appUtils.pageBack();
	}
	
	function destroy()
	{

		mobileService.destroy();
	}
	
	/* 处理点击上传身份证正面、反面效果 */
	function switchCss(ele,isActive,media)
	{
		if(isActive)
		{
			$(_pageId+" .dialog-overlay").slideUp("fast");
			$(_pageId+" .upload_btn li").attr("media-id","null");
		}
		else
		{
			$(_pageId+" .dialog-overlay").slideDown("fast");
			$(_pageId+" .upload_btn li").attr("media-id",media);
		}
		$(ele).toggleClass("active");
	}
	
	/* 清理界面元素
	 * 不能写在 destroy 方法里面，写在 destroy 里面，查看协议的时候，界面的元素也会被清理掉
	 */
	function cleanPageElement(){
		// 取消勾选协议
		$(_pageId+" .rule_check .icon_check").removeClass("checked");
		// 设置 uploaded 属性为 false
		$(_pageId+" .upload_box").attr("uploaded",false);
		// 恢复照片 li 的内容
		$(_pageId+" .positive").text("");
		$(_pageId+" .negative").text("");
		$(_pageId+" .positive").append("<dd><p>点击上传身份证</p><h5>正 面</h5></dd>");
		$(_pageId+" .negative").append("<dd><p>点击上传身份证</p><h5>背 面</h5></dd>");
	}
	
	/* 验证图片的完整性 */
	function validatePhoto()
	{
		var img1 = $(_pageId+" .positive img").attr("src");
		var img2 = $(_pageId+" .negative img").attr("src");
		if(img1 == "file:///android_asset/www/m/ygt/images/yl_pic01.jpg" || img1 == "images/yl_pic01.jpg")
		{
			layerUtils.iMsg(-1,"请上传身份证正面照！");
			return false;
		}
		if(img2 == "file:///android_asset/www/m/ygt/images/yl_pic02.jpg" || img2 == "images/yl_pic02.jpg")
		{
			layerUtils.iMsg(-1,"请上传身份证反面照！");
			return false;
		}
		if(fillInformationInParam.identity_num == "" || fillInformationInParam.identity_num == undefined){
			layerUtils.iAlert("身份证正面不清晰，请重新上传",-1);
			$(_pageId+" .positive .info").show();
			$(_pageId+" .positive .pic").html("<img src=\"images/yl_pic01.jpg\"/>");  // 回显图片
			return false;
		}
		if(fillInformationInParam.name == "" || fillInformationInParam.name == undefined){
			layerUtils.iAlert("身份证正面不清晰，请重新上传",-1);
			$(_pageId+" .positive .info").show();
			$(_pageId+" .positive .pic").html("<img src=\"images/yl_pic01.jpg\"/>");  // 回显图片
			return false;
		}
		if(fillInformationInParam.validity_begin == "" || fillInformationInParam.validity_begin == undefined){
			layerUtils.iAlert("身份证反面不清晰，请重新上传",-1);
			$(_pageId+" .negative .info").show();
			$(_pageId+" .negative .pic").html("<img src=\"images/yl_pic02.jpg\"/>");  // 回显图片
			return false;
		}
		if(fillInformationInParam.validity_end == "" || fillInformationInParam.validity_end == undefined){
			layerUtils.iAlert("身份证反面不清晰，请重新上传",-1);
			$(_pageId+" .negative .info").show();
			$(_pageId+" .negative .pic").html("<img src=\"images/yl_pic02.jpg\"/>");  // 回显图片
			return false;
		}
		if(fillInformationInParam.sign_office == "" || fillInformationInParam.sign_office == undefined){
			layerUtils.iAlert("身份证反面不清晰，请重新上传",-1);
			$(_pageId+" .negative .info").show();
			$(_pageId+" .negative .pic").html("<img src=\"images/yl_pic02.jpg\"/>");  // 回显图片
			return false;
		}
		return true;
	}
	//提交身份证正面
	function uploadPhotoPwdZ(imgData,imgType){
		var uploadPhotos = {
			"user_id":appUtils.getSStorageInfo("user_id"),
			"img_data":imgData,
			"img_type":imgType
		};
		mobileService.idNoUpdateUploadImage(uploadPhotos, function(data) {
			var error_no = data.error_no;
			var error_info = data.error_info;
			if(error_no == "0") {
				layerUtils.iLoading(false);
				var data = data.results[0];
				//保存关键信息变更业务数据的id
				appUtils.setSStorageInfo("importantChange_id",data.id);
				fillInformationInParam.identity_num = data.identity_num;  // 身份证号
				fillInformationInParam.name = data.name;  // 客户姓名
				fillInformationInParam.papers_addr = data.papers_addr;  // 证件地址
				fillInformationInParam.papers_addr = data.papers_addr;  // 联系地址默认为证件地址
				fillInformationInParam.ethnicname = data.ethnicname;  // 民族
				appUtils.setSStorageInfo("ethnicname",data.ethnicname);
				fillInformationInParam.birthday = data.birthday;  // 出生日期
				fillInformationInParam.sex = data.sex;  // 用户性别
				appUtils.setSStorageInfo("upload_complete", data.upload_complete); // 0,否  1,是
				appUtils.setSStorageInfo("fillInformationInParam", JSON.stringify(fillInformationInParam));
			}else{
				layerUtils.iLoading(false);
				layerUtils.iAlert(error_info, -1);
				/*if(error_no == "-510"){
					$(_pageId+" .positive .info").show();
					$(_pageId+" .positive .pic").html("<img src=\"images/yl_pic01.jpg\"/>");  // 回显图片
				}else if(error_no == "-511"){
					$(_pageId+" .negative .info").show();
					$(_pageId+" .negative .pic").html("<img src=\"images/yl_pic02.jpg\"/>");  // 回显图片
				}*/
				$(_pageId+" .positive .info").show();
				$(_pageId+" .positive .pic").html("<img src=\"images/yl_pic01.jpg\"/>");  // 回显图片
			}
		});
	}
	//提交身份证反面
	function uploadPhotoPwdF(imgData,imgType){
		var uploadPhotos = {
			"user_id":appUtils.getSStorageInfo("user_id"),
			"img_data":imgData,
			"img_type":imgType
		};
		mobileService.idNoUpdateUploadImage(uploadPhotos, function(data) {
			var error_no = data.error_no;
			var error_info = data.error_info;
			if(error_no == "0") {
				layerUtils.iLoading(false);
				var data = data.results[0];
				//保存关键信息变更业务数据的id
				appUtils.setSStorageInfo("importantChange_id",data.id);
				fillInformationInParam.sign_office = data.sign_office; //签发机关
				fillInformationInParam.validity_begin = data.validity_begin;  // 证件开始日期
				fillInformationInParam.validity_end = data.validity_end;  // 证件结束日期
				appUtils.setSStorageInfo("upload_complete", data.upload_complete); // 0,否  1,是
				appUtils.setSStorageInfo("fillInformationInParam", JSON.stringify(fillInformationInParam));
			}else{
				layerUtils.iLoading(false);
				layerUtils.iAlert(error_info, -1);
				/*if(error_no == "-510"){
					$(_pageId+" .positive .info").show();
					$(_pageId+" .positive .pic").html("<img src=\"images/yl_pic01.jpg\"/>");  // 回显图片
				}else if(error_no == "-511"){
					$(_pageId+" .negative .info").show();
					$(_pageId+" .negative .pic").html("<img src=\"images/yl_pic02.jpg\"/>");  // 回显图片
				}*/
				$(_pageId+" .negative .info").show();
				$(_pageId+" .negative .pic").html("<img src=\"images/yl_pic02.jpg\"/>");  // 回显图片
			}
		});
	}
	/**
	 *  获取照片的base64
	 */
	function getBase64(data) {
		layerUtils.iLoading(true);
		var base64Str = (data.base64).replace(/[\n\r]*/g,"");
		var img_data = base64Str.substr(base64Str.indexOf("data:image/jpg;base64,")+22);
		var maxheight = $(_pageId+" .upload_box").height()+"px";
		$(_pageId+" .upload_box").css("height",maxheight);  // 设置回显照片区域高度不变
		switch(imgTypeS)
		{
			// 正面照
			case 4 :
				$(_pageId+" .positive").attr("uploaded","true");  // 标识图片已经上传
				$(_pageId+" .positive .info").hide();
				$(_pageId+" .positive .pic").html("<img src=\""+base64Str+"\"/>");  // 回显图片
				fillInformationInParam.frontBase64Str = base64Str;
				uploadPhotoPwdZ(img_data,imgTypeZ);
				break;
			// 反面照
			case 5 :
				$(_pageId+" .negative").attr("uploaded","true");  // 标识图片已上传
				$(_pageId+" .negative .info").hide();
				$(_pageId+" .negative .pic").html("<img src=\""+base64Str+"\"/>");  // 回显图片
				fillInformationInParam.backBase64Str = base64Str;
				uploadPhotoPwdF(img_data,imgTypeF);
				break;
		}

		$(_pageId+" .upload_box img").css("max-height",maxheight);  //设置图片展示大小
	}

	var updatePhoto = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"pageBack" : pageBack,
		"destroy" : destroy,
		"getBase64" : getBase64
	};
	
	/* 暴露对外的接口 */
	module.exports = updatePhoto;
});
