/**
 * 这里的方法是提供给项目中公用的方法，不用的方法和代码可以删除
 */
define(function(require, exports, module) {
	
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var layerUtils = require("layerUtils");

	function sleep(time){
		var startTime = new Date().getTime();
		while(true){
			if(new Date().getTime() - startTime > time){
				break;
			}
			$.ajax({
				url: gconfig.viewsPath + ".html",
				data: {"time": time},
				async: false,
				beforeSend: function(XMLHttpRequest) {
//				layerUtils.iLoading(true);
				},
				success: function(data, textStatus) {
				},
				complete: function(XMLHttpRequest, textStatus) {
//				layerUtils.iLoading(false);
				},
				error: function() {
//				layerUtils.iLoading(false);
				}
			});
		}
	    return true;
	}

	function firstLoadFunc() {
		//根据项目需要是否执行
		handleFreeWait();
	}
	
	/**
	 * 登录后操作空闲等待处理，根据项目需要，决定是否在firstLoad方法中执行这个方法
	 */
	function handleFreeWait() 
	{
		var preProcessTime = new Date().getTime(); //上次系统操作时间
		appUtils.bindEvent($(document), function(e) {
			preProcessTime = new Date().getTime();
		});
		var interval = setInterval(function() {
			if(new Date().getTime() - preProcessTime > 1*10*1000) {
				preProcessTime = new Date().getTime();
				loginTimeOut(interval);
			}
		}, 3*1000);
	}

	/**
	 * 登录之后用户空闲操作超时处理，这里可以再调项目中退出方法，做清理
	 */
	function loginTimeOut()
	{
		var loginPage = gconfig.loginPage;
		if(loginPage && loginPage.pageCode && appUtils.getSStorageInfo("_isLoginIn") == "true") {
			appUtils.clearSStorage("_isLoginIn");
			appUtils.pageInit(appUtils.getSStorageInfo("_curPageCode"), loginPage.pageCode, loginPage.jsonParam);
			setTimeout(function() {
				layerUtils.iAlert("您长时间不操作，系统已自动退出！");
			}, 400);
		}
	}
	
	function filterLoginOut(data){
		var error_no = data.error_no;
		var error_info = data.error_info;
		if(error_no == "-999") {
			appUtils.clearSStorage("_isLoginIn");
			appUtils.clearSStorage("_loginInPageCode");
			appUtils.clearSStorage("_loginInPageParam");
			//其他清理工作...
			
			appUtils.pageInit(appUtils.getSStorageInfo("_curPageCode"), gconfig.loginPage.pageCode, gconfig.loginPage.jsonParam);
		}
	}
	
	/**
	 * 权限校验
	 * @param checkInParam 校验判断依据
	 * "checkInParam": {
	 * 		"prePageCode": prePageCode,
	 * 		"pageCode": pageCode,
	 * 		"param": param,
	 * 		"isLastReq": isLastReq,
	 * 		"isShowWait": isShowWait,
	 * 		"isShowOverLay": isShowOverLay
	 *	}
	 */
	function checkPermission(checkInParam) {
		return true;
		
		//登录页面校验也可以这样处理
//		return checkLogin(checkInParam.prePageCode, checkInParam.pageCode, checkInParam.param, checkInParam.isLastReq, checkInParam.isShowWait, checkInParam.isShowOverLay);
	
		//如果有多个校验规则，则处理如下：
//		if(checkRule1() == true){
//			if(checkRule2() == true){
//				if(checkRule3() == true){
//					//同理的规则嵌套，达到多规则同时校验...
//				} else {
//					return false;
//				}
//			} else {
//				return false;
//			}
//		} else {
//			return false;
//		}
	}
	
	/**
	 * 校验是否需要登录，并调到登录页面，且登录后调到目标页面
	 * 目标页面和目标页面入参分别从sessionstorage中取_loginInPageCode和_loginInPageParam
	 * 项目中另外需要处理的代码：
	 * 1、在gconfig的global中增加一个配置项checkLoginPageCode，表示那些页面需要校验的页面pageCode
	 * 2、需要在configuration配置 "loginPage": {"pageCode": "person/userLogin", "jsonParam":{}}, //登录页面
	 * 3、登录后设置setSStorageInfo("_isLoginIn","true")，退出时需要clearSStorage("_loginInPageCode")、clearSStorage("_loginInPageParam")
	 */
	function checkLogin(prePageCode, pageCode, param, isLastReq, isShowWait, isShowOverLay)
	{
		//这里就不能用data-siCheckLogin="true"来决定页面是否校验了，而是在global里面增加一个数组来判断，如下：
		gconfig.global.checkLoginPageCode = ["person/serviceTreams"];  //这里演示写死代码，项目中根据需要配置
		var checkLoginPage = gconfig.global.checkLoginPageCode;
		if(checkLoginPage.indexOf(pageCode)>-1) {
			if(appUtils.getSStorageInfo("_isLoginIn")=="true") {
				return true;
			} else {
				var loginPage = gconfig.loginPage;
				if(loginPage && loginPage.pageCode) {
					appUtils.setSStorageInfo("_loginInPageCode", pageCode);
					appUtils.setSStorageInfo("_loginInPageParam", param?JSON.stringify(param):"");
					appUtils.pageInit(prePageCode, loginPage.pageCode, loginPage.jsonParam, isLastReq, isShowWait, isShowOverLay);
					setTimeout(function() {
						layerUtils.iMsg(-1, "请先登录！");
					}, 400);
				} else {
					layerUtils.iAlert("你未登录，且登录页面配置错误！");
				}
				return false;
			}
		} else {
			return true;
		}
	}
	
	
	/**
	 * 可能再起始页面做一些特殊处理，需要过渡页面，将根据判断将需要的页面再次异步加载进来
	 * 所以，提供一个起始过渡页特殊的pageInit方法，一般用于微信浏览器
	 * @param parentPageCode 异步加载进来页面时，承载这个页面的父元素page的ID
	 * @param pageCode 需要加载的页面page元素ID
	 * @param param 传递的参数，在进入的页面获取参数时需调用wxGetPageParam方法
	 */
	function wxTransPageInit(parentPageCode, pageCode, param)
	{
		try {
			//增加过渡页面的标志位，兼容普通见面跳转过来
			if(!param){
				param = {};
			}
			param._isWxTransFlag = true;
			
			var pageUrl = gconfig.viewsPath + pageCode + ".html",
				pageId = pageCode.replaceAll("/", "_"), //page元素ID
				parentPageId = parentPageCode.replaceAll("/", "_"); //负载父元素ID
		
			if($("#"+pageId).length < 1) {
				require("ajax").loadHtml(pageUrl, function(htmlContent) {
					document.title = $(htmlContent).attr("data-pageTitle");
					$("#"+parentPageId).append(htmlContent); //保存这个page到parentPageCode
					$("#"+pageId+" img").each(function() { //设置图片scr地址，防止出错
						var src = $(this).attr("src");
						if(src && $(this).attr("data-serverImg")!="true") {
							$(this).attr("src", gconfig.imagesPath + src.substring(src.indexOf("images")+7));
						}
					});
					require.async([gconfig.scriptsPath+pageCode,gconfig.scriptsPath+parentPageCode], function(page, parentPageCode) {
						appUtils.setSStorageInfo("wxTransPage_pageParam", JSON.stringify(param));
						page.init(); //页面初始化
						page.bindPageEvent(); //事件绑定
						parentPageCode.destory = page.destory; //子页面销毁方法赋给父页面
					});
				}, true, false, false);
			} else {
				require.async([gconfig.scriptsPath+pageCode,gconfig.scriptsPath+parentPageCode], function(page, parentPageCode) {
					appUtils.setSStorageInfo("wxTransPage_pageParam", JSON.stringify(param));
					page.init(); //页面初始化
					page.bindPageEvent(); //事件绑定
					parentPageCode.destory = page.destory; //子页面销毁方法赋给父页面
				});
			}
		} catch(e) {
			console.printStackTrace(e);
		}
	}
	
	/**
	 * 微信起始过渡页特殊的getPageParam方法
	 */
	function wxGetPageParam(paramName) 
	{
		 //根据_isWxTransFlag判断，兼容普通见面跳转过来
		var jsonParam = appUtils.getSStorageInfo("wxTransPage_pageParam");
		jsonParam = jsonParam?JSON.parse(jsonParam):null;
		if(jsonParam && jsonParam._isWxTransFlag){
			if(paramName) {
				return jsonParam[paramName];
			} else {
				return jsonParam;
			}
		} else {
			return appUtils.getPageParam(paramName);
		}
	}
	
	/**
	 * 封装调用原生插件，回调取数据的接口
	 */
	function invokeShellData(param, callback, isLastReq, isShowWait)
	{
		isLastReq = (typeof(isLastReq)=="undefined"||isLastReq==="")?true:isLastReq;
		isShowWait = (typeof(isShowWait)=="undefined"||isShowWait==="")?true:isShowWait;
		//调用前等待层处理
		if(isShowWait) {
			layerUtils.iLoading(true);
		}
		//暴露回调函数给原生代码
		window.invokeShellDataCallBack = function(data){
			callback(data);
			
			//回调完成后等待层处理
			if(isShowWait && isLastReq) {
				layerUtils.iLoading(false);
			}
		};
		//调用原生插件，带pram入参，原生取完数据会自动调用H5暴露出来的回调函数
		shellPlugin.callShellMethod("invokeShellDataPlugin", function(){
		}, function(echoValue){
			layerUtils.iLoading(false);
			layerUtils.iAlert("插件调用失败:" + echoValue);
		}, param);
	}
	
	
	/**
	 * 获取输入input域的光标索引位置
	 * @param jQEle input元素
	 */
	function getTxtCursorPosition(jQEle)
	{
		var ele = $(jQEle)[0];
		var cursurPosition = 0;
		if(ele.selectionStart) { // 非IE浏览器
			cursurPosition= ele.selectionStart;
		} else { // IE
			if(document.selection) {
				var range = document.selection.createRange();
				range.moveStart("character",-ele.value.length);
				cursurPosition = range.text.length;
			}
		}
		return cursurPosition;
	}
	

	/**
	 * 启动全屏模式，需要click事件触发
	 */
	function launchFullScreen() 
	{
		var element = document.documentElement;
		if(element.requestFullscreen) {
			element.requestFullscreen();
		} else if(element.mozRequestFullScreen) {
			element.mozRequestFullScreen();
		} else if(element.webkitRequestFullscreen) {
			element.webkitRequestFullscreen();
		} else if(element.msRequestFullscreen) {
			element.msRequestFullscreen();
		}
	}
	
	/**
	 * 退出全屏
	 */
	function exitFullscreen() {
		if(document.exitFullscreen) {
			document.exitFullscreen();
		} else if(document.mozExitFullScreen) {
			document.mozExitFullScreen();
		} else if(document.webkitExitFullscreen) {
			document.webkitExitFullscreen();
		}
	}
	
	/**
	 * 本地判断是否是交易时间 9:30-11:30 13:00-15:00
	 * @returns {Boolean}
	 */
	function isTradeTime()
	{
		var time = new Date().format("HHmmss");
		var timeNumber = parseFloat(time);
		if((93000 <= timeNumber && timeNumber <= 113000)||(130000 <= timeNumber && timeNumber <= 150000)) {
			return true;
		} else {
			return false;
		}
	}

	var putils = {
		"wxTransPageInit": wxTransPageInit,
		"wxGetPageParam": wxGetPageParam,
		"firstLoadFunc": firstLoadFunc,
		"checkPermission": checkPermission,
		"loginTimeOut": loginTimeOut,
		"invokeShellData": invokeShellData,
		"getTxtCursorPosition": getTxtCursorPosition,
		"launchFullScreen": launchFullScreen,
		"exitFullscreen": exitFullscreen,
		"isTradeTime": isTradeTime
	};
	//暴露对外的接口
	module.exports = putils;
});