/**
 * 开户引导
 */
define('mall/scripts/account/accountGuide.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var _pageId = "#account_accountGuide ";
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	
	//初始化
	function init(){
		common.initTitle(_pageId);
		$(_pageId+" .main").css({
			"overflow-y":"auto",
			"overflow-x":"hidden",
			"height":($(window).height()-$(_pageId+" .new-header").height()-$(_pageId+".new-footer-con").height()-1)+"px"
		});
		$(_pageId+" #secondButtons").css("margin-bottom","0.30rem");
		
		var loginType = appUtils.getSStorageInfo("loginType");
		var user_id = appUtils.getSStorageInfo("user_id");
		if(user_id == "" || user_id == null)
		{
			if(loginType == "0")
			{
				$(_pageId+" .guide-list li:eq(0) h3").html('<span class="guide-login">登录必备</span>手机账号登录');
				$(_pageId+" .guide-list li:eq(0) p").html("用手机号即可登录");
			}
			else if(loginType == "1")
			{
				$(_pageId+" .guide-list li:eq(0) h3").html('<span class="guide-login">登录必备</span>资金账号登陆');
				$(_pageId+" .guide-list li:eq(0) p").html("用资金账号即可登陆");
			}
			//第一步骤样式控制
			$(_pageId+" .guide-list li var").removeClass();
			$(_pageId+" .guide-list li:eq(0) h3 span").removeClass().addClass("guide-login").html("登录必备");
			$(_pageId+" .guide-list li:eq(1) h3 span").removeClass().html("可选");
			$(_pageId+" .guide-list li:eq(2) h3 span").removeClass().html("可选");
			$(_pageId+" #firstButton a").html("开始注册账号");
			$(_pageId+" #firstButton a").css("background","#1199EE");
			$(_pageId+" #secondButtons").hide();
		}
		else
		{
			if(loginType == "0")
			{
				$(_pageId+" .guide-list li:eq(0) h3").html('<span class="guide-ok">已完成</span>手机账号登录');
				$(_pageId+" .guide-list li:eq(0) p").html("用手机号即可登录");
			}
			else if(loginType == "1")
			{
				$(_pageId+" .guide-list li:eq(0) h3").html('<span class="guide-ok">已完成</span>资金账号登陆');
				$(_pageId+" .guide-list li:eq(0) p").html("用资金账号即可登陆");
			}
			//第二步骤的样式控制
			conSecStepStyle();
		}
	}
	
	/**
	 * 第二步骤的样式控制
	 */
	function conSecStepStyle(){
		$(_pageId+" .guide-list li:eq(0) var").addClass("guide-list-com");
		$(_pageId+" .guide-list li:eq(1) var").addClass("guide-list-ing");
		$(_pageId+" .guide-list li:eq(2) var").removeClass();
		$(_pageId+" .guide-list li:eq(0) h3 span").removeClass().addClass("guide-ok").html("已完成");
		$(_pageId+" #secondButtons").show();
		var loginType = appUtils.getSStorageInfo("loginType");
		if(loginType == "0")
		{
			common.queryMobilePhone(appUtils.getSStorageInfo("mobile_phone"),determine);
			$(_pageId+" #secondButtons a").html("先去第③步绑定保证金");
			$(_pageId+" .guide-list li:eq(2) h3").html("<span>可选</span>绑定保证金账户");
		}
		else
		{
			$(_pageId+" #firstButton a").html("保证金账户不能绑定银行卡");
			$(_pageId+" #firstButton a").css("background","#b1a5a0");
			$(_pageId+" #secondButtons a").html("先去第③步绑定手机");
			$(_pageId+" .guide-list li:eq(2) h3").html("<span>可选</span>绑定手机账户");
		}
	}
	
	/**
	 * 第三步骤的样式控制
	 */
	function conThirdStepStyle(isChange){
		$(_pageId+" .guide-list li:eq(0) var").addClass("guide-list-com");
		$(_pageId+" .guide-list li:eq(1) var").removeClass();
		$(_pageId+" .guide-list li:eq(2) var").addClass("guide-list-ing");
		$(_pageId+" .guide-list li:eq(0) h3 span").removeClass().addClass("guide-ok").html("已完成");
		$(_pageId+" .guide-list li:eq(1) h3 span").removeClass().html("可选");
		$(_pageId+" #secondButtons a").html("先去第②步绑定银行卡");
		$(_pageId+" #secondButtons").show();
		var loginType = appUtils.getSStorageInfo("loginType");
		if(isChange == "1") //isChange 1没绑定账户	2已绑定账户
		{
			if(loginType == "0")
			{
				$(_pageId+" #firstButton a").html("绑定保证金账户");
				$(_pageId+" .guide-list li:eq(2) h3").html("<span>可选</span>绑定保证金账户");
			}
			else
			{
				$(_pageId+" #firstButton a").html("绑定手机账户");
				$(_pageId+" .guide-list li:eq(2) h3").html("<span>可选</span>绑定手机账户");
			}
		}
		else
		{
			$(_pageId+" #firstButton a").css("background","#b1a5a0");
			if(loginType == "0")
			{
				$(_pageId+" #firstButton a").html("您已经绑定保证金账户啦");
				$(_pageId+" .guide-list li:eq(2) h3").html('<span class="guide-ok">已完成</span>绑定保证金账户');
			}
			else
			{
				$(_pageId+" #firstButton a").html("您已经绑定手机账户啦");
				$(_pageId+" .guide-list li:eq(2) h3").html('<span class="guide-ok">已完成</span>绑定手机账户');
			}
		}
	}
	
	/**
	 * 查询手机的状态
	 */
	function determine(data){
		var results = data.results;
		var is_register = results[0].is_register;
		var is_client = results[0].is_client;
		var is_risk = results[0].is_risk;
		var is_pwd = results[0].is_pwd;
		var is_bank = results[0].is_bank;
		if(is_register&&is_register=="1"&&is_bank&&is_bank=="0"){
			$(_pageId+" #firstButton a").html("绑定银行卡");
			$(_pageId+" #firstButton a").css("background","#1199EE");
			$(_pageId+" .guide-list li:eq(1) h3 span").removeClass().html("可选");
		}else{
			$(_pageId+" #firstButton a").html("绑定银行卡已完成");
			$(_pageId+" #firstButton a").css("background","#b1a5a0");
			$(_pageId+" .guide-list li:eq(1) h3 span").removeClass().addClass("guide-ok").html("已完成");
		}
	}
	
	/**
	 * 判断是否绑定账户
	 */
	function isBindAccount(){
		var param;
		var loginType = appUtils.getSStorageInfo("loginType"); //loginType 0手机账户登录1保证金账户登录
		if(loginType == "0")
		{
			param = {
				"phoneNo" : appUtils.getSStorageInfo("mobile_phone"), //手机账户
				"bzjClientNo" : "",
				"user_id" : appUtils.getSStorageInfo("user_id")
			};
		}
		else
		{
			param = {
				"phoneNo" : "",
				"bzjClientNo" : appUtils.getSStorageInfo("FID_KHH"), //保证金账户
				"user_id" : appUtils.getSStorageInfo("user_id")
  			};
		}
		var callBack = function(data){
			if(data.error_no != "0")
			{
				layerUtils.iMsg(-1,data.error_info);
				return false;
			}
			else
			{
				var results = data.results;
				var isChange = results[0].isChange;
				conThirdStepStyle(isChange);
			}
		};
		service.selectPayMethod(param,callBack);
	}
	
	//绑定事件
	function bindPageEvent(){
		/**
		 * 返回
		 */
		appUtils.bindEvent($(_pageId+" .hd-close"),function(){
			appUtils.pageInit("account/accountGuide","account/index");
		});
		appUtils.bindEvent($(_pageId + ".icon_back"), function(e){
			appUtils.pageBack();
		}); 
		/**
		 * 第一个按钮
		 */
		appUtils.bindEvent($(_pageId+" #firstButton"),function(){
			var firstButtonText = $(_pageId+" #firstButton a").html();
			if(firstButtonText == "开始注册账号")
			{
				appUtils.pageInit("account/accountGuide","account/testRegister");
			}
			else if(firstButtonText == "绑定银行卡")
			{
				appUtils.pageInit("account/accountGuide","account/testAccount");
			}
			else if(firstButtonText == "绑定保证金账户" || firstButtonText == "绑定手机账户")
			{
				appUtils.pageInit("account/accountGuide","account/bindAccount");
			}
		});
		/**
		 * 第二个按钮
		 */
		appUtils.bindEvent($(_pageId+" #secondButtons"),function(){
			var secondButtonsText = $(_pageId+" #secondButtons a").html();
			if(secondButtonsText == "先去第③步绑定保证金" || secondButtonsText == "先去第③步绑定手机")
			{
				isBindAccount();  //判断是否绑定账户
			}
			else
			{
				conSecStepStyle();
			}
		});
		/**
		 * 精彩
		 */
		appUtils.bindEvent($(_pageId+" .ft-4"),function(){
			appUtils.pageInit("account/accountGuide","account/index");
		});
		/**
		 * 发现
		 */
		appUtils.bindEvent($(_pageId+" #fx"),function(){
			appUtils.pageInit("account/accountGuide","account/found");
		});
		/**
		 * 资产
		 */
		appUtils.bindEvent($(_pageId+" #zc"),function(){
			appUtils.pageInit("account/accountGuide","userCenter/index");
		});
	}
	
	//销毁
	function destroy(){
		
	}
	
	var accountGuide = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	// 暴露对外的接口
	module.exports = accountGuide;
	
});