/**
 * 首席观点
 */
define('mall/scripts/account/chiefPoint.js',function(require, exports, module) {
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var pageId = "#account_chiefPoint ";
	var external = require("external");
	var platform=require("gconfig").platform;
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL=global.url;
	var curPageNo = 1;
	var prePageCode="";
	var dropload=require("dropload");
	var me="";
	//初始化
	function init(){
		common.initTitle(pageId);
		prePageCode = appUtils.getPageParam("pageCode"); // 上一页面pageCode
		curPageNo = 1;
		//getImgUrl();
		queryTitle();
	}
	
	//获取图片地址
	function getImgUrl(){
		var param = {
			"groupNo" : "zhzqyAD"
		};
		service.getImgUrl(param,function(data){
			if(data.error_no == "0"){
				var results = data.results;
				var picture = results[0].picture;
				var imgstr = '<img src="'+URL+ picture +'" alt="" title="">';
				$(pageId+" .financial-banner").html(imgstr);
				queryTitle();
			}else{
				layerUtils.iMsg(-1,data.error_info);
				return false;
			}
		});
	}
	
	//查询标题
	function queryTitle(){
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" #list").html("");
		//初始化滑动组件
		var dropload = $(pageId +".khfxWarp").dropload({
	        scrollArea: $(pageId +".khfxWarp"),
	        loadDownFn: function (me) {
	        	setTimeout(function(){
	        		//调用方法
	        		var param = {
        				"catalog_id" : "3481",
        				"page" : curPageNo,
        				"pageSize" : "10"
	        		};
	        		service.testTitle(param,function(data){
	        			if(data.error_no==0){
	        				var result=data.results;
		        			if(curPageNo == 1){//处理没有数据的情况
	        					if(result.length==0){
	        						$(pageId + " #list").hide();
	        						$(pageId+" .dropload-down").hide();
	        					}else{
	        						$(pageId + " #list").show();
	        						$(pageId+" .dropload-down").show();
	        					}
	        				}else{
	    						if(result.length==0){
	    							me.lock();
	    				            // 显示无数据
	    				            me.noData();
	    				            me.loading = false;
	    				            me.resetload();//加载数据
	    						}
	    					}
		        			curPageNo++;
	        				var str="<ul class='a1'>";
	        				for(var i=0;i<result.length;i++){
	        					var app_photo = result[i].app_photo;//图片
	        					var title = result[i].title;//标题
	        					var publish_date = result[i].publish_date;//日期
	        					var article_id = result[i].article_id;//视频id
	        					var movieinfo = result[i].movieinfo;//简介
	        					publish_date = publish_date.substring(0,4)+"."+publish_date.substring(5,7)+"."+publish_date.substring(8,10);//转换的日期
	        					str += "<li class='pub_title videodt' article_id="+article_id+"><div class='img'><img src='http://www.avicsec.com"+app_photo+"'></div>" +
	        							"<div class='pub_title_box'><h3 class='tit'>"+title+"</h3>" +
	        							"<p class='a1'>"+publish_date+"</p><p class='a2'>"+movieinfo+"</p>" +
	        							"</div></li>";
	        				}
	        				if(result.length<10){
                                // 再往下已经没有数据
                                // 锁定
                                me.lock();
                                // 显示无数据
                                me.noData();
                                me.loading = false;
                            }
	        				str+="</ul>";
	        				$(pageId +".khfxPane").append(str);
	        				me.resetload();
	        				//进入详情
	        				appUtils.bindEvent($(pageId + " .videodt"), function(){
	        					var article_id = $(this).attr("article_id");
	        					if(article_id=="10893781") {
	        						appUtils.pageInit("account/chiefPoint","account/yczt");
	        					}else {
	        						var param = {
	        							"article_id" : article_id
	        						};
	        					appUtils.pageInit("account/chiefPoint","account/chiefPointarticle",param);
	        					}
	        				},"click");
	        			}else{
	        				layerUtils.iAlert(data.error_info,-1);
	        			}
	        		},{"isShowWait":false});
	    		},50);
	        }
	    });
	}
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			var param = {
					"pageCode" : prePageCode
			};
			
			if(prePageCode!=""&&prePageCode!=null){
				appUtils.pageInit("account/chiefPoint",prePageCode,param);
			}else{
				appUtils.pageInit("account/chiefPoint","account/wingService",param);
			}
		});
	}
	
	//销毁
	function destroy(){
		$(pageId+" .produce-listold").html("");
		$(pageId+" #list").html("");
		$(pageId+" .dropload-down").remove();
	}
	
	var chiefPoint = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = chiefPoint;
	
});