define('mall/scripts/account/enterpriseService.js',function(require, exports, module) {
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var _pageId = "#account_enterpriseService ";
	var external = require("external");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var prePageCode="";
	var common=require("common");
	//初始化
	function init(){
		common.initTitle(_pageId);
		prePageCode = appUtils.getPageParam("pageCode"); // 上一页面pageCode
		$(_pageId+" .main").css("background","url('images/backgroundimg.png') no-repeat");
		$(_pageId+" .acc-arrow h3").css({"width":"135%","margin-left":"-20%"});
		$(_pageId+" .main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height()-$(_pageId+".new-header").height()-1)+"px"});
		$(_pageId+" .accredit").css("margin-bottom","23%");
		$(_pageId+" .acc-arrow h3 strong").css({"color":"gray;","font-size":"30px"});
		getImgUrl();
	}
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			var param = {
					"pageCode" : prePageCode
			};
			appUtils.pageInit("account/enterpriseService","account/wingService",param);
		});
	}
	
	//获取企业服务图片
	function getImgUrl(){
		var param = {
			"groupNo" : "yqxAD"
		};
		service.getImgUrl(param,function(data){
			if(data.error_no == "0"){
				var results = data.results;
				var imgstr = "";
				for(var i=0;i<results.length;i++){
					var picture = results[i].picture;
					var url = results[i].url;
					imgstr += '<img src="http://www.avicsec.com'+ picture +'" moduleName="mall_qiye'+ i +'" url="'+ url + '" alt="" title="">';
				}
				$(_pageId+" .financial-banner").html(imgstr);
				$(_pageId+" .financial-banner img").css({"width":"88%","margin-left":"6%","margin-top":"5%"});
				appUtils.bindEvent($(_pageId + " .financial-banner img"),function(){
					// 判断是否app访问
					var url = $(this).attr("url");
					var moduleName = $(this).attr("moduleName");
					var param = {
						"funcNo" : "50115",
						"moduleName" : "project",
						"url" : url,
						"statusColor" : "#e84c3d",
						"title" : "企业服务",
						"isShowBackBtn":"0",
						"isShowCloseBtn":"1",
						"statusStyle":"1"
					};
					external.callMessage(param);
				},"click");
			}else{
				layerUtils.iMsg(-1,data.error_info);
				return false;
			}
		});
	}
	
	//销毁
	function destroy(){
		
	}
	
	var enterpriseService = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = enterpriseService;
	
});