/**
 * 意见反馈
 */
define('mall/scripts/account/feedback.js',function(require, exports, module) {
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var _pageId = "#account_feedback ";
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var validatorUtil= require("validatorUtil");
	var curInputId = null;
	var pwdTimer = null; // 密码输入框计时器
	var common=require("common");
	//初始化
	function init(){
		common.initTitle(_pageId);
	}
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
		//确定
		appUtils.bindEvent($(_pageId+" #my_Submit"),function(){
			if(judgeConnectionMode()){
				postFeed();
			}
		},"click");
	}
	
	//提交意见反馈
	function postFeed(){
		var textareaVal = $(_pageId+" textarea").val();
		var connectMode = $(_pageId+" input").val();
		var user_id = appUtils.getSStorageInfo("user_id");
		if(user_id == "" || user_id == null){
			user_id == "";
			var user_name = "";
		}else{
			var user_name = appUtils.getSStorageInfo("user_name");
		}
		var param = {
			"type" : "1",
			"userId" : user_id,
			"userName" : user_name,
			"content" : textareaVal,
			"contactWay" : connectMode
		};
		service.postFeedDack(param,function(data){
			if(data){
				if(data.error_no == "0"){
					layerUtils.iMsg(-1,data.error_info);
					$(_pageId+" textarea").val("");
					$(_pageId+" input").val("");
				}else{
					layerUtils.iMsg(data.error_info);
					return false;
				}
			}
		});
	}
	
	//判断联系方式
	function judgeConnectionMode(){
		var textareaVal = $(_pageId+" textarea").val();
		var connectMode = $(_pageId+" input").val();
		if(textareaVal == ""){
			layerUtils.iMsg(-1,"请输入内容详述");
			return false;
		}
		if(connectMode == "" || ( !validatorUtil.isPhone(connectMode))){
			layerUtils.iMsg(-1,"请输入正确的手机号码");
			return false;
		}
		return true;
	}
	
	
	/**
	 * 原生键盘的输入事件
	 * @param curKeyCode 当前输入值
	 */
	function inputEvent(curKeyCode)
	{
		var $curInput = $(_pageId + "#" + curInputId);
		var curVal = $curInput.val();
		//curTxt = typeof(curTxt) == "undefined" ? "" : curTxt;
		// {"CLEAR":-2, "DONE": -3, "DEL": -5}; //常量，键盘上面的按键对应编码（-2表示清空，-3表示完成，-5表示删除）
		switch(Number(curKeyCode))
		{
			case -2: 
				$curInput.val("");
				break;
			case -3:
				break;
			case -5:
				$curInput.val(curVal);
				break;
			default:
				if(curVal.length >= 1)
				{
					$curInput.val(curVal);
				}
				clearTimeout(pwdTimer);
				pwdTimer = null;
				break;
		}
	}
	
	//销毁
	function destroy(){
		$(_pageId+" textarea").val("");
		$(_pageId+" input").val("");
	}
	
	var feedback = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = feedback;
	
});