define('mall/scripts/account/financialCont.js',function(require, exports, module) {
	var appUtils = require("appUtils");
	var putils = require("putils");
	var service = require("mobileService"); //业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var HIscroll =require("hIscroll");
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var constants=require("constants");//常量类
	var _pageId="#account_financialCont  ";
	
	function init(){
		common.initTitle(_pageId);
		var param = appUtils.getPageParam();
		querySBContent(param);
	}
	function querySBContent(param){
		var combinationid = param.combinationid;
		var categoryid = param.categoryid;
		var param1 = {
			"combinationid" : combinationid,
			"categoryid" : categoryid
		}
		service.getSBContent(param1,function(data){
			if(data.error_no==0){
				var result = data.results[0];
				var title = result.title;
				var publishtime = result.publishtime;
				$(".artcle-tit h2").html(title);
				$(".artcle-tit p span").html(publishtime);
				var center="";
				for(var i=0;i<data.results.length;i++){
					var result = data.results[i];
					var block = result.block;
					var commontitle = result.commontitle;
					var content = common.formatContent(result.content);
					center += "<p class='font-block' style='font-size:16px;font-weight:bold'>"+block+"</p><p class='font-commontitle' style='font-size:14px;font-weight:bold'>"+commontitle+"</p><div class='font-content'>"+content+"</div>";
				}
				$("#center").html(center);
			}else{
				layerUtils.iAlert(data.error_info,-1);
			}
		});
	}
	
	function bindPageEvent(){
		//点我
		appUtils.bindEvent($(_pageId+" #kiki"),function(){
			if($(this).attr("data-sbfont")=="0"){
				$(_pageId+" .artcle-tit h2").css("font-size","24px");
				$(_pageId+" .artcle-tit p").css("font-size","15px");
				$(_pageId+" .font-block").css("font-size","24px");
				$(_pageId+" .font-commontitle").css("font-size","21px");
				$(_pageId+" .font-content p").css("font-size","18px");
				$(this).attr("data-sbfont","1");
			}else{
				$(_pageId+" .artcle-tit h2").css("font-size","16px");
				$(_pageId+" .artcle-tit p").css("font-size","10px");
				$(_pageId+" .font-block").css("font-size","16px");
				$(_pageId+" .font-commontitle").css("font-size","14px");
				$(_pageId+" .font-content p").css("font-size","12px");
				$(this).attr("data-sbfont","0");
			}
		});
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
		//免责声明
		appUtils.bindEvent($(_pageId+" #mianze"),function(){
			$(_pageId+" #shengming").show();
			$(_pageId+" #mianze").hide();
			$(document).click(function(){
				$(_pageId+" #shengming").hide();
				$(_pageId+" #mianze").show();
			})
		});
	}

	function destroy(){
		$(_pageId+" .artcle-tit h2").html("");
		$(_pageId+" .artcle-tit p span").html("");
		$(_pageId+" .artcle-con p").html("");
	}
	
	var financialCont = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = financialCont;
});