/**
 * 授权
 */
define('mall/scripts/account/grantAuthorization.js',function(require, exports, module){
	var appUtils = require("appUtils");
	var	layerUtils = require("layerUtils");
	var	service = require("mobileService");
	var	_pageId = "#account_grantAuthorization ";
	var external = require("external");
	var platform = require("gconfig").platform;
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL=global.url;
	var validatorUtil= require("validatorUtil");
	var	phoneNum = "";//注册手机号码
	var	timer = null;//计时器
	var i = 60;//倒计时长
	var isSendPhone = false; //是否已发送验证码
	var common=require("common");
	//初始化
	function init(){

		common.initTitle(_pageId);
		var height = $(window).height()-$(_pageId+" .new-header").height();
		$(_pageId).css({"background":"#fff","height":height+"px"});
		findAgree();
	}
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
		//获取手机验证码
		appUtils.bindEvent($(_pageId+" #getCode"),function(){
			if($(this).attr("data-state")=="false"){
				return false;
			}
			phoneNum =  $.trim($(_pageId+" #mobile").val());
			var mobilePhone = $(_pageId+" #mobile").val();
			
			if(validatorUtil.isMobile(mobilePhone)){
				startMsgCodeTimer(); // 启动短信验证码计时器
				sendVerCode(mobilePhone); //发送手机验证码
			}else{
				layerUtils.iMsg(-1,"请输入正确的手机号码");
				return false;
			}
		});
		//验证短信验证码
		appUtils.bindEvent($(_pageId+" .produce-btn a"),function(){
			var mobile = $(_pageId+" #mobile").val();
			if( phoneNum == "" || !isSendPhone || mobile != phoneNum){
				layerUtils.iMsg(-1,"您未获取验证码!");
				return false;
			}
			var reservedCode = $(_pageId+" #ticket").val();
			if(reservedCode == "" || reservedCode == null){
				layerUtils.iMsg(-1,"请输入短信验证码");
				return false;
			}
			if($(_pageId+" .acc-arrow ul li").hasClass("disable")){
				layerUtils.iMsg(-1,"请您阅读协议并同意签署");
				return false;
			}
			//签署协议
			var agreementObject = $(_pageId+" .acc-get p a");
			for(var i = 0;i < agreementObject.length;i++){
				var agreement_id = $(agreementObject[i]).attr("agreement_id");
				sign(agreement_id);
			}
			verCode(mobile,reservedCode);
		});
		//勾选事件
		appUtils.bindEvent($(_pageId+" .acc-arrow ul li"),function(){
			if($(this).hasClass("disable")){
				$(_pageId+" .acc-arrow ul li").removeClass("disable");
			}else{
				$(_pageId+" .acc-arrow ul li").addClass("disable");
			}
		});
	}
	
	//查询协议
	function findAgree(){
//		var param = {
//			funcNo: "50041",
//			key: "login_user" 
//		};
//		var data = external.callMessage(param);
//	    var user_id = data.results[0].value;
		var user_id = appUtils.getSStorageInfo("user_id");
		var param = {
			"product_id" : "1",
			"user_id" : user_id
		};
		service.findAgreement(param,function(data){
			if(data.error_no != "0"){
				layerUtils.iMsg(-1,data.error_info);
				return false;
			}else{
				var results = data.results;
				var agreeStr = "<h3>授权后表明您已同意</h3>";
				for(var i = 0;i<results.length;i++){
					var agreement_type = results[i].agreement_type;
					var url = results[i].url;
					var contract_type = results[i].contract_type;
					var agreement_content = results[i].agreement_content;
					var agreement_id = results[i].agreement_id;
					var agreement_title = results[i].agreement_title;
					if(results[i].agreement_type == "1" || results[i].agreement_type == "0"){
						if(agreement_type != null || agreement_type == ""){
							agreeStr += '<p><a href="javascript:void(0);" url="'+ url +'" agreement_title="'+ agreement_title +'" agreement_id="'+ agreement_id +'">'+ agreement_title +'</a></p>';
						}
					}
				}
				$(_pageId+" .acc-get").html(agreeStr);
				//绑定查看协议事件
				appUtils.bindEvent($(_pageId+" .acc-get p a"),function(){
					var url = $(this).attr("url");
					var agreement_title = $(this).attr("agreement_title");
					viewProtocol(url,agreement_title);
				});
			}
		});
	}
	
	/**
	 * 协议签署
	 */
	function sign(agreement_id){
		var user_id = appUtils.getSStorageInfo("user_id");
		var param = {
			"user_id":user_id,
			"product_id":"",
	        "agreement_id":agreement_id
		};
		service.signAgreement(param,function(data){
			if(data.error_no!="0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}else{
				
			}
		});
	}
	
	function viewProtocol(url,agreement_title){
		var curUrl  = window.location.href;
		var toUrl = curUrl.replace("#!/account/grantAuthorization.html","scripts/common/generic/web/viewer.html");
		window.location.assign(toUrl + "?file="+ url);
	}
	
	/**
	 * 发送验证码
	 */
	function sendVerCode(mobilePhone){
		var param = {
			"mobile_no" : mobilePhone
		};
		service.sendMoblie(param,function(data){
			if(data.error_no != "0"){
				layerUtils.iMsg(-1,data.error_info);
				return false;
			}else{
				layerUtils.iMsg(-1,"验证码已发送，请注意查收");
			}
		});
	}
	
	/**
	 * 验证手机验证码
	 */
	function  verCode(mobile,reservedCode){
		var param = {
			"mobile_no" : mobile,
			"mobile_code" : reservedCode
		};
		service.verificationCode(param,function(data){
			if(data.error_no != "0"){
				layerUtils.iMsg(-1,data.error_info);
				return false;
			}else{
				layerUtils.iMsg(-1,"验证成功");
				clearMsgCodeTimer();
			}
		});
	}
	
	/**
	 * 清除短信验证码计时器
	 */
	function clearMsgCodeTimer()
	{
		window.clearInterval(timer);
		timer = null;
		var $code = $(_pageId + " #getCode");
		$code.attr("data-state", "true");
		$code.css("background","#319ef2");
		i = 60;
		$code.html("获取验证码");
	}
	
	/**
	 * 启动短信验证码计时器
	 */
	function startMsgCodeTimer()
	{
		var showTips = function(){
			var $code = $(_pageId + " #getCode");
			$code.attr("data-state","false");//点击不能发送
			$code.css("background","#b1a5a0");
			if(i >= 1)
			{
				$code.html("" + i + "s后重发");
				i--;
			}
			else
			{
				window.clearInterval(timer);
				timer = null;
				$code.attr("data-state","true");
				$code.css("background","#319ef2");
				i=60;
				$code.html("获取验证码");
			}
		};
		timer = setInterval(showTips, 1000);
		isSendPhone = true;
	}
	
	//销毁
	function destroy(){
		clearMsgCodeTimer(); //重置计时器
	}
	
	var grantAuthorization = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	// 暴露对外的接口
	module.exports = grantAuthorization;
	
});