/**
 * 创业达人列表
 */
define('mall/scripts/account/heroExpert.js',function(require, exports, module){
	var appUtils = require("appUtils");
	var _pageId = "#account_heroExpert ";
	var service = require("mobileService"); //业务层接口，请求数据
	var	curPageNo = ""; // 当前页序号
	var external = require("external");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	var common = require("common");
	
	//初始化
	function init(){

		common.initTitle(_pageId);
		loadjscssfile("css/cydrstyle.css", "css");
		curPageNo = 1;
		$(_pageId+" .adviser_list").html("");
		findFundList();
	}
	/**
	 * 查询创业达人列表
	 */
	function findFundList(){		
		var allFundStr = "";
		var param={
			"page":curPageNo,
			"numPerPage":10
		};
		
			service.findCyDr(param,function(data){
				var error_no = data.error_no;	
				if(error_no==0){				
					var expertList = data.results[0].data;
					allFundStr +='<div class="adviser_list">';
					for(var i = 0;i<expertList.length;i++){
						var photourl = expertList[i].photourl;//图片
						var xunid = expertList[i].id;//主键也是排名
						var name =  expertList[i].name;//姓名
						var department =  expertList[i].department;//部门
						var phone =  expertList[i].phone;//手机
						allFundStr += 
							'<div class="adviser_box">'+
						'<em class="number number_01">'+xunid+'</em>'+
						'<div class="adviser_detail">'+
							'<dl>'+
								'<dt><img src="'+URL+photourl+'" alt=""></dt>'+
								'<dd>'+
									'<p>姓名</p>'+
									'<p><strong>'+name+'</strong></p>'+
								'</dd>'+
								'<dd>'+
									'<p><em></em>'+department+'</p>'+
									'<p><em></em>'+phone+'</p>'+
								'</dd>'+
							'</dl>'+
						'</div>'+
						'<div class="open_account">'+
							'<a phoneId='+phone+'>立即开户</a>'+
						'</div>'+
					'</div>';
					}
					allFundStr+='</div>';
					$(_pageId+" .adviser_list").append(allFundStr);  // 填充服务产品列表
				}
				//立刻开户
				appUtils.bindEvent($(_pageId+" .open_account a"),function(e){
						var phoneId = $(this).attr("phoneId");
						var param = {
							funcNo: "50040",
							key: "cjrbdphone",
							value: phoneId
						};
						external.callMessage(param);
						common.open();
						e.stopPropagation();
				});	

		});
			
	}
	//绑定事件
	function bindPageEvent(){
		/**
		 * 返回
		 */
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageInit("account/heroExpert","account/heroList");
		});
		
		
	
	}
	
	function removejscssfile(filename, filetype){
		var targetelement=(filetype=="js")? "script" : (filetype=="css")? "link" : "none"
		var targetattr=(filetype=="js")? "src" : (filetype=="css")? "href" : "none"
		var allsuspects=document.getElementsByTagName(targetelement)
		for (var i=allsuspects.length; i>=0; i--){
		if (allsuspects[i] && allsuspects[i].getAttribute(targetattr)!=null && allsuspects[i].getAttribute(targetattr).indexOf(filename)!=-1)
		   allsuspects[i].parentNode.removeChild(allsuspects[i])
		}
	}
	
	function loadjscssfile(filename, filetype){
		if (filetype=="js"){
		var fileref=document.createElement('script');
		fileref.setAttribute("type","text/javascript");
		fileref.setAttribute("src", filename);
		}
		else if (filetype=="css"){
		var fileref=document.createElement("link");
		fileref.setAttribute("rel", "stylesheet");
		fileref.setAttribute("type", "text/css");
		fileref.setAttribute("href", filename);
		}
		if (typeof fileref!="undefined")
		document.getElementsByTagName("head")[0].appendChild(fileref)
		}
	//销毁
	function destroy(){
		$(_pageId+" .adviser_list").html("");
		removejscssfile("cydrstyle.css", "css");
	}
	
	var heroExpert = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = heroExpert;
	
});