/**
 * 文章内容(英雄秀、比赛规则、大赛通讯)
 */
define('mall/scripts/account/heroListArticle.js',function(require, exports, module) {
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var _pageId = "#account_heroListArticle ";
	var external = require("external");
	var platform=require("gconfig").platform;
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var prePageCode = "";
	var article_id = "";
	var common=require("common");
	//初始化
	function init(){

		common.initTitle(_pageId);
		article_id = appUtils.getPageParam().article_id;
		if(!article_id){
			article_id = appUtils.getSStorageInfo("article_id");
		}
		prePageCode = appUtils.getPageParam().pageCode;
		$(_pageId+" .title").html(appUtils.getPageParam().title);
		queryContent(article_id);
	}
	
	//查询文章内容
	function queryContent(article_id){
		var param = {
			"article_id" : article_id
		}
		service.getContent(param,function(data){
			if(data.error_no==0){
				var result = data.results[0];
				var content = result.content;
				var author = result.author;
				var publish_date = result.publish_date;
				var title = result.title;
				$(_pageId+".artcle-tit h2").html(title);
				$(_pageId+".artcle-tit p span").html(publish_date);
				$(_pageId+".artcle-tit p em").html(author).css("margin-left","5%");
				$(_pageId+" .artcle-con p").html(content);
				var aObj = $(_pageId+" .artcle-con a");
				var imgObj = $(_pageId+" .artcle-con p img");
				if(aObj.length != 0){
					for(var i = 0;i < aObj.length;i++){
						var url = $(aObj[i]).attr("href");
						$(aObj[i]).attr("href","javascript:void(0);").attr("id","weixin"+i);
						appUtils.bindEvent($(_pageId+" #weixin"+i),function(){
							var param = {
								"funcNo" : "50115",
								"moduleName" : "mall_yx"+i,
								"url" : url,
								"statusColor" : "#CC1D58",
								"title" : appUtils.getPageParam().title
							};
							external.callMessage(param);
						});
					}
				}
				if(imgObj.length != 0){
					for(var j = 0;j < imgObj.length;j++){
						var imgUrl = $(imgObj[j]).attr("src");
						imgUrl = "http://www.avicsec.com/" + imgUrl;
						$(imgObj[j]).attr("src",imgUrl).css({"width":"80%","height":""});
					}
				}
			}else{
				layerUtils.iAlert(data.error_info,-1);
			}
		});
	}
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
			//appUtils.pageInit("account/heroListArticle","account/heroList");
		});
		
		// 去资讯产品详情页
		appUtils.bindEvent($(_pageId+" #busZx"),function(){
			appUtils.setSStorageInfo("prePageCode","account/heroListArticle");
			var param = {
				    "fina_belongs" : "7",
				    "product_type":"7",
				    "article_id":article_id,
				    "pageCode" : "account/heroListArticle"
			};
			appUtils.pageInit("account/heroListArticle","mall/researchMoney",param);
		});
		
		
		//分享
		appUtils.bindEvent($(_pageId+" #buy-bottom"),function(){
			var link = global.shareLink;
        	var param={
				moduleName: "mall", // String	目标模块名	N
				funcNo: "50230",
				shareTypeList: "22,23,24",
				title: "翼启航英雄联盟大赛",
				link:  link+"/m/mall/#!/account/heroListArticle.html?article_id="+appUtils.getPageParam().article_id+"&title="+appUtils.getPageParam().title,
				content: "最全最新的比赛讯息",
				imgUrl: "https://mall.avicsec.com/mobile/app/logo/icon.png"
			};
			external.callMessage(param);
		});
	}
	
	//销毁
	function destroy(){
		
	}
	
	var heroListArticle = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = heroListArticle;
});
