define('mall/scripts/account/investContent.js',function(require, exports, module) {
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var _pageId = "#account_investContent ";
	var external = require("external");
	var common = require("common");
	var platform=require("gconfig").platform;
	var gconfig = require("gconfig");
	var global = gconfig.global;
	
	//初始化
    function init(){
		common.initTitle(_pageId);
    	$(_pageId +"  #back_content").css("color", "#fff");
    	$(_pageId+".main").css({
			"overflow-y":"auto",
			"overflow-x":"hidden",
			"height":($(window).height()-$(_pageId+".new-header").height()-1)+"px"
		});
    	
    	var height = $(window).height();
		$(_pageId).css({"background":"#f1f7f8","height":height});
    	
    	var article_id = appUtils.getPageParam().article_id;
    	showContent(article_id);
    }
	
    //显示文章
    function showContent(article_id){
    	var param = {
    		"article_id" : article_id
    	};
    	service.showContent(param,function(data)
		{
    		if(data.error_no == "0")
    		{
    			var result = data.results;
				var content = result[0].content;
				var author = result[0].author;
				var publish_date = result[0].publish_date;
				var title = result[0].title;
    			$(_pageId + " .artcle-tit h2").html(title);
    			$(_pageId + " .artcle-tit p span").html(publish_date);
    			$(_pageId + " .artcle-tit p em").html(author).css("margin-left","5%");
    			$(_pageId + " .artcle-con p").html(content);
    			var imgObj = $(_pageId+" .artcle-con p img");
    			var aObj = $(_pageId+" .artcle-con p a");
				if(imgObj.length != 0){
					for(var j = 0;j < imgObj.length;j++){
						var imgUrl = $(imgObj[j]).attr("src");
						imgUrl = "http://tjjd.avicsec.com" + imgUrl;
						$(imgObj[j]).attr("src",imgUrl);
					}
				}
				//点击a标签打开pdf文档
				 $(_pageId+" .artcle-con a").click(function(event) {
//					   alert(event.type);//获取事件类型
					 var param = {
							   "funcNo" : "50240",
							   "url" : "http://tjjd.avicsec.com/"+href,
							   "title":title
					 };
					 common.showPDF();
					 
					   var href = $(this).attr("href").trim();
					   var title = $(this).html();
					   var param = {
						   "funcNo" : "50240",
						   "url" : "http://tjjd.avicsec.com/"+href,
						   "title":title
					   };
					   external.callMessage(param);
					   return false;//阻止链接跳转
				});

				$(_pageId+" .artcle-con p img").css("width","100%");
    		}else{
    			layerUtils.iAlert(data.error_info);
    		}
    	});
    }
    
    //绑定事件
    function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
		//精彩
		appUtils.bindEvent($(_pageId + " .ft-4"), function(){
			appUtils.pageInit("account/investContent","account/index");
		});
		//发现
		appUtils.bindEvent($(_pageId + " .ft-2"), function(){
			appUtils.pageInit("account/investContent","account/found");
		});
		//资产
		appUtils.bindEvent($(_pageId + " .ft-3"), function(){
			appUtils.pageInit("account/investContent","userCenter/index");
		});
		
	}
	
	//销毁
	function destroy(){
		$(_pageId+" .artcle-tit h2").html("");
		$(_pageId+" .artcle-tit p span").html("");
		$(_pageId+" .artcle-con p").html("");
	}
	
	var investContent = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = investContent;
});