/**
 * 策略观点
 */
define('mall/scripts/account/strategyPoint.js',function(require, exports, module) {
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var pageId = "#account_strategyPoint ";
	var external = require("external");
	var platform=require("gconfig").platform;
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL=global.url;
	var zhzqwebPath=global.zhzqwebPath;
	var curPageNo = 1;
	var prePageCode="";
	var dropload=require("dropload");
	var me="";
	//初始化
	function init(){
		common.initTitle(pageId);
		prePageCode = appUtils.getPageParam("pageCode"); // 上一页面pageCode
		curPageNo = 1;
		queryTitle();
	}
	
	//查询标题
	function queryTitle(){
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" #list").html("");
		//初始化滑动组件
		var dropload = $(pageId +".khfxWarp").dropload({
	        scrollArea: $(pageId +".khfxWarp"),
	        loadDownFn: function (me) {
	        	setTimeout(function(){
	        		//调用方法
	        		var param = {
        				"catalog_id" : "3459",
        				"page" : curPageNo,
        				"pageSize" : "10"
	        		};
	        		service.testTitle(param,function(data){
	        			if(data.error_no==0){
	        				var result=data.results;
		        			if(curPageNo == 1){//处理没有数据的情况
	        					if(result.length==0){
	        						$(pageId + " #list").hide();
	        						$(pageId+" .dropload-down").hide();
	        					}else{
	        						$(pageId + " #list").show();
	        						$(pageId+" .dropload-down").show();
	        					}
	        				}else{
	    						if(result.length==0){
	    							me.lock();
	    				            // 显示无数据
	    				            me.noData();
	    				            me.loading = false;
	    				            me.resetload();//加载数据
	    						}
	    					}
		        			curPageNo++;
	        				var str="<ul class='a1'>";
	        				for(var i=0;i<result.length;i++){
	        					var app_photo = result[i].app_photo;//图片
	        					var title = result[i].title;//标题
	        					var publish_date = result[i].publish_date;//日期
	        					var article_id = result[i].article_id;//视频id
	        					var link_url = result[i].link_url;//视频id
	        					var movieinfo = result[i].movieinfo;//简介
	        					publish_date = publish_date.substring(0,4)+"."+publish_date.substring(5,7)+"."+publish_date.substring(8,10);//转换的日期
	        					str += "<li class='pub_title videodt' title='"+title+"' link_url='"+link_url+"' article_id='"+article_id+"'><div class='img'><img src='http://www.avicsec.com"+app_photo+"'></div>" +
	        							"<div class='pub_title_box'><h3 class='tit'>"+title+"</h3>" +
	        							"<p class='a1'>"+publish_date+"</p><p class='a2'>"+movieinfo+"</p>" +
	        							"</div></li>";
	        				}
	        				if(result.length<10){
                                // 再往下已经没有数据
                                // 锁定
                                me.lock();
                                // 显示无数据
                                me.noData();
                                me.loading = false;
                            }
	        				str+="</ul>";
	        				$(pageId +".khfxPane").append(str);
	        				me.resetload();
	        				//进入详情
	        				appUtils.bindEvent($(pageId + " .videodt"), function(){
	        					var article_id = $(this).attr("article_id");
	        					var link_url = $(this).attr("link_url");
	        					if(link_url!=""){
	        						// 判断是否APP
	        						if(platform == "0"){
	        							window.open(zhzqwebPath+link_url);
	        						}else{
	        							viewPDF(link_url);
	        						}
	        					}else{
	        						var param = {
		        							"article_id" : article_id
		        						};
	        						appUtils.pageInit("account/strategyPoint","account/strategyPointarticle",param);
	        					}
	        				},"click");
	        			}else{
	        				layerUtils.iAlert(data.error_info,-1);
	        			}
	        		},{"isShowWait":false});
	    		},50);
	        }
	    });
	}
	
	//查看pdf
	function viewPDF(link_url){
		if(platform == "1"){
			var param={
				moduleName: "mall", // String	目标模块名	N	
				source: "mall", // String	源模块	Y
				funcNo: "50240",
				url: zhzqwebPath+link_url
			};
			external.callMessage(param);
		}else if(platform == "2"){
			var param={
				funcNo: "50240",
				url: zhzqwebPath+link_url
			};
			external.callMessage(param);
		}
	}
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			var param = {
					"pageCode" : prePageCode
			};
			
			if(prePageCode!=""&&prePageCode!=null){
				appUtils.pageInit("account/strategyPoint",prePageCode,param);
			}else{
				appUtils.pageInit("account/strategyPoint","account/wingService",param);
			}
		});
	}
	
	//销毁
	function destroy(){
		$(pageId+" .produce-listold").html("");
		$(pageId+" #list").html("");
		$(pageId+" .dropload-down").remove();
	}
	
	var strategyPoint = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = strategyPoint;
	
});