/**
 * 文章内容(团队动态)
 */
define('mall/scripts/account/teamNewsListArticle.js',function(require, exports, module) {
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var ytgService = require("ytgService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var _pageId = "#account_teamNewsListArticle ";
	var external = require("external");
	var platform=require("gconfig").platform;
	var gconfig = require("gconfig");
	var common = require("common");
	var global = gconfig.global;
	var prePageCode = "";
	var article_id = "";//文章id
	var catalog_id = "";//栏目id
	var title = "";//文章标题
	//初始化
	function init(){
		common.initTitle(_pageId);
		$(_pageId+".main").css({
			"overflow-y":"auto",
			"overflow-x":"hidden",
			"height":($(window).height()-$(_pageId+".new-header").height()-$(_pageId+".buy-bottom").height()-1)+"px"
		});
		article_id = appUtils.getPageParam().article_id;
		prePageCode = appUtils.getPageParam().pageCode;
		catalog_id = "2222";
		title = appUtils.getPageParam().title;
		$(_pageId+" .new-header h1").html(title);
		queryContent(catalog_id,article_id);
	}
	
	//查询文章内容
	function queryContent(catalog_id,article_id){
		var param = {
			"catalog_id":catalog_id,
			"article_id" : article_id
		}
		ytgService.getTeamNews(param,function(data){
			if(data.error_no==0){
				var result = data.results[0];
				var content = result.article_content;
//				var author = result.author;
				var publish_date = result.release_time;
				var article_title = result.article_title;
				$(_pageId+".artcle-tit h2").html(article_title);
				$(_pageId+".artcle-tit p span").html(publish_date);
//				$(_pageId+".artcle-tit p em").html(author).css("margin-left","5%");
				$(_pageId+" .artcle-con p").html(content);
				var aObj = $(_pageId+" .artcle-con a");
				var imgObj = $(_pageId+" .artcle-con p img");
				if(aObj.length != 0){
					for(var i = 0;i < aObj.length;i++){
						var url = $(aObj[i]).attr("href");
						$(aObj[i]).attr("href","javascript:void(0);").attr("id","weixin"+i);
						appUtils.bindEvent($(_pageId+" #weixin"+i),function(){
							var param = {
								"funcNo" : "50115",
								"moduleName" : "mall_yx"+i,
								"url" : url,
								"statusColor" : "#CC1D58",
								"title" : title
							};
							external.callMessage(param);
						});
					}
				}
				if(imgObj.length != 0){
					for(var j = 0;j < imgObj.length;j++){
						var imgUrl = $(imgObj[j]).attr("src");
						imgUrl = "http://www.avicsec.com/" + imgUrl;
						$(imgObj[j]).attr("src",imgUrl).css({"width":"80%","height":""});
					}
				}
			}else{
				layerUtils.iAlert(data.error_info,-1);
			}
		});
	}
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
		
		//分享
		appUtils.bindEvent($(_pageId+" .buy-bottom"),function(){
			var weChat = common.weChat();//判断是APP还是pc或浏览器
			if(weChat){
				var link = global.shareLink;
	        	var param={
					moduleName: "mall", // String	目标模块名	N
					funcNo: "50230",
					shareTypeList: "22,23,24",
					title: title,
					link:  link+"/m/mall/#!/account/teamNewsListArticle.html?article_id="+appUtils.getPageParam().article_id+"&title="+title,
					content: "王牌团队最新动态",
					imgUrl: ""
				};
				external.callMessage(param);
			}
			
		});
	}
	//销毁
	function destroy(){
		
	}
	
	var account_teamNewsListArticle = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = account_teamNewsListArticle;
});