/**
 * 用户注册
 */
define('mall/scripts/account/testRegister.js',function(require, exports, module) {
	var appUtils = require("appUtils");
	var validatorUtil = require("validatorUtil");
	var layerUtils = require("layerUtils");
	var endecryptUtils = require("endecryptUtils");
	var service = require("mobileService");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	var phoneNum = "";// 注册手机号码
	var timer = null;// 计时器
	var common = require("common");
	var i = 60;// 倒计时长
	var isSendPhone = false; // 是否已发送验证码
	var _pageId = "#account_testRegister ";
	var keyPanel = require("keyPanel");// 软键盘
	var tipsTimer = null;
	var curInputId = null;
	var pwdTimer = null; // 密码输入框计时器
	var pit_code = ""; // 验证码

	function init() {
		common.initTitle(_pageId);
		common.loadNewCss();
		// $(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height()-$(_pageId+".header").height())+"px"});
		// showContract("", "3");
		$(_pageId + " .per-reg-tit a").css("font-size", "18px");
		// window.customKeyboardEvent = {
		// keyBoardInputFunction: inputEvent
		// };
	}
	// 绑定事件
	function bindPageEvent() {
		var _curPageCode = appUtils.getSStorageInfo("_curPageCode");// 当前页
																	// pageCode
		appUtils.bindEvent($(_pageId + ".icon_back"), function() {
			//appUtils.pageInit("account/testRegister", "account/index");
			appUtils.pageBack();
		});

		// 绑定"获取短信验证码"按钮事件
		appUtils.bindEvent($(_pageId + " #register_mobile_code"), function() {
			pit_code = $.trim($(_pageId + " #picture_code").val());
			//if ($(_pageId + " .text_input .ui.field.code_input1")
			//		.css("display") == "block") {
			//	pit_code = $.trim($(_pageId + " #picture_code").val());
			//	if (validatorUtil.isEmpty(pit_code)) {
			//		layerUtils.iMsg(-1, "请输入图片验证码！");
			//		return;
			//	}
			//}
			
			if ($(this).attr("data-state") == "false") {
				return;
			}
			phoneNum = $.trim($(_pageId + " #phone").val());
			if (validatorUtil.isMobile(phoneNum)) {
				appUtils.setSStorageInfo("mobile_phone", phoneNum);
				startMsgCodeTimer();
				sendVerCode(phoneNum);
			} else {
				layerUtils.iMsg(-1, "请输入正确的电话号码！！！");
				$(_pageId + " #phone").val("");
				return false;
			}
		});


		// 样式切换
		appUtils.bindEvent($(_pageId+" input"),function(){
			$(_pageId+" input").parent().css("border-color","");
			$(this).parent().css("border-color","#e84c3d");
		});

		// 绑定"注册"按钮事件
		appUtils.bindEvent($(_pageId + " #zc"), function() {
			var mobile_cod = $.trim($(_pageId + " #mobile_code").val());
			var login_pwd = $(_pageId + " #login_pwd1").val();
			var login_pwd_again = $(_pageId + " #login_pwd2").val();
			var mobile = $.trim($(_pageId + " #phone").val());
			var picture_code = $.trim($(_pageId + " #picture_code").val());
			if (validatorUtil.isEmpty(mobile)) {
				showTipsInfo($(_pageId + " #phone").parent(), "请输入正确的手机号", 1);
				return;
			}
			if (phoneNum == "" || !isSendPhone || mobile != phoneNum) {
				showTipsInfo($(_pageId + " #mobile_code").parent(),
						"您未获取该手机验证码", 4);
				return;
			}
			if (login_pwd == "" || login_pwd == null) {
				showTipsInfo($(_pageId + " #login_pwd1").parent(), "注册密码不能为空",
						2);
				return false;
			}
			if (login_pwd_again == "" || login_pwd_again == null) {
				showTipsInfo($(_pageId + " #login_pwd2").parent(), "注册密码不能为空",
						2);
				return false;
			}
			if (validatorUtil.isEmpty(mobile_cod)) {
				showTipsInfo($(_pageId + " #mobile_code").parent(), "请输入手机验证码",
						4);
				return;
			}
			if (!validatorUtil.isNumeric(mobile_cod)) {
				showTipsInfo($(_pageId + " #mobile_code").parent(),
						"验证码格式为纯数字", 4);
				return;
			}
			// if (validatorUtil.isEmpty(picture_code)){
			// showTipsInfo($(_pageId+" #picture_code").parent(), "图片验证码不能为空！",
			// 3);
			// return ;
			// }
			// 验证验证码，密码格式
			if (checkInput(login_pwd, login_pwd_again)
					&& checkTradeConfirm(login_pwd, login_pwd_again)) {
				// 验证手机验证码
				verCode(mobile, mobile_cod);
				// checkPhoneCode(param);
			}
		});

		// 初始化登录密码键盘
		appUtils.bindEvent($(_pageId + " input[keyboard-plugin='true']"),
				function(e) {
					e.stopPropagation();
				});

		// 点击页面关闭软键盘
		appUtils.bindEvent($(_pageId), function(e) {
			e.stopPropagation();
		});

		// 点击图片验证码
		appUtils.bindEvent($(_pageId + " #a_img"), function captchaImg() {
			var phoneNumber = $(_pageId + " #phone").val();
			if (validatorUtil.isEmpty(phoneNumber)) {
				layerUtils.iMsg(-1, "请输入手机号码！");
			}
			$(_pageId + " #picture_code").val(""); // 清除验证码
			$(_pageId + " #img").attr("src",
					global.imagePath + "?phone=" + phoneNumber);
		});
	}
	var gconfig = require("gconfig");
	var global = gconfig.global;
	/**
	 * 验证手机验证码
	 */
	function verCode(mobile, reservedCode) {
		var param = {
			"mobile_no" : mobile,
			"mobile_code" : reservedCode
		};
		service.verificationCode(param, function(data) {
			if (data.error_no != "0") {
				layerUtils.iMsg(-1, data.error_info);
				return false;
			} else {
				var param = {
					"mobile_tel" : mobile
				};
				checkPhoneCode(param);
				clearMsgCodeTimer();
			}
		});
	}

	/**
	 * funcNo:1001807 功能:查询手机号的状态
	 * 
	 * @param mobile_phone
	 *            手机号码
	 */
	function queryMobilePhone(mobile_phone) {
		var param = {
			"mobile_phone" : mobile_phone
		};
		service.queryMobilePhoneState(param,
				function(data) {
					if (data.error_no != "0") {
						layerUtils.iMsg(-1, data.error_info);
						layerUtils.iLoading(false);
						return false;
					} else {
						var results = data.results;
						var is_register = results[0].is_register;
						var is_client = results[0].is_client;
						var is_risk = results[0].is_risk;
						var is_pwd = results[0].is_pwd;
						var is_bank = results[0].is_bank;
						if (is_register && is_register == "0") {

						} else if (is_client == "0" || is_pwd == "0"
								|| is_bank == "0") {
							// layerUtils.iConfirm("该手机号码已使用，请登录完善资料",function(){
							// appUtils.setSStorageInfo("bindAccount","account/testAccount");
							// appUtils.pageInit("account/testRegister","account/userLogin");
							// });
							layerUtils.iMsg(-1, "该手机号码已注册过");
							/*
							 * layerUtils.layerCustom('<div class="popbox
							 * pop_sign">'+ '<div class="ptitle">'+ '<h2>该手机号码已使用，请先登录</h2>'+ '</div>'+ '<div
							 * class="pmain">'+ '<p>登录密码：</p>'+ '<div
							 * class="input_box">'+ '<input type="password"
							 * id="layer_pwd" class="t1"
							 * placeholder="请输入6位数字"/>'+ '<input type="text"
							 * id="layer_pwd_hidden" style="display:none;"/>'+ '</div>'+ '<div
							 * class="two_btn">'+ '<a href="javascript:;"
							 * id="qr">确认</a><a href="javascript:;" id="qx">取消</a>'+ '</div>'+ '</div>'+ '</div>');
							 * appUtils.bindEvent($(" #layer_pwd"),function(e){
							 * $(this).removeAttr("placeholder","请输入6位数字").css("border-color","red");;
							 * $(this).val(""); $(" #layer_pwd_hidden").val("");
							 * keyPanel.init_keyPanel(function(value){ var
							 * trade_pwdText = $(" #layer_pwd").val(); var text =
							 * $(" #layer_pwd_hidden").val(); if(value ==
							 * "del"){ $("
							 * #layer_pwd").val(trade_pwdText.slice(0, -1)); $("
							 * #layer_pwd_hidden").val(text.slice(0, -1));
							 * }else{ if(text.length<6){ $("
							 * #layer_pwd").val(trade_pwdText+"*"); $("
							 * #layer_pwd_hidden").val(text+value); }else{
							 * layerUtils.iMsg(-1, "登录密码最多 6位!"); } }
							 * },$(this)); e.stopPropagation(); });
							 * appUtils.bindEvent($("#qr"),function(){ var
							 * password = $.trim($("#layer_pwd_hidden").val());
							 * login(password); }); appUtils.bindEvent($("
							 * #qx"),function(){ layerUtils.iCustomClose();
							 * if(platform == 0) { keyPanel.closeKeyPanel(); }
							 * }); appUtils.bindEvent($(".popbox"),function(e){
							 * $("#layer_pwd").val("");
							 * $("#layer_pwd_hidden").val(""); $("
							 * #layer_pwd").attr("placeholder","请输入6位数字").css("border-color","");
							 * if(platform == 0) { keyPanel.closeKeyPanel(); }
							 * e.stopPropagation(); });
							 */
						} else {
							layerUtils.iMsg(-1, "该手机号码已使用，请更换其它手机号码注册");
							$(_pageId + " #phone").val("");
						}
					}
				});
	}

	// 登录
	function login(password) {
		var login_account = $.trim($(_pageId + " #phone").val());
		if (login_account == "" || login_account == null) {
			layerUtils.iMsg(-1, "账号不能为空！！！");
			return false;
		}
		if (password == "" || password == null) {
			layerUtils.iMsg(-1, "密码不能为空！！！");
			return false;
		}

		// 加密
		service
				.getRSAKey(
						{},
						function(data) {
							if (data.error_no == "0") {
								var modulus = data.results[0].modulus;
								var publicExponent = data.results[0].publicExponent;
								var endecryptUtils = require("endecryptUtils");
								var trade_pwd = endecryptUtils.rsaEncrypt(
										modulus, publicExponent, password);
								var param = {};
								param = {
									"login_account" : login_account,
									"trade_pwd" : trade_pwd
								};
								service
										.fundLogin(
												param,
												function(data) {
													var error_no = data.error_no;
													var error_info = data.error_info;
													var result = data.results;// 验证码输入错误
													if (error_no != '0') {
														$(_pageId + " #phone")
																.val(""); // 清除账号
														$(" #layer_pwd_hidden")
																.val(""); // 清除密码
													}
													if (error_no == "0"
															&& result.length != 0) {
														/* 把用户编号存到session */
														if (result[0].user_id) {
															appUtils
																	.setSStorageInfo(
																			"user_id",
																			result[0].user_id);
														}
														/* 把jsessionid存到session */
														if (result[0].jsessionid) {
															appUtils
																	.setSStorageInfo(
																			"jsessionid",
																			result[0].jsessionid);
														}
														/* 把用户名存到session */
														if (result[0].user_name) {
															appUtils
																	.setSStorageInfo(
																			"user_name",
																			result[0].user_name);
														}
														/* 把身份证号码存到session */
														if (result[0].identity_num) {
															appUtils
																	.setSStorageInfo(
																			"identity_num",
																			result[0].identity_num);
														}
														/* 把客户号存到session */
														if (result[0].client_no) {
															appUtils
																	.setSStorageInfo(
																			"client_no",
																			result[0].client_no);
														}
														/* 把银行卡号存到session */
														if (result[0].bank_card_no) {
															appUtils
																	.setSStorageInfo(
																			"bank_card_no",
																			result[0].bank_card_no);
														}
														// 把银行预留手机号码存到session
														if (result[0].bank_mobile) {
															appUtils
																	.setSStorageInfo(
																			"bank_mobile",
																			result[0].bank_mobile);
														}
														// 把银行编号存到session
														if (result[0].bank_no) {
															appUtils
																	.setSStorageInfo(
																			"bank_no",
																			result[0].bank_no);
														}
														/* 把账户名存到session */
														if (result[0].account_name) {
															appUtils
																	.setSStorageInfo(
																			"account_name",
																			result[0].account_name);
														}
														/* 把资金账号存到session */
														if (result[0].fund_account) {
															appUtils
																	.setSStorageInfo(
																			"fund_account",
																			result[0].fund_account);
														}
														/* 把风险承受能力等级存到session */
														if (result[0].risk_level) {
															appUtils
																	.setSStorageInfo(
																			"risk_level",
																			result[0].risk_level);
														}
														/* 把风险承受能力存到session */
														if (result[0].risk_level_txt) {
															appUtils
																	.setSStorageInfo(
																			"risk_level_txt",
																			result[0].risk_level_txt);
														}
														/* 把手机号码存到session */
														if (result[0].mobile_phone) {
															appUtils
																	.setSStorageInfo(
																			"mobile_phone",
																			result[0].mobile_phone);
														}
														if (result[0].yqtid) {
															appUtils
																	.setSStorageInfo(
																			"yqtid",
																			result[0].yqtid);
														}
														if (result[0].user_type) {
															appUtils
																	.setSStorageInfo(
																			"istg",
																			result[0].user_type);
														}
														// 再登陆积分商城
														var jsparam = {
															mobile_phone : result[0].mobile_phone,
															user_id : result[0].user_id
														};
														service
																.loginJfsc(
																		jsparam,
																		function(
																				data) {
																			if (data.error_no != "0") {
																				layerUtils
																						.iMsg(
																								-1,
																								data.error_info);
																				layerUtils
																						.iLoading(false);
																				return false;
																			} else {
																				var error_no = data.error_no;
																				var error_info = data.error_info;
																				var result = data.results;
																				appUtils
																						.setSStorageInfo(
																								"jfscid",
																								result[0].user_id);
																			}
																		});

														/* 把邮箱地址存到session */
														if (result[0].user_mail) {
															appUtils
																	.setSStorageInfo(
																			"user_mail",
																			result[0].user_mail);
														}
														appUtils
																.setSStorageInfo(
																		"userInfo",
																		JSON
																				.stringify(result[0]));
														appUtils
																.setSStorageInfo(
																		"_isLoginIn",
																		"true");
														if (result[0].is_first != null
																&& result[0].is_first == "1") {
															layerUtils
																	.iConfirm(
																			"是否开通手机登录",
																			9,
																			"提示",
																			function() {
																				appUtils
																						.pageInit(
																								"account/userLogin",
																								"account/bindPhone",
																								{});
																			},
																			function() {
																				if (appUtils
																						.getSStorageInfo("_loginInPageCode")) {
																					appUtils
																							.pageInit(
																									"account/userLogin",
																									appUtils
																											.getSStorageInfo("_loginInPageCode"),
																									JSON
																											.parse(appUtils
																													.getSStorageInfo("_loginInPageParam")));
																					appUtils
																							.clearSStorage("_loginInPageCode");
																					appUtils
																							.clearSStorage("_loginInPageParam");
																				} else {
																					appUtils
																							.pageInit(
																									"account/userLogin",
																									"mall/moneyShop",
																									{});
																				}
																			},
																			"开通",
																			"取消");
														} else {
															if (appUtils
																	.getSStorageInfo("_loginInPageCode")) {
																appUtils
																		.pageInit(
																				"account/userLogin",
																				appUtils
																						.getSStorageInfo("_loginInPageCode"),
																				JSON
																						.parse(appUtils
																								.getSStorageInfo("_loginInPageParam")));
																appUtils
																		.clearSStorage("_loginInPageCode");
																appUtils
																		.clearSStorage("_loginInPageParam");
															} else {
																// var
																// bindAccount =
																// appUtils.getSStorageInfo("bindAccount");
																// if(bindAccount==""||bindAccount==null){
																appUtils
																		.pageInit(
																				"account/userLogin",
																				"account/testAccount",
																				{});
																// }else{
																// appUtils.pageInit("account/userLogin",bindAccount,{})
																// }
															}
														}
													} else {
														$(
																_pageId
																		+ " #trade_id")
																.val("");// 清除账号
														$(
																_pageId
																		+ " #trade_pwd")
																.val("");// 清除密码
														layerUtils
																.iLoading(false);
														layerUtils.iMsg(-1,
																error_info);
														return false;
													}
												});
							}
						}, false);
	}

	/**
	 * 发送验证码
	 */
	function sendVerCode(mobilePhone) {
		var param = {
			"mobile_no" : mobilePhone,
			"source" : 1,
			"code" : pit_code
		};

		service.sendMoblie(param, function(data) {
			if (data.error_no == "0") {
				layerUtils.iMsg(0, "验证码已发送，请注意查收");
			} else if (data.error_no == "9") {
				// 需要图文验证码
				clearMsgCodeTimer();
				layerUtils.iAlert(data.error_info);
				var phoneNumber = $(_pageId + " #phone").val();
				$(_pageId + " #img").attr("src",
						global.imagePath + "?phone=" + phoneNumber);
				$(_pageId + " .text_input .ui.field.code_input1").show();
				$(_pageId + " #img_div").show();
			} else if (data.error_no == "10") {
				clearMsgCodeTimer();
				layerUtils.iAlert(data.error_info);
				// 清空图文验证码
				$(_pageId + " #picture_code").val("");
			} else {
				layerUtils.iAlert(data.error_info);
			}
		});
	}

	/**
	 * 显示读秒
	 */
	function startMsgCodeTimer() {
		var showTips = function() {
			var $code = $(_pageId + " #register_mobile_code");
			$code.attr("data-state", "false");// 点击不能发送
			$code.css("background", "#b1a5a0");
			if (i >= 1) {
				$code.html("" + i + "s后重发");
				i--;
			} else {
				window.clearInterval(timer);
				timer = null;
				$code.attr("data-state", "true");
				$code.css("background", "#e84c3d");
				i = 60;
				$code.html("获取验证码");
			}
		};
		timer = setInterval(showTips, 1000);
		isSendPhone = true;
	}
	/**
	 * 检验输入密码是否符合规范,是否签署协议 长度，格式等
	 */
	function checkInput(login_pwd, login_pwd_again) {
		if (validatorUtil.isEmpty(login_pwd)) {
			layerUtils.iMsg(-1, "登录密码不能为空");
			return false;
		}
		if (validatorUtil.isEmpty(login_pwd_again)) {
			layerUtils.iMsg(-1, "确认密码不能为空");
			return false;
		}
		if (!validatorUtil.isAlphaNumeric(login_pwd) || login_pwd.length < 6
				|| login_pwd.length > 20) {
			layerUtils.iMsg(-1, "密码要是6-20的字符或数字");
			return false;
		}
		// if($(_pageId+".read-check").is(":checked")){
		// }else{
		// layerUtils.iMsg(-1,"请阅读协议并同意签署!");
		// return false;
		// }
		return true;
	}
	/**
	 * 验证确认密码 pwd1 :密码 pwd2 :确认密码 pwd_name：密码名 如："支付密码"
	 */
	function checkTradeConfirm(pwd1, pwd2) {
		if (validatorUtil.isEmpty(pwd1)) {
			layerUtils.iMsg(-1, "请输入登录密码!");
			return false;
		}
		if (validatorUtil.isEmpty(pwd2)) {
			layerUtils.iMsg(-1, "请输入确认密码!");
			return false;
		}
		if (pwd2 !== (pwd1)) {
			layerUtils.iMsg(-1, "两次输入密码不一致!");
			return false;
		} else {
			layerUtils.iLayerClose();
		}
		return true;
	}
	/**
	 * 验证手机验证码
	 * 
	 * @param {Object}
	 *            paramObj 入参json对象 mobile 输入的手机号码 login_pwd 登录密码
	 */
	function checkPhoneCode(paramObj) {
		var params = {
			"mobile" : paramObj.mobile_tel,
			"login_pwd" : $(_pageId + " #login_pwd1").val()
		};
		rsaEncrypt(params, registerAccount);
	}
	/**
	 * 
	 * @param {Object}
	 *            paramObj 需要加密数据对象，
	 * @param {Object}
	 *            nextYToDoFunc 加密之后要调用的方法
	 */
	function rsaEncrypt(paramObj, nextYToDoFunc) {
		var login_pwd = paramObj.login_pwd;
		service
				.getRSAKey(
						{},
						function(data) {
							var error_no = data.error_no, error_info = data.error_info;
							if (error_no === "0") {
								var results = data.results[0], modulus = results.modulus, publicExponent = results.publicExponent;
								if(login_pwd){
									appUtils.setSStorageInfo("trade_pwd",login_pwd);
								}
								paramObj.login_pwd = endecryptUtils.rsaEncrypt(
										modulus, publicExponent, login_pwd);
								nextYToDoFunc(paramObj);
							} else {
								clearMsgCodeTimer(); // 清除短信验证码计时器
								layerUtils.iMsg(-1, error_info);
							}
						}, {});
	}
	/**
	 * 商城用户注册 paramObj:密码加密后的参数 mobile_phone 手机号码 login_pwd 登录密码 需要加密
	 */
	function registerAccount(paramObj) {
		service
				.register(
						paramObj,
						function(data) {
							var error_no = data.error_no, error_info = data.error_info, result = null;
							if (error_no == "0") {
								appUtils.setSStorageInfo("loginType", "0");
								result = data.results;
								// appUtils.clearSStorage();
								appUtils.setSStorageInfo("user_id",
										result[0].user_id);
								appUtils.setSStorageInfo("userInfo", JSON
										.stringify(result[0]));
								/* 把用户编号存到session */
								if (result[0].user_id) {
									appUtils.setSStorageInfo("user_id",
											result[0].user_id);
								}
								/* 把jsessionid存到session */
								if (result[0].jsessionid) {
									appUtils.setSStorageInfo("jsessionid",
											result[0].jsessionid);
								}
								/* 把用户名存到session */
								if (result[0].user_name) {
									appUtils.setSStorageInfo("user_name",
											result[0].user_name);
								}
								/* 把账户名存到session */
								if (result[0].account_name) {
									appUtils.setSStorageInfo("account_name",
											result[0].account_name);
								}
								/* 把资金账号存到session */
								if (result[0].fund_account) {
									appUtils.setSStorageInfo("fund_account",
											result[0].fund_account);
								}
								/* 把风险承受能力等级存到session */
								if (result[0].risk_level) {
									appUtils.setSStorageInfo("risk_level",
											result[0].risk_level);
								}
								/* 把风险承受能力存到session */
								if (result[0].risk_level_txt) {
									appUtils.setSStorageInfo("risk_level_txt",
											result[0].risk_level_txt);
								}
								/* 把手机号码存到session */
								if (result[0].mobile_phone) {
									appUtils.setSStorageInfo("mobile_phone",
											result[0].mobile_phone);

									// alert(sessionStorage["project|mobile_phone"]);
								}
								/* 把邮箱地址存到session */
								if (result[0].user_mail) {
									appUtils.setSStorageInfo("user_mail",
											result[0].user_mail);
								}
								if (result[0].yqtid) {
									appUtils.setSStorageInfo("yqtid",
											result[0].yqtid);
								}
								if (result[0].user_type) {
									appUtils.setSStorageInfo("istg",
											result[0].user_type);
								}
								// 再登陆积分商城
								var jsparam = {
									mobile_phone : result[0].mobile_phone,
									user_id : result[0].user_id
								};
								service.loginJfsc(jsparam, function(data) {
									if (data.error_no != "0") {
										layerUtils.iMsg(-1, data.error_info);
										layerUtils.iLoading(false);
										return false;
									} else {
										var error_no = data.error_no;
										var error_info = data.error_info;
										var result = data.results;
										appUtils.setSStorageInfo("jfscid",
												result[0].user_id);
									}
								});

								appUtils.setSStorageInfo("userInfo", JSON
										.stringify(result[0]));
								appUtils.setSStorageInfo("_isLoginIn", "true");
								var pageParam = appUtils.getPageParam();
								if (pageParam != undefined) {
									var param = {
										"product_id" : appUtils.getPageParam().product_id
									};
								} else {
									var param = {};
								}
								if(result[0].zhbd!="1"){
									appUtils.pageInit("account/testRegister","activity/findCustomer", param);
								}else{
									appUtils.pageInit("account/testRegister","account/index", param);
								}
								
							} else {
								layerUtils.iMsg(-1, error_info);
								clearMsgCodeTimer(); // 清除短信验证码计时器
							}
						}, {});
	}

	// 根据agreement_id查询协议内容
	/*
	 * function showContract(agreement_id,agreement_type){ var param = {
	 * "agreement_id":agreement_id, "agreement_type":agreement_type };
	 * service.getContractContent(param,function(data){ var error_info =
	 * data.error_info; var error_no = data.error_no; if(error_no!="0"){
	 * layerUtils.iMsg(-1,error_info); layerUtils.iLoading(false); return false; }
	 * var results = data.results; var agreement_title =
	 * results[0].agreement_title; //根据协议类型填充不同的协议标题
	 * $(_pageId+"#register_xieyi").attr("data-pdf", results[0].url); }); }
	 */
	// 插件显示pdf
	/*
	 * function showPdf(){ var url = URL+$(_pageId+"
	 * #register_xieyi").attr("data-pdf"); var param = { "url":url };
	 * require("shellPlugin").callShellMethod("viewPDFPlugin", null ,function
	 * videoError(data){ layerUtils.iMsg(-1,data); },param); }
	 */
	function destroy() {
		$(_pageId + " #login_pwd1").val("");
		$(_pageId + " #login_pwd2").val("");
		$(_pageId + " #mobile_code").val("");
		$(_pageId + " .text_input .ui.field.code_input1").hide();
		clearMsgCodeTimer(); // 清除短信验证码计时器

		$(_pageId + "#phone").val("");
		$(_pageId + " #mobile_code").val("");
		service.destroy();

		clearTimeout(pwdTimer);
		pwdTimer = null;
	}

	/**
	 * 显示提示信息
	 * 
	 * @param $curInputDiv
	 *            当前输入框所在的 div
	 * @param sTips
	 *            提示信息字符串
	 * @param curInputIdx
	 *            当前输入框索引位置
	 * @param hideTime
	 *            隐藏时间，默认 2 秒
	 */
	function showTipsInfo($curInputDiv, sTips, curInputIdx, hideTime) {
		clearTimeout(tipsTimer);
		tipsTimer = null;
		hideTime = typeof (hideTime) == "undefined" ? 2 : hideTime;
		var $tips = $(_pageId + " .tips_info");
		if ($tips.length > 0) {
			$tips.remove();
		}
		$tips = $('<div class="tips_info" curInputIdx="' + curInputIdx
				+ '"><span>' + sTips + '</span></div>');
		if (curInputIdx != 1) {
			$curInputDiv.prev().css("margin-bottom", 0);
		}
		$curInputDiv.before($tips);
		tipsTimer = setTimeout(hideTipsInfo, hideTime * 1000);
	}

	/**
	 * 隐藏提示信息
	 */
	function hideTipsInfo($curInputDiv, sTips, curInputIdx) {
		var $tips = $(_pageId + " .tips_info");
		if ($tips.attr("curInputIdx") != 1) {
			$tips.prev().css("margin-bottom", "15px");
		}
		$tips.remove();
		clearTimeout(tipsTimer);
		tipsTimer = null;
	}

	/**
	 * 原生键盘的输入事件
	 * 
	 * @param curKeyCode
	 *            当前输入值
	 */
	function inputEvent(curKeyCode) {
		var $curInput = $(_pageId + "#" + curInputId);
		var curVal = $curInput.val();
		// curTxt = typeof(curTxt) == "undefined" ? "" : curTxt;
		// {"CLEAR":-2, "DONE": -3, "DEL": -5};
		// //常量，键盘上面的按键对应编码（-2表示清空，-3表示完成，-5表示删除）
		switch (Number(curKeyCode)) {
		case -2:
			$curInput.val("");
			break;
		case -3:
			break;
		case -5:
			$curInput.val(curVal);
			break;
		default:
			if (curVal.length >= 1) {
				$curInput.val(curVal);
			}
			clearTimeout(pwdTimer);
			pwdTimer = null;
			break;
		}
	}

	/**
	 * 清除短信验证码计时器
	 */
	function clearMsgCodeTimer() {
		window.clearInterval(timer);
		timer = null;
		var $code = $(_pageId + " #register_mobile_code");
		$code.attr("data-state", "true");
		$code.css("background", "#c6e397");
		i = 60;
		$code.html("获取验证码");
	}

	var testRegister = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = testRegister;
});
