define('mall/scripts/account/tradeContent.js',function(require, exports, module) {
	var appUtils = require("appUtils");
	var putils = require("putils");
	var service = require("mobileService"); //业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var HIscroll =require("hIscroll");
	var gconfig = require("gconfig");
	var common = require("common");
	var global = gconfig.global;
	var constants = require("constants");//常量类
	var _pageId="#account_tradeContent ";
	
	//初始化
	function init(){
		common.initTitle(_pageId);
		$(_pageId +"  #back_content").css("color", "#fff");
		$(_pageId+".main").css({
			"overflow-y":"auto",
			"overflow-x":"hidden",
			"height":($(window).height()-$(_pageId+".new-header").height()-1)+"px"
		});
		var article_id = appUtils.getPageParam().article_id;
		queryContent(article_id);
		var type = appUtils.getPageParam().type;
		if(type == "1"){
			$(_pageId+" .new-header-con h1").html("交易规则介绍");		
		}else{
			$(_pageId+" .new-header-con h1").html("交易提示");	
		}
	}
	
	//查询文章内容
	function queryContent(article_id){
		var param = {
			"article_id" : article_id
		};
		var callBack = function(data){
			if(data){
				if(data.error_no == "0"){
					var results = data.results[0];
					var content = common.formatContent(results.content);
					var author = results.author;
					var publish_date = results.publish_date;
					var title = results.title;
					$(".artcle-tit h2").html(title);
					$(".artcle-tit p span").html(publish_date);
					$(".artcle-tit p em").html(author).css("margin-left","5%");
					$(".artcle-con #center").html(content);
				}else{
					layerUtils.iAlert(data.error_info);
				}
			}
		};
		service.getContent(param,callBack);
	}
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
		
		//精彩
		appUtils.bindEvent($(_pageId + " .ft-4"), function(){
			appUtils.pageInit("account/tradeContent","account/index");
		});
		//发现
		appUtils.bindEvent($(_pageId + " .ft-2"), function(){
			appUtils.pageInit("account/tradeContent","account/found");
		});
		//资产
		appUtils.bindEvent($(_pageId + " .ft-3"), function(){
			appUtils.pageInit("account/tradeContent","userCenter/index");
		});
	}
	
	//销毁
	function destroy(){
		$(".artcle-tit h2").html("");
		$(".artcle-tit p span").html("");
		$(".artcle-con p").html("");
	}
	
	var tradeContent = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = tradeContent;
});