/**
 * 新首页 BrotherZeng
 */
define('mall/scripts/account/userSpace.js',function(require, exports, module){
	
	var _pageId = "#account_userSpace ";
    var	pageCode = "account/userSpace";
	var external = require("external");
	var appUtils = require("appUtils"); 
	var ytgService = require("ytgService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var platform=require("gconfig").platform;
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL=global.url;
	var common = require("common");
	var constants=require("constants");// 常量类
	var	curPageNo = ""; // 当前页序号
	var	myScroller = null; // 滚动组件
	var	VIscroll = require("vIscroll");
	// 下标0的元素表示头部滑动，1、2、3分别表示推荐理财、推荐基金和推荐资讯
	var customHIscroll= [{"scroll":null,"_init":false},{"scroll":null,"_init":false},{"scroll":null,"_init":false}];
	var HIscroll =require("hIscroll");
	var picLoadTimer = null;
	var invest_id=null;
	var paramFindHistBargain=new Object();
	paramFindHistBargain.curPage=1;
	paramFindHistBargain.numPerPage=3;
	
	
	// 初始化
	function init(){
		common.initTitle(_pageId);
		if(appUtils.getPageParam("invest_id")){
			invest_id = appUtils.getPageParam("invest_id");
		}
		// 样式兼容性问题
		common.loadNewCss();
		queryUser();
		InvestPortfolioInfoPage();
	}
	/**
	 * 查询用户的姓名、简介、粉丝数、关注数
	 */
	function queryUser(){
		ytgService.queryInvest({invest_id:invest_id},function(resultVo){
			if (resultVo.error_no!=0) {
				layerUtils.iAlert("投顾信息加载失败:"+resultVo.error_info,-1);
				return false;
			}
			var result = resultVo.results[0];
			if (result) {
				if (result.face_image) {
					$("#invest_img").attr("src",result.face_image);					
				}else{
					$("#invest_img").attr("src","images/avatar_02.jpg");
				}
				$("#invest_name").text(result.user_name);
				$("#invest_fans_num").text(result.fans_num);
				$("#invest_follow_num").text(result.follow);
				var content =   result.introdution;
				if(content.length>=60){
					content=content.substring(0,49)+".......";
				}
				$("#invest_introdution").text(content);
			}
		});
	}
	
	
	function InvestPortfolioInfoPage(){
		ytgService.InvestPortfolioInfoPage({userid:invest_id},function(resultVo){
			if (resultVo.error_no!=0) {
				layerUtils.iAlert("组合信息加载失败:"+resultVo.error_info,-1);
				return false;
			}
			var result = resultVo.results[0];
			var total_yield=(result.total_yield*100).toFixed(2);
			var position=(result.position*100).toFixed(2);
			var html="";
			html += "<dl portfolio_id="+result.portfolio_id+"><dt><p>创建以来</p>";
			html += "<strong class='"+(total_yield>0?"ared":"agreen")+"'>"+total_yield+"<sup>%</sup></strong>";
			html += "</dt><dd>";
			html += "<strong>"+result.portfolio_name+"<em>沪深</em><a href='javascript:void(0);'></a></strong>";
			if (result.stock_name) {
				html += "<p><span>重仓股&nbsp;&nbsp;"+result.stock_name+"&nbsp;&nbsp;</span>"+"仓位占比<span class='"+(position>0?"ared":"agreen")+"'>"+position+"%</span>"+"</p>";				
			}else{
				html += "<p><span>重仓股&nbsp;&nbsp;暂无重仓股&nbsp;&nbsp;</span>"+"仓位占比<span>0%</span>"+"</p>";				
			}
			html += "<p class='time_box'>" ;
			html += "最近交易时间：<span>"+result.modify_date+"</span>";
			html += "</p></dd></dl>";
			$("#invest_group").html(html);
			paramFindHistBargain.account_id=result.portfolio_id;
			findHistBargain();
		});
	}
	
	function findHistBargain(){
		ytgService.findHistBargain(paramFindHistBargain,function(resultVo){
			if (resultVo.error_no!=0) {
				layerUtils.iAlert("历史交易加载失败:"+resultVo.error_info,-1);
				return false;
			}
			var results=resultVo.results[0].data;
			if (results) {
				for (var i = 0; i < results.length; i++) {
					var result=results[i];
					var html = "";
					html += "<div class='trade'>";
					html += "<p class='time_box'><span>"+ result.deal_time +"</span>&nbsp;&nbsp;交易记录</p>";
					html += "<div class='trade_inner'>";
					html += "<strong>名称<span>"+result.stock_name+"</span><em>（"+result.stock_code+"）</em></strong>";
					html += "<ul>";
					html += "<li>";
					html += "<p class='pull-left'>成交价<span>"+result.exec_price+"</span></p>";
					html += "<p class='pull-right'>操作<a href='javascript:void(0);' class='"+(result.trade_type==0?"btn_build":"btn_clear")+"'>"+(result.trade_type==0?"建仓":"清仓")+"</a></p>";
					html += "</li>";
					html += "<li>";
					html += "<p>仓位变动<span>"+result.account_be_position+"</span><em>"+result.account_af_position+"%</em></p>";
					html += "</li>";
					html += "</ul>";
					html += "</div>";
					html += "</div>";
					$("#history_trade").html(html);
				}
			}
		});
	}
	// 绑定事件
	function bindPageEvent(){
		// 返回 
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
		// 主页
		appUtils.bindEvent($(_pageId+" #index"),function(){
			appUtils.pageInit("account/ytg/userSpace","account/index");
		});
		// 翼启投
		appUtils.bindEvent($(_pageId+" #yqt"),function(){
			appUtils.pageInit("account/ytg/userSpace","account/ytg/yqt");
		});
		// 理财
		appUtils.bindEvent($(_pageId+" #lc"),function(){
			appUtils.pageInit("account/ytg/userSpace","mall/moneyShop");
		});
		// 生活
		appUtils.bindEvent($(_pageId+" #sh"),function(){
			appUtils.pageInit("account/ytg/userSpace","life/lifeIndex");
		});
		// 我的
		appUtils.bindEvent($(_pageId+" #wd"),function(){
			appUtils.pageInit("account/ytg/userSpace","userCenter/wd");
		});
		// 进入大赛
		appUtils.bindEvent($(_pageId+" #saichang"),function(){
			appUtils.pageInit("account/userSpace","account/PlayGame");
		});
		// 投顾列表
		appUtils.bindEvent($(_pageId+" .nav_box2"),function(){
			window.location.href="/m/trends/index.html#!/master.html";
		});
		
		
		// 进入组合详情
		appUtils.preBindEvent($(_pageId +"#masterList"), "dl",function(e){
			var code = $(this).attr("code");
			var user_id=$(this).attr("user_id");
			// alert("/m/trends/index.html#!/finanPlanDetails/basicInfo.html?userId="+user_id+"&netfundCode="+code);
			//window.location.href="/m/trends/index.html#!/finanPlanDetails/basicInfo.html?userId="+user_id+"&netfundCode="+code;
			appUtils.pageInit("account/userSpace","account/userSpace");
		},"click");
		// 进入组合详情
		appUtils.preBindEvent($(_pageId +"#pointList"), "dl",function(e){
			var daily_id = $(this).attr("daily_id");
			var user_id=$(this).attr("user_id");
			// alert("/m/trends/index.html#!/finanPlanDetails/viewpointDetails/viewpointDetails.html?daily_id="+daily_id+"&userId="+user_id);
			window.location.href="/m/trends/index.html#!/finanPlanDetails/viewpointDetails/viewpointDetails.html?daily_id="+daily_id+"&userId="+user_id;
		
	},"click");
		// 进入跟投详情
		appUtils.preBindEvent($(_pageId +"#pointList"), "p",function(e){
			var daily_id = $(this).attr("daily_id");
			var user_id=$(this).attr("user_id");
			if(user_id){
				window.location.href="/m/trends/index.html#!/finanPlanDetails/viewpointDetails/viewpointDetails.html?daily_id="+daily_id+"&userId="+user_id;
			}
			
		
	},"click");
		
	}
	
	 function queryPortList(){
		 var param={
					"curPage" : 1,
					"numPerPage" : 3
			};
		 ytgService.queryPortfolioList(param,function callBack(resultVo){
				if(0==Number(resultVo.error_no)){
					var result = resultVo.results;
					fillHotPortfolioData(result);
				}else if(resultVo.error_no=="-40834302"){
					$(_pageId + "#portfolioList").empty();
					$(_pageId + "#portfolioList").html('<h3 style="text-align:center;">暂无热门组合</h3>');
				}else{
					layerUtils.iAlert("热门组合加载失败:"+resultVo.error_info,-1);
				}
			});
		 
	 }
	// 填充热门组合数据
		function fillHotPortfolioData(result){
			var html="";
			$(_pageId + " #masterList").html();
			
		   for(var i=0;i<result.length;i++){
			   
			  html+='<div class="master_box"><dl user_id='+result[i].invest_id+'  code='+result[i].portfolio_id+'><dt><img src="images/avatar.jpg" alt=""></dt><dd>';
			  html+='<strong>'+result[i].invest_name+'<em><img src="images/level_01.png" width="16" alt="">黄金导师</em><em class="star">8</em></strong>';
			  html+='<ul class="mt10"><li><p>收益率<strong>'+(result[i].month_yield*100).toFixed(2)+'%</strong></p>';
			  html+='</li><li><p>胜率<strong>'+(result[i].winer*1000).toFixed(2)+'</strong></p></li></ul></dd></dl>';
			  html+='<div class="master_story mt10"><div class="story">';
			  html+='<strong><i>组</i>'+result[i].portfolio_name+'<span>创建以来<em class="redcol">+ '+(result[i].total_yield*100).toFixed(2)+'%</em></span></strong>';
			  var stock=result[i].stock_code;
			   if("" !=stock){
				   html+='<p>重仓股'+result[i].stock_name+'<span>仓位占比<em>30.03%</em></span></p></div>';
			   }else{
				   html+='<p>暂无重仓股<span>仓位占比<em>0%</em></span></p></div>';
			   }
			  html+='<div class="story"><strong><i>产</i>中航投研'+i+'号<em class="tips">荣耀发行</em></strong>';
			  html+='<p>追踪趋势 拥抱财富<span class="subscribe pull-right"><img src="images/read.png" width="8" alt=""><em>1507</em>人已订阅</span></p>';
			  html+='</div></div></div>';
		 }
		   $(_pageId + " #masterList").append(html);
		}
	
	

		 /**
			 * 查询热门观点
			 */
		function queryHotView(){
			var param={
					"row_num" : 3
			};
			ytgService.queryHotViewPage(param,function callBack(resultVo){
				if(0==Number(resultVo.error_no)){
					var result = resultVo.results;
					if(result != null && result.length > 0){
						fillHotPointData(result);
					}
					else{
						$(_pageId + "#pointList").empty();
						$(_pageId + "#pointList").html('<h3 style="text-align:center;">暂无热门观点</h3>');
					}
				}else{
					layerUtils.iAlert("热门观点加载失败:"+resultVo.error_info,-1);
				}
			});
		} 
		
		
		/**
		 * 热门/最新观点查询后绑定数据
		 */
		function fillHotPointData(result){
			 $(_pageId + "#pointList").html("");
				var html = "";
				for(var i = 0;i<result.length;i++)
				{
					var title=result[i].title;
					var content=result[i].content;
					if(title.length>=18){
						title=title.substring(0,17)+".......";
					}
					if(content.length>=50){
						content=content.substring(0,49)+".......";
					}
					html+='<div class="idea_inner"   ><dl user_id='+result[i].user_id+' daily_id='+result[i].daily_id+'><dt><img src="images/avatar.jpg" alt=""></dt>';
					html+='<dd><strong>'+result[i].user_name+'<em>'+result[i].read_num+'</em></strong><ul><li>';
					html+='<p>收益率<strong>'+(result[i].month_one_yields*100).toFixed(2)+'%</strong></p></li><li><p>胜率<strong>'+(result[i].winer*1000).toFixed(2)+'</strong></p>';
					html+='</li></ul></dd></dl><div class="article_box">';
					html+='<strong>'+title+'</strong><p user_id='+result[i].user_id+' daily_id='+result[i].daily_id+'>'+content+'</p>';
					html+='<p class="time_box">'+result[i].create_time+'</p></div></div>';
				}
				$(_pageId + "#pointList").append(html);
			}
		
		
	// 销毁
	function destroy(){
		common.clearNewCss();
		$(_pageId + "#pointList").html("");
		$(_pageId + "#masterList").html("");
	}
	
	var ytg_userSpace = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	// 暴露对外的接口
	module.exports = ytg_userSpace;
	
});