/**
 * 大赛选手
 */
define('mall/scripts/account/ytg/PlayerRegis.js',function(require, exports, module) {

	var _pageId = "#account_ytg_PlayerRegis ";
	var pageCode = "account/ytg/PlayerRegis";
	var appUtils = require("appUtils");
	var service = require("mobileService"); // 业务层接口，请求数据
	var ytgService = require("ytgService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var common = require("common");
	var constants = require("constants");// 常量类
	var curPageNo = ""; // 当前页序号
	var myScroller = null; // 滚动组件
	var VIscroll = require("vIscroll");
	var prePageCode = "";
	
	// 初始化
	function init() {
		common.initTitle(_pageId);
		prePageCode = appUtils.getPageParam("pageCode"); // 上一页面pageCode
		common.checkUserIsLogin();
		findSginId();//查询选手资料
	}
	
	//查询选手资料
	function findSginId(){
		var user_id = appUtils.getPageParam("user_id");//获得用户id
		if(user_id!=""){
			var param={
					"user_id":user_id
				};
				ytgService.findSginUpImpZliao(param,function(data){
					var results = data.results;
					 var error_no = data.error_no;	
					 var error_info = data.error_info;
					 if(error_no==0){//已经报名
						 $(_pageId + " #my_name").val(results[0].my_name);//报名名字
						 $(_pageId + " #my_card").val(results[0].my_card);//报名身份证
						 $(_pageId + " #my_phone").val(results[0].my_phone);//报名手机号
						 $(_pageId + " #my_Email").val(results[0].my_email);//报名者邮箱
						 $(_pageId + " #my_Department").val(results[0].my_department);//报名者所在的营业部
						 if(results[0].my_isks=="1"){
							 $(_pageId + " #my_yes").addClass("active");
						 }else{
							 $(_pageId + " #my_no").addClass("active");
						 }
					 }
				 });
		}
	}
	
	
	// 绑定事件
	function bindPageEvent() {
		// 返回
		appUtils.bindEvent($(_pageId + " .icon_back"), function() {
			appUtils.pageInit("account/ytg/PlayerRegis", "userCenter/wd");
		});
		//是否通过投资资讯考试
		appUtils.bindEvent($(_pageId + " #my_yes"), function() {
			var my_yes=$(_pageId + " #my_yes").hasClass("active");
			var my_no =$(_pageId + " #my_no").hasClass("active");
			if(my_yes&&!my_no){
				$(_pageId + " #my_yes").removeClass("active");
				$(_pageId + " #my_no").addClass("active");
				$(_pageId + " #my_Submit").attr("isks","2");
			}else{
				$(_pageId + " #my_yes").addClass("active");
				$(_pageId + " #my_no").removeClass("active");
				$(_pageId + " #my_Submit").attr("isks","1");
			}
		});
		appUtils.bindEvent($(_pageId + " #my_no"), function() {
			var my_yes=$(_pageId + " #my_yes").hasClass("active");
			var my_no =$(_pageId + " #my_no").hasClass("active");
			if(my_no&&!my_yes){
				$(_pageId + " #my_no").removeClass("active");
				$(_pageId + " #my_yes").addClass("active");
				$(_pageId + " #my_Submit").attr("isks","1");
			}else{
				$(_pageId + " #my_no").addClass("active");
				$(_pageId + " #my_yes").removeClass("active");
				$(_pageId + " #my_Submit").attr("isks","2");
			}
		});
		
		
		
		//报名
		appUtils.bindEvent($(_pageId + " #my_Submit"), function() {
			var isks=$(_pageId + " #my_Submit").attr("isks");
			var user_id=appUtils.getSStorageInfo("yqtid");;//用户ID
			var my_name=$(_pageId + " #my_name").val();//报名名字
			var my_card=$(_pageId + " #my_card").val();//报名身份证
			var my_phone=$(_pageId + " #my_phone").val();//报名手机号
			var my_Email = $(_pageId + " #my_Email").val();//报名者邮箱
			var my_Department = $(_pageId + " #my_Department").val();//报名者所在的营业部
			
			//判断各项输入的格式
			if(my_name==""){
				layerUtils.iMsg(-1,"名字不能为空！");
				return false;
			}
			if(my_card==""){
				layerUtils.iMsg(-1,"身份证不能为空！");
				return false;
			}
			if(my_phone==""){
				layerUtils.iMsg(-1,"手机号不能为空！");
				return false;
			}
			if(my_Email==""){
				layerUtils.iMsg(-1,"邮箱不能为空！");
				return false;
			}
			
			if(my_Department==""){
				layerUtils.iMsg(-1,"身份证不能为空！");
				return false;
			}
			var filter  = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+(com)+$/;
			 if(!filter.test(my_Email)){
				 layerUtils.iMsg(-1,"您的电子邮件格式不正确！");
				 return false;
			 }
			 var phoneyz=/^(13[0-9]|14[0-9]|15[0-9]|18[0-9])\d{8}$/i;
			 if(!phoneyz.test(my_phone)){
				 layerUtils.iMsg(-1,"请填写正确的手机号！");
				 return false;
			 }
			 if(my_card.length=="15"){
				 var isIDCard1=/^[1-9]\d{7}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}$/; 
				 if(!isIDCard1.test(my_card)){
					 layerUtils.iMsg(-1,"您输入的身份证格式不正确！");
					 return false;
				 }
			 }else if(my_card.length=="18"){
				 var isIDCard2=/^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}([0-9]|X)$/;
				 if(!isIDCard2.test(my_card)){
					 layerUtils.iMsg(-1,"您输入的身份证格式不正确！");
					 return false;
				 }
			 }else{
				 layerUtils.iMsg(-1,"请输入15或18位身份证！");
				 return false;
			 }
			 
			 //报名提交
			 var param={
				"my_name":my_name,
				"my_card":my_card,
				"my_phone":my_phone,
				"my_Email":my_Email,
				"my_Department":my_Department,
				"my_isks":isks,
				"user_id":user_id  
			 };
			 ytgService.findSignUp(param,function(data){
				 var error_no = data.error_no;	
				 var error_info = data.error_info;
				 if(error_no==0){
					 appUtils.pageInit("account/ytg/PlayerRegis","account/ytg/RegisSuccess");
				 }else if(error_no==1){
					 appUtils.pageInit("account/ytg/PlayerRegis","account/ytg/RegisSuccess");
				 }else if(error_no==2){
					 layerUtils.iMsg(0,"您已经报名了！");
					 	//清除数据
						$(_pageId + " #my_name").val("");
						$(_pageId + " #my_card").val("");
						$(_pageId + " #my_phone").val("");
						$(_pageId + " #my_Email").val("");
						$(_pageId + " #my_Department").val("");
				 }
			 });
			 
			 
		});
		
	}

	
	// 销毁
	function destroy() {
		//清除数据
		$(_pageId + " #my_name").val("");
		$(_pageId + " #my_card").val("");
		$(_pageId + " #my_phone").val("");
		$(_pageId + " #my_Email").val("");
		$(_pageId + " #my_Department").val("");
	}

	var PlayerRegis = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = PlayerRegis;

});;