/**
 * 我的设置(修改图像)
 */
define('mall/scripts/account/ytg/mySetting/setImg.js',function(require, exports, module) {
	var appUtils = require("appUtils"), 
	    layerUtils = require("layerUtils"), 
        gconfig = require("gconfig"),

   	 ytgService = require("ytgService"), // 业务层接口，请求数据
		
		pageCode = "account/ytg/mySetting/setImg", 
		_pageId = "#account_ytg_mySetting_setImg ";
	
	//页面公共JS
	var pageCommon = require("pageCommon");
	var domain = gconfig.global.domain;
	var common = require("common");
	//插件
	require("mall/scripts/plugins/imgcompress/scripts/jquery.make-thumb.js");
	require("mall/scripts/plugins/form/jquery-form.js");
	
	//全局变量
	var user_type = null;
	var user_id = null;
	//上传图像
	var img_data = null;
	var realPic = null;
	var isSelect = false; //是否选择图片
	
	/**
	 * 初始化
	 */
	function init() {
		common.initTitle(_pageId);
		//common.loadCommonCss();
		user_id = appUtils.getSStorageInfo("yqtid");
		
//		user_id = appUtils.getSStorageInfo('userId',true);
//		user_type = appUtils.getSStorageInfo('userType',true);
		
		// 设置页面高度  //
		var contentHeight = $(window).height()-$(_pageId + ".header").height();
		$(_pageId).find('article').css("height", contentHeight);
		$(_pageId).find('article').css("overflow","auto");
		
		/** 获取基本资料（用户的小图像） */
		getUserInfo();
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent() {
		//头部菜单绑定事件
		pageCommon.headerMenuFunc(_pageId,pageCode);
		//头部返回
		appUtils.bindEvent($(_pageId + ".icon_back"), function(e) {
			appUtils.pageInit(pageCode, "userCenter/wd");
//			if(user_type == 0){
//				appUtils.pageInit(pageCode,"userSpace/index");
//			}
//			else{
//				appUtils.pageInit(pageCode,"adviserSpace/index");
//			}
		});
		
		//头部导航栏(资料;密码;图像)
		appUtils.bindEvent($(_pageId + ".row-1"), function(e) {
			var index = $(this).index();
			if(index == 0){
				appUtils.pageInit(pageCode,"account/ytg/mySetting/setInfo");
			}
			else if(index ==1){
//				appUtils.pageInit(pageCode,"account/ytg/mySetting/setPwd");
			}
			else if(index ==2 ){
				//appUtils.pageInit(pageCode,"userSpace/mySetting/setImg");
			}
		});
		
		//选择文件
		appUtils.bindEvent($(_pageId + " #userImage"), function(e){
			//alert("选择文件");
			if($(_pageId + ".grid a").text() == "上 传 中..."){
				return ;
			}
			//选择图片文件
			$(_pageId+" #btn1").remove();
			$(_pageId+" .my_page_con").append('<input type="file" accept="image/jpg,image/bmp,image/png,image/jpeg,image/gif,camera" capture="camera"  id="btn1" style="width:0px;height:0px;position:absolute;top:0;left:0;"/>');
			setTimeout(function(){
				start_init();
				$(_pageId+" #btn1").click( function (e) {

				}).trigger("click");
			}, 200);
		});
		
		//上传图像
		appUtils.bindEvent($(_pageId + ".grid"), function(e){
			if(isSelect == false){
				layerUtils.iAlert("请选择文件后上传!",-1);
				return;
			}
			//alert("上传");
			if($(_pageId + ".grid a").text() != "上 传 中..."){
				uploadMobileImg(); //上传手机图像
			}
		});
	}
	
	//***************************【初始化方法】***********************************//
	/**
	 * 获取用户基本资料
	 * */
	function getUserInfo(){
		var param = {
			"user_id" : user_id	
		};
		ytgService.findUserInfoById(param,function callBack(resultVo){
			if(Number(resultVo.error_no) == 0){
				//layerUtils.iMsg(0,"查询用户信息成功");
				var result = resultVo.results[0];
				var img_small = result.face_image_small;
				if(img_small != null && img_small != ""){
					$(_pageId + "#userImage").attr("src",domain+img_small+"?r="+Math.random());
				}
				else{
					$(_pageId + "#userImage").attr("src","images/my_tx2.png");
				}
			}
			else{
				layerUtils.iAlert("查询用户信息失败:"+resultVo.error_info,-1);
			}
		});
	}
	//************************* 绑定事件方法 ***********************************//
	function start_init()
	{
		$(function() {
		    var $file = $('#btn1');
		    $file.makeThumb({
		    	width:500,
		    	height:500,
		        success: function(dataURL, tSize, file, sSize, fEvt) {
		    		// 图片上传至服务器
		    	    img_data = dataURL.split(",")[1]; //图片的base64编码
		    	    isSelect = true;
		    	    //img_data = dataURL; //图片的base64编码
		    	    //$('.tx_pic').html('<img src="'+dataURL+'"  class="circle" id="userImage"/>');
		    	    $(_pageId + "#userImage").attr("src",dataURL);
			    	layerUtils.iLoading(false);
			    	//alert(dataURL);
			    	//uploadTempImg(); //上传临时图片
		        },error:function(obj,state,e){
		        	layerUtils.iLoading(false);
		        	if(state==8){
		        		layerUtils.iAlert("上传文件格式不正确，请重新上传",0,function(){});
		        	}
		        }
		    });
		});
	}
	
	/**
	 * 上传手机图像
	 * */
	function uploadMobileImg(){
		$(_pageId + ".grid a").text("上 传 中...");
		$(_pageId + "#pictureBase64").val(img_data);
		$(_pageId + "#userID").val(user_id);
		var form = $("form[name=form1]");
		var options = {
				url : gconfig.global.domain
				+ "servlet/UploadMobileImage?function=SetUserImage",
				type : 'post',
				success : function(data) {
					var jsondata = eval("("+data+")")[0];
					realPic = jsondata.Picurl;
					//alert(realPic);
					if (jsondata.result == "ture") {
						//alert("成功");
						updateUserImage();
					}else {
						layerUtils.iAlert(jsondata.message,-1,function(){
							//图片保存失败要重新上传
						});
					}
				}	
		};
		//异步提交表单
		form.ajaxSubmit(options);
	}
	
	//上传用户图像
	function updateUserImage(){
		var smallImage="/userImage/small/"+realPic;
		var bigImage="/userImage/"+realPic;
		var completeSaveUserInfo = function (resultVo){
			if(resultVo.error_no=="0"){
				layerUtils.iAlert("上传成功",0,function(){
					$(_pageId + ".grid a").text("上 传");
					location.reload();
					//appUtils.pageInit(pageCode,pageCode);
					//appUtils.pageInit(pageCode,"userSpace/index");
					//appUtils.sendDirect(gconfig.global.domain+"/m/ytg/index.html#!/userSpace/mySetting/setImg.html");
				});
			}else{
				if(resultVo.error_no!=-997){
					layerUtils.iAlert("上传图片失败["+resultVo.error_no+"]:"+resultVo.error_info,-1);
					$(_pageId + ".grid a").text("上 传");
				}
			}
		};
		var ctrlParam = {
				setIsShowWait : true,
				setIsLastReq : true
		};
		var param = {
				"user_id" : user_id,
				"bigImage":bigImage,
				"smallImage":smallImage,
				"uuid" : appUtils.getSStorageInfo("user_id")
		};
		ytgService.updateUserImage(param,completeSaveUserInfo,ctrlParam);
	}
	
	//*********************************************************************//
	
	/**
	 * 销毁
	 */
	function destroy() {
		//隐藏菜单以及遮罩层
		pageCommon.hideHeaderMenuFunc(_pageId);
		$(_pageId + "#userImage").attr("src","");
	}

	var userSpace_mySetting_setImg = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = userSpace_mySetting_setImg;
});