/**
 * 组合详情页
 */
define('mall/scripts/account/ytg/portfolio/portfolioDetail.js',function(require, exports, module){
	var appUtils = require("appUtils"), 
	commonUtils = require("commonUtils"), 
	    layerUtils = require("layerUtils"), 
	    gconfig = require("gconfig");
	

	var global = gconfig.global;
	var constants = require("constants");// 常量类
	var common = require("common");
	var _pageId = "#account_ytg_portfolio_portfolioDetail ";
	var pageCode = "account/ytg/portfolio/portfolioDetail";
	//页面公共JS
	var pageCommon = require("pageCommon");
	var domain = gconfig.global.domain;
	   
	//service定义
	var ytgService = require("ytgService"); // 业务层接口，请求数据
	//插件
	var drowCharts = require("mall/scripts/common/drowcharts");
	var external = require("external");
	
	require("mall/scripts/plugins/echarts/echarts");
	//全局变量
	var user_id = "";
	var user_type = ""; 
	var portfolio_id=null;
	var hasDrawChart=false;
	var heightTop = 100;
	//入参
	var curPage = 1;
	var numPerPage = 8;
	var totalPage=1;
	var totalRows = 0;
	var num = 0;
	//其他参数
	var parentPage = null; //用于保存父级页面
	var invest_id = "";
	
	/**
	 * 初始化
	 */
	function init() {
		common.initTitle(_pageId);
		user_id = appUtils.getSStorageInfo("yqtid");
		invest_id = appUtils.getPageParam("invest_id");
		//设置高度
		var height = $(window).height() - $(_pageId +" .header").height();
		$(_pageId+" #bodyPage").css("height",height);
		
		portfolio_id=appUtils.getPageParam("portfolio_id"); //页面传参:组合ID
		
		//查询组合详情
		queryPortfolioDetails();
		//查询关注数
		queryUser();
		//查询持仓信息
		//queryProtfolioHoldStock();
		//查询最新的交易动态
		queryProtfolioTrade();
		if(hasDrawChart == false){
			$(_pageId + " #yinian").addClass("active");
			//画图(收益曲线图)(不要放在初始化里面)
			introductionTabFunc(365);
		}
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//头部返回
		appUtils.bindEvent($(_pageId + ".icon_back"), function(e) {
			appUtils.pageBack();
		});
		
		//调仓历史
		appUtils.bindEvent($(_pageId + " #transferPositionsHistory"), function(e) {
			if ($(this).attr("isFrist")=="false") {
				appUtils.pageInit(pageCode,"account/ytg/portfolio/tpHistory",{portfolio_id:portfolio_id});
			}
		});
		
		//查看投顾详情
		appUtils.preBindEvent($(_pageId +".com_det_box1"),".ring",function(){
			var invest_id = $(this).parent().attr("id");
			var userType = $(this).parent().attr("type");
			if(userType == 1){
				appUtils.pageInit(pageCode,"adviser/adviserDetail", {'invest_id':invest_id});
			}
		});
		
		appUtils.bindEvent($(_pageId + " #userSpacegz"), function() {
			if (!isLogin()) {
				return false;
			}
			userSubInvestOrCancel();
		});
		
		// 分享
		appUtils.bindEvent($(_pageId + " #userSpacefx"), function() {
			var link = global.shareLink;
        	var param={
				moduleName: "mall", // String	目标模块名	N
				funcNo: "50230",
				shareTypeList: "22,23,24",
				title: "个人主页_" + $("#invest_name").text(),
				link:  link+"/m/mall/index.html#!/account/ytg/userSpace.html?invest_id="+invest_id,
				content: $("#invest_name").text() + "的个人主页",
				imgUrl: ""
			};
			external.callMessage(param);
		});		
		
		appUtils.bindEvent($(_pageId+" .time_tab a"),function(e){
			if ($(this).hasClass("active")) {
				return false;
			}
			$(this).parent().find("a").removeClass("active");
			$(this).addClass("active");
			introductionTabFunc($(this).attr("tag"));
		});
		
		// 提问
		appUtils.bindEvent($(_pageId + " #userSpacetw"), function() {
			var invest_name = appUtils.getSStorageInfo("invest_name");
			$(_pageId + "#tiwen").show();
			$(_pageId + "#invest_names").html('向' + invest_name + '提问');
		});
		
		// 字数限制
		appUtils.bindEvent($(_pageId + "#comment"), function() {
			var len = $(this).val().length;
			if (len > 120) {
				$(this).val($(this).val().substring(0, 120));
				var num = 120 - $(this).val().length;
				$(_pageId + "#word").text("还可输入" + num + "字");
				layerUtils.iAlert("超过字数限制", -1);
				return;
			}
			var num = 120 - len;
			$(_pageId + "#word").text("还可输入" + num + "字");
		}, "input");
		
		// 提交问题
		appUtils.bindEvent($(_pageId + "#commit"), function() {
			var ques_comment = $(_pageId + " #comment").val();
			if (ques_comment == "") {
				layerUtils.iAlert("内容不能为空!", -1);
				return;
			}
			commitQues(removeHTMLTag(ques_comment));
		});
		
		// 点击×按钮 关闭提问弹窗
		appUtils.bindEvent($(_pageId + ".close_btn"), function() {
			$(_pageId + "#tiwen").hide();
		});
		appUtils.preBindEvent($(_pageId), " .user_Lrkj",function() {
			isLogin();//登入
		}, "click");
	}
	
	//***************************【函数方法】***********************************//
	// 过滤HTML元素
	function removeHTMLTag(ques_comment) {
		if (ques_comment) {
			ques_comment = ques_comment.replace(/<\/?[^>]*>/g, ''); // 去除HTML tag
			ques_comment = ques_comment.replace(/[ | ]*\n/g, '\n'); // 去除行尾空白
			ques_comment = ques_comment.replace(/\n[\s| | ]*\r/g, '\n'); // 去除多余空行
			ques_comment = ques_comment.replace(/&nbsp;/ig, '');// 去掉&nbsp;
		}
		return ques_comment;
	}
	function tradeQueryService(userId){
		var param = {
				"userId":userId,
				"curPage":1,
				"numPerPage":999
		};
		ytgService.tradeQueryService(param,function callBack(resultVo){
			tradeQueryServiceInitData(resultVo);
		});
	}
	// 判断是否登录
	function isLogin() {
		var islogin = appUtils.getSStorageInfo("_isLoginIn");
		var param = {
			"invest_id":invest_id,
			"pageCode":pageCode,
			"portfolio_id":portfolio_id
		};
		if (islogin!="true") {
			appUtils.setSStorageInfo("_prePageCode",pageCode);
			common.findLogin(param);
			return false;
		}
		if ( !user_id ) {
			appUtils.setSStorageInfo("_prePageCode",pageCode);
			common.findLogin(param);
			return false;
		}
		return true;
	}
	/**
	 * 查询用户的姓名、简介、粉丝数、关注数
	 */
	function queryUser() {
		ytgService.queryInvest({
			invest_id : invest_id
		}, function(resultVo) {
			if (resultVo.error_no != 0) {
				layerUtils.iAlert("投顾信息加载失败:" + resultVo.error_info, -1);
				return false;
			}
			if (!resultVo.results || resultVo.results.length<=0) {
				return false;
			}
			var result = resultVo.results[0];
			if (result) {
				
				$(_pageId + " #sub_num").html(result.fans_num);

			}
		});
	}
	
	function tradeQueryServiceInitData(resultVo){
		var row =new Array();//持有行业百分比数组
		var str2=[];
		if ( "-40160603" == resultVo.error_no ) {
			$(_pageId + "#canvasDiv").html("<center>暂无股票配置信息</center>");
			chartDraw(str2,row);//画持有图
			return false;
		}
		if (resultVo.error_no != 0) {
			layerUtils.iAlert("取票配置查询失败:" + resultVo.error_info, -1);
			chartDraw(str2,row);//画持有图
			return false;
		}
		$(_pageId + "#ratio_detail").html("");
		
		if (resultVo.results) {
			var results = resultVo.results[0].data;
			var data = new Array();
			
			//先循环出行业组成一个数组
			for (var i = 0; i < results.length; i++) {
				 data[i] = results[i].industry;
			}
			//删除重复的行业，重新组成数组
			str2=first(data);//持有行业的不重复的数组
			//获得相同行业的持有的百分比，获得一个数组
			for(var d =0;d<str2.length;d++){
				 var sd=0;
				for (var e = 0; e < results.length; e++) {
					if(str2[d]==(results[e].industry)){
						sd+=parseFloat(results[e].position);
					}
					row[d]=sd.toFixed(2);
				}
			}
			//加载js
			var html="";
			$(_pageId + "#ratio_detail").html("");
			$(_pageId+" #Detail_box ").css("display","block");
			//判断是否登入
			var login_flag = appUtils.getProjSStorage("mall")._isLoginIn;// 是否登陆	
			if(login_flag!="true"){//没有登入
				$(_pageId + "#prot_gppz").html("模拟盘股票配置<a href='javascript:void(0);'  class='user_Lrkj' style='color:red;float: right;font-size: 0.12rem;' >登录可见</a>");
			}else{
				$(_pageId + "#prot_gppz").html("模拟盘股票配置");
			}
			for(var j =0;j<str2.length;j++){
				 html+="<div class='ratio_inner' data-sd='"+str2[j]+"'><h5 ><em class='color_01'></em>"+str2[j]+"<span>"+ row[j] +"%</span></h5>";
				 for (var b = 0; b < results.length; b++) {
					if((str2[j])==(results[b].industry)){
						var stock_name=results[b].stock_name;
						var stock_code=results[b].stock_code;
						if(login_flag!="true"){//没有登入
							stock_name="****";
							stock_code=stock_code.substring(0,3)+"***";
						}
						html+="<table width='100%' cellpadding='0' cellspacing='0' position='"+results[b].position+"'><tr><td style='color:#FF0000'>"+stock_name+"</td><td class='"+(results[b].profit_rate >=0 ? 'ared' : 'agreen')+"' >"+results[b].profit_rate+"%</td>" +
						"<td>"+results[b].now_price+"</td><td >"+results[b].position+"%</td></tr><tr><th >"+stock_code+"</th><th>盈亏</th><th>现价</th>" +
						"<th>仓位</th></tr></table>";
					}
				}
				html+="</div>";
			}
			html+="<div class='ratio_tips mt10'><p>温馨提示：TA的持仓数据仅代表模拟交易记录，不构成投资建议。</p></div></div>";
			$(_pageId + "#ratio_detail").html(html);
			
		}
		chartDraw(str2,row);//画持有图
	}
	//删除重复行业的数组方法
	function first(args){
		var str1=[];
        for(var z=0;z<args.length;z++){
            if(str1.indexOf(args[z])<0){
                str1.push(args[z]);
            }
        }
        return str1;
    }
	function addTable(result){
		var html = "";
		html += "<table width='100%' cellpadding='0' cellspacing='0'>";
		html += "<tr>";
		html += "<td>"+result.stock_name+"</td>";
		html += "<td>"+result.profit_rate+"%</td>";//(result.profit_rate*100).toFixed(2)
		html += "<td>"+result.now_price+"</td>";
		html += "<td><span>"+result.position+"</span>%</td>";//(result.position*100).toFixed(2)
		html += "</tr>";
		html += "<tr>";
		html += "<th>"+result.stock_code+"</th>";
		html += "<th>盈亏</th>";
		html += "<th>现价</th>";
		html += "<th>仓位</th>";
		html += "</tr>";
		html += "</table>";
		return html;
	}
	
	//绘行业涂
	function chartDraw(str2,row){
		if(str2.length>0){
			var arrays=[];
			var rowarrays=[];
			var sum=0;
		    for(var s = 0;s<str2.length;s++){
		    	sum+=parseFloat(row[s]);
		    	arrays.push({
		            name: str2[s],
		            value: row[s]
		        });
		    	rowarrays.push({
		            name: str2[s]
		        });
		    }
		    $(_pageId+" #portfolioDetail_box ").css("height","150px");
			var myChart = echarts.init(document.getElementById('portfolioDetail_box'));
			option = {
					title : {
						text : sum.toFixed(2) + '%\n总仓位',
						x : '16%',
						y : '30%'
					},
					tooltip : {
	                     trigger: 'item',
	                     formatter: "{b} :{d}%"
	                 },
					legend : {
						orient : 'vertical',
						y : 'left',
						x : 'right',
						data : rowarrays
					},
					series : [ {
						name : '',
						type : 'pie',
						radius : [ '60%', '80%' ],
						 center: ['25%', '50%'],
						avoidLabelOverlap : false,
						label : {
							normal : {
								show : false,
								position : 'center'
							},
							emphasis : {
								show : false,
								textStyle : {
									fontSize : '30',
									fontWeight : 'bold'
								}
							}
						},
						labelLine : {
							normal : {
								show : false
							}
						},
						data :arrays
					} ]
				};
				myChart.setOption(option);
				// 解决部门机型保养时不兼容问题.
				//$(_pageId+" #portfolioDetail_box div canvas").css("left","-30px");
		}else{
			$(_pageId+" #portfolioDetail_box ").css("height","0");
			$(_pageId+" #portfolioDetail_box div ").css("display","none");
			$(_pageId+" #Detail_box  ").css("display","none");
		}
	}
	/**
	 * 判断用户是否关注了该组合
	 * */
	function userIsSubPort(){
		var param={
				"portfolio_id":portfolio_id,
				"user_id" : user_id
		};
		ytgService.userIsSubPortfolio(param,function callBack(resultVo){
			if(0==Number(resultVo.error_no)){
				//已关注
				$(_pageId + ".sub_btn").addClass("subed_btn");
				$(_pageId + ".sub_btn").html("<span>已关注</span>");
			}
			else if(resultVo.error_no == '-40832703'){
				//未关注
				$(_pageId + ".sub_btn").removeClass("subed_btn");
				$(_pageId + ".sub_btn").html("<span>关注</span>");
			}
			else{
				layerUtils.iAlert("判断用户是否关注了该组合失败:"+resultVo.error_info,-1);
			}
		});
	}
	
	/**
	 * 关注或者取消关注 组合
	 * */
	function subOrCancelPort(user_id,portfolio_id,sub_type,elem){
		var param={
				"portfolio_id" : portfolio_id,
				"sub_type":sub_type
		};
		ytgService.attentionAndCancelPortfolio(param,function callBack(resultVo){
			if(0==Number(resultVo.error_no)){
				if(sub_type == 1){
					layerUtils.iMsg(0,"关注组合成功");
					elem.addClass("subed_btn");
				    elem.html("<span>已关注</span>");
				    pageCommon.changePortSubClass(sub_type,portfolio_id);
				}
				else{
					layerUtils.iMsg(0,"取消关注组合成功");
					elem.removeClass("subed_btn");
					elem.html("<span>关注</span>");
					pageCommon.changePortSubClass(sub_type,portfolio_id);
				}
			}
			else{
				if(sub_type == 1)
					layerUtils.iAlert("关注组合失败:"+resultVo.error_info,-1);
				else 
					layerUtils.iAlert("取消关注组合失败:"+resultVo.error_info,-1);
			}
		});
	}

	//查询组合详情
	function queryPortfolioDetails(){
		var param={
				"portfolio_id":portfolio_id    //115
		};
		ytgService.queryPortfolioDetails(param,function callBack(resultVo){
			if(0==Number(resultVo.error_no)){
				var result = resultVo.results;
				fillHotPortfolioDetailsData(result);
				invest_id = result[0].user_id;
				tradeQueryService(invest_id);
			}else{
				layerUtils.iAlert("组合详情加载失败:"+resultVo.error_info,-1);
			}
		});
	}
//	/**
//	 * 提交问题
//	 */
//	function commitQues(ques_comment) {
//		if (!isLogin()) {
//			return false;
//		}
//		var queryMap = {
//			"user_id" : user_id,
//			"invest_id" : invest_id,
//			"ques_content" : ques_comment
//		};
//		var CommitQuestion = function(resultVo) {
//			if (0 == Number(resultVo.error_no)) {
//				layerUtils.iAlert("提交成功", 0);
//
//				$(_pageId + "#tiwen").hide();
//				$(_pageId + "#comment").val("");
//				$(_pageId + "#word").text("还可输入" + 120 + "字");
//
//			} else if (Number(resultVo.error_no) == "-40833903") {
//				layerUtils.iAlert("投顾不能向自己提问", -1);
//			} else {
//				layerUtils.iAlert("提问失败:" + resultVo.error_info, -1);
//			}
//		};
//		ytgService.userAddQuestion(queryMap, CommitQuestion);
//	}

	/**
	 * 初始化绑定查询后的组合详情
	 */
	function fillHotPortfolioDetailsData(results){
		$(_pageId + "#int_txt").html("");
		var html = "";
		var html1="";
		var result = results[0];
		$(_pageId + ".title").html(result.portfolio_name);
		//$(_pageId + "#sub_num").html(result.sub_num);
		$(_pageId + "#total_yield").html((result.total_yield*100).toFixed(2));
		$(_pageId + "#rinkings").html(((1-result.rinkings)*100).toFixed(2));
		$(_pageId + "#day_yield").html((result.day_yield*100).toFixed(2));
		$(_pageId + "#recent_week_yield").html((result.recent_week_yield*100).toFixed(2));
		$(_pageId + "#retrace_rate_thirty").html((result.retrace_rate_thirty*100).toFixed(2));
		$(_pageId + "#invest_img").attr("src",domain+ (result.user_image_small?result.user_image_small:constants.ytg_img.INVEST_IMG));
		var img=commonUtils.levelImg(result.star);
		$(_pageId + "#strong").html(result.user_name + "<em><img src='"+img+"' width='16' alt=''></em><span>"+result.levelName+"</span>");
		$(_pageId + "#user_type").html( (result.user_type == 0)?'[民间高手]':'[投顾专家]' );
		var portfolio_style = result.portfolio_style;
		var html= "";
		if ( portfolio_style && portfolio_style != 0 ) {
			if ( portfolio_style == 1 ) {
				html += "短线";
			}else if ( portfolio_style == 2 ) {
				html += "中线";
			}else if ( portfolio_style == 3 ) {
				html += "长线";
			}
		}
		if (html) {
			$(_pageId + "#color_02").html(html);
		}else{
			$(_pageId + "#portfolio_style").hide();
		}
	}


	//查询 持仓(默认每页100条)
	function queryProtfolioHoldStock(){
		var param={
				"curPage" : 1,
				"numPerPage" : 100,
				"account_id":portfolio_id     //118
		};
		ytgService.queryProtfolioHoldStock(param,function callBack(resultVo){
			if(0==Number(resultVo.error_no)){
				var result = resultVo.results[0].data;
				fillProtfolioHoldStockData(result);
			}else if(resultVo.error_no=='-40835102'){
				//无持仓数据
				$(_pageId + ".HoldStockList").siblings().remove();
				var noDataHtml = '<tr><td colspan="4" style="height:10px; border-bottom:1px dashed #BBBBBB; font-size:0.12rem; color:#9999B1; text-align:center;">暂无持仓</td></tr>';
				$(_pageId + ".HoldStockList").after(noDataHtml);
			}
			else{
				layerUtils.iAlert("持仓详情加载失败:"+resultVo.error_info,-1);
			}
		});
	}
	//持仓填充数据
	function fillProtfolioHoldStockData(result){ 
		$(_pageId + ".HoldStockList").siblings().remove();
		var html = "";
		for(var i = 0;i<result.length;i++)
		{
			html +='<tr><td><h4>'+result[i].stock_name+'</h4><span>'+result[i].stock_code+'</span></td>';
			html +='<td><p class="'+(result[i].profit_rate >=0 ? "ared" : "agreen")+'">'+Number(result[i].profit_rate).toFixed(2)+'%</p><p class="'+(result[i].profit>=0 ? "ared" : "agreen")+'">'+result[i].profit+'</p></td><td>';
			html +='<p>'+result[i].total_qty+'</p><p>'+result[i].position+'%</p></td><td>';
			html +='<p>'+result[i].cost_price+'</p><p class="'+(result[i].uppercent>= 0 ? "ared" : "agreen")+'">'+result[i].now_price+'</p></td></tr>';
		}

		$(_pageId + ".HoldStockList").after(html);

	}

	//查询 交易动态
	function queryProtfolioTrade(insertType){
		insertType =  typeof insertType == "undefined" || insertType == "" || insertType == null ? "html":insertType;
		var param={

				"curPage" : curPage,
				"numPerPage" : numPerPage,
				"account_id":portfolio_id
		};
		ytgService.queryProtfolioTrade(param,function callBack(resultVo){
			if(0==Number(resultVo.error_no)){
				var result = resultVo.results[0].data;
				totalPage = resultVo.results[0].totalPages;
				totalRows = resultVo.results[0].totalRows;
				num = result.length;
				fillProtfolioHoldTrade(result,insertType);
			}
			else if(resultVo.error_no=='-40835602'){
				//无交易动态
				$(_pageId + "#TradeList").html("");
				var noDataHtml = '<div style="font-size:0.12rem; color:#9999B1; text-align:center;">暂无交易动态</div>';
				$(_pageId + "#TradeList").append(noDataHtml);
			}
			else{
				layerUtils.iAlert("交易动态详情加载失败:"+resultVo.error_info,-1);
			}
		});
	}

	//填充交易动态数据
	function fillProtfolioHoldTrade(result,insertType){
		$(_pageId + "#TradeList .load_add").remove();
		if(insertType == 'html'){
			$(_pageId + "#TradeList").html("");
		}
		var html = "";
		//判断是否登入
		var login_flag = appUtils.getProjSStorage("mall")._isLoginIn;// 是否登陆	
		if(login_flag!="true"){//没有登入
			$(_pageId + "#transferPositionsHistory").html("登录可见");
			$(_pageId + "#transferPositionsHistory").attr("isFrist","true");
		}else{
			$(_pageId + "#transferPositionsHistory").html("更多调仓");
			$(_pageId + "#transferPositionsHistory").attr("isFrist","false");
		}
		for(var i = 0;i<result.length;i++)
		{
			$(_pageId + " #ytg_tc").html(result[0].exec_date);
			if(result[i].exec_date==result[0].exec_date){
				var stock_name=result[i].stock_name;
				var stock_code=result[i].stock_code;
				if(login_flag!="true"){//没有登入
					stock_name="****";
					stock_code=stock_code.substring(0,3)+"***";
				}
				var trade_type = result[i].trade_type;
				html += "<div class='table_inner'>";
				html += "<table width='100%' cellpadding='0' cellspacing='0'>";
				html += "<tr>";
				html += "<td style='width:0.9rem;color: #FF0000;'>"+stock_name+"</td>";
				html += "<td>"+result[i].exec_price+"</td>";
				html += "<td style='background:"+ (trade_type > 0 ? "#1FBDFF": "#FFA916")+ "'>";
				
				// 0 : 清仓/减仓   1: 建仓/加仓
				var trade_type_name ;
				if ( trade_type == 0 ) {
					if (result[i].stock_be_position > 0) {
						trade_type_name = "加仓" ;
					}else{
						trade_type_name = "建仓" ;
					}
				}else if ( trade_type == 1 ) {
					if (result[i].stock_af_position > 0) {
						trade_type_name = "减仓" ;
					}else{
						trade_type_name = "清仓" ;
					}
				}else{
					trade_type_name = "" ;
				}
				
				html += trade_type_name;
				html += "</td>";
				html += "<td><span>"+(result[i].stock_be_position*100).toFixed(2)+"%</span><em></em><span>"+(result[i].stock_af_position*100).toFixed(2)+"%</span></td>";
				html += "</tr>";
				html += "<tr>";
				html += "<th>"+stock_code+"</th>";
				html += "<th>成交价</th>";
				html += "<th>操作</th>";
				html += "<th>"+result[i].exec_time+" 仓位变动</th>";
				html += "</tr>";
				html += "</table>";
				html += "</div>";
			}
		}
		$(_pageId + "#TradeList").append(html);
	}

	/**
	 *画图
	 * */
	function introductionTabFunc(time_type)
	{    
		var queryMap ={
				"plan_id" : portfolio_id,
				"time_type":time_type
		};
		var drowdataCallBack = function(resultVo){
			if ( "-40801401" == resultVo.error_no ) {
				
			}
			if(0==Number(resultVo.error_no)){
				var result = resultVo.results;

				var profitList = eval('([' + result[0].profit + '])');
				var exponentList = eval('([' + result[0].exponent + '])');
				//收益曲线数组，保存需要画的曲线
				var seriesOptions = [];
				//尺寸参数
				var style = [374,187];

				// 组合收益曲线
				seriesOptions[0] = {
						'name': '组合收益',
						'data': profitList[0]
				};
				// 大盘收益曲线
				seriesOptions[1] = {
						'name': '大盘累计收益率',
						'data': exponentList[0]
				};	
				//画图
				drowCharts.getHighcharts2(seriesOptions,$("#pole_line"),style);
				//hasDrawChart = true;
			}
			else{
				layerUtils.iAlert("曲线图加载失败"+resultVo.error_info,-1);
			}
		};
		ytgService.queryDrowdata(queryMap,drowdataCallBack);
	}
	
	//*********************************************************************//
	
	/**
	 * 销毁
	 */
	function destroy() {
		//隐藏菜单以及遮罩层
		/*pageCommon.hideHeaderMenuFunc(_pageId);*/
		heightTop = 100;
		$(_pageId+" .foo_float_bar").show();
		$(_pageId + " .shoyi").removeClass("active");
		$(_pageId + "#ratio_detail").html("");
		$(_pageId+" .Detail_box ").html("");
		$(_pageId + " #ytg_tc").html("");
		hasDrawChart = false;  //重置是否画了走势图的标示
	}

	var portfolio_portfolioDetail = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = portfolio_portfolioDetail;
});