/**
 * 观点发布评论页
 */
define('mall/scripts/account/ytg/toComment.js',function(require, exports, module) {
	var appUtils = require("appUtils"), 
	    layerUtils = require("layerUtils"), 
		ytgService = require("ytgService"),// 业务层接口，请求数据
		pageCode = "account/ytg/toComment", 
		_pageId = "#account_ytg_toComment ";
	
	//处理emoji实体字符
	var emojiHelper = require("mall/scripts/common/emojiHelper");
	
	//全局变量
	var view_id=null;
	var user_id= null;
	var common=require("common");
	/**
	 * 初始化
	 */
	function init() {
		common.initTitle(_pageId);
		user_id = appUtils.getSStorageInfo("yqtid");
		if (!isLogin()) {
			return false;
		}
		$(_pageId).find("#comment_content").focus();
		view_id = appUtils.getPageParam("view_id");
				
		//判断用户是否登录,用HTML属性做
		/*if(user_id == undefined || user_id==null || user_id==""){
			var hisPageParam = {
					"view_id" : view_id
			};
			appUtils.setSStorageInfo("hisPageParam",JSON.stringify(hisPageParam));
			appUtils.setSStorageInfo("hisPageCode",pageCode);
			appUtils.pageInit(pageCode,"account/login");
		}*/
		
		//设置页面高度
		var height = $(window).height()-$(_pageId + ".header").height();
		$(_pageId + ".my_page").css("height",height);
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//头部返回
		appUtils.bindEvent($(_pageId + ".icon_back"), function(e) {
			appUtils.pageBack();
		}); 
		
		//评论
		appUtils.bindEvent($(_pageId + "#submit"), function(e) {
			var comment_content=$("#comment_content").val();
			comment_content = emojiHelper.utf16toEntities(comment_content);
			if(comment_content== null || ""==comment_content){
				layerUtils.iAlert("评论内容不能为空!",-1);
				return;
			}
			commentView(comment_content);
		}); 
		//字数限制
		appUtils.bindEvent($(_pageId + "#comment_content"), function(e) {
			var len = $(this).val().length;
			if(len > 120){
				$(this).val($(this).val().substring(0,120));
				var num = 120 - $(this).val().length;
				$(_pageId+"#word").text("还可输入"+num+"字");
				layerUtils.iAlert("超过字数限制!",-1);
				return;
			}
			var num = 120 - len;
			$(_pageId+"#word").text("还可输入"+num+"字");
		},"input");
		
	}
	
	//***************************【函数方法】***********************************//
	function commentView(comment_content) {
		if (!isLogin()) {
			return false;
		}
		var parame = new Object();
		parame.view_id = view_id;
		parame.user_id = user_id;
		parame.comment_content = comment_content;
		parame.comment_state = 0;// 评论状态（0所有人可见，1仅评论人和投顾可见，2：删除）
		ytgService.userCommentView(parame, function(resultVo) {
			if (resultVo.error_no != 0) {
				layerUtils.iAlert("评论失败:" + resultVo.error_info, -1);
				return false;
			}
			layerUtils.iAlert("评论成功!");
			appUtils.pageBack();

		});
	}
	   /**
		 * 判断是否登录
		 */
		function isLogin() {
			var islogin = appUtils.getSStorageInfo("_isLoginIn");
			if (islogin!="true") {
				appUtils.pageInit(pageCode, "account/userLogin");
				return false;
			}
			if ( !user_id ) {
				appUtils.pageInit(pageCode, "account/userLogin");
				return false;
			}
			return true;
		}
	//*********************************************************************//
	
	/**
	 * 销毁
	 */
	function destroy() {
		$(_pageId).find("#comment_content").val("");
		$(_pageId+"#word").text("还可输入120字");
	}

	var point_toComment = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	module.exports = point_toComment;
});