/**
 * 创建组合
 */
define('mall/scripts/account/ytg/trade/myPortfolio/createPortfolio.js',function(require, exports, module) {
	var appUtils = require("appUtils"), 
	    layerUtils = require("layerUtils"), 
        gconfig = require("gconfig"),
        portfolioService = require("ytgService"),
        
		pageCode = "account/ytg/trade/myPortfolio/createPortfolio", 
		_pageId = "#account_ytg_trade_myPortfolio_createPortfolio ";
	//全局变量
	var user_id = null;
	var user_type = null;
	var common=require("common");
	/**
	 * 初始化
	 */
	function init() {
		common.initTitle(_pageId);
		common.loadNewCss();
		
		user_id = appUtils.getSStorageInfo('yqtid');
		user_type = appUtils.getSStorageInfo('userType',true);
		//设置输入框长度
		$(_pageId+"#name").attr("maxlength",10);
		$(_pageId+"#intro").attr("maxlength",50);
		
		//设置页面高度  
		var contentHeight = $(window).height()-$(_pageId + ".header").height();
		$(_pageId).find('article').css("height", contentHeight);
		$(_pageId).find('article').css("overflow","auto");
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent() {
		//头部返回
		appUtils.bindEvent($(_pageId + ".icon_back"), function(e) {
			appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/myPortfolio");
		});
		
		//完成
		appUtils.bindEvent($(_pageId + ".grid"), function(e) {
			createPortfolio();//创建组合
		});
	}
	
	//***************************【绑定事件方法】***********************************//
	
	/**
	 * 创建组合
	 * */
	function createPortfolio(){
		var portfolio_name = $(_pageId + "#name").val();
		var introdution = $(_pageId + "#intro").val();
		if(portfolio_name==null || portfolio_name==""){
			layerUtils.iMsg(-1,"组合名称不能为空");
			return;
		}
		else if(introdution==null || introdution==""){
			layerUtils.iMsg(-1,"组合简介不能为空");
			return;
		}
		var gt_id = appUtils.getSStorageInfo("gt_id");
		var gtuser_id = appUtils.getSStorageInfo("gtuser_id");
		var param = {
				"user_id" : user_id,
				"portfolio_name" : portfolio_name,
				"introdution" : introdution,
				"portfolio_type" : 1,
				"gt_id":gt_id,
				 "gtuser_id":gtuser_id,
				"confirm_state" : 3
		};
		portfolioService.createPortfolio(param,function callBack(resultVo){
			if(Number(resultVo.error_no) == 0){
				layerUtils.iMsg(0,"创建组合成功");
				appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/myPortfolio");
			}
			else{
				layerUtils.iAlert("创建组合失败:"+resultVo.error_info,-1);
			}
		});
	}
	
	//*********************************************************************//
	
	/**
	 * 销毁
	 */
	function destroy() {
		//重置页面的所有输入值
		//appUtils.pageResetValue();
		$(_pageId).find("input").val("");
		$(_pageId).find("textarea").val("");
	}

	var account_ytg_trade_myPortfolio_createPortfolio = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = account_ytg_trade_myPortfolio_createPortfolio;
});