/**
 * 历史成交
 */
define('mall/scripts/account/ytg/trade/myPortfolio/queryEntrust/hisDeal.js',function(require, exports, module) {
	var appUtils = require("appUtils"), 
	    layerUtils = require("layerUtils"), 
        gconfig = require("gconfig"),
        portfolioService = require("ytgService"),
		
		pageCode = "account/ytg/trade/myPortfolio/queryEntrust/hisDeal", 
		pageId = "#account_ytg_trade_myPortfolio_queryEntrust_hisDeal ";
	
	//页面公共JS
	var pageCommon = require("pageCommon");
	
	//插件
	var dateUtils = require("dateUtils");
	var dropload=require("dropload"); // 滚动组件
	var me="";
	//全局变量
	var portfolio_id = null; //组合id
	//入参
	var curpage = 1;
	var numPerPage = 10;
	//全局变量
	var portfolio_id = null;
	var common=require("common");
	/**
	 * 初始化
	 */
	function init() {
		common.initTitle(pageId);
		$(pageId+" #begin_time").val(getDate(30));
		$(pageId+" #end_time").val(new Date().format("yyyyMMdd"));
		portfolio_id = appUtils.getSStorageInfo("portfolioId");
		//查询历史成交
		getHisDeal();
		//日期时间输入点击调用日期组件，第一次点击不会触发效果，所以在init里面先初始化一次。
		dateUtils.initDateUI("account_ytg_trade_myPortfolio_queryEntrust_hisDeal",{"dateFormat":"yyyymmdd"});
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent() {
		//头部返回
		appUtils.bindEvent($(pageId + ".icon_back"), function(e) {
			appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/queryEntrust/queryEntrustIndex");
		});
		
		//历史委托
		appUtils.bindEvent($(pageId + "#hisEntrust"), function(e) {
			appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/queryEntrust/hisEntrust");
		});
		
		//查询按钮
		appUtils.bindEvent($(pageId+" #clickQuery"), function(e){
			curpage = 1;		//当前页数
			$(pageId +" #entrust_list").html("");
			getHisDeal("html");
			e.stopPropagation();
		});
	}
	
	//***************************【初始化方法】***********************************//
	
	//设置查询的开始日期
	function getDate(sum){
		var now = new Date();
		now.setDate(now.getDate()-sum);
		var year = now.getFullYear();       //年
		var month = now.getMonth() + 1;     //月
		var day = now.getDate();            //日
		var clock = year+"";
		if(month < 10)
		  clock += "0";
		  clock += month;
		if(day < 10)
		  clock += "0";  
		  clock += day;
		return(clock); 
	}
	
	/**
	 * 历史成交
	 * */
	function getHisDeal(insertType){
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" .entrust_list").html("");
		//初始化滑动组件
		var dropload = $(pageId +".khfxWarp").dropload({
	        scrollArea: $(pageId +".khfxWarp"),
	        loadDownFn: function (me) {
	        	setTimeout(function(){
	        		//调用方法
	        		insertType =  typeof insertType == "undefined" || insertType == "" || insertType == null ? "html":insertType;
	        		var begin_time = $(pageId+" #begin_time").val();
	        		var end_time = $(pageId+" #end_time").val();
	        		var param = {
	        				"account_id" : portfolio_id,
	        				"startDate" : begin_time,
	        				"endDate" : end_time,
	        				"curPage" : curpage,
	        				"numPerPage" : numPerPage
	        		};
	        		portfolioService.queryHisDeal(param,function(data){
	        				var error_no = data.error_no;
	        				if(curpage == 1){//处理没有数据的情况
        						if(error_no=="-40115502"){
    	        					var height = $(window).height() - $(pageId +" .header").height()-$(pageId+" .top_nav").height();
    	        					var noDataHtml = '<div  style="height:'+height+'px; font-size:16px; color:#9999B1; background-color:#FFFFFF; text-align:center; padding-top:150px; margin-top: 0.1rem;">暂无历史成交记录</div>';
    	        					$(pageId + ".entrust_list").append(noDataHtml);
    	        					$(pageId+" .dropload-down").hide();
    	        					return false;
    	        				}
	        				}
	        				if(error_no == 0){
	        					var result = data.results[0].data;
	        					if(curpage == 1){//处理没有数据的情况
	        						if(result.length==0){
	        							$(pageId + " .entrust_list").hide();
	        							$(pageId+" .dropload-down").hide();
	        						}else{
	        							$(pageId + " .entrust_list").show();
	        							$(pageId+" .dropload-down").show();
	        						}
	        					}else{
	        						if(result.length==0){
	        							me.lock();
	        				            // 显示无数据
	        				            me.noData();
	        				            me.loading = false;
	        				            me.resetload();//加载数据
	        						}
	        					}
	        					curpage++;
								var html = "";
								for (var i=0;i<result.length;i++){
									var trade_type = '';
									if(result[i].trade_type == 0)
										trade_type = '<h3 class="ared">买入</h3>';
									else
										trade_type = '<h3 class="agreen">卖出</h3>';
									html += '<div class="item_box">';
									html += '<div class="li_tit"><span class="time">'+result[i].deal_time+'</span>'+trade_type+'</div>';
									html += '<div class="box_list clearfix">';
									html += '<h4>'+result[i].stock_name+'<span>'+result[i].stock_code+'</span></h4>';
									html += '<ul>';
									html += '<li><span>委托编号</span>'+result[i].order_srlnum+'</li>';
									html += '<li><span>成交数量</span>'+result[i].exec_qty+'</li>';
									html += '<li><span>成交价格</span>'+result[i].exec_price+'</li>';
									html += '<li><span>成交金额</span>'+result[i].bargain_balance+'</li>';
									html += '</ul>';
									html += '</div>';
									html += '</div>';
								}
								$(pageId +" .entrust_list").append(html);
	        					if(result.length<numPerPage){
	        			            // 再往下已经没有数据
	        			            // 锁定
	        			            me.lock();
	        			            // 显示无数据
	        			            me.noData();
	        			            me.loading = false;
	        			        }
	        					me.resetload();//加载数据
	        				}else{
	        					layerUtils.iAlert("历史成交查询失败:"+data.error_info,-1);
	        				}
	        			},{"isShowWait":false});		
	    		},200);
	        }
	    });
	}
	//*********************************************************************//
	
	/**
	 * 销毁
	 */
	function destroy() {
		curpage = 1;		//当前页数
		$(pageId +" .entrust_list").html("");
		$(pageId+" .dropload-down").remove();//先删除样式
	}

	var account_ytg_trade_myPortfolio_queryEntrust_hisDeal = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = account_ytg_trade_myPortfolio_queryEntrust_hisDeal;
});