/**
 * 今日委托
 */
define('mall/scripts/account/ytg/trade/myPortfolio/queryEntrust/todayEntrust.js',function(require, exports, module) {
	var appUtils = require("appUtils"), 
	    layerUtils = require("layerUtils"), 
        gconfig = require("gconfig"),
        portfolioService = require("ytgService"),
		
		pageCode = "account/ytg/trade/myPortfolio/queryEntrust/todayEntrust", 
		pageId = "#account_ytg_trade_myPortfolio_queryEntrust_todayEntrust ";
	
	//页面公共JS
	var pageCommon = require("pageCommon");
	var common=require("common");
	//插件
	var dropload=require("dropload"); // 滚动组件
	var me="";
	//全局变量
	var portfolio_id = null;
	//入参
	var curpage = 1;
	var numPerPage = 10;
	
	/**
	 * 初始化
	 */
	function init() {
		common.initTitle(pageId);
		portfolio_id = appUtils.getSStorageInfo("portfolioId");
		 curpage = 1;
		//查询当日委托
		getTodayEntrust();
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent() {
		//头部返回
		appUtils.bindEvent($(pageId + ".icon_back"), function(e) {
			appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/queryEntrust/queryEntrustIndex");
		});
		
		//今日成交
		appUtils.bindEvent($(pageId + "#todayDeal"), function(e) {
			appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/queryEntrust/todayDeal");
		});
	}
	
	//***************************【初始化方法】***********************************//
	/**
	 * 当日委托
	 * */
	function getTodayEntrust(insertType){
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" .entrust_list").html("");
		//初始化滑动组件
		var dropload = $(pageId +".khfxWarp").dropload({
	        scrollArea: $(pageId +".khfxWarp"),
	        loadDownFn: function (me) {
	        	setTimeout(function(){
	        		//调用方法
	        		var param = {
	        				"account_id" : portfolio_id,
	        				"curPage" : curpage,
	        				"numPerPage" : numPerPage
	        		};
	        		portfolioService.queryTodayEntrust(param,function(data){
	        				var error_no = data.error_no;
	        				if(curpage == 1){//处理没有数据的情况
        						if(error_no=="-40115202"){
    	        					var height = $(window).height() - $(pageId +" .header").height()-$(pageId+" .top_nav").height();
    	        					var noDataHtml = '<div  style="height:'+height+'px; font-size:16px; color:#9999B1; background-color:#FFFFFF; text-align:center; padding-top:150px; margin-top: 0.1rem;">今日暂无成交记录</div>';
    	        					$(pageId + ".entrust_list").append(noDataHtml);
    	        					$(pageId+" .dropload-down").hide();
    	        					return false;
    	        				}
	        				}
	        				if(error_no == 0){
	        					var result = data.results[0].data;
	        					if(curpage == 1){//处理没有数据的情况
	        						if(result.length==0){
	        							$(pageId + " .entrust_list").hide();
	        							$(pageId+" .dropload-down").hide();
	        						}else{
	        							$(pageId + " .entrust_list").show();
	        							$(pageId+" .dropload-down").show();
	        						}
	        					}else{
	        						if(result.length==0){
	        							me.lock();
	        				            // 显示无数据
	        				            me.noData();
	        				            me.loading = false;
	        				            me.resetload();//加载数据
	        						}
	        					}
	        					curpage++;
	        					var html = "";
	        					for(var i = 0;i<result.length;i++)
	        					{
	        						var trade_type = '';
	        						if(result[i].trade_type == 0)
	        							trade_type = '<h3 class="ared">买入</h3>';
	        						else
	        							trade_type = '<h3 class="agreen">卖出</h3>';
	        						html += '<div class="item_box">';
	        						html += '<div class="li_tit"><span class="time">'+result[i].order_time+'</span>'+trade_type+'</div>';
	        						html += '<div class="box_list clearfix">';
	        						html += '<h4>'+result[i].stock_name+'<span>'+result[i].stock_code+'</span></h4>';
	        						html += '<ul>';
	        						html += '<li><span>委托编号</span>'+result[i].serial_num+'</li>';
	        						html += '<li><span>状态说明</span>'+result[i].trade_status_name+'</li>';
	        						html += '<li><span>委托价格</span>'+result[i].order_price+'</li>';
	        						html += '<li><span>委托数量</span>'+result[i].order_qty+'</li>';
	        						html += '<li><span>金额</span>'+result[i].order_balance+'</li>';
	        						html += '</ul>';
	        						html += '</div>';
	        						html += '</div>';
	        					}
	        					$(pageId + ".entrust_list").append(html);
	        					if(result.length<numPerPage){
	        			            // 再往下已经没有数据
	        			            // 锁定
	        			            me.lock();
	        			            // 显示无数据
	        			            me.noData();
	        			            me.loading = false;
	        			        }
	        					me.resetload();//加载数据
	        				}else{
	        					layerUtils.iAlert("当日委托查询失败:"+data.error_info,-1);
	        				}
	        			},{"isShowWait":false});		
	    		},200);
	        }
	    });
	}
	
	//*********************************************************************//
	
	/**
	 * 销毁
	 */
	function destroy() {
		curpage = 1;		//当前页数
		$(pageId +" .entrust_list").html("");
		$(pageId+" .dropload-down").remove();//先删除样式
	}

	var account_ytg_trade_myPortfolio_queryEntrust_todayEntrust = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = account_ytg_trade_myPortfolio_queryEntrust_todayEntrust;
});