/**
 * 观点详情页
 */
define('mall/scripts/account/ytg/viewDetails.js',function(require, exports, module) {
	var _pageId = "#account_ytg_viewDetails ";
	var pageCode = "account/ytg/viewDetails";
	var appUtils = require("appUtils");
	var ytgService = require("ytgService"); // 业务层接口，请求数据
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var domain = gconfig.global.domain;
	var commonUtils = require("commonUtils");
	var constants = require("constants");// 常量类
	var external = require("external");
	//全局变量
	var user_type=null;
	var user_id=null;
	var view_id=null;
	
	//查询观点评论入参
	var curPage = 1;
	var numPerPage = 1000;
	var totalPage=1;
	var totalRows = 0;
	var num = 0;
	//其他参数
	var parentPage = null; //用于保存父级页面
	
	/**
	 * 初始化
	 */
	function init() {
		common.initTitle(_pageId);
		user_type = appUtils.getSStorageInfo("istg");
		user_id = appUtils.getSStorageInfo("yqtid");
		view_id = appUtils.getPageParam("view_id");
		
		//查询单个观点详情
		queryNewViewDetails(view_id);
		//查询评论
		queryViewComment(view_id);
//		//查询用户是否收藏了该观点
//		if(user_id != null && user_id != ""){
//			queryisSubView();
//		}
	}

	/**
	 * 事件绑定
	 */
	function bindPageEvent() {
		//头部返回
		appUtils.bindEvent($(_pageId + ".icon_back"), function(e) {
			appUtils.pageBack();
		});
		
		//评论页面
		appUtils.bindEvent($(_pageId + "#huida"), function() {
			if (!isLogin()) {
				return false;
			}
				appUtils.pageInit(pageCode, "account/ytg/toComment", {"view_id":view_id});
			
		});
		
		//评论  加载更多
		appUtils.preBindEvent($(_pageId+"#pointList1"),".load_add",function(e){
			//alert("更多");
			curPage++;
			queryViewComment(view_id,"append");
		});
		
		//收藏功能
		appUtils.bindEvent($(_pageId + "#collect_iocn"), function(e) {
			if(user_type==1){
				layerUtils.iAlert("投顾不能收藏观点",-1);
				return;
			}
			if (!isLogin()) {
				return false;
			}
			var col_status = "";
			if($(this).hasClass('collected_iocn')){
				col_status = 0;//关注类型（0：取消收藏 1：收藏）
			}else{
				col_status = 1;
			}
			//收藏和取消收藏
			subOrCancelCollection(view_id,col_status,$(this));
			e.stopPropagation();
		
		});
		
		//点击投顾头像进入投顾详情页面
		appUtils.preBindEvent($(_pageId + "#pointList"), "img",function(e) {
			var invest_id = $(this).attr("id");
			appUtils.pageInit(pageCode,"account/ytg/userSpace",{'invest_id':invest_id});
			//阻止冒泡  域绑定事件 域绑定下多个绑定有效
			e.stopPropagation();
		});
	
		//点击投顾头像进入投顾详情页面
		appUtils.preBindEvent($(_pageId + "#pointList"), ".sy_list_tit .list_info p",function(e) {
			var invest_id = $(this).attr("id");
			appUtils.pageInit(pageCode,"account/ytg/userSpace",{'invest_id':invest_id});
			//阻止冒泡  域绑定事件 域绑定下多个绑定有效
			e.stopPropagation();
		});
		
		//分享
		appUtils.bindEvent($(_pageId + "#share_iocn"),function(e){
			var view_content = $(_pageId + "#view_content").text();
			if(view_content.length >=30){
				view_content = view_content.substring(0,30);
			}
			/** H5交互原生 分享菜单*/
            var param={
				funcNo: "50230",
				shareTypeList: "22,23,24",
				title: "云投顾-观点："+$(_pageId + "#view_title").text(),
				link: "http://yqhgc.avicsec.com:8082/m/mall/index.html#!/account/ytg/viewDetails.html?view_id="+view_id,
				content: "内容：" + $(_pageId + "#view_content").text(),
				imgUrl: "https://mall.avicsec.com/mobile/app/logo/icon.png"
			};
			external.callMessage(param);
		});
		
		
	}

	//***************************【函数方法】***********************************//
	/**
	 * 收藏或者取消收藏 观点
	 * */
	function subOrCancelCollection(view_id,col_status,elem){
		var param={
				"view_id" : view_id,
				"col_status":col_status,
				"user_id":user_id
		};
		service.addCollection(param,function(resultVo){
			if(0==Number(resultVo.error_no)){
				if(col_status == 1){
					elem.addClass("collected_iocn");
					$(_pageId+" #shouc").html("已收藏");
					layerUtils.iMsg(0,"收藏成功",1);
				}
				else{
					elem.removeClass("collected_iocn");
					layerUtils.iMsg(0,"取消收藏成功",1);
					$(_pageId+" #shouc").html("未收藏");
				}
			}
			else{
				if(col_status == 1)
					layerUtils.iAlert("收藏失败:"+resultVo.error_info,-1);
				else 
					layerUtils.iAlert("取消收藏失败:"+resultVo.error_info,-1);
			}
		});
	}
	
	
	/**
	 * 用户是否收藏了该观点
	 * 
	 * */
	function queryisSubView(){
		var param={
				"view_id":view_id,
				"user_id":user_id
		};
		service.isSubView(param,function(resultVo){
			if(0==Number(resultVo.error_no)){
				if("已收藏"==resultVo.error_info){
					$(_pageId+" #collect_iocn").addClass("collected_iocn");
					$(_pageId+" #shouc").html("已收藏");
				}else{
					$(_pageId+" #collect_iocn").removeClass("collected_iocn");
					$(_pageId+" #shouc").html("未收藏");
				}
			}
			else{
				layerUtils.iAlert("判断用户是否收藏观点失败:"+resultVo.error_info,-1) ;
			}
		});

	}
	/**
	 * 增加观点的阅读数
	 * */
	function addViewReadNum(){
		var param={
				"view_id":view_id
		};
		ytgService.addViewReadNum(param,function callBack(resultVo){
			if(0==Number(resultVo.error_no)){
				
			}else{
				layerUtils.iAlert("增加观点阅读数失败:"+resultVo.error_info,-1) ;
			}
		});

	}

	//查看观点详情
	function queryNewViewDetails(view_id){
		var param = new Object();
		param.view_id = view_id;
		ytgService.queryViewDetails(param, function(resultVo) {
			if(0==Number(resultVo.error_no)){
				var result = resultVo.results;
				fillPointDetails(result);
				//观点详情加载后，增加阅读数
				addViewReadNum(); //增加观点阅读数(非登录状态浏览也可+1)
			}
			else{
				layerUtils.iAlert("观点详情加载失败:"+resultVo.error_info,-1) ;
			}
		});
	}

	/**
	 * 查询后绑定填充数据
	 */
	function fillPointDetails(result){
		$(_pageId + "#pointList").html("");
		var html = "";
		for(var i = 0;i<result.length;i++)
		{
			html += '<li id="'+result[i].view_id+'" style="padding: 0.15rem 0;"><a href="javascript:void(0)"><div class="view_con">';
			html += '<div class="sy_list_tit"><div class="tx_box">';


			var face_image = result[i].user_image_small;// 投顾头像;
			var content = common.formatContent(result[i].content);
			face_image = face_image ? face_image:constants.ytg_img.INVEST_IMG ;
			html+='<img src="' + domain + face_image+'" class="rounded" width="30" id="'+result[i].invest_id+'" /></div>';
			html +='<div class="list_info"><p id="'+result[i].invest_id+'">'+result[i].invest_name+'</p><span>'+result[i].create_time+'&nbsp;&nbsp;&nbsp;阅读  '+result[i].read_num+'</span></div></div>';
			html +='<div class="sy_list_txt">';
			html += '<p id="view_title" style="font-size: 0.18rem;">'+result[i].title+'</p>';
			html +='</div></div><div class="detail_txt"><p id="view_content" style="font-size: 0.14rem; color: #333333;">'+content+'</p>';
			html += '<p><br></p><p><span style="color:#111">风险提示：</span>以上内容仅代表个人观点，不构成投资建议，股市有风险，投资需谨慎！</p>';
			html +='</div></a></li>';

		}
		$(_pageId + "#pointList").append(html);

	}


	//查看评论
	function queryViewComment(view_id,insertType){
		insertType =  typeof insertType == "undefined" || insertType == "" || insertType == null ? "html":insertType;
		var param={
				"curPage" : curPage,
				"numPerPage" : numPerPage,
				"view_id":view_id

		};
		ytgService.queryViewComment(param,function callBack(resultVo){
			if(0==Number(resultVo.error_no)){
				var result = resultVo.results[0].data;
				totalPage = resultVo.results[0].totalPages;
				totalRows = resultVo.results[0].totalRows;
				num = result.length;
				fillqueryViewCommentData(result,insertType);
			}else if(resultVo.error_no=='-40836102'){
				$(_pageId + "#pointList1").html("");
				var noDataHtml = '<div class="no_data_box"><em></em><p>暂无评论</p></div>';
				$(_pageId + "#pointList1").append(noDataHtml);
			}else{
				layerUtils.iAlert("评论详情加载失败:"+resultVo.error_info,-1) ;
			}
		});
	}

	//评论数据填充

	function fillqueryViewCommentData(result,insertType){
		$(_pageId + "#pointList1 .load_add").parent("li").remove();
		$(_pageId + "#pointList1 .load_add").remove();
		if(insertType == 'html'){
			$(_pageId + "#pointList1").html("");
		}
		var html1 = "";
		for(var i = 0;i<result.length;i++)
		{
			html1+='<li id="'+result[i].user_id+'"><div class="li_lower"><div class="ring">';
			if(result[i].face_image_small==null||""==result[i].face_image_small)
				html1+='<img src="images/my_tx.png" class="rounded" width="26" /></div>';

			else{
				html1+='<img src="'+ domain +result[i].face_image_small+'" class="rounded" width="26" /></div>';
			}
			html1+='<div class="list_info"><h4>'+result[i].comment_content+'</h4>';
			html1+='<p>评论者 : '+result[i].user_name+"&nbsp;&nbsp;&nbsp;&nbsp; "+common.diaplayTime(result[i].create_time)+'</p></div></div></li>';

		}
		$(_pageId + "#pointList1").append(html1);
		if(curPage != totalPage){
			$(_pageId + "#pointList1").append('<li><a href="javascript:void(0);" class="load_add" style="border:1px solid #689EEF;">加载更多评论</a></li>');
		}
	}

	/**
	 * 判断是否登录
	 */
	function isLogin() {
		var islogin = appUtils.getSStorageInfo("_isLoginIn");
		appUtils.setSStorageInfo("_prePageCode",pageCode);
		var param={
			"view_id":view_id,
			"pageCode":pageCode
		};
		if (islogin!="true") {
			common.findLogin(param);
			//appUtils.pageInit(pageCode, "account/userLogin",param);
			return false;
		}
		if ( !user_id ) {
			common.findLogin(param);
			//appUtils.pageInit(pageCode, "account/userLogin");
			return false;
		}
		return true;
	}
	//*********************************************************************//

	/**
	 * 销毁
	 */
	function destroy() {
		$(_pageId + "#pointList").html("");
		$(_pageId + "#pointList1").html("");
		//回复观点内容字体大小
		$(_pageId + "#view_content").css("font-size","0.14rem");
		
		//查询观点评论入参
		curPage = 1;
		totalPage=1;
		totalRows = 0;
		num = 0;
	}

	var point_pointDetail = {
			"init" : init,
			"bindPageEvent" : bindPageEvent,
			"destroy" : destroy
	};

	module.exports = point_pointDetail;
});