define('mall/scripts/appropriate/riskMakeSure.js',function(require, exports, module) {
	var appUtils = require("appUtils");
	var _pageId="#appropriate_riskMakeSure  ";
	var pageCode = "appropriate/riskMakeSure";
	var layerUtils = require("layerUtils");
	var appropriateService = require("appropriateService");
	var constants = require("constants");// 常量类
	var fundUtils = require("fundUtils");
	var common = require("common");
	var khh = "";
	var user_risk_level = "";
	var page_name="";
	var fee_way="";
	var fee_way_type="";
	var fee_way_percent="";
	var description="";
	var money_type="";
	var product_type="";
	function init(){
		common.initTitle(_pageId);
		
		khh = appUtils.getPageParam("khh");
		page_name=appUtils.getPageParam("page_name");
		product_type=appUtils.getPageParam("product_type");
		var param = {
				"khh" : khh
		};
		appropriateService.appropriateBaseInfo(param , function(data){
			if(data.error_no!="0")
			{
				layerUtils.iAlert(data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			var result = data.results;
			var strs= new Array(); //定义一数组 
			var invest_kind = result[0].fid_xgpz;
			var content = "";
			if(invest_kind){
				strs = invest_kind.split(";");
				for(var i = 0 ; i < strs.length; i++){
					content += constants.invest_kind[strs[i]];
				}
			}
			user_risk_level = result[0].fid_fxcsnl;
			$(_pageId + "#userName").html(appUtils.getSStorageInfo("user_name"));
			$(_pageId + "#riskLevel").html(fundUtils.FundkhhRank(user_risk_level));//风险承受能力;
//			$(_pageId + "#invest").html(constants.invest_time[result[0].fid_qx]);//投资期限
//			$(_pageId + "#earnings").html(fundUtils.fidSylx(result[0].fid_sylx));//预期收益
//			$(_pageId + "#kind").html(content);//投资品种
		});
		
		$(_pageId + "#productName").html(appUtils.getPageParam("product_name"));
		//查询产品适当性信息
		var reParam = {
				"product_code" : appUtils.getPageParam("product_code")
		};
		appropriateService.queryProductFixInfo(reParam , function(data){
			if(data.error_no!="0")
			{
				layerUtils.iAlert(data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			var result = data.results;
			$(_pageId + "#productRisk").html(fundUtils.FundRank(result[0].risk_level));
//			$(_pageId + "#productInvest").html(fundUtils.investTime(result[0].invest_time));
//			$(_pageId + "#productKind").html(fundUtils.investKind(result[0].invest_cls));
//			$(_pageId + "#profit").html(fundUtils.investProfit(result[0].invest_income));
		});
	}
	
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"), function(){
			appUtils.pageBack();
		});
		
		//确定
		appUtils.bindEvent($(_pageId+" #sidebtn"), function(){
			var param = appUtils.getPageParam();
			//柜台留痕
			var reParam = {
					"khh":khh,
					"product_code":appUtils.getPageParam("product_code"),
					"inst_type":"0"
			}
			appropriateService.riskRecordToGT(reParam , function(data){
				if(data.error_no == "0"){					
					var result = data.results;
					if(result[0].apply_code){
						appUtils.setSStorageInfo("agmt_sno",result[0].apply_code);//下单是需要协议编号
						//提交柜台成功
						var riskparam = {
								"product_id" : appUtils.getPageParam("product_id"),
								"fund_account" : appUtils.getSStorageInfo("fund_account"),
								"client_id" : khh,
								"cust_name" : appUtils.getSStorageInfo("user_name"),
								"risk_level" : user_risk_level,
								"risk_level_name" : fundUtils.FundkhhRank(user_risk_level),
								"cust_type" : appUtils.getSStorageInfo("cust_type_wh"),
								"product_name" : appUtils.getPageParam("product_name"),
								"product_risk_level" : appUtils.getPageParam("risk_level"),
								"risk_result" : "1",
								"ta_code" : appUtils.getPageParam("register_corp_code"),
								"fee_way":appUtils.getPageParam("fee_way"),
								"fee_way_type":appUtils.getPageParam("fee_way_type"),
								"fee_way_percent":appUtils.getPageParam("fee_way_percent"),
								"description":appUtils.getPageParam("description"),
								"money_type":appUtils.getPageParam("money_type")
								// 这里也需要补充
						};
						appropriateService.riskRecord(riskparam , function(data){
							if(data.error_no == "0"){					
								if("7"==product_type){
									appUtils.pageInit(pageCode,"mall/finanOrder/stickMoneyBuy", param);
								}else{
									param["is_risk"] = "1";
									appUtils.pageInit(pageCode,page_name, param);
								}
							}else{
								layerUtils.iAlert(data.error_info);
								layerUtils.iLoading(false);
								return false;
							}
						});
					}
				}else{
					layerUtils.iAlert(data.error_info);
					layerUtils.iLoading(false);
					return false;
				}
			});
			
		});
	}

	
	/*~~~~~~~~~~~~~~~~~~~~自定义方法~~~~~~~~~~~~~~~~~~~~*/
	function khhPageInit() {
		
	}
	
	/*--------------------------自定义方法结束---------------------------------*/
	function destroy(){
		
	}
	
	var baseInfo = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = baseInfo;
});