/**
 * 风险测评
 */
define('mall/scripts/avicBao/avicFund.js',function(require, exports, module) {
	var appUtils = require("appUtils");
	var	layerUtils = require("layerUtils");
	var	validatorUtil = require("validatorUtil"); 
	var	service = require("mobileService"); 
	var constants = require("constants");// 常量类
	var	global = require("gconfig").global; 
	var	userInfo = JSON.parse(appUtils.getSStorageInfo("userInfo")); 
	var	common = require("common"); 
	var	pageId = "#avicBao_avicFund ";
	var pageCode="avicBao/avicFund";
	var wjhm = "13";//问卷编号
	function init() {
		common.initTitle(pageId);
		
		appUtils.setSStorageInfo("order_risk","0");//0清空
		$(pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height()-$(pageId+".header-con").height()-$(pageId+".footer-box").height()-20)+"px"});
		getQuestionRisk();//查询风险测评题目
	}
	// 绑定事件
	function bindPageEvent() {
		appUtils.bindEvent($(pageId + ".icon_back"), function() {
			appUtils.pageInit(pageCode,"avicBao/avicHomePage");
		});
		appUtils.bindEvent($(pageId+" .thinkive-btn a"),function(){
			var select = checkQuestionSelect();
			if(select == ""){
				submit();//提交测评分数到cif
			}else{
				layerUtils.iMsg(-1, select +"题您未选择,请核对后提交");
			}
		});
		
	}
	/**
	 * 查询风险测评题目 获取题目之后，查询用户是否已做过的风险题答案， 如果有则初始化选项选择
	 */
	function getQuestionRisk() {
		var param = {
			//"risk_type_id" : constants.avicRisk.CODE,
			"cpjg" : "PH",
			"khh":appUtils.getSStorageInfo("khh")
		};
		service.queryEval(param, function(data) {
			if (data.error_no == "0") {
				var results = data.results;
				if (results && results.length > 0) {
					fillData(results);
				}
			} else {
				layerUtils.iAlert(data.error_info, -1);
			}
		}, {
			"isLastReq" : true,
			"isShowWait" : false
		});
	}
	
	/**
	 * 填充风险测评题
	 */
	function fillData(results){
		var str = "";
		str += '<div class="per-risk-con">';
		for(var i=0;i<results.length;i++){
			//answers = strToArray(results[i].answers);
			answers=results[i].answers;
			wjhm = results[i].question_wjhm;
			var tmdas = answers.split(";");
			question_id = results[i].question_id,
			question_title = results[i].question_title;
			question_no = results[i].question_no;
	      	str += '<dl id="'+question_id+'"><dt>'+(i+1)+'.'+question_title+'</dt><dd><ul class="per-risk-list">';
			for(var j=0;j<tmdas.length;j++){
				var descriptions =  tmdas[j].split("|");
				str += '<li anw="'+question_no+'|'+descriptions[0]+'">'+descriptions[1]+'</li>';
			}
			str += '</ul></dd></dl>';
		}
		str += '</div>';
		$(pageId+" #risk_show").html(str);
		// 为选择按钮添加事件
		appUtils.bindEvent($(pageId + " .per-risk-list li"),function() {
			if (!$(this).hasClass("new-risk-sec")) {
				$(this).addClass("new-risk-sec");
			}
			$(this).siblings().removeClass("new-risk-sec");
		});
	}
	
	/**
	 * 字符串还原为数组
	 * 
	 * @param {Object}
	 *            str
	 */
	function strToArray(str) {
		if (validatorUtil.isNotEmpty(str)) {
			str = str.replaceAll("=", ":'");
			str = str.replaceAll("}, ", "'},");
			str = str.replaceAll("}]", "'}]");
			str = str.replaceAll(", ", "',");
			str = str.replaceAll("%", "");
			str = str.replaceAll("\r", "");
			str = str.replaceAll("\n", "");
			var data = "";
		//	eval("data=" + str);
			return data;
		}
	}
	/**
	 * 检查问题选择(是否有未选择项等)
	 */
	function checkQuestionSelect() {
		var $questionsArr = $(pageId + ".per-risk-con dl dd ul");
		var anw = "";
		for(var i=0,length=$questionsArr.length; i < length; i++){
			var $sel = $($questionsArr[i]).children(".new-risk-sec");
			if($sel.length == 0){
				if(anw != ""){
				   anw +="，";
				}
				anw += (i+1)+"";
				continue;
			}
		}
		return anw;
	}
	
	
	//提交风险测评答案(资金账号)
	function submit(){
		var paper_answer = "";
		//var answer = "";
		var $questionsArr = $(pageId + ".per-risk-con dl dd ul");
		for(var i=0;i<$questionsArr.length;i++){
			var anw = $($questionsArr[i]).children(".new-risk-sec").attr("anw");
//			if(anw == (i+1)+"_1"){
//				answer = "A";
//			}else if(anw == (i+1)+"_2"){
//				answer = "B";
//			}else if(anw == (i+1)+"_3"){
//				answer = "C";
//			}else if(anw == (i+1)+"_4"){
//				answer = "D";
//			}else if(anw == (i+1)+"_5"){
//				answer = "E";
//			}else{
//				answer = "F";
//			}
//			paper_answer += (122+i)+"|"+answer+";";
			paper_answer += anw+";";
			
		}
		var param = {
			"FID_KHH" : appUtils.getSStorageInfo("khh"),
	        "FID_WJHM" : wjhm,
	        "FID_ZJLB" : "0",
	        "FID_ZJBH" : appUtils.getSStorageInfo("FID_ZJBH"),
	        "FID_KHXM" : appUtils.getSStorageInfo("FID_KHXM"),
	        "FID_TMDA" : paper_answer
		};
		//提交答案
		service.submitTest(param, function(data) {
			if(data.error_no!="0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}else{
				var FID_MESSAGE = data.results[0].FID_MESSAGE;
				var FID_TZZFL = data.results[0].FID_TZZFL;
				 param={
					"risk_name":FID_MESSAGE,
					"risk_level":FID_TZZFL,
					"risk_typeName":"index",
				};
				appUtils.pageInit(pageCode, "avicBao/avicResult", param);
			}
		})
	}
	
	function submitTimeout() {
		layerUtils.iConfirm("请求超时，是否重新提交？", function() {
			submitRiskAnswer();
		});
	}

	function destroy() {
		$(pageId+" #risk_show").html("");
	}

	var avicFund = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = avicFund;
});