define('mall/scripts/common/fundUtils.js',function(require, exports, module) {
	/**
	 * 基金类型转换
	 */
	function FundType(typeid) {
		var type_name = "";
		switch (typeid) {
		case "10100":
			type_name = "股票型";
			break;
		case "10200":
			type_name = "债券型";
		case "10300":
			type_name = "货币型";
			break;
		case "10400":
			type_name = "混合型";
			break;
		case "10600":
			type_name = "FOF";
			break;
		case "10700":
			type_name = "保本型";
			break;
		case "10900":
			type_name = "其他型";
			break;
		case "20100":
			type_name = "股票型";
			break;
		}
		return type_name;
	};
	/**
	 * 风险等级评估
	 */
	function FundRank(fid_jjfxdj) {
		var fid_lccpbzwen = "";
		switch (fid_jjfxdj) {
		case "1":
			fid_lccpbzwen = "低风险";
			break;
		case "2":
			fid_lccpbzwen = "偏低风险";
			break;
		case "3":
			fid_lccpbzwen = "中等风险";
			break;
		case "4":
			fid_lccpbzwen = "偏高风险";
			break;
		case "5":
			fid_lccpbzwen = "高风险";
			break;
		default:
			fid_lccpbzwen = "默认等级";
			break;
		}
		return fid_lccpbzwen;
	}
	
	/**
	 * 投资期限
	 */
	function investTime(time) {
		var invest_time = "";
		switch (time) {
		case "0":
			invest_time = "未测评";
			break;
		case "1":
			invest_time = "0到1年";
			break;
		case "2":
			invest_time = "1到5年";
			break;
		case "4":
			invest_time = "无特别要求";
			break;
		default:
			invest_time = "****";
			break;
		}
		return invest_time;
	}
	
	/**
	 * 产品预期收益
	 */
	function investProfit(time) {
		var invest_time = "";
		switch (time) {
		case "0":
			invest_time = "未测评";
			break;
		case "1":
			invest_time = "固定收益";
			break;
		case "2":
			invest_time = "浮动收益";
			break;
		case "4":
			invest_time = "浮动盈亏";
			break;
		default:
			invest_time = "****";
			break;
		}
		return invest_time;
	}
	
	
	/**
	 * 投资品种
	 */
	function investKind(kind) {
		var invest_kind = "";
		switch (kind) {
		case "0":
			invest_kind = "未测评";
			break;
		case "1":
			invest_kind = "债券、货币市场基金、债券基金等固定收益类投资品种";
			break;
		case "2":
			invest_kind = "股票、混合型基金、偏股型基金、股票型基金等权益类投资品种";
			break;
		case "3":
			invest_kind = "期货、融资融券";
			break;
		case "4":
			invest_kind = "复杂金融产品";
			break;
		case "5":
			invest_kind = "其他产品";
			break;
		default:
			invest_kind = "****";
			break;
		}
		return invest_kind;
	}
	
	/**
	 * 证券所在地
	 */
	function FundExch(exch_code) {
		var exch_name = "";
		switch (exch_code) {
		case "101":
			exch_name = "上海";
			break;
		case "105":
			exch_name = "深圳";
			break;
		case "111":
			exch_name = "三板";
			break;
		case "113":
			exch_name = "银行市场";
			break;
		case "115":
			exch_name = "银行柜台";
		case "116":
			exch_name = "上海交易所固定收益平台";
			break;
		case "117":
			exch_name = "深交所综合协议平台";
			break;
		case "118":
			exch_name = "上交所综合业务平台";
			break;
		case "999":
			exch_name = "其他";
			break;
		}
		return exch_name;
	}
	/**
	 * 翼钱罐交易状态
	 */
	function AvicTpye(trd_id) {
		var avic_name = "";
		switch (trd_id) {
		case "110":
			avic_name = "认购";
			break;
		case "111":
			avic_name = "存入";
			break;
		case "112":
			avic_name = "普通取出";
			break;
		case "113":
			avic_name = "快速取出";
			break;
		}
		return avic_name;
	}
	/**
	 * 翼钱罐订单状态
	 */
	function AvicOrder(ord_stat) {
		var order_name = "";
		switch (ord_stat) {
		case "0":
			order_name = "未报";
			break;
		case "1":
			order_name = "已报";
			break;
		case "2":
			order_name = "成功";
			break;
		case "3":
			order_name = "部撤";
			break;
		case "4":
			order_name = "已撤单";
			break;
		case "5":
			order_name = "部成";
			break;
		case "6":
			order_name = "全成";
			break;
		case "7":
			order_name = "废单";
			break;
		case "8":
			order_name = "已报待撤";
			break;
		case "9":
			order_name = "部成待撤";
			break;
		case "A":
			order_name = "待撤销";
			break;
		case "B":
			order_name = "TA确认";
			break;
		case "C":
			order_name = "TA失败";
			break;
		case "D":
			order_name = "待申报";
			break;
		case "E":
			order_name = "对手拒绝";
			break;
		}
		return order_name;
	}
	
	
	/**
	 * 交易类别
	 */
	
	
	function Trd_type(trd_id){
		var trd_name = "";
		switch (trd_id) {
		case "001":
			trd_name = "开户";
			break;
		case "002":
			trd_name = "销户";
			break;
		case "003":
			trd_name = "变更";
			break;
		case "008":
			trd_name = "注册";
			break;
		case "110":
			trd_name = "买入";
			break;
		case "111":
			trd_name = "买入";
			break;
		case "112":
			trd_name = "卖出";
			break;
		case "113":
			trd_name = "快速赎回";
			break;
		case "114":
			trd_name = "续期认购";
			break;
		case "115":
			trd_name = "定时定额申购";
			break;
		case "125":
			trd_name = "撤单确认";
			break;
		case "126":
			trd_name = "转托管";
			break;
		case "127":
			trd_name = "转托管入";
			break;
		case "128":
			trd_name = "转托管出";
			break;
		case "129":
			trd_name = "分红设置";
			break;
		case "130":
			trd_name = "认购结果";
			break;
		case "131":
			trd_name = "份额冻结";
			break;
		case "132":
			trd_name = "份额解冻";
			break;
		case "133":
			trd_name = "非交易过户";
			break;
		case "134":
			trd_name = "非交易过户入";
			break;
		case "135":
			trd_name = "非交易过户出";
			break;
		case "136":
			trd_name = "转换";
			break;
		case "137":
			trd_name = "转换入";
			break;
		case "138":
			trd_name = "转换出";
			break;
		case "180":
			trd_name = "基金确权";
			break;
		case "342":
			trd_name = "强制赎回";
			break;
		case "343":
			trd_name = "分红到账";
			break;
		case "344":
			trd_name = "强增";
			break;
		case "345":
			trd_name = "强减";
			break;
		case "346":
			trd_name = "兑付";
			break;
		case "347":
			trd_name = "扣款";
			break;
		case "349":
			trd_name = "募集失败";
			break;
	    case "350":
		trd_name = "清盘";
		break;
	    case "20B":
			trd_name = "买入";
			break;
	    case "20S":
			trd_name = "卖出";
			break;
	    case "401":
			trd_name = "首次投保";
			break;
	    case "402":
			trd_name = "续期投保";
			break;
	    case "403":
			trd_name = "保险分红返款";
			break;
	    case "404":
			trd_name = "保险本金返款";
			break;
	    case "A01":
			trd_name = "开户确认";
			break;
	    case "A02":
			trd_name = "销户确认";
			break;
	    case "A03":
			trd_name = "变更确认";
			break;
	    case "A08":
			trd_name = "注册确认";
			break;
	    case "A29":
			trd_name = "分红设置确认";
			break;
	    case "C01":
			trd_name = "资讯订阅";
			break;
	    case "C02":
			trd_name = "资讯退订";
			break;
	    case "C03":
			trd_name = "暂停推送";
			break;
	    case "C04":
			trd_name = "恢复推送";
			break;
	}
		return trd_name;
	}
	
	/**
	 * 翼钱罐错误状态
	 */
	function AvicError_no(ord_stat) {
		var flag=true;
		switch (ord_stat) {
		case "27030125":
			flag=true;
			break;
		default:
			flag=false;
			break;
		}
		return flag;
	}
	/**
	 * 客户风险等级
	 */
	function FundkhhRank(fid_jjfxdj) {
		var fid_lccpbzwen = "";
		switch (fid_jjfxdj) {
		case "1":
			fid_lccpbzwen = "保守型";
			break;
		case "2":
			fid_lccpbzwen = "谨慎型";
			break;
		case "3":
			fid_lccpbzwen = "稳健型";
			break;
		case "4":
			fid_lccpbzwen = "积极型";
			break;
		case "5":
			fid_lccpbzwen = "激进型";
			break;
		case "11":
			fid_lccpbzwen = "保守型(最低风险)";
			break;
		case "12":
			fid_lccpbzwen = "保守型";
			break;
		case "13":
			fid_lccpbzwen = "谨慎型";
			break;
		case "14":
			fid_lccpbzwen = "稳健型";
			break;
		case "15":
			fid_lccpbzwen = "积极型";
			break;
		case "16":
			fid_lccpbzwen = "激进型";
			break;	
		default:
			fid_lccpbzwen = "默认等级";
			break;
		}
		return fid_lccpbzwen;
	}
	/**
	 * 客户投资期限
	 */
	function fundQx(fund_qx) {
		var fid_lccpbzwen = "";
		switch (fund_qx) {
		case "1":
			fid_lccpbzwen = "0到1年";
			break;
		case "2":
			fid_lccpbzwen = "0到5年";
			break;
		case "4":
			fid_lccpbzwen = "无特殊要求";
			break;
		default:
			fid_lccpbzwen = "0到1年";
			break;
		}
		return fid_lccpbzwen;
	}
	/**
	 * 客户投资品种
	 */
	function fidXgpz(fid_xgpz) {
		var fid_lccpbzwen = "";
		switch (fid_xgpz) {
		case "1":
			fid_lccpbzwen = "债券、货币市场基金、债券基金等固定收益类投资品种";
			break;
		case "2":
			fid_lccpbzwen = "股票、混合型基金、偏股型基金、股票型基金等权益类投资品种";
			break;
		case "4":
			fid_lccpbzwen = "期货、融资融券";
			break;
		case "8":
			fid_lccpbzwen = "复杂金融产品";
			break;
		default:
			fid_lccpbzwen = "其他产品";
			break;
		}
		return fid_lccpbzwen;
	}
	/**
	 * 客户预期收益
	 */
	function fidSylx(fid_sylx) {
		var fid_lccpbzwen = "";
		switch (fid_sylx) {
		case "1":
			fid_lccpbzwen = "固定收益";
			break;
		case "2":
			fid_lccpbzwen = "浮动收益";
			break;
		case "4":
			fid_lccpbzwen = "浮动盈亏";
			break;
		default:
			fid_lccpbzwen = "未测评";
			break;
		}
		return fid_lccpbzwen;
	}
	/**
	 * 随心投收益规则转入时间
	 */
	function avicIncome(rule) {
		var fid_lccpbzwen = "";
		switch (rule) {
		case 1:
			fid_lccpbzwen = "周一15:00-周二15:00";
			break;
		case 2:
			fid_lccpbzwen = "周二15:00-周三15:00";
			break;
		case 3:
			fid_lccpbzwen = "周三15:00-周四15:00";
			break;
		case 4:
			fid_lccpbzwen = "周四15:00-周五15:00";
			break;
		case 5:
			fid_lccpbzwen = "周五15:00-周一15:00";
			break;
		default:
			fid_lccpbzwen = "";
			break;
		}
		return fid_lccpbzwen;
	}
	/**
	 * 随心投收益规则开始收益时间
	 */
	function startYieldTime(rule) {
		var fid_lccpbzwen = "";
		switch (rule) {
		case 1:
			fid_lccpbzwen = "周三";
			break;
		case 2:
			fid_lccpbzwen = "周四";
			break;
		case 3:
			fid_lccpbzwen = "周五";
			break;
		case 4:
			fid_lccpbzwen = "周一";
			break;
		case 5:
			fid_lccpbzwen = "周二";
			break;
		default:
			fid_lccpbzwen = "";
			break;
		}
		return fid_lccpbzwen;
	}
	/**
	 * 随心投收益规则收益查看日
	 */
	function earningsDay(rule) {
		var fid_lccpbzwen = "";
		switch (rule) {
		case 1:
			fid_lccpbzwen = "周四";
			break;
		case 2:
			fid_lccpbzwen = "周五";
			break;
		case 3:
			fid_lccpbzwen = "周一";
			break;
		case 4:
			fid_lccpbzwen = "周二";
			break;
		case 5:
			fid_lccpbzwen = "周三";
			break;
		default:
			fid_lccpbzwen = "";
			break;
		}
		return fid_lccpbzwen;
	}
	/**
	 * 随心投支持快速取出的银行
	 */
	function quickExtraction() {
		var fid_lccpbzwen = "交通银行,招商银行,中国银行,中信银行,邮储银行,工商银行,民生银行,平安银行,建设银行,农业银行";
		return fid_lccpbzwen;
	}
	var fundUtils = {
		"FundType" : FundType,
		"FundRank" : FundRank,
		"FundExch" : FundExch,
		"AvicTpye" : AvicTpye,
		"Trd_type" : Trd_type,
		"AvicOrder": AvicOrder,
		"AvicError_no":AvicError_no,
		"FundkhhRank":FundkhhRank,
		"fundQx":fundQx,
		"fidXgpz":fidXgpz,
		"fidSylx":fidSylx,
		"investTime":investTime,
		"investKind":investKind,
		"investProfit":investProfit,
		"avicIncome":avicIncome,
		"startYieldTime":startYieldTime,
		"earningsDay":earningsDay,
		"quickExtraction":quickExtraction
	};

	// 暴露对外的接口
	module.exports = fundUtils;
});