/**
 * 页面公用方法
 */
define('mall/scripts/common/pageCommon.js',function(require,exports,module){
	var appUtils = require("appUtils"),
	    layerUtils = require("layerUtils"),
	    gconfig = require("gconfig"),
	    global = gconfig.global;
	
	
	/**
	 * 描述：登录成功后，跳到相应页面
	 * */
	function loginToPage(prePageCode){
		var _loginInPageCode = appUtils.getSStorageInfo("_loginInPageCode");
		var param = JSON.parse(appUtils.getSStorageInfo("_loginInPageParam"));
		if(_loginInPageCode != null && _loginInPageCode != ""){
			var user_type = appUtils.getSStorageInfo("userType",true);
			if(_loginInPageCode.indexOf("userSpace") > -1 && _loginInPageCode != "userSpace/userCheck" && user_type == '1'){
				//如果登录前页面为普通客户中心页面，但是登录的user_type=1,则强制跳转到投顾中心首页
				appUtils.pageInit("", "adviserSpace/index");
				return ;
			}
			if(_loginInPageCode.indexOf("adviserSpace") > -1 && user_type == '0'){
				//如果登录前页面为投顾中心页面，但是登录的user_type=0,则强制跳转到普通客户中心首页
				appUtils.pageInit("","userSpace/index");
				return ;
			}
			appUtils.pageInit(prePageCode, _loginInPageCode,param);
			appUtils.clearSStorage("_loginInPageCode");
			appUtils.clearSStorage("_loginInPageParam");
		}
		else{
			appUtils.pageBack();
		}
	}
	
	/**
	 * 退出登录
	 * *//*
	function loginOutFunc(prePageCode){
		userService.loginOut(null,function callBack(resultVo){
			if(Number(resultVo.error_no) == 0){
				layerUtils.iMsg(0,"退出成功");
				//清除相关cookie（备注:应该放在退出操作中做的）
				appUtils.clearSStorage("_loginInPageCode");
				appUtils.clearSStorage("_loginInPageParam");
				appUtils.clearSStorage("_isLoginIn");
				//清除登录信息
				appUtils.clearSStorage(true);
				appUtils.clearSStorage();//清除所有缓存 
				//跳转至首页
				appUtils.pageInit(prePageCode,"index");
			}
			else{
				layerUtils.iAlert("退出失败:"+resultVo.error_info,-1);
			}
		});
	}*/
	
	/**
	 * 头部菜单绑定事件
	 * */
	function headerMenuFunc(_pageId,pageCode){
		//修复  菜单栏需要点击两次才显示的bug
		$(document).click(function(event){
			//头部菜单
			var munu_icon = $(_pageId + ".menu_iocn");
			if(munu_icon.is(event.target)){
				$(_pageId +".menu_iocn").hide();
				$(_pageId +".xl_menu").show();
				$(_pageId +"#close").show();
			}
		});
		
		//关闭菜单
		appUtils.bindEvent($(_pageId + "#close"), function(e) {
			$(_pageId +".menu_iocn").show();
			$(_pageId +".xl_menu").hide();
			$(_pageId +"#close").hide();
		});
		
		//菜单选项
		appUtils.bindEvent($(_pageId + ".xl_menu li"), function(e) {
			var index = $(this).index();
			switch(index){
			case 0 : appUtils.pageInit(pageCode,"index");break; //首页
			case 1 : appUtils.pageInit(pageCode,"portfolio/index");break; //组合
			case 2 : appUtils.pageInit(pageCode,"adviser/index");break; //投顾
			case 3 : appUtils.pageInit(pageCode,"ques/index");break; //问答
			case 4 : 
				appUtils.pageInit(pageCode,"userSpace/userCheck");
				break;
			}
			//_isFirstToPage设为true
			appUtils.setSStorageInfo("_isFirstToPage","true");
			
			//问答，观点主页面；Tab为两个页面； 且有标题栏菜单的选项
			appUtils.setSStorageInfo("_isFirstToTab1","true");
			appUtils.setSStorageInfo("_isFirstToTab2","true");
		});
	}
	
	/**
	 * 隐藏菜单以及遮罩层
	 * */
	function hideHeaderMenuFunc(_pageId){
		$(_pageId +".menu_iocn").show();
		$(_pageId +".xl_menu").hide();
		$(_pageId +"#close").hide();
	}
	
	/**
	 * 更新组合关注状态的样式
	 * */
	function changePortSubClass(sub_type,portId,pageId){
		if(pageId!=null&&pageId!=""&&pageId!=undefined){
			if(sub_type==1){
				//取消关注
				$(pageId+" li#"+portId).find("a").eq(1).addClass("attention_btn2");
			}else if(sub_type==0){
				//关注
				$(pageId+" li#"+portId).find("a").eq(1).removeClass("attention_btn2");
			}
		}else{
			if(sub_type==1){
				$(" li#"+portId).find("a").eq(1).addClass("attention_btn2");
			}else if(sub_type==0){
				$(" li#"+portId).find("a").eq(1).removeClass("attention_btn2");
			}
		}
	}
	    
	var pageCommon = {
			"loginToPage" : loginToPage,
			//"loginOutFunc" : loginOutFunc,
			"headerMenuFunc" : headerMenuFunc,
			'hideHeaderMenuFunc' : hideHeaderMenuFunc,
			"changePortSubClass" : changePortSubClass
			
	};
	module.exports = pageCommon;  
});