define('mall/scripts/common/putils.js',function(require, exports, module) {
	var appUtils = require('appUtils');
	var layerUtils = require("layerUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var validatorUtil = require("validatorUtil");

	function filterLoginOut(data){
		if(data.error_no == "-999"){
			layerUtils.iMsg(-1,"由于长时间未操作，系统自动跳转到登入前首页！");
			appUtils.clearSStorage("_loginInPageCode");
			appUtils.clearSStorage("_loginInPageParam");
			appUtils.clearSStorage("_isLoginIn");
			appUtils.clearSStorage();
			$("#account_userLogin #trade_pwd").val('');//清除密码
			$("#account_userLogin #password em").html('');//清除密码
			
			appUtils.pageInit(appUtils.getSStorageInfo("_curPageCode"), "account/userLogin", {});
		}
	}


	//判断输入的值是否合法
	function numberLimit(id){
		// 先把非数字的都替换掉，除了数字和.
		$(id).val($(id).val().replace(/[^\d.]/g, ""));
		// 必须保证第一个为数字而不是.
		$(id).val($(id).val().replace(/^\./g, ""));
		// 保证只有出现一个.而没有多个.
		$(id).val($(id).val().replace(/\.{2,}/g, "."));
		// 保证.只出现一次，而不能出现两次以上
		$(id).val($(id).val().replace(".", "$#$").replace(/\./g, "").replace("$#$","."));
		//只能输入两个小数  
		$(id).val($(id).val().replace(/^(\-)*(\d+)\.(\d\d).*$/,'$1$2.$3'));
	}	
	function moneyFormat(mStr){//
		// 1先把非数字的都替换掉，除了数字和.2保证只有出现一个.而没有多个.3保证.只出现一次，而不能出现两次以上 4只能输入两个小数  
		mStr = (mStr+".00").replace(/[^\d.]/g, "").replace(/^\./g, "").replace(/\.{2,}/g, ".").replace(".", "$#$").replace(/\./g, "").replace("$#$",".").replace(/^(\-)*(\d+)\.(\d\d).*$/,'$1$2.$3') ;
		if(mStr=="0.00"){
			mStr = "0" ;
		}
		return mStr ;
	}
	
	
    /*
     * 计算剩余时间
     */
    function calSurplusTime(endTime, curTime){
    	if (!curTime) {
			curTime = new Date().getTime();
		} else {
			curTime = curTime.replace(new RegExp("-","gm"), "/");
			curTime = (new Date(curTime)).getTime(); // 毫秒数
		}
    	endTime = endTime.replace(new RegExp("-","gm"), "/");
    	endTime = (new Date(endTime)).getTime(); // 毫秒数
    	
    	var difValueTime = endTime - curTime; // 时间差
		var surplusTime = {}; // 剩余时间描述
		if (difValueTime > 0) {
			difValueTime = parseInt(difValueTime / 1000);
			var surplusDay = difValueTime / 3600 / 24; // 剩余天数
			surplusDay = Math.floor(surplusDay);
			var surplusHour = (difValueTime / 3600) % 24; // 剩余小时数 
			surplusHour = Math.floor(surplusHour);
			var surplusMin =  (difValueTime / 60) % 60; // 剩余分钟数 
			surplusMin = Math.ceil(surplusMin);
			surplusTime.day = surplusDay;
			surplusTime.hour = surplusHour;
			surplusTime.min = surplusMin;
		}
		
		return surplusTime;
    }
    
    /*
     * 计算相隔天数
     */
    function GetDateDiff(startDate,endDate) 
    { 
	    var startTime = new Date(Date.parse(startDate.replace(/-/g, "/"))).getTime(); 
	    var endTime = new Date(Date.parse(endDate.replace(/-/g, "/"))).getTime(); 
	    var dates = Math.abs((startTime - endTime))/(1000*60*60*24); 
	    return dates; 
    }

	//判断风险等级
	function risk_level(pa)
	{
		var level=null;
		if(pa=="1")
		{
			return level="低";
		}
		else if(pa=="2")
		{
			return level="中低";
		}
		else if(pa=="3")
		{
			return level="中";
		}
		else if(pa=="4")
		{
			return level="中高";
		}
		else if(pa=="5")
		{
			return level="高";
		}
		else
		{
			return level="默认"	;
		}
	}


	// 判断开放状态
	function prstor(pa)
	{
		var c=null;

		if(pa=="0")
		{

			return  c="正常开放";
		}
		else if (pa=="1")
		{

			return  c="认购时期";
		}

		else  if(pa=="2")
		{

			return  c="停止赎回";
		}
		else  if(pa=="3")
		{

			return c="停止申购";
		}
		else  if(pa=="4")
		{

			return c="封闭期";
		}
		else  if(pa=="5")
		{

			return c="停止交易";
		}

		else  if(pa=="6")
		{

			return c="基金终止";
		}
		else(pa=="7")
		{

			return c="权益登记";
		}

	}

	// 判断理财目标
	function  geuid (rt)
	{
		var t =null;
		if(rt=="1")
		{
			return  t="投资理财";

		}
		if(rt=="2")
		{
			return t="资产增值";
		}
		if(rt=="3")
		{
			return  t="投资理财&nbsp;资产增值";
		}

	}




	/**
	 * car 是否开放期
	 * @param product_status
	 */
	function checkProdStatus(product_status)
	{
		var flag = true;
		if(product_status=="3")
		{
			flag = false;
		}
		return flag;
	}


	/**
	 * car投资类型
	 * @param fund_type
	 */
	function tz_fund_type(rt)
	{
		var t =null;
		if(rt=="0")
		{
			return  t="股票型";

		}
		if(rt=="1")
		{
			return  t="混合型";

		}
		if(rt=="2")
		{
			return t="债券型";
		}
		if(rt=="3")
		{
			return  t="货币型";
		}
		if(rt=="4")
		{
			return t="保本型";
		}
		if(rt=="5")
		{
			return   t="QDII型";
		}
		else
		{
			return t="其他类型";
		}

	}
	/**
	 * 自定义确认框
	 * @param layerMsg 确认框的内容
	 * @param oneText 第一个按钮按钮的文本内容
	 * @param twoText 第二个按钮的文本内容
	 * @param funcOne 第一个按钮的回调函数
	 * @param funcTwo 第二个按钮的回调函数
	 */
	function layerTwoButton(layerMsg,oneText,twoText,funcOne,funcTwo){
		var viewContent = '<div class="pop_tip notice" id="utils_confirm"><span class="icon"></span><p style="text-align:left">'+layerMsg+'</p><div class="btn"><a href="javascript:void(0);" id="utils_confirm_one">'+oneText+'</a><a href="javascript:void(0);" id="utils_confirm_two">'+twoText+'</a></div></div>';
		var iConfirm = layerUtils.layerCustom(viewContent);
		appUtils.preBindEvent($("#utils_confirm")," #utils_confirm_one",function(){
			if(funcOne)
			{
				funcOne();
			}
			layerUtils.iCustomClose();
		});
		appUtils.preBindEvent($("#utils_confirm")," #utils_confirm_two",function(){
			if(funcTwo)
			{
				funcTwo();
			}
			layerUtils.iCustomClose();
		});
	}
 //金额 用逗号 隔开,可以控制小数位数，自动四舍五入
	//排除数字、.-之外字符，保留给定小数位，默认两位
	//s -金额   n -保留小数位数
	function fmoney(s, p){ 
	   var n =(typeof (p)=='number') && p > 0 && p <= 20 ? p : 2;   
	   s = parseFloat((s + "").replace(/[^\d\.-]/g, "")).toFixed(n) + "";   
	   var l = s.split(".")[0].split("").reverse(),   
	   r = s.split(".")[1],   
	   t = "";   
	   for(var i = 0; i < l.length; i ++ ){   
	      t += l[i] + ((i + 1) % 3 == 0 && (i + 1) != l.length ? "," : "");   
	   }   
	   return t.split("").reverse().join("") + "." + r;   
  } 
	//金额，还原函数
	function rmoney(s){   
	   return parseFloat(s.replace(/[^\d\.-]/g, ""));   
	} 

     /**
      * 自定义确认提示框
      * @param {Object} alertMsg 提示信息
      * @return {TypeName} 
      */
    function selfAlertLayer(alertMsg){
    	//require("mall/css/self_confirm.css");
    	var layerStr = ' <div class="window_wrap"   id="layer_alert"> <div class="window"> <div class="text_p p20_28_12" id="alert_tips_info">';
            layerStr += alertMsg+ ' </div> <div class="btn_box"> <a href="javascript:void(0);" class="a3" id="alert_btn">确定</a> </div> </div> </div>';
    	 $("body").append(layerStr);
		 appUtils.bindEvent($("#alert_btn"),function(){
    		 $("#layer_alert").remove();
    		 return false;
    	 });
     }
	var putils = {
		"fmoney":fmoney,
		"rmoney":rmoney,
		"layerTwoButton" : layerTwoButton,
		"checkProdStatus": checkProdStatus,
		"prstor":prstor,
		"calSurplusTime":calSurplusTime, // 计算剩余时间
		"GetDateDiff":GetDateDiff, // 计算相隔天数
		"geuid":geuid,
		"risk_level":risk_level,
		"numberLimit":numberLimit,
		"tz_fund_type":tz_fund_type,
		"moneyFormat":moneyFormat,
		"filterLoginOut": filterLoginOut,
		"selfAlertLayer":selfAlertLayer
	};


	//暴露对外的接口
	module.exports = putils;
});