/**
 * 商城业务常量配置
 */
define('mall/scripts/constants/serviceConstants.js',function(require, exports, module) {

	var serviceConstant = {
			
		//适当性改造
		invest_kind : {
			"1" : "债券、货币市场基金、债券基金等固定收益类投资品种",
			"2" : "股票、混合型基金、偏股型基金、股票型基金等权益类投资品种",
			"4" : "期货、融资融券",
			"8" : "复杂金融产品",
			"16" : "其他产品"
		},
		
		invest_time : {
			"1" : "0到1年",
			"2" : "1到5年",
			"4" : "无特殊要求",
			""  : "0到1年"
		},
		
		user_risk_level : {
			"1" : "保守型",
			"2" : "谨慎型",
			"3" : "稳健型",
			"4" : "积极型",
			"5" : "激进型",
			"11" : "保守型",
			"12" : "保守型",
			"13" : "谨慎型",
			"14" : "稳健型",
			"15" : "积极型",
			"16" : "激进型",
			"" : "默认等级"
		},
		viewIndex : {
			"viewIndex" : 5
		},
		register : {
			"account_name" : "1"
		},

		BusConstants : {
			"SUCCESS" : "0"
		},
		// 平台类型
		platform : {
			"PLATFORM_PC" : "0", // PC
			"PLATFORM_ANDROID" : "1", //android
			"PLATFORM_IOS" : "2" // ios
		},
		//短信内容类型
		sms_type : {
			"update_mobilephone" : "0", // 更换手机验证码 
			"success_client" : "1", // 委托成功
			"register_mobilePhone" : "2", // 注册手机验证码
			"forget_mobilePhone" : "3", // 忘记手机验证码
			"msg_login" : "7" // 手机短信登录
		},
		
		//默认地址
		is_default : {
			"YES" : "1",
			"NO" : "0"
		},

		// 渠道
		channel_code : {
			"PC" : "0",
			"ANDROID" : "1",
			"IOS" : "2"
		},

		// 上下架
		product_shelf : {
			"SHELF_ON" : "1",
			"SHELF_OFF" : "0"
		},

		product_sub_type : { // 产品子类别
			"FUND" : "0", // 基金
			"FINANCIAL" : "1", // 理财
			"INFO" : "3", // 资讯
			"SERVICE" : "2" // 服务
		},
		product_type:{ //产品类别
			"INFO":"7" //资讯 
		},
		ytg_img:{
			INVEST_IMG:"images/avatar.jpg", //投顾默认 头像
			USER_IMG:"images/avatar.jpg", //用户默认 头像
			LEVEL1:"images/level_02.png"	,//级别(star)1对应的图片
			LEVEL2:"images/level.png"	,//级别(star)2对应的图片
			LEVEL3:"images/level_01.png"	,//级别(star)3对应的图片
			LEVEL_DEFAULT:"images/level_03.png"	//级别(star)默认 对应的图片
		},
		service_type : { // 服务类别
			"phone" : "0", // 电话
			"email" : "1", // 邮件
			"sms" : "2", // 短信
			"im" : "3", // im
			"youxianji" : "4",// 优先级
			"iy34" : "3,4",// IM优先级
			"yi43" : "4,3",// 优先级IM
			"mms" : "5",// 彩信
			"app" : "6"// APP
		},
		/**
		 * 用户持久化常量 保存.
		 */
		session : {
			"USER" : "user",
			"ORDER" : "order",
			"ORDER_PAY" : "order_pay",
			"URL_PARAM" : "url_param"
		},
		/**
		 * 是否绑定资金账号
		 */
		is_fundaccount : {
			"YES" : "1",
			"NO" : "0"
		},
		/**
		 * 是否生成订单
		 */
		is_order : {
			"YES" : "1",
			"NO" : "0"
		},
		/**
		 * 是否已做风险测评
		 */
		is_risk : {
			"YES" : "1",
			"NO" : "0",
			"LOW" : "2",
			"Theree" : "3"
		},
		/**
		 * 是否已签署协议
		 */
		is_sign : {
			"YES" : "1",
			"NO" : "0"
		},

		/**
		 * 
		 */
		entrust_state : {
			"NO" : "0",// 未委托
			"SUCCESS" : "1", // 委托成功
			"FAIL" : "2"// 委托失败
		},

		/**
		 * 是否是首次购买
		 */
		first_buy : {
			"YES" : "1",// 追加购买
			"No" : "0" // 首次购买
		},

		/**
		 * 订单状态
		 */
		order_state : {
			"NEW" : "0", // 新建
			"SUBMIT" : "1", // 待提交
			"SUBMIT_SUCCESS" : "2", // 提交成功
			"FAIL" : "3", // 失败
			"SUCCESS" : "4", // 成交
			"CANCEL" : "5", // 取消
			"revoke" : "6", // 撤单
			"REFUND" : "7" // 已退款
		},
		
		/**
		 * 业务类别
		 */
		business_type : {
			"SUBSCRIBE" : "0", // 认购
			"PURCHASE" : "1", // 申购
			"REDEMPTION" : "2", // 赎回
			"BUY" : "3", // 买入
			"SELL" : "4" // 卖出
		},

		/**
		 * 需要加密的参数名
		 */
		rsaParam : {
			TRADE_PWD : "trade_pwd",
			FUND_PWD : "fund_pwd",
			BANK_PWD : "bank_pwd"
		},
		
		gender : {
			"UNKNOWN" : "2", // 未知
			"MAN" : "0", // 男
			"WOMAN" : "1" // 女
		},
		
		thr_pay : {
			"UPOP_PAY_URL" : "/servlet/upop/IndexAction?function=ajaxUpop" // 银联支付
		},
		
		encrypt_key : {
			"DES" : "thinkive_mall",
			"AES" : "thinkive_mall"
		},
		
		/** 产品推荐类型 */
		recommendType : {
			"RECOMMEND_TYPE_HOT" : "2", // 热销
			"RECOMMEND_TYPE_XSQG" : "6", // 限时抢购
			"RECOMMEND_TYPE_HOME" : "7", // 首页推荐
			"RECOMMEND_TYPE_SALEAGENT" : "8", // 代销推荐
			"RECOMMEND_TYPE_FINANINDEX" : "9", // 理财首页推荐
			"RECOMMEND_TYPE_BEST" : "10", // 最佳推荐
			"RECOMMEND_TYPE_MONTHHOT" : "11", // 本月热销
			"RECOMMEND_TYPE_HOTTHEME" : "12" // 热门主题
		},
		
		/** 首页展示广告组ID */
		advertGroupId : {
			"ADVERT_GROUP_ID_PRODUCT" : "1", // 产品广告组ID
			"ADVERT_GROUP_ID_POP" : "2", // 底部弹出层广告组ID
			"ADVERT_GROUP_ID_PRODUCT_DETAIL" : "3", // 产品详情广告
			"ADVERT_GROUP_ID_FINANMARKET" : "4", // 理财超市广告组
			"ADVERT_GROUP_ID_CASHBUTLER" : "5", // 现金管家广告组
			"ADVERT_GROUP_ID_ACTIVE" : "6", // 活动轮换广告组
			"ADVERT_GROUP_ID_PAGE" : "7" // 广告page页
		},
		
		/** 电子协议-合同类型 */
		contractType : {
			"ELECTRONIC_AGREEMENT" : "1", // 电子协议
			"CONTRACT" : "2", // 合同
			"RISK_BOOK" : "3", // 风险揭示书
			"PRODUCT_BOOK" : "4", // 产品说明书
			"PRODUCT_AGREEMENT" : "6", // 产品协议书
			"LEGAL_DOCUMENT" : "8", // 法律文件
			"PRODUCT_NOTICE" : "9", // 产品公告
			"NOTICE" : "10", // 公告
			"ACCOUNT_AGREEMENT" : "11", // 开户协议
			"TA_AGREEMENT" : "12", // TA协议
			"REGISTER_AGREEMENT" : "13" // 注册协议
		},
		/** 活动类型 */
		activeType : {
			"ACTIVE_TYPE_ONEMBER" : "1", // 一米疯抢
			"ACTIVE_TYPE_BUYLIMIT" : "2", // 限时抢购
			"ACTIVE_TYPE_OVERBALANCE" : "3" // 超值换购
		},
		
		/** 开户地址 */
		regFundAcctAddress : {
			"REG_ADDRESS_NORMAL" : "http://wx.nesc.cn/weixin-fund/pages/download-app.html", // 开户链接地址【正常】 
			"REG_ADDRESS_APP" : "http://action:10048" // 开户链接地址【APP】
		},
		
		/** 研究晨报*/
		docType : {
			"CB" : "508"
		},
		
		/** 投资者教育文章所属分类*/
		article_catalog : {
			"TZZJY" : "6"
		},
		
		/** 综合首页*/
		main_index : {
			"comprehensive" : "http://mobi.nesc.cn/m/index/index.html#!/index/index.html"
		},
		/**专区营业部配置**/
		group_yyb:{
			UNTIA:"0023"//安盟专区营业部
		},
		/**风险测评问卷编号**/
		avicRisk:{
			CODE:"13"//问卷编号
		},
		/**
		 * 配置随心投日日盈配置
		 */
		avicBaoB:{
			TOCONFIGURE:"1"//配置随心投日日盈配置1是要认证的，2是不要认证的
		},
		/**
		 * 配置随心投日日盈取出配置
		 */
		avicBaoTake:{
			TAKEOUT:"2"//配置随心投日日盈配置1是要认证的，2是不要认证的
		},
		/**
		 * 配置随心投抽奖配置
		 */
		avicBaoFlow:{
			TYPE:"0"//配置随心投抽奖配置1是需要抽奖，2是不要抽奖
		},
		/**
		 * 配置致胜投抽奖配置
		 */
		otcFundFlow:{
			TYPE:"0"//配置致胜投抽奖配置1是需要抽奖，2是不要抽奖
		},
		/**
		 * 配置是否要启用银行卡支付
		 */
		openBank:{
			TYPE:"2"//配置是否要启用银行卡支付1是需要银行卡购买，2是不要
		},
		/**
		 * 配置流量活动是否开启
		 */
		musicAwards:{
			TYPE:"1"//配置流量活动是否开启1是开启，2是关闭
		},
		/** 需要展示的资讯类别ID*/
		docTypeId : [33,503,504,505,508,507,512] 

	};

	// 暴露对外的接口
	module.exports = serviceConstant;
});