/**
 * 分红信息
 */
define('mall/scripts/mall/BonusAnalysis.js',function(require, exports, module) {
	var fundUtils = require("mall/scripts/common/fundUtils");
	var appUtils = require('appUtils');
	var pageId = "#mall_BonusAnalysis ";
	var service = require("mobileService"); // 业务层接口，请求数据
	var putils = require("putils");
	var layerUtils = require("layerUtils");
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	var external = require("external");
	var shareTitle = "";
	var product_id = "";//基金代码
	function init() {
		common.initTitle(pageId);
		
		product_id = appUtils.getPageParam("product_id");
		seleBonusAnalysis(product_id);
	}
	var seleBonusAnalysis = function(product_id) {
		var param = {
			"product_id" : product_id
		};
		var callBackFunc = function(resultVo) {
			var results = resultVo.results;
			var str1 = "";
			var str2 = "";
			if (resultVo.error_no == 0 && results.length != 0) {
					str1 += '<ul><li><strong>股权登记日</strong><p>'
							+ results[0].rt_reg_dt
							+ '</p></li><li><strong>场外现金红利发放日</strong><p>'
							+ results[0].dvd_pay_dt
							+ '</p></li><li><strong>每份税后派现金额（元） </strong><p>'
							+ results[0].cash_aft_tax_rmb + '</p>';
					str2 += '<ul><li><strong>拆分折算结果公告日</strong><p>'
							+ results[0].rslt_ntc_dt
							+ '</p></li><li><strong>拆分折算比例(1:X)</strong><p>'
							+ results[0].cnv_rat + '</p>';
				$("#bonus_part_one").html(str1);
				$("#bonus_part_two").html(str2);
			} else {
				str1 = '<ul><li><strong>股权登记日</strong><p>暂无数据</p></li><li><strong>场外现金红利发放日</strong><p>暂无数据</p></li><li><strong>每份税后派现金额（元） </strong><p>暂无数据</p>';
				str2 = '<ul><li><strong>拆分折算结果公告日</strong><p>暂无数据</p></li><li><strong>拆分折算比例(1:X)</strong><p>暂无数据</p>';
				$(pageId+ " #bonus_part_one").html(str1);
				$(pageId+ " #bonus_part_two").html(str2);
			}
		};
		service.seleBonusAnalysis(param, callBackFunc);
	};
	function bindPageEvent() {
		// 返回
		appUtils.bindEvent($(pageId + " .icon_back"), function() {
			var param = {
				"product_id" : product_id
			};
			appUtils.pageInit("mall/BonusAnalysis", "mall/itemsFundNew",param);
		});
	}

	function destroy() {
		$(pageId + " #ljgm").attr("style",
				"background:#add8fa;border:1px solid #319ef2");
		product_id = "";
		product_type = "";
	}

	var BonusAnalysis = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = BonusAnalysis;
});