/**
 * 资管产品列表
 */
define('mall/scripts/mall/InformationList.js',function(require, exports, module) {

	var pageId = "#mall_InformationList";
	var	pageCode = "mall/InformationList";
	var appUtils = require("appUtils");
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	var constants = require("constants");// 常量类
	var commonUtils = require("commonUtils");
	var common = require("common");
	var curPageNo="";
	var	myScroller = null; // 滚动组件
	var	VIscroll = require("vIscroll");
	var	validatorUtil = require("validatorUtil");
	var pageCodeIn="";//进来的页面地址
	var curPage="";
	// 初始化
	function init() {
		common.initTitle(pageId);
		
		console.log(curPage);
		pageCodeIn=appUtils.getPageParam("pageCode");//进来的页面地址 
		appUtils.setSStorageInfo("bs","2");
		//查询资管产品
		curPageNo=1;
		findOtcFund();
	}

	/**
	 * 查询资管产品
	 */
	function findOtcFund(){
		var param={
			"page":curPageNo,
			"numPerPage":"6",
			"product_shelf":"1",
			"fina_belongs":"10",
			"fina_type":"62"
		};
		service.findOtcFund(param,function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			if(error_no == 0){
				var otcresults = data.results;
				
					if(otcresults.length>0&&otcresults!=null){
					
						$(pageId+" .no_data_box").hide();
				//$(pageId + " #otcfund_zst").html("");
				for(var i = 0;i<otcresults.length;i++){
					var product_id=otcresults[i].product_id;//产品id
					var product_type= otcresults[i].fina_belongs;//产品大类
					var fina_type=otcresults[i].fina_type;//产品小类
					var product_name=otcresults[i].product_name;//名字
					var product_description=otcresults[i].product_description;//产品简介
					var product_marking=otcresults[i].product_marking;//标签
					var per_buy_limit=otcresults[i].per_buy_limit;//起头金额
					var investment_horizon=otcresults[i].investment_horizon;//期限
					var incomeunit=otcresults[i].incomeunit;//收益率
					var product_status = otcresults[i].product_status;//购买的状态
					var disdays=otcresults[i].disdays;//还剩多少天
					var yesterday_rose=otcresults[i].yesterday_rose;//昨天涨幅
					var one_rose=otcresults[i].one_rose;//一个月涨幅
					var three_rose=otcresults[i].three_rose;//三个月涨幅
					var hsnyear_rose=otcresults[i].hsnyear_rose;//半年涨幅
					var oneyear_rose=otcresults[i].oneyear_rose;//一年涨幅
					var risk_level_type=otcresults[i].risk_level_type;//收益率说明语句
					//var ed=otcresults[i].ed;//余额
					var last_date=otcresults[i].last_date;//截至日期
					var product_income=otcresults[i].product_income;
					var otcstr="";
					var share_bq="";//标签
					if(product_marking!=""){
						var share = product_marking.split(",");//切割标签配置
						for(var j = 0;j<share.length;j++){
							share_bq+="<span>"+share[j]+"</span>";
						}
					}else{
						share_bq="";
					}
					//预售日期
					var product_yq="";
					var product_yqy="";
					var product_yqr="";
					if(one_rose!=""){
						product_yq=one_rose.split("-");
						product_yqy=product_yq[1];
						product_yqr=product_yq[2];
					}else{
						product_yqy=1;
						product_yqr=1;
					}
					//计算余额天数
					if(disdays=="0"){
						 //disdays1 = disdays.split("-");//切割标签配置
						 disdays="--";
					}
					var lastdate="";
					if(last_date==""){
						lastdate="";
					}else{
						lastdate="<span>截止日:"+last_date+"</span>";
					}
					if(investment_horizon==""){
						investment_horizon="--";
					}
					/*if(validatorUtil.isEmpty(ed)){
						ed="--";
					}*/
					if(incomeunit==null||incomeunit==""){
						incomeunit="0";
					}
					product_income = (parseFloat(product_income)*100).toFixed(2);
					// 
					if(product_status=="0"){//预约购买
						otcstr="<li class='otcfundbuy' product_id="+product_id+" product_type="+product_type+"><i class='yqg_icon blue '>资管</i><h5><span>"+product_name+"</span></h5>" +
								"<p class='txt'>"+product_description+"</p><div class='clearfix'><dl class='data'>" +
								" <dd><strong>"+(parseFloat(incomeunit)*100 ).toFixed(2)+"</strong>%</dd> <dt>"+risk_level_type+"</dt></dl><dl class='data1'><dd><strong id="+product_id+">"+product_income+"</strong>%</dd> <dt>今年以来年化收益率</dt></dl></div>" +
								"<p class='tag' style='top:0.25rem'>"+share_bq+"</p>" +
								"<span class='yqg_status ing'>"+product_yqy+"月"+product_yqr+"日<br>即将开售</span></li>";
					}else if(product_status=="1"){//可以购买
						otcstr="<li class='otcfundbuy' product_id="+product_id+" product_type="+product_type+"><i class='yqg_icon blue '>资管</i><h5><span>"+product_name+"</span><i class='hot'>热销中</i></h5>" +
								"<p class='txt'>"+product_description+"</p><div class='clearfix'><dl class='data'>" +
								"<dd><strong>"+(parseFloat(incomeunit)*100).toFixed(2)+"</strong>%<dt>"+risk_level_type+"</dt></dd>" +
								"</dl><dl class='data1'><dd><strong id="+product_id+">"+product_income+"</strong>%</dd> <dt>今年以来年化收益率</dt></dl></div><p class='info'><span>"+per_buy_limit+"元起</span>"+lastdate+"</p>" +
								"<p class='tag'>"+share_bq+"</p></li>";
					}else if(product_status=="2"){//已经买完
						otcstr="<li class='otcfundbuy' product_id="+product_id+" product_type="+product_type+"><i class='yqg_icon blue '>资管</i><h5><span>"+product_name+"</span><i class='hot'>热销中</i></h5>" +
								"<p class='txt'>"+product_description+"</p><div class='clearfix'><dl class='data'>" +
								"<dd><strong>"+(parseFloat(incomeunit)*100).toFixed(2)+"</strong>%<dt>"+risk_level_type+"</dt></dd>" +
								"</dl><dl class='data1'><dd><strong id="+product_id+">"+product_income+"</strong>%</dd> <dt>今年以来年化收益率</dt></dl></div><p class='info'><span>"+per_buy_limit+"元起</span>"+lastdate+"</p>" +
								"<p class='tag'>"+share_bq+"</p></li>";
					}else{//服务期
						otcstr="<li class='otcfundbuy' product_id="+product_id+" product_type="+product_type+"><i class='yqg_icon blue'>资管</i>" +
								"<h5><span>"+product_name+"</span></h5><p class='txt'>"+product_description+"</p>" +
								"<div class='clearfix'><dl class='data'><dd><strong>"+(parseFloat(incomeunit)*100).toFixed(2)+"</strong>%<dt>"+risk_level_type+"</dt></dd>" +
								"</dl><dl class='data1'><dd><strong id="+product_id+">"+product_income+"</strong>%</dd> <dt>今年以来年化收益率</dt></dl></div><p class='info'><span>"+per_buy_limit+"元起</span>"+lastdate+"</p>" +
								"<p class='tag'>"+share_bq+"</p>" +
								"<span class='yqg_status'>服务期</span> </li>";
					}
						
						$(pageId + " #otcfund_zst").append(otcstr);
						initScroller();
				}
				
				}else{
						$(pageId + " .tab_shade").hide();
						$(pageId + " .tab_layer").hide();
						$(pageId+" .no_data_box").show();
						$(".visc_pullUp").hide();
				var bs=appUtils.getSStorageInfo("bs");
						if(bs=="1"){
							setTimeout(function(){$(pageId+" .no_data_box").hide();},1000);	
						}
						
					}
				//跳转到详情
				appUtils.bindEvent($(pageId+"  .otcfundbuy"),function(){
					var param = {
						"product_id" :  $(this).attr("product_id"),
						"product_type" : $(this).attr("product_type"),
						"pageCode" : pageCode,
						"curPage":3
					};
					appUtils.setSStorageInfo("_tzPageCode","account/index");
					appUtils.pageInit(pageCode,"mall/InformationDetails",param);
				},"click");
			}
		});
	}
	
	
	/**
	 * 初始化滚动组件
	 */
	function initScroller(){
		if(myScroller){
			//$(pageId+" .ls_list").html("");
			$(pageId+" .visc_pullDown").show();
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(pageId + " .yqg_prolist");
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}else{
			var visibleHeight = $(window).height() - $(pageId + ".header").height(); // 滑动组件的可见高度
			var scrollerParam = {
				isPagingType: false,
				isHasHead: false,
				visibleHeight: visibleHeight,
				container: $(pageId + " .yqg_prolist").parents(".visc_wrapper").parent(), // container元素
				wrapper: $(pageId + " .yqg_prolist").parents(".visc_wrapper"), // wrapper元素
				downHandle : function() {
//					$(pageId+" .yqg_prolist").html("");
//					curPageNo = 1;
//					
//					findOtcFund();  
					// 查询产品列表
				},
				upHandle : function(){
					appUtils.setSStorageInfo("bs","1");
					$(pageId+" .visc_pullUp").show();
					curPageNo++;
					findOtcFund(); // 查询产品列表
					$(pageId+" .no_data_box").hide();
				}
			};
			myScroller = new VIscroll(scrollerParam); //初始化
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(pageId + " .yqg_prolist");
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
		
		$(pageId+" .pay_main").hide();
		$(".visc_pullUp").hide();
		$(pageId + " .index-con").hide();
	}
	
	
	
	
	// 绑定事件
	function bindPageEvent() {
		//返回
		appUtils.bindEvent($(pageId + " #icon_back"), function() {
			 if(pageCodeIn!=""&&typeof(pageCodeIn)!="undefined"){
				appUtils.pageInit(pageCode, pageCodeIn);
			}else{
				appUtils.pageInit(pageCode,"mall/moneyShop");
			}
		});
	}

	// 销毁
	function destroy() {
		$(pageId+" .no_data_box").hide();
		$(pageId + " #zx_lbiao").html("");
		$(pageId + " #otcfund_zst").html("");
	}

	var InformationList = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = InformationList;
});
