/**
 * otc基金--赎回
 */

define('mall/scripts/mall/finanOrder/buyProduct.js',function(require, exports, module)
	{
	var service = require("mobileService"); //业务层接口，请求数据
	var validatorUtil= require("validatorUtil");
	var appUtils = require('appUtils');
	var putils = require("putils");
	var constants=require("constants");//常量类
	var layerUtils = require("layerUtils");
	var gconfig = require("gconfig");
	var common = require("common");
	var global = gconfig.global;
	var _pageId ="#mall_finanOrder_buyProduct ";
	var pageCode="mall/finanOrder/buyProduct";
	var code="";
	var inst_avls="";
	//var type="5";
	//1、初始化 foreclosed 
	function init(){	
		 common.initTitle(_pageId);
		 code = appUtils.getPageParam("code");//产品代码
		 inst_avls = appUtils.getPageParam("inst_avls");//可用金额
		 $(_pageId+" #otcfund_fe").attr('placeholder','最多可卖出'+inst_avls+'份');
		 findOtcFundById(code);
		 
	}
	//查询产品收益到账
	function findOtcFundById(code){
		service.findOtcFundById({"product_code":code},function(data){
			if(data.error_no=="0"){
				var result = data.results;
				var type=result[0].arrivaldays;//产品预期收益天数
				if(type=="1"){
					type="5";
				}
				fundOtcFundTime(type);
			}else{
				layerUtils.iMsg(-1,data.error_info);
			}
			
		},{"isAsync" : false});
		
	}
	
	//查询收益时间
	function fundOtcFundTime(type){
		var param={
			"flag":type
		}
		service.findTradeDate(param,function(data){
			if(data.error_no=="0"){
				var now_time=data.results[0].now_time;//现在的时间
				var next_trade_date = data.results[0].next_trade_date;//下一个交易日
				var next_nexttrade_date = data.results[0].next_nexttrade_date;//下两个交易日
				
				$(_pageId+" #otcfund_yj").html("赎回到期日：<span>"+next_nexttrade_date+" 24:00前</span>");
				$(_pageId+" #otcfund_yuj").html("15:00后卖出，将按"+next_trade_date+"的净值计算金额。");
			}
		});
	}
	//赎回事件
	function forecloseds(trade_pwd){
		$(_pageId+" #tradePwd").blur();
		var jj_sh=$(_pageId+" #otcfund_fe").val();//赎回
		if(validatorUtil.isEmpty(jj_sh)){
			layerUtils.iMsg(-1,"请输入赎回金额!");
			return false;
		}
		if (validatorUtil.isEmpty(code)){
			layerUtils.iMsg(-1,"产品id不能为空!");
			return false;
		}
		if(parseFloat(jj_sh)<=0){
			layerUtils.iMsg(-1,"赎回金额不能小于或等于0");
			return false;
		}
		if(parseFloat(jj_sh)>parseFloat(inst_avls)){
			layerUtils.iMsg(-1,"赎回金额不能大于持有金额");
			return false;
		}
		
		//密码加密
		service.getRSAKey({},function(dataresult){
			if(dataresult.error_no=="0"){
				var modulus = dataresult.results[0].modulus;
				var publicExponent =dataresult.results[0].publicExponent;
				var endecryptUtils = require("endecryptUtils");
				var trade_pass = endecryptUtils.rsaEncrypt(modulus,publicExponent,trade_pwd);
				
				var param = {
						"client_no":appUtils.getSStorageInfo("khh"),
						"trd_qty":jj_sh,
						"inst_code":code,
						"trade_pwd":trade_pass,
						"trd_id":"116" // 强制赎回
					};
				service.queryTrdae(param,function(data){
					if(data.error_no == "0"){
						var otcresults = data.results;
						var tot_price=otcresults[0].ORD_FRZ_QTY;//金额
						$(_pageId+" #tradePwd").blur();
						var param={
							"tot_price":tot_price,
							"product_type":9
						};
						$(_pageId+" #tradePwd").blur();
						layerUtils.iMsg(-1,"卖出成功...");
					}else{
						layerUtils.iMsg(-1,data.error_info);
						$(_pageId+" #tradePwd").blur();
					}
				});
				
				
			}else{
				layerUtils.iMsg(-1,dataresult.error_info);
				$(_pageId+" #tradePwd").blur();
			}
		});
	}
	//2、事件 绑定
	function bindPageEvent()
	{

		//绑定返回事件
		appUtils.bindEvent($(_pageId+" .icon_back"),function() {
			var param={
				"all_money":appUtils.getSStorageInfo('all_money')
			};
			appUtils.pageInit("mall/finanOrder/payment","userCenter/assetView",param);
		}); 
		
		//全部
		appUtils.bindEvent($(_pageId+" .all_link"),function() {
			$(_pageId+" #otcfund_fe").val(inst_avls);
			
		}); 
		
		//完成
		appUtils.bindEvent($(_pageId+" #right_btn"),function(e) {
			var $input = $(_pageId+" .fake-box input");
			$(_pageId+" #tradePwd").val(""); 
			$(_pageId+" #payment_drop").show();
			$(_pageId+" #payment_card").show();
			$(_pageId+" #tradePwd").focus();
		},"click");
			//确定支付
			var $input = $(_pageId+" .fake-box input");
				$(_pageId+" #tradePwd").val("");
 			
			$(_pageId+" #tradePwd").on("input", function(e1) {  
				 var pwd = $(_pageId+" #tradePwd").val().trim();//输入的密码  
	            for (var i = 0, len = pwd.length; i < len; i++) {  
	                $input.eq("" + i + "").val(pwd[i]);  
	            }  
	            $input.each(function() {  
	                var index = $(this).index();  
	                if (index >= len) {  
	                    $(this).val("");  
	                };  
	            });  
	            if (len == 6) { 
	            	$(_pageId+".fake-box input").val("");
					$(_pageId+" #payment_drop").hide();
					$(_pageId+" #payment_card").hide();
					$(_pageId+" #tradePwd").blur();
					
	                //执行其他操作  
	            	var confirmPay= $(_pageId+" #tradePwd").val();//输入的密码
	    			if(confirmPay==""||typeof(confirmPay)=="undefined"){
	    				layerUtils.iMsg(-1,"请输入交易密码");
	    		 		return false;
	    			}
	    				forecloseds(confirmPay);//购买产品
	        } 
		});
			//关闭密码框
			appUtils.bindEvent($(_pageId+" .close"),function(){
				$(_pageId+".fake-box input").val("");
				$(_pageId+" #payment_drop").hide();
				$(_pageId+" #payment_card").hide();
				$(_pageId+" #tradePwd").val("");
				$(_pageId+" #tradePwd").blur();
			},"click");
	
	}

	//3、销毁
	function destroy()
	{
		$(_pageId+".fake-box input").val("");
		$(_pageId+" #payment_drop").hide();
		$(_pageId+" #payment_card").hide();
		$(_pageId+" #tradePwd").val("");
		$(_pageId+" #otcfund_fe").val("");
		$(_pageId+" #tradePwd").blur();
	}

	var buyProduct =
	{
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};

	module.exports = buyProduct;

	});