/**
 * 中航基金的产品详情
 */
define('mall/scripts/mall/fundDividend.js',function(require, exports, module) {
	var appUtils = require('appUtils');
	var pageId = "#mall_fundDividend ";
	var pageCode = "mall/fundDividend";
	var service = require("mobileService"); // 业务层接口，请求数据
	var putils = require("putils");
	var layerUtils = require("layerUtils");
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var platform=gconfig.platform;//判断app或pc用
	var pageParam = {
			"fid_khh" : "",
			"fid_tadm" : "",
			"fid_jjdm" : "",
			"fid_jjzh" : "",
			"fid_fhfs" : "",
			"fid_sffs" : "1"
	};
	
	
	function init() {
		common.initTitle(pageId);
		
		$(pageId + "#chooseDiv").hide();
		//
		findFundLists();
	}
	
	//查询产品的基本信息
	function findFundLists(){
		var param = {
			"khh" : appUtils.getSStorageInfo("khh"),
			"page" : 1,
			"numPerPage" : 1000
		};
		service.findfundOrder(param,function(data){
			if(data.error_no == "0"){
				$(pageId + '#wrapp').html('');
				var results = data.results;
				var result = results[0].data;
				var html = "";
				for(var i=0;i<result.length;i++){
					var item = result[i];
					var pdtName = item.fid_jjjc;//基金名称
					var pdtCode = item.fid_jjdm;//基金代码
					var pdtTadm = item.fid_tadm;//基金公司编码
					var pdtJjzh = item.fid_jjzh;//基金账户
					html += '<div class="swiper-slide" data-pdtName="'+ pdtName +'" data-pdtCode="'+ pdtCode +'" data-pdtTadm="'+ pdtTadm +'" data-pdtJjzh="'+ pdtJjzh +'">' 
							+ pdtCode + '&nbsp&nbsp&nbsp&nbsp' + pdtName +'</div>';
				}
				$(pageId + '#wrapp').append(html);
			}
		},{})
	}
	
	
	
	function bindPageEvent() {
		// 返回
		appUtils.bindEvent($(pageId + " .icon_back"), function() {
				appUtils.pageInit(pageCode, "userCenter/wd");
		});
		
		// 选择器的确定按钮
		appUtils.bindEvent($(pageId + " #okBtn"), function() {
			$(pageId +"#chooseDiv").hide();
			var choosePdt = $(pageId + ".swiper-slide-active");
			pageParam['fid_khh'] = appUtils.getSStorageInfo("khh"); //客户号
			pageParam['fid_tadm'] = choosePdt.attr("data-pdtTadm");//基金公司编码
			pageParam['fid_jjdm'] = choosePdt.attr("data-pdtCode");//基金代码
			pageParam['fid_jjzh'] = choosePdt.attr("data-pdtJjzh");//基金账户
			$(pageId + "#pdtName").html(choosePdt.attr("data-pdtName"));
			$(pageId + "#pdtCode").html(pageParam.fid_jjdm);
		});
		
		// 选择器的取消按钮
		appUtils.bindEvent($(pageId + " #cancelBtn"), function() {
			$(pageId +"#chooseDiv").hide();
		});
		
		//点击基金名称，出现选择器
		appUtils.bindEvent($(pageId + " #startChoose"), function() {
			$(pageId +"#chooseDiv").show();
			//初始化产品选择器
			var swiper = new Swiper('.swiper-container', {
			    slidesPerView: 5,//每页显示的side个数
			    paginationClickable: true,//是否支持点击
			    spaceBetween: 5,//每个side的距离
				direction: 'vertical',//是否ֱ
				centeredSlides: true,//是否居中
				initialSlide :0,//初始位置
				slideToClickedSlide:true//是否点击居中
			});
		});
		
		// 选择分红方式
		appUtils.bindEvent($(pageId + " .dividendway"), function() {
			$(pageId + "#dividend").slideToggle();
		});
		
		// 选择分红方式
		appUtils.bindEvent($(pageId + " #dividend"), function(e) {
			pageParam.fid_fhfs = $(e.target).attr("data-type");
			$(pageId + "#dividendName").html($(e.target).html());
			$(pageId + "#curway").html($(e.target).html());
			$(pageId + "#dividend").slideUp();
			 e.stopPropagation();
		});
		// 选择分红方式
		appUtils.bindEvent($(pageId + " #subBtn"), function() {
			console.log(pageParam);
			subDividendWay();
		});
	}
	//提交
	function subDividendWay(){
		if(checkParam()){
			service.setDividendWay(pageParam,function(data){
				console.log(data);
				if(data.error_no == "0"){
					layerUtils.iAlert("恭喜您，设置成功","0",function(){
						appUtils.pageInit(pageCode, "userCenter/wd");
					});
				}else{
					layerUtils.iMsg("-1",data.error_info);
				}
			},{})
		}
	}
	//检查
	function checkParam(){
		if(pageParam.fid_tadm == "" || pageParam.fid_jjdm == "" || pageParam.fid_jjzh == "" || pageParam.fid_fhfs == ""){
			layerUtils.iMsg("-1","您设置的信息不完整");
			return false
		}
		return true
	}
	
	
	
	function destroy() {
		$(pageId + "#pdtName").html("选择基金名称");
		$(pageId + "#dividendName").html("分红方式");
		$(pageId + "#curway").html("");
		pageParam ={
				"fid_khh" : "",
				"fid_tadm" : "",
				"fid_jjdm" : "",
				"fid_jjzh" : "",
				"fid_fhfs" : "",
				"fid_sffs" : "1"
		};
	}

	var fundDividend = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = fundDividend;
});