/**
 * 新基金页面
 */
define('mall/scripts/mall/fundList.js',function(require, exports, module) {
	var pageId = "#mall_fundList ";
	var	pageCode = "mall/fundList";
	var appUtils = require("appUtils");
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	var constants = require("constants");// 常量类
	var fundUtils = require("mall/scripts/common/fundUtils");//基金数字字典
	var curPageNo1 = ""; // 当前列表页序号
	var	myScroller = null; // 滚动组件
	var	VIscroll = require("vIscroll");
	var common = require("common");
	var product_id = "";
	var product_type = "8";//8表示基金
	var type="1";//基金类型1为全部，3为激进，4为稳健，5是自选（激进型包含股票、混合等基金；稳健包含保本、债券型等基金）
	// 初始化
	function init() {
		common.initTitle(pageId);
		
		$(pageId+" #jj_qb").addClass("active");
		curPageNo1 = 1;
	//	type="1";
		//基金列表
		findFundlist(type);
	}
	
	/**
	 * 查询基金产品
	 */
	function findFundlist(type){
		var	param  = {
			"page":curPageNo1,
			"pageSize":6,
			"type":type,
			"user_id":appUtils.getSStorageInfo("user_id")
		};
		service.findFundList(param,function(data){
			var error_no = data.error_no;	
			var error_info = data.error_info;
			if(error_no==0){				
				var FindFundList = data.results[0].data;
				$(pageId+" .no_data_box ").hide();
				if(curPageNo1=="1"){
					$(pageId+" #jj_libiao ").html("");
					if(FindFundList==""){
						$(pageId+" .no_data_box ").show();
					}
					
				}
				for(var i = 0;i<FindFundList.length;i++){
					var fid_jjdm = FindFundList[i].product_id;//基金代码
					var fid_tadm = FindFundList[i].fid_tadm;//TA编码
					var fid_jjjc = FindFundList[i].fid_jjjc;//基金简称					
					var fid_jjqc = FindFundList[i].fid_jjqc;//基金全称
					var fid_jjj = FindFundList[i].fid_jjjz;//基金净值
					var fid_jjjz=parseFloat(fid_jjj).toFixed(4);//转成两个小数
					var fid_sffs = FindFundList[i].fid_sffs;//可多选：1前端收费，2后端收费，4C类收费， 比如3表示支持前、后端收费
					var fid_ljjz = FindFundList[i].fid_ljjz;//累计净值
					var fid_mwfsy = FindFundList[i].fid_mwfsy;//每万份收益
					var fid_nsyl = FindFundList[i].fid_nsyl;//年化收益率
					var fid_ljjz1=parseFloat(fid_nsyl).toFixed(2);//转成两个小数
					var fid_jjfxdj = FindFundList[i].fid_jjfxdj;//风险等级
					var fid_lccpbz = FindFundList[i].fid_lccpbz;//理财分类
					var iszx =  FindFundList[i].iszx;//时候自选股
					var new_start_time =FindFundList[i].new_start_time;//新发开始时间
					var new_end_time =FindFundList[i].new_end_time;//新发结束时间
					var fund_fee= FindFundList[i].fund_fee;//手续费标签
					var fund_type=FindFundList[i].fund_type;//新发标志
					var open_share=FindFundList[i].open_share;//推荐语
					var share_type=FindFundList[i].share_type;//标签配置
					var fund_rose=FindFundList[i].fund_rose;//今日涨幅
					var share_bq="";
					var fund_fee_new="";
					if(share_type!=""){
						var share = share_type.split(",");//切割标签配置
						for(var j = 0;j<share.length;j++){
							share_bq+="<em><span>"+share[j]+"</span></em>";
						}
					}else{
						share_bq="";
					}
					if(fund_fee!=""){
						fund_fee_new="<em class='red'><span>"+fund_fee+"</span></em>";
					}else{
						fund_fee_new="";
					}
					if(type=="1"){
						var newfa1="";
						var newfa2="";
						if(fund_type!=""){
							newfa1="<div class='bk_o'><div class='img'><img src='images/icon_i1.png'></div></div>";
							newfa2="<p class='p1'>首发日期:"+new_start_time+"至"+new_end_time+"</p>";
						}else{
							newfa1="<div class='bk_o pl0'><h1 class='"+(fund_rose >=0 ? 'red' : 'agreen')+"'>"+fund_rose+"<span>%</span></h1><em>今年以来涨幅</em></div>";
						}
						allFundStr="<li class='fundxq' product_id="+fid_jjdm+" product_type="+product_type+" ><div class='top pub_title'>" +newfa1+
									"<div class='r_i pub_title_box'><h3>"+fid_jjjc+"</h3><div class='type'>" +share_bq+fund_fee_new+
									"</div>" +newfa2+
									"</div></div><div class='bot'>" +
									"<h5 class='io'>"+open_share+"</h5></div></li>";
					}else{
						allFundStr= "<li class='fundxq' product_id="+fid_jjdm+" product_type="+product_type+" ><div class='top pub_title'><div class='bk_o pl0'><h1 class='"+(fund_rose >=0 ? 'red' : 'agreen')+"'>"+fund_rose+"<span>%</span></h1><em>今年以来涨幅</em></div>" +
									"<div class='r_i pub_title_box'><h3>"+fid_jjjc+"</h3><div class='type'>" +share_bq+fund_fee_new+
									"</div>" +
									"</div></div><div class='bot'>" +
									"<h5 class='io'>"+open_share+"</h5></div></li>";
					}
					$(pageId+" #jj_libiao ").append(allFundStr);  // 填充服务产品列表
				}
				//点击进入详情基金页面
				appUtils.bindEvent($(pageId+" .fundxq"), function(){
					var pageInParam = {
						"product_id" :  $(this).attr("product_id"),
						"product_type" : $(this).attr("product_type"),
						"url" : "mall/fundList",
						"pageCode" : "mall/itemsFundNew",
						"mall_phone_login" : "1"
					};
//					appUtils.pageInit("mall/fundList","mall/itemsFundNew",pageInParam);
					common.productJumpmethod(pageInParam);
				},"click");
				initScroller();
			} else {
				layerUtils.iMsg(-1, error_info);
			};
		});
			
	}
	/**
	 * 初始化滚动组件
	 */
	function initScroller()
	{
		if(myScroller)
		{
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(pageId + " #list");
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
		else
		{
			var visibleHeight = $(window).height() - $(pageId + ".header").height(); // 滑动组件的可见高度
			var scrollerParam = {
				isPagingType: false,
				isHasHead: false,
				visibleHeight: visibleHeight,
				container: $(pageId + " #jj_libiao").parents(".visc_wrapper").parent(), // container元素
				wrapper: $(pageId + " #jj_libiao").parents(".visc_wrapper"), // wrapper元素
				downHandle : function() {
					curPageNo1 = 1;
					findFundlist(type); // 查询产品列表
				},
				upHandle : function(){
					curPageNo1++;
					findFundlist(type); // 查询产品列表
				}
			};
			myScroller = new VIscroll(scrollerParam); //初始化
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(pageId + " #jj_libiao");
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
		$(pageId+" .pay_main").hide();
		$(".visc_pullUp").hide();
		$(pageId + " .index-con").hide();
	}
	
	// 绑定事件
	function bindPageEvent() {
		//返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			appUtils.pageInit(pageCode,"mall/moneyShop");
		});
		//点击全部
		appUtils.bindEvent($(pageId + " #fund_qb"), function() {
			type="1";
			curPageNo1 = 1;
			$(this).addClass("active");
			$(this).siblings().removeClass("active");
			findFundlist(type);
		},"click");
		//点击全部下面的类型稳建
		appUtils.bindEvent($(pageId + " #fund_wj"), function() {
			type="4";
			curPageNo1 = 1;
			$(this).addClass("active");
			$(this).siblings().removeClass("active");
			findFundlist(type);
		},"click");
		//点击全部下面的类型激进
		appUtils.bindEvent($(pageId + " #fund_jij"), function() {
			type="3";
			curPageNo1 = 1;
			$(this).addClass("active");
			$(this).siblings().removeClass("active");
			findFundlist(type);
		},"click");
	}

	// 销毁
	function destroy() {
		$(pageId+" #jj_libiao ").html("");
	}
	var fundList = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = fundList;
});
