/**
 * 基金订单查询
 */
define(function(require, exports, module){
	var appUtils = require("appUtils");
	var	gconfig = require("gconfig");
	var	pageId = "#mall_fundOrder ";
	var	pageCode = "mall/fundOrder";
	var	global = gconfig.global;
	var common = require("common");
	var	service = require("mobileService"); // 业务层接口，请求数据
	var	layerUtils = require("layerUtils");
	var	VIscroll = require("vIscroll");
	var	curPageNo = ""; // 当前页序号
	var	myScroller = null; // 滚动组件
	function init(){
		common.initTitle(pageId);
		
		curPageNo = 1;
		queryOrderList(); // 查询订单列表
	}
	//查询基金订单列表
	function queryOrderList(){
		var param={
			"page":curPageNo,
			"numPerPage":"4",
			"khh":appUtils.getSStorageInfo("khh")
		};
		service.findfundOrder(param,function(data){
			var error_no = data.error_no;	
			var error_info = data.error_info;
			if(error_no==0){				
				var oneData = data.results[0].data;
				if(curPageNo ==1){
					$(pageId + " #list").html("");
				}
				if(oneData.length==0){
					$(pageId + ".fix_add").show();
				}else{
					for(var i=0;i<oneData.length;i++){
						var product_name = oneData[i].fid_jjjc;//在基金中是基金简称
						var fid_tadm = oneData[i].fid_tadm;//TA编码
						var fid_jjsl = oneData[i].fid_jjsl;//基金数量
						var fid_kysl = oneData[i].fid_kysl;//可用数量
						var fid_ccjj = oneData[i].fid_ccjj;//成本价
						var fid_zxsz = oneData[i].fid_zxsz;//市值
						var trans_acct = oneData[i].fid_jjzh;//基金账号
						var fid_jjdm = oneData[i].fid_jjdm;//基金代码
						var fid_sffs = oneData[i].fid_sffs;//收费方式
						var aListHtml = '<div class="fixed_inner"><dl class="clearfix fundsh" fid_sffs="' + fid_sffs + '"  fid_tadm="' + fid_tadm + '" product_name="' + product_name + '" fid_kysl="' + fid_kysl +'" fid_jjdm="'+ fid_jjdm +'" trans_acct="'+ trans_acct +'" ><dt><p>持有份数：</p><strong style="font-size:0.2rem">' + fid_kysl + '<sup></sup></strong>'+
										'<a class="gm_ch n1" href="javaScript:void(0);" ><em class="type_01"></em>赎回</a></dt><dd>'+
										'<h5>' + product_name + '<em>' + fid_jjdm + '</em></h5><p class="fundsh">市值:<span>' + fid_zxsz + '</span></p>'+
										'<p class="fundsh">成本价:<span>' + fid_ccjj + '</span></p><div class="earning mt10"><p>基金数量:<span>' + fid_jjsl + '</span></p></div></dd></dl></div>';
						$(pageId + " #list").append(aListHtml);
					}
				}
			}else{//没有基金产品
				$(pageId + ".fix_add").show();
			}

			//购买(添加)产品按钮
			appUtils.bindEvent($(pageId+" #not_order"),function(){
				appUtils.pageInit(pageCode,"mall/moneyShop");
			});
			 //基金赎回按钮点击事件
	        appUtils.bindEvent($(pageId + " .fundsh"),function(){
		    	var trd_date = $(this).attr("trans_acct");//基金账户
		    	var fid_tadm = $(this).attr("fid_tadm");//基金公司代码
		    	var fid_jjdm = $(this).attr("fid_jjdm");//基金代码
		    	var fid_sffs = $(this).attr("fid_sffs");//收费方式
		    	var fid_kysl = $(this).attr("fid_kysl");//持有数量
		    	var param={
		    		"trd_date":trd_date,
		    		"fid_tadm":fid_tadm,
		    		"fid_jjdm":fid_jjdm,
		    		"fid_sffs":fid_sffs,
		    		"fid_kysl":fid_kysl
		    	};
		    	appUtils.setSStorageInfo("trd_date",trd_date);
		    	appUtils.setSStorageInfo("fid_tadm",fid_tadm);
		    	appUtils.setSStorageInfo("fid_jjdm",fid_jjdm);
		    	appUtils.setSStorageInfo("fid_sffs",fid_sffs);
		    	appUtils.setSStorageInfo("fid_kysl",fid_kysl);
		    	appUtils.pageInit(pageCode,"mall/fundRedeem",param);
	            }, "click");
			
		});
		initScroller();
	}
	//绑定事件
	function bindPageEvent(){
		//分红设置
		appUtils.bindEvent($(pageId + " #fundDividend"), function() {
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
			if(login_flag!="true"){//没有登入
				var  pageInParam = {
					"url" : pageCode
				};
				common.findLogin({"avicParam":pageInParam});
				//appUtils.pageInit(pageCode, "account/userLogin",{"avicParam":pageInParam});
			}else{
				var khh_no = appUtils.getSStorageInfo("khh");
				if(khh_no != ""){
					appUtils.pageInit(pageCode, "mall/fundDividend");
				} else {
					
				}
			}
		},"click");
		//返回按钮
		appUtils.bindEvent($(pageId+" .icon_back"), function(){
			appUtils.pageInit(pageCode, "userCenter/wd");
		});
		
	}
	function destroy()
	{
		$(pageId+" #list").html(""); // 清除列表数据
		$(pageId + " .fix_add").hide(); // 隐藏购买(添加)产品 div
		$(pageId + " #sp_gc").hide();
		$(pageId + " .pop_box4").hide();
	}
	/**
	 * 初始化滚动组件
	 */
	function initScroller()
	{
		if(myScroller)
		{
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(pageId + " #list");
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
		else
		{
			var visibleHeight = $(window).height() - $(pageId + ".header").height(); // 滑动组件的可见高度
			var scrollerParam = {
				isPagingType: false,
				isHasHead: false,
				visibleHeight: visibleHeight,
				container: $(pageId + " #list").parents(".visc_wrapper").parent(), // container元素
				wrapper: $(pageId + " #list").parents(".visc_wrapper"), // wrapper元素
				downHandle : function() {
					curPageNo = 1;
					queryOrderList(); // 查询订单列表
				},
				upHandle : function(){
					curPageNo++;
					queryOrderList(); // 查询订单列表
				}
			};
			myScroller = new VIscroll(scrollerParam); //初始化
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(pageId + " #list");
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
	}
	
	var indexOrder = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};

	module.exports = indexOrder;
});