/**
 * otc基金--赎回
 */

define('mall/scripts/mall/fundRedeem.js',function(require, exports, module)
	{
	var service = require("mobileService"); //业务层接口，请求数据
	var validatorUtil= require("validatorUtil");
	var appUtils = require('appUtils');
	var putils = require("putils");
	var constants=require("constants");//常量类
	var layerUtils = require("layerUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var _pageId ="#mall_fundRedeem ";
	var pageCode="mall/fundRedeem";
	var code="";
	var trd_date="";
	var fid_tadm="";
	var fid_jjdm="";
	var fid_sffs="";
	var fid_kysl="";
	//1、初始化  
	function init(){	
		common.initTitle(_pageId);
		trd_date = appUtils.getPageParam("trd_date");//基金账户
		fid_tadm = appUtils.getPageParam("fid_tadm");//基金公司代码
		fid_jjdm = appUtils.getPageParam("fid_jjdm");//基金代码
		fid_sffs = appUtils.getPageParam("fid_sffs");//收费方式
		fid_kysl = appUtils.getPageParam("fid_kysl");//持有数量
		 $(_pageId+" #otcfund_fe").attr('placeholder','最多可卖出'+fid_kysl+'份');
		 fundFundTime();
	}
	//查询收益时间
	function fundFundTime(){
		service.findTradeDate({flag:"5"},function(data){
			if(data.error_no=="0"){
				var now_time=data.results[0].now_time;//现在的时间
				var next_trade_date = data.results[0].next_trade_date;//下一个交易日
				var next_nexttrade_date = data.results[0].next_nexttrade_date;//下两个交易日
				
				$(_pageId+" #otcfund_yj").html("预计到账：<span>"+next_nexttrade_date+" 24:00前</span>");
				$(_pageId+" #otcfund_yuj").html("15:00后卖出，将按"+next_trade_date+"的净值计算金额，并收取手续费");
			}
		});
	}
	//赎回事件
	function forecloseds(trade_pwd){
		//密码加密
		service.getRSAKey({},function(dataresult){
			if(dataresult.error_no=="0"){
				var modulus = dataresult.results[0].modulus;
				var publicExponent =dataresult.results[0].publicExponent;
				var endecryptUtils = require("endecryptUtils");
				var trade_pass = endecryptUtils.rsaEncrypt(modulus,publicExponent,trade_pwd);
				
				var sh_fs=$(_pageId+" #otcfund_fe").val();//赎回
		    	if(sh_fs==""){
		    		layerUtils.iMsg(-1,"赎回数量不能为空");
					return false;
		    	}
		    	if(parseFloat(sh_fs)<0){
					layerUtils.iMsg(-1,"赎回数量必须大于0");
					return false;
				}
				var param = {
		    		"trade_pwd" : trade_pass,
		    		"trd_date" : trd_date,
		    		"khh" : appUtils.getSStorageInfo("khh"),
		    		"fid_tadm":fid_tadm,
		    		"fid_jjdm":fid_jjdm,
		    		"fid_sffs":fid_sffs,
		    		"sh_fs":sh_fs
		    	};
				//赎回方法
				service.fundShuH(param, function(data){
					if(data.error_no=="0"){
						var param={
							"product_type":"8",
							"tot_price":sh_fs
						}
						appUtils.pageInit(pageCode,"mall/finanOrder/otcFundRedeem",param);
						
					}else{
						layerUtils.iMsg(-1,data.error_info);
						$(_pageId+" #tradePwd").blur();
					}
				});
			}
		});
	}
	//2、事件 绑定
	function bindPageEvent()
	{

		//绑定返回事件
		appUtils.bindEvent($(_pageId+" .icon_back"),function() {
			appUtils.pageInit(pageCode,"mall/fundOrder");
		}); 
		
		//全部
		appUtils.bindEvent($(_pageId+" .all_link"),function() {
			$(_pageId+" #otcfund_fe").val(fid_kysl);
			
		}); 
		
		//完成
		appUtils.bindEvent($(_pageId+" #right_btn"),function(e) {
			var $input = $(_pageId+" .fake-box input");
			$(_pageId+" #tradePwd").val(""); 
			$(_pageId+" #payment_drop").show();
			$(_pageId+" #payment_card").show();
			$(_pageId+" #tradePwd").focus();
		},"click");
			//确定支付
			var $input = $(_pageId+" .fake-box input");
				$(_pageId+" #tradePwd").val("");
 			
			$(_pageId+" #tradePwd").on("input", function(e1) {  
				 var pwd = $(_pageId+" #tradePwd").val().trim();//输入的密码  
	            for (var i = 0, len = pwd.length; i < len; i++) {  
	                $input.eq("" + i + "").val(pwd[i]);  
	            }  
	            $input.each(function() {  
	                var index = $(this).index();  
	                if (index >= len) {  
	                    $(this).val("");  
	                };  
	            });  
	            if (len == 6) { 
	            	$(_pageId+".fake-box input").val("");
					$(_pageId+" #payment_drop").hide();
					$(_pageId+" #payment_card").hide();
					$(_pageId+" #tradePwd").blur();
					
	                //执行其他操作  
	            	var confirmPay= $(_pageId+" #tradePwd").val();//输入的密码
	    			if(confirmPay==""||typeof(confirmPay)=="undefined"){
	    				layerUtils.iMsg(-1,"请输入交易密码");
	    		 		return false;
	    			}
	    				forecloseds(confirmPay);//购买产品
	        } 
		});
			//关闭密码框
			appUtils.bindEvent($(_pageId+" .close"),function(){
				$(_pageId+".fake-box input").val("");
				$(_pageId+" #payment_drop").hide();
				$(_pageId+" #payment_card").hide();
				$(_pageId+" #tradePwd").val("");
				$(_pageId+" #tradePwd").blur();
			},"click");
	
	}

	//3、销毁
	function destroy()
	{
		$(_pageId+".fake-box input").val("");
		$(_pageId+" #payment_drop").hide();
		$(_pageId+" #payment_card").hide();
		$(_pageId+" #tradePwd").val("");
		$(_pageId+" #otcfund_fe").val("");
		$(_pageId+" #tradePwd").blur();
	}

	var fundRedeem =
	{
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};

	module.exports = fundRedeem;

	});