/**
 * 资讯详情
 */
define('mall/scripts/mall/infodetails.js',function(require, exports, module) {
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var _pageId = "#mall_infodetails ";
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var common = require("common");
	
	//初始化
	function init(){
		common.initTitle(_pageId);
		
		findById();
		$(_pageId+".main").css({
			"overflow-y":"auto",
			"overflow-x":"hidden",
			"height":($(window).height()-$(_pageId+" .new-header").height()-1)+"px"
		});
	}
	
	//查询产品详情
	function findById(){
		var param = {
			"product_id":appUtils.getPageParam().product_id,
			"product_sub_type":"1",
			"productType":"7",
			"userid" : appUtils.getSStorageInfo("user_id")
		};
		service.finanInfo(param,function(data){
			if(data.error_no!="0")
			{
				layerUtils.iAlert(data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			var results = data.DataSet;
			var inst_sname = results[0].inst_sname;
			var sub_price = results[0].sub_price;
			if(sub_price == "" || sub_price ==null){
				sub_price = "免费";
			}else{
				if(sub_price == "0" || sub_price == "0.00"){
					sub_price = "免费";
				}
			}
			var productInfo = data.productInfo;
			var product_desc = results[0].product_desc;
			$(_pageId+" h3").html(inst_sname);
			$(_pageId+" h4 span:eq(1)").html(sub_price);
//			$(_pageId+" dd p").html(product_desc);
			var productInfoStr = "";
			for(var i = 0;i<productInfo.length;i++){
				var contont = productInfo[i].contont;
				var title = productInfo[i].title;
				productInfoStr += '<div class="pro-include-tit"><span>'+ title +'</span></div><div class="pro-include-con"><p>'+ contont +'</p></div>';
			}
			$(_pageId+" .produce-include").html(productInfoStr);
//			$(_pageId+" .produce-include div:eq(1) p").html(product_desc);
			var isGm = results[0].isGm;
			if(isGm == "1"){
				$(_pageId+" #ljgm").attr("style","background:#b1a5a0;border:#b1a5a0;");
				$(_pageId+" #ljgm").html("已订阅");
				$(_pageId+" #ljgm").unbind();
			}else{
				$(_pageId+" #ljgm").attr("style","background:#CC1D58;border:1px solid #CC1D58");
				$(_pageId+" #ljgm").html("订阅");
				bindBuy();
			}
		});
	}
	
	//绑定立即购事件
	function bindBuy(){
		
		appUtils.bindEvent($(_pageId+"#ljgm"),function(){
			appUtils.setSStorageInfo("product_number",appUtils.getPageParam().product_id);
			appUtils.setSStorageInfo("pageJump","mall/finanOrder/confirmOrder");
			var user_id = appUtils.getSStorageInfo("user_id");
			if(user_id==""||user_id==null){
				var pageParam = appUtils.getPageParam();
				if(pageParam != undefined){
					if(pageParam.product_type == "7"){
						var param = {
							"product_type":appUtils.getPageParam().product_type,
							"product_id":appUtils.getPageParam().product_id
						};
					}
				}
				appUtils.pageInit("mall/infodetails","account/userLogin",param);
			}else{
				var loginType = appUtils.getSStorageInfo("loginType");
				if(loginType == "0"){
					common.queryMobilePhone(appUtils.getSStorageInfo("mobile_phone"),determineState);
				}else{
					var param = {
						"product_id":appUtils.getPageParam().product_id,
						"product_type" : appUtils.getPageParam().product_type
					};
					appUtils.pageInit("mall/infodetails","mall/finanOrder/confirmOrder",param);
				}
			}
		
		});
	}
	
	//判断用户状态
	function determineState(data){
		var results = data.results;
		var is_register = results[0].is_register;
		var is_client = results[0].is_client;
		var is_risk = results[0].is_risk;
		var is_pwd = results[0].is_pwd;
		var is_bank = results[0].is_bank;
		if(is_register&&is_register=="0"){
//			selfConfirmUtils("您还没有注册成功!","注册","逛逛商城",function(){
				appUtils.pageInit("mall/infodetails","register/register");
//			},function(){
//				appUtils.pageInit("mall/itemsFinanIn","mall/moneyShop");
//			});
//			$("#confirm_open").show();
		}else if(is_client=="0"||is_pwd=="0"||is_bank=="0"){
//			selfConfirmUtils("您还没有完善资料!","完善资料","逛逛商城",function(){
				appUtils.pageInit("mall/infodetails","account/testAccount");
//			},function(){
//				appUtils.pageInit("mall/itemsFinanIn","mall/moneyShop");
//			});
//			$("#confirm_open").show();
		}else{
			var param = {
				"product_id":appUtils.getPageParam().product_id,
				"product_type" : appUtils.getPageParam().product_type
			};
			appUtils.pageInit("mall/infodetails","mall/finanOrder/confirmOrder",param);
		}
	}
	
	//绑定事件
	function bindPageEvent(){
		
		bindBuy();
		
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
	}
	
	//销毁
	function destroy(){
		
	}
	
	var infodetails = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = infodetails;
	
});