/**
 * otc理财账户开立
 */
define('mall/scripts/mall/otcAccountOpen.js',function(require, exports, module) {
	var appUtils = require('appUtils');
	var pageId = "#mall_otcAccountOpen ";
	var pageCode = "mall/otcAccountOpen";
	var service = require("mobileService"); // 业务层接口，请求数据
	var putils = require("putils");
	var layerUtils = require("layerUtils");
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	var external = require("external");
	
	function init() {
		common.initTitle(pageId);
		
		queryOpenInfo();
	}
	function bindPageEvent() {
		// 返回
		appUtils.bindEvent($(pageId + " .icon_back"), function() {
			appUtils.pageBack();
		});
		appUtils.bindEvent($(pageId + " #qrkt"), function() {
			var khParam = {
					"risk_level" : appUtils.getPageParam("user_risk_level"),
					"khh" : appUtils.getSStorageInfo("khh"),
					"fxjg" : appUtils.getPageParam("register_corp_code"),
					"isCp" : "0",
					"isKh" : "1"
			};
			service.submitAns(khParam , function(data){
				if(data.error_no!="0")
				{
					layerUtils.iAlert(data.error_info);
					layerUtils.iLoading(false);
					return false;
				}else{
					layerUtils.iAlert("您的申请已经提交，请稍后查看。","0",function() {
						appUtils.pageBack();
					});
				}
			});
		});
	}
	
	
	function queryOpenInfo() {
		var param={
				"tadm":appUtils.getPageParam("register_corp_code"),
				"khh":appUtils.getSStorageInfo("khh"),
				"user_id":appUtils.getSStorageInfo("user_id")
			};
		service.queryOpenInfo(param, function(resultVo){
			if(resultVo.error_no!="0")
			{
				layerUtils.iAlert(resultVo.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			var info = resultVo.results[0];	
			// 设置值
			$(pageId + " #tadmInfo p:eq(0) span").html(info.zzjh);
			$(pageId + " #tadmInfo p:eq(1) span").html(info.jgmc);
			
			$(pageId + " #userInfo p:eq(0) span").html(info.khxm);
			$(pageId + " #userInfo p:eq(1) span").html(info.zjlb);
			$(pageId + " #userInfo p:eq(2) span").html(info.zjbh);
			$(pageId + " #userInfo p:eq(3) span").html(info.dz);
			$(pageId + " #userInfo p:eq(4) span").html(info.yzbm);
			$(pageId + " #userInfo p:eq(5) span").html(info.mobile);
			
			// 如果手机号或者身份证号为空的话，则不允许点击下一步
			if(info.zjbh==""||info.mobile==""){
				$(pageId + " #qrkt").unbind();
				$(pageId + " #qrkt").css("background","#756e6e");
			}
		});
	}
	
	function destroy() {
		$(pageId + " #tadmInfo p:eq(0) span").html("--");
		$(pageId + " #tadmInfo p:eq(1) span").html("--");
		$(pageId + " #userInfo p:eq(0) span").html("--");
		$(pageId + " #userInfo p:eq(1) span").html("--");
		$(pageId + " #userInfo p:eq(2) span").html("--");
		$(pageId + " #userInfo p:eq(3) span").html("--");
		$(pageId + " #userInfo p:eq(4) span").html("--");
		$(pageId + " #userInfo p:eq(5) span").html("--");
		$(pageId + " #qrkt").bind();
		$(pageId + " #qrkt").css("background","#e84c3d");
	}

	var otcAccountOpen = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = otcAccountOpen;
});