/**
 * 翼钱罐首页
 */
define('mall/scripts/mall/otcFundlist.js',function(require, exports, module) {

	var pageId = "#mall_otcFundlist ";
	var	pageCode = "mall/otcFundlist";
	var appUtils = require("appUtils");
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	var constants = require("constants");// 常量类
	var commonUtils = require("commonUtils");
	var common = require("common");
	var curPageNo="";
	// 初始化
	function init() {
		common.initTitle(pageId);
		
		//查询理财首页的安心投（固收理财）
		moneyLcPage();
		//查询随心投产品（以前的翼钱罐）
		findAvicBao();
		//查询侄胜投产品
		findOtcFund();
		//查询中航基金产品
		findZhFund();
	}

	/**
	 * 查询理财首页的理财产品（1条数据）
	 */
	function moneyLcPage() {
		var param = {
				"product_shelf" : constants.product_shelf.SHELF_ON,
				"page" : curPageNo,
				"numPerPage" : "1",
				"recommend_type" : "",
				"fina_belongs" : "5",
				"is_hot_sale" : "1",
				"istj" : "1",
				"userid" : appUtils.getSStorageInfo("user_id")
			};
			service.findFinan(param,function(data) {
				var error_no = data.error_no;
				var error_info = data.error_info;
				if (error_no == 0) {
					var FinancialProductEnum = data.results[0].data;
					$(pageId + " #lc_shop").html("");//清空
					var lcstr="";
					if(FinancialProductEnum.length!="0"){
						 lcstr+="<div class='tab_two_box'><span class='a1'>安心投</span><p>固定收益，低风险理财</p></div>";
					}
					
					for ( var i = 0; i < FinancialProductEnum.length; i++) {
						var product_id = FinancialProductEnum[i].product_id;//产品id
						var product_name = FinancialProductEnum[i].product_name;//产品名称
						//var product_code =FinancialProductEnum[i].product_code;//产品编号
						var product_status = FinancialProductEnum[i].product_status;//购买的状态
						var incomeunit = "--";//产品收益率
						if(FinancialProductEnum[i].incomeunit!=""&&FinancialProductEnum[i].incomeunit!="0.0") {
							incomeunit = (parseFloat(FinancialProductEnum[i].incomeunit) * 100).toFixed(2);
						}
						
						var investment_horizon = FinancialProductEnum[i].investment_horizon;//天数
						var per_buy_limit = FinancialProductEnum[i].per_buy_limit;//最低认购
						//var ed=FinancialProductEnum[i].ed;//剩余额度
						var tag=FinancialProductEnum[i].tag;//标签
						var risk_level=FinancialProductEnum[i].risk_level;//风险等级
						var edperCent=(parseFloat(FinancialProductEnum[i].edperCent)*100).toFixed(2);//剩余额度百分比
						var share_bq="";//标签
						if(tag!=""){
							var share = tag.split(",");//切割标签配置
							for(var j = 0;j<share.length;j++){
								
								share_bq+="<i class='lab'>"+share[j]+"</i>";
							}
						}else{
							share_bq="";
						}
						if(product_status=="0"){//预约购买
							lcstr+="<div class='pro_new_box yqg_box'  product_id="+product_id+" product_type='5'><ul class='a1'><li><div class='shop_status a1'><p>距认购仅</p><p>剩"+FinancialProductEnum[i].disdays+"天</p></div>" +
							"<h3 class='tit'>"+product_name+"</h3><div class='pub_title'><div class='persen'>" +
							"<em class='pens'>"+incomeunit+"<span>%</span></em><p class='a1'>年化收益</p></div><div class='pub_title_box pl20'>" +
							"<p class='a2'><span>"+investment_horizon+"天</span>锁定期</p><p class='a3'><span>"+per_buy_limit+"元</span>起购</p></div></div>" +
							"<div class='bot clearfix'>"+share_bq+"</div></li></ul></div>";
						}else if(product_status=="1"){//可以购买
							lcstr+="<div class='pro_new_box yqg_box' product_id="+product_id+" product_type='5'><ul class='a1'><li><i class='hot'></i>" +
							"<h3 class='tit'>"+product_name+"</h3><div class='pub_title'><div class='persen'>" +
							"<em class='pens'>"+incomeunit+"<span>%</span></em><p class='a1'>年化收益</p></div><div class='pub_title_box pl20'>" +
							"<p class='a2'><span>"+investment_horizon+"天</span>锁定期</p><p class='a3'><span>"+per_buy_limit+"元</span>起购</p></div></div>" +
							"<div class='bot clearfix'>"+share_bq+"<span class='bs' style='padding-left: 0.05rem;width: 1.2rem;'>已募集<b>"+edperCent+"</b>%</span></div></li></ul></div>";
						}else if(product_status=="9"){//即将发售
							lcstr+="<div class='pro_new_box yqg_box' product_id="+product_id+" product_type='5'><ul class='a1'><li><div class='shop_status a1'><p>距认购仅</p><p>剩"+FinancialProductEnum[i].disdays+"天</p></div>" +
							"<h3 class='tit'>"+product_name+"</h3><div class='pub_title'><div class='persen'>" +
							"<em class='pens'>"+incomeunit+"<span>%</span></em><p class='a1'>年化收益</p></div><div class='pub_title_box pl20'>" +
							"<p class='a2'><span>"+investment_horizon+"天</span>锁定期</p><p class='a3'><span>"+per_buy_limit+"元</span>起购</p></div></div>" +
							"<div class='bot clearfix'>"+share_bq+"</div></li></ul></div>";
						}else {//已经卖完
							lcstr+="<div class='pro_new_box' class='yqg_hotbox' product_id="+product_id+" product_type='5'><ul class='a1'><li><div class='shop_status a2'><p>已售馨</p></div>"+
							"<h3 class='tit'>"+product_name+"</h3><div class='pub_title'><div class='persen'>" +
							"<em class='pens'>"+incomeunit+"<span>%</span></em><p class='a1'>年化收益</p></div><div class='pub_title_box pl20'>" +
							"<p class='a2'><span>"+investment_horizon+"天</span>锁定期</p><p class='a3'><span>"+per_buy_limit+"元</span>起购</p></div></div>" +
							"<div class='bot clearfix'>"+share_bq+"</div></li></ul></div>";
						}
					};
					lcstr+="</div>";
					$(pageId + " #lc_shop").append(lcstr);
					//点击产品进入详情
					appUtils.bindEvent($(pageId+"  .yqg_box"),function(){
						var param = {
							"product_id" :  $(this).attr("product_id"),
							"product_type" : $(this).attr("product_type"),
							"url":"mall/otcFundlist",
							"pageCode" : "mall/stickMoneyIn",
							"mall_phone_login" : "1"
						};
						common.productJumpmethod(param);
					},"click");
				} else {
					layerUtils.iMsg(-1, error_info);
				}
			});
		}
	
	//查询随心投日日盈产品
	function findAvicBao(){
		service.findAvicBao({},function(resultVo) {
			var dataList = resultVo.results;
			$(pageId + " #avic_sy").html("");
			if(dataList!=""&&dataList.length>0){
//				var product_income= dataList[0].product_income;//今年以来收益率
				var three_rose= dataList[0].three_rose;//七日年华收益率
				var product_name =  dataList[0].product_name;//产品名称
				var product_description = dataList[0].product_description;//一段简介
				var product_marking = dataList[0].product_marking ;//便签
				var a=product_description.split(" ");
				var description1=a[0]+a[1];//简介
				var share_bq="";//标签
				if(product_marking!=""){
					var share = product_marking.split(",");//切割标签配置
					for(var j = 0;j<share.length;j++){
						share_bq+="<i class='lab'>"+share[j]+"</i>";
					}
				}else{
					share_bq="";
				}
				var avicstr="<ul class='a1'><li><i class='hot'></i><h3 class='tit'>"+product_name+"</h3>"+
				"<div class='pub_title'><div class='persen'><em class='pens' class='avic_cyl'>"+(parseFloat(three_rose)*100).toFixed(2)+"<span>%</span></em>" +
				"<p class='a1'>七日年化收益率</p></div><div class='pub_title_box pl20'>" +
				"<p class='a2'><span>"+description1+"</span></p><p class='a3'><span>"+a[2]+"</span></p>" +
				"</div></div><div class='bot clearfix'>"+share_bq+"</div></li></ul>";
				$(pageId + " #avic_sy").html(avicstr);
			}
			//翼钱罐
			appUtils.bindEvent($(pageId+" #avic_sy"),function(){
				var param={
						"pageCode":"avicBao/avicHomePage",
						"curPage":1,
						"url" : "mall/otcFundlist",
						"mall_phone_login" : "1"
					};
				common.productJumpmethod(param);
			},"click");
		});
	}
	/**
	 * 查询中航基金产品
	 */
	function findZhFund(){
		var param={
				"page":"1",
				"numPerPage":"100",
				"product_shelf":"1",
				"fina_belongs":"9",
				"istj":"1",
				"fina_type":"72"
			};
			service.findZhFundtj(param,function(data){
				var error_no = data.error_no;
				var error_info = data.error_info;
				if(error_no == 0){
					var zhresults = data.results;
					$(pageId + " #zhfund").html("");
					for(var i = 0;i<zhresults.length;i++){
						var product_id=zhresults[i].product_id;//产品id
						var product_type= zhresults[i].fina_belongs;//产品大类
						var product_name=zhresults[i].product_name;//名字
						//var product_description=otcresults[i].product_description;//产品简介
						var product_marking=zhresults[i].product_marking;//标签
						var per_buy_limit=zhresults[i].per_buy_limit;//起头金额
						var incomeunit=zhresults[i].incomeunit;//收益率
						var product_status = zhresults[i].product_status;//购买的状态
						var disdays=zhresults[i].disdays;//还剩多少天
						var last_date=zhresults[i].last_date;//节奏日期
						var one_rose=zhresults[i].one_rose;//预期产品出售日
						var three_rose=zhresults[i].three_rose;//三个月涨幅
						var risk_level_type=zhresults[i].risk_level_type;//收益率说明语句
						var product_income=zhresults[i].product_income;
						var product_yq="";
						
						var share_bq="";//标签
						if(product_marking!=""){
							var share = product_marking.split(",");//切割标签配置
							for(var j = 0;j<share.length;j++){
								share_bq+="<i class='lab'>"+share[j]+"</i>";
							}
						}else{
							share_bq="";
						}
						//七日年华收益率
						if(three_rose==null||three_rose==""){
							three_rose="0";
						}
						product_income = (parseFloat(product_income)*100).toFixed(2);
						
						var zhstr="<ul class='a1 zhfundDels' product_id="+product_id+" product_type="+product_type+"><li><i class='hot'></i><h3 class='tit'>"+product_name+"</h3>" +
								"<div class='pub_title'><div class='persen'><em class='pens'>"+(parseFloat(three_rose)*100).toFixed(2)+"<span>%</span></em>" +
								"<p class='a1'>"+risk_level_type+"</p></div><div class='persen border-left'>" +
								"<p class='a3'><span>申购赎回零费用</span></p><p class='a2'><span>"+per_buy_limit+"元起购</span></p>" +
								"</div></div><div class='bot clearfix'>" +share_bq+
							    "</div></li></ul>";
						$(pageId + " #zhfund").append(zhstr);
					}
					//跳转到详情
					appUtils.bindEvent($(pageId+"  .zhfundDels"),function(){
						var param = {
								"product_id" :  $(this).attr("product_id"),
								"product_type" : $(this).attr("product_type"),
								"url":"mall/moneyShop",
								"pageCode" : "mall/zhFundDetails"
							};
							common.productJumpmethod(param);
					},"click");
				}
				
			},{"isLastReq":false});
	}
	/**
	 * 查询至胜投产品
	 */
	function findOtcFund(){
		var param={
			"page":"1",
			"numPerPage":"100",
			"product_shelf":"1",
			"fina_belongs":"9",
			"isAvictj":"1",
			"fina_type":"72"
		};
		service.findOtcFund(param,function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			if(error_no == 0){
				var otcresults = data.results;
				$(pageId + " #otcfund_zst").html("");
				var otcstr="";
				if(otcresults.length!="0"){
					$(pageId + " #otcfund_top").show();
					otcstr+="<ul class='a1'>";
				}else{
					$(pageId + " #otcfund_top").hide();
				}
				
				for(var i = 0;i<otcresults.length;i++){
					var product_id=otcresults[i].product_id;//产品id
					var product_type= otcresults[i].fina_belongs;//产品大类
					//var fina_type=otcresults[i].fina_type;//产品小类
					var product_name=otcresults[i].product_name;//名字
					//var product_description=otcresults[i].product_description;//产品简介
					var product_marking=otcresults[i].product_marking;//标签
					var per_buy_limit=otcresults[i].per_buy_limit;//起头金额
					var investment_horizon=otcresults[i].investment_horizon;//期限findProfit
					var incomeunit=otcresults[i].incomeunit;//收益率
					var product_status = otcresults[i].product_status;//购买的状态
					var disdays=otcresults[i].disdays;//还剩多少天
					var last_date=otcresults[i].last_date;//节奏日期
					//var yesterday_rose=otcresults[i].yesterday_rose;//昨天涨幅
					var one_rose=otcresults[i].one_rose;//预期产品出售日
					//var three_rose=otcresults[i].three_rose;//三个月涨幅
					//var hsnyear_rose=otcresults[i].hsnyear_rose;//半年涨幅
					//var oneyear_rose=otcresults[i].oneyear_rose;//一年涨幅
					var risk_level_type=otcresults[i].risk_level_type;//收益率说明语句
					var product_income=otcresults[i].product_income;
					var product_yq="";
					var product_yqy="";
					var product_yqr="";
					if(one_rose!=""){
						product_yq=one_rose.split("-");
						product_yqy=product_yq[1];
						product_yqr=product_yq[2];
					}else{
						product_yqy=1;
						product_yqr=1;
					}
					//var ed=otcresults[i].ed;//余额
					
					var share_bq="";//标签
					if(product_marking!=""){
						var share = product_marking.split(",");//切割标签配置
						for(var j = 0;j<share.length;j++){
							
							share_bq+="<i class='lab'>"+share[j]+"</i>";
						}
					}else{
						share_bq="";
					}
					//计算余额天数
					if(disdays=="0"){
						
						 disdays="--";
					}
					var lastdate="";//最后的节制日期
					var jzdate="";//最后几天
					if(last_date==""){
						lastdate="";
						jzdate="<span class='bs'><small></small>抢购中...</span>";
					}else{
						lastdate="<span>截止:"+last_date+"</span>";
						jzdate="<span class='bs'><small></small>最后<b>"+disdays+"</b>天</span>";
					}
					if(investment_horizon==""){
						investment_horizon="--";
					}
					if(incomeunit==null||incomeunit==""||incomeunit=="0.0"){
						incomeunit="--";
					}else {
						incomeunit  = (parseFloat(incomeunit)*100 ).toFixed(2)+"<span>%</span>";
					}
					if(product_income!=""&&product_income!="0.0") {
						product_income = (parseFloat(product_income)*100).toFixed(2)+"<span>%</span>";
					}else {
						product_income = "--";
					}
					
					// 
					if(product_status=="1"){//预约购买
						otcstr+="<li class='otcfundbuy' product_id="+product_id+" product_type="+product_type+"><div class='shop_status a1'><p>"+product_yqy+"月"+product_yqr+"日</p><p>即将开售</p></div>" +
								"<h3 class='tit'>"+product_name+"</h3><div class='pub_title'><div class='pub_title_box '>" +
								"<em class='pens'>"+incomeunit+"</em><p class='a1'>"+risk_level_type+"</p></div><div class='pub_title_box '>" +
								"<em class='pens f16'>"+product_income+"</em><p class='a1 pl5'>今年以来年化</p></div>" +
								"<div class='persen border-left'><p class='a3'><span>"+per_buy_limit+"元起购</span></p><p class='a2'>"+lastdate+"</p>" +
								"</div></div><div class='bot clearfix'>"+share_bq+"</div></li>";
					}else if(product_status=="2"){//可以购买
						otcstr+="<li class='otcfundbuy' product_id="+product_id+" product_type="+product_type+"><i class='hot'></i><h3 class='tit'>"+product_name+"</h3><div class='pub_title'>" +
								"<div class='pub_title_box '><em class='pens'>"+incomeunit+"</em><p class='a1'>"+risk_level_type+"</p>" +
								"</div><div class='pub_title_box '><em class='pens f16'>"+product_income+"</em><p class='a1 pl5'>今年以来年化</p>" +
								"</div><div class='persen border-left'><p class='a3'><span>"+per_buy_limit+"元起购</span></p><p class='a2'>"+lastdate+"</p>" +
								"</div></div><div class='bot clearfix'>" +share_bq+jzdate+
								"</div></li>";
					}else if(product_status=="4"){//已经买完
						otcstr+="<li class='end' class='otcfundbuy' product_id="+product_id+" product_type="+product_type+"><div class='shop_status a2'><p>已售馨</p></div>" +
								"<h3 class='tit'>"+product_name+"</h3><div class='pub_title'><div class='pub_title_box '>" +
								"<em class='pens'>"+incomeunit+"</em><p class='a1'>"+risk_level_type+"</p></div>" +
								"<div class='pub_title_box '><em class='pens f16'>"+product_income+"</em><p class='a1 pl5'>今年以来年化</p>" +
								"</div><div class='persen border-left'><p class='a3'><span>"+per_buy_limit+"元起购</span></p>" +
								"<p class='a2'>"+lastdate+"</p></div></div><div class='bot clearfix'>" +share_bq+jzdate+
								"</div></li>";
					}else if(product_status=="3") {//服务期
						otcstr+="<li class='end' class='otcfundbuy' product_id="+product_id+" product_type="+product_type+"><div class='shop_status a2'><p>服务期</p></div>" +
								"<h3 class='tit'>"+product_name+"</h3><div class='pub_title'><div class='pub_title_box '>" +
								"<em class='pens'>"+incomeunit+"</em><p class='a1'>"+risk_level_type+"</p></div>" +
								"<div class='pub_title_box '><em class='pens f16'>"+product_income+"</em><p class='a1 pl5'>今年以来年化</p>" +
								"</div><div class='persen border-left'><p class='a3'><span>"+per_buy_limit+"元起购</span></p>" +
								"<p class='a2'>"+lastdate+"</p></div></div><div class='bot clearfix'>" +share_bq+jzdate+
								"</div></li>";
					}
				}
				otcstr+="</ul>";
				$(pageId + " #otcfund_zst").html(otcstr);
				//跳转到详情
				appUtils.bindEvent($(pageId+"  .otcfundbuy"),function(){
					var param = {
							"product_id" :  $(this).attr("product_id"),
							"product_type" : $(this).attr("product_type"),
							"url":"mall/otcFundlist",
							"pageCode" : "mall/otcFundDetails",
							"mall_phone_login" : "1"
						};
						common.productJumpmethod(param);
				},"click");
			}
			
		});
	}
	
	// 绑定事件
	function bindPageEvent() {
		//返回
		appUtils.bindEvent($(pageId + " #icon_back"), function() {
			var param={
					"pageCode" : pageCode
				};
			appUtils.pageInit(pageCode,"mall/moneyShop",param);
		});
		//安心投
		appUtils.bindEvent($(pageId + " #zy_tg"), function() {
			var param={
				"product_type":"5",
				"pageCode" : pageCode,
				"curPage":2
			};
			appUtils.pageInit(pageCode,"mall/stickMoney",param);
		});
		//随心投
		appUtils.bindEvent($(pageId + " #zn_dr"), function() {
			var param={
					"pageCode" : "avicBao/avicHomePage",
					"curPage" : 2,
					"url" : "mall/otcFundlist",
					"mall_phone_login" : "1"
				};
			common.productJumpmethod(param);
		});
		//致胜投
		appUtils.bindEvent($(pageId+"  #zg_cp"),function(){
			var param={
					"product_type":"9",
					"pageCode" : pageCode,
					"curPage":2
				};
			appUtils.pageInit(pageCode,"mall/otcVictorylist",param);
		},"click");
		
	}

	// 销毁
	function destroy() {
		$(pageId + " #zx_lbiao").html("");
		$(pageId + " #otcfund_zst").html("");
	}

	var otcFundlist = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = otcFundlist;
});
