/**
 * 转让专区
 */
define('mall/scripts/mall/transFer/toSell.js',function(require, exports, module) {
	var appUtils = require('appUtils');
	var pageId = "#mall_transFer_toSell ";
	var pageCode = "mall/transFer/toSell";
	var service = require("mobileService"); // 业务层接口，请求数据
	var putils = require("putils");
	var layerUtils = require("layerUtils");
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var platform=gconfig.platform;//判断app或pc用
	var product_name="";
	var inst_avl="";//产品可用份额
	var incomeunit = "";//预计收益率
	var day="";//剩余天数
	function init() {
		common.initTitle(pageId);
		
		//查询客户可用份额
		findTraSfterky();
	}
	//查询客户可用份额
	function findTraSfterky(){
		var param={
			"client_no":appUtils.getSStorageInfo("khh"),
			"inst_id":appUtils.getPageParam("product_code")
		}
		service.findTraSfterky(param,function(data){
			if(data.error_no == "0"){
				var results = data.results;
				var item = results[0];
				inst_avl = item.inst_avl;
				$(pageId + "#instAvl").html(inst_avl);
				//查询产品信息
				findFinanLists();
			}
		});
		
	}
	//查询产品的基本信息
	function findFinanLists(){
		var param = {
				"product_code": appUtils.getPageParam("product_code"),
				"product_sub_type":"1",
				"productType":"5",
				"userid" : appUtils.getSStorageInfo("user_id"),
		};
		service.finanInfo(param,function(data){
			if(data.error_no == "0"){
				var results = data.results;
				var item = results[0];
				 product_name = item.product_name;//名称incomeunit
				 incomeunit = item.incomeunit;//预期年化收益率
				 day = item.perioddate;//剩余天数
				var investment_horizon=item.investment_horizon;//投资期限
				var estDate = item.est_date;//产品成立日
				var endDate = item.end_date;//到期日
				var a= ((parseFloat(inst_avl*incomeunit).toFixed(2)/365)*investment_horizon).toFixed(2);
				//计算预计收益金额
				var money=(parseFloat(inst_avl)+parseFloat(a)).toFixed(2);
				var accDate = new Date(endDate);
				accDate.setDate(accDate.getDate()+1);
				var yjdz =  dateFormat(accDate,"yyyy-MM-dd");
				
				setTimeLine(estDate,estDate,endDate,yjdz);
				
				$(pageId + "#pdtName").html(product_name);
				$(pageId + "#incomeunit").html((incomeunit*100).toFixed(2)+"%");
				$(pageId + "#day").html("剩余"+day+"天");//剩余几天
				$(pageId + "#enday").html(endDate+"到期");//几号到期
				$(pageId + "#tramoeny").html(money);
				$(pageId + "#startDate").html(estDate);//发布日
				$(pageId + "#startCaluDate").html(estDate);//起息日
				$(pageId + "#endDate").html(endDate);//预计到期
				$(pageId + "#accuntDate").html(yjdz);//预计到账
			}
		},{});
	}
	function bindPageEvent() {
		// 返回
		appUtils.bindEvent($(pageId + " .icon_back"), function() {
			
			appUtils.pageInit(pageCode, "userCenter/assetView");
		});
		
		// 下一步
		appUtils.bindEvent($(pageId + " #next"), function() {
			var param={
					"product_code" :appUtils.getPageParam("product_code"),
					"instAvl" : inst_avl,
					"product_name":product_name,
					"incomeunit":incomeunit,
					"day":day
				}
			appUtils.pageInit(pageCode, "mall/transFer/setSellMsg",param);
		});
		
		
	}
	//提交
	function subDividendWay(){
		if(checkParam()){
			service.setDividendWay(pageParam,function(data){
				console.log(data);
				if(data.error_no == "0"){
					layerUtils.iAlert("恭喜您，设置成功","0",function(){
						appUtils.pageInit(pageCode, "userCenter/wd");
					});
				}else{
					layerUtils.iMsg("-1",data.error_info);
				}
			},{})
		}
	}
	//检查
	function checkParam(){
		if(pageParam.fid_tadm == "" || pageParam.fid_jjdm == "" || pageParam.fid_jjzh == "" || pageParam.fid_fhfs == ""){
			layerUtils.iMsg("-1","您设置的信息不完整");
			return false
		}
		return true
	}
	/**
	 * 转换时间格式
	 */
	function dateFormat(srcDate, fmt){
		if (!srcDate || !fmt) {
			return srcDate;
		}
		var date = srcDate;
		// 非date类型时返回原字符串
		if (isNaN(date.getDay())) {
			return srcDate;
		}
		
		var o = {
			"M+" : date.getMonth() + 1, // 月份
			"d+" : date.getDate(), // 日
			"h+" : date.getHours(), // 小时
			"m+" : date.getMinutes(), // 分
			"s+" : date.getSeconds(), // 秒
			"q+" : Math.floor((date.getMonth() + 3) / 3), // 季度
			"S" : date.getMilliseconds() // 毫秒
		};
		
		// 年份比较特殊，单独处理
		if (/(y+)/.test(fmt)){
			fmt = fmt.replace(RegExp.$1, (date.getFullYear() + "").substr(4 - RegExp.$1.length));
		}
			
		for ( var k in o){
			if (new RegExp("(" + k + ")").test(fmt)){
				fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
			}
		}
			
		return fmt;
	}
	/**
	 * 设置时间进度条
	 */
	function setTimeLine(subscribeStartTime,subscribeEndTime,pdtEstablishStartTime,pdtEstablishEndTime){
		var subStartTime = new Date(subscribeStartTime.replace(/-/g,"/")).getTime(); // 转换到毫秒
		var subEndTime = new Date(subscribeEndTime.replace(/-/g,"/")).getTime(); // 转换到毫秒
		var estStartTime = new Date(pdtEstablishStartTime.replace(/-/g,"/")).getTime(); // 转换到毫秒
		var estEndTime = new Date(pdtEstablishEndTime.replace(/-/g,"/")).getTime(); // 转换到毫秒
		var curtime =new Date().getTime();
		
		var totalTimeDValue = estEndTime - subStartTime; // 时间总差
		var curTimeDValue = estEndTime - curtime; // 当前时间差
		
		//step_one,step_two,step_three,step_four
		if (curTimeDValue <= 0) { 
			$(pageId + "#fundDate").addClass("step_four");
		} else if(curtime <= subStartTime){
			// 当前时间小于认购开始时间时，进度条设置为0
			$(pageId + "#fundDate").addClass("");
		} 
		if(curTimeDValue >= 0 && curtime <= subStartTime){
			$(pageId + "#fundDate").addClass("");
		} else if(curTimeDValue >= 0 && curtime >= subStartTime && curtime < subEndTime) {
			$(pageId + "#fundDate").addClass("step_one");
		} else if(curTimeDValue >= 0 && curtime >= subEndTime && curtime < estStartTime){
			$(pageId + "#fundDate").addClass("step_two");
		} else if(curTimeDValue >= 0 && curtime >= estStartTime && curtime < estEndTime){
			$(pageId + "#fundDate").addClass("step_three");
		}else if(curTimeDValue <= 0 && curtime > estEndTime) {
			$(pageId + "#fundDate").addClass("step_four");
		}
	}
	
	
	function destroy() {
		$(pageId + "#fundDate").removeClass("step_one step_two step_three step_four");
	}

	var toSell = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = toSell;
});