/**
 * 转让专区下单确定页面
 */
define('mall/scripts/mall/transFer/transBuySure.js',function(require, exports, module) {
	var appUtils = require('appUtils');
	var pageId = "#mall_transFer_transBuySure ";
	var pageCode = "mall/transFer/transBuySure";
	var service = require("mobileService"); // 业务层接口，请求数据
	var putils = require("putils");
	var layerUtils = require("layerUtils");
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var platform=gconfig.platform;//判断app或pc用
	var product_name="";
	var product_id ="";//产品id
	var inst_id="";//产品编码
	function init() {
		common.initTitle(pageId);
		//查询产品信息
		findFinanLists();
		
	}
	//查询产品的基本信息
	function findFinanLists(){
		var sell_qty=appUtils.getSStorageInfo("sell_qty");//转让的金额
		var param = {
				"product_code": appUtils.getPageParam("product_code"),
				"product_sub_type":"1",
				"productType":"5",
				"userid" : appUtils.getSStorageInfo("user_id"),
		};
		service.finanInfo(param,function(data){
			if(data.error_no == "0"){
				var results = data.results;
				var item = results[0];
				 product_name = item.product_name;//名称incomeunit
				var incomeunit = item.incomeunit;//预期年化收益率
				var investment_horizon=item.investment_horizon;//投资期限
				var mgr_org_sname=item.mgr_org_sname;//管理人
				var trust_org_sname=item.trust_org_sname;//委托人
				var disdays=item.perioddate;//剩余产品期限
				var estDate = item.est_date;//产品成立日
				var endDate = item.end_date;//到期日
				var register_corp_code=item.register_corp_code;//机构代码
				var risk_level=item.risk_level;//产品等级
				
				 product_id = item.product_id;//产品id
				 inst_id = item.product_code;//产品编码
				//(（金额*预期年化收益率）/365)*投资期限
				var ygsy = parseFloat(((sell_qty*incomeunit)/365)*disdays).toFixed(2);
				$(pageId + "#trans_name").html(product_name);//产品名称
				$(pageId + "#trans_yd").html("转让收益率:"+parseFloat(incomeunit*100).toFixed(2)+"%");//转让利率
				$(pageId + "#trans_qx").html("剩余产品期限:"+disdays+"天");//剩余产品期限
				$(pageId + "#trans_qdate").html("起息日:"+estDate);//产品名称
				$(pageId + "#trans_buymoney").html(sell_qty);//转让金额
				$(pageId + "#trans_yqmoney").html(ygsy);//预计收益率
				
				appUtils.setSStorageInfo("register_corp_code",register_corp_code);
				appUtils.setSStorageInfo("est_date",estDate);
				appUtils.setSStorageInfo("end_date",endDate);
				appUtils.setSStorageInfo("risk_level",risk_level);//产品风险等级
			}
			findAgreement();//查询协议
		});
	}
	//判断是否签署协议(1有 0没有)
	function  findAgreement(){
		var user_id = appUtils.getSStorageInfo("user_id");
		var isOnlineSign = true ; // 是否支持网上开通电子签名协议
		var flag = true ;		  // 签署协议标识，true 为已签署
		var showDataList =[];
		var _agreement_id ;
		var _agreement_title ;
		var results=null; //保存结果集
		var param ={
			"user_id":user_id,
			"product_id":product_id
		};
		//协议查询
		service.findAgreement(param,function(data){
			if(data.error_no != "0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			results= data.results;
			var allProtocolStr = ""; // 所有协议字符串
			for (var i  =0; i < results.length; i++){
				if(results[i].agreement_type=="1"||results[i].agreement_type=="0"){
					if(results[i].agreement_title!=null && results[i].agreement_title!=""){
						allProtocolStr += '<a href="javascript:void(0);" contract_type="'+results[i].contract_type+'" agreement_type="'+results[i].agreement_type+'" agreement_content="'+results[i].agreement_content+'" agreement_id="'+results[i].agreement_id+'" agreement_url="'+results[i].url+'">'+results[i].agreement_title+'</a>';
					};
				};
			}
			$(pageId+" #proContent").html(allProtocolStr);
			//绑定协议事件
			appUtils.bindEvent($(pageId+" #proContent a"),function(){
				var agreement_url = $(this).attr("agreement_url");
				var agreement_title = $(this).html();
				// 判断是否APP
				 if(platform == "0"){
					 window.location.href=URL+agreement_url;
				}else{
					viewProtocol(agreement_url,agreement_title);
				}
			});
		});
	}
	

	//查看产品协议
	function viewProtocol(agreement_url,agreement_title){
		//var codeUrl = encodeURIComponent(agreement_url);//给url进行编码，为了防止url带参数造成解析错误
		var curUrl  = window.location.href;
		var toUrl = curUrl.replace("#!/mall/transFer/transBuySure.html","scripts/common/generic/web/viewer.html");
		window.location.assign(toUrl + "?file="+ agreement_url);
		/*if(platform == "1"){
			var param={
				moduleName: "mall", // String	目标模块名	N	
				source: "mall", // String	源模块	Y
				funcNo: "50240",
				url: URL+agreement_url,
				title: agreement_title
			};
			external.callMessage(param);
		}else if(platform == "2"){
			var param={
				funcNo: "50240",
				url: URL+agreement_url,
				title: agreement_title
			};
			external.callMessage(param);
		}*/
	}
	//选中同意协议按钮
	appUtils.bindEvent($(pageId+" #checkBox"),function(){
	
		var checked=$(pageId+" #checkBox input").attr("checked");//获取是否选中
		if(checked=="checked"){
			$(pageId+" #checkBox input").removeAttr("checked");
		}else{
			if(platform == "0"){
				$(pageId+" #checkBox input").attr("checked","checked");
			}else{
				$(pageId+" #checkBox input").attr("checked","checked");
			}
		};
	});
	function bindPageEvent() {
		// 返回
		appUtils.bindEvent($(pageId + " .icon_back"), function() {
			var param={
				"product_code":inst_id
			}
			appUtils.pageInit(pageCode, "mall/transFer/transFerDetails",param);
		});
		
		// 下一步
		appUtils.bindEvent($(pageId + " .combtns"), function() {
			var checked=$(pageId+" #checkBox input").attr("checked");//获取是否选中
			if(checked!="checked"){
				layerUtils.iMsg(-1,"请同意并签署此购买合同！");
				return false;
			}
			var khh=appUtils.getSStorageInfo("khh");
			if(khh!=""){
				var param={
						"product_code" :inst_id,
						"product_name":product_name,
						"sell_qty":appUtils.getSStorageInfo("sell_qty"),
						"product_id":product_id
					}
				appUtils.pageInit(pageCode, "mall/transFer/transBuy",param);
			}else{
				var param2={
						"counTer":"亲,您还没有保证金账号或没有绑定保障金账户!"
					};
				common.popupMethod(param2);
			}
		});
	}
	
	
	function destroy() {
	}

	var transBuySure = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = transBuySure;
});