/**
 * 转让专区
 */
define('mall/scripts/mall/transFer/transFerDetails.js',function(require, exports, module) {
	var appUtils = require('appUtils');
	var pageId = "#mall_transFer_transFerDetails ";
	var pageCode = "mall/transFer/transFerDetails";
	var service = require("mobileService"); // 业务层接口，请求数据
	var putils = require("putils");
	var layerUtils = require("layerUtils");
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var platform=gconfig.platform;//判断app或pc用
	var product_name="";
	var inst_avl="";//产品可用份额
	var iCount = "";//时间变量
	function init() {
		common.initTitle(pageId);
		
		//查询产品信息
		findFinanLists();
		clearMsgCodeTimer();
		var valid_date=appUtils.getSStorageInfo("valid_date");//有效天数
		var endtime =valid_date+" "+ "23:59:59";//结束时间段
		var sta_str=new Date();//当前时间
		var end_str = endtime.replace(/-/g,"/"); //转化结束时间
		var end_date = new Date(end_str);//结束时间
		var timer = (end_date-sta_str)/1000;//求出两个时间的时间差(单位是秒)
		startMsgCodeTimer(timer);
	}
	//查询产品的基本信息
	function findFinanLists(){
		var sell_qty=appUtils.getSStorageInfo("sell_qty");//转让的金额
		var disdays=appUtils.getSStorageInfo("disdays");//剩余周期i
		var param = {
				"product_code": appUtils.getPageParam("product_code"),
				"product_sub_type":"1",
				"productType":"5",
				"userid" : appUtils.getSStorageInfo("user_id"),
		};
		service.finanInfo(param,function(data){
			if(data.error_no == "0"){
				var results = data.results;
				var item = results[0];
				 product_name = item.product_name;//名称incomeunit
				var incomeunit = item.incomeunit;//预期年化收益率
				//var day = item.perioddate;//剩余天数
				var investment_horizon=item.investment_horizon;//投资期限
				var mgr_org_sname=item.mgr_org_sname;//管理人
				var trust_org_sname=item.trust_org_sname;//委托人
				
				var estDate = item.est_date;//产品成立日
				var endDate = item.end_date;//到期日
				var accDate = new Date(endDate);
				accDate.setDate(accDate.getDate()+1);
				var yjdz =  dateFormat(accDate,"yyyy-MM-dd");
				
				setTimeLine(estDate,estDate,endDate,yjdz);
				
				$(pageId + "#tra_name").html(product_name);
				$(pageId + "#tra_incomeunit").html((parseFloat(incomeunit)*100).toFixed(2)+"%");
				$(pageId + "#tra_zq").html(disdays+"天");//剩余几天
				$(pageId + "#enday").html(appUtils.getPageParam("disdays")+"到期");//几号到期
				$(pageId + "#startDate").html(estDate);//发布日
				$(pageId + "#startCaluDate").html(estDate);//起息日
				$(pageId + "#endDate").html(endDate);//预计到期
				$(pageId + "#accuntDate").html(yjdz);//预计到账
				$(pageId + "#tra_buymoney").html(sell_qty);//转让的金额
				var lcsttr ="<p><em><img src='images/icon_detail1.png' alt=''></em>产品成立日<span>"+estDate+"</span></p>" +
				     		"<p><em><img src='images/icon_detail2.png' alt=''></em>产品结束日<span>"+endDate+"</span></p>" +
				     		"<p><em><img src='images/icon_detail3.png' alt=''></em>管理人<span>"+mgr_org_sname+"</span></p>" +
				     		"<p><em><img src='images/icon_detail4.png' alt=''></em>委托人<span>"+trust_org_sname+"</span></p>" +
				     		"<p><em><img src='images/icon_detail5.png' alt=''></em>存续期<span>"+investment_horizon+"天</span></p>" +
				     		"<p><em><img src='images/icon_detail5.png' alt=''></em>计息日期<span>"+estDate+"</span></p>";
				$(pageId+" #tra_xq").html(lcsttr);  // 填充服务产品列表
			}
			//跳转下单页面
			appUtils.bindEvent($(pageId + " .asb"), function() {
				var param={
						"product_code" :appUtils.getPageParam("product_code"),
						"instAvl" : inst_avl,
						"product_name":product_name
					}
				appUtils.pageInit(pageCode, "mall/transFer/transBuySure",param);
			});
		},{});
	}
	function bindPageEvent() {
		// 返回
		appUtils.bindEvent($(pageId + " .icon_back"), function() {
			
			appUtils.pageInit(pageCode, "mall/transFer/transFerIndex");
		});
		
		// 下一步
		appUtils.bindEvent($(pageId + " #next"), function() {
			var param={
					"product_code" :appUtils.getPageParam("product_code"),
					"instAvl" : inst_avl,
					"product_name":product_name
				}
			appUtils.pageInit(pageCode, "mall/transFer/setSellMsg",param);
		});
		
		
	}
	/**
	 * 时间倒计时
	 */
	function startMsgCodeTimer(timer){
		var intDiff = parseInt(timer);//倒计时总秒数量
		iCount =  window.setInterval(function(){
	    var day=0,
	        hour=0,
	        minute=0,
	        second=0;//时间默认值     
	    if(intDiff > 0){
	    	
	        hour = Math.floor(intDiff / (60 * 60)) - (day * 24);
	        minute = Math.floor(intDiff / 60) - (day * 24 * 60) - (hour * 60);
	        second = Math.floor(intDiff) - (day * 24 * 60 * 60) - (hour * 60 * 60) - (minute * 60);
	    }
	    if (minute <= 9) minute = '0' + minute;
	    if (second <= 9) second = '0' + second;
	    
	    $(pageId + " #hour").html(hour);
	    $(pageId + " #fen").html(minute);
	    $(pageId + " #miao").html(second);
	    
	  //  $(pageId + " #tra_end").html("<span>"+hour+"</span>小时<span>"+minute+"</span>分<span>"+second+"</span>秒后结束");
	    
	    intDiff--;
	    }, 1000);
	} 
	/**
     * 清除时间倒计时
     */
    function clearMsgCodeTimer()
    {
        //$(pageId + " #tra_end").html("");
    	$(pageId + " #hour").html("");
	    $(pageId + " #fen").html("");
	    $(pageId + " #miao").html("");
        clearInterval(iCount);
    }
	/**
	 * 转换时间格式
	 */
	function dateFormat(srcDate, fmt){
		if (!srcDate || !fmt) {
			return srcDate;
		}
		var date = srcDate;
		// 非date类型时返回原字符串
		if (isNaN(date.getDay())) {
			return srcDate;
		}
		
		var o = {
			"M+" : date.getMonth() + 1, // 月份
			"d+" : date.getDate(), // 日
			"h+" : date.getHours(), // 小时
			"m+" : date.getMinutes(), // 分
			"s+" : date.getSeconds(), // 秒
			"q+" : Math.floor((date.getMonth() + 3) / 3), // 季度
			"S" : date.getMilliseconds() // 毫秒
		};
		
		// 年份比较特殊，单独处理
		if (/(y+)/.test(fmt)){
			fmt = fmt.replace(RegExp.$1, (date.getFullYear() + "").substr(4 - RegExp.$1.length));
		}
			
		for ( var k in o){
			if (new RegExp("(" + k + ")").test(fmt)){
				fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
			}
		}
			
		return fmt;
	}
	/**
	 * 设置时间进度条
	 */
	function setTimeLine(subscribeStartTime,subscribeEndTime,pdtEstablishStartTime,pdtEstablishEndTime){
		var subStartTime = new Date(subscribeStartTime.replace(/-/g,"/")).getTime(); // 转换到毫秒
		var subEndTime = new Date(subscribeEndTime.replace(/-/g,"/")).getTime(); // 转换到毫秒
		var estStartTime = new Date(pdtEstablishStartTime.replace(/-/g,"/")).getTime(); // 转换到毫秒
		var estEndTime = new Date(pdtEstablishEndTime.replace(/-/g,"/")).getTime(); // 转换到毫秒
		var curtime =new Date().getTime();
		
		var totalTimeDValue = estEndTime - subStartTime; // 时间总差
		var curTimeDValue = estEndTime - curtime; // 当前时间差
		
		//step_one,step_two,step_three,step_four
		if (curTimeDValue <= 0) { 
			$(pageId + "#fundDate").addClass("");
		} else if(curtime <= subStartTime){
			// 当前时间小于认购开始时间时，进度条设置为0
			$(pageId + "#fundDate").addClass("");
		} 
		if(curTimeDValue >= 0 && curtime <= subStartTime){
			$(pageId + "#fundDate").addClass("");
		} else if(curTimeDValue >= 0 && curtime >= subStartTime && curtime < subEndTime) {
			$(pageId + "#fundDate").addClass("step_one");
		} else if(curTimeDValue >= 0 && curtime >= subEndTime && curtime < estStartTime){
			$(pageId + "#fundDate").addClass("step_two");
		} else if(curTimeDValue >= 0 && curtime >= estStartTime && curtime < estEndTime){
			$(pageId + "#fundDate").addClass("step_three");
		} else if(curTimeDValue <= 0 && curtime > estEndTime) {
			$(pageId + "#fundDate").addClass("step_four");
		}
	}
	
	
	function destroy() {
		clearInterval(iCount);
		$(pageId + "#fundDate").removeClass("step_one step_two step_three step_four");
	}

	var transFerDetails = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = transFerDetails;
});