/**
 * 新信托理财详情页面
 */
define('mall/scripts/mall/trustListIn.js',function(require, exports, module) {
	var _pageId = "#mall_trustListIn ";
	var	pageCode = "mall/trustListIn";
	var appUtils = require("appUtils");
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	var constants = require("constants");// 常量类
	var external = require("external");
	var shareTitle = "";
	var common = require("common");
	var product_id = "";//产品编号
	var product_type="";
	var prePageCode = "";
	var prePageCode2 = "";
	var article_id = "";
	var product_status = "";//产品状态
	// 初始化
	function init() {
		common.initTitle(_pageId);
		prePageCode = appUtils.getPageParam("pageCode");
		prePageCode2 = appUtils.getPageParam("prePageCode");
		article_id = appUtils.getPageParam("article_id");
		product_status = appUtils.getPageParam("product_status");//购买的状态
		if(prePageCode=="mall_trustList"){    
			prePageCode = prePageCode2;
		}
		if(prePageCode2=="mall/trustList"){
			prePageCode = "mall/trustList";
		}
		
		if(prePageCode2=="groupExclusive/groupLuxury"){
			prePageCode = "groupExclusive/groupLuxury";
		}
		var pageParam = appUtils.getPageParam();
		if(pageParam != undefined)
		{
			product_id = appUtils.getPageParam().product_id;
			product_type = appUtils.getPageParam().product_type;
		}
		if(product_id==null||product_type==""||product_type=="undefeated") {
			// 尝试从壳子里面取值
			 var param = {
	            funcNo: "50041",
	            key: "product_id" 
			  };
	        var datatype = external.callMessage(param);
	        product_id = datatype.results[0].value;
	        var param1 = {
	            funcNo: "50041",
	            key: "product_type" 
		     };
	        var datatype1 = external.callMessage(param1);
	        product_type = datatype1.results[0].value;
		}
		
		if(product_id==null){
			layerUtils.iMsg(1, "数据加载错误！");
			appUtils.pageInit("mall_trustListIn","mall/moneyShop",{});
			return false;
		}
		findById();//查询信托理财详情
	}
	//查询信托理财详情
	function findById(){
		var param = {
				"product_id":product_id,
				"product_sub_type":"1",
				"productType":"6",
				"userid" : appUtils.getSStorageInfo("user_id"),
				"pageCode" : "mall_trustListIn",
				"prePageCode" : prePageCode
			};
		service.finanInfo(param,function(data){
			if(data.error_no!="0")
			{
				layerUtils.iAlert(data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			var results = data.results;
			var product_abbr = results[0].product_abbr;//产品简称
			 product_id = results[0].product_id;//产品编号
			var product_code = results[0].product_code;//产品代码
			var product_name = results[0].product_name;//产品全称
			var est_date = results[0].est_date;//成立日期
			var end_date = results[0].end_date;//结束日期
			var mgr_org_sname = results[0].mgr_org_sname;//管理人
			var investment_horizon = results[0].investment_horizon;//存续期
			var incomeunit = results[0].incomeunit;//收益率
			var per_buy_limit = results[0].per_buy_limit;//购买最低金额
			var trust_org_sname = results[0].trust_org_sname;//委托人
			var  shareTitle = results[0].product_name;
			if(incomeunit==null||incomeunit==""){
				incomeunit="0";
			}else{
				if(incomeunit.indexOf(".")!=-1){
					incomeunit=parseFloat(incomeunit)*100;
					incomeunit=incomeunit.toFixed(2);
				} 
				
			}
			var heard="";//页面上面一部分
			var goumai="";//购买按钮
			if(product_status=="0"){//预约购买
				heard="<div class='finance_data to_sell'><div class='data'>" +
						"<h2>"+product_abbr+"</h2><p><em>"+product_code+"</em><span>即将出售</span></p>" +
						"</div></div>";
				goumai="<div class='buy_btn mt20'><a href='javaScript:void(0);' class='gray'>购买</a></div>";
			}else if(product_status=="1"){//可以购买
				heard = "<div class='finance_data selling'><div class='data'>" +
						"<h2>"+product_abbr+"</h2><p><em>"+product_code+"</em></p></div>" +
						"<div class='earning'><p>年化收益率</p><strong>"+incomeunit+"<sup>%</sup></strong>" +
						"</div></div>";
				goumai="<div class='buy_btn mt20'><a href='javaScript:void(0);' class='gm_lc' >购买</a></div>";
			}else {//已经卖完
				heard = "<div class='finance_data sold_out'><div class='data'>" +
				"<h2>"+product_abbr+"</h2><p><em>"+product_code+"</em><span>已售罄</span></p></div>" +
				"<div class='earning'><p>年化收益率</p><strong>"+incomeunit+"<sup>%</sup></strong>" +
				"</div></div>";
				goumai="<div class='buy_btn mt20'><a href='javaScript:void(0);' class='gray'>购买</a></div>";
			}
			var lcsttr = heard+"<div class='finance_detail mt10'><h3>基本信息</h3>" +
					     		"<div class='detail_list'>"+
					     		"<p><em><img src='images/icon_detail1.png' alt=''></em>产品成立日<span>"+est_date+"</span></p>" +
					     		"<p><em><img src='images/icon_detail2.png' alt=''></em>产品结束日<span>"+end_date+"</span></p>" +
					     		"<p><em><img src='images/icon_detail3.png' alt=''></em>管理人<span>"+mgr_org_sname+"</span></p>" +
					     		"<p><em><img src='images/icon_detail4.png' alt=''></em>委托人<span>"+trust_org_sname+"</span></p>" +
					     		"<p><em><img src='images/icon_detail5.png' alt=''></em>存续期<span>"+investment_horizon+"天</span></p>" +
					     		"</div></div>"+goumai;
			$(_pageId+" #lc_xqym").append(lcsttr);  // 填充服务产品列表
			//购买
			appUtils.bindEvent($(_pageId+" .gm_lc"),function(){
				appUtils.setSStorageInfo("product_number",product_id);
				appUtils.setSStorageInfo("pageJump","mall/finanOrder/stickMoneyBuy");
				var user_id = appUtils.getSStorageInfo("user_id");
				if(user_id==""||user_id==null){
					var param = {
						"product_id":product_id,
						"pageCode" : "mall/trustListIn",
						"prePageCode" : prePageCode
					};
					appUtils.pageInit("mall/trustListIn","account/userLogin",param);
				}else{
					var loginType = appUtils.getSStorageInfo("loginType");
					if(loginType == "0"){
						common.queryMobilePhone(appUtils.getSStorageInfo("mobile_phone"),determineState);
					}else{
						var param = {
							"product_id":product_id,
							"product_type" : "6",
							"pageCode" : "mall/trustListIn",
							"prePageCode" : prePageCode
						};
						appUtils.pageInit("mall/trustListIn","mall/finanOrder/stickMoneyBuy",param);
					}
				}
			},"click");
		});
	}
	//判断用户状态
	function determineState(data){
		var results = data.results;
		var is_register = results[0].is_register;
		var is_client = results[0].is_client;
		var is_risk = results[0].is_risk;
		var is_pwd = results[0].is_pwd;
		var is_bank = results[0].is_bank;
		if(is_register&&is_register=="0"){
			appUtils.pageInit("mall/trustListIn","register/register");
		}else if(is_client=="0"||is_pwd=="0"||is_bank=="0"){
			appUtils.pageInit("mall/trustListIn","account/testAccount");
		}else{
			var param = {
				"product_id":product_id,
				"product_type" : product_type,
				"pageCode" : "mall/trustListIn",
				"prePageCode" : prePageCode
			};
			appUtils.pageInit("mall/trustListIn","mall/finanOrder/stickMoneyBuy",param);
		}
	}
	
	
	// 绑定事件
	function bindPageEvent() {
		//返回
		appUtils.bindEvent($(_pageId+".icon_back"),function(){
			var param="";
			if(product_type==undefined){
				 param = {
						"product_id":product_id,
						"product_type" : "5",
						"article_id" : article_id,
						"pageCode" : prePageCode,
						"prePageCode" : prePageCode2
				};
			}else{
				 param = {
						"product_id":product_id,
						"product_type" : product_type,
						"article_id" : article_id,
						"pageCode" : prePageCode,
						"prePageCode" : prePageCode2
				};
			}
			
			if(prePageCode == "mall/trustList"){
				appUtils.pageInit("mall/trustListIn","mall/trustList",param);
			}else if(prePageCode == "mall/moneyShop"){
				appUtils.pageInit("mall/trustListIn","mall/moneyShop",param);
			}
			else if(prePageCode == "account/index") {
				appUtils.pageInit("mall/trustListIn","account/index",param);
			}else if(prePageCode == "groupExclusive/groupLuxury"){
				appUtils.pageInit("mall/trustListIn","groupExclusive/groupLuxury",param);
			}else if(prePageCode == "groupExclusive/zmkm"){
				appUtils.pageInit("mall/trustListIn","groupExclusive/zmkm",param);
			}
			else{
				appUtils.pageInit("mall/trustListIn","mall/trustList",param);
			}
		});
		// 主页
		appUtils.bindEvent($(_pageId + " #index"), function(event) {
			 event.stopPropagation();
			appUtils.pageInit(pageCode, "account/index");
		},"click");
		// 翼启投
		appUtils.bindEvent($(_pageId + " #yqt"), function(event) {
			 event.stopPropagation();
			appUtils.pageInit(pageCode, "account/ytg/yqt");
		},"click");
		// 理财
		appUtils.bindEvent($(_pageId + " #lc"), function(event) {
			 event.stopPropagation();
			appUtils.pageInit(pageCode, "mall/moneyShop");
		},"click");
		// 生活
		appUtils.bindEvent($(_pageId + " #sh"), function(event) {
			 event.stopPropagation();
			appUtils.pageInit(pageCode, "life/lifeIndex");
		},"click");
		// 我的
		appUtils.bindEvent($(_pageId + " #wd"), function(event) {
			appUtils.setSStorageInfo("_loginInPageCode","userCenter/wd");//保存要跳转的页面
			 event.stopPropagation();
			appUtils.pageInit(pageCode, "userCenter/wd");
		},"click");
		//分享
		appUtils.bindEvent($(_pageId+" #share"),function(){
			var link = global.shareLink;
        	var param={
				moduleName: "mall", // String	目标模块名	N
				funcNo: "50230",
				shareTypeList: "22,23,24",
				title: shareTitle,
				link:  link+"/m/mall/index.html#!/mall/trustListIn.html?product_id="+ product_id +"&product_type="+6,
				content: "一切精彩尽在翼启航",
				imgUrl: ""
			};
			external.callMessage(param);
		});
	}



	// 销毁
	function destroy() {
		$(_pageId+" #lc_xqym").html("");
	}

	var trustListIn = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = trustListIn;
});
