/**
 * 视频交易明细
 */
define('mall/scripts/mall/vdioOrder.js',function(require, exports, module){
	var appUtils = require("appUtils");
	var	gconfig = require("gconfig");
	var	global = gconfig.global;
	var common = require("common");
	var	service = require("mobileService"); // 业务层接口，请求数据
	var	layerUtils = require("layerUtils");
	var	curPageNo = ""; // 当前页序号
	var	pageId = "#mall_vdioOrder ";
	var pageCode = "mall/vdioOrder";
	var URL=global.url;
	var dropload=require("dropload"); // 滚动组件
	var me="";
	function init()
	{	//解决未登入报错的问题
		common.initTitle(pageId);
		curPageNo = 1;
		var user_id =appUtils.getSStorageInfo("user_id");
		if(user_id==null){
			common.checkUserIsLogin();//检查登入
		}else{
			queryOrderList(); // 查询视频订单列表
		}
	}
	//查询视频订单
	function queryOrderList(){
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" #Order_list").html("");
		//初始化滑动组件
		var dropload = $(pageId +".khfxWarp").dropload({
	        scrollArea: $(pageId +".khfxWarp"),
	        loadDownFn: function (me) {
	        	setTimeout(function(){
	        		//调用方法
	        		var loginType = appUtils.getSStorageInfo("loginType");
	        		var user_id =appUtils.getSStorageInfo("user_id");
	        		var flag;
	        		if(loginType == "0"){  //loginType  0手机登录  1资金账号登录
	        			flag = "2";
	        		}else{
	        			flag = "1";
	        		}
	        		var param = {
	        			"user_id": user_id,
	        			"page": curPageNo,
	        			"numPerPage": "6",
	        			"flag":flag
	        		};
        			service.findVdioOrder(param,function(data){
        				var error_no = data.error_no;
        				if(error_no == 0){
        					var results = data.results[0].data;
        					if(curPageNo == 1){//处理没有数据的情况
        						if(results.length==0){
        							$(pageId + " #Order_list").hide();
        							$(pageId + " .fix_add").show();
        							$(pageId+" .dropload-down").hide();
        						}else{
        							$(pageId + " #Order_list").show();
        							$(pageId + " .fix_add").hide();
        							$(pageId+" .dropload-down").show();
        						}
        					}else{
        						if(results.length==0){
        							me.lock();
        				            // 显示无数据
        				            me.noData();
        				            me.loading = false;
        				            me.resetload();//加载数据
        						}
        					}
        					curPageNo++;
        					var str="";
        					for(var i = 0;i < results.length;i++){
        						var id = results[i].id;//产品id
        						var name = results[i].name;//产品名称
        						var photo = results[i].photo;//视频产品小图标
        						var video = results[i].video;//视频播放地址
        						var video_photo = results[i].video_photo;//视频播放图片
        						var tjzd = results[i].tjzd;//推荐语
        						var content = results[i].content;//详细介绍
        						var start_time = results[i].start_time;//购买的时间
        						var intro = results[i].intro.substring(0,22);//视频产品简介
        						var apply_no = results[i].apply_no;//订单编号
        						 str+="<div class='forum_inner'><a href='javaScript:void(0);' apply_no="+apply_no+" video="+video+" content="+content+" video_photo="+video_photo+" id="+id+" class='btn_watch'>观看</a>"+
        							"<dl><dt><img src='"+URL+photo+"' alt=''></dt>"+
        						"<dd><strong>"+name+"</strong><p>"+intro+"...</p><p class='time'>"+start_time+"</p>"+
        						"</dd></dl></div>";
        						 	
        					};
        					$(pageId+" #Order_list").append(str);
        					if(results.length<6){
        			            // 再往下已经没有数据
        			            // 锁定
        			            me.lock();
        			            // 显示无数据
        			            me.noData();
        			            me.loading = false;
        			        }
        					me.resetload();//加载数据
        					//点击详情
        					appUtils.bindEvent($(pageId+" .btn_watch"),function(){
        						var apply_no=$(this).attr("apply_no");
        						var video=$(this).attr("video");
        						var content=$(this).attr("content");
        						var video_photo=$(this).attr("video_photo");
        						var id = $(this).attr("id");
        						var param1={
        							"video":video,
        							"content":content,
        							"video_photo":video_photo,
        							"product_id":id
        						};
        						var param={
        							"apply_no":apply_no	
        						};
        						//查询订单在otc中是否购买成功
        						service.findOrderisCg(param,function(data){
        							if(data.error_no=="0"){//支付成功
        								appUtils.pageInit(pageCode,"mall/palyVido",param1);
        							}else if(data.error_no=="1"){//支付失败但没有错误
        								layerUtils.iMsg(-1,"订单暂未完成付款，请稍后重试！请确保您账户余额充足再购买。");
        								return false;
        							}
        							else{//出现异常
        								layerUtils.iMsg(error_info);
        							}
        						});
        					},"click");
        					
        				}
        			},{"isShowWait":false});		
	    		},200);
	        }
	    });
	}
	
	function bindPageEvent(){
		//返回按钮
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			appUtils.pageInit(pageCode,"userCenter/wd");
		});
		// 购买(添加)产品按钮
		appUtils.bindEvent($(pageId+" .fix_add a"),function(){
			appUtils.pageInit(pageCode,"mall/moneyShop");
		});
	}
	
	function destroy()
	{
		$(pageId+" #Order_list").html("");
		$(pageId + " .visc_wrapper").show();
		$(pageId + " .fix_add").hide();
	}
        
	
	var vdioOrder = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};

	module.exports = vdioOrder;
});