/**
 * 视频产品列表信息
 */
define('mall/scripts/mall/vidoDetails.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var ytgService = require("ytgService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var _pageId = "#mall_vidoDetails ";
	var external = require("external");
	var common = require("common");
	var gconfig = require("gconfig");
	var platform=gconfig.platform;
	var global = gconfig.global;
	var  spdj="";
	var URL=global.url;
	var kt_name="";
	//初始化
	function init(){
		common.initTitle(_pageId);
		
		$(_pageId+".ul_elelist").html("");
		//判断课堂
		spdj= appUtils.getPageParam().spdj;
		cpgs= appUtils.getPageParam().cpgs;
		if(spdj=="0"){
			kt_name="免费课程";
		}else if(spdj=="1"){
			kt_name="初级课程";
		}else if(spdj=="2"){
			kt_name="中级课程";
		}else if(spdj=="3"){
			kt_name="高级课程";
		}else if(spdj=="4"){
			kt_name="解盘课程";
		}else{
			kt_name="课程";
		}
		$(_pageId+" #pd_kt").html(kt_name);
		query();//查询系列信息
		//querymf();//查询免费系列
		queryVdio();//查询此系列下的所有课程
	}
	/**
	 * 视频产品列表信息
	 */
	function query(){
		spdj= appUtils.getPageParam().spdj;
		var param = {
				"spdj":spdj,
				"cpgs":cpgs
		};
		//查询课程介绍
		service.findBySpkcjs(param,function(data){
			if(data.error_no == "0"){
				var result = data.results;
				if(result.length>0){
					$(_pageId+" #kc_jj").html(result[0].syllabus_intro);//课程简介
					$(_pageId+" #kc_mb").html(result[0].syllabus_target);//课程目标
				}
			}else{
				layerUtils.iMsg(-1,data.error_info);
			}
		});
	}
	/**
	 * 查询此系列下的所有课程
	 */
	function queryVdio(){
		//查询课程列表
		spdj= appUtils.getPageParam().spdj;
		
		var param = {
				"spdj":spdj,
				"cpgs":cpgs
		};
		ytgService.findSpById(param,function(resultVo){
			var results = resultVo.results;
			var vdiohtml = "";
			var sum_original_price = 0;
			for (var i = 0; i < results.length; i++) {
				var name=results[i].name;//产品名称
				var sub_price = results[i].sub_price;//产品优惠价
				var sub_price1=sub_price.split(".");
				 sub_price2=parseFloat(sub_price1[0]);
				 var inst_id = results[i].inst_id;//产品编号
				var original_price1 = results[i].original_price;//产品原价
				 original_price=parseFloat(original_price1);
				var intro = results[i].intro.substring(0,20);//产品简介
				var photo = results[i].photo;//产品小图片
				var spdj=results[i].spdj;//视频等级
			  vdiohtml+="<div class='forum_pro' spdj="+spdj+">" +
						"<dl class='clearfix'><dt><img src='"+URL+photo+"' alt=''></dt>" +
						"<dd><strong>"+name+"</strong><p>"+intro+"...</p>" +
						"</dd><dd></dd></dl></div>";
			  sum_original_price+=original_price;
			}
			vdiohtml+="<div class='forumpay_box'><div class='ui checkbox' id='checkboxall'><input  type='checkbox' id='checkbox_1' >" ;
					
			$(_pageId + " #userSpace_vdio").append(vdiohtml);
			//显示总钱sum_original_price
			$(_pageId + " #spzj").html("");
			$(_pageId + " #spzj").append("价值￥<i>"+parseFloat(sum_original_price).toFixed(2)+"</i>元");
		});
	};
		
	
	
	
	//绑定事件
	function bindPageEvent(){
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			var param={
				"product_id":appUtils.getPageParam().zxsp_id,
				"product_type":"7"
			};
			appUtils.pageInit("mall/vidoDetails","mall/finanOrder/confirmOrder",param);
		});
		//分享
		appUtils.bindEvent($(_pageId+" .btn_fenx"),function(){
			var weChat = common.weChat();//判断是APP还是pc或浏览器
			if(weChat){//里面是原生调用的内容
				var link = global.shareLink;
	        	var param={
					moduleName: "mall", // String	目标模块名	N
					funcNo: "50230",
					shareTypeList: "22,23,24",
					title: kt_name,
					link:  link+"/m/mall/#!/account/ytg/userSpaceXq.html?spdj="+ spdj +"&cpgs="+cpgs,
					content: "一切精彩尽在翼启航",
					imgUrl: ""
				};
				external.callMessage(param);				
			}
		});
	}
	
	//销毁
	function destroy(){
		$(_pageId+" #userSpace_vdio").html("");
		$(_pageId +" #spzj").html("");
		//$(_pageId + " #vdio_mianf").html("");
		$(_pageId+" #pd_kt").html("");
		
	}
	
	var vidoDetails = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	// 暴露对外的接口
	module.exports = vidoDetails;
	
});