/**
 * 找回密码 BrotherZeng
 */
define('mall/scripts/userCenter/findPwd.js',function(require, exports, module) {

	var _pageId = "#userCenter_findPwd ";
	var pageCode = "userCenter/findPwd";
	var appUtils = require("appUtils");
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var platform = require("gconfig").platform;
	var gconfig = require("gconfig");
	var	global = gconfig.global;
	var	URL = global.url;
	var	phoneNum = "";//注册手机号码
	var	timer = null;//计时器
	var common = require("common");
	var	endecryptUtils = require("endecryptUtils");
	var i = 60;//倒计时长
	var isSendPhone = false; //是否已发送验证码
	var keyPanel = require("keyPanel");//软键盘
	var tipsTimer = null;
	var curInputId = null;
	var pwdTimer = null; // 密码输入框计时器
	var validatorUtil = require("validatorUtil");
	var pit_code = "";   //图片验证码
	// 初始化
	function init() {
		common.initTitle(_pageId);
	}
	// 绑定事件
	function bindPageEvent() {
		//绑定"获取短信验证码"按钮事件
		appUtils.bindEvent($(_pageId + " #register_mobile_code"),function(){
			if($(_pageId + " #img_div").css("display")=="block"){
				pit_code = $.trim($(_pageId+" #picture_code").val());
				if(validatorUtil.isEmpty(pit_code)){
					layerUtils.iMsg(-1,"请输入图片验证码！");
					return;
				}
			}
			if($(this).attr("data-state")=="false"){
				return ;
			}
			phoneNum =  $.trim($(_pageId+" #phone").val());
			if (validatorUtil.isMobile(phoneNum)){
			    appUtils.setSStorageInfo("mobile_phone",phoneNum);
			    startMsgCodeTimer();
			    sendVerCode(phoneNum);
			}else {
				layerUtils.iMsg(-1,"请输入正确的电话号码！！！");
				$(_pageId+" #phone").val("");
				return false;
			}
		},"click");
		appUtils.bindEvent($(_pageId + ".icon_back"),function(){
			appUtils.pageBack();
        });
		
		// 样式切换
		appUtils.bindEvent($(_pageId+" input"),function(){
			$(_pageId+" input").parent().css("border-color","");
			$(this).parent().css("border-color","#e84c3d");
		});
		
		
		// 确认修改
		appUtils.bindEvent($(_pageId + " #qr"),function(){
			var mobile_cod =  $.trim($(_pageId+" #mobile_code").val());
			var login_pwd = $(_pageId + " #login_pwd1").val();
			var login_pwd_again = $(_pageId + " #login_pwd2").val();
			var mobile = $.trim($(_pageId+" #phone").val());
			if (validatorUtil.isEmpty(mobile)){
				showTipsInfo($(_pageId+" #phone").parent(), "请输入正确的手机号", 1);
				return ;
			}	
			if( phoneNum == "" || !isSendPhone || mobile != phoneNum){
				showTipsInfo($(_pageId+" #mobile_code").parent(), "您未获取该手机验证码", 4);
				return;
			}
			if(login_pwd == ""||login_pwd==null){
				showTipsInfo($(_pageId+" #login_pwd1").parent(), "新密码不能为空", 2);
				return false;
			}
			if(login_pwd_again == ""||login_pwd_again==null){
				showTipsInfo($(_pageId+" #login_pwd2").parent(), "确认密码不能为空", 2);
				return false;
			}
			if (validatorUtil.isEmpty(mobile_cod)){
				showTipsInfo($(_pageId+" #mobile_code").parent(), "请输入手机验证码", 4);
				return ;
			}
			if(!validatorUtil.isNumeric(mobile_cod)){
				showTipsInfo($(_pageId+" #mobile_code").parent(), "验证码格式为纯数字", 4);
				return ;
			}
			//验证验证码，密码格式
			if (checkInput(login_pwd,login_pwd_again)&&checkTradeConfirm(login_pwd,login_pwd_again)){
			
						var params = {
								"phoneNo":mobile,
							   	"vailCode":mobile_cod,
							   	"new_trade_pwd":login_pwd,
							   	"new_trade_pwd1":login_pwd_again
						};
						resettingPwd(params);
				//verCode(mobile,mobile_cod);
//			    checkPhoneCode(param);
			}
		});
		
		//点击图片验证码
		appUtils.bindEvent($(_pageId+" #a_img"),function captchaImg(){
			var phoneNumber = $(_pageId + " #phone").val();
			if(validatorUtil.isEmpty(phoneNumber)){
				layerUtils.iMsg(-1,"请输入手机号码！");
			}
			$(_pageId+" #picture_code").val("");   // 清除验证码
			$(_pageId + " #img").attr("src",global.imagePath+"?phone="+phoneNumber); 
		});
	}
	function resettingPwd(params){
		service.resettingPwd(params, function(data){
			 var error_no = data.error_no,
                 error_info = data.error_info,
                 result = null;
             if (error_no == "0"){
            	 layerUtils.iMsg(1,"恭喜您，重置成功!");
                 appUtils.pageInit(pageCode, "account/userLogin");
             } else {
            	 $(_pageId + " #mobile_code").val("");
	             layerUtils.iMsg(-1,error_info);
	             clearMsgCodeTimer(); // 清除短信验证码计时器
             }
		}, {});
	}
	
	/**
	 * 显示提示信息
	 * @param $curInputDiv 当前输入框所在的 div
	 * @param sTips 提示信息字符串
	 * @param curInputIdx 当前输入框索引位置
	 * @param hideTime 隐藏时间，默认 2 秒
	 */
	function showTipsInfo($curInputDiv, sTips, curInputIdx, hideTime)
	{
		clearTimeout(tipsTimer);
		tipsTimer = null;
		hideTime = typeof(hideTime) == "undefined" ? 2 : hideTime;
		var $tips = $(_pageId + " .tips_info");
		if($tips.length > 0)
		{
			$tips.remove();
		}
		$tips = $('<div class="tips_info" curInputIdx="' + curInputIdx + '"><span>' + sTips + '</span></div>');
		if(curInputIdx != 1)
		{
			$curInputDiv.prev().css("margin-bottom", 0);
		}
		$curInputDiv.before($tips);
		tipsTimer = setTimeout(hideTipsInfo, hideTime * 1000);
	}
	
	/**
	 * 隐藏提示信息
	 */
	function hideTipsInfo($curInputDiv, sTips, curInputIdx)
	{
		var $tips = $(_pageId + " .tips_info");
		if($tips.attr("curInputIdx") != 1)
		{
			$tips.prev().css("margin-bottom", "15px");
		}
		$tips.remove();
		clearTimeout(tipsTimer);
		tipsTimer = null;
	}

	
	/**
     * 验证手机验证码
     */
    function  verCode(mobile,reservedCode){
        var param = {
            "mobile_no" : mobile,
            "mobile_code" : reservedCode
        };
        service.verificationCode(param,function(data){
            if(data.error_no != "0"){
                layerUtils.iMsg(-1,data.error_info);
                return false;
            }else{
                var param = {
				    "mobile_tel": mobile
			    };
                checkPhoneCode(param);
                clearMsgCodeTimer();
            }
        });
    }
	 /**
     * 发送验证码
     */
    function sendVerCode(mobilePhone){
        var param = {
            "mobile_no" : mobilePhone,
            "source":2,
            "code":pit_code
        };
        service.sendMoblie(param,function(data){

        	if(data.error_no == "0"){
        		layerUtils.iMsg(0,"验证码已发送，请注意查收");
        	}else if(data.error_no == "9"){
        		// 需要图文验证码
        		clearMsgCodeTimer(); 
        		layerUtils.iAlert(data.error_info);
				var phoneNumber = $(_pageId + " #phone").val();
				$(_pageId + " #img").attr("src",global.imagePath+"?phone="+phoneNumber); 
        		$(_pageId + " #img_div").show();
        	}else if(data.error_no == "10"){
        		clearMsgCodeTimer(); 
        		layerUtils.iAlert(data.error_info);
        		// 清空图文验证码
        		$(_pageId + " #picture_code").val("");
        	}else{
        		layerUtils.iAlert(data.error_info);
        	}
        });
    }
    
    /**
     * 清除短信验证码计时器
     */
    function clearMsgCodeTimer()
    {
        window.clearInterval(timer);
        timer = null;
        var $code = $(_pageId + " #register_mobile_code");
        $code.attr("data-state", "true");
        $code.css("background","#c6e397");
        i = 60;
        $code.html("获取验证码");
    }
    
	/**
	 * 显示读秒
	 */
	function startMsgCodeTimer(){
		var showTips = function(){
            var $code = $(_pageId + " #register_mobile_code");
            $code.attr("data-state","false");//点击不能发送
            $code.css("background","#b1a5a0");
            if(i >= 1)
            {
                $code.html("" + i + "s后重发");
                i--;
            }
            else
            {
                window.clearInterval(timer);
                timer = null;
                $code.attr("data-state","true");
                $code.css("background","#c6e397");
                i=60;
                $code.html("获取验证码");
            }
        };
        timer = setInterval(showTips, 1000);
        isSendPhone = true;
	}
	/**
	 * 检验输入密码是否符合规范,是否签署协议
	 * 长度，格式等
	 */
	function checkInput(login_pwd,login_pwd_again){
		if (validatorUtil.isEmpty(login_pwd)){
			layerUtils.iMsg(-1,"登录密码不能为空");
			return false;
		}
		if (validatorUtil.isEmpty(login_pwd_again)){
			layerUtils.iMsg(-1,"确认密码不能为空");
			return false;
		}
		if(!validatorUtil.isAlphaNumeric(login_pwd) || login_pwd.length < 6 || login_pwd.length > 20){
			layerUtils.iMsg(-1,"密码要是6-20的字符或数字");
			return false;
		}
//		if($(_pageId+".read-check").is(":checked")){
//		}else{
//			layerUtils.iMsg(-1,"请阅读协议并同意签署!");
//			return false;
//		}
		return true;
	}
	/**
	 * 验证确认密码
	 * pwd1 :密码
	 * pwd2 :确认密码
	 *  pwd_name：密码名 如："支付密码"
	 */
	function checkTradeConfirm(pwd1, pwd2){
		if (validatorUtil.isEmpty(pwd1)){
			layerUtils.iMsg(-1,"请输入登录密码!");
			return false;
		}
		if (validatorUtil.isEmpty(pwd2)){
			layerUtils.iMsg(-1,"请输入确认密码!");
			return false;
		}
		if (pwd2 !== (pwd1)){
			layerUtils.iMsg(-1,"两次输入密码不一致!");
			return false;
		} else {
			layerUtils.iLayerClose();
		}
		return true;
	}
	/**
	 * 验证手机验证码
	 * @param {Object} paramObj 入参json对象
	 *    mobile 输入的手机号码
	 *    login_pwd 登录密码
	 */
	function checkPhoneCode(paramObj){
	   	var params = {
			"mobile":paramObj.mobile_tel,
		   	"login_pwd":$(_pageId + " #login_pwd1").val()
	   	};
	   	rsaEncrypt(params, registerAccount);
	}
	/**
	 * 
	 * @param {Object} paramObj 需要加密数据对象，
	 * @param {Object} nextYToDoFunc  加密之后要调用的方法
	 */
	function rsaEncrypt(paramObj, nextYToDoFunc){
		var login_pwd = paramObj.login_pwd;
		service.getRSAKey({},function(data){
			var error_no = data.error_no,
			    error_info = data.error_info;
			if (error_no === "0"){
				var results = data.results[0],
			    modulus = results.modulus,
			    publicExponent = results.publicExponent;
				paramObj.login_pwd = endecryptUtils.rsaEncrypt(modulus, publicExponent, login_pwd);
				nextYToDoFunc(paramObj);
			} else {
				clearMsgCodeTimer(); // 清除短信验证码计时器
				layerUtils.iMsg(-1,error_info);
			}
		}, {});
	}
	// 销毁
	function destroy() {
		$(_pageId + " #img_div").hide();
		service.destroy();
	}
	var findPwd = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = findPwd;

});