
/**
 * 风险测评-结果
 */
define('mall/scripts/userCenter/fundResult.js',function(require, exports, module) {
    var appUtils = require("appUtils");
    var gconfig = require("gconfig");
    var mobileService = require("mobileService"); //业务层接口，请求数据
    var global = gconfig.global;
    var layerUtils = require("layerUtils");
    var fundUtils = require("mall/scripts/common/fundUtils");
    var common = require("common");
    var pageId="#userCenter_fundResult ";
    var product_code="";

    /*初始化*/
    function init() {
    	common.initTitle(pageId);
    	
        var khh = appUtils.getSStorageInfo("khh");//判断返回是够绑定了客户号
        if (khh == "") {
            var param2 = {
                "counTer": "请您用客户号登入！"
            };
            common.popupMethod(param2);
            appUtils.pageInit("userCenter/fundResult", "userCenter/wd");
        } else {
            //初始化页面
            initPage();
        }

    }
        function bindPageEvent()
        {
            /* 绑定返回事件 */
            appUtils.bindEvent($(pageId+" .icon_back"),function(){
                appUtils.pageInit("userCenter/fundResult","userCenter/wd");
            });

            /* 重新测评 */
            appUtils.bindEvent($(pageId+" #reset"),function(){
                var param={
                    "pageCode":"userCenter_fundResult"
                };
                appUtils.pageInit("userCenter/fundResult","userCenter/fundRisk",param);
            });

            //点击下一步按钮
            appUtils.bindEvent($(pageId+" #next"),function(){
                //验签以及插入流水
                selectSign();
            });
        }


        //初始化页面
        function initPage(){
        	$(pageId+" .tong").removeClass("on");
            var  user_id = appUtils.getSStorageInfo("userInfo",true).user_id;
            var  zj_account=appUtils.getSStorageInfo("zqAccount",true);
            var  param={
                "user_id": user_id,
                "zj_account": zj_account,
                "op_source": "5"
            };

            //业务办理查询风险测评结果
            mobileService.ZQaccount(param,function(data){
                if(data.error_no=="0"){
                    var result=data.results[0];
                    var risk_level=result.risklevel;//风险等级
                    var riskvalue=result.riskvalue;//风险分数subitemname
                    var status = result.status;
                    var subitemname = result.subitemname;
                    if(risk_level!=""&&typeof(risk_level)!="undefined") {//有风险等级的
                        if (status == "0") {//表示过期了 ping_c
                            $(pageId + " #mainShow").find("h5").html("已过期");
                            $(pageId + " #mainShow").find("p").html("您的风险评测状态为:已过期 ");
                        } else {
                            var risk_desrc = "";
                            var risk_flag = true;
                            appUtils.setSStorageInfo("risklevel", risk_level);
                            appUtils.setSStorageInfo("subitemname", subitemname);
                            $(pageId + " #mainShow").find("h5").html(fundUtils.FundkhhRank(risk_level));
                        }
                        //获取匹配信息
                        userCardRisk();
                    }
                }else {
                	layerUtils.iMsg("-1",data.error_info);
	                return false;
                }
            });
        }

    	/**
    	 * 查询客户的风险测评三大要素
    	 */
    	function userCardRisk(param){
    		var khh = appUtils.getSStorageInfo("khh");//客户号
    		if(khh!=""&&typeof(khh)!="undefined"&&khh!=null){
    			mobileService.finduserCardRisk({"khh":khh},function(data){
    				if(data.error_no=="0"){
    					var result=data.results;
    					var flag=result[0].flag;//返回的状态
    					var fid_xgpz=result[0].fid_xgpz;//投资品种
    					var fid_qx=result[0].fid_qx;//投资期限
    					var fid_sylx=result[0].fid_sylx;//预计期限
    					var fid_jjfxpgrq=result[0].fid_jjfxpgrq;//测评时间
//    					if(fid_sylx!=""&&typeof(fid_sylx)!="undefined"&&fid_sylx!=null){
//    						$(pageId+" #fund_jy").html("·预期收益:"+fundUtils.fidSylx(fid_sylx));
//    					}else{
//    						$(pageId+" #fund_jy").html("·预期收益:");
//    					}
//    					
//    					if(fid_xgpz!=""&&typeof(fid_xgpz)!="undefined"&&fid_xgpz!=null){
//    						var fid_pz=fid_xgpz.split(";");
//    						var fid_pzname="";
//    						for(var i = 0;i < fid_pz.length;i++){
//    							
//    							if(i==(fid_pz.length-1)){
//    								fid_pzname+=fundUtils.fidXgpz(fid_pz[i]);
//    							}else{
//    								fid_pzname+=fundUtils.fidXgpz(fid_pz[i])+";";
//    							}
//    						}
//    						$(pageId+" #fund_overdue").html("·拟投资品种:"+fid_pzname);
//    					}else{
//    						$(pageId+" #fund_overdue").html("·拟投资品种:");
//    					}
//    					$(pageId+" #fund_qx").html("·拟投资期限:"+fundUtils.fundQx(fid_qx));
    					$(pageId+" #fund_time").html(".评测时间: "+fid_jjfxpgrq);
    					
    				}else{
    					  layerUtils.iMsg("-1",data.error_info);
    	                  return false;
    				}
    			});
    			//适当性签名告知函
                getSign();
    		}
    	}
     //获取协议
     function getSign(){	 
            	appUtils.clearSStorage("agree_content");
                appUtils.clearSStorage("md5");
                
                var agree_type ="";
                if(appUtils.getSStorageInfo("state")=="1"){
                	agree_type="gzh";
                }else{
                	agree_type ="";
                }  
                var param = {
                    "agree_type":"gzh"
                };
                mobileService.gzhProtocol(param,function(data){
                    var error_no = data.error_no,
                        error_info = data.error_info;
                    if(error_no == "0"){
                        var results = data.results,
                            allProtocols = "";
                        //获取相关数据
                        if(results[0].id){//ID
                            appUtils.setSStorageInfo("id", results[0].id);
                        }
                        if(results[0].business_id){//业务ID
                            appUtils.setSStorageInfo("business_id", results[0].business_id);
                        }
                        if(results[0].business_code){//业务类型
                            appUtils.setSStorageInfo("business_code", results[0].business_code);
                        }
                        if(results[0].agree_name){//协议名称
                            appUtils.setSStorageInfo("agree_name", results[0].agree_name);
                        }
                        if(results[0].agree_no){//协议编号
                            appUtils.setSStorageInfo("agree_no", results[0].agree_no);
                        }
                        if(results[0].agree_version){//协议版本
                            appUtils.setSStorageInfo("agree_version", results[0].agree_version);
                        }
                        if(results[0].out_date){//过期时间
                            appUtils.setSStorageInfo("out_date", results[0].out_date);
                        }
                        if(results[0].agree_type){//agree_type
                            appUtils.setSStorageInfo("agree_type", results[0].agree_type);
                        }
                        var param = {
                    			"user_id" : appUtils.getSStorageInfo("userInfo",true).user_id,
                    			"agree_no" : appUtils.getSStorageInfo("agree_no"),
                    			"risklevel" : appUtils.getSStorageInfo("subitemname"),
                    			"business_code" : appUtils.getSStorageInfo("business_code"),
                    			"agree_type" : appUtils.getSStorageInfo("agree_type")
                    		}
                    		//查询协议内容
                    		mobileService.getGzhProtocolInfo(param,function(data){
                    			if(error_no = data.error_no)
                    			{
                    				$(pageId+" #cepinnr").html( appUtils.getSStorageInfo("agree_name"));
                    				$(pageId+" .new_words").html(data.results[0].content);
                    				 appUtils.setSStorageInfo("md5", data.results[0].md5);
                    				 appUtils.setSStorageInfo("agree_content", data.results[0].content);
                    			}
                    			else
                    			{
                    				layerUtils.iAlert(data.error_info,-1);
                    			}
                    		});

                       
                    }else{
                        layerUtils.iAlert(error_info,-1,function () {
                            appUtils.pageInit("userCenter/fundRisk","userCenter/wd");
                        });
                    }
                });
            }

            //获取签名值
            function selectSign(){
                var param = {
                	"user_id":appUtils.getSStorageInfo("userInfo",true).user_id,
                    "fundaccount":appUtils.getSStorageInfo("zqAccount",true),
                    "name":appUtils.getSStorageInfo("userInfo",true).name,
                    "type":"1",
                    "protocol_name":appUtils.getSStorageInfo("agree_name"),
                    "protocol_version":appUtils.getSStorageInfo("agree_version"),
                    "signing_status":1,//1为签署   0未签署
//                    "signature_channel":global.opSource,//签署渠道
//                    "channel_type":global.opSource,//渠道类型
                    "signature_channel":1,//签署渠道
                    "channel_type":1,//渠道类型
                    "channel_version_number":appUtils.getSStorageInfo("agree_version"),//渠道版本号
                    "md5":appUtils.getSStorageInfo("md5"),//MD5值
                    "protocol_content":appUtils.getSStorageInfo("agree_content"),  //协议内容business_code
                    "business_code":"fxcp" , //协议内容business_code
                    "agreement_type" : "gzh"
                };
                mobileService.insertSignProtocol(param,function(data){
                    if(data.error_no == "0"){
        				//回到来结果页面的上一个页面
        				if(typeof(appUtils.getPageParam())!="undefined"){
        					if(typeof(appUtils.getPageParam().back_param) != "undefined"){
        						var prePageCode = appUtils.getPageParam().back_param.url_flag;
        					}
        				}
        				if(prePageCode == "" || typeof(prePageCode) == "undefined"){
        					appUtils.pageInit("userCenter/fundResult","userCenter/wd");
        				}else{
        					appUtils.pageInit("userCenter/fundResult",prePageCode,appUtils.getPageParam().back_param);
        				}
                    }else{
                        layerUtils.iAlert(data.error_info,1,function (){
                            appUtils.pageInit("userCenter/fundResult","userCenter/wd");
                        });
                        return false;
                    }
                });
            }
  
            
     function destroy()
     {
        mobileService.destroy();
     }

     var fundResult =
        {
            "init" : init,
            "bindPageEvent": bindPageEvent,
            "destroy": destroy
        };

            module.exports = fundResult;

        });
