/**
 * 用于我的页面的风险测评
 */
define('mall/scripts/userCenter/fundRisk.js',function(require, exports, module) {
	var appUtils = require("appUtils");
	var	layerUtils = require("layerUtils");
	var	validatorUtil = require("validatorUtil"); 
	var	service = require("mobileService"); 
	var constants = require("constants");// 常量类
	var	global = require("gconfig").global; 
	var	userInfo = JSON.parse(appUtils.getSStorageInfo("userInfo")); 
	var	common = require("common"); 
	var	pageId = "#userCenter_fundRisk ";
	var pageCode="userCenter/fundRisk";
	var wjhm = "13";//问卷编号


	/*start by 2017-06-10 适当性*/
    var questionnaire_title="",//问卷题目
        questionnaire_options="",//问卷选项
        choose_answer="";//客户选择的答案
	/*end by 2017-06-10 适当性 */

	function init() {
		common.initTitle(pageId);
		
		appUtils.setSStorageInfo("order_risk","0");//0清空
		$(pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height()-$(pageId+".header-con").height()-$(pageId+".footer-box").height()-20)+"px"});
		getQuestionRisk();//查询风险测评题目
		
		/********适当性 start**********/
		//获取之前风测结果方法
		getRiskInfo();
		/********适当性 end**********/
	}
	// 绑定事件
	function bindPageEvent() {
		//返回
		appUtils.bindEvent($(pageId + ".icon_back"), function() {
			var param ={
				"back_param" :  appUtils.getPageParam()
			};
			appUtils.pageInit(pageCode,"userCenter/riskResults",param);
		},"click");
		appUtils.bindEvent($(pageId+" #thinkive-btn"),function(){
			var select = checkQuestionSelect();
			if(select == ""){
				submit();//提交测评分数到cif
			}else{
				layerUtils.iMsg(-1, select +"题您未选择,请核对后提交");
			}
		},"click");
		
	}
	/**
	 * 查询风险测评题目 获取题目之后，查询用户是否已做过的风险题答案， 如果有则初始化选项选择
	 */
	function getQuestionRisk() {
		
		var param = {
			"cpjg" : "",
			"khh":appUtils.getSStorageInfo("khh")
		};
		service.queryEval(param, function(data) {
			if (data.error_no == "0") {
				var results = data.results;
				if (results && results.length > 0) {
					fillData(results);
					//网厅适当性流水保存
                    paramRiskAccessElement(results);
				}
			} else {
				layerUtils.iAlert(data.error_info, -1);
			}
		}, {
			"isLastReq" : true,
			"isShowWait" : false
		});
	}
	
	/**
	 * 填充风险测评题
	 */
	function fillData(results){
		var str = "";
		str += '<div class="per-risk-con">';
		for(var i=0;i<results.length;i++){
			//answers = strToArray(results[i].answers);
			answers=results[i].answers;
			wjhm = results[i].question_wjhm;
			var tmdas = answers.split(";");
			question_id = results[i].question_id,
			question_title = results[i].question_title;
			question_no = results[i].question_no;
			var type = results[i].question_type;
			var name="";
			if(type=="0"){//单选
				name="单选";
			}else{
				name="多选";
			}
			
			console.log(answers.replace(/\|/g, "."));
			 console.log(answers.replace(/\,/g, "&"));
			 answers=answers.replace(/\|/g, ".");
			 answers=answers.replace(/\,/g, "&");
			 questionnaire_options +=answers+"|";		
			
	      	str += '<dl id="'+question_id+'"><dt>'+(i+1)+'.'+question_title+'('+name+')</dt><dd><ul class="per-risk-list">';
			for(var j=0;j<tmdas.length;j++){
				var descriptions =  tmdas[j].split("|");
				str += '<li anw="'+question_no+'|'+descriptions[0]+'" flag="'+ type +'">'+descriptions[1]+'</li>';
			}
			str += '</ul></dd></dl>';
		}
		str += '</div>';
		$(pageId+" #risk_show").html(str);
		// 为选择按钮添加事件
		appUtils.bindEvent($(pageId + " .per-risk-list li"),function() {
			if($(this).attr("flag") == "0"){
				if(!$(this).hasClass("new-risk-sec")){
					$(this).addClass("new-risk-sec");
				}
				$(this).siblings().removeClass("new-risk-sec");
			}else{
				if (!$(this).hasClass("new-risk-sec")) {
					$(this).addClass("new-risk-sec");
				}else{
					$(this).removeClass("new-risk-sec");
				}
			}
		});
	}

	/**
	 * 检查问题选择(是否有未选择项等)
	 */
	function checkQuestionSelect() {
		var $questionsArr = $(pageId + ".per-risk-con dl dd ul");
		var anw = "";
		for(var i=0,length=$questionsArr.length; i < length; i++){
			var $sel = $($questionsArr[i]).children(".new-risk-sec");
			if($sel.length == 0){
				if(anw != ""){
				   anw +="，";
				}
				anw += (i+1)+"";
				continue;
			}
		}
		return anw;
	}
	
	
	//提交风险测评答案(资金账号)
	function submit(){
		var paper_answer = "";
		/*******新增适当性答案入参********/
		var sdxanswer = "";
		/*******新增适当性答案入参********/
		var $questionsArr = $(pageId + ".per-risk-con dl dd ul");
		for(var i=0;i<$questionsArr.length;i++){
			var anw = "";
			/*******新增适当性答案入参********/
			var sdxanw = "";

			var anwList = $($questionsArr[i]).children(".new-risk-sec");
			if(anwList.length != "1"){
				anw = $(anwList[0]).attr("anw").split("|")[0] +"|";
				/*******新增适当性答案入参********/
				sdxanw = $(anwList[0]).attr("anw").split("|")[0] +"|";

				for(var j = 0;j< anwList.length; j++){
					var no = $(anwList[j]).attr("anw").split("|")[1];
					if(j==(anwList.length-1)){
						anw += no;
						sdxanw += no;
					}else{
						anw += no+",";
						sdxanw += no + "&";
					}
				}
			}else{
				anw =  anwList.attr("anw");
				
				//新增适当性匹配
				sdxanw = anwList.attr("anw");
				//新增适当性匹配
			}
			
			 //新增适当性匹配
			sdxanw = matchAns(sdxanw)+"_"+anwList.attr("flag");
			
			paper_answer += anw+";";
			
			//新增适当性匹配答案方法
			sdxanswer += sdxanw+"|";
		}
		var param = {
			"FID_KHH" : appUtils.getSStorageInfo("khh"),
	        "FID_WJHM" : wjhm,
	        "FID_ZJLB" : "0",
	        "FID_ZJBH" : appUtils.getSStorageInfo("FID_ZJBH"),
	        "FID_KHXM" : appUtils.getSStorageInfo("FID_KHXM"),
	        "FID_TMDA" : paper_answer
		};
		//提交答案
		service.submitTest(param, function(data) {
			if(data.error_no!="0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}else{
                var FID_MESSAGE = data.results[0].FID_MESSAGE;
                var FID_TZZFL = data.results[0].FID_TZZFL;//评测后等级
                var FID_SCORE = data.results[0].FID_SCORE;
                
                var post_rating = "";
                if(FID_SCORE<20){
                	post_rating ="保守型";
                }
                else if(20<=FID_SCORE && FID_SCORE<=36){
                	post_rating ="谨慎型";
                }
                else if(37<=FID_SCORE && FID_SCORE<=53){
                	post_rating ="稳健型";
                }
                else if(54<=FID_SCORE && FID_SCORE<=82){
                	post_rating ="积极型";
                }
                else if(FID_SCORE>=83){
                	post_rating ="激进型";
                }
                
				var param_mall={
                    "risk_name":FID_MESSAGE,
                    "risk_level":FID_TZZFL,
                    "risk_typeName":"index",
                    "back_param":appUtils.getPageParam()
                };

                //适当性风测流水
                var risk_param={
                     "user_id":appUtils.getSStorageInfo("userInfo",true).user_id, //用户编号 ok
                     "fundaccount":appUtils.getSStorageInfo("zqAccount",true),   //资产账户 ok
                     "name": appUtils.getSStorageInfo("userInfo",true).name, //用户名称  ok
                     "questionnaire_type":"1",   //问卷类型  no
                     "questionnaire_name":"fxcp",  //问卷名称	 no
                     "questionnaire_version":"1",//问卷版本    no
                     "pre_test_scores":appUtils.getSStorageInfo("survey_score"),//评测前分数
                     "post_evaluation_score":FID_SCORE,//评测后分数
                     "pre_evaluation_level":appUtils.getSStorageInfo("rating_lvl_name"),//评测前等级
                     "post_rating":post_rating,  //评测后等级
                     "questionnaire_title":questionnaire_title,  //问卷题目
                     "questionnaire_options":questionnaire_options, //问卷选项
                     "questionnaire_answer":sdxanswer, //问卷答案
                     "assessment_channel":"1", //测评渠道
                     "questionnaire_expiration_date":"" //到期时间
                }
               //调用风险测评接口
                service.questionnaireFlow(risk_param,function(data){
                    if(data.error_no == "0"){
						appUtils.pageInit(pageCode, "userCenter/fundResult", param_mall);
                    }else{
                        layerUtils.iMsg("-1",data.error_info);
                        return false;
                    }
                });

			}
		})
	}
	
	function submitTimeout() {
		layerUtils.iConfirm("请求超时，是否重新提交？", function() {
			submitRiskAnswer();
		});
	}

	//获取风测题目留痕数据
	function paramRiskAccessElement(result){ 
		console.log(JSON.stringify(result));
		 for(var i=0;i<result.length;i++){
//		 	alert(JSON.stringify(result));questionnaire_title问卷题目    questionnaire_options 问卷选项    choose_answer 问卷答案
			 var type = result[i].question_type;
			  var str = "(多选)";
		     if(type == 0){str = "(单选)";}
			 questionnaire_title += i+"."+ result[i].question_title + str + "|"; 
		 }
	}

	/********新增适当性匹配方法*********/
	function getRiskInfo(){
		var  user_id = appUtils.getSStorageInfo("userInfo",true).user_id;
        var  zj_account=appUtils.getSStorageInfo("zqAccount",true);
        var  param={
            "user_id": user_id,
            "zj_account": zj_account,
            "op_source": "5"
        };

        //业务办理查询风险测评结果
        service.ZQaccount(param,function(data){
            if(data.error_no=="0"){
                var result=data.results[0];
                var risk_level=result.risklevel;//风险等级
                var riskvalue=result.riskvalue;//风险分数
                var status=result.status;//风险分数
                var subitemname=result.subitemname;//风险分数
                var update_date=result.update_date;//更新时间
                appUtils.setSStorageInfo("survey_score",riskvalue);//评测前分数
                appUtils.setSStorageInfo("rating_lvl_name",subitemname);//测评前等级
        }else{
        		layerUtils.iAlert(data.error_info,-1,function (){
        			appUtils.pageInit("userCenter/fundRisk","userCenter/wd");
            	});
        	}
       });
}
	
	function destroy() {
		$(pageId+" #risk_show").html("");
	}

	
	//匹配答案公用方法
	function matchAns(ans) {
		var length=ans.length;
		if(ans.indexOf("|A")){
			ans = ans.substring(0,ans.length-2)+"_1";
		}else if(ans.indexOf("|A")){
			ans = ans.substring(0,ans.length-2)+"_2";
		}else if(ans.indexOf("|B")){
			ans = ans.substring(0,ans.length-2)+"_3";
		}else if(ans.indexOf("|C")){
			ans = ans.substring(0,ans.length-2)+"_4";
		}else if(ans.indexOf("|D")){
			ans = ans.substring(0,ans.length-2)+"_5";
		}else if(ans.indexOf("|E")){
			ans = ans.substring(0,ans.length-2)+"_6";
		}
		return ans;
	}
	
	
	var fundRisk = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = fundRisk;
});