/**
 * 我的银行卡（新页面）
 */
define('mall/scripts/userCenter/myBankCard.js',function(require, exports, module){
	var appUtils = require("appUtils");
	var	layerUtils = require("layerUtils");
	var	service = require("mobileService");
	var	common = require("common");
	var	_pageId = "#userCenter_myBankCard ";
	var external = require("external");
	var platform = require("gconfig").platform;
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL=global.url;
	
	//初始化
	function init(){
		common.initTitle(_pageId);
		$(_pageId).css("background","#fff");
		
		var loginType = appUtils.getSStorageInfo("loginType");
		if(loginType == "0")
		{
			queryBoundCard();
		}
		
		$(_pageId+" .main").css({
			"overflow-y":"auto",
			"overflow-x":"hidden",
			"height":($(window).height()-$(_pageId+" .new-header").height()-1)+"px"
		});
	}
	
	/**
	 * 查询已绑定的银行卡
	 */
	function queryBoundCard(){
		var param = {
			"phoneNo" : appUtils.getSStorageInfo("mobile_phone"), //手机账户
			"bzjClientNo" : "",
			"user_id" : appUtils.getSStorageInfo("user_id")
		};
		var callBack = function(data){
			if(data)
			{
				if(data.error_no == "0")
				{
					var results = data.results;
					var bankstr = "";
					for(var i = 0;i < results.length;i++){
						var bank_account = results[i].bank_account;
						var source = results[i].source;
						var bankName = results[i].bankName;
						var yinhang = "";
						if(bankName=="光大银行"){
							yinhang = "<div class='bank_00 bank_11 '><div class='zoom_pic' style='background: url(images/white_bank11.png) no-repeat center;background-size: 1.2rem auto;'></div>";
						}else if(bankName=="平安银行"){
							yinhang = "<div class='bank_00 bank_09 '><div class='zoom_pic' style='background: url(images/white_bank9.png) no-repeat center;background-size: 1.2rem auto;'></div>";
						}else if(bankName=="民生银行"){
							yinhang = "<div class='bank_00 bank_07 '><div class='zoom_pic' style='background: url(images/white_bank7.png) no-repeat center;background-size: 1.2rem auto;'></div>";
						}else if(bankName=="兴业银行"){
							yinhang = "<div class='bank_00 bank_08 '><div class='zoom_pic' style='background: url(images/white_bank8.png) no-repeat center;background-size: 1.2rem auto;'></div>";
						}else if(bankName=="招商银行"){
							yinhang = "<div class='bank_00 bank_03 '><div class='zoom_pic' style='background: url(images/white_bank3.png) no-repeat center;background-size: 1.2rem auto;'></div>";
						}else if(bankName=="中国银行"){
							yinhang = "<div class='bank_00 bank_05 '><div class='zoom_pic' style='background: url(images/white_bank5.png) no-repeat center;background-size: 1.2rem auto;'></div>";
						}else if(bankName=="农业银行"){
							yinhang = "<div class='bank_00 bank_02 '><div class='zoom_pic' style='background: url(images/white_bank2.png) no-repeat center;background-size: 1.2rem auto;'></div>";
						}else if(bankName=="建设银行"){
							yinhang = "<div class='bank_00 bank_01 '><div class='zoom_pic' style='background: url(images/white_bank1.png) no-repeat center;background-size: 1.2rem auto;'></div>";
						}else if(bankName=="华夏银行"){
							yinhang = "<div class='bank_00 bank_03 '><div class='zoom_pic' style='background: url(images/white_bank13.png) no-repeat center;background-size: 1.2rem auto;'></div>";
						}else {
							yinhang = "<div class='bank_00 bank_01 '><div class='zoom_pic' style='background: url(images/white_bank1.png) no-repeat center;background-size: 1.2rem auto;'></div>";
						}
						if(source == "2")
						{
//							bankstr += '<div class="inner my_bank_card">'+
//									   '<div style="height: 66px;margin-top: -10px;"><img src="'+URL+results[i].bankImg+'" style="width: 66px;height:66px;"><span style="vertical-align: middle;height: 66px;line-height: 66px;">'+results[i].bankName+'</span></div>'+
//									   '<h5>'+bank_account.substring(0,4)+'  ****  ****  '+ bank_account.substring(bank_account.length-4,bank_account.length)+'</h5>'+
//									   '<p>已绑定到支付渠道</p><span class="union"></span></div>';
							bankstr += yinhang +"<dl><dt><em><img src='"+URL+results[i].bankImg+"' alt=''></em></dt><dd><strong>"+bankName+"</strong>" +
									"<p>储蓄卡</p></dd></dl><div class='bank_number'><strong>"+bank_account.substring(0,4)+'  ****  ****  '+ bank_account.substring(bank_account.length-4,bank_account.length)+"</strong></div></div>";
						}
						
					}
					$(_pageId+" #banklist").html(bankstr);
				}
				else
				{
					layerUtils.iMsg(-1,data.error_info);
					return false;
				}
			}
		};
		service.selectPayMethod(param,callBack);
	}
	
	//绑定事件
	function bindPageEvent(){
		/**
		 * 返回
		 */
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageInit("userCenter/myBankCard","userCenter/wd");
		});
		/**
		 * 添加更多银行卡
		 */
		appUtils.bindEvent($(_pageId+" .add_bank"),function(){
			appUtils.pageInit("userCenter/myBankCard","account/boundBankCard");
		});
	}
	
	//销毁
	function destroy(){
	}
	
	var myBankCard = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	
	// 暴露对外的接口
	module.exports = myBankCard;
	
});