/**
 * 预约开户资料提交
 */
define('mall/scripts/userCenter/reservation.js',function(require, exports, module) {
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var pageId = "#userCenter_reservation ";
	var pageCode = "userCenter/reservation";
	var gconfig = require("gconfig");
	var validatorUtil = require("validatorUtil");
	var global = gconfig.global;
	var common = require("common");
	var dateUtils = require("dateUtils"); // 日历控件
	//初始化
	function init(){
		common.initTitle(pageId);
		var config={
				"mode":"clickpick",
				"theme":"default"
		};
		dateUtils.initDateUI("userCenter_reservation",config);
	}
	
	//绑定事件
	function bindPageEvent(){
		//选择预约开户日期
		appUtils.bindEvent($(pageId + " #reDate"),function(){
			$(pageId + " #start_date").focus();
        });
		//查询所有营业部
		appUtils.bindEvent($(pageId + " #my_yyb"),function(){
			$(pageId + '#autoSotck').show();
			//查询所有的营业部
			service.findSalesyyb({},function(data){
				if(data.error_no == "0"){
					var results = data.results;//出参结果
					$(pageId + " #autoSotck").html("");
						for(var i=0;i<results.length;i++){
							var yyb=results[i].branchname;
							var str="<li yyb='"+yyb+"'><span class='text-left'>"+yyb+"</span></li>";
							$(pageId + " #autoSotck").append(str);
						}
						//点击营业部
						appUtils.bindEvent($(pageId + "#autoSotck li"), function(e) {
							var yyb = $(this).attr("yyb"); //营业部
							$(pageId + '#my_yyb').val(yyb);
							$(pageId + '#autoSotck').hide();
						});
				}else{
					layerUtils.iMsg(-1,data.error_info);
				}
			});
        });
		
		//提交资料
		appUtils.bindEvent($(pageId + " #my_Submit"),function(){
			//获选值
			var my_name=$(pageId + '#my_name').val();
			var my_yyb=$(pageId + '#my_yyb').val();
			var start_date=$(pageId + '#start_date').val();
			var my_gddh=$(pageId + '#my_gddh').val();
			var my_phone=$(pageId + '#my_phone').val();
			var my_jlname=$(pageId + '#my_jlname').val();
			var my_jlphone=$(pageId + '#my_jlphone').val();
			var my_conent=$(pageId + '#my_conent').val();
			var d = new Date();
			var vYear = d.getFullYear();
			var vMon = d.getMonth() + 1;
			var vDay = d.getDate();
			var date=vYear+""+(vMon<10 ? "0" + vMon : vMon)+""+(vDay<10 ? "0"+ vDay : vDay);
			//判断
			if(my_name==""){
				layerUtils.iMsg(-1,"名字不能为空！");
				return false;
			}
			//  名字格式  isCnAndEn  是否仅为中文
			if(!validatorUtil.isCnAndEn(my_name)) {
				layerUtils.iMsg(-1,"请输入您的中文姓名!");
				return false;
			}
			if(my_yyb==""){
				layerUtils.iMsg(-1,"营业部不能为空！");
				return false;
			}
			if(start_date==""){
				layerUtils.iMsg(-1,"请选择一个预约开户时间！");
				return false;
			}
			var startdate=start_date.replaceAll("-","");
			if((parseInt(startdate))<(parseInt(date))){
				layerUtils.iMsg(-1,"您选择的预约开户时间已过期，请重新选择！");
				return false;
			}
			if(my_phone==""){
				layerUtils.iMsg(-1,"手机号不能为空！");
				return false;
			}
			 var phoneyz=/^(13[0-9]|14[0-9]|15[0-9]|18[0-9])\d{8}$/i;
			 if(!phoneyz.test(my_phone)){
				 layerUtils.iMsg(-1,"请填写正确的手机号！");
				 return false;
			 }
			 //转化报名时间
			 re = new RegExp("-","g"); //定义正则表达式
			 var time = start_date.replace(re, ""); //第一个参数是正则表达式。
			 //报名提交
			 var param={
				"khxm":my_name,
				"yyb":my_yyb,
				"khsj":time,
				"gddh":my_gddh,
				"mobile":my_phone,
				"khjl":my_jlname,
				"khjltel":my_jlphone,
				"qtdesc":my_conent
			 };
			 service.insertSales(param,function(data){
				 if(data.error_no == "0"){
					 var param2={
								"counTer":"预约开户成功！"
							};
						common.popupMethod(param2);
					 	//清除数据
						$(pageId + " #my_name").val("");
						$(pageId + " #my_yyb").val("");
						$(pageId + " #start_date").val("");
						$(pageId + " #my_gddh").val("");
						$(pageId + " #my_phone").val("");
						$(pageId + " #my_jlname").val("");
						$(pageId + " #my_jlphone").val("");
						$(pageId + " #my_conent").val("");
						appUtils.pageInit(pageCode, "userCenter/wd");
				 }else{
					 layerUtils.iMsg(-1,data.error_info); 
				 }
			 });
        });
		// 返回
		appUtils.bindEvent($(pageId + " .icon_back"), function() {
			appUtils.pageInit(pageCode, "userCenter/wd");
		});
	}
	
	
	//销毁
	function destroy(){
		$(pageId + " #my_name").val("");
		$(pageId + " #my_yyb").val("");
		$(pageId + " #start_date").val("");
		$(pageId + " #my_gddh").val("");
		$(pageId + " #my_phone").val("");
		$(pageId + " #my_jlname").val("");
		$(pageId + " #my_jlphone").val("");
		$(pageId + " #my_conent").val("");
	}
	
	var reservation = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = reservation;
	
});