 /**
  * 转账历史记录
  */
define('mall/scripts/userCenter/turnHistory.js',function(require, exports, module){ 
	var appUtils = require("appUtils");
	var	layerUtils = require("layerUtils");
	var	service = require("mobileService");
	var	common = require("common");
	var	queryParam = null;
	var	curPageNo = "";
	var	totalRows = ""; //总记录数
	var	pageId = "#userCenter_turnHistory ";
	var pagingScrollArray = [{"scroll":null,"_init":false}];//滑动组件
	var dropload=require("dropload"); // 滚动组件
	var me="";
	function init(){
		common.initTitle(pageId);
		
		$(pageId + "#history_list").html("");
		curPageNo = 1;
	    queryHistory();//查询历史记录
	}
	//绑定事件
	function bindPageEvent(){
		var _curPageCode = appUtils.getSStorageInfo("_curPageCode");//当前页 pageCode
	    appUtils.bindEvent($(pageId + ".icon_back"),function(){
			appUtils.pageInit("userCenter/turnHistory","userCenter/wd");
        });
	}
	/**
	 * 查询转账历史记录
	userCenter/wd参json对象
	 */
	function queryHistory(){
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" #history_list").html("");
		//初始化滑动组件
		var dropload = $(pageId +".khfxWarp").dropload({
	        scrollArea: $(pageId +".khfxWarp"),
	        loadDownFn: function (me) {
	        	setTimeout(function(){
	        		//调用方法
	        		var pageParam = appUtils.getPageParam();
	        		var param;
	        		if(pageParam != undefined){
	        		 	param = {
	        				"fid_khh" : pageParam.khh,
	        				"page" : curPageNo,
	        				"numPerPage" : "4"
	        			};
	        		}else{
	        			param = {
	        				"fid_khh" : appUtils.getSStorageInfo("FID_KHH"),
	        				"page" : curPageNo,
	        				"numPerPage" : "4"
	        			};
	        		}
	        		service.transferQuery(param,function(data){
	        			var error_no = data.error_no;
	    			    error_info = data.error_info;
	    			    if (error_no === "0"){
	    			    	var	results = data.results[0].data;
	    			    	if(curPageNo == 1){//处理没有数据的情况
        						if(results.length==0){
        							$(pageId + " #history_list").hide();
        							$(pageId+" .dropload-down").hide();
        						}else{
        							$(pageId + " #history_list").show();
        							$(pageId+" .dropload-down").show();
        						}
        					}else{
        						if(results.length==0){
        							me.lock();
        				            // 显示无数据
        				            me.noData();
        				            me.loading = false;
        				            me.resetload();//加载数据
        						}
        					}
        					curPageNo++;
	    					var str = "";
	    					for(var i = 0;i < results.length;i++){
	    						var fid_sqsj = results[i].fid_sqsj;//申请时间
	    						var tranType;//转账类型
	    						var fid_ywlb = results[i].fid_ywlb;//业务类别
	    						if(fid_ywlb == "1"){
	    							tranType = "银行转证券";
	    						}else if(fid_ywlb == "2"){
	    							tranType = "证券转银行";
	    						}else{
	    							tranType="";
	    						}
	    						var fid_jgsm = results[i].fid_jgsm;//处理说明
	    						var fid_fsje = results[i].fid_fsje;//转账金额
	    						str  += '<div class="part"><h5>'+tranType+'</h5><p>转账金额</p><small>'+fid_sqsj+'</small>'+
	    								'<span class="stat n1">'+fid_jgsm+'</span><strong><span class="agreen">'+fid_fsje+'</span>元</strong></div>';
	    					}
	    					$(pageId + "#history_list").append(str);
	    					if(results.length<4){
        			            // 再往下已经没有数据
        			            // 锁定
        			            me.lock();
        			            // 显示无数据
        			            me.noData();
        			            me.loading = false;
        			        }
        					me.resetload();//加载数据
	    			    } else {
	    			    	layerUtils.iMsg(-1,error_info);
	    			    }
	        		},{"isShowWait":false});		
	    		},200);
	        }
	    });
	}
	function destroy(){
		$(pageId + "#history_list").html("");
		$(pageId+" .dropload-down").remove();//先删除样式
		service.destroy();
	}
	var turnHistory = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	// 暴露对外的接口
	module.exports = turnHistory;
});