 /**
  * 银证转账
  */
define('mall/scripts/userCenter/turnMoney.js',function(require, exports, module){ 
	var appUtils = require("appUtils");
	var	layerUtils = require("layerUtils");
	var	keyPanel = require("keyPanel");
	var	validatorUtil = require("validatorUtil");
	var	endecryptUtils = require("endecryptUtils");
	var	service = require("mobileService");
	var common = require("common");
	var fund_account = "";
	var	_pageId = "#userCenter_turnMoney ";
	var putils = require("putils");
	var gconfig = require("gconfig");
	var platform = gconfig.platform;
	var external = require("external");
	var curPageNo = "";
	var curInputId = null;
	var pwdTimer = null; // 密码输入框计时器
	var _curPageCode = appUtils.getSStorageInfo("_curPageCode");//当前页 pageCode
	function init(){
		common.initTitle(_pageId);
		
		common.clearNewCss();
		$(_pageId).css("background","#fff");
		$(_pageId+".table_box").css({"overflow-y":"auto","overflow-x":"hidden","height":($(_pageId).height()-$(_pageId+".header").height()-$(_pageId+" .transfer-nav").height())+"px"});
		queryAccountCard();
	}
	
	/**
	 * 功能 : 查询客户号下所有资金账户和银行卡
	 * @param fid_khh 客户号
	 * @param fid_exflg 扩展信息 1
	 * @param fid_bz 币种 RMB
	 */
	function queryAccountCard(){
		var pageParam = appUtils.getPageParam();
		var param;
		if(pageParam != undefined)
		{
			param = {
				"fid_khh" : pageParam.khh,
				"fid_exflg" : "1",
				"fid_bz" : "RMB"
			};
		}
		else
		{
			param = {
				"fid_khh" : appUtils.getSStorageInfo("client_no"),
				"fid_exflg" : "1",
				"fid_bz" : "RMB"
			};
		}
		service.queryAccountBankcard(param,function(data){
			if(data.error_no != "0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}else{
				var results = data.results;
				var cardNumber = "";
				for(var i = 0;i < results.length;i++){
					var FID_ZZHBZ = results[i].FID_ZZHBZ;
					var FID_YHZH = results[i].FID_YHZH;
					var FID_ZJZH = results[i].FID_ZJZH;
					var FID_YHDM = results[i].FID_YHDM;
					if(FID_ZZHBZ == "1"){
						$(_pageId+" #zjzh").html(FID_ZJZH);
						appUtils.setSStorageInfo("ziJinZh",FID_ZJZH);
						appUtils.setSStorageInfo("yinHangZh",FID_YHZH);
						appUtils.setSStorageInfo("yinHangDm",FID_YHDM);
						$(_pageId+" #yhkh").attr("data-fid-zjzh",FID_ZJZH);
						$(_pageId+" #yhkh").attr("data-fid-yhzh",FID_YHZH);
						$(_pageId+" #yhkh").attr("data-fid-yhdm",FID_YHDM);
					}
					//var cst = common.getBankName(FID_YHDM);
					cardNumber += '<li class="active" fid_zjzh="'+FID_ZJZH+'" fid_yhzh="'+FID_YHZH+'" fid_yhdm="'+FID_YHDM+'">'+common.getBankName(FID_YHDM)+'</li>';
				}
				$(_pageId+" .mask-bank-list").html(cardNumber);
				/**
				 * 点击选择银行卡号
				 */
				appUtils.bindEvent($(_pageId+" .mask-bank-list li"),function(){
					console.log("点击选择卡号");
					var fid_zjzh = $(this).attr("fid_zjzh");
					var fid_yhzh = $(this).attr("fid_yhzh");
					var fid_yhdm = $(this).attr("fid_yhdm");
					var yhInfo =common.getBankName(fid_yhdm);
					console.log(fid_yhdm+"___"+yhInfo);
					$(_pageId+" #zjzh").html(fid_zjzh);
					$(_pageId+" #yhkh").html(yhInfo);
					$(_pageId+" #yhkh").attr("data-fid-zjzh",fid_zjzh);
					$(_pageId+" #yhkh").attr("data-fid-yhzh",fid_yhzh);
					$(_pageId+" #yhkh").attr("data-fid-yhdm",fid_yhdm);
					$(_pageId+" .zh-mask").toggle();   //关闭选择银行卡号下拉列表
				});
			}
		});
	}
	/**
	 * 查询转账历史
	 */
	function queryTurnHistroy(){
		var tranhistory = "";
		var pageParam = appUtils.getPageParam();
		var param;
		if(pageParam != undefined)
		{
			param = {
				"fid_khh" : pageParam.khh,
				"page" : curPageNo,
				"numPerPage" : ""
			};
		}
		else
		{
			param = {
				"fid_khh" : appUtils.getSStorageInfo("FID_KHH"),
				"page" : curPageNo,
				"numPerPage" : ""
			};
		}
		var callBack = function(data){
			if(data)
			{
				if(data.error_no == "0")
				{
					var results = data.results[0].data;
					if(results&&results[0])
					{
						$(_pageId+" .fix_add").hide();
						tranhistory += '<tr><th scope="col">类型</th><th scope="col">转账金额</th><th scope="col">状态</th></tr>';
						for(var i = 0;i<results.length;i++)
						{
							var tranType;//转账类型
							var fid_ywlb = results[i].fid_ywlb;//业务类别
							var fid_fsje = results[i].fid_fsje;//转账金额
							var fid_jgsm = results[i].fid_jgsm;//处理说明
							if(fid_ywlb == "1"){
								tranType = "银行转证券";
							}else if(fid_ywlb == "2"){
								tranType = "证券转银行";
							}
							tranhistory += '<tr><td>'+tranType+'</td><td>'+fid_fsje+'</td><td><span>'+fid_jgsm+'</span></td></tr>';
						}
						$(_pageId+" #tablelist").html(tranhistory);
					}
					else
					{
						tranhistory += '<tr><th scope="col">类型</th><th scope="col">转账金额</th><th scope="col">状态</th></tr>';
						$(_pageId+" #tablelist").html(tranhistory);
						$(_pageId+" .fix_add").show();
					}
				}
				else
				{
					layerUtils.iMsg(-1,data.error_info);
					return false;
				}
			}
		};
		service.transferQuery(param,callBack);
	
	}
	
	//绑定事件
	function bindPageEvent(){
		
		appUtils.bindEvent($(_pageId + ".icon_back"),function(){
			appUtils.pageInit("userCenter/turnMoney","userCenter/wd");
			//appUtils.pageInit("userCenter/turnMoney","account/mySpace");
        });
		/**
		 * 选择转账类型(包括选择查询)
		 */
		appUtils.bindEvent($(_pageId+" .transfer-nav ul li"),function(){
			$(this).addClass("tran-nav-sec").siblings().removeClass("tran-nav-sec");
			var tran_type = $(this).attr("tran-type");
			if(tran_type == "0")
			{
				$(_pageId+" #mm").html("银行密码");
				$(_pageId+" .bank-infor").show();
				$(_pageId+" .trade_main").hide();
				$(_pageId+" .fix_add").hide();
			}
			else if(tran_type == "1")
			{
				$(_pageId+" #mm").html("资金密码");
				$(_pageId+" .bank-infor").show();
				$(_pageId+" .trade_main").hide();
				$(_pageId+" .fix_add").hide();
			}
			else
			{
				$(_pageId+" .bank-infor").hide();
				$(_pageId+" .trade_main").show();
				queryTurnHistroy();
			}
		});
		/**
		 * 选择银行卡号(点击银行卡号)
		 */
		appUtils.bindEvent($(_pageId+" #yhkh"),function(){
			$(_pageId+" .zh-mask").toggle();
		});
		/**
		 * 关闭银行卡号下拉列表
		 */
		appUtils.bindEvent($(_pageId+" .mask-cancel"),function(){
			$(_pageId+" .zh-mask").toggle();
		});
		/**
		 * 确定转账类型的选择
		 */
		appUtils.bindEvent($(_pageId + " .sel_list_two .sel_info>span"), function(e){
			if($(_pageId+" #select_tran").is(':visible')){
				var $curBank = $(_pageId + " .sel_list_two #select_tran li[class~='active']");
				var bankName = $curBank.attr("bank-name");
				var tran_type =  $curBank.attr("tran-type");
				if(tran_type == "0"){
					$(_pageId+" #mm").html("银行密码");
					$(_pageId+" #yhText").attr("placeholder","请输入银行密码");
				}else{
					$(_pageId+" #mm").html("资金密码");
					$(_pageId+" #yhText").removeAttr("placeholder").attr("placeholder","请输入资金密码");
				}
				$(_pageId + " #zzlx").val(bankName);
				$(_pageId + " #zzlx").attr("tran-type",tran_type);
				$(_pageId + " .sel_list_two .sel_cover").click(); // 关闭下拉列表
			}else{
				var $curBank = $(_pageId + " .sel_list_two #cardNo li[class~='active']");
				var fid_zjzh = $curBank.attr("fid_zjzh");
				var fid_yhzh = $curBank.attr("fid_yhzh");
				var fid_yhdm = $curBank.attr("fid_yhdm");
				$(_pageId+" #yhkh").val(fid_yhzh);
				$(_pageId+" #zjzh").html(fid_zjzh+"<var></var>");
				$(_pageId+" #yhkh").attr("data-fid-zjzh",fid_zjzh);
				$(_pageId+" #yhkh").attr("data-fid-yhzh",fid_yhzh);
				$(_pageId+" #yhkh").attr("data-fid-yhdm",fid_yhdm);
				$(_pageId + " .sel_list_two .sel_cover").click(); // 关闭下拉列表
			}
			e.stopPropagation();
	    }, "click");
	    //判断输入是否合法
		appUtils.bindEvent($(_pageId+" #oper_money"),function(){putils.numberLimit($(this));},"keyup");
		//转账密码输入框
		appUtils.bindEvent($(_pageId+" input[keyboard-plugin='true']"),function(e){
			var $input = $(this);
			if(platform == "0"){
				$(_pageId+" #yhText").focus();
			}else{
				$(_pageId+" #yhText").focus();
				//callKeyboard($input); // 调用键盘
			}
			e.stopPropagation();
		});
		appUtils.bindEvent($(_pageId+" input[keyboard-plugin='true']"),function(e){
			$(_pageId+" #yhText").focus();
				//callKeyboard($(this)); // 调用键盘
		    	e.stopPropagation();
			});
//		//点击页面关闭软键盘
//		appUtils.bindEvent($(_pageId),function(e){
//			
//			hideKeyboard(); // 隐藏原生键盘
//			e.stopPropagation();
//		});
		//转账
	    appUtils.bindEvent($(_pageId + ".ce_btn  a"), function(){
	    	var money = $(_pageId+" #oper_money").val();
			if(money=="0"){
				layerUtils.iMsg(-1,"转账金额不能为0元");
				return false;
			};
	    	
	    	
	    	
	    	if(checkInput()){//判断输入是否合法
	    		var $tranType = $(_pageId+" .transfer-nav ul li");
			for(var i = 0;i < $tranType.length;i++)
			{
				if($($tranType[i]).hasClass("tran-nav-sec"))
				{
					var tranType = $($tranType[i]).attr("tran-type");
				}
			}
	    		var oper_money = $.trim($(_pageId+" #oper_money").val());
	    		var password = $.trim($(_pageId+" #yhText").val());
			var pageParam = appUtils.getPageParam();
	    		var khh;
	    		if(pageParam != undefined)
	    		{
	    			khh = pageParam.khh;
	    		}
	    		else
	    		{
	    			khh = appUtils.getSStorageInfo("FID_KHH");
	    		}
	    		if(tranType == "0"){//银行转证券
	    			var param ={
	    				"funcNo" : "1004230",
	    				"fid_khh" : khh,
	    				"fid_zjzh" : $(_pageId+" #yhkh").attr("data-fid-zjzh"),
	    				"fid_bz" : "RMB",
	    				"fid_yhzh" : $(_pageId+" #yhkh").attr("data-fid-yhzh"),
	    				"fid_yhdm" : $(_pageId+" #yhkh").attr("data-fid-yhdm"),//银行转证券
	    				"fid_zzje" : oper_money,
	    				"fid_wbzhmm" : password,
	    				"fid_jmlx" : "2"
	    			};
	    		}else{//证券转银行
	    			var param ={
	    				"funcNo" : "1004231",
	    				"fid_khh" : khh,
	    				"fid_zjzh" : $(_pageId+" #yhkh").attr("data-fid-zjzh"),
	    				"fid_bz" : "RMB",
	    				"fid_yhzh" : $(_pageId+" #yhkh").attr("data-fid-yhzh"),
	    				"fid_yhdm" : $(_pageId+" #yhkh").attr("data-fid-yhdm"),//证券转银行
	    				"fid_zzje" : oper_money,
	    				"fid_wbzhmm" : password,
	    				"fid_jmlx" : "2"
	    			};
	    		}
		    	//rsaEncrypt(param, transfer);
				transfer(param);
	    	}
	    });
	}
	/**
	 * 增减转账金额
	 * oper_type : "1" -增 "0"减少
	 * num:数量 整数
	 */
	function changAmount(oper_type, num){
		var oper_val = $(_pageId + "#oper_money").val() || "0";
		if(!/^(0|[1-9]\d*)(\.\d+)?$/.test(oper_val)){
			layerUtils.iMsg(-1,"转账金额为非法数据!");
			return;
		} 
		if (oper_type == "1"){
			$(_pageId + "#oper_money").val((common.rmoney(oper_val) + num).toFixed(2));
		} else {
			if (oper_val > num){
			  $(_pageId + "#oper_money").val((common.rmoney(oper_val) - num).toFixed(2));
			} 
		}
	}
	/*
	 * 判断转入是否能够进行交易
	 */
	function checkInput(){
		var  n = $(_pageId+"#oper_money").val();
		var yhkh = $(_pageId+" #yhkh").html();
		if(yhkh == "选择银行卡号"){
			//hideKeyboard();//隐藏原生键盘
			layerUtils.iMsg(-1,"请选择银行卡号");
			return false;
		}
		if (validatorUtil.isEmpty(n)){
			//hideKeyboard();//隐藏原生键盘
			layerUtils.iMsg(-1,"请输入转账金额!");
			return false;
		}
		if(!/^(0|[1-9]\d*)(\.\d+)?$/.test(n)){
			//hideKeyboard();//隐藏原生键盘
			layerUtils.iMsg(-1,"转账金额为非法数据!");
			$("#oper_money").val("");
			return false;
		} 
		if ($(_pageId+" #mm").html() == "银行密码"){
			var bankPassword = $(_pageId+"#yhText").val();
			if(validatorUtil.isEmpty(bankPassword)){
				//hideKeyboard();//隐藏原生键盘
				layerUtils.iMsg(-1,"银行密码不能为空!");
				return false;
			}
		}else{
			var fundPassword = $(_pageId+"#yhText").val();
			if(validatorUtil.isEmpty(fundPassword)){
				//hideKeyboard();//隐藏原生键盘
				layerUtils.iMsg(-1,"资金密码不能为空!");
				return false;
			}
		}
		return true;
	}
	/**
	 * 转账
	 * paramObj参数
	 */
	function transfer(paramObj){
		service.bankCertifiTransfer(paramObj, function(data){
			var error_no = data.error_no,
			    error_info = data.error_info,
			    results = data.results;
			if (error_no == "0"){
				
				var FID_CODE = results[0].FID_CODE;
				if(FID_CODE > 0){
					layerUtils.iMsg(0,"转账成功!");
					var pageParam = appUtils.getPageParam();
					if( pageParam != undefined)
					{
		            	var param = {
							"khh" : pageParam.khh
				    	};
				  		appUtils.pageInit("userCenter/turnMoney", "userCenter/turnHistory",param);
					}
					else
					{
			       		appUtils.pageInit("userCenter/turnMoney", "userCenter/turnHistory");
					}
				}else {
					 layerUtils.iMsg(0,results[0].FID_MESSAGE);
				}
			} else {
				//hideKeyboard();//隐藏原生键盘
				layerUtils.iMsg(-1,error_info);
			}
	    },true,true);
	}
	/**
	 * 对密码进行加密，然后调用转账接口
	 * @param {Object} paramObj 需要加密数据对象，
	 * @param {Object} nextYToDoFunc  加密之后要调用的方法
	 */
	function rsaEncrypt(paramObj, nextYToDoFunc){
		service.getRSAKey({},function(data){
			var error_no = data.error_no,
			    error_info = data.error_info,
			    results = data.results[0],
			    modulus = results.modulus,
			    publicExponent = results.publicExponent;
			if(error_no === "0"){
				paramObj.fid_wbzhmm = endecryptUtils.rsaEncrypt(modulus, publicExponent, paramObj.fid_wbzhmm);
				nextYToDoFunc(paramObj);
			} else {
				//hideKeyboard();//隐藏原生键盘
				layerUtils.iAlert(error_info);
			}
		},false,true);
	}
	
	/**
	 * 调用原生键盘
	 * @param $input 显示在页面的输入框
	 */
	function callKeyboard($input)
	{
		curInputId = $input.attr("id");
		var invokeParam = {
			moduleName: "project", // String	目标模块名	N
			source: "project", // String	源模块	Y
			funcNo: "50210", // String	功能号	Y	
			pageId: _pageId.substring(1), // String	页面Id	Y	
			eleId: curInputId, // String	元素Id	Y	
			doneLable: "done", // String	完成按钮显示字符		
			keyboardType: "3" // 1：英文键盘，2：股票键盘，3：数字键盘，4：随机数字键盘，9：系统键盘
		}
		external.callMessage(invokeParam);
	}
	
	/**
	 * 隐藏原生键盘
	 */
	function hideKeyboard()
	{
		var invokeParam = {
			funcNo: "50211", // String	功能号	Y
			moduleName: "project"
		}
		external.callMessage(invokeParam);
	}
	
	/**
	 * 原生键盘的输入事件
	 * @param curKeyCode 当前输入值
	 */
	function inputEvent(curKeyCode)
	{
		var $curInput = $(_pageId + "#" + curInputId);
		var curVal = $curInput.val();
//		curTxt = typeof(curTxt) == "undefined" ? "" : curTxt;
		// {"CLEAR":-2, "DONE": -3, "DEL": -5}; //常量，键盘上面的按键对应编码（-2表示清空，-3表示完成，-5表示删除）
		switch(Number(curKeyCode))
		{
			case -2: 
				$curInput.val("");
				break;
			case -3:
				break;
			case -5:
				$curInput.val(curVal);
				break;
			default:
				if(curVal.length >= 1)
				{
					$curInput.val(curVal);
				}
				clearTimeout(pwdTimer);
				pwdTimer = null;
				break;
		}
	}
	
	function destroy(){
		
		$(_pageId+" .transfer-nav ul li:eq(0)").addClass("tran-nav-sec").siblings().removeClass("tran-nav-sec");
		$(_pageId+" #yhkh").html("选择银行卡号");
		$(_pageId+" #oper_money").val("");
		$(_pageId+" #yhText").val("");
		$(_pageId+" .bank-infor").show();
		$(_pageId+" #mm").html("银行密码");
		$(_pageId+" .trade_main").hide();
		$(_pageId+" #tablelist").html("");
		$(_pageId+" .fix_add").hide();
		//hideKeyboard();  // 隐藏键盘
		service.destroy();
	}
	var turnMoney = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	// 暴露对外的接口
	module.exports = turnMoney;
});