 // 个人资料
 //@版本: 2.0 
define('mall/scripts/userCenter/userInfo.js',function(require, exports, module){ 
	var appUtils = require("appUtils"),
	    dateUtils = require("dateUtils"),
		layerUtils = require("layerUtils"),
		validatorUtil = require("validatorUtil"),
		service = require("mobileService"),
		userInfo = null,
		_pageId = "#userCenter_userInfo ";
	
	function init(){
		common.initTitle(_pageId);
		
		$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(_pageId).height()-$(_pageId+".header").height()-$(_pageId+".footer-box").height())+"px"});
		reLoadUserInfo(appUtils.getSStorageInfo("user_id"));
		dateUtils.initDateUI("userCenter_userInfo");
	}
	/**
	 * 用保持在session中的数据，
	 * 初始化用户信息
	 */
	function initUserInfo(){
		var gender = userInfo.gender,
		    gender_text = "未知",
		    identity_type = userInfo.identity_type,
		    identity_type_text = "未知";
		if(gender == "0"){
			gender_text = "男";
		} else if(gender == "1"){
			gender_text = "女";
		}  
		if(identity_type =="0"){
			identity_type_text = "居民身份证";
		} 
		$(_pageId+"#gender").val(gender_text);
		$(_pageId+"#user_name").val(userInfo.user_name);
		$(_pageId+"#birthday").val(userInfo.birthday);
		$(_pageId+"#identity_type").val(identity_type_text);
		$(_pageId+"#identity_num").val(userInfo.identity_num);
		$(_pageId+"#address").val(userInfo.address);
		$(_pageId+"#mobile_phone").val(userInfo.mobile_phone);
		$(_pageId+"#user_mail").val(userInfo.user_mail);
		$(_pageId+"#id_beg_date").val(userInfo.id_beg_date);
		$(_pageId+"#id_exp_date").val(userInfo.id_exp_date);
		$(_pageId+" #post_code").val(userInfo.post_code);
		$(_pageId+" #id_iss_agcy").val(userInfo.id_iss_agcy);
	}
	//绑定事件
	function bindPageEvent(){
		var _curPageCode = appUtils.getSStorageInfo("_curPageCode");//当前页 pageCode
	    appUtils.bindEvent($(_pageId + ".header .mz-back"),function(){
			appUtils.pageBack();
        });
	    //长期有效
		appUtils.bindEvent($(_pageId + "#user_long_term"), function() {
			 if(!$(this).is(':checked')){
				 $("#id_exp_date").unbind("click");
				//$("#id_beg_date").attr("disabled","disabled").val("2012-12-01");
				$("#id_exp_date").attr("disabled","disabled").val("3000-12-31");
			 }else{
				dateUtils.initDateUI("userCenter_userInfo");
				//$("#id_beg_date").removeAttr("disabled");
				$("#id_exp_date").removeAttr("disabled").val("2022-12-31");
			 }
		});
	    //完成
	    appUtils.bindEvent($(_pageId + ".header .mz-complete"),function(){
	    	if(checkInput()){
	    	   updateUserInfoFunc();
	    	}
        });
	    //更换手机号码
	     appUtils.bindEvent($(_pageId + "#change_bind_phone"),function(){
	    	 appUtils.pageInit(_curPageCode, "userCenter/modifyMobile", {});
        });
	     //首页
	    appUtils.bindEvent($(_pageId+" .nav-index"),function(){
	    	appUtils.pageInit("userCenter/userInfo","mall/moneyShop");
	    });
	    //转账
	    appUtils.bindEvent($(_pageId+" .nav-tranf"),function(){
	    	appUtils.pageInit("userCenter/userInfo","userCenter/turnMoney");
	    });
	    //我的产品
	    appUtils.bindEvent($(_pageId+" .nav-produce"),function(){
	    	appUtils.pageInit("userCenter/userInfo","userCenter/holdingProducts");
	    });
	    //个人中心
	    appUtils.bindEvent($(_pageId+" .nav-center"),function(){
	    	appUtils.pageInit("userCenter/userInfo","userCenter/index");
	    });
	}
	/**
	 * 检查输入内容格式
	 */
	function checkInput(){
		var user_mail = $.trim($("#user_mail").val()),
		    address = $.trim($("#address").val()),
		    start_date = $.trim($("#id_beg_date").val()),
		    end_date = $.trim($("#id_exp_date").val()),
		    agcy = $.trim($("#id_iss_agcy").val()),
		    post_code = $.trim($("#post_code").val());
		if(!checkDate(start_date,end_date)){
			return false;
		}
		if(!checkDepart(agcy)){
			return false;
		}
		if(!validatorUtil.isEmpty(user_mail) && !validatorUtil.isEmail(user_mail)){
			layerUtils.iMsg(-1,"请输入正确的邮箱号码!");
			return false;
		}
		
		if(!validatorUtil.isEmpty(post_code) && !validatorUtil.isPostalCode(post_code)){
			layerUtils.iMsg(-1,"请输入正确邮政编码!");
			return false;
		}
		
		return true;
	}
	/**
	 * 验证签发机关格式是否合法
	 * @param {Object} depart
	 */
	function checkDepart(depart){
		var reg_org = /^[\u4e00-\u9fa5\(\)\（\）\-\——]*$/;
		var r = depart.match(reg_org);
		if (r == null){
			layerUtils.iAlert("签发机关不能有字符、字母或数字!");
			return false;
		} else if (validatorUtil.isEmpty(depart)){
			layerUtils.iAlert("签发机关不能为空!");
			return false;
		} else if (depart.length < 4){
			layerUtils.iAlert("签发机关名称长度需大于4!");
			return false;
		} else {
			layerUtils.iLayerClose();
		}
		return true;
	}
	
	/*
	 * 校验日期
	 */
	function checkDate(start,end){
		var d = new Date();
		if(validatorUtil.isEmpty(start)){
			layerUtils.iAlert("请输入有效期起始日期!");
			return false;
		}
		if(validatorUtil.isEmpty(end)){
			layerUtils.iAlert("请输入有效期截止日期!");
			return false;
		}
		var month = "";
		var nowDate = "";
		if(d.getMonth()+1>=10){
			month = d.getMonth()+1;
		}else{
			month = '0'+(d.getMonth()+1);
		}
		if(d.getDate()<10){
			nowDate = '0'+d.getDate();
		}else{
			nowDate = d.getDate();
		}
		today = d.getFullYear()+month+nowDate;
		today = parseInt(today);
		start = parseInt(start.replaceAll('-',''));
		end = parseInt(end.replaceAll('-',''));
		if(start!=null&&today- start>=0){
		}else{
			layerUtils.iAlert("开始日期不能在今天以后!");
			return false;
		}
		if(end!=null&&today- end<0){
		}else{
			layerUtils.iAlert("结束日期不能在今天或者今天之前!");
			return false;
		}
		if(end!=null&&start!=null&&end- start>=0){
		}else{
			layerUtils.iAlert("证件有效期结束日期不能在开始日期之前!");
			return false;
		}
		return true;
	}
	/**
	 * 修改个人信息
	 */
	function updateUserInfoFunc(){
		var user_mail = $.trim($("#user_mail").val()),
		    start_date = $.trim($("#id_beg_date").val()),
		    end_date = $.trim($("#id_exp_date").val()),
		    agcy = $.trim($("#id_iss_agcy").val()),
		    address = $.trim($("#address").val()),
		    post_code = $.trim($("#post_code").val());
		var param = userInfo;
	    param.id_iss_agcy = agcy;
	    param.id_beg_date = start_date;
	    param.id_exp_date = end_date;
	    param.user_mail = user_mail;
		param.address = address;
		param.post_code = post_code;
		service.submitInfo(param, function(data){
			var error_no = data.error_no,
			    error_info = data.error_info,
			    results = null;
			if (error_no === "0"){
				results = data.results;
				error_info = "更新成功!";
				layerUtils.iMsg(0,error_info);
				reLoadUserInfo(userInfo.user_id);//重新加载显示用户信息
			} else {
				error_info = error_info || "更新失败!";
				layerUtils.iAlert(error_info);
			}
			
		}, {});
	}
	/**
	 * 根据用户
	 * user_id: 用户id
	 */
	function reLoadUserInfo(user_id){
		var param = {
			"user_id": user_id
		};
		service.queryUserInfo(param, function(data){
            var error_no = data.error_no,
                error_info = data.error_info;
            if (error_no === "0"){
            	userInfo = data.results[0];
            	appUtils.setSStorageInfo("userInfo", JSON.stringify(data.results[0]));
            	initUserInfo();//初始化用户信息
            } else {
	            layerUtils.iAlert(error_info);
            }
        },{});
	}
	function destroy(){
		$(_pageId + "#user_long_term").attr("checked",false);
		service.destroy();
	}

	var userInfo = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	// 暴露对外的接口
	module.exports = userInfo;
});