/**
 * 手机前端service层调用接口
 **/
define('mall/service/appropriateService.js',function(require,exports,module){
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var external = require("external");
	var service = require("service");
	var serviceSingleton = new service.Service();
	
	/********************************公共代码部分********************************/
    function commonInvoke(paraMap, callback, ctrlParam, reqParamVo){
		reqParamVo.setReqParam(paraMap);
		ctrlParam = ctrlParam?ctrlParam:{};
		reqParamVo.setIsLastReq(ctrlParam.isLastReq);
		reqParamVo.setIsAsync(ctrlParam.isAsync);
		
		var timeOutFunc = function(xhr, textStatus, errorMessage){
			$(".header_inner .title .loading").remove();
			$("body .dropload-down").remove();//先删除样式
//			if(gconfig.platform == 1 || gconfig.platform == 2){
//				var param = {
//					funcNo : "50106",
//					content : "请求超时,请检查接口是否异常或者网络不通"
//				};
//				external.callMessage(param);
//			} 
		};
		
    	reqParamVo.setTimeOutFunc(timeOutFunc);
		
		var errorFunc = function(errorTips,xhr, textStatus, errorMessage){
			$("body .dropload-down").remove();//先删除样式
			$(".header_inner .title .loading").remove();
//			if(gconfig.platform == 1 || gconfig.platform == 2){
//				
//					var param = {
//						funcNo : "50106",
//						content : errorTips
//					};
//					external.callMessage(param);
//				} 
		};
		reqParamVo.setErrorFunc(errorFunc);
		reqParamVo.setIsShowOverLay(ctrlParam.isShowOverLay);
		
		var loadingFunc = function(flag){
			// 获取当前头部的内容
			// 判断是不是需要转菊花
			if(flag&&(!(fifterLoadingFunction(paraMap['funcNo'])))){
				//写开启等待层
				if($(".header_inner .title .loading").length<1) {
					$(".header_inner .title").prepend("<div class='loading'></div>");
					$(".header_inner .title").append("<div class='loading' style='border: 0px solid #FFF;'></div>");
				}
			} else {
				//写关闭等待层
				$(".header_inner .title .loading").remove();
			}
		}
		reqParamVo.setLoadingFunc(loadingFunc);
		reqParamVo.setIsShowWait(ctrlParam.isShowWait);
		reqParamVo.setTipsWords(ctrlParam.tipsWords);
		reqParamVo.setDataType(ctrlParam.dataType);
		reqParamVo.setIsGlobal(ctrlParam.isGlobal);
		reqParamVo.setProtocol(ctrlParam.protocol);
		if(paraMap['funcNo'] == "1000" || paraMap['funcNo'] == "1004"){
			reqParamVo.setUrl(reqParamVo.getUrl());
		}else{
			reqParamVo.setUrl(reqParamVo.getUrl()+'/'+paraMap['funcNo']);
		}
		serviceSingleton.invoke(reqParamVo, callback);
	}
	function destroy(){
		serviceSingleton.destroy();
	}
	var appropriateService = { //对应的接口方法需要在这里暴露出来
		"getInstance": getInstance, //为了避免以前调用getInstance方法报错
		"destroy": destroy
	};

	 //过滤不需要头部菊花的功能号
    function fifterLoadingFunction(fucNo){
    	 var dataArray=[""];
    	 for(var i=0;i<dataArray.length;i++){
    		 if(dataArray[i]==fucNo){
    			 return true;
    		 }
    	 }
    	 return false; 
    }
	
	/* 获取用户手机号码 */
	function getError(){
		alert("出错了");
	}
	//统一的错误提示
	function getPhone(){
		var phone = "";
		if(global.phone){
			phone = global.phone;
		}else{
			// 获取壳子里的手机号
			var key = {key : "phone"};
//			phone = require("external").callFunction("55601",JSON.stringify(key));
			global.phone = phone;
		}
		return phone;
	}

	function getInstance(){
		return appropriateService;
	}
	module.exports = appropriateService;
	
	/********************************应用接口开始********************************/
	/**
	 * 接口方法模板
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	appropriateService.submitPhoto = function(param,callback,ctrlParam) 
    {
	    var paraMap = {};
		paraMap["funcNo"] = "501503";
		paraMap["user_id"] = param.user_id;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
	
	
	/**
	 * @author 王浩
	 * 功能 : 适当性信息查询
	 * 参数: callBackFunc:回调函数
	 */
	appropriateService.appropriateBaseInfo = function(param,callBackFunc,ctrlParam){
		var paraMap = {};
		paraMap["funcNo"] = "30304021";
		paraMap["khh"] = param.khh;
		
		var g = gconfig.global;
		
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		reqParamVo.setReqParam(paraMap);
		commonInvoke(paraMap,callBackFunc,ctrlParam,reqParamVo);
	};
	
	/**
	 * @author 王浩
	 * 功能 : 适当性风险等级匹配信息查询
	 * 参数: callBackFunc:回调函数
	 */
	appropriateService.appropriateRiskInfo = function(param,callBackFunc,ctrlParam){
		var paraMap = {};
		paraMap["funcNo"] = "30304020";
		paraMap["khh"] = param.khh;
		paraMap["product_code"] = param.product_code;
		paraMap["ta_code"] = param.ta_code;
		
		var g = gconfig.global;
		
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		reqParamVo.setReqParam(paraMap);
		commonInvoke(paraMap,callBackFunc,ctrlParam,reqParamVo);
	};
	
	
	/**
	 * @author 王浩
	 * 功能 : 适当性风险等级匹配留痕
	 * 参数: callBackFunc:回调函数
	 */
	appropriateService.riskRecord = function(param,callBackFunc,ctrlParam){
		var paraMap = {};
		paraMap["funcNo"] = "30304023";
		paraMap["client_id"] = param.client_id;
		paraMap["product_code"] = param.product_code;
		paraMap["ta_code"] = param.ta_code;
		paraMap["product_id"] = param.product_id;
		paraMap["fund_account"] = param.fund_account;
		paraMap["cust_name"] = param.cust_name;
		paraMap["risk_level"] = param.risk_level;
		paraMap["risk_level_name"] = param.risk_level_name;
		paraMap["cust_type"] = param.cust_type;
		paraMap["product_name"] = param.product_name;
		paraMap["product_risk_level"] = param.product_risk_level;
		paraMap["risk_result"] = param.risk_result;
		
		var g = gconfig.global;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		reqParamVo.setReqParam(paraMap);
		commonInvoke(paraMap,callBackFunc,ctrlParam,reqParamVo);
	};
	/**
	 * @author 王浩
	 * 功能 : 适当性风险等级匹配留痕到柜台
	 * 参数: callBackFunc:回调函数
	 */
	appropriateService.riskRecordToGT = function(param,callBackFunc,ctrlParam){
		var paraMap = {};
		paraMap["funcNo"] = "30304026";
		paraMap["product_code"] = param.product_code;
		paraMap["inst_type"] = param.inst_type;
		paraMap["khh"] = param.khh;
		
		var g = gconfig.global;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		reqParamVo.setReqParam(paraMap);
		commonInvoke(paraMap,callBackFunc,ctrlParam,reqParamVo);
	};
	/**
	 * @author 王浩
	 * 功能 : 产品适当性查询
	 * 参数: callBackFunc:回调函数
	 */
	appropriateService.queryProductFixInfo = function(param,callBackFunc,ctrlParam){
		var paraMap = {};
		paraMap["funcNo"] = "30304024";
		paraMap["product_code"] = param.product_code;
		
		var g = gconfig.global;
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		reqParamVo.setReqParam(paraMap);
		commonInvoke(paraMap,callBackFunc,ctrlParam,reqParamVo);
	};

});