/**
 * 绑定账户(理财账户、保证金账户)
 */
define('mall/scripts/account/bindAccount.js',function(require, exports, module){
	var appUtils = require("appUtils");
	var	layerUtils = require("layerUtils");
	var	service = require("mobileService");
	var	common = require("common");
	var	_pageId = "#account_bindAccount ";
	var validatorUtil= require("validatorUtil");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	
	var curInputId = null;
	var pwdTimer = null; // 密码输入框计时器
	
	//初始化
	function init(){
		common.initTitle(_pageId);
		var loginType = appUtils.getSStorageInfo("loginType");
		if(loginType == "0")  //0理财账户登录，1资金账号登录
		{
			$(_pageId+" .header-con h1").html("绑定保证金账户");
			$(_pageId+" #account").html("资金账户");
			$(_pageId+" #pwd").html("资金密码");
			$(_pageId+" #finanOtcAccount").attr("maxlength","12");
			$(_pageId+" #finanOtcAccount").attr("placeholder","资金账户");
			$(_pageId+" #finanOtcPwd").attr("placeholder","资金密码");
			$(_pageId+" .per-reg-risk").show();
		}
		else
		{
			$(_pageId+" .header-con h1").html("绑定理财账户");
			$(_pageId+" #account").html("手机号码");
			$(_pageId+" #pwd").html("理财密码");
			$(_pageId+" #finanOtcAccount").attr("maxlength","11");
			$(_pageId+" #finanOtcAccount").attr("placeholder","手机号码");
			$(_pageId+" #finanOtcPwd").attr("placeholder","理财密码");
			$(_pageId+" .per-reg-risk").hide();
		}
		
		$(_pageId+".main").css({
			"overflow-y":"auto",
			"overflow-x":"hidden",
			"height":($(window).height()-$(_pageId+".header-con").height())+"px"
		});
		
		//getQuestionRisk();
		
		if(appUtils.getSStorageInfo("_prePageCode") == "account/testAccountSuccess")
		{
			bindingAccount();
		}
		queryBindAccount();
		window.customKeyboardEvent = {
			keyBoardInputFunction: inputEvent
		};
	}
	
	/**
	 * 查询是否绑定账户
	 */
	function queryBindAccount()
	{
		var param;
		var loginType = appUtils.getSStorageInfo("loginType"); //loginType 0手机账户登录1保证金账户登录
		if(loginType == "0")
		{
			param = {
				"phoneNo" : appUtils.getSStorageInfo("mobile_phone"), //手机账户
				"bzjClientNo" : "*",
				"user_id" : appUtils.getSStorageInfo("user_id")
			};
		}
		else
		{
			param = {
				"phoneNo" : "*",
				"bzjClientNo" : appUtils.getSStorageInfo("FID_KHH"), //保证金账户
				"user_id" : appUtils.getSStorageInfo("user_id")
  			};
		}
		var callBack = function(data){
			if(data)
			{
				if(data.error_no == "0")
				{
					var results = data.results;
					for(var i = 0;i < results.length;i++){
						var isChange = results[i].isChange;  //isChange 1没绑定账户	2已绑定账户
						var source = results[i].source;  //source 2手机账户  1资金账户
						if(isChange == "1")
						{
							$(_pageId+" #errorInfo").hide();
						}
						else if(isChange == "2")
						{
							$(_pageId+" #errorInfo").show();
							var loginType = appUtils.getSStorageInfo("loginType");
							if(loginType == "0")  //手机账号登录
							{
								if(source == "1")
								{
									var khh = results[i].khh;
									$(_pageId+" #errorInfo").html("您已经绑定了一个资金账户:"+khh);
								}
							}
							else if(loginType == "1")	//资金账号登录
							{
								if(source == "2")
								{
									var phoneNo = results[i].phoneNo;
									$(_pageId+" #errorInfo").html("您已经绑定了一个理财账户:"+phoneNo);
								}
							}
						}
					}
				}
				else
				{
					layerUtils.iMsg(-1,data.error_info);
					return false;
				}
			}
		};
		service.selectPayMethod(param,callBack);
	}
	
	/**
	 * 绑定账户(绑定OTC户、绑定手机账户)
	 */
	function bindingAccount()
	{
		service.getRSAKey({}, function(data){
			if(data.error_no == "0")
			{
				var modulus = data.results[0].modulus;
				var publicExponent = data.results[0].publicExponent;
				var endecryptUtils = require("endecryptUtils");
				
				var finanOtcPwd = endecryptUtils.rsaEncrypt(modulus,publicExponent,$.trim($(_pageId+" #finanOtcPwd").val()));
				
				var param;
				var loginType = appUtils.getSStorageInfo("loginType"); //0 手机号码登录	1资金账号登录
				if(loginType == "0")
				{
					param = {
						"phoneNo" : appUtils.getSStorageInfo("mobile_phone"),
						"bzjClientNo" : $.trim($(_pageId+" #finanOtcAccount").val()),
						"trade_pwd" : finanOtcPwd, //密码
						"type" : "1",
						"source" : "1"  //来源  1 理财(手机号绑定资金账号)  2 保证金(资金账号绑定手机号)
					};
				}
				else
				{
					param = {
						"phoneNo" : $.trim($(_pageId+" #finanOtcAccount").val()),
						"bzjClientNo" : appUtils.getSStorageInfo("fund_account"),
						"trade_pwd" : finanOtcPwd, 
						"type" : "1",
						"source" : "2"
					};
				}
				service.bindOtcFinanAccount(param,function(data){
					var error_no = data.error_no;
					if(loginType == "0"){
						if(error_no == "0")
						{
							layerUtils.iMsg(-1,"绑定成功");
							result= data.results;
							appUtils.setSStorageInfo("khh",result[0].khh);
							setTimeout(function(){
								//appUtils.pageInit("account/bindAccount","account/mySpace");
								appUtils.pageInit("account/bindAccount","userCenter/wd");
							},1000);
						}
						else if(error_no == "88")
						{
							otcLogin(); //OTCuserCenter/wd			else
						}
							layerUtils.iMsg(-1,data.error_info);
							return false;
							
					}
					else
					{
						if(error_no == "0")
						{
							layerUtils.iMsg(-1,"绑定成功");
							result= data.results;
							appUtils.setSStorageInfo("khh",result[0].client_no);
							setTimeout(function(){
								//appUtils.pageInit("account/bindAccount","account/mySpace");
								appUtils.pageInit("account/bindAccount","userCenter/wd");
							},1000);
						}
						else
						{
							layerUtils.iMsg(-1,"已经绑定");
						}
					}
					
				});
			}
			else
			{
				layerUtils.iMsg(-1,data.error_info);
				return false;
			}
		});
	}
	
	/**
	 * 保证金登录
	 */
	function otcLogin(){
		service.getRSAKey({},function(data){
			if(data.error_no=="0")
			{
				var modulus = data.results[0].modulus;
				var publicExponent =data.results[0].publicExponent;
				var endecryptUtils = require("endecryptUtils");
				var finanOtcPwd = endecryptUtils.rsaEncrypt(modulus,publicExponent,$.trim($(_pageId+" #finanOtcPwd").val()));
				
				var param = {
					"fund_account":$.trim($(_pageId+" #finanOtcAccount").val()),
					"password":$.trim($(_pageId+" #finanOtcPwd").val()),
					"funcNo":"1004201",
					"loginType":"1"
				};
				service.fundLogin(param,function(data){
					if(data.error_no != "0")
					{
						layerUtils.iMsg(-1,data.error_info);
						return false;
					}
					else
					{
						var result = data.results;
						var param = {
							"fund_account":$.trim($(_pageId+" #finanOtcAccount").val()),
							"trade_pwd":finanOtcPwd,
							"ip":"",
							"fidKhh":result[0].FID_KHH,
							"fidKhqz":result[0].FID_KHQZ,
							"fidYyb":result[0].FID_YYB,
							"fidXtcsbz":result[0].FID_XTCSBZ,
							"fidKhxm":result[0].FID_KHXM,
							"fidKhzt":result[0].FID_KHZT,
							"fidTzzfl":result[0].FID_TZZFL,
							"FID_ZJBH":result[0].FID_ZJBH,
							"FID_MOBILE":result[0].FID_MOBILE,
							"FID_EMAIL":result[0].FID_EMAIL,
							"FID_FAX":result[0].FID_FAX,
							"FID_DH":result[0].FID_DH,
							"FID_DZ":result[0].FID_DZ
						};
						appUtils.setSStorageInfo("FID_KHH",result[0].FID_KHH);
						saveUserInfo(param); //保存用户资料
					}
				});
			}
			else
			{
				layerUtils.iMsg(-1,data.error_info);
				return false;
			}
		});
	}
	
	/**
	 * 保存用户信息
	 */
	function saveUserInfo(param){
		service.savaZjzhInfo(param,function(data){
			if(data.error_no != "0")
			{
				layerUtils.iMsg(-1,data.error_info);
				return false;
			}
			else
			{
				var results = data.results;
				var user_id = results[0].user_id;
				var risk_level = results[0].risk_level;
				var identity_num = results[0].identity_num;
				var user_name = results[0].user_name;
				isOpenOtc(user_id,risk_level,identity_num,user_name); //判断是否开OTC户
			}
		});
	}
	
	/**
	 * 判断是否开OTC户
	 */
	function isOpenOtc(user_id,risk_level,identity_num,user_name)
	{
		var param = {
			"user_id": user_id,
        	"khh": appUtils.getSStorageInfo("FID_KHH"),//客户号
        	"tadm": "ZZ",//机构代码
        	"risk_level": risk_level//风险等级
		};
		service.checkRiskAssessment(param,function(data){
			if(data.error_no != "0")
			{
				layerUtils.iMsg(-1,data.error_info);
				return false;
			}
			else
			{
				var results = data.results;
				var isKh = results[0].isKh;
				var isCp = results[0]. isCp;
				if(isKh == "1"){//是否需要开户	1需要   0不要
					submitRisk(user_id,risk_level,isCp,isKh,identity_num,user_name);
				}
			}
		});
	}
	
	/**
	 * 测评
	 */
	function submitRisk(user_id,risk_level,isCp,isKh,identity_num,user_name)
	{
		var paper_answer = "";
		var answer = "";
		var $questionsArr = $(_pageId + ".per-risk-con dl dd ul");
		var wjhm;  
		for(var i=0;i<$questionsArr.length;i++)
		{
			var anw = $($questionsArr[i]).children(".new-risk-sec").attr("anw");
			if(anw == (i+1)+"_1")
			{
				answer = "A";
			}
			else if(anw == (i+1)+"_2")
			{
				answer = "B";
			}
			else if(anw == (i+1)+"_3")
			{
				answer = "C";
			}
			else if(anw == (i+1)+"_4")
			{
				answer = "D";
			}
			else if(anw == (i+1)+"_5")
			{
				answer = "E";
			}
			else
			{
				answer = "F";
			}
			wjhm = "13";
			paper_answer += (122+i)+"|"+answer+";";
		}
		var param = {
	        "risk_level" : risk_level,
	        "isCp" : isCp,
	        "isKh" : isKh,
	        "khh" : appUtils.getSStorageInfo("FID_KHH"),
	        "wjhm" : wjhm,
	        "zjlb" : "0",
	        "zjbh" : identity_num,
	        "khxm" : user_name,
	        "tmda" : paper_answer,
	        "fxjg" : "ZZ"
		};
		service.submitAns(param, function(data) {
			if(data.error_no!="0")
			{
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			else
			{
				var param = {
					"user_id" : user_id,
					"risk_level" : risk_level
				};
				appUtils.pageInit("account/bindAccount", "account/testAccountSuccess",param);
			}
		});
	}
	
	/**
	 * 判断输入合法性
	 */
	function check()
	{
		var loginType = appUtils.getSStorageInfo("loginType");
		var account = $(_pageId+" #finanOtcAccount").val(); //账号
		var finanOtcPwd = $(_pageId+" #finanOtcPwd").val(); //账户密码
		if(loginType=="0"){
			if(account == "" || account == null)
			{
				layerUtils.iMsg(-1,"账号不能为空");
				return false;
			}
		}else{
			if(account == "" || account == null)
			{
				layerUtils.iMsg(-1,"手机号不能为空");
				return false;
			}
		}
		
		if(finanOtcPwd == "" || finanOtcPwd == null)
		{
			layerUtils.iMsg(-1,"密码不能为空");
			return false;
		}
		return true;
	}
	
	/**
	 * 查询风险测评题目 获取题目之后，查询用户是否已做过的风险题答案， 如果有则初始化选项选择
	 */
	function getQuestionRisk() {
		var param = {
			"risk_type_id" : "13"
		};
		service.queryEval(param, function(data) {
			if (data.error_no == "0") {
				var results = data.results;
				if (results && results.length > 0) {
					fillData(results);
				}
			} else {
				layerUtils.iMsg(-1,data.error_info, -1);
			}
		}, {
			"isLastReq" : true,
			"isShowWait" : false
		});
	}
	
	/**
	 * 填充风险测评题
	 */
	function fillData(results){
		var str = "";
		str += '<div class="per-risk-con">';
		for(var i=0;i<results.length;i++){
			answers = strToArray(results[i].answers);
			question_id = results[i].question_id,
			question_title = results[i].question_title;
			question_no = results[i].question_no;
	      	str += '<dl id="'+question_id+'"><dt>'+(i+1)+'.'+question_title+'</dt><dd><ul class="per-risk-list">';
//			str += ' <div class="new-risk" id="'+question_id+'"><h2>'+(i+1)+'.'+question_title+'</h2><ul>';
			for(var j=0;j<answers.length;j++){
				var description = answers[j].description;
				var option_no = answers[j].option_no;
				var option_id = answers[j].option_id;
				if(option_no=="1"){
//					str += '<li anw="'+question_id+'_'+option_no+'" class="prl-sec">'+description+'</li>';
					str += '<li anw="'+question_id+'_'+option_no+'" class="new-risk-sec">'+description+'</li>';
				}else{
					str += '<li anw="'+question_id+'_'+option_no+'">'+description+'</li>';
				}
			}
			str += '</ul></dd></dl>';
		}
		str += '</div>';
		$(_pageId+" #risk_show").html(str);
		// 为选择按钮添加事件
		appUtils.bindEvent($(_pageId + " .per-risk-list li"),function() {
			if (!$(this).hasClass("new-risk-sec")) {
				$(this).addClass("new-risk-sec");
			}
			$(this).siblings().removeClass("new-risk-sec");
		});
	}
	
	/**
	 * 字符串还原为数组
	 * 
	 * @param {Object}
	 *            str
	 */
	function strToArray(str) {
		if (validatorUtil.isNotEmpty(str)) {
			str = str.replaceAll("=", ":'");
			str = str.replaceAll("}, ", "'},");
			str = str.replaceAll("}]", "'}]");
			str = str.replaceAll(", ", "',");
			str = str.replaceAll("%", "");
			str = str.replaceAll("\r", "");
			str = str.replaceAll("\n", "");
			var data = "";
			eval("data=" + str);
			return data;
		}
	}
	
	//绑定事件
	function bindPageEvent(){
		/**
		 * 返回
		 */
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
			//appUtils.pageInit("account/binAccount", "userCenter/wd");
		});
		/**
		 * 风险测评的显示与隐藏
		 */
		appUtils.bindEvent($(_pageId+" #to_risk"),function(){
			$(_pageId+" #risk_show").toggle();
			$(_pageId+" #risk_sq").toggle();
		});
		/**
		 * 收起
		 */
		appUtils.bindEvent($(_pageId+" #risk_sq"),function(){
			$(_pageId+" #risk_show").toggle();
			$(this).toggle();
		});
		/**
		 * 确定绑定
		 */
		appUtils.bindEvent($(_pageId+" .btn1"),function(){
			if(check()){
				bindingAccount();
			}
		});
		
		//初始化登录密码键盘
		appUtils.bindEvent($(_pageId+" input[keyboard-plugin='true']"),function(e){
	    	e.stopPropagation();
		});
		
		
		
		//点击页面关闭软键盘
		appUtils.bindEvent($(_pageId),function(e){
			e.stopPropagation();
		});
		
	}
	
	
	/**
	 * 原生键盘的输入事件
	 * @param curKeyCode 当前输入值
	 */
	function inputEvent(curKeyCode)
	{
		var $curInput = $(_pageId + "#" + curInputId);
		var curVal = $curInput.val();
		//curTxt = typeof(curTxt) == "undefined" ? "" : curTxt;
		// {"CLEAR":-2, "DONE": -3, "DEL": -5}; //常量，键盘上面的按键对应编码（-2表示清空，-3表示完成，-5表示删除）
		switch(Number(curKeyCode))
		{
			case -2: 
				$curInput.val("");
				break;
			case -3:
				break;
			case -5:
				$curInput.val(curVal);
				break;
			default:
				if(curVal.length >= 1)
				{
					$curInput.val(curVal);
				}
				clearTimeout(pwdTimer);
				pwdTimer = null;
				break;
		}
	}
	
	//销毁
	function destroy(){
		$(_pageId+" #errorInfo").hide();
	}
	
	var bindAccount = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	
	// 暴露对外的接口
	module.exports = bindAccount;
	
});