/**
 * 视频产品播放页面
 */
define('mall/scripts/account/bofang.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var validatorUtil = require("validatorUtil"); 
	var _pageId = "#account_bofang ";
	var external = require("external");
	var common = require("common");
	var gconfig = require("gconfig");
	var platform=gconfig.platform;
	var global = gconfig.global;
	var product_id="";
	var issp="";
	//初始化
	function init(){
		common.initTitle(_pageId);
		product_id= appUtils.getPageParam().product_id;
		issp=appUtils.getPageParam().issp;
		if(validatorUtil.isEmpty(product_id)){
			appUtils.pageInit("account/bofang","account/home");
		}
		
		
		var param = {
				"product_id":product_id,
				"userId":appUtils.getSStorageInfo("user_id"),
				"loginFlag":appUtils.getSStorageInfo("loginType")
		};
		//查询视频详情
		service.findByVideoDetail(param,function(data){
			if(data.error_no == "0"){
				var result = data.results;
				if(result.length>0){
					var content=result[0].content;//简介
					var app_video=result[0].video;//视频播放地址
					var video_photo=result[0].video_photo;//视频图片
					//$(_pageId+" .video_box").attr("app_video",app_video);
					$(_pageId +" .video_box").html("<video id='video1' width='100%'  controls><source src='"+app_video+"' type='video/mp4' />你的浏览器不支持html5的video标签</video>");
					$(_pageId+" #video_photo").attr("src",video_photo);
					$(_pageId+" #content").html(content);
					
				}else{
					layerUtils.iMsg(-1,"未查询到视频信息");
				}
			}else if(data.error_no == "-2"){
				var param = {
					"product_type":"7",
					"product_id":product_id
				};
				appUtils.pageInit("account/bofang","account/userLogin",param);
			}else if(data.error_no == "-3"){
				
				layerUtils.iConfirm("您未购买视频产品，是否确认购买",function(){
					var param = {
							"product_id":product_id,
							"product_type" : "7",
							"dingy_type":"5",
							"sub_type":"2",
							"page_code":"account/home",
							"issp":issp
						};
					appUtils.pageInit("account/bofang","account/selPayMethod",param);
				},function(){
					appUtils.pageInit("account/bofang","account/home");
				});
				
			}else{
				layerUtils.iMsg(-1,data.error_info);
			}
		},"");
		
	}
	
	//绑定事件
	function bindPageEvent(){
		appUtils.bindEvent($(_pageId+".header_inner a"),function(){
			appUtils.pageInit("account/bofang","account/home");
		});
		appUtils.bindEvent($(_pageId+".video_box"),function(){
			var app_video = $(this).attr("app_video");
			if(app_video != "" ){
				var param = {
						"funcNo":"50275",
						"title":" ",
						"mediaUrl":app_video
				};
				external.callMessage(param);
			}
		});
		
		appUtils.bindEvent($(_pageId + ".icon_back"), function(e){
			appUtils.pageBack();
		}); 
		
		appUtils.bindEvent($(_pageId+" #menu_list > div"),function(){
			$(_pageId+" #menu_list a").removeClass("back");
			$(this).find("a").addClass("back");
			var text = $(this).attr("id");
			if(text=="jianjie"){
				$(_pageId+".remark_box").hide();
				$(_pageId+".plot_box").show();
			}else if(text == "dianping"){
				$(_pageId+".remark_box").show();
				$(_pageId+".plot_box").hide();
				queryRemaark();
			}else if(text == "tuijian"){
				layerUtils.iAlert("即将推出，敬请期待!");
			}
			
			
		
		});
		
		//发表
		appUtils.bindEvent($(_pageId+" #fabiao"),function(){
			var user_id = appUtils.getSStorageInfo("user_id");
			if(user_id==""||user_id==null){
				var pageParam = appUtils.getPageParam();
				var param = {
					"product_id":product_id
				};
				appUtils.pageInit("account/bofang","account/userLogin");
			}else{
				var remark_content=$(_pageId+" #remark_content").val();
				if(validatorUtil.isEmpty(remark_content)){
					layerUtils.iMsg(-1,"请输入点评内容!");
					return;
				}
				var param = {
					"remark_content":remark_content,
					"user_id":user_id,
					"product_id":product_id
				};
				service.addRemark(param,function(data){
					if(data.error_no == "0"){
						layerUtils.iMsg(-1,"点评成功!");
						$(_pageId+" #remark_content").val("");
						queryRemaark();
					}else{
						layerUtils.iAlert(data.error_info);
					}
				},"");
			}
		});
	}
	
	/***
	 * 查询评论列表
	 */
	function queryRemaark(){
		var param = {
				"product_id":product_id
		};
		//查询视频详情
		service.findRemark(param,function(data){
			if(data.error_no == "0"){
				var result = data.results;
				var centent="";
				for(var i = 0;i<result.length;i++){
					var remark_content=result[i].remark_content;//点评内容
					var create_date=result[i].create_date;//创建时间
					var user_name=result[i].user_name;//客户姓名
					centent+="<div class=\"comment_text\">";
					centent+="<h5 class=\"title\">"+user_name+"</h5>";
					centent+="<span class=\"date\">"+create_date+"</span>";
					centent+="<p>"+remark_content+"</p></div>";
				}
				if(result.length==0){
					centent="暂无评论！";
				}
				$(_pageId+" #remark_list").html(centent);
			}else{
				layerUtils.iMsg(-1,data.error_info);
			}
		},"");
		
	}
	
	//销毁
	function destroy(){
		$(_pageId+" #remark_list").html("");
		$(_pageId+" .video_box").attr("app_video","");
		$(_pageId+" #video_photo").attr("src","images/video.png");
		$(_pageId+" #content").html("");
		$(_pageId+".remark_box").hide();
		$(_pageId+".plot_box").show();
		$(_pageId+" #menu_list a").removeClass("back");
		$(_pageId+" #jianjie a").addClass("back");
		$(_pageId+" #remark_content").val("");
	}
	
	var accountGuide = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	// 暴露对外的接口
	module.exports = accountGuide;
	
});