/**
 * 绑定银行卡
 */
define('mall/scripts/account/boundBankCard.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var _pageId = "#account_boundBankCard ";
	var validatorUtil= require("validatorUtil");
	var	phoneNum = "";//注册手机号码
	var	timer = null;//计时器
	var i = 60;//倒计时长
	var isSendPhone = false; //是否已发送验证码
	var curInputId = null;
	var pwdTimer = null; // 密码输入框计时器
	var common=require("common");
	//初始化
	function init(){
		common.initTitle(_pageId);
		$(_pageId).css("background","#fff");
		$(_pageId+" .hid").css({"width":"70px","color":"#fff"});
		
		$(_pageId+" .main").css({
			"overflow-y":"auto",
			"overflow-x":"hidden",
			"height":($(window).height()-$(_pageId+" .new-header").height()-1)+"px"
		});
		
		loadBankList();
		window.customKeyboardEvent = {
			keyBoardInputFunction: inputEvent
		};
	}
	
	/**
	 * 查询支持的银行信息
	 */
	function loadBankList(){
		var param = {};
		service.querySupportBank(param,function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			if(error_no!="0"){
				layerUtils.iMsg(-1,error_info);
				layerUtils.iLoading(false);
				return false;
			}
			var results = data.results;
			
			fillBankList(results); // 填充银行列表
		});
	}
	
	/**
	 * 银行列表填充
	 */
	function fillBankList(results){
		var aListHtml = "";
		for(var i=0;i<results.length;i++){
			var bank_name = results[i].bank_name;
			var bank_no = results[i].bank_no;
			aListHtml += '<li bank_no="'+bank_no+'">'+bank_name+'</li>';
		}
		$(_pageId+" .mask-bank-list").html(aListHtml);
		bindBankListEvent();
	}
	
	/**
	 * 绑定银行列表点击事件
	 */
	function bindBankListEvent(){
		/**
		 * 选择要绑定的银行
		 */
		appUtils.bindEvent($(_pageId+" .mask-bank-list li"),function(){
			var bank_name = $(this).html();
			var bank_no = $(this).attr("bank_no");
			$(_pageId+" #chosenBank").html(bank_name).attr("bank_no",bank_no);
			$(_pageId+" .zh-mask").toggle();
		});
	}
	
	/**
	 * 绑定银行卡
	 */
	function bindBank(){
		var param = {
			"user_id":appUtils.getSStorageInfo("user_id"),
			"bank_no": $(_pageId + " #chosenBank").attr("bank_no"),
			"bank_account":$.trim($(_pageId+" #bankcardno").val()),
			"bank_mobile":$.trim($(_pageId+' #reservedphone').val()),
			"money_type":"0"
		};
		service.applyPaymentAccount(param,function(data){
			if(data.error_no!="0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				clearMsgCodeTimer(); // 清除短信验证码计时器
				return false;
			}else{
				var results = data.results;
				var sno = results[0].sno;
				var url = results[0].url;
				var param = {
					"client_name":$(_pageId+" #username").val(),
					"id_no":$.trim($(_pageId+" #IDnumber").val()),
					"bank_no": $(_pageId + " #chosenBank").attr("bank_no"),
					"bank_account":$.trim($(_pageId+" #bankcardno").val()),
					"mobile_phone":$.trim($(_pageId+' #reservedphone').val()),
					"req_trace_num":sno,
					"resp_url":url
				};
				service.sendMobileCode(param,function(data){
					if(data.error_no!="0"){
						if(data.error_info=="IPP发送短信验证码失败"){
							layerUtils.iMsg(-1,"网络不给力");
						}else if(data.error_info=="卡BIN检查失败"){
							layerUtils.iMsg(-1,"银行卡号输入错误");
						}else{
							layerUtils.iMsg(-1,data.error_info);
						}
						layerUtils.iLoading(false);
						clearMsgCodeTimer(); // 清除短信验证码计时器
					}else{
						appUtils.setSStorageInfo("resp_url",url);
					}
				});
			}
		});
	}
	
	function bindBank(user_id){
		var param = {
			"user_id":user_id,
			"bank_no": $(_pageId + " #chosenBank").attr("bank_no"),
			"bank_account":$.trim($(_pageId+" #bankcardno").val()),
			"bank_mobile":$.trim($(_pageId+' #reservedphone').val()),
			"money_type":"0"
		};
		service.applyPaymentAccount(param,function(data){
			if(data.error_no!="0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				clearMsgCodeTimer(); // 清除短信验证码计时器
				return false;
			}else{
				var results = data.results;
				var sno = results[0].sno;
				var url = results[0].url;
				var param = {
					"client_name":$(_pageId+" #username").val(),
					"id_no":$.trim($(_pageId+" #IDnumber").val()),
					"bank_no": $(_pageId + " #chosenBank").attr("bank_no"),
					"bank_account":$.trim($(_pageId+" #bankcardno").val()),
					"mobile_phone":$.trim($(_pageId+' #reservedphone').val()),
					"req_trace_num":sno,
					"resp_url":url
				};
				service.sendMobileCode(param,function(data){
					if(data.error_no!="0"){
						if(data.error_info=="IPP发送短信验证码失败"){
							layerUtils.iMsg(-1,"网络不给力");
						}else if(data.error_info=="卡BIN检查失败"){
							layerUtils.iMsg(-1,"银行卡号输入错误");
						}else{
							layerUtils.iMsg(-1,data.error_info);
						}
						layerUtils.iLoading(false);
						clearMsgCodeTimer(); // 清除短信验证码计时器
					}else{
//				        $(_pageId+" #mobile_code").val(Math.random().toString().substr(2, 6));
						appUtils.setSStorageInfo("resp_url",url);
					}
				});
			}
		});
	}
	
	/**
	 * 验证手机验证码
	 */
	function checkCode(){
		var param = {
			"verify_code":$.trim($(_pageId+" #verification").val()),
			"resp_url":appUtils.getSStorageInfo("resp_url")
		};
		service.checkMobileCode(param,function(data){
			if(data.error_no!="0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				clearMsgCodeTimer(); // 清除短信验证码计时器
				return false;
			}else{
				var results = data.results;
				var pay_account = results[0].sign_num;
				var param = {
					"user_id":appUtils.getSStorageInfo("user_id"),
					"bank_no": $(_pageId + " #chosenBank").attr("bank_no"),
					"bank_account":$.trim($(_pageId+" #bankcardno").val()),
					"pay_account":pay_account,
					"pay_way":"1"
				};
				service.synchronousPaymentAccount(param,function(data){
					if(data.error_no!="0"){
						layerUtils.iMsg(-1,data.error_info);
						layerUtils.iLoading(false);
						clearMsgCodeTimer(); // 清除短信验证码计时器
						return false;
					}else{
						var param = {
							"user_id":appUtils.getSStorageInfo("user_id"),
							"bank_no": $(_pageId + " #chosenBank").attr("bank_no"),
							"bank_account":$.trim($(_pageId+" #bankcardno").val())
						};
						service.simultRegTraAccount(param,function(data){
							if(data.error_no!="0"){
								layerUtils.iMsg(-1,data.error_info);
								layerUtils.iLoading(false);
								clearMsgCodeTimer(); // 清除短信验证码计时器
								return false;
							}else{
								layerUtils.iMsg(-1,"绑定成功");
								setTimeout(function(){
									appUtils.pageInit("account/boundBankCard","account/myBankCard");
								},1000);
							}
						});
					}
				});
			}
		});
	}
	
	/**
	 * 信息校验
	 */
	function check(){
		var bankName = $(_pageId+" #chosenBank").html(); //银行名称
		var bankcardno = $(_pageId+" #bankcardno").val(); //银行卡号
		var username = $(_pageId+" #username").val(); //姓名
		var idno = $(_pageId+" #IDnumber").val(); //身份证号码
		var reservedphone = $(_pageId+" #reservedphone").val(); //银行预留手机号
		if(bankName == "" || bankName == null){
			layerUtils.iMsg(-1,"请选择银行");
			return false;
		}
		if(bankcardno == "" || bankcardno == null){
			layerUtils.iMsg(-1,"银行卡号不能为空");
			return false;
		}
		if(!validatorUtil.isBankCode(bankcardno)){
			layerUtils.iMsg(-1,"请输入正确的银行卡号!");
			return false;
		}
		if(username == "" || username == null){
			layerUtils.iMsg(-1,"姓名不能为空");
			return false;
		}
		if(idno == "" || idno == null){
			layerUtils.iMsg(-1,"身份证号码不能为空");
			return false;
		}
		if(reservedphone == "" || reservedphone == null){
			layerUtils.iMsg(-1,"银行预留手机号不能为空");
			return false;
		}
		if(!validatorUtil.isMobile(reservedphone)){
			layerUtils.iMsg(-1,"请输入正确的手机号码!");
			return false;
		}
		return true;
	}
	
	/**
	 * 清除短信验证码计时器
	 */
	function clearMsgCodeTimer()
	{
		window.clearInterval(timer);
		timer = null;
		var $code = $(_pageId + " #getverificode");
		$code.attr("data-state", "true");
		$code.css({"border":"1px solid #37b111","background":"#83c86e"});
		i = 60;
		$code.html("获取验证码");
	}
	
	/**
	 * 启动短信验证码计时器
	 */
	function startMsgCodeTimer()
	{
		var showTips = function(){
			var $code = $(_pageId + " #getverificode");
			$code.attr("data-state","false");//点击不能发送
			$code.css({"border":"1px solid #b1a5a0","background":"#b1a5a0"});
			if(i >= 1)
			{
				$code.html("" + i + "s后重发");
				i--;
			}
			else
			{
				window.clearInterval(timer);
				timer = null;
				i=60;
				$code.attr("data-state","true");
				$code.html("获取验证码");
			}
		};
		timer = setInterval(showTips, 1000);
		isSendPhone = true;
	}
	
	//绑定事件
	function bindPageEvent(){
		/**
		 * 返回
		 */
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
		/**
		 * 银行列表显示与隐藏
		 */
		appUtils.bindEvent($(_pageId+" #selectBank"),function(){
			$(_pageId+" .zh-mask").toggle();
		});
		/**
		 * 银行列表的关闭事件
		 */
		appUtils.bindEvent($(_pageId+" .mask-cancel"),function(){
			$(_pageId+" .zh-mask").toggle();
		});
		/**
		 * 发送验证码
		 */
		appUtils.bindEvent($(_pageId+" #getverificode"),function(){
			if($(_pageId + " #getverificode").attr("data-state")=="false"){
				return false;
			}
			phoneNum =  $.trim($(_pageId+" #reservedphone").val());
			if(check()){
				startMsgCodeTimer(); // 启动短信验证码计时器
				//bindBank();
				simultRegist();
			}
		});
		/**
		 * 完成
		 */
		appUtils.bindEvent($(_pageId+" .ce_btn a"),function(){
			var mobile = $.trim($(_pageId+" #reservedphone").val());
			if( phoneNum == "" || !isSendPhone || mobile != phoneNum){
				layerUtils.iMsg(-1,"您未获取验证码!");
				return false;
			}
			checkCode();
		});
		
		
		appUtils.bindEvent($(_pageId+" input[keyboard-plugin='true']"),function(e){
		    	e.stopPropagation();
			});
		//点击页面关闭软键盘
		appUtils.bindEvent($(_pageId),function(e){
			e.stopPropagation();
		});
		
	}

	
	function simultRegist(){
		var param = {
			"mobile_phone":$(_pageId+" #reservedphone").val()
		};
		service.queryMobilePhoneState(param,function(data){
			if(data.error_no!="0"){
				layerUtils.iMsg(-1,data.error_info);
	    		layerUtils.iLoading(false);
	    		clearMsgCodeTimer(); // 清除短信验证码计时器
	    		return false;
			}else{
				var results = data.results;
				var is_register = results[0].is_register;
				var is_client = results[0].is_client;
				var is_risk = results[0].is_risk;
				var is_pwd = results[0].is_pwd;
				var is_bank = results[0].is_bank;
				var user_id = appUtils.getSStorageInfo("user_id");
				if(is_register&&is_register=="1"&&is_client&&is_client=="0"){
					identity(user_id);
				}else if(is_pwd&&is_pwd=="0"){
					setPwd(user_id);
				}else if(is_bank&&is_bank=="0"){
					bindBank(user_id);
				}else{
					bindBank(user_id);
				//	layerUtils.iMsg(-1,"该手机号码已成功开户");
				//	clearMsgCodeTimer(); // 清除短信验证码计时器
				}
			}
		});
	}
	
	function setPwd(user_id){
		var param = {
			"user_id":user_id,
			"oper_type":"0"
		};
		service.setPwd(param,function(data){
			if(data.error_no!=0){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				clearMsgCodeTimer(); // 清除短信验证码计时器
				return false;
			}else{
				bindBank(user_id);
			}
		});
	}
	
	function identity(user_id){
		var param1 = {
			"user_id":user_id,
			"identity_type":"00",
			"identity_num":$(_pageId+" #IDnumber").val(),
			"user_name":$(_pageId+" #username").val()
		};
		service.saveUserInfo(param1,function(data){//添加
	    	if(data.error_no!="0"){
	    		layerUtils.iMsg(-1,data.error_info);
	    		layerUtils.iLoading(false);
	    		clearMsgCodeTimer(); // 清除短信验证码计时器
	    		return false;
	    	}else{
	    		var result = data.results;
	    		var client_no = result[0].client_no;
	    		var user_name = result[0].user_name;
	    		var identity_num = result[0].identity_num;
	    		if(client_no){
					appUtils.setSStorageInfo("client_no",client_no);
				}
	    		if(user_name){
	    		    appUtils.setSStorageInfo("user_name",user_name);
	    		}
	    		if(identity_num){
	    		  	appUtils.setSStorageInfo("identity_num",identity_num);
	    		}
	    		var paramO = {
					"user_id":user_id
				};
				service.openingCapitalAccount(paramO,function(data){
					if(data.error_no!="0"){
						layerUtils.iMsg(-1,data.error_info);
						layerUtils.iLoading(false);
						clearMsgCodeTimer(); // 清除短信验证码计时器
						return false;
					}else{
						var results = data.results;
						var external_account = results[0].external_account;
						if(external_account){
							appUtils.setSStorageInfo("external_account",external_account);
						}
						var param = {
							"user_id":user_id
						};
						service.signZhAgreement(param,function(data){
							if(data.error_no!="0"){
								layerUtils.iMsg(-1,data.error_info);
								layerUtils.iLoading(false);
								clearMsgCodeTimer(); // 清除短信验证码计时器
								return false;
							}else{
								setPwd(user_id);
							}
						});
					}
				});
			}
	    });
	}
	
	/**
	 * 原生键盘的输入事件
	 * @param curKeyCode 当前输入值
	 */
	function inputEvent(curKeyCode)
	{
		var $curInput = $(_pageId + "#" + curInputId);
		var curVal = $curInput.val();
		//curTxt = typeof(curTxt) == "undefined" ? "" : curTxt;
		// {"CLEAR":-2, "DONE": -3, "DEL": -5}; //常量，键盘上面的按键对应编码（-2表示清空，-3表示完成，-5表示删除）
		switch(Number(curKeyCode))
		{
			case -2: 
				$curInput.val("");
				break;
			case -3:
				break;
			case -5:
				$curInput.val(curVal);
				break;
			default:
				if(curVal.length >= 1)
				{
					$curInput.val(curVal);
				}
				clearTimeout(pwdTimer);
				pwdTimer = null;
				break;
		}
	}
	
	//销毁
	function destroy(){
		$(_pageId+" #chosenBank").html("").removeAttr("bank_no");
		$(_pageId+" #bankcardno").val("");
		$(_pageId+" #username").val("");
		$(_pageId+" #IDnumber").val("");
		$(_pageId+" #reservedphone").val("");
		$(_pageId+" #verification").val("");
		clearMsgCodeTimer(); //重置计时器
	}
	
	var boundBankCard = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	// 暴露对外的接口
	module.exports = boundBankCard;
	
});