define('mall/scripts/account/investContentFirst.js',function(require, exports, module) {
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var _pageId = "#account_investContentFirst ";
	var external = require("external");
	var platform=require("gconfig").platform;
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var common=require("common");
	//初始化
	function init(){
		common.initTitle(_pageId);
		var name = appUtils.getPageParam().pageTypeName;
		$(_pageId+" .new-header h1").html(name);
		$(_pageId+" .find-box h2").html(name);
		getTitle();
		$(_pageId+".main").css({
			"overflow-y":"auto",
			"overflow-x":"hidden",
			"height":($(window).height()-$(_pageId+".new-header").height()-1)+"px"
		});
	}
	
	//获取标题
	function getTitle(){
		var catalog_id = appUtils.getPageParam().catalog_id;
		var param = {
			"catalog_id":catalog_id,
		};
		
		service.showTitle(param,function(data){
			if(data.error_no != "0"){
				layerUtils.iAlert(data.error_info);
				return false;
			}else{
				var results = data.results;
				var str = "";
				
				for(var i = 0;i < results.length;i++){
					var article_id = results[i].article_id;
					var title = results[i].title;
					var publish_date = results[i].publish_date;
					var link_url = results[i].link_url;
				    var type = results[i].type;
				    var app_video = results[i].app_video;
					publish_date = publish_date.substring(0,4)+"."+publish_date.substring(5,7)+"."+publish_date.substring(8,10);
					str += '<li type="'+type+'" app_video="'+app_video+'" link_url="'+link_url+'" article_id="'+ article_id +'"><a href="javascript:void(0);"><strong>'+ title.substring(0,15) +' ......</strong><em>&nbsp&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'+ publish_date +'</em></a></li>';
				}
				$(_pageId+" .financial-list").html(str);
				$(_pageId+" .financial-list li a strong").css({"overflow": "hidden",
																"float":"left",
																"width": "57%",
																"height": "40px",
																"text-overflow": "ellipsis",
																"white-space": "nowraps"
															});
				$(_pageId+" .financial-list li a em").css({ "float":"right",
 														   "width": "30%",
														   "height":"30px",
														   "padding-right":"12%"
														});
				appUtils.bindEvent($(_pageId+" .financial-list li"),function(){
					var id = $(this).attr("article_id");
					var link_url = $(this).attr("link_url").trim();
					var type = $(this).attr("type").trim();
					var title = $(this).find("strong").html();
					var app_video = $(this).attr("app_video");
					if(app_video != "" ){
						var param = {
								"funcNo":"50275",
								"title":title,
								"mediaUrl":app_video
						};
						external.callMessage(param);
					}else if(type == '1'||type == '3'){
						var param = {
							"funcNo" : "50109",
							"url" : link_url
						};
						external.callMessage(param);
					}else if(type == '2'){
						url = "http://tjjd.avicsec.com/"+link_url;
						var param = {
								"funcNo" : "50240",
								"url" : url,
								"title":title
							};
							external.callMessage(param);
					}else{
						var param = {
							"article_id" : id
						};
						appUtils.pageInit("account/investContentFirst","account/investContent",param);
					}
					
				});
			}
		});
	}

	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
	}
	
	function destroy(){
		
	}
	
	var investContentFirst = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = investContentFirst;
	
});