/**
 * 视频产品列表信息
 */
define('mall/scripts/account/kecheng.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var _pageId = "#account_kecheng ";
	var external = require("external");
	var common = require("common");
	var gconfig = require("gconfig");
	var platform=gconfig.platform;
	var global = gconfig.global;
	var  spdj="";
	
	//初始化
	function init(){
		common.initTitle(_pageId);
		$(_pageId+".ul_elelist").html("");
		query();
	}
	/**
	 * 视频产品列表信息
	 */
	function query(){
		spdj= appUtils.getPageParam().spdj;
		var param = {
				"spdj":spdj,
				"userId":appUtils.getSStorageInfo("user_id"),
				"loginFlag":appUtils.getSStorageInfo("loginType")
		};
		//查询课程介绍
		service.findBySpkcjs(param,function(data){
			if(data.error_no == "0"){
				var result = data.results;
				if(result.length>0){
					$(_pageId+" #content").html(result[0].syllabus_target);//课程介绍
				}
			}else{
				layerUtils.iMsg(-1,data.error_info);
			}
		},"");
		
		//查询课程列表
		service.findByParentId(param,function(data){
			if(data.error_no == "0"){
				var result = data.results;
				for(var i = 0;i<result.length;i++){
					var photo = result[i].photo;//产品图片
					var inst_sname = result[i].inst_sname;//产品名称
					var intro = result[i].intro;//产品简介
					var inst_id = result[i].inst_id;//产品ID
					var spdj  = result[i].spdj;//视频等级
					var issp = result[i].issp;//视频产品
					var original_price = result[i].original_price;//产品购买金额
					var isGm=result[i].isGm;//是否购买，1 已购买
					var li =" <li spdj="+spdj+" inst_id="+inst_id+" issp="+issp+">"; 
					li += "	<div class='elelist_right'>";
					if("1"==isGm){
						li += "	<a href='javascript:void(0);'>点击观看</a>";
					}else{
						li += "	<a href='javascript:void(0);'>￥"+original_price+".00</a>";
					}
					li += "	</div>";
					li += "	<div class='elelist_left'>";
					li += "	<div class='img1_box'>";
					li += "	<img src='"+photo+"' />";
					li += "	</div>";					
					li += "	<span class=\"ellipsis\">"+inst_sname+"</span>";
					li += "	<p class=\"ellipsis\">"+intro+"</p>";
					li += "	</div>	";							
					li += " </li>";
					$(_pageId+" #ul_elelist").append(li);
				}
			}else{
				layerUtils.iMsg(-1,data.error_info);
			}
		},"");
		
	}
	
	
	//绑定事件
	function bindPageEvent(){
		appUtils.bindEvent($(_pageId+".header_inner a"),function(){
			appUtils.pageInit("account/kecheng","account/home");
		});

		appUtils.bindEvent($(_pageId + ".icon_back"), function(e){
			appUtils.pageBack();
		}); 
		//点击金额购买视频产品
		appUtils.preBindEvent($(_pageId+" #liebiao"),"li",function(){
			var product_id = $(this).attr("inst_id");
			var issp = $(this).attr("issp");
			var user_id = appUtils.getSStorageInfo("user_id");
			videoDetail(product_id,issp);
			/*if(user_id==""||user_id==null){
				var pageParam = appUtils.getPageParam();
				var param = {
					"product_type":"7",
					"product_id":product_id
				};
				appUtils.pageInit("account/home","account/userLogin",param);
			}else{
					var param = {
						"product_id":product_id,
						"product_type" : "7",
						"dingy_type":"5",
						"sub_type":"2",
						"spdj":spdj,
						"page_code":"account/home"
					};
					appUtils.pageInit("account/kecheng","account/selPayMethod",param);
			}*/
		});
	}
	//进入视频详情页
	function videoDetail(product_id,issp){
		var param = {
			"product_id":product_id,
			"issp":issp
		};
		appUtils.pageInit("account/kecheng","account/bofang",param);
	}
	
	//销毁
	function destroy(){
		
	}
	
	var accountGuide = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	// 暴露对外的接口
	module.exports = accountGuide;
	
});