/**
 * 我的银行卡
 */
define('mall/scripts/account/myBankCard.js',function(require, exports, module){
	var appUtils = require("appUtils");
	var	layerUtils = require("layerUtils");
	var	service = require("mobileService");
	var	common = require("common");
	var	_pageId = "#account_myBankCard ";
	var external = require("external");
	var platform = require("gconfig").platform;
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL=global.url;
	
	//初始化
	function init(){

		common.initTitle(_pageId);
		$(_pageId).css("background","#fff");
		
		var loginType = appUtils.getSStorageInfo("loginType");
		if(loginType == "0")
		{
			queryBoundCard();
		}
		
		$(_pageId+" .main").css({
			"overflow-y":"auto",
			"overflow-x":"hidden",
			"height":($(window).height()-$(_pageId+" .new-header").height()-1)+"px"
		});
	}
	
	/**
	 * 查询已绑定的银行卡
	 */
	function queryBoundCard(){
		var param = {
			"phoneNo" : appUtils.getSStorageInfo("mobile_phone"), //手机账户
			"bzjClientNo" : "",
			"user_id" : appUtils.getSStorageInfo("user_id")
		};
		var callBack = function(data){
			if(data)
			{
				if(data.error_no == "0")
				{
					var results = data.results;
					var bankstr = "";
					for(var i = 0;i < results.length;i++){
						var bank_account = results[i].bank_account;
						var source = results[i].source;
						if(source == "2")
						{
							bankstr += '<div class="inner my_bank_card">'+
									   '<div style="height: 66px;margin-top: -10px;"><img src="'+URL+results[i].bankImg+'" style="width: 66px;height:66px;"><span style="vertical-align: middle;height: 66px;line-height: 66px;">'+results[i].bankName+'</span></div>'+
									   '<h5>'+bank_account.substring(0,4)+'  ****  ****  '+ bank_account.substring(bank_account.length-4,bank_account.length)+'</h5>'+
									   '<p>已绑定到支付渠道</p><span class="union"></span></div>';
						}
					}
					$(_pageId+" #banklist").html(bankstr);
				}
				else
				{
					layerUtils.iMsg(-1,data.error_info);
					return false;
				}
			}
		};
		service.selectPayMethod(param,callBack);
	}
	
	//绑定事件
	function bindPageEvent(){
		/**
		 * 返回
		 */
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageInit("account/myBankCard","userCenter/wd");
			/*appUtils.pageInit("account/myBankCard","account/mySpace");/* userCenter/wd添加更多银行卡 */
		});
		/**
		 * 添加更多银行卡
		 */
		appUtils.bindEvent($(_pageId+" .add_bank_card"),function(){
			appUtils.pageInit("account/myBankCard","account/boundBankCard");
		});
	}
	
	//销毁
	function destroy(){
	}
	
	var myBankCard = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	
	// 暴露对外的接口
	module.exports = myBankCard;
	
});