define('mall/scripts/account/newStockList.js', function(require, exports,
		module) {
	var appUtils = require("appUtils");
	var putils = require("putils");
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var HIscroll = require("hIscroll");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var ytgService = require("ytgService"); // 业务层接口，请求数据
	var constants = require("constants");// 常量类
	var _pageId = "#account_newStockList ";
	var common=require("common");
	// 初始化
	function init() {
		common.initTitle(_pageId);
		queryStockInfo("");
	}
	function queryStockInfo(trd_code) {

		var param = {
			"trd_code" : trd_code
		};
		service.getStockInfo(param, function(data) {
			if (data.error_no == "0") {
				$(_pageId + " .new-stock-table table tbody").html("");
				var xgresult = data.results;
				var results = data.results[0].data;
				// if(results.length>0){
				for ( var i = 0; i < results.length; i++) {
					var trd_code = results[i].trd_code;
					var sub_bgn_dt_on = results[i].sub_bgn_dt_on;
					var str = sub_bgn_dt_on.split("-");
					var ym = str[1] + "/" + str[2];
					var year = str[0];
					var gpjc = results[i].gpjc;
					var sgdm = results[i].sgdm;
					var fxsl = results[i].fxsl;
					var fxsl_on = results[i].fxsl_on;
					var fxjg = results[i].fxjg;
					var sub_shr_max_on = results[i].sub_shr_max_on;
					var pelst_dt_dil = results[i].pelst_dt_dil;
					var alot_rslt_ntc_dt = results[i].alot_rslt_ntc_dt;
					var str1 = alot_rslt_ntc_dt.split("-");
					var year1 = str[0];
					var pe_dil = results[i].pe_dil;
					var ys = str[1] + "/" + str[2];
					var lst_dt = results[i].lst_dt;
					li = "<tr><td><p>" + year + '</p><span>' + ym
							+ "</span></td><td><p>"+gpjc+"</p><span>" + trd_code + "</span></td><td>" + sgdm + "</td><td>" + fxsl
							+ '</td><td>'+pe_dil+'</td><td><p>' + year1 + "</p><span>"
							+ ys + '</span></td></tr>';
					$(_pageId + " .new-stock-table table tbody").append(li);
				}
				if (results.length == 0) {
					li = "<tr><td colspan='7'>无结果...</td></tr>";
					$(_pageId + " .new-stock-table tbody").html(li);
				}
			} else {
				layerUtils.iAlert(data.error_info, -1);
			}
		});
	}
	
	/**
	 * 股票自动补全输入
	 * */
	function stockAutoInput(){
		var param = {
				"stock_code" : stock_code,
				"limit" :5
		};
		var reqParamVo = {
				"isShowWait" : false
		};
		ytgService.stockAutoInput(param,function callBack(resultVo){
			if(Number(resultVo.error_no) == 0){
				$(_pageId + "#stockName").html("");
				var result = resultVo.results;
				if(result != null && result != ""){
					$(_pageId + '#autoSotck').html("");
					var html = '';
					for(var  i=0; i<result.length; i++){
						html  += '<li id="'+result[i].stock_code+'"><span class="num">'+result[i].stock_code+'</span><span class="text-left">'+result[i].stock_name+'</span></li>';
					}
					$(_pageId + '#autoSotck').append(html);
					if(stock_code.length==6&& result.length == 1){
						$(_pageId + '#autoSotck').hide();
					}else{
						$(_pageId + '#autoSotck').show();
						//点击股票,查询股票详情,填充数据（绑定事件）
						appUtils.bindEvent($(_pageId + "#autoSotck li"), function(e) {
							stock_code = $(this).attr("id"); //获股票代码
							$(_pageId + '#stockCode').val(stock_code);
							$(_pageId + '#autoSotck').hide();
						});
					}
				}
			}
			else{
				layerUtils.iAlert("股票自动补全输入失败:"+resultVo.error_info,-1);
			}
		},reqParamVo);
	}
	
	// 绑定事件
	function bindPageEvent() {
		// 返回
		appUtils.bindEvent($(_pageId + " .icon_back"), function() {
			appUtils.pageBack();
		});
		appUtils.bindEvent($(_pageId + " #souSotckBtn"), function() {
			queryStockInfo($(_pageId + " #stockCode").val());
		});
		// 精彩
		appUtils.bindEvent($(_pageId + " .ft-4"), function() {
			appUtils.pageInit("account/newStockList", "account/index");
		});
		// 发现
		appUtils.bindEvent($(_pageId + " .ft-2"), function() {
			appUtils.pageInit("account/newStockList", "account/found");
		});
		// 资产
		appUtils.bindEvent($(_pageId + " .ft-3"), function() {
			appUtils.pageInit("account/newStockList", "userCenter/index");
		});
		
		//根据输入框输入值自动加载诊断数据
		appUtils.bindEvent($(_pageId + " #stockCode"), function(event) {
			event.stopPropagation(event);
			stock_code = $(this).val();
			if(stock_code != ""){
				stockAutoInput();
			}
			else{
				$(_pageId + '#autoSotck').hide();
			}
				
		},"input");
	}

	// 销毁
	function destroy() {

	}

	var newStockList = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	module.exports = newStockList;
});