/**
 * 风险测评
 */
define('mall/scripts/account/otcAccountRisk.js',function(require, exports, module) {
	var appUtils = require("appUtils");
	var	layerUtils = require("layerUtils");
	var	validatorUtil = require("validatorUtil"); 
	var	service = require("mobileService"); 
	var	global = require("gconfig").global; 
	var	_pageId = "#account_otcAccountRisk ";
	var wjhm = "13";
	var _curPageCode;
	var common=require("common");
	function init() {
		common.initTitle(_pageId);
		$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height()-$(_pageId+".header").height()-$(_pageId+".footer-box").height()-20)+"px"});
		getQuestionRisk();
		var isCp = appUtils.getPageParam().isCp;
	    var isKh = appUtils.getPageParam().isKh;
	    if(isCp == "1"&&isKh == "1"){
	    	$(_pageId+" .header-con h1").html("首次购买请做风险测评");
	    }else if(isCp == "0"&&isKh == "1"){
	    	$(_pageId+" .header-con h1").html("请确认您的风险等级");
	    }
	}
	// 绑定事件
	function bindPageEvent() {
		_curPageCode = appUtils.getSStorageInfo("_curPageCode");// 当前页 pageCode
		appUtils.bindEvent($(_pageId + ".icon_back"), function() {
			appUtils.pageInit("account/otcAccountRisk","account/index");
		});
		appUtils.bindEvent($(_pageId+" .thinkive-btn a"),function(){
			var select = checkQuestionSelect();
			if(select == ""){
				submit();
			}else{
				layerUtils.iMsg(-1, select +"题您未选择,请核对后提交");
			}
		});
	}
	/**
	 * 查询风险测评题目 获取题目之后，查询用户是否已做过的风险题答案， 如果有则初始化选项选择
	 */
	function getQuestionRisk() {
		var register_corp_code = appUtils.getSStorageInfo("register_corp_code");
		var param = {
			"cpjg" : register_corp_code,
			"khh":appUtils.getSStorageInfo("khh")
		};
		service.queryEval(param, function(data) {
			if (data.error_no == "0") {
				var results = data.results;
				if (results && results.length > 0) {
					fillData(results);
				}
			} else {
				layerUtils.iAlert(data.error_info, -1);
			}
		}, {
			"isLastReq" : true,
			"isShowWait" : false
		});
	}
	
	/**
	 * 填充风险测评题
	 */
	function fillData(results){
		var str = "";
		str += '<div class="per-risk-con">';
		for(var i=0;i<results.length;i++){
			//answers = strToArray(results[i].answers);
			answers=results[i].answers;
			wjhm = results[i].question_wjhm;
			var tmdas = answers.split(";");
			question_id = results[i].question_id,
			question_title = results[i].question_title;
			question_no = results[i].question_no;
	      	str += '<dl id="'+question_id+'"><dt>'+(i+1)+'.'+question_title+'</dt><dd><ul class="per-risk-list">';
			for(var j=0;j<tmdas.length;j++){
				var descriptions =  tmdas[j].split("|");
				str += '<li anw="'+question_no+'|'+descriptions[0]+'">'+descriptions[1]+'</li>';
			}
			str += '</ul></dd></dl>';
		}
		str += '</div>';
		$(_pageId+" #risk_show").html(str);
		// 为选择按钮添加事件
		appUtils.bindEvent($(_pageId + " .per-risk-list li"),function() {
			if (!$(this).hasClass("new-risk-sec")) {
				$(this).addClass("new-risk-sec");
			}
			$(this).siblings().removeClass("new-risk-sec");
		});
	}
	
	/**
	 * 字符串还原为数组
	 * 
	 * @param {Object}
	 *            str
	 */
	function strToArray(str) {
		if (validatorUtil.isNotEmpty(str)) {
			str = str.replaceAll("=", ":'");
			str = str.replaceAll("}, ", "'},");
			str = str.replaceAll("}]", "'}]");
			str = str.replaceAll(", ", "',");
			str = str.replaceAll("%", "");
			str = str.replaceAll("\r", "");
			str = str.replaceAll("\n", "");
			var data = "";
			eval("data=" + str);
			return data;
		}
	}
	/**
	 * 检查问题选择(是否有未选择项等)
	 */
	function checkQuestionSelect() {
		var $questionsArr = $(_pageId + ".per-risk-con dl dd ul");
		var anw = "";
		for(var i=0,length=$questionsArr.length; i < length; i++){
			var $sel = $($questionsArr[i]).children(".new-risk-sec");
			if($sel.length == 0){
				if(anw != ""){
				   anw +="，";
				}
				anw += (i+1)+"";
				continue;
			}
		}
		return anw;
	}
	
	//提交风险测评答案(资金账号)
	function submit(){
		var paper_answer = "";
		var answer = "";
		var $questionsArr = $(_pageId + ".per-risk-con dl dd ul");
		var register_corp_code = appUtils.getSStorageInfo("register_corp_code");
		
		for(var i=0;i<$questionsArr.length;i++){
			var anw = $($questionsArr[i]).children(".new-risk-sec").attr("anw");		
			paper_answer += anw+";";
		}
		
		var _prePageCode = appUtils.getSStorageInfo("_prePageCode");
		var param;
		if(_prePageCode == "payment/paymentPage"){
			param = {
		        "risk_level" : appUtils.getPageParam().risk_level,
		        "isCp" : appUtils.getPageParam().isCp,
		        "isKh" : appUtils.getPageParam().isKh,
		        "khh" : appUtils.getPageParam().khh,
		        "wjhm" : wjhm,
		        "zjlb" : "0",
		        "zjbh" : appUtils.getPageParam().identity_num,
		        "khxm" : appUtils.getPageParam().user_name,
		        "tmda" : paper_answer,
		        "fxjg" : appUtils.getSStorageInfo("register_corp_code")
			};
		}else{
			param = {
		        "risk_level" : appUtils.getSStorageInfo("risk_level"),
		        "isCp" : appUtils.getPageParam().isCp,
		        "isKh" : appUtils.getPageParam().isKh,
		        "khh" : appUtils.getSStorageInfo("khh"),
		        "wjhm" : wjhm,
		        "zjlb" : "0",
		        "zjbh" : appUtils.getSStorageInfo("identity_num"),
		        "khxm" : appUtils.getSStorageInfo("user_name"),
		        "tmda" : paper_answer,
		        "fxjg" : appUtils.getSStorageInfo("register_corp_code")
			};
		}
		
		service.submitAns(param, function(data) {
			if(data.error_no!="0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}else{
				var results = data.results;
//				if(appUtils.getPageParam().isCp == "1"){
//					appUtils.setSStorageInfo("risk_level",results[0].fid_tzzfl);
//				}
				var pageInParam  = appUtils.getPageParam();
				var param={
					"risk_level":results[0].fid_tzzfl,
					"user_id" : pageInParam.user_id,
					"khh" : pageInParam.khh,
					"product_id" : pageInParam.product_id,
					"tot_price" : pageInParam.tot_price,
					"pageType" : "0",
					"product_type":pageInParam.product_type,
					"isKh":appUtils.getPageParam().isKh,
					"isCp":appUtils.getPageParam().isCp
				};
			appUtils.pageInit("account/otcAccountRisk", "riskTest/riskResult", param);
				
				
			}
		});
	}
	

	function destroy() {
	}

	var otcAccountRisk = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = otcAccountRisk;
});