/**
 * 选择支付方式
 */
define('mall/scripts/account/selPayMethod.js',function(require, exports, module){
	var appUtils = require("appUtils");
	var	layerUtils = require("layerUtils");
	var	service = require("mobileService");
	var	common = require("common");
	var	_pageId = "#account_selPayMethod ";
	var validatorUtil= require("validatorUtil");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var putils = require("putils");
	var curInputId = null;
	var pwdTimer = null; // 密码输入框计时器
	var constants=require("constants");//常量类
	var fundacc;  //资金账号
 	
	//下标0的元素表示头部滑动，1、2、3分别表示推荐理财、推荐基金和推荐资讯
	var customHIscroll= [{"scroll":null,"_init":false},{"scroll":null,"_init":false},{"scroll":null,"_init":false}];
	var HIscroll =require("hIscroll");
	var picLoadTimer = null;
	var prePageCode2="";
	var isjtxs = "";//集团尊贵产品
	var zffs = "";//支付方式
	//初始化
	function init()
	{
		common.initTitle(_pageId);
		prePageCode2 = appUtils.getPageParam("prePageCode");
		$(_pageId).css("background","#fff");
		isjtxs = appUtils.getPageParam("isjtxs");
		zffs = appUtils.getPageParam("zffs");
		$(_pageId+" .hid").css({"width":"70px","color":"#fff"});
		$(_pageId+" .pay_main .type_list dd").css({"font-size":"12px","margin-left":"1%"});
		$(_pageId+" .fix_add").css("margin-top","5%");
		$(_pageId+" #tradePwd").css({
			"height": "30px",
			"color": "black"
		});
		$(_pageId+" #gou_mai").css({
			"background": "#EFAE7A",
			"border": "1px solid #C25D19",
			"border-radius":" 0.05rem",
			"padding":" 0 0.15rem",
			"height": "0.24rem",
			"line-height": "0.24rem",
			"right": "0.15rem",
			"color": "#FFFFFF"
		});
		$(_pageId+".querenzhifu").css({
			"margin-left": "32%",
			"margin-top": "10px"
		});
		var isMainPageHeight = $(window).height();		
		var sessionMainHeight = appUtils.getSStorageInfo("isMainPageHeight");
		if(sessionMainHeight)
		{
			$(_pageId+".main").css({
				"overflow-y":"auto",
				"overflow-x":"hidden",
				"height":(sessionMainHeight-$(_pageId+" .new-header").height()-1)+"px"
			});
		}
		else
		{
			$(_pageId+".main").css({
				"overflow-y":"auto",
				"overflow-x":"hidden",
				"height":($(window).height()-$(_pageId+" .new-header").height()-1)+"px"
			});
			appUtils.setSStorageInfo("isMainPageHeight",isMainPageHeight);
		}
		
		var pageParam = appUtils.getPageParam();
		var product_type = pageParam.product_type;
		if(product_type == "7"){
			$(_pageId+" .value_box").hide();
		}else{
			$(_pageId+" .value_box").show();
			var tot_price = pageParam.tot_price;
			$(_pageId+" .value_box strong").html(putils.fmoney(tot_price) + "<span>元</span>");
		}
		$(_pageId + ".querenzhifu").val(""); // 清除密码
		selectPayMethod();
		
		window.customKeyboardEvent = {
			keyBoardInputFunction: inputEvent
		};
	}
	
	/**
	 * 选择支付方式(保证金支付、银行卡支付)
	 */
	function selectPayMethod()
	{
		var param;
		var loginType = appUtils.getSStorageInfo("loginType"); //loginType 0手机账户登录1保证金账户登录
		if(loginType == "0")
		{
			param = {
				"phoneNo" : appUtils.getSStorageInfo("mobile_phone"), //手机账户
				"bzjClientNo" : "",
				"user_id" : appUtils.getSStorageInfo("user_id")
			};
		}
		else
		{
			param = {
				"phoneNo" : "",
				"bzjClientNo" : appUtils.getSStorageInfo("FID_KHH"), //保证金账户
				"user_id" : appUtils.getSStorageInfo("user_id")
			};
		}
		service.selectPayMethod(param,function(data){
			if(data.error_no != "0")
			{
				layerUtils.iMsg(-1,data.error_info);
				return false;
			}
			else
			{
				var results = data.results;
				var bankstr = "";
				var navstr = "";
				for(var i = 0;i<results.length;i++)
				{
					var isChange = results[i].isChange;
					if(isChange == "1") //isChange 1没绑定账户	2已绑定账户
					{
						$(_pageId+" .fix_add").show(); //没绑定账户，页面显示"+"提示用户绑定账户
						$(_pageId+" .fix_add").css("margin-top","20%");
						$(_pageId+" #finanPay").attr("isChange",isChange);
						$(_pageId+" #otcPay").attr("isChange",isChange);
						if(loginType == "0")
						{
							$(_pageId+" #finanPay").attr("checked",true); //自动勾选理财账户
							$(_pageId+" #finanPay").attr("khh",appUtils.getSStorageInfo("client_no"));
							$(_pageId+" #finanPay").attr("userId",appUtils.getSStorageInfo("user_id"));
							if(isjtxs!=""||zffs=="2"){
								//集团尊贵不显示第三方支付
								$(_pageId+" #sanf_zhif").hide();//隐藏银行滑动组件
								$(_pageId+" #bankpay").hide();
								$(_pageId+" #otcPay").attr("checked",true); //自动勾选保证金账户
							}else{
								var bank_account = results[i].bank_account;
								bankstr += '<div class="pay_box part" fund_account="'+results[i].fund_account+'"><div class="inner">'+
						                        '<span class="bank_name">'+results[i].bankName+'</span>'+
						                        '<h5 style="font-size: 100%">'+bank_account.substring(0,4)+' **** **** '+bank_account.substring(bank_account.length-4,bank_account.length)+'</h5>'+
						                        '<p>已绑定的三方支付方式</p><span class="union"></span></div></div>';
								if(i%2 == 0)	//导航点，每两张银行卡一个导航点
								{
									if(i == 0)
									{
										navstr += '<em class="active"></em>';
									}
									else
									{
										navstr += '<em></em>';
									}
								}
								$(_pageId+" #scroller").html(bankstr);
								$(_pageId+" #nav").html(navstr);
								if(i == results.length - 1)
								{
									$(_pageId+" .bank_list").show();
								}
								initAdScroller();  //初始化银行卡滑动组件
								selectBankCard(); //绑定选择银行卡事件
								$(_pageId+" #otcpay").hide();
								$(_pageId+" #otcaccount").hide();
								$(_pageId+" #bankpay").show();
								$(_pageId+" .fix_add").css("padding","1.05rem 0 0.1rem");
							}
							
							
						}
						else
						{
							$(_pageId+" #otcPay").attr("checked",true); //自动勾选保证金账户
							$(_pageId+" #otcPay").attr("khh",appUtils.getSStorageInfo("FID_KHH"));
							$(_pageId+" #otcPay").attr("userId",appUtils.getSStorageInfo("user_id"));
							$(_pageId+" .type_list dd").html("资金账号：" + appUtils.getSStorageInfo("FID_KHH"));
							$(_pageId+" .bank_list").hide();
							$(_pageId+" #otcpay").show();
							$(_pageId+" #otcaccount").show();
							$(_pageId+" #bankpay").hide();
						}
					}
					else
					{
						var khh = results[i].khh;
						var source = results[i].source;
						var userId = results[i].userId;
						$(_pageId+" #otcPay").attr("isChange",isChange);
						$(_pageId+" #finanPay").attr("isChange",isChange);
						$(_pageId+" .fix_add").hide();
						if(isjtxs!=""||zffs=="2"){
							$(_pageId+" .bank_list").hide();
							$(_pageId+" #bankpay").hide();
							$(_pageId+" #otcPay").attr("checked",true); //自动勾选保证金账户
						}else{
							$(_pageId+" .bank_list").show();
							$(_pageId+" #bankpay").show();
						}
						
						$(_pageId+" #otcpay").show();
						$(_pageId+" #otcaccount").show();
						
						if(source == "1") //保证金
						{
							$(_pageId+" #otcPay").attr("khh",khh);
							$(_pageId+" #otcPay").attr("source",source);
							$(_pageId+" #otcPay").attr("userId",userId);
							$(_pageId+" .type_list dd").html("资金账号：" + khh);
						}
						else //理财户
						{
							$(_pageId+" #finanPay").attr("khh",khh);
							$(_pageId+" #finanPay").attr("source",source);
							$(_pageId+" #finanPay").attr("userId",userId);
							if(isjtxs!=""||zffs=="2"){
								$(_pageId+" .bank_list").hide();
								$(_pageId+" #bankpay").hide();
								$(_pageId+" #otcPay").attr("checked",true); //自动勾选保证金账户
							}else{
								var bank_account = results[i].bank_account;
								bankstr += '<div class="pay_box part" fund_account="'+results[i].fund_account+'"><div class="inner">'+
						                        '<span class="bank_name">'+results[i].bankName+'</span>'+
						                        '<h5 style="font-size: 100%">'+bank_account.substring(0,4)+' **** **** '+bank_account.substring(bank_account.length-4,bank_account.length)+'</h5>'+
						                        '<p>已绑定的三方支付方式</p><span class="union"></span></div></div>';
								if(i%2 == 0)
								{
									if(i == 0)
									{
										navstr += '<em class="active"></em>';
									}
									else
									{
										navstr += '<em></em>';
									}
								}
								$(_pageId+" #scroller").html(bankstr);
								$(_pageId+" #nav").html(navstr);
								initAdScroller();  //初始化银行卡滑动组件
								selectBankCard(); //绑定选择银行卡事件
							}
						
						}
					}
				}
			}
		});
	}
	
	/**
	 *  绑定选择银行卡事件
	 */
	function selectBankCard()
	{
		appUtils.bindEvent($(_pageId+" .scroll_bank .pay_box .inner"),function(){
			$(this).css("border-color","#CC1D58").parent().siblings().children().css("border-color","#DBE1E6");
			$(_pageId+" #finanPay").attr("checked",true); //自动勾选理财账户
		});
	}
	
	/**
	 * 检查是否选择银行卡
	 */
	function checkBankCard()
	{
		var fund_account;
		var $bankCardArr = $(_pageId+" .scroll_bank .pay_box .inner");
		var m = 0;
		for(var i = 0;i < $bankCardArr.length;i++)
		{
			var styleValue = $($bankCardArr[i]).attr("style")
			if(styleValue != undefined)
			{
				if(styleValue.indexOf("(204, 29, 88)") != -1)
				{
					m++;
					fund_account = $($bankCardArr[i]).parent().attr("fund_account");
				}
			}
		}
		if(m == 0)
		{
			layerUtils.iMsg(-1,"您还没选择银行卡");
			return false;
		}
		return fund_account
	}
	
	/**
	 * 是否开OTC户
	 */
	function isOpenOTC(risk_level,user_name,identity_num)
	{
		
		var user_id = $(_pageId+" input:checked").attr("userId");
		var khh = $(_pageId+" input:checked").attr("khh");
		
		var param = {
			"user_id": user_id,
        	"khh": khh,//客户号
        	"tadm": appUtils.getSStorageInfo("register_corp_code"),//机构代码
        	"risk_level": risk_level //风险等级
		};
		service.checkRiskAssessment(param,function(data){
			if(data.error_no != "0")
			{
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false
			}
			else
			{
				var results = data.results;
				var isKh = results[0].isKh;
				var isCp = results[0]. isCp;
				if(isKh == "1")	//是否需要开户	1需要   0不要
				{
					var param = {
						"product_id" : appUtils.getPageParam().product_id,
						"isKh" : isKh,
						"isCp": isCp,
						"khh" : khh,
						"risk_level" : risk_level,
						"user_name" : user_name,
						"identity_num" : identity_num,
						"tot_price" : appUtils.getPageParam().tot_price,
						"user_id" : user_id
					};
					appUtils.pageInit("account/selPayMethod","account/otcAccountRisk",param);
				}
			}
		});
	}
	
	/**
	 * 下单(OTC)
	 */
	function doOrder(pwd)
	{
		var product_id = appUtils.getPageParam().product_id;
		service.getRSAKey({},function(data){
			if(data.error_no == "0")
			{
				var modulus = data.results[0].modulus;
				var publicExponent = data.results[0].publicExponent;
				var endecryptUtils = require("endecryptUtils");
				var trade_pwd = endecryptUtils.rsaEncrypt(modulus,publicExponent,pwd);
				
				var user_id = $(_pageId+" input:checked").attr("userId");
				var khh = $(_pageId+" input:checked").attr("khh");
				var param="";
				if(appUtils.getPageParam().product_type == "7"){
					 param = {
						"user_id" : user_id,//用户ID
						"product_id" : appUtils.getPageParam().product_id,//产品ID
						"khh" : khh,//客户号
						"trade_pwd" : trade_pwd,//交易密码
						"source" : "1",//获取来源  1. 表示 保证金  2.表示理财户   默认 表示保证金
						"tot_price" : appUtils.getPageParam().tot_price,
						"business_type" : "",
						"productType":appUtils.getPageParam().product_type,
						"sub_type":appUtils.getPageParam().sub_type,
						"sub_cycle": appUtils.getPageParam().dingy_type
					};
				}else if(appUtils.getPageParam().product_type == "8"){
					param = {
							"user_id" : user_id,//用户ID
							"product_id" : appUtils.getPageParam().product_id,//产品ID
							"client_no" : khh,//客户号
							"khh" : khh,//客户号
							"trade_pwd" : trade_pwd,//交易密码
							"source" : "1",//获取来源  1. 表示 保证金  2.表示理财户   默认 表示保证金
							"tot_price" : appUtils.getPageParam().tot_price,
							"business_type" : "",
							"productType":appUtils.getPageParam().product_type,
							"sub_type":appUtils.getPageParam().sub_type,
							"sub_cycle": appUtils.getPageParam().dingy_type
						};
				}else if(appUtils.getPageParam().product_type == "5"){
					param = {
							"user_id" : user_id,//用户ID
							"product_id" : appUtils.getPageParam().product_id,//产品ID
							"client_no" : khh,//客户号
							"khh" : khh,//客户号
							"trade_pwd" : trade_pwd,//交易密码
							"source" : "1",//获取来源  1. 表示 保证金  2.表示理财户   默认 表示保证金
							"tot_price" : appUtils.getPageParam().tot_price,
							"business_type" : "",
							"productType":appUtils.getPageParam().product_type,
							"sub_type":appUtils.getPageParam().sub_type,
							"sub_cycle": appUtils.getPageParam().dingy_type,
							"middleman_phone":appUtils.getSStorageInfo("middleman_phone")
						};
				}else{
					 param = {
						"user_id" : user_id,//用户ID
						"product_id" : appUtils.getPageParam().product_id,//产品ID
						"khh" : khh,//客户号
						"trade_pwd" : trade_pwd,//交易密码
						"source" : "1",//获取来源  1. 表示 保证金  2.表示理财户   默认 表示保证金
						"tot_price" : appUtils.getPageParam().tot_price,
						"business_type" : ""
					};
				}
				if(appUtils.getPageParam().product_type == "8"){
					var param1={
							"product_id":product_id
					};
					//获取TA编码
					service.findFundById(param1,function(data){
						if(data.error_no!="0")
						{
							layerUtils.iAlert(data.error_info);
							layerUtils.iLoading(false);
							return false;
						}
							var results = data.results;				
							var fid_tadm = results[0].fid_tadm;//TA编码
							var	param3 = {
									"product_id" : appUtils.getPageParam().product_id,//产品ID
									"khh" : khh,//客户号
									"fid_tadm":fid_tadm,//TA编码
									"tot_price" : appUtils.getPageParam().tot_price,
									"trade_pwd":trade_pwd,
									"user_id":user_id
								};
							
						service.placeFund(param3,function(data){
							if(data.error_no != "0")
							{
								layerUtils.iMsg(-1,data.error_info);
								layerUtils.iLoading(false);
								return false;
							}else{
								$(_pageId+" .psd-box span").html("");//清空●
								$(_pageId + " #tradePwd").val(""); // 清除密码
								$(_pageId+" .yh-mask").hide();//隐藏密码输入框
								
//								if(platform == 0)
//								{
//									keyPanel.closeKeyPanel();
//								}
//						   	 	hideKeyboard();//隐藏原生键盘
								
								//购买成功跳转
						   		
								var param2="";
								var order_id = data.results[0].FID_WTH;//订单号
								if(appUtils.getPageParam().product_type == "8"){
									 param2 = {
										"product_type" :"8",
										"order_id":order_id,
										"tot_price":appUtils.getPageParam().tot_price
									};
								}else{
									 param2 = {
										"order_id":order_id,
										"tot_price":appUtils.getPageParam().tot_price,
										"product_type" : "1"
									};
								}
								appUtils.pageInit("account/selPayMethod","mall/finanOrder/payment",param2);
							}
					},"");
					},"");
				}else{
					service.placeOrder(param,function(data){
						if(data.error_no != "0")
						{
							$(_pageId+" .psd-box span").html("");//清空●
							$(_pageId + " #tradePwd").val(""); // 清除密码
							$(_pageId+" .yh-mask").hide();//隐藏密码输入框
							
							layerUtils.iMsg(-1,data.error_info);
							layerUtils.iLoading(false);
							return false;
						}
						else
						{
							order_id = data.results[0].order_id;
							if(appUtils.getPageParam().product_type == "7"){
								var param = {
									"product_type" :"7"
								};
							}else{
								var param = {
									"order_id":order_id,
									"tot_price":appUtils.getPageParam().tot_price,
									"product_type" : "1"
								};
							}
							appUtils.pageInit("account/selPayMethod","mall/finanOrder/payment",param);
						}
					});
				}
				
			}
		});
	}
	
	/**
	 * 下单(理财户) 
	 */
	function buyProduct(pwd)
	{
		var user_id=appUtils.getSStorageInfo("user_id");
		var product_id = appUtils.getPageParam().product_id;
		service.getRSAKey({},function(data){
			if(data.error_no=="0")
			{
				var modulus = data.results[0].modulus;
				var publicExponent =data.results[0].publicExponent;
				var endecryptUtils = require("endecryptUtils");
				var trade_pwd=endecryptUtils.rsaEncrypt(modulus,publicExponent,pwd);

				var user_id = $(_pageId+" input:checked").attr("userId");
				var khh = $(_pageId+" input:checked").attr("khh");
				var fund_account = $(_pageId+" input:checked").attr("fund_account");
				
				var param="";
				if(appUtils.getPageParam().product_type == "7"){
					 param={
						"client_no":khh,
						"user_id":user_id,
						"product_id":appUtils.getPageParam().product_id,
						"tot_price":appUtils.getPageParam().tot_price,
						"order_channel":"0",
						"source":"2",
						"trade_pwd":trade_pwd,
						"fund_account" : fundacc,
						"productType":appUtils.getPageParam().product_type,
						"sub_type":appUtils.getPageParam().sub_type,
						"sub_cycle": appUtils.getPageParam().dingy_type
					};
				}else if(appUtils.getPageParam().product_type == "8"){
					param = {
							"user_id" : user_id,//用户ID
							"product_id" : appUtils.getPageParam().product_id,//产品ID
							"client_no" : khh,//客户号
							"khh" : khh,//客户号
							"trade_pwd" : trade_pwd,//交易密码
							"source" : "1",//获取来源  1. 表示 保证金  2.表示理财户   默认 表示保证金
							"tot_price" : appUtils.getPageParam().tot_price,
							"business_type" : "",
							"productType":appUtils.getPageParam().product_type,
							"sub_type":appUtils.getPageParam().sub_type,
							"sub_cycle": appUtils.getPageParam().dingy_type
						};
				}else if(appUtils.getPageParam().product_type == "5"){
					param = {
							"user_id" : user_id,//用户ID
							"product_id" : appUtils.getPageParam().product_id,//产品ID
							"client_no" : khh,//客户号
							"khh" : khh,//客户号
							"trade_pwd" : trade_pwd,//交易密码
							"source" : "1",//获取来源  1. 表示 保证金  2.表示理财户   默认 表示保证金
							"tot_price" : appUtils.getPageParam().tot_price,
							"business_type" : "",
							"productType":appUtils.getPageParam().product_type,
							"sub_type":appUtils.getPageParam().sub_type,
							"sub_cycle": appUtils.getPageParam().dingy_type,
							"middleman_phone":appUtils.getSStorageInfo("middleman_phone")
						};
				}else{
					 param=
					{
						"client_no":khh,
						"user_id":user_id,
						"product_id":appUtils.getPageParam().product_id,
						"tot_price":appUtils.getPageParam().tot_price,
						"order_channel":"0",
						"source":"2",
						"trade_pwd":trade_pwd,
						"fund_account" : fundacc
					}
				}
				if(appUtils.getPageParam().product_type == "8"){
					var param1={
							"product_id":product_id
					};
					//获取TA编码
					service.findFundById(param1,function(data){
						if(data.error_no!="0")
						{
							layerUtils.iAlert(data.error_info);
							layerUtils.iLoading(false);
							return false;
						}
							var results = data.results;				
							var fid_tadm = results[0].fid_tadm;//TA编码
							var	param3 = {
									"product_id" : appUtils.getPageParam().product_id,//产品ID
									"khh" : khh,//客户号
									"fid_tadm":fid_tadm,//TA编码
									"tot_price" : appUtils.getPageParam().tot_price,
									"trade_pwd":trade_pwd,
									"user_id":user_id
								};
							
						service.placeFund(param3,function(data){
							if(data.error_no != "0")
							{
								layerUtils.iMsg(-1,data.error_info);
								layerUtils.iLoading(false);
								return false;
							}else{
								$(_pageId+" .psd-box span").html("");//清空●
								$(_pageId + " #tradePwd").val(""); // 清除密码
								$(_pageId+" .yh-mask").hide();//隐藏密码输入框
								
//								if(platform == 0)
//								{
//									keyPanel.closeKeyPanel();
//								}
//						   	 	hideKeyboard();//隐藏原生键盘
								
								//购买成功跳转
						   		
								var param2="";
								var order_id = data.results[0].FID_WTH;//订单号
								if(appUtils.getPageParam().product_type == "8"){
									 param2 = {
										"product_type" :"8",
										"order_id":order_id,
										"tot_price":appUtils.getPageParam().tot_price
									};
								}else{
									 param2 = {
										"order_id":order_id,
										"tot_price":appUtils.getPageParam().tot_price,
										"product_type" : "1"
									};
								}
								appUtils.pageInit("account/selPayMethod","mall/finanOrder/payment",param2);
							}
					},"");
					},"");
				}else{
					service.finanPuy(param,function(data){
						if(data.error_no!="0")
						{
							$(_pageId+" .psd-box span").html("");
					   	 	$(_pageId+" #layerCustom_pwd_again").val("");
							$(_pageId + " #tradePwd").val(""); // 清除密码
							$(_pageId+" .yh-mask").hide();
							layerUtils.iMsg(-1,data.error_info);
							layerUtils.iLoading(false);
							return false;
						}
						order_id=data.results[0].order_id;
						if(appUtils.getPageParam().product_type == "7"){
							var param = {
								"product_type" : "7"
							};
						}else{
							var param = {
								"order_id":order_id,
								"tot_price":appUtils.getPageParam().tot_price,
								"product_type" : "1"
							};
						}
						appUtils.pageInit("account/selPayMethod","mall/finanOrder/payment",param);
					},false);
				}
				
			}
		},false);
	}
	
	/**
	 * 获取资金账号信息
	 */
	function getOTCAccountInfo(khh)
	{
		var param = {
			"fid_khh" : khh,
			"fid_exflg" : "1"
		};
		var callBack = function(data)
		{
			if(data)
			{
				if(data.error_no == "0")
				{
					var results = data.results;
					
					var risk_level = results[0].FID_TZZFL; //风险等级
					var user_name = results[0].FID_KHXM; //客户姓名
					var identity_num = results[0].FID_ZJBH; //身份证号码
					
					isOpenOTC(risk_level,user_name,identity_num); //判断是否开OTC户
				}
				else
				{
					layerUtils.iMsg(-1,data.error_info);
					return false;
				}
			}
		};
		service.getOTCInfo(param,callBack);
	}
	
	/**
	 * 购买产品
	 */
	function purchaseProducts()
	{
		var khh = $(_pageId+" input:checked").attr("khh");
		var loginType = appUtils.getSStorageInfo("loginType");
		var isChange = $(_pageId+" input:radio").attr("isChange");
		if(isChange == "1")
		{
			if(loginType == "0")
			{
				if($(_pageId+" #otcPay").is(":checked"))
				{
					layerUtils.iMsg(-1,"您还没绑定保证金账户");
					return false;
				}
				if(appUtils.getPageParam().product_type != "7"){
					commitOrder(); //判断风险等级
				}
				//else if(appUtils.getPageParam().product_type != "8"){
				//	commitOrder(); //判断风险等级
				//}
				
				fundacc = checkBankCard();  //检查是否选择银行卡
				if(fundacc == false)
				{
					return false;	
				}
			}
			else
			{
				if($(_pageId+" #finanPay").is(":checked"))
				{
					layerUtils.iMsg(-1,"您还没绑定理财账户");
					return false;
				}
//				if(appUtils.getPageParam().product_type == "8"){
//					getOTCAccountInfo(khh); //获取资金账号信息
//				}else{
//					getOTCAccountInfo(khh); //获取资金账号信息
//				}
				getOTCAccountInfo(khh); //获取资金账号信息
				sign(); //协议签署
			}
		}
		else
		{
			var source = $(_pageId+" input:checked").attr("source");
			if(source == "1") //当为1，为保证金支付，需要判断是否要开OTC户
			{ 
//				if(appUtils.getPageParam().product_type == "8"){
//					getOTCAccountInfo(khh); //获取资金账号信息
//				}else{
//					getOTCAccountInfo(khh); //获取资金账号信息
//				}
				getOTCAccountInfo(khh); //获取资金账号信息
				sign(); //协议签署
				
			}
			else
			{
				if(appUtils.getPageParam().product_type != "7"){
					commitOrder(); //判断风险等级
				}
				
				fundacc = checkBankCard(); //检查是否选择银行卡
				if(fundacc == false)
				{
					return false;
				}
			}
		}
		
//		if(appUtils.getPageParam().product_type == "7"){
//			$(_pageId+" #jyje").html("");
//		}else{
//			$(_pageId+" #jyje").html(putils.fmoney(appUtils.getPageParam().tot_price)+"元");
//		}
		
//		$(_pageId+" .yh-mask").show();
//		$(_pageId+" .psd-box span").html("");
//		$(_pageId+" #layerCustom_pwd_again").val("");
//		$(_pageId + ".querenzhifu").val(""); // 清除密码
		var $input = $(_pageId + " .querenzhifu");
	
//		 $("#gou_mai").click(function () {
			 //$(this).fadeOut(1000);
			 var text = $input.val();
			 if(isChange == "1")
					{
						if(loginType == "0")
						{
							buyProduct(text);
						}
						else
						{
							doOrder(text);
						}
					}
					else
					{
						var source = $(_pageId+" input:checked").attr("source");
						if(source == "2") //source 1保证金 2理财户
						{ 
							buyProduct(text);
						}
						else
						{
						    doOrder(text);
						}
					}
//		 });
		
		appUtils.bindEvent($(_pageId+".psd-popup"),function(e){
			e.stopImmediatePropagation();
		});
	}
	
	//提交订单
	function commitOrder()
	{
//		var user_id=appUtils.getSStorageInfo("user_id");
//		var pageInParam  = appUtils.getPageParam();
//		var product_id=pageInParam.product_id;
		
		service.getRSAKey({},function(data){
			if(data.error_no=="0")
			{
				var modulus = data.results[0].modulus;
				var publicExponent =data.results[0].publicExponent;
				var endecryptUtils = require("endecryptUtils");
				//var trade_pwd=endecryptUtils.rsaEncrypt(modulus,publicExponent,$.trim($(_pageId+" #trade_pwd").val()));
				var param =
				{
					"user_id":$(_pageId+" input:checked").attr("userId"),
					"product_id":appUtils.getPageParam().product_id,
					"trade_pwd":"",
					"risk_type_id":"CTP"
				};
				service.checkOrderSubmit(param,function(data) 
						{
						if(data.error_no!="0")
						{
							layerUtils.iMsg(-1,data.error_info);
							layerUtils.iLoading(false);
							return false;
						}
						var perData=data.results;
						if(perData[0].is_risk == constants.is_risk.YES)
						{
							sign();
						}
						//风险等级 =2时
						else if (perData[0].is_risk == constants.is_risk.LOW)
						{
							var risk_name=perData[0].risk_name;
							putils.layerTwoButton("您的产品风险测评结果与该产品风险等级不匹配，是否继续购买？","继续购买","重新测评",function(){
								sign();
							},function(){
								oper_type = false;
								var param=
									{
										"user_id":$(_pageId+" input:checked").attr("userId"),
										"product_id":appUtils.getPageParam().product_id,
										"tot_price":appUtils.getPageParam().tot_price,
										"order_channel":order_channel
									};
								appUtils.pageInit("mall/finanOrder/confirmOrder","account/riskAssessment",param);
							});
						}
							//风险等级 =3时
							else if(perData[0].is_risk == constants.is_risk.Theree)
							{
								//var pageInParam  = appUtils.getPageParam();
						    	var product_name= $(_pageId+" .mz-order-head h1" ).html();
//							    var product_id=$(_pageId+" #product_id").val();
							    var tot_price=parseFloat(putils.rmoney($(_pageId+" #buyValue").val()));
								var param =
								{
										"product_name":product_name,
										"user_id":$(_pageId+" input:checked").attr("userId"),
										"product_id":appUtils.getPageParam().product_id,
										"tot_price":appUtils.getPageParam().tot_price,
										"product_code":product_code
								};
							layerUtils.iConfirm("您的产品风险测评已过期，请重新测评!",function()
								{
								oper_type = false;
								appUtils.setSStorageInfo("_loginPage","mall/finanOrder/confirmOrder");
								appUtils.setSStorageInfo("_loginPageParam",JSON.stringify(param));
								appUtils.pageInit("mall/finanOrder/confirmOrder","account/riskAssessment",param);
								},function(){
									layerUtils.iLoading(false);
								});
						}

						//风险等级 =其它时
						else
						{
							var product_name= $(_pageId+" .mz-order-head h1" ).html();
//						    var product_id=$(_pageId+" #product_id").val();
						    var tot_price=parseFloat(putils.rmoney($(_pageId+" #buyValue").val()));
							var param =
							{
								"product_name":product_name,
								"user_id":$(_pageId+" input:checked").attr("userId"),
								"product_id":appUtils.getPageParam().product_id,
								"tot_price":appUtils.getPageParam().tot_price,
								"product_code":product_code
							};
						
								layerUtils.iConfirm("您首次购买，需先进行产品风险测评!",function(){
									oper_type = false;
									appUtils.pageInit("mall/finanOrder/confirmOrder","account/riskAssessment",param);
								},function(){
									layerUtils.iLoading(false);
									$(_pageId+" #checkBox").attr("checked",false);
								});
							
							
						}
				});
			}
		});
	}
	
	/**
	 * 协议签署
	 */
	function sign(){
		var user_id = appUtils.getSStorageInfo("user_id");
		var product_id=appUtils.getPageParam().product_id;//可能是视频产品有机个产品id
		var id=product_id.split(",");//切割书记获得第一个数据
		var param = {
			"user_id":$(_pageId+" input:checked").attr("userId"),
			"product_id":id[0],
	        "agreement_id":""
		};
		service.signAgreement(param,function(data){
			if(data.error_no!="0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				layerUtils.iMsg(0,"签署失败，请重新签署或联系客户，失败原因："+data.results[0].error_info);
				return false;
			}else{
				
			}
		});
	}
	
	/**
	 * 初始化银行卡滚动组件
	 */
	function initAdScroller()
	{
		clearInterval(picLoadTimer);
		picLoadTimer = null;
		if(customHIscroll[0].scroll)
		{
			customHIscroll[0].scroll.destroy();
			customHIscroll[0].scroll = null;
		}
		var config = {
			wrapper: $(_pageId+" #wrapper"), //wrapper对象
			scroller: $(_pageId+" #scroller" ), //scroller对象
			perCount: 2,  //每个可视区域显示的子元素
			showTab: true, //是否有导航点
			tabDiv: $(_pageId+" #nav"), //导航点集合对象
			auto: false, //是否自动播放
			interval: null, //自动播放定时器
			wrapperObj: null
		};
		customHIscroll[0].scroll = new HIscroll(config); 
		customHIscroll[0]._init = true;
		$(_pageId+" .pay_box").show();
	}
	
	
	/**
	 * 原生键盘的输入事件
	 * @param curKeyCode 当前输入值
	 */
	function inputEvent(curKeyCode)
	{
		var $curInput = $(_pageId + "#" + curInputId);
		var curVal = $curInput.val();
		// {"CLEAR":-2, "DONE": -3, "DEL": -5}; //常量，键盘上面的按键对应编码（-2表示清空，-3表示完成，-5表示删除）
		switch(Number(curKeyCode))
		{
			case -2: 
				$(_pageId + " .psd-box span").html("");
				break;
			case -3:
				break;
			case -5:
				$(_pageId + " .psd-box span:eq(" + curVal.length + ")").html("");
				break;
			default:
				clearTimeout(pwdTimer);
				pwdTimer = null;
				$(_pageId + " .psd-box span:eq(" + (curVal.length - 1) + ")").html(curKeyCode);
				if(curVal.length == 6)
				{
					var isChange = $(_pageId+" input:radio").attr("isChange");
					var loginType = appUtils.getSStorageInfo("loginType");
					if(isChange == "1")
					{
						if(loginType == "0")
						{
							buyProduct(curVal);
						}
						else
						{
							doOrder(curVal);
						}
					}
					else
					{
						var source = $(_pageId+" input:checked").attr("source");
		    			if(source == "2") //source 1保证金 2理财户
		    			{ 
							buyProduct(curVal);
						}
		    			else
		    			{
							doOrder(curVal);
						}
					}
				}
				pwdTimer = setTimeout(function(){
					$(_pageId + " .psd-box span").each(function(){
						if($(this).html() != "")
						{
							$(this).html("●");
						}
					});
				}, 500);
				break;
		}
	}
	
	//绑定事件
	function bindPageEvent()
	{
		/**
		 * 返回
		 */
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			var pageInParam  = appUtils.getPageParam();
			var id=pageInParam.product_id.split(",");
			var user_id= appUtils.getSStorageInfo("yqtid");
			if(pageInParam != undefined)
			{
				var param = {
					"product_id" : id[0],
					"tot_price" : pageInParam.tot_price,
					"product_type":pageInParam.product_type,
					"prePageCode":prePageCode2,
					"user_id":user_id
				};
			}
			if(pageInParam.page_code=="account/ytg/userSpace"){
				appUtils.pageInit("account/selPayMethod","account/ytg/userSpace",param);
			}else if(pageInParam.page_code=="account/ytg/userSpaceXq"){
				appUtils.pageInit("account/selPayMethod","account/ytg/userSpace",param);
			}else{
				
				appUtils.pageInit("account/selPayMethod","mall/finanOrder/confirmOrder",param);

			}
		});
		/**
		 * 选择支付方式
		 */
		appUtils.bindEvent($(_pageId+" .type_list dt span label"),function(){
			$(this).prev().attr("checked",true);
			if($(_pageId+" #otcPay").is(":checked"))
			{
				$(_pageId+" .scroll_bank .pay_box .inner").removeAttr("style");
			}
		});
		/**
		 * 确认支付
		 */
		appUtils.bindEvent($(_pageId+" #confirmPay"),function(){
			var confirmPay= $(_pageId+" #tradePwd").val();
			if(confirmPay==""){
				layerUtils.iMsg(-1,"请输入交易密码");
		 		return false;
			}
			if(appUtils.getPageParam().issp == "1"){
				if($(_pageId+" #finanPay").is(":checked"))
				 	{
						layerUtils.iMsg(-1,"该产品暂不支持银行卡支付");
				 		return false;
				 	}
			}
			// if(appUtils.getPageParam().product_type == "7")
			// {
			// 	if($(_pageId+" #finanPay").is(":checked"))
			// 	{
			// 		layerUtils.iMsg(-1,"该产品暂不支持银行卡支付");
			// 		return false;
			// 	}
			// }
			if($(_pageId+" input:radio").is(":checked"))
			{
				purchaseProducts();
			}
			else
			{
				layerUtils.iMsg(-1,"请选择支付方式");
			}
		});
		/**
		 * 点击绑定账户
		 */
		appUtils.bindEvent($(_pageId+" .fix_add a"),function(){
			appUtils.pageInit("account/selPayMethod","account/bindAccount");
		});
	}
	
	//销毁
	function destroy()
	{
		$(_pageId+" .yh-mask").hide();
		$(_pageId+" #layerCustom_pwd_again").val("");
		$(_pageId + " .psd-box span").html(""); // 清除密码的"·"
		$(_pageId+" input:checked").attr("checked",false);
	}
	
	var selPayMethod = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	
	// 暴露对外的接口
	module.exports = selPayMethod;
	
});
