define('mall/scripts/account/testAccount.js',function(require, exports, module){
	var appUtils = require("appUtils");
	var validatorUtil= require("validatorUtil");
	var	layerUtils = require("layerUtils");
	var	endecryptUtils = require("endecryptUtils");
	var	service = require("mobileService");
	var	gconfig = require("gconfig");
	var	global = gconfig.global;
	var	URL = global.url;
	var	phoneNum = "";//注册手机号码
	var	timer = null;//计时器
	var i = 60;//倒计时长
	var isSendPhone = false; //是否已发送验证码
	var _pageId = "#account_testAccount ";
	var pageCode = "account/testAccount";
	var keyPanel = require("keyPanel");//软键盘
	var platform = gconfig.platform;
	var common=require("common");
	var external = require("external");
	var curInputId = null;
	var pwdTimer = null; // 密码输入框计时器
	var prePageCode="";//上个页面传进来的地址
	//初始化
	function init(){
		common.initTitle(_pageId);
		$(_pageId+".personal-line .line-one").css("border","1px solid #b1a5a0");
		$(_pageId+".personal-line .line-one").css("background","#b1a5a0");
		$(_pageId+".personal-line .line-two").css("border","1px solid #f9682f");
		$(_pageId+".personal-line .line-two").css("background","#f9682f");
		prePageCode = appUtils.getPageParam("pageCode");
		$(_pageId+" .per-reg-tit a").css("font-size","18px");
		
		$(_pageId+".main").css({
			"overflow-y":"auto",
			"overflow-x":"hidden",
			"height":($(window).height()-$(_pageId+".header-con").height())+"px"
		});
		loadBankList();
		getQuestionRisk();
		var user_name = appUtils.getSStorageInfo("user_name");
		var identity_num = appUtils.getSStorageInfo("identity_num");
		var bank_card_no = appUtils.getSStorageInfo("bank_card_no");
		var bank_mobile = appUtils.getSStorageInfo("bank_mobile");
		if(user_name){
			$(_pageId+" #userName").val(user_name);
		}
		if(identity_num){
			$(_pageId+" #cardId").val(identity_num);
		}
		if(bank_card_no){
			$(_pageId+" #yhkh").val(bank_card_no);
		}
		if(bank_mobile){
			$(_pageId+" #mobile_phone").val(bank_mobile);
		}
		
		window.customKeyboardEvent = {
			keyBoardInputFunction: inputEvent
		};
	}
	
	//查询支持的银行信息
	function loadBankList(){
		var param = {};
		service.querySupportBank(param,function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			if(error_no!="0"){
				layerUtils.iMsg(-1,error_info);
				layerUtils.iLoading(false);
				return false;
			}
			var results = data.results;
			//appUtils.setSStorageInfo("dataList",JSON.stringify(data.results[0].data));
			
			fillBankList(results); // 填充银行列表
			BindBankListEvent(); // 绑定银行列表的点击事件
		});
	}
	// $("#ID").focus();
	//校验输入信息 
	function check(){
		var user_name = $(_pageId+" #userName").val();
		var card_id = $(_pageId+" #cardId").val();
		var bankText = $(_pageId+" .down-popup-box").find("li:visible").attr("data-value");
		var bankCardNo = $(_pageId+" #yhkh").val();
		var mobile_phone = $(_pageId+" #mobile_phone").val();
		var mobile_code = $(_pageId+" #mobile_code").val();
		if(user_name == ""||user_name == null){
			layerUtils.iMsg(-1, "姓名不能为空！");
			//$(_pageId+" #errorInfo").show();
			//$(_pageId+" #errorInfo").html("姓名不能为空！");
			//$(_pageId+" #userName").focus();
			return false;
		}
		if(card_id == ""||card_id == null){
			//$(_pageId+" #errorInfo").show();
			//$(_pageId+" #errorInfo").html("身份证号码不能为空！");
			layerUtils.iMsg(-1, "身份证号码不能为空！");
			//$(_pageId+" #cardId").focus();
			return false;
		}
		if(bankText=="请选择银行"){
			//$(_pageId+" #errorInfo").show();
			//$(_pageId+" #errorInfo").html("身份证号码不能为空！");
			layerUtils.iMsg(-1,"请选择银行!");
			return false;
		}
		if(bankCardNo==""||bankCardNo==null){
			//$(_pageId+" #errorInfo").show();
			//$(_pageId+" #errorInfo").html("请输入银行卡号!");
			
			layerUtils.iMsg(-1,"请输入银行卡号!");
			//$(_pageId+" #yhkh").focus();
			return false;
		}
		if(!validatorUtil.isBankCode(bankCardNo)){
			//$(_pageId+" #errorInfo").show();
			//$(_pageId+" #errorInfo").html("请输入正确的银行卡号");
			layerUtils.iMsg(-1,"请输入正确的银行卡号!");
		//	$(_pageId+" #yhkh").focus();
			return false;
		}
		if(mobile_phone==""||mobile_phone==null){
			//$(_pageId+" #errorInfo").show();
			//$(_pageId+" #errorInfo").html("银行预留手机号码不能为空");
			
			layerUtils.iMsg(-1,"银行预留手机号码不能为空");
			//$(_pageId+" #mobile_phone").focus();
			return false;
		}
		if(!validatorUtil.isMobile(mobile_phone)){
			//$(_pageId+" #errorInfo").show();
			//$(_pageId+" #errorInfo").html("请输入正确的手机号码!");
			layerUtils.iMsg(-1,"请输入正确的手机号码!");
		//	$(_pageId+" #mobile_phone").focus();
			return false;
		}
//		if (validatorUtil.isEmpty(mobile_code)){
//			layerUtils.iMsg(-1,"请输入手机验证码！");
//			return false;
//		}
//		if(!validatorUtil.isNumeric(mobile_code)){
//			layerUtils.iMsg(-1,"验证码格式为纯数字！");
//			return false;
//		}
		return true
	}
	
	/**
	 * 验证用户输入的身份证姓名格式是否合法
	 */
	function checkName(name){
		var reg = /^[\u4e00-\u9fa5\(\)\（\）\-\——\"\“\”\·]*$/;
		var r = $.trim(name).match(reg);
		if(validatorUtil.isEmpty($.trim(name))){
			//$(_pageId+" #userName").focus();
			//$(_pageId+" #errorInfo").show();
			//$(_pageId+" #errorInfo").html("请输入姓名!");
			layerUtils.iMsg(-1,"请输入姓名!");
			return false;
		}else if(r == null || $.trim(name).length<2||$.trim(name).length>5){
			layerUtils.iMsg(-1,"姓名格式有误!");
			//$(_pageId+" #errorInfo").show();
			//$(_pageId+" #errorInfo").html("姓名格式有误!");
		//	$(_pageId+" #userName").focus();
			return false;
		}else{
			layerUtils.iLayerClose();
		}
		return true;
	}
	
	/**
	 * 验证身份证格式是否合法
	 * @param 身份证 IdCard
	 */
	function checkIdCard(IdCard){
		if (validatorUtil.isEmpty($.trim(IdCard))){
			//$(_pageId+" #errorInfo").show();
			//$(_pageId+" #errorInfo").html("身份证号码不能为空!");
			
			layerUtils.iMsg(-1,"身份证号码不能为空!");
			//$(_pageId+" #cardId").focus();
			return false;
		} else if (!validatorUtil.isCardID($.trim(IdCard))){
			//$(_pageId+" #errorInfo").show();
			//$(_pageId+" #errorInfo").html("请输入正确的身份证号!");
			layerUtils.iMsg(-1,"请输入正确的身份证号!");
			//$(_pageId+" #cardId").focus();
			return false;
		} else {
			layerUtils.iLayerClose();
		}
		return true;
	}
	
	function identity(user_id){
		var param1 = {
			"user_id":user_id,
			"identity_type":"00",
			"identity_num":$.trim($(_pageId+" #cardId").val()),
			"user_name":$.trim($(_pageId+" #userName").val())
		};
		service.saveUserInfo(param1,function(data){//添加
	    	if(data.error_no!="0"){
	    		layerUtils.iMsg(-1,data.error_info);
	    		layerUtils.iLoading(false);
	    		clearMsgCodeTimer(); // 清除短信验证码计时器
	    		return false;
	    	}else{
	    		var result = data.results;
	    		var client_no = result[0].client_no;
	    		var user_name = result[0].user_name;
	    		var identity_num = result[0].identity_num;
	    		if(client_no){
					appUtils.setSStorageInfo("client_no",client_no);
				}
	    		if(user_name){
	    		    appUtils.setSStorageInfo("user_name",user_name);
	    		}
	    		if(identity_num){
	    		  	appUtils.setSStorageInfo("identity_num",identity_num);
	    		}
	    		var paramO = {
					"user_id":user_id
				};
				service.openingCapitalAccount(paramO,function(data){
					if(data.error_no!="0"){
						layerUtils.iMsg(-1,data.error_info);
						layerUtils.iLoading(false);
						clearMsgCodeTimer(); // 清除短信验证码计时器
						return false;
					}else{
						var results = data.results;
						var external_account = results[0].external_account;
						if(external_account){
							appUtils.setSStorageInfo("external_account",external_account);
						}
						var param = {
							"user_id":user_id
						};
						service.signZhAgreement(param,function(data){
							if(data.error_no!="0"){
								layerUtils.iMsg(-1,data.error_info);
								layerUtils.iLoading(false);
								clearMsgCodeTimer(); // 清除短信验证码计时器
								return false;
							}else{
								setPwd(user_id);
							}
						});
					}
				});
			}
	    });
	}
	
	function setPwd(user_id){
		var param = {
			"user_id":user_id,
			"oper_type":"0"
		};
		service.setPassw(param,function(data){
			if(data.error_no!=0){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				clearMsgCodeTimer(); // 清除短信验证码计时器
				return false;
			}else{
				bindBank(user_id);
			}
		});
	}
	
	
	
	function bindBank(user_id){
		var param = {
			"user_id":user_id,
			"bank_no": $(_pageId + " #selBank").attr("bank-no"),
			"bank_account":$.trim($(_pageId+" #yhkh").val()),
			"bank_mobile":$.trim($(_pageId+' #mobile_phone').val()),
			"money_type":"0"
		};
		service.applyPaymentAccount(param,function(data){
			if(data.error_no!="0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				clearMsgCodeTimer(); // 清除短信验证码计时器
				return false;
			}else{
				var results = data.results;
				var sno = results[0].sno;
				var url = results[0].url;
				var param = {
					"client_name":$.trim($(_pageId+" #userName").val()),
					"id_no":$.trim($(_pageId+" #cardId").val()),
					"bank_no": $(_pageId + " #selBank").attr("bank-no"),
					"bank_account":$.trim($(_pageId+" #yhkh").val()),
					"mobile_phone":$.trim($(_pageId+" #mobile_phone").val()),
					"req_trace_num":sno,
					"resp_url":url
				};
				service.sendMobileCode(param,function(data){
					if(data.error_no!="0"){
						if(data.error_info=="IPP发送短信验证码失败"){
							layerUtils.iMsg(-1,"网络不给力");
						}else if(data.error_info=="卡BIN检查失败"){
							layerUtils.iMsg(-1,"银行卡号输入错误");
						}else{
							layerUtils.iMsg(-1,data.error_info);
						}
						layerUtils.iLoading(false);
						clearMsgCodeTimer(); // 清除短信验证码计时器
					}else{
//				        $(_pageId+" #mobile_code").val(Math.random().toString().substr(2, 6));
						appUtils.setSStorageInfo("resp_url",url);
					}
				});
			}
		});
	}
	
	//验证手机验证码
	function checkCode(){
		var param = {
			"verify_code":$.trim($(_pageId+" #mobile_code").val()),
			"resp_url":appUtils.getSStorageInfo("resp_url")
		};
		service.checkMobileCode(param,function(data){
			if(data.error_no!="0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				clearMsgCodeTimer(); // 清除短信验证码计时器
				return false;
			}else{
				var results = data.results;
				var pay_account = results[0].sign_num;
				var param = {
					"user_id":appUtils.getSStorageInfo("user_id"),
					"bank_no": $(_pageId + " #selBank").attr("bank-no"),
					"bank_account":$.trim($(_pageId+" #yhkh").val()),
					"pay_account":pay_account,
					"pay_way":"1"
				};
				service.synchronousPaymentAccount(param,function(data){
					if(data.error_no!="0"){
						layerUtils.iMsg(-1,data.error_info);
						layerUtils.iLoading(false);
						clearMsgCodeTimer(); // 清除短信验证码计时器
						return false;
					}else{
						var param = {
							"user_id":appUtils.getSStorageInfo("user_id"),
							"bank_no": $(_pageId + " #selBank").attr("bank-no"),
							"bank_account":$.trim($(_pageId+" #yhkh").val())
						};
						service.simultRegTraAccount(param,function(data){
							if(data.error_no!="0"){
								layerUtils.iMsg(-1,data.error_info);
								layerUtils.iLoading(false);
								clearMsgCodeTimer(); // 清除短信验证码计时器
								return false;
							}else{
								var select = checkQuestionSelect();
								if(select == ""){
									submitAnswers();
								}else{
									layerUtils.iMsg(-1, select +"题您未选择,请核对后提交");
								}
							}
						});
					}
				});
			}
		});
	}
	
	//查询user_id、user_name
	function queryUseridname(is_client,is_bank){
		service.getRSAKey({},function(data){
			if(data.error_no=="0"){
				var modulus = data.results[0].modulus;
				var publicExponent =data.results[0].publicExponent;
				var endecryptUtils = require("endecryptUtils");
				var trade_pwd=endecryptUtils.rsaEncrypt(modulus,publicExponent,$.trim($(_pageId+" #again_login_pwd1").val()));
				var param={};
				param  = {
					"login_account":$.trim($(_pageId+" #phone").val()),
					"trade_pwd": trade_pwd
				};
				service.fundLogin(param,function(data){
					var error_no = data.error_no;
					var error_info = data.error_info;
					var result = data.results;//验证码输入错误
					if(error_no!="0"){	
						layerUtils.iMsg(-1,data.error_info);
						layerUtils.iLoading(false);
						return false;
 					}else{
 						var user_id;
 						var user_name;
 						if(result[0].user_id){
	 						user_id = result[0].user_id;
 						}
 						if(result[0].user_name){
	 						user_name = result[0].user_name;
 						}
 						if(result[0].identity_num){
 							identity_num = result[0].identity_num;
 						}
 						if(is_client&&is_client=="0"){
 							identity(user_id);
 						}else if(is_bank&&is_bank=="0"){
 							bindBank(user_id);
 						}
 						appUtils.setSStorageInfo("user_id",user_id);
 					}
				});
			}else{
				layerUtils.iMsg(-1,data.error_info);	
			}
		});
	}
	
	function simultRegist(){
		var param = {
			"mobile_phone":appUtils.getSStorageInfo("mobile_phone")
		};
		service.queryMobilePhoneState(param,function(data){
			if(data.error_no!="0"){
				layerUtils.iMsg(-1,data.error_info);
	    		layerUtils.iLoading(false);
	    		clearMsgCodeTimer(); // 清除短信验证码计时器
	    		return false;
			}else{
				var results = data.results;
				var is_register = results[0].is_register;
				var is_client = results[0].is_client;
				var is_risk = results[0].is_risk;
				var is_pwd = results[0].is_pwd;
				var is_bank = results[0].is_bank;
				var user_id = appUtils.getSStorageInfo("user_id");
				if(is_register&&is_register=="1"&&is_client&&is_client=="0"){
					identity(user_id);
				}else if(is_pwd&&is_pwd=="0"){
					setPwd(user_id);
				}else if(is_bank&&is_bank=="0"){
					bindBank(user_id);
				}else{
					layerUtils.iMsg(-1,"该手机号码已成功开户");
					clearMsgCodeTimer(); // 清除短信验证码计时器
				}
			}
		});
	}
	
	/**
	 * 查询风险测评题目 获取题目之后，查询用户是否已做过的风险题答案， 如果有则初始化选项选择
	 */
	function getQuestionRisk() {
		var param = {
			"risk_type_id" : "13",
			"cpjg" : ""
		};
		service.queryEval(param, function(data) {
			if (data.error_no == "0") {
				var results = data.results;
				if (results && results.length > 0) {
					fillData(results);
				}
			} else {
				layerUtils.iMsg(-1,data.error_info, -1);
			}
		}, {
			"isLastReq" : true,
			"isShowWait" : false
		});
	}
	
	/**
	 * 填充风险测评题
	 */
	function fillData(results){
		var str = "";
		str += '<div class="per-risk-con">';
		for(var i=0;i<results.length;i++){
			answers = strToArray(results[i].answers);
			question_id = results[i].question_id,
			question_title = results[i].question_title;
			question_no = results[i].question_no;
	      	str += '<dl id="'+question_id+'"><dt>'+(i+1)+'.'+question_title+'</dt><dd><ul class="per-risk-list">';
//			str += ' <div class="new-risk" id="'+question_id+'"><h2>'+(i+1)+'.'+question_title+'</h2><ul>';
			for(var j=0;j<answers.length;j++){
				var description = answers[j].description;
				var option_no = answers[j].option_no;
				var option_id = answers[j].option_id;
				if(option_no=="1"){
//					str += '<li anw="'+question_id+'_'+option_no+'" class="prl-sec">'+description+'</li>';
					str += '<li anw="'+question_id+'_'+option_no+'" class="new-risk-sec">'+description+'</li>';
				}else{
					str += '<li anw="'+question_id+'_'+option_no+'">'+description+'</li>';
				}
			}
			str += '</ul></dd></dl>';
		}
		str += '</div>';
		$(_pageId+" #risk_show").html(str);
		// 为选择按钮添加事件
		appUtils.bindEvent($(_pageId + " .per-risk-list li"),function() {
			if (!$(this).hasClass("new-risk-sec")) {
				$(this).addClass("new-risk-sec");
			}
			$(this).siblings().removeClass("new-risk-sec");
		});
	}
	
	/**
	 * 字符串还原为数组
	 * 
	 * @param {Object}
	 *            str
	 */
	function strToArray(str) {
		if (validatorUtil.isNotEmpty(str)) {
			str = str.replaceAll("=", ":'");
			str = str.replaceAll("}, ", "'},");
			str = str.replaceAll("}]", "'}]");
			str = str.replaceAll(", ", "',");
			str = str.replaceAll("%", "");
			str = str.replaceAll("\r", "");
			str = str.replaceAll("\n", "");
			var data = "";
			eval("data=" + str);
			return data;
		}
	}
	/**
	 * 检查问题选择(是否有未选择项等)
	 */
	function checkQuestionSelect() {
		var $questionsArr = $(_pageId + ".per-risk-con dl dd ul");
		var anw = "";
		for(var i=0,length=$questionsArr.length; i < length; i++){
			var $sel = $($questionsArr[i]).children(".new-risk-sec");
			if($sel.length == 0){
				if(anw != ""){
				   anw +="，";
				}
				anw += (i+1)+"";
				continue;
			}
		}
		return anw;
	}
	
	/**
	 * 提交风险测评答案
	 */
	function submitAnswers(){
		var paper_answer = "";
		var $questionsArr = $(_pageId + ".per-risk-con dl dd ul");
		for(var i=0;i<$questionsArr.length;i++){
			if((i+1)!=$questionsArr.length){
				paper_answer += $($questionsArr[i]).children(".new-risk-sec").attr("anw")+"|";
			}else{
				paper_answer += $($questionsArr[i]).children(".new-risk-sec").attr("anw");
			}
		}
		var param = {
			"user_id" : appUtils.getSStorageInfo("user_id"),
			"risk_type_id":"13",
			"content":paper_answer
		};
		service.submitTestAnswerPhone(param, function(data) {
			if(data.error_no!="0"){
				clearMsgCodeTimer(); // 清除短信验证码计时器
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}else{
				var risk_name = data.results[0].risk_name;
				var pageJump = appUtils.getSStorageInfo("pageJump");
				if(pageJump == "mall/finanOrder/confirmOrder"){
					var param={
						"risk_name":risk_name,
						"product_id":appUtils.getPageParam().product_id
					};
					appUtils.pageInit("account/testAccount", "mall/moneyShop", param);
				}else{
					var param={
						"risk_name":risk_name
					};
					appUtils.pageInit("account/testAccount", "account/index", param);
				}
			}
		});
	}
	
	//绑定事件
	function bindPageEvent(){
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			var param={
				"product_type":appUtils.getPageParam("product_type"),
				"product_id":appUtils.getPageParam("product_id"),
				"mobile_phone":appUtils.getSStorageInfo("mobile_phone"),
				"spdj":appUtils.getPageParam("spdj"),
				"cpgs":appUtils.getPageParam("cpgs")
			};
			if(prePageCode!=""&&prePageCode!=null&&typeof(prePageCode)!="undefined"){
				appUtils.pageInit("account/testAccount", prePageCode,param);
			}else{
				appUtils.pageInit("account/testAccount", "account/index");
			}
			
		});
		appUtils.bindEvent($(_pageId+" input[keyboard-plugin='true']"),function(e){
				callKeyboard($(this)); // 调用键盘
		    	e.stopPropagation();
			});
		//点击页面关闭软键盘
		appUtils.bindEvent($(_pageId),function(e){
			hideKeyboard(); // 隐藏原生键盘
			e.stopPropagation();
		});
		
//		appUtils.bindEvent($(_pageId+" #yhkh"),function(){
//			//银行卡号
//			var bankCardNo = $(_pageId+" #yhkh").val();
//			//判断银行卡号是否为空
//			if(bankCardNo==""||bankCardNo==null){
//				$(_pageId+" #errorInfo").show();
//				$(_pageId+" #errorInfo").html("请输入银行卡号!");
//				// layerUtils.iMsg(-1,"请输入银行卡号!");
//				//$(_pageId+" #yhkh").focus();
//				return false;
//			}
//			//判断银行卡号是否正确
//			if(!validatorUtil.isBankCode(bankCardNo)){
//				$(_pageId+" #errorInfo").show();
//				$(_pageId+" #errorInfo").html("请输入正确的银行卡号!");
//				
//			//	layerUtils.iMsg(-1,"请输入正确的银行卡号!");
//				//$(_pageId+" #yhkh").focus();
//				return false;
//			}
//		},"blur");
		//银行卡号每四位空格
//		appUtils.bindEvent($(_pageId+" #yhkh"),function(){
//			this.value = this.value.replace(/(\d{4})(?=[^\s])/,'$1 ');
//		},"keyup");
		appUtils.bindEvent($(_pageId+" #register_mobile_code"),function(){
			if($(_pageId + " #register_mobile_code").attr("data-state")=="false"){
				return false;
			}
			var name = $(_pageId+" #userName").val();
			var IdCard = $(_pageId+" #cardId").val();
			phoneNum =  $.trim($(_pageId+" #mobile_phone").val());
			if(check()&&checkName(name)&&checkIdCard(IdCard)){
				startMsgCodeTimer(); // 启动短信验证码计时器
				simultRegist();
			}
		});
		appUtils.bindEvent($(_pageId+" .thinkive-btn a"),function(){
			var mobile = $.trim($(_pageId+" #mobile_phone").val());
			if( phoneNum == "" || !isSendPhone || mobile != phoneNum){
//				$(_pageId+" #errorInfo").html("您未获取该手机验证码！");
				layerUtils.iMsg(-1,"您未获取该手机验证码!");
				return false;
			}
			var name = $(_pageId+" #userName").val();
			var IdCard = $(_pageId+" #cardId").val();
			if(check()&&checkName(name)&&checkIdCard(IdCard)){
				checkCode();
			}
		});
		
		//风险测评显示与隐藏事件
		appUtils.bindEvent($(_pageId+" #to_risk"),function(){
			$(_pageId+" #risk_show").toggle();
			$(_pageId+" #risk_sq").toggle();
		});
		
		//收起
		appUtils.bindEvent($(_pageId+" #risk_sq"),function(){
			$(_pageId+" #risk_show").toggle();
			$(this).toggle();
		});
		
		// 随便逛逛点击事件 sbgg ****   ,"touchstart"
		appUtils.bindEvent($(_pageId+" #sbgg"),function(){
			appUtils.pageInit("account/testAccount","mall/moneyShop");
		});
		
		//输入框边框颜色
		appUtils.bindEvent($(_pageId+" .per-reg-con div"),function(){
			$(this).css("border-color","#CC1D58").siblings("div").css("border-color","");
		});
		
		appUtils.bindEvent($(_pageId+" .down-popup-box li"),function(){
			$(_pageId+" .down-popup-box").parent().css("border-color","#319ef2").siblings("div").css("border-color","");
		});
		
		/**
		 * 点击选择银行
		 */
		appUtils.bindEvent($(_pageId + " #selBank"), function(e){
			hideKeyboard(); // 隐藏原生键盘
			var bank_no = appUtils.getSStorageInfo("bank_no") || $(this).attr("bank-no");
			$(_pageId + " .sel_list_two").show(); // 显示下拉列表
			if(bank_no)
			{
				$(_pageId + " .sel_list_two li[bank-no='" + bank_no + "']").addClass("active").siblings().removeClass("active");
			}
			else
			{
				$(_pageId + " .sel_list_two li:eq(0)").addClass("active").siblings().removeClass("active");
			}
			e.stopPropagation();
			hideKeyboard(); // 隐藏原生键盘
		});
		
		/**
		 * 点击下拉列表遮罩层
		 */
		appUtils.bindEvent($(_pageId + " .sel_list_two .sel_cover"), function(e){
			$(_pageId + " .sel_list_two").hide(); // 隐藏下拉列表
			e.stopPropagation();
		}, "click");
		
		/**
		 * 确定银行列表的选择
		 */
		appUtils.bindEvent($(_pageId + " .sel_list_two .sel_info>span"), function(e){
			var $curBank = $(_pageId + " .sel_list_two li[class~='active']");
			var bankName = $curBank.attr("bank-name");
			var bankNo = $curBank.attr("bank-no");
			$(_pageId + " #selBank").attr("bank-no", bankNo).find("input").val(bankName);
			$(_pageId + " .sel_list_two .sel_cover").click(); // 关闭下拉列表
			e.stopPropagation();
	    }, "click");
		
		
		
	}
	
	function clearPage(){
		$(_pageId+" #userName").val("");
		$(_pageId+" #cardId").val("");
		loadBankList();
		$(_pageId+" #yhkh").val("");
		$(_pageId+" #mobile_phone").val("");
		$(_pageId+" #mobile_code").val("");
	}
	
	//销毁
	function destroy(){
		clearMsgCodeTimer(); // 清除短信验证码计时器
		clearPage();
		
		$(_pageId + " .sel_list_two .sel_cover").click(); // 关闭下拉列表
		$(_pageId + " #selBank").removeAttr("bank-no").find("input").val(""); // 清除已选择的银行信息
		hideKeyboard(); // 隐藏原生键盘
	}
	
	/**
	 * 填充银行列表
	 * @param data 数据
	 */
	function fillBankList(data)
	{
		var aListHtml = [];
		for(var i = 0, len = data.length; i < len; i++)
		{
			var oneData = data[i];
			var bank_name = oneData.bank_name;
			var bank_no = oneData.bank_no;
			aListHtml.push('<li bank-no="' + bank_no + '" bank-name="' + bank_name + '">' + bank_name + '</li>');
		}
		$(_pageId + " .sel_list_two ul").html(aListHtml.join(""));
	}
	
	/**
	 * 绑定银行列表的点击事件
	 */
	function BindBankListEvent()
	{
		appUtils.bindEvent($(_pageId + " .sel_list_two li"), function(e){
			$(this).addClass("active").siblings().removeClass("active");
			e.stopPropagation();	// 阻止冒泡
		});
	}
	
	/**
    	 * 调用原生键盘
    	 * @param $input 显示在页面的输入框
    	 */
	function callKeyboard($input)
	{
		curInputId = $input.attr("id");
		var invokeParam = {
			moduleName: "common", // String	目标模块名	N
			source: "mall", // String	源模块	Y
			funcNo: "50210", // String	功能号	Y
			pageId: _pageId.substring(1), // String	页面Id	Y
			eleId: curInputId, // String	元素Id	Y
			doneLable: "done", // String	完成按钮显示字符
			keyboardType: "9" // 1：英文键盘，2：股票键盘，3：数字键盘，4：随机数字键盘，9：系统键盘
		};
		external.callMessage(invokeParam);
	}

	/**
	 * 隐藏原生键盘
	 */
	function hideKeyboard()
	{
		var invokeParam = {
			funcNo: "50211", // String	功能号	Y
			moduleName: "common"
		};
		external.callMessage(invokeParam);
	}

	
	/**
	 * 原生键盘的输入事件
	 * @param curKeyCode 当前输入值
	 */
	function inputEvent(curKeyCode)
	{
		var $curInput = $(_pageId + "#" + curInputId);
		var curVal = $curInput.val();
		//curTxt = typeof(curTxt) == "undefined" ? "" : curTxt;
		// {"CLEAR":-2, "DONE": -3, "DEL": -5}; //常量，键盘上面的按键对应编码（-2表示清空，-3表示完成，-5表示删除）
		switch(Number(curKeyCode))
		{
			case -2: 
				$curInput.val("");
				break;
			case -3:
				break;
			case -5:
				$curInput.val(curVal);
				break;
			default:
				if(curVal.length >= 1)
				{
					$curInput.val(curVal);
				}
				clearTimeout(pwdTimer);
				pwdTimer = null;
				break;
		}
	}
	
	/**
	 * 清除短信验证码计时器
	 */
	function clearMsgCodeTimer()
	{
		window.clearInterval(timer);
		timer = null;
		var $code = $(_pageId + " #register_mobile_code");
		$code.attr("data-state", "true");
		i = 60;
		$code.html("获取验证码");
	}
	
	/**
	 * 启动短信验证码计时器
	 */
	function startMsgCodeTimer()
	{
		var showTips = function(){
			var $code = $(_pageId + " #register_mobile_code");
			$code.attr("data-state","false");//点击不能发送
			if(i >= 1)
			{
				i--;
				$code.html("" + i + "s后重发");
				
			}
			else
			{
				window.clearInterval(timer);
				timer = null;
				i=60;
				$code.attr("data-state","true");
				$code.html("获取验证码");
			}
		};
		timer = setInterval(showTips, 1000);
		isSendPhone = true;
	}
	
	var testAccount = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	// 暴露对外的接口
	module.exports = testAccount;
	
});