/**
 * 风险测评测试
 */
define('mall/scripts/account/testRisk.js',function(require, exports, module) {
	var appUtils = require("appUtils"),
		layerUtils = require("layerUtils"),
		validatorUtil = require("validatorUtil"), 
		service = require("mobileService"), 
		global = require("gconfig").global, 
		userInfo = JSON.parse(appUtils.getSStorageInfo("userInfo")), 
		common = require("common"), 
		_pageId = "#account_testRisk ";
	var _curPageCode;
	var common=require("common");
	var def_answers = "200509_5|200510_1|200511_4|200512_1|200513_4|200514_1|200515_1|200516_1|200517_1|200518_5|200519_1|200520_1|200521_1|200522_1|200523_1|200524_5|200525_1|200526_3|200527_1|200528_5";// 风险测评题默认答案
	function init() {
		common.initTitle(_pageId);
		appUtils.setSStorageInfo("order_risk","0");//0清空
		$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height()-$(_pageId+".header").height()-$(_pageId+".footer-box").height()-20)+"px"});
		//common.queryUser(appUtils.getSStorageInfo("user_id"), showUserInfo);
		getQuestionRisk();
	}
	// 绑定事件
	function bindPageEvent() {
		_curPageCode = appUtils.getSStorageInfo("_curPageCode");// 当前页 pageCode
		appUtils.bindEvent($(_pageId + ".icon_back"), function() {
			appUtils.pageBack();
		});
		//刷新
		appUtils.bindEvent($(_pageId+" .mz-refresh"),function(){
			init();
		})
		appUtils.bindEvent($(_pageId+" .thinkive-btn a"),function(){
			var select = checkQuestionSelect();
			if(select == ""){
				var loginType = appUtils.getSStorageInfo("loginType");
				if(loginType == "0"){
					submitAnswers();
				}else{
					submit();
				}
			}else{
				layerUtils.iMsg(-1, select +"题您未选择,请核对后提交");
			}
		});
		//首页
		appUtils.bindEvent($(_pageId+" .nav-index"),function(){
			appUtils.pageInit("account/testRisk","mall/moneyShop");
		});
		//我的产品
		appUtils.bindEvent($(_pageId+" .nav-produce"),function(){
			appUtils.pageInit("account/testRisk","userCenter/holdingProducts");
		});
		//我的账户
		appUtils.bindEvent($(_pageId+" .nav-center"),function(){
			appUtils.pageInit("account/testRisk","userCenter/index");
		});
		
		//我的账户
		appUtils.bindEvent($(_pageId+" .mz-left"),function(){
			appUtils.pageBack();
		});
	}
	/**
	 * 查询风险测评题目 获取题目之后，查询用户是否已做过的风险题答案， 如果有则初始化选项选择
	 */
	function getQuestionRisk() {
		var param = {
			"risk_type_id" : "13"
		};
		service.queryEval(param, function(data) {
			if (data.error_no == "0") {
				var results = data.results;
				if (results && results.length > 0) {
					fillData(results);
				}
			} else {
				layerUtils.iAlert(data.error_info, -1);
			}
		}, {
			"isLastReq" : true,
			"isShowWait" : false
		});
	}
	
	/**
	 * 填充风险测评题
	 */
	function fillData(results){
		var str = "";
		str += '<div class="per-risk-con">';
		for(var i=0;i<results.length;i++){
			answers = strToArray(results[i].answers);
			question_id = results[i].question_id,
			question_title = results[i].question_title;
			question_no = results[i].question_no;
	      	str += '<dl id="'+question_id+'"><dt>'+(i+1)+'.'+question_title+'</dt><dd><ul class="per-risk-list">';
//			str += ' <div class="new-risk" id="'+question_id+'"><h2>'+(i+1)+'.'+question_title+'</h2><ul>';
			for(var j=0;j<answers.length;j++){
				var description = answers[j].description;
				var option_no = answers[j].option_no;
				var option_id = answers[j].option_id;
				if(option_no=="1"){
//					str += '<li anw="'+question_id+'_'+option_no+'" class="prl-sec">'+description+'</li>';
					str += '<li anw="'+question_id+'_'+option_no+'" class="new-risk-sec">'+description+'</li>';
				}else{
					str += '<li anw="'+question_id+'_'+option_no+'">'+description+'</li>';
				}
			}
			str += '</ul></dd></dl>';
		}
		str += '</div>';
		$(_pageId+" #risk_show").html(str);
		// 为选择按钮添加事件
		appUtils.bindEvent($(_pageId + " .per-risk-list li"),function() {
			if (!$(this).hasClass("new-risk-sec")) {
				$(this).addClass("new-risk-sec");
			}
			$(this).siblings().removeClass("new-risk-sec");
		});
	}
	
	/**
	 * 字符串还原为数组
	 * 
	 * @param {Object}
	 *            str
	 */
	function strToArray(str) {
		if (validatorUtil.isNotEmpty(str)) {
			str = str.replaceAll("=", ":'");
			str = str.replaceAll("}, ", "'},");
			str = str.replaceAll("}]", "'}]");
			str = str.replaceAll(", ", "',");
			str = str.replaceAll("%", "");
			str = str.replaceAll("\r", "");
			str = str.replaceAll("\n", "");
			var data = "";
			eval("data=" + str);
			return data;
		}
	}
	/**
	 * 检查问题选择(是否有未选择项等)
	 */
	function checkQuestionSelect() {
		var $questionsArr = $(_pageId + ".per-risk-con dl dd ul");
		var anw = "";
		for(var i=0,length=$questionsArr.length; i < length; i++){
			var $sel = $($questionsArr[i]).children(".new-risk-sec");
			if($sel.length == 0){
				if(anw != ""){
				   anw +="，";
				}
				anw += (i+1)+"";
				continue;
			}
		}
		return anw;
	}
	
	/**
	 * 提交风险测评答案
	 */
	function submitAnswers(){
		var paper_answer = "";
		var $questionsArr = $(_pageId + ".per-risk-con dl dd ul");
		for(var i=0;i<$questionsArr.length;i++){
			if((i+1)!=$questionsArr.length){
				paper_answer += $($questionsArr[i]).children(".new-risk-sec").attr("anw")+"|";
			}else{
				paper_answer += $($questionsArr[i]).children(".new-risk-sec").attr("anw");
			}
		}
		var param = {
			"user_id" : appUtils.getSStorageInfo("user_id"),
			"risk_type_id":"13",
			"content":paper_answer
		};
		service.submitTestAnswerPhone(param, function(data) {
			if(data.error_no!="0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}else{
				var risk_name = data.results[0].risk_name;
				var pageInParam  = appUtils.getPageParam();
				if(appUtils.getSStorageInfo("_prePageCode")=="mall/finanOrder/confirmOrder"){
					 param={
						"risk_name":risk_name,
						"risk_typeName":"finan",
						"product_id":pageInParam.product_id
					};
					appUtils.pageInit(_curPageCode, "mall/finanOrder/confirmOrder", param);
				}else{
					 param={
						"risk_name":risk_name,
						"risk_typeName":"index",
						"product_id":pageInParam.product_id
					};
					appUtils.pageInit(_curPageCode, "account/riskResult", param);
				}
				var param = {
					"risk_name":risk_name
				};
			}
		});
	}
	
	//提交风险测评答案(资金账号)
	function submit(){
		var paper_answer = "";
		var answer = "";
		var $questionsArr = $(_pageId + ".per-risk-con dl dd ul");
		for(var i=0;i<$questionsArr.length;i++){
			var anw = $($questionsArr[i]).children(".new-risk-sec").attr("anw");
			if(anw == (i+1)+"_1"){
				answer = "A";
			}else if(anw == (i+1)+"_2"){
				answer = "B";
			}else if(anw == (i+1)+"_3"){
				answer = "C";
			}else if(anw == (i+1)+"_4"){
				answer = "D";
			}else if(anw == (i+1)+"_5"){
				answer = "E";
			}else{
				answer = "F";
			}
			paper_answer += (122+i)+"|"+answer+";";
//			if((i+1)!=$questionsArr.length){
//				paper_answer += $($questionsArr[i]).children(".new-risk-sec").attr("anw")+"|";
//			}else{
//				paper_answer += $($questionsArr[i]).children(".new-risk-sec").attr("anw");
//			}
		}
		var param = {
			"FID_KHH" : appUtils.getSStorageInfo("FID_KHH"),
	        "FID_WJHM" : "13",
	        "FID_ZJLB" : "0",
	        "FID_ZJBH" : appUtils.getSStorageInfo("FID_ZJBH"),
	        "FID_KHXM" : appUtils.getSStorageInfo("FID_KHXM"),
	        "FID_TMDA" : paper_answer
		};
		service.submitTest(param, function(data) {
			if(data.error_no!="0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}else{
				var FID_MESSAGE = data.results[0].FID_MESSAGE;
				var FID_TZZFL = data.results[0].FID_TZZFL;
				var pageInParam  = appUtils.getPageParam();
				if(appUtils.getSStorageInfo("_prePageCode")=="mall/finanOrder/confirmOrder"){
					appUtils.setSStorageInfo("order_risk","1");
					appUtils.setSStorageInfo("order_risk_level",FID_TZZFL);
					 param={
						"risk_name":FID_MESSAGE,
						"risk_level":FID_TZZFL,
						"risk_typeName":"finan",
						"product_id":pageInParam.product_id
					};
					appUtils.pageInit(_curPageCode, "mall/finanOrder/confirmOrder", param);
				}else{
					appUtils.setSStorageInfo("risk_level",FID_TZZFL);
					 param={
						"risk_name":FID_MESSAGE,
						"risk_level":FID_TZZFL,
						"risk_typeName":"index",
						"product_id":pageInParam.product_id
					};
					appUtils.pageInit(_curPageCode, "account/riskResult", param);
				}
				var param = {
					"risk_name":FID_MESSAGE
				};
			}
		})
	}
	
	function submitTimeout() {
		layerUtils.iConfirm("请求超时，是否重新提交？", function() {
			submitRiskAnswer();
		});
	}

	function destroy() {
	}

	var risk = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = risk;
});