define('mall/scripts/account/tradeNotice.js',function(require, exports, module) {
	var appUtils = require("appUtils");
	var putils = require("putils");
	var service = require("mobileService"); //业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var HIscroll =require("hIscroll");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var constants = require("constants");//常量类
	var _pageId="#account_tradeNotice ";
	var prePageCode="";
	var common=require("common");
	//初始化
	function init(){
		common.initTitle(_pageId);
		prePageCode = appUtils.getPageParam("pageCode"); // 上一页面pageCode
		$(_pageId +"  #back_trade").css("color", "#fff");
		$( _pageId+" .financial-list").html("");
		$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height()-$(_pageId+".new-header").height()-1)+"px"});
		queryName();
	}
	function queryName(){
		var  param={
			"parent_id":3406
		}
		service.getTitle(param,function(data){
			if(data.error_no==0){
				var result = data.results;
				for(var i = 0;i<result.length;i++){
					var catalog_id = result[i].catalog_id;
					var name = result[i].name;
					li = '<li catalog_id="'+ catalog_id +'"><a href="javascript:void(0);">'+name+'</a></li>';
					$( _pageId+" .financial-list").append(li);
				}
				//点击交易提醒标题
				appUtils.bindEvent($(_pageId+" .financial-list li"),function(){
					var catalog_id = $(this).attr("catalog_id");
					var name = $(this).find("a").html();
					if(name == "新股发行一览表")
					{
						appUtils.pageInit("account/tradeNotice","account/newStockList");
					}
					else
					{
						var param = {
								"catalog_id" : catalog_id,
								"name" : name
						};
						appUtils.pageInit("account/tradeNotice","account/tradeNoticeList",param);
					}
				});
			}else{
				layerUtils.iAlert(data.error_info,-1);
			}
		});
	}
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			var param = {
					"pageCode" : prePageCode
			};
			appUtils.pageInit("account/tradeNotice","account/wingService",param);
		});
		//精彩
		appUtils.bindEvent($(_pageId + " .ft-4"), function(){
			appUtils.pageInit("account/tradeNotice","account/index");
		});
		//发现
		appUtils.bindEvent($(_pageId + " .ft-2"), function(){
			appUtils.pageInit("account/tradeNotice","account/found");
		});
		//资产
		appUtils.bindEvent($(_pageId + " .ft-3"), function(){
			appUtils.pageInit("account/tradeNotice","userCenter/index");
		});
	}
	
	//销毁
	function destroy(){
		
	}
	
	var tradeNotice = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = tradeNotice;
});