define('mall/scripts/account/tradeNoticeList.js',function(require, exports, module) {
	var appUtils = require("appUtils");
	var putils = require("putils");
	var service = require("mobileService"); //业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var HIscroll =require("hIscroll");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var constants = require("constants");//常量类
	var pageId="#account_tradeNoticeList ";
	var curPageNo = "";
	var dropload=require("dropload"); // 滚动组件
	var me="";
	var common=require("common");
	//初始化
	function init(){
		common.initTitle(pageId);
		$(pageId+" .financial-list").html("");
		var name = appUtils.getPageParam().name;
		$(pageId+" .find-box h2").html(name);
		if(appUtils.getSStorageInfo("_prePageCode") == "account/tradeRules"){
			$(pageId+" .new-header-con h1").html("交易规则介绍");
		}else if(appUtils.getSStorageInfo("_prePageCode") == "account/tradeNotice"){
			$(pageId+" .new-header-con h1").html("交易提示");
		}
		curPageNo=1;
		getTitleList();
	}
	
	//获取标题
	function getTitleList(){
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" .financial-list").html("");
		//初始化滑动组件
		var dropload = $(pageId +".khfxWarp").dropload({
	        scrollArea: $(pageId +".khfxWarp"),
	        loadDownFn: function (me) {
	        	setTimeout(function(){
	        		//调用方法
	        		var param = {
	        				"catalog_id" : appUtils.getPageParam().catalog_id,
	        				"page" : curPageNo,
	        				"pageSize" : "10"
	        			};
	        			service.testTitle(param,function(data){
	        				var error_no = data.error_no;
	        				if(error_no == 0){
	        					var result = data.results;
	        					if(curPageNo == 1){//处理没有数据的情况
	        						if(result.length==0){
	        							$(pageId + " .financial-list").hide();
	        							$(pageId+" .dropload-down").hide();
	        						}else{
	        							$(pageId + " .financial-list").show();
	        							$(pageId+" .dropload-down").show();
	        						}
	        					}else{
	        						if(result.length==0){
	        							me.lock();
	        				            // 显示无数据
	        				            me.noData();
	        				            me.loading = false;
	        				            me.resetload();//加载数据
	        						}
	        					}
	        					curPageNo++;
	        					var li = "";
	        					for(var i = 0;i<result.length;i++){
	        						var title = result[i].title;
	        						var article_id = result[i].article_id;
	        						var publish_date = result[i].publish_date;
	        						publish_date = publish_date.substring(0,4)+"."+publish_date.substring(5,7)+"."+publish_date.substring(8,10);
//	        						li = '<li article_id="'+ article_id +'"><a href="javascript:void(0);"><strong style="overflow: hidden; float: left; width: 60%; height: 40px; text-overflow: ellipsis;">'+title+'</strong><em style="float: right; padding-right: 2%;">'+publish_date+'</em></a></li>';
//	        						$(pageId+" .financial-list").append(li);
	        						li = '<li article_id="'+ article_id +'"><a href="javascript:void(0);"><strong>'+ title +'</strong></a><em>'+ publish_date +'</em></li>';
		        					$(pageId+" .financial-list").append(li);
	        					}
	        					$(pageId+" .financial-list li a em").css({ "float":"right","padding-right":"2%"});
	        					if(result.length<10){
	        			            // 再往下已经没有数据
	        			            // 锁定
	        			            me.lock();
	        			            // 显示无数据
	        			            me.noData();
	        			            me.loading = false;
	        			        }
	        					me.resetload();//加载数据
	        				}else{
	        					layerUtils.iAlert(data.error_info,-1);
	        				}
	        				//点击标题
	        				appUtils.bindEvent($(pageId+" .financial-list li"),function(){
	        					if(appUtils.getSStorageInfo("_prePageCode") == "account/tradeRules"){
	        						var type = "1";
	        					}else if(appUtils.getSStorageInfo("_prePageCode") == "account/tradeNotice"){
	        						var type = "2";
	        					}
	        					var article_id = $(this).attr("article_id");
	        					var param = {
	        						"article_id" : article_id,
	        						"type" : type
	        					};
	        					appUtils.pageInit("account/tradeNoticeList","account/tradeContent",param);
	        				},"click");
	        			},{"isShowWait":false});		
	    		},200);
	        }
	    });
	}
	
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
		//精彩
		appUtils.bindEvent($(pageId + " .ft-4"), function(){
			appUtils.pageInit("account/tradeNoticeList","account/index");
		});
		//发现
		appUtils.bindEvent($(pageId + " .ft-2"), function(){
			appUtils.pageInit("account/tradeNoticeList","account/found");
		});
		//资产
		appUtils.bindEvent($(pageId + " .ft-3"), function(){
			appUtils.pageInit("account/tradeNoticeList","userCenter/index");
		});
	}
	
	//销毁
	function destroy(){
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" .financial-list").html("");
	}
	
	var tradeNoticeList = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = tradeNoticeList;
});