define('mall/scripts/account/tradeRules.js',function(require, exports, module) {
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var _pageId = "#account_tradeRules ";
	var external = require("external");
	var platform=require("gconfig").platform;
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var prePageCode="";
	var common=require("common");
	//初始化
	function init(){
		common.initTitle(_pageId);
		prePageCode = appUtils.getPageParam("pageCode"); // 上一页面pageCode
		getFirstTitle();
		$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height()-$(_pageId+".new-header").height()-1)+"px"});
	}
	
	//获取标题
	function getFirstTitle(){
		var param = {
			"parent_id" : "2932"
		};
		service.getTitle(param,function(data){
			if(data.error_no != "0"){
				layerUtils.iAlert(data.error_info);
				return false;
			}else{
				var results = data.results;
				var str = "";
				for(var i = 0;i < results.length;i++){
					var catalog_id = results[i].catalog_id;
					var name = results[i].name;
					str += '<li catalog_id="'+catalog_id+'"><a href="javascript:void(0);">'+ name +'</a></li>';
				}
				$(_pageId+" .financial-list").html(str);
				appUtils.bindEvent($(_pageId+" .financial-list li"),function(){
					var catalog_id = $(this).attr("catalog_id");
					var name = $(this).find("a").html();
					var param = {
						"catalog_id" : catalog_id,
						"name" : name
					};
					appUtils.pageInit("account/tradeRules","account/tradeNoticeList",param);
				});
			}
		});
	}
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			var param = {
					"pageCode" : prePageCode
			};
			appUtils.pageInit("account/tradeRules","account/wingService",param);
		});
		//精彩
		appUtils.bindEvent($(_pageId + " .ft-4"), function(){
			appUtils.pageInit("account/tradeRules","account/index");
		});
		//发现
		appUtils.bindEvent($(_pageId + " .ft-2"), function(){
			appUtils.pageInit("account/tradeRules","account/found");
		});
		//资产
		appUtils.bindEvent($(_pageId + " .ft-3"), function(){
			appUtils.pageInit("account/tradeRules","userCenter/index");
		});
	}
	
	//销毁
	function destroy(){
		
	}
	
	var tradeRules = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = tradeRules;
	
});