/**
 * 问答详情页
 */
define('mall/scripts/account/ytg/myAns/quesDetail.js',function(require, exports, module) {
	var appUtils = require("appUtils"), 
	    layerUtils = require("layerUtils"),  
	    ytgService=require("ytgService"),
		gconfig = require("gconfig"),
	pageCode = "account/ytg/myAns/quesDetail", 
	_pageId = "#account_ytg_myAns_quesDetail ";
	
	//全局变量
	var domain = gconfig.global.domain;
	var user_id = null;
	var ques_id=null;
	var rows = 100; //默认查询最大查询100条回答
	
	//页面公共JS
	var pageCommon = require("pageCommon");
	//其他参数
	var parentPage = null; //用于保存父级页面
	var common=require("common");
	
	/**
	 * 初始化
	 */
	function init() {
		common.initTitle(_pageId);
		user_id = appUtils.getSStorageInfo("yqtid");
		ques_id = appUtils.getPageParam("ques_id");
		
		queryQuesDetails();
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
//		//头部菜单绑定事件
//		pageCommon.headerMenuFunc(_pageId,pageCode);
//		
//		// 进入投顾详情
		appUtils.preBindEvent($(_pageId +"#answered_list"), "li:not(:nth-child(1)) img",function(){
			var user_type = $(this).attr("userType");
			var invest_id = $(this).parent().parent().parent().attr("id");
			if(user_type == 1){
				appUtils.pageInit(pageCode,"account/ytg/userSpace",{'invest_id':invest_id});
			}
		});
//		
//		//返回事件
		appUtils.bindEvent($(_pageId + ".icon_back"), function(){
			appUtils.pageBack();
		});
		//回答页面
		appUtils.bindEvent($(_pageId + "#huida"), function() {
			if(!isLogin()){
				return false;
			}
			else{
				appUtils.pageInit(pageCode, "account/ytg/myAns/toAnswer", {"ques_id":ques_id});
			}
		});
	}
	
	//***************************【函数方法】***********************************//


	function isLogin() {
		var islogin = appUtils.getSStorageInfo("_isLoginIn");
		appUtils.setSStorageInfo("_tzPageCode", pageCode);
		var param = {ques_id:ques_id};
		if (islogin!="true") {
			appUtils.pageInit(pageCode, "account/userLogin",param);
			return false;
		}
		if ( !user_id ) {
			appUtils.pageInit(pageCode, "account/userLogin",param);
			return false;
		}
		return true;
	}
	//查询问答详情
	   function queryQuesDetails(){
		   var param={
					"rows" : rows,
					"ques_id":ques_id
			};
		   ytgService.queryQuesDetails(param,function callBack(resultVo){
				if(0==Number(resultVo.error_no)){
					var result = resultVo.results;
				    fillHotQuesDetailsData(result);
				}
				else{
					layerUtils.iAlert("问答详情数据加载失败:"+resultVo.error_info,-1);
				}
			});
	   }
	   /**
	    * 填充问答数据详情
	    */
	   function fillHotQuesDetailsData(result){
		   $(_pageId + "#answered_list").html("");
		   var html = "";
		   //问题信息
		   var ques_content=result[0].ques_content;
		   /*if(ques_content.length>=20){
			   ques_content=ques_content.substring(0,19)+".......";
		   }*/
		   html += '<li class="ts">';
		   html += '<div class="li_up"><div class="ring"><span>?</span></div>';
		   html += '<div class="list_info"><h4>'+ques_content+'</h4>';
		   html +='<p>提问者 :'+result[0].user_name+"  &nbsp;&nbsp;&nbsp;&nbsp;  "+result[0].ques_create_time+'</p></div></div></li>';
		   if(result[0].ans_num > 0){
			   for(var i = 0;i<result.length;i++)
			   {
				   //回答信息
				   html += '<li id="'+result[i].invest_id+'"><div class="li_lower"><div class="ring">';
				   if(result[i].face_image_small==null || ""==result[i].face_image_small)
					   html+='<img src="images/my_tx.png" width="26" class="rounded" userType="'+result[i].user_type+'" />';
				   else{
					   html+='<img src="'+domain+result[i].face_image_small+'" width="26" class="rounded" userType="'+result[i].user_type+'" />';
				   }
				   html +='</div><div class="list_info">';
				   html += '<h4>'+result[i].answer_content+'</h4>';
				   if(result[i].user_type == 0)
					   html +='<p>回答 :'+result[i].invest_name+" | 民间高手"+"&nbsp;&nbsp;&nbsp;&nbsp;"+result[i].create_time+'</p></div></div></li>';
				   else if(result[i].user_type == 1)
					   html +='<p>回答 :'+result[i].invest_name+" | 投顾专家"+"&nbsp;&nbsp;&nbsp;&nbsp;"+result[i].create_time+'</p></div></div></li>';
				   else
					   html +='<p>回答 :'+result[i].invest_name+' &nbsp;&nbsp;&nbsp;&nbsp; '+result[i].create_time+'</p></div></div></li>';
			   }
			   /*if(result.length <= result[0].ans_num){
				   html += '<a href="javascript:void(0);" class="load_add">查看更多回答...</a>';
			   }*/
		   }
		   else{
			   var noDataHtml = '<div class="no_data_box"><em></em><p>暂无回答</p></div>';
			   //$(_pageId + ".answered_list").empty();
			   //$(_pageId + ".answered_list").append(noDataHtml);
			   html += noDataHtml;
		   }
		   $(_pageId + "#answered_list").append(html);
	   }
	     
	//*********************************************************************//
	
	/**
	 * 销毁
	 */
	function destroy() {
		//隐藏菜单以及遮罩层
		pageCommon.hideHeaderMenuFunc(_pageId);
	}

	var ques_quesDetail = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = ques_quesDetail;
});