/**
 * 问答详情页
 */
define('mall/scripts/account/ytg/myAns/toAnswer.js',function(require, exports, module) {
	var appUtils = require("appUtils"), 
	    layerUtils = require("layerUtils"), 
		ytgService = require("ytgService"); // 业务层接口，请求数据
		pageCode = "account/ytg/myAns/toAnswer", 
		_pageId = "#account_ytg_myAns_toAnswer ";
	
	//全局变量
	var ques_id=null;
	var user_id=null;
	
	//页面公共JS
	var pageCommon = require("pageCommon");
	var common=require("common");
	
	/**
	 * 初始化
	 */
	function init() {
		common.initTitle(_pageId);
		ques_id=appUtils.getPageParam("ques_id");
		user_id = appUtils.getSStorageInfo("yqtid");
		if(!isLogin()){
			return false;
		}
		else{
			$(_pageId + " #answer_content").focus();
			var height = $(window).height()-$(_pageId + ".header").height();
			$(_pageId + ".my_page").css("height",height);
		}
		//判断用户是否登录
		/*if(user_id == undefined || user_id==null || user_id==""){
			var hisPageParam = {
					"ques_id" : ques_id
			};
			appUtils.setSStorageInfo("hisPageParam",JSON.stringify(hisPageParam));
			appUtils.setSStorageInfo("hisPageCode",pageCode);
			appUtils.pageInit(pageCode,"account/login");
		}*/
		
		//设置页面高度
	}

	function isLogin() {
		var islogin = appUtils.getSStorageInfo("_isLoginIn");
		appUtils.setSStorageInfo("_tzPageCode", pageCode);
		var param = {ques_id:ques_id};
		if (islogin!="true") {
			appUtils.pageInit(pageCode, "account/userLogin",param);
			return false;
		}
		if ( !user_id ) {
			appUtils.pageInit(pageCode, "account/userLogin",param);
			return false;
		}
		return true;
	}
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//头部菜单绑定事件
		pageCommon.headerMenuFunc(_pageId,pageCode);
		//头部返回
		appUtils.bindEvent($(_pageId + ".icon_back"), function(e) {
			appUtils.pageBack();
		}); 
		
		//回答
		appUtils.bindEvent($(_pageId + "#submit"), function(e) {
			var answer_content=$(_pageId + " #answer_content").val();
			if(answer_content==null || ""==answer_content){
				layerUtils.iAlert("回答内容不能为空!",-1);
				return;
			}
			queryQuesDetails(removeHTMLTag(answer_content));
		}); 
		
		//字数限制
		appUtils.bindEvent($(_pageId + "#answer_content"), function(e) {
			var len = $(this).val().length;
			if(len > 120){
				$(this).val($(this).val().substring(0,120));
				var num = 120 - $(this).val().length;
				$(_pageId+"#word").text("还可输入"+num+"字");
				layerUtils.iAlert("超过字数限制!",-1);
				return;
			}
			var num = 120 - len;
			$(_pageId+"#word").text("还可输入"+num+"字");
		},"input");
		
	}
	
	//***************************【函数方法】***********************************//
	/**
	 * 提交回答
	 * */
	function queryQuesDetails(answer_content){
		var time= new Date().format("yyyy-MM-dd HH:mm:ss");
		var param={
				"ques_id" :ques_id,
				"answer_content" : answer_content,
				"ques_create_time":time,
				"user_id":user_id
		};
		ytgService.AnswerQuestion(param,function callBack(resultVo){
			if(0==Number(resultVo.error_no)){
				layerUtils.iMsg(0,"问答成功");
				appUtils.pageBack();
			}else{
				layerUtils.iAlert("回答问题失败:"+resultVo.error_info,-1);
			}
		});
	}
	   
	   
	//过滤内容
	function removeHTMLTag(ques_comment){
		ques_comment = ques_comment.replace(/<\/?[^>]*>/g,''); //去除HTML tag
		ques_comment = ques_comment.replace(/[ | ]*\n/g,'\n'); //去除行尾空白
		ques_comment = ques_comment.replace(/\n[\s| | ]*\r/g,'\n'); //去除多余空行
		ques_comment=ques_comment.replace(/&nbsp;/ig,'');//去掉&nbsp;
		return ques_comment;
	}
	   
	//*********************************************************************//
	
	/**
	 * 销毁
	 */
	function destroy() {
		//隐藏菜单以及遮罩层
		pageCommon.hideHeaderMenuFunc(_pageId);
		$(_pageId).find("textarea").val("");
		$(_pageId+"#word").text("还可输入120字");
	}

	var ques_toAnswer = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = ques_toAnswer;
});