/**
 * 我的设置(修改图像)
 */
define('mall/scripts/account/ytg/mySetting/setInfo.js',function(require, exports, module) {
	var appUtils = require("appUtils"), 
	    layerUtils = require("layerUtils"), 
        gconfig = require("gconfig"),

    	 ytgService = require("ytgService"), // 业务层接口，请求数据
		
		pageCode = "account/ytg/mySetting/setInfo", 
		_pageId = "#account_ytg_mySetting_setInfo ";
	
	//页面公共JS
	var pageCommon = require("pageCommon");
	var common = require("common");
	//全局变量
	var user_id = null;
	var user_type = null;
	//接口入参
	var user_name = "";
	var sex = "";
	
	/**
	 * 初始化
	 */
	function init() {
		common.initTitle(_pageId);
		//common.loadCommonCss();
		//common.loadytgstyleCss();
		
		user_id = appUtils.getSStorageInfo("yqtid");
//		user_id = appUtils.getSStorageInfo('userId',true);
//		user_type = appUtils.getSStorageInfo('userType',true);
		
		// 设置页面高度  //
		var contentHeight = $(window).height()-$(_pageId + ".header").height();
		$(_pageId).find('article').css("height", contentHeight);
		$(_pageId).find('article').css("overflow","auto");
		
		/** 获取基本资料 */
		getUserInfo();
		
		
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent() {
		//头部菜单绑定事件
		pageCommon.headerMenuFunc(_pageId,pageCode);
		//头部返回
		appUtils.bindEvent($(_pageId + ".icon_back"), function(e) {
			appUtils.pageInit(pageCode, "userCenter/wd");
//			if(user_type == 0){
//				appUtils.pageInit(pageCode,"userSpace/index");
//			}
//			else{
//				appUtils.pageInit(pageCode,"adviserSpace/index");
//			}
		});
		
		//头部导航栏(资料;密码;图像)
		appUtils.bindEvent($(_pageId + ".row-1"), function(e) {
			var index = $(this).index();
			if(index == 0){
				//appUtils.pageInit(pageCode,pageCode);
			}
			else if(index ==1){
				appUtils.pageInit(pageCode,"account/ytg/mySetting/setImg");
//				appUtils.pageInit(pageCode,"account/ytg/mySetting/setPwd");
			}
//			else if(index ==2 ){
//				appUtils.pageInit(pageCode,"account/ytg/mySetting/setImg");
//			}
		});
		
		//性别
		appUtils.bindEvent($(_pageId + "#sex"), function(e) {
			$(this).siblings("ul").toggle();
		});
		
		//下拉框选择性别
		appUtils.bindEvent($(_pageId + ".ui .dropdown li"), function(e) {
			sex = $(this).attr("value");
			var sexName = $(this).children("a").html();
			$(this).parent().siblings("strong").html(sexName);
			$(_pageId + "#sex").siblings("ul").hide();
		});
		
		//提交
		appUtils.bindEvent($(_pageId + ".grid"), function(e) {
			setInfo(); //修改基本资料
		});
		
	}
	
	//***************************【初始化方法】***********************************//
	/**
	 * 获取用户基本资料
	 * */
	function getUserInfo(){
		var param = {
			"user_id" : user_id	
		};
		ytgService.findUserInfoById(param,function callBack(resultVo){
			if(Number(resultVo.error_no) == 0){
				//layerUtils.iMsg(0,"查询用户信息成功");
				var result = resultVo.results[0];
				user_type = result.user_type;
//				/** 如果为投顾用户，则还需查询个人简介（备注:普通用户没有个人简介）*/
//				if(user_type==1){
//					$(_pageId+"#introdution").show();
//				}else{
//					$(_pageId+"#introdution").hide();
//				}
				var user_name = result.user_name;
				$(_pageId + "#userName").attr("value",user_name);
				sex = result.sex;
				if(!sex){
					sex = '2';
				}
				var sexName = '';
				if(sex == '0')
					sexName = '男';
				else if(sex == '1')
					sexName = '女';
				else
					sexName = '保密';
				$(_pageId + "#sex").html(sexName);
				
//				/** 如果为投顾用户，则还需查询个人简介（备注:普通用户没有个人简介）*/
//				if(user_type == 0){
//				   $(_pageId + "#introdution").find("textarea").attr("disabled","disabled");
//				   $(_pageId + "#introdution").find("textarea").text("这家伙很懒，什么都没有留下！");
//				}
//				if(user_type == 1){
//					getIntro(); //查询个人简介
//				}
				getIntro(); //查询个人简介
			}
			else{
				layerUtils.iAlert("查询用户信息失败:"+resultVo.error_info,-1);
			}
		});
	}
	
	/**
	 * 查询投顾个人简介
	 * */
	function getIntro(){
		var param = {
				"invest_id" : user_id	
		};
		ytgService.findInvestInfoById(param,function callBack(resultVo){
			if(Number(resultVo.error_no) == 0){
				//layerUtils.iMsg(0,"查询投顾信息成功");
				//$(_pageId + "#introdution").show(); //显示个人简介
				var result = resultVo.results[0];
				var intro = result.introdution;
				if(intro==""){
					$(_pageId + "#it").val("这家伙很懒,什么都没有留下");
				}else{
					$(_pageId + "#it").val(intro);
				}
				
			}
			else{
				layerUtils.iAlert("查询投顾信息失败:"+resultVo.error_info,-1);
			}
		});
	}
	
	/**
	 * 修改资料
	 * */
	function setInfo(){
		user_name = $(_pageId + "#userName").attr("value");
		var introdution = $(_pageId + "#it").val();
		var param = {
				"invest_id" : user_id,
				"login_id" : user_name,
				"sex" : sex, //0:男; 1:女; 2:保密;
				"introdution" : introdution //投顾才有个人简介
		};
		ytgService.updateInvestInfo(param,function callBack(resultVo){
			if(Number(resultVo.error_no) == 0){
				layerUtils.iMsg(0,"修改信息成功");
				appUtils.clearSStorage("userName");
				appUtils.setSStorageInfo("userName",user_name,true);
				
			}
			else{
				layerUtils.iAlert("修改信息失败:"+resultVo.error_info,-1);
			}
		});
	}
	
	//*********************************************************************//
	
	/**
	 * 销毁
	 */
	function destroy() {
		//隐藏菜单以及遮罩层
		pageCommon.hideHeaderMenuFunc(_pageId);
		//重置页面所有的输入值
		appUtils.pageResetValue();
		$(_pageId + "#it").val("");
	}

	var userSpace_mySetting_setInfo = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = userSpace_mySetting_setInfo;
});