/**
 * 我的设置(修改密码)
 */
define('mall/scripts/account/ytg/mySetting/setPwd.js',function(require, exports, module) {
	var appUtils = require("appUtils"), 
	    layerUtils = require("layerUtils"), 
        gconfig = require("gconfig"),
        validatorUtil = require("validatorUtil"),
        
        userService = require("userService"),
		
		pageCode = "userSpace/mySetting/setPwd", 
		_pageId = "#userSpace_mySetting_setPwd ";
	
	//页面公共JS
	var pageCommon = require("pageCommon");
	
	//全局变量
	var user_type = null;
	var user_id = null;
	var common=require("common");
	
	/**
	 * 初始化
	 */
	function init() {
		common.initTitle(_pageId);
		//限制登录框长度
		$(_pageId + "#nowPwd").attr("maxlength","18");
		$(_pageId + "#newPwd").attr("maxlength","18");
		$(_pageId + "#repetPwd").attr("maxlength","18");
		
		// 设置页面高度  //
		var contentHeight = $(window).height()-$(_pageId + ".header").height();
		$(_pageId).find('article').css("height", contentHeight);
		$(_pageId).find('article').css("overflow","auto");
		
		user_id = appUtils.getSStorageInfo('userId',true);
		user_type = appUtils.getSStorageInfo('userType',true);
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent() {
		//头部菜单绑定事件
		pageCommon.headerMenuFunc(_pageId,pageCode);
		//头部返回
		appUtils.bindEvent($(_pageId + ".icon_back"), function(e) {
			if(user_type == 0){
				appUtils.pageInit(pageCode,"userSpace/index");
			}
			else{
				appUtils.pageInit(pageCode,"adviserSpace/index");
			}
		});
		
		//头部导航栏(资料;密码;图像)
		appUtils.bindEvent($(_pageId + ".row-1"), function(e) {
			var index = $(this).index();
			if(index == 0){
				appUtils.pageInit(pageCode,"userSpace/mySetting/setInfo");
			}
			else if(index ==1){
				//appUtils.pageInit(pageCode,"userSpace/mySetting/setPwd");
			}
			else if(index ==2 ){
				appUtils.pageInit(pageCode,"userSpace/mySetting/setImg");
			}
		});
		
		//完成
		appUtils.bindEvent($(_pageId + "#submit"), function(e) {
			setPwd(); //修改密码
		});
		
		//重置
		appUtils.bindEvent($(_pageId + "#reset"), function(e) {
			$(_pageId).find("input").val("");
		});
	}
	
	//***************************【绑定事件方法】***********************************//
	
	/**
	 * 修改密码
	 * */
	function setPwd(){
		var current_password = $(_pageId + "#nowPwd").attr("value");
		var new_password = $(_pageId + "#newPwd").attr("value");
		var new_password2 = $(_pageId + "#repetPwd").attr("value");
		if(validatorUtil.isEmpty(current_password)){
			layerUtils.iMsg(-1,"旧密码不能为空");
			return;
		}
		else if(validatorUtil.isEmpty(new_password)){
			layerUtils.iMsg(-1,"新密码不能为空");
			return;
		}
		else if(!new_password.match(/^[A-Za-z0-9]+$/)){
			layerUtils.iMsg(-1,"新密码应为字母与数字的组合");
			return;
		}
		else if(new_password.length>18 || new_password.length<6){
			layerUtils.iMsg(-1,"新密码长度应为6~18位");
			return;
		}
		else if(validatorUtil.isEmpty(new_password2)){
			layerUtils.iMsg(-1,"重复密码不能为空");
			return;
		}
		else if(current_password == new_password){
			layerUtils.iMsg(-1,"新旧密码一致,请重新输入");
			return;
		}
		else if(new_password != new_password2){
			layerUtils.iMsg(-1,"两次输入新密码不一致,请重新输入");
			return;
		}
		var param = {
				"user_id" : user_id,
				"current_password" : current_password,
				"new_password" : new_password
		};
		//console.log(param);
		userService.updateUserPassword(param,function callBack(resultVo){
			if(Number(resultVo.error_no) == 0){
				layerUtils.iMsg(0,"密码修改成功,请妥善保管!");
				//做退出操作,到登录页面
				appUtils.clearSStorage("_isLoginIn");
				appUtils.clearSStorage("_loginInPageCode");
				appUtils.clearSStorage("_loginInPageParam");
				appUtils.pageInit(pageCode,"account/login");
			}
			else{
				layerUtils.iAlert("密码修改失败:"+resultVo.error_info,-1);
			}
		});
	}
	//*********************************************************************//
	
	/**
	 * 销毁
	 */
	function destroy() {
		//隐藏菜单以及遮罩层
		pageCommon.hideHeaderMenuFunc(_pageId);
		//重置页面所有的输入值
		//appUtils.pageResetValue();
		$(_pageId).find("input").attr("value",'');
	}

	var userSpace_mySetting_setPwd = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = userSpace_mySetting_setPwd;
});