/**
 * 组合详情页
 */
define('mall/scripts/account/ytg/portfolio/tpHistory.js',function(require, exports, module){
	var appUtils = require("appUtils"), 
	    layerUtils = require("layerUtils"), 
	    gconfig = require("gconfig");

	var pageId = "#account_ytg_portfolio_tpHistory ";
	var pageCode = "account/ytg/portfolio/tpHistory";
	//页面公共JS
	var pageCommon = require("pageCommon");
	var domain = gconfig.global.domain;
	var common = require("common");   
	//service定义
	var ytgService = require("ytgService"); // 业务层接口，请求数据
	//插件
	//全局变量
	var user_id = "";
	var user_type = ""; 
	var portfolio_id=null;
	var heightTop = 100;
	//入参
	var curPage = 1;
	var numPerPage = 20;
	var totalPage=1;
	var totalRows = 0;
	var num = 0;
	//其他参数
	var parentPage = null; //用于保存父级页面
	var dropload=require("dropload"); // 滚动组件
	var me="";
	var common=require("common");
	/**
	 * 初始化
	 */
	function init() {
		common.initTitle(pageId);
		user_id = appUtils.getSStorageInfo("yqtid");
		//设置高度
		var height = $(window).height() - $(pageId +" .header").height();
		$(pageId+" #bodyPage").css("height",height);
		portfolio_id=appUtils.getPageParam("portfolio_id"); //页面传参:组合ID
		queryProtfolioTrade();
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//头部返回
		appUtils.bindEvent($(pageId + ".icon_back"), function(e) {
			appUtils.pageBack();
		});
	}
	
	//***************************【函数方法】***********************************//
	function queryProtfolioTrade(insertType){
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" #history_trade").html("");
		//初始化滑动组件
		var dropload = $(pageId +".khfxWarp").dropload({
	        scrollArea: $(pageId +".khfxWarp"),
	        loadDownFn: function (me) {
	        	setTimeout(function(){
	        		//调用方法
        		var param={
        				"curPage" : curPage,
        				"numPerPage" : numPerPage,
        				"account_id":portfolio_id
        			};
        			ytgService.queryProtfolioTrade(param,function callBack(resultVo){
        				if(0==Number(resultVo.error_no)){
        					var result = resultVo.results[0].data;
        					num = result.length;
        					if(curPage == 1){//处理没有数据的情况
        						if(result.length==0){
        							$(pageId + " #history_trade").hide();
        							$(pageId+" .dropload-down").hide();
        						}else{
        							$(pageId + " #history_trade").show();
        							$(pageId+" .dropload-down").show();
        						}
        					}else{
        						if(result.length==0){
        							me.lock();
        				            // 显示无数据
        				            me.noData();
        				            me.loading = false;
        				            me.resetload();//加载数据
        						}
        					}
        					curPage++;
        					fillProtfolioHoldTrade(result,insertType);
        					if(result.length<numPerPage){
        			            // 再往下已经没有数据
        			            // 锁定
        			            me.lock();
        			            // 显示无数据
        			            me.noData();
        			            me.loading = false;
        			        }
        					me.resetload();//加载数据
        				}else{
        					layerUtils.iAlert("交易动态详情加载失败:"+resultVo.error_info,-1);
        				}
        			},{"isShowWait":false});
	    		},200);
	        }
	    });
	}

	//填充交易动态数据
	function fillProtfolioHoldTrade(results,insertType){
		var html = "";
		
		for (var i = 0; i < results.length; i++) {
			var result = results[i];
			var execDate = $.trim(result.exec_date);//交易时间
			var elemen  = "";
			element = $(pageId + "#history_trade>div:last");
			if(element && element.length>0){//如果里面有内容就进行比较
				//获取日期
				var eDate = $(element).children(".time_box").find("span").html();
				eDate = $.trim(eDate);
				if(eDate == execDate){
					var trade_type = result.stock_be_position > result.stock_af_position ?  0 : 1;
					// 0 : 清仓/减仓   1: 建仓/加仓
					var trade_type_name ;
					if ( trade_type > 0 ) {
						if (result.stock_be_position > 0) {
							trade_type_name = "加仓" ;
						}else{
							trade_type_name = "建仓" ;
						}
					}else{
						if (result.stock_af_position > 0) {
							trade_type_name = "减仓" ;
						}else{
							trade_type_name = "清仓" ;
						}
					}
					var nextHtml = '<div class="trade_inner"><strong>名称<span>' + result.stock_name + '</span><em>（'+ result.stock_code +'）  '+result.exec_time+'</em></strong>\
										<ul>\
											<li>\
												<p class="pull-left">成交价<span>'+result.exec_price +'</span></p>\
												<p class="pull-right">操作<a href="javascript:void(0);" class="'
													+ (trade_type > 0 ? "btn_build": "btn_clear")
													+'">' + trade_type_name + '</a></p>\
											</li>\
											<li><p>仓位变动<span>'+(result.stock_be_position * 100).toFixed(2)+'%</span><em>'+(result.stock_af_position * 100).toFixed(2)+'%</em></p></li>\
										</ul>\
									</div>';
					element.append(nextHtml);
				} else {
					var allHtll = historyHtml(result);
					$(pageId + "#history_trade").append(allHtll);
				}
			}else{
				var allHt = historyHtml(result);
				$(pageId + "#history_trade").append(allHt);
			}
			
		}
	}
	
	//html结构
	function historyHtml(result){
			var trade_type = result.stock_be_position > result.stock_af_position ?  0 : 1;
			// 0 : 清仓/减仓   1: 建仓/加仓
			var trade_type_name ;
			if ( trade_type > 0 ) {
				if (result.stock_be_position > 0) {
					trade_type_name = "加仓" ;
				}else{
					trade_type_name = "建仓" ;
				}
			}else{
				if (result.stock_af_position > 0) {
					trade_type_name = "减仓" ;
				}else{
					trade_type_name = "清仓" ;
				}
			}
			var tureHtml = '<div class="trade">\
								<p class="time_box"><span>' + result.exec_date + '</span>&nbsp;&nbsp;交易记录</p>\
								<div class="trade_inner"><strong>名称<span>' + result.stock_name + '</span><em>（'+ result.stock_code +'）'+result.exec_time+'</em></strong>\
									<ul>\
										<li>\
											<p class="pull-left">成交价<span>'+result.exec_price +'</span></p>\
											<p class="pull-right">操作<a href="javascript:void(0);" class="'
												+ (trade_type > 0 ? "btn_build": "btn_clear")
												+'">' + trade_type_name + '</a></p>\
										</li>\
										<li><p>仓位变动<span>'+(result.stock_be_position * 100).toFixed(2)+'%</span><em>'+(result.stock_af_position * 100).toFixed(2)+'%</em></p></li>\
									</ul>\
								</div>\
							</div>';
			return tureHtml;
			
	}
	
	//*********************************************************************//
	
	/**
	 * 销毁
	 */
	function destroy() {
		//隐藏菜单以及遮罩层
		curPage = 1;		//当前页数
		totalPage=1;		//后台返回的总页数
		totalRows = 0;     //总条数
		num = 0;
		$(pageId +" #history_trade").html("");
		$(pageId+" .dropload-down").remove();//先删除样式
	}

	var portfolio_portfolioDetail = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = portfolio_portfolioDetail;
});