/**
 * 买入股票
 */
define('mall/scripts/account/ytg/trade/myPortfolio/buyStock.js',function(require, exports, module) {
	var appUtils = require("appUtils"), 
	    layerUtils = require("layerUtils"), 
        gconfig = require("gconfig"),
        validator = require("validatorUtil"),
        portfolioService = require("ytgService"),
		
		pageCode = "account/ytg/trade/myPortfolio/buyStock", 
		_pageId = "#account_ytg_trade_myPortfolio_buyStock ";
	
	//页面公共JS
	var pageCommon = require("pageCommon");
	var common=require("common");
	/*//插件
	var VIscroll = require("vIscroll");
	var vIscroll = {"scroll":null,"_init":false};*/
	//全局变量
	var portfolio_id = null; //组合id,页面传参
	var price_step = 0.01;//买卖股票时候的价格的变化的步长
	var portfolio_name = null; //组合名称
	//入参
	var stock_code = '';
	var stock_name = '';
	var market_id = '';
	var user_type='';
	var position=0.6;//仓位控制60%
	var hold_stock=null;
	var entrust =new Array();
	/**
	 * 初始化
	 */
	function init() {
		common.initTitle(_pageId);
		user_type=appUtils.getSStorageInfo("userType",true);

		//appUtils.setSStorageInfo("portfolioId",104);
		portfolio_id = appUtils.getSStorageInfo("portfolioId");
		//设置标题
		portfolio_name = appUtils.getSStorageInfo("portfolioName");
		if(portfolio_name != undefined && portfolio_name != null && portfolio_name != ""){
			$(_pageId + ".header_inner h1").html(portfolio_name);
		}
		//设置输入框的长度
		$(_pageId + "#stockCode").attr("maxlength","6");
		//查询组合持仓
		getPosition();
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent() {
		
		//头部返回
		appUtils.bindEvent($(_pageId + ".icon_back"), function(e){
			appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/myPortfolio");
		});
		
		//头部导航栏(持仓;买入;卖出;撤单;查询)
		appUtils.bindEvent($(_pageId + ".top_nav .row-1"), function(e) {
			var index = $(this).index();
			if(index == 0){
				appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/portfolioDetail");
			}
			else if(index ==1){
				//appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/buyStock");
			}
			else if(index ==2 ){
				appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/sellStock");
			}
			else if(index ==3){
				appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/cancelEntrust");
			}
			else if(index ==4){
				appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/queryEntrust/queryEntrustIndex");
			}
		});
		
		//股票输入
		appUtils.bindEvent($(_pageId + "#stockCode"), function(e) {
			stock_code = $(this).val();
			if(stock_code != ""){
				stockAutoInput();
			}
			else
				$(_pageId + '#autoSotck').hide();
				
		},"input");
		
		//价格输入
		appUtils.bindEvent($(_pageId + "#price"), function(e) {
			var price = $(_pageId + "#price").val();
			if(price != null && price != undefined && price != "")
				getMaxBuy(price);
			else
				$(_pageId + "#maxBuy").html("--");
		},"input");
		
		//五档价格点击输入
		appUtils.bindEvent($(_pageId + ".trading_table ul li span:nth-child(2)"), function(e){
			$(this).parent().parent().parent().parent().find("a").removeClass("act");
			$(this).parent().addClass("act");
			var price = $(this).html();
			$(_pageId + "#price").val(price);
			getMaxBuy(price);
		});
		
		//增加价格(+号)
		appUtils.bindEvent($(_pageId+".add_btn"),function(e){
			var curPrice = Number($(_pageId+"#price").val());
			if(curPrice != "" && curPrice != null && curPrice != undefined){
				if(curPrice >= 0&&curPrice<999999999)
				{
					curPrice = (curPrice+ price_step).toFixed(2);
				}	
				$(_pageId+"#price ").val(curPrice);
				getMaxBuy(curPrice);
			}
		},"touchstart");
		
		//减少价格(-号)
		appUtils.bindEvent($(_pageId+".less_btn"),function(e){
			var curPrice = Number($(_pageId+"#price").val());
			if(curPrice == "" || curPrice == undefined || curPrice == null){
				return false;
			}
			if(curPrice - price_step >= 0)
			{
				curPrice = (curPrice- price_step).toFixed(2);
			}	
			$(_pageId+"#price").val(curPrice);
			getMaxBuy(curPrice);
		},"touchstart");
		
		//点击持仓股票,关联买入股票信息
		appUtils.preBindEvent($(_pageId + ".lower_table"),"tr:not(:nth-child(1))", function(e){
			stock_code = $(this).attr("id");
			if(stock_code != null && stock_code != ""){
				queryStockInfo();
				//隐藏股票自动补全框
				$(_pageId + '#autoSotck').hide();
			}
		});
		
		//买入
		appUtils.bindEvent($(_pageId + ".login_btn"), function(e) {
			entrustStock();//委托下单
		});
	}
	
	//***************************【绑定事件方法】***********************************//
	
	//***************************【初始化方法】***********************************//
	
	/**
	 * 查询组合持仓
	 * */
	function getPosition(){
		var param = {
				"account_id" : portfolio_id,
				"curPage" : 1,
				"numPerPage" : 200
		};
		portfolioService.queryProtfolioHoldStock(param,function callBack(resultVo){
			if(Number(resultVo.error_no) == 0){
				//layerUtils.iMsg(0,"查询组合持仓成功");
				var result = resultVo.results[0].data;
				fillPositionData(result); //将组合数据填充到页面
				hold_stock=result;
				//initVIScroll();
			}
			else if(resultVo.error_no == '-40835102'){
				$(_pageId + "#position").siblings().remove();
				var noDataHtml = '<tr><td colspan="4" style="height:10px; border-bottom:1px dashed #BBBBBB; font-size:0.12rem; color:#9999B1; text-align:center;">暂无持仓</td></tr>';
				$(_pageId + "#position").after(noDataHtml);
				positionHeight = 87;
				//initVIScroll();
			}
			else{
				layerUtils.iAlert("查询组合持仓失败:"+resultVo.error_info,-1);
			}
		});
	}
	
	//将组合持仓填充到页面
	function fillPositionData(result)
	{
		$(_pageId + "#position").siblings().remove();
		/*var noDataHtml = '<tr><td colspan="4" style="height:30px; border-bottom:1px dashed #BBBBBB; font-size:12px; color:#9999B1; text-align:center;">暂无持仓</td></tr>';
		if(result == ""){
			$(_pageId + "#position").after(noDataHtml);
			return;
		}*/
		var html = "";
		for(var i = 0;i<result.length;i++)
		{
			html += '<tr id="'+result[i].stock_code+'">';
			html += '<td><h4>'+result[i].stock_name+'</h4><span>'+result[i].stock_code+'</span></td>';
			if(result[i].profit_rate >= 0)
				html += '<td><p class="ared">'+result[i].profit_rate+'%</p><p class="ared">'+result[i].profit+'</p></td>';
			else
				html += '<td><p class="agreen">'+result[i].profit_rate+'%</p><p class="agreen">'+result[i].profit+'</p></td>';
			html += '<td><p>'+result[i].total_qty+'</p><p>'+result[i].usable_qty+'</p></td>';
			html += '<td><p>'+result[i].cost_price+'</p><p>'+result[i].now_price+'</p></td>';
			html += '</tr>';
		}
		$(_pageId + "#position").after(html);
	}
	
	/**
	 * 初始化上下滑动组件 
	 *//*
	function initVIScroll(){
		var positionHeight = $(window).height() - $(_pageId +" .header").height()-$(_pageId+" .top_nav").height()-$(_pageId + ".stock_box_list").height()-30;
		if(!vIscroll._init){
			var config = {
					"isPagingType": false,		//false表示是微博那种累加形式，true表示分页形式
					"visibleHeight" : positionHeight,
					"container": $(_pageId+" #v_container_position"),
					"wrapper":$(_pageId+" #v_wrapper_position"),	
					"downHandle": function() {				//下拉获取上一页数据方法
						//查询数据
						getPosition();
					},
					"upHandle": function() {				//上拉获取下一页数据方法
						
					},
					"wrapperObj": null
			};
			vIscroll.scroll = new VIscroll(config); 	//初始化，需要做if(!hIscroll._init)判断
			vIscroll._init = true; 	//尽量只初始化一次，保持性能
			$(_pageId + " .visc_pullUp").hide();
		} else {
			vIscroll.scroll.refresh();
		}
	}*/
	
	/**
	 * 股票自动补全输入
	 * */
	function stockAutoInput(){
		var param = {
				"stock_code" : stock_code,
				"limit" :5
		};
		var reqParamVo = {
				"isShowWait" : false
		};
		portfolioService.stockAutoInput(param,function callBack(resultVo){
			if(Number(resultVo.error_no) == 0){
				$(_pageId + "#stockName").html("");
				//layerUtils.iMsg(0,"股票自动补全输入成功");
				var result = resultVo.results;
				if(result != null && result != ""){
					$(_pageId + '#autoSotck').html("");
					var html = '';
					for(var  i=0; i<result.length; i++){
						html  += '<li id="'+result[i].stock_code+'"><a href="javascript:void(0)">'+result[i].stock_code+'<span>'+result[i].stock_name+'</span></a></li>';
					}
					$(_pageId + '#autoSotck').append(html);
					if(stock_code.length==6&& result.length == 1){
						$(_pageId + '#autoSotck').hide();
						queryStockInfo();
					}else{
						$(_pageId + '#autoSotck').show();
						//点击股票,查询股票详情,填充数据（绑定事件）
						appUtils.bindEvent($(_pageId + "#autoSotck li"), function(e) {
							stock_code = $(this).attr("id"); //获股票代码
							resetValue(1);//重置表单
							$(_pageId + '#autoSotck').hide();
							queryStockInfo();
						
						});
					}
				}
			}
			else{
				layerUtils.iAlert("股票自动补全输入失败:"+resultVo.error_info,-1);
			}
		},reqParamVo);
	}
	
	/**
	 * 查询股票信息
	 * */
	function queryStockInfo(){
		var param = {
				"stock_code" : stock_code
		};
		portfolioService.queryStockInfo(param,function callBack(resultVo){
			if(Number(resultVo.error_no) == 0){
				//layerUtils.iMsg(0,"股票信息查询成功");
				var result = resultVo.results[0];
				stock_name = result.stock_name; //获取股票名称
				market_id = result.market_id; //获取股票市场代码
				fillStockInfo(result);
				if(Number(user_type)==1){
					queryEnyrustStock();
				}
			}
			else{
				layerUtils.iAlert("股票信息查询失败:"+resultVo.error_info,-1);
			}
		});
	}
	function queryEnyrustStock(){
		var param = {
				"account_id" : portfolio_id,
				"curPage" : curPage,
				"numPerPage" : numPerPage
		};
		portfolioService.queryTodayEntrust(param,function callBack(resultVo){
			if(Number(resultVo.error_no) == 0){
				var result = resultVo.results[0].data;
				for(var i=0;i<result.length;i++){
					 if((result[i].trade_status==1||result[i].trade_status==0||result[i].trade_status==6||result[i].trade_status==9)&result[i].deal_flag!=2){ 
						 entrust.push(result[i]);
					}
				}
			}
		});
	}
	//将股票信息填充到页面
	function fillStockInfo(result){
		$(_pageId + "#stockCode").val(result.stock_code);
		$(_pageId + "#stockName").html(result.stock_name);
		$(_pageId + "#up_limit").html(Number(result.up_limit).toFixed(2));
		$(_pageId + "#down_limit").html(Number(result.down_limit).toFixed(2));
		$(_pageId + "#price").val(result.price);
		$(_pageId + "#amount").val("");
		
		//计算最大可买
		getMaxBuy(result.price);
		
	    //买卖五档
		$(_pageId+"#mrjg1").text(result.mrjg1);
		$(_pageId+"#mrjg2").text(result.mrjg2);
		$(_pageId+"#mrjg3").text(result.mrjg3);
		$(_pageId+"#mrjg4").text(result.mrjg4);
		$(_pageId+"#mrjg5").text(result.mrjg5);
		$(_pageId+"#mcjg1").text(result.mcjg1);
		$(_pageId+"#mcjg2").text(result.mcjg2);
		$(_pageId+"#mcjg3").text(result.mcjg3);
		$(_pageId+"#mcjg4").text(result.mcjg4);
		$(_pageId+"#mcjg5").text(result.mcjg5);
		$(_pageId+"#mrsl1").text(result.mrsl1);
		$(_pageId+"#mrsl2").text(result.mrsl2);
		$(_pageId+"#mrsl3").text(result.mrsl3);
		$(_pageId+"#mrsl4").text(result.mrsl4);
		$(_pageId+"#mrsl5").text(result.mrsl5);
		$(_pageId+"#mcsl1").text(result.mcsl1);
		$(_pageId+"#mcsl2").text(result.mcsl2);
		$(_pageId+"#mcsl3").text(result.mcsl3);
		$(_pageId+"#mcsl4").text(result.mcsl4);
		$(_pageId+"#mcsl5").text(result.mcsl5);
		setPriceClass($(_pageId+"#mrjg1"),Number(result.mrjg1),Number(result.closeprice));
		setPriceClass($(_pageId+"#mrjg2"),Number(result.mrjg2),Number(result.closeprice));
		setPriceClass($(_pageId+"#mrjg3"),Number(result.mrjg3),Number(result.closeprice));
		setPriceClass($(_pageId+"#mrjg4"),Number(result.mrjg4),Number(result.closeprice));
		setPriceClass($(_pageId+"#mrjg5"),Number(result.mrjg5),Number(result.closeprice));
		setPriceClass($(_pageId+"#mcjg1"),Number(result.mcjg1),Number(result.closeprice));
		setPriceClass($(_pageId+"#mcjg2"),Number(result.mcjg2),Number(result.closeprice));
		setPriceClass($(_pageId+"#mcjg3"),Number(result.mcjg3),Number(result.closeprice));
		setPriceClass($(_pageId+"#mcjg4"),Number(result.mcjg4),Number(result.closeprice));
		setPriceClass($(_pageId+"#mcjg5"),Number(result.mcjg5),Number(result.closeprice));
	}
	
	//计算最大可买
	function getMaxBuy(price){

		//计算最大可买
		var userable_balance = appUtils.getSStorageInfo("userableBalance"); //获取可用资金
		var total_balance = appUtils.getSStorageInfo("totalBalance"); //获取全部资金
		var balance=parseFloat(total_balance)*position;
		//如果是投顾的话仓位控制60%
	//	if(Number(user_type)==1){
			//先查询持仓
			var market_balance=null;//单只股票市值
			var entrust_balance=null;//委托的这只股票市值
			if(hold_stock!=null&&hold_stock.length>0){
				for(var i=0;i<hold_stock.length;i++){
					if(stock_code==hold_stock[i].stock_code){
						market_balance =market_balance+ parseFloat(hold_stock[i].market_balance);
					}
				}
			}
			//查询正在撮合的股票
			if(entrust!=null&&entrust.length>0){
				for(var i=0;i<entrust.length;i++){
					if(stock_code==entrust[i].stock_code&&entrust[i].trade_type==0){
						entrust_balance =entrust_balance+parseFloat(entrust_stock[i].order_balance);
					}
				}
			}
			//如果持有和委托的已超过60%仓位，则最大数量为0
			if((market_balance+entrust_balance)>balance){
				userable_balance=0;
			}else{
				//如果不超过，且可用资产大于60%仓位
				if(parseFloat(userable_balance)>=balance){
					userable_balance=balance;
				}else{
					//可用资产小于60%时
					if(parseFloat(userable_balance)>(balance-market_balance-entrust_balance)){
						userable_balance=balance-market_balance-entrust_balance;
					}
				}
			}
			var max_buy =Math.floor(userable_balance*0.998/price);
			max_buy =(Math.floor(max_buy/100))*100;
			$(_pageId+"#maxBuy").html(max_buy); //最大可买
	//	}else{
	//		var max_buy =Math.floor(userable_balance*0.998/price);
	//		max_buy =(Math.floor(max_buy/100))*100;
	//		$(_pageId+"#maxBuy").html(max_buy); //最大可买
	//	}
	
	
	}
	
	//设置五档价格样式
	function setPriceClass(elem,price,closeprice){
		if(price >= closeprice){
			elem.addClass("ared");
		}
		else
			elem.addClass("agreen");
	}
	
	/**
	 * 股票买卖委托下单（普通）
	 * */
	function entrustStock(){
		if(stock_code.length != 6){
			layerUtils.iAlert("请输入正确的股票代码");
			return false;
		}
		if(!validator.isNumeric(stock_code)){
			layerUtils.iAlert("请输入正确的股票代码");
			return false;
		}
		
		//验证价格
		var now_price = $(_pageId+"#price ").val();
		if (now_price.substring(now_price.length-1,now_price.length) == "."){
			now_price = now_price.substring(0,now_price.length-1);
			//去掉小数点
			$(_pageId+"#price").val(now_price);
		}
		now_price = Number($(_pageId+"#price ").val());
		
		if(now_price.length == 0)
		{
			layerUtils.iAlert("请输入正确的价格");
			return false;
		}
		if((!validator.isNumberFloat(now_price)) || parseFloat(now_price) <= 0)
		{
			layerUtils.iAlert("请输入正确的价格");
			return false;
		}
		var up_stop = Number($(_pageId + " #up_limit").html());
		var down_stop = Number($(_pageId + " #down_limit").html());
		if(now_price > up_stop){
			layerUtils.iAlert("委托价格超出涨停价格"+up_stop+"！");
			return false;
		}
		if(now_price < down_stop){
			layerUtils.iAlert("委托价格超出跌停价格"+down_stop+"！");
			return false;
		}
		
		var amount = $(_pageId + "#amount").val();
		if(amount.length==0)
		{
			layerUtils.iAlert("请输入委托数量");
			return false;
		}
		if(!validator.isNumeric(amount)||amount <= 0)
		{
			layerUtils.iAlert("输入的委托数量无效");
			return false;
		}
		amount = Number(amount);
		
		//获取最大可买数量，最大可买根据委托价格和账户余额相关
		var tradingVolume = $(_pageId+"#maxBuy").html();
		//无购买数量
		if(tradingVolume == "--"){
			layerUtils.iAlert("可买数量不足");
			return false;
		}
		//购买数量大于最大可买数量
		if(amount > tradingVolume){
			layerUtils.iAlert("购买数量大于最大可买数量");
			return false;
		}
		//购买数量必须是100的整数倍
		if(amount % 100 != 0 ){
			layerUtils.iAlert("买入数量必须为100的整数倍");
			return false;
		}
		
		var btn = "买入";
		var tipStr ="<h2 style=\"padding:5px 0;border-bottom: 1px solid #AAA;\">委托买卖</h2>";
		tipStr+="<dl><dt  style=\"text-align: left;padding-left:10%;margin-top: 10px;\">您是否确认下单？</dt>";
		tipStr+="<div  style=\"text-align: left;padding-left: 35%;\">";
		tipStr+= stock_name+" "+stock_code;
		tipStr+="<br>买卖方向："+btn;
		tipStr+="<br>委托价格："+now_price;
		tipStr+="<br>委托数量："+amount;
		tipStr+="</div>";
		tipStr+="</dl>";
		layerUtils.iConfirm(tipStr, null, function success(){	
			doneEntrust();//确认下单		
		}, "取消", "确定");
		$("#pop_tip_confirm").find("p").css("padding","5px");//修改提示框的边框高度
		
	}
	
	//确认下单
	function doneEntrust(){
		var price = $(_pageId+"#price ").val();
		var amount = $(_pageId + "#amount").val();
		var trade_type = 0;
		var order_remark = '';
		var param = {
				"account_id" : portfolio_id,
				"market" : market_id,
				"stkcode" : stock_code,
				"stockName" : stock_name,
				"price" : price,
				"amount" : amount,
				"trade_type" : trade_type,
				"order_remark" : order_remark
		};
		portfolioService.entrustStock(param,function callBack(resultVo){
			if(Number(resultVo.error_no) == 0){
				layerUtils.iMsg(0,"委托下单成功");
				//清空相关股票值
				stock_code = '';
				stock_name = '';
				market_id = '';
			    appUtils.pageInit(pageCode,pageCode);
			}
			else{
				layerUtils.iAlert("委托下单失败:"+resultVo.error_info,-1);
			}
		});
	}
	
	/**
	 * 重置表单
	 * */
	function resetValue(type){
		//重置表单
		//$(_pageId).find("input").val("");
		if(type == 0){
			$(_pageId + "#stockCode").val("");
		}
		$(_pageId + "#stockName").html("");
		$(_pageId + "#price").val("");
		$(_pageId + "#amount").val("");
		$(_pageId + ".tips_box em").html("--"); //涨跌停
		$(_pageId + ".tips_box i").html("--"); //可买
		$(_pageId + ".trading_table ul li span:not(:first-child)").html("--"); //买卖五档
		$(_pageId+".trading_table ul li span[id*=mrjg]").removeClass("ared").removeClass("agreen");
		$(_pageId+".trading_table ul li span[id*=mcjg]").removeClass("ared").removeClass("agreen");
		$(_pageId+".trading_table ul li a").removeClass("act");
		$(_pageId + '#autoSotck').hide(); //股票智能补全 隐藏
	}
	
	
	//*********************************************************************//
	
	/**
	 * 销毁
	 */
	function destroy() {
		//重置页面的所有输入值
		appUtils.pageResetValue();
		resetValue(0);
	}

	var account_ytg_trade_myPortfolio_buyStock = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy,
		"getPosition" : getPosition
	};

	module.exports = account_ytg_trade_myPortfolio_buyStock;
});