/**
 * 撤单
 */
define('mall/scripts/account/ytg/trade/myPortfolio/cancelEntrust.js',function(require, exports, module) {
	var appUtils = require("appUtils"), 
	    layerUtils = require("layerUtils"), 
        gconfig = require("gconfig"),
        portfolioService = require("ytgService"),
		
		pageCode = "account/ytg/trade/myPortfolio/cancelEntrust", 
		_pageId = "#account_ytg_trade_myPortfolio_cancelEntrust ";
	
	//页面公共JS
	var pageCommon = require("pageCommon");
	var common=require("common");
	//插件
	var VIscroll = require("vIscroll");
	var vIscroll = {"scroll":null,"_init":false}; //上下滑动
	//全局变量
	var portfolio_id = null;
	var portfolio_name = null;
	//入参
	var curPage = 1;
	var numPerPage = 1000000;
	var totalPage=1;
	var totalRows = 0;
	var num = 0;
	
	/**
	 * 初始化
	 */
	function init() {
		common.initTitle(_pageId);
		portfolio_id = appUtils.getSStorageInfo("portfolioId");
		//设置标题
		portfolio_name = appUtils.getSStorageInfo("portfolioName");
		if(portfolio_name != undefined && portfolio_name != null && portfolio_name != ""){
		$(_pageId + "#portfolio_name").html(portfolio_name);
		}
		//查询可撤委托(当日委托)
		getTodayEntrust();
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent() {
		//头部返回
		appUtils.bindEvent($(_pageId + ".icon_back"), function(e) {
			appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/myPortfolio");
		});
		
		//头部导航栏(持仓;买入;卖出;撤单;查询)
		appUtils.bindEvent($(_pageId + ".row-1"), function(e) {
			var index = $(this).index();
			if(index == 0){
				appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/portfolioDetail");
			}
			else if(index ==1){
				appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/buyStock");
			}
			else if(index ==2 ){
				appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/sellStock");
			}
			else if(index ==3){
				//appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/cancelEntrust");
			}
			else if(index ==4){
				appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/queryEntrust/queryEntrustIndex");
			}
		});
		
		/** **************************  预绑定事件 ******************************  */
		//撤单
		appUtils.preBindEvent($(_pageId + ".entrust_list"),".withdrawals", function(e) {
			var cancel_id = $(this).attr("cancelId");
			var gtserial_id=$(this).attr("gtserial_id");
			layerUtils.iConfirm("确认撤单？",function yesFunc(){
				cancelEntrust(cancel_id,gtserial_id);//撤单
			});
		});
	}
	
	//***************************【初始化方法】***********************************//
	
	/**
	 * 可撤委托
	 * */
	function getTodayEntrust(insertType){
		insertType =  typeof insertType == "undefined" || insertType == "" || insertType == null ? "html":insertType;
		var param = {
				"account_id" : portfolio_id,
				"curPage" : curPage,
				"numPerPage" : numPerPage
		};
		portfolioService.queryTodayEntrust(param,function callBack(resultVo){
			if(Number(resultVo.error_no) == 0){
				//layerUtils.iMsg(0,"可撤委托查询成功");
				var result = resultVo.results[0].data;
				fillEntrustData(result,insertType);
				
				num = resultVo.results[0].data.length;
				totalPage=resultVo.results[0].totalPages;
				curPage=resultVo.results[0].currentPage;
				totalRows = resultVo.results[0].totalRows;
			}
			else if(resultVo.error_no == '-40115202'){
				//没有数据
				var height = $(window).height() - $(_pageId +" .header").height()-$(_pageId+" .top_nav").height();
				$(_pageId + "#fillDataList").html("");
				var noDataHtml = '<div  style="height:'+height+'px; font-size:16px; color:#9999B1; background-color:#FFFFFF; text-align:center; padding-top:150px; margin-top: 0.1rem;">您暂无可撤委托</div>';
				$(_pageId + "#fillDataList").append(noDataHtml);
			}
			else{
				layerUtils.iAlert("可撤委托查询失败:"+resultVo.error_info,-1);
			}
		});
	}
	
	//将可撤委托数据填充到页面
	function fillEntrustData(result,insertType)
	{
		if(insertType == 'html'){
			$(_pageId + "#fillDataList").html("");
		}
		var html = "";
		var noDataNum = 0;
		for(var i = 0;i<result.length;i++)
		{
			if((result[i].trade_status==1||result[i].trade_status==0||result[i].trade_status==6||result[i].trade_status==9)&result[i].deal_flag!=2){
				var trade_type = "";
				if(result[i].trade_type == 0)
					trade_type = '<h3 class="ared">买入</h3>';
				else
					trade_type = '<h3 class="agreen">卖出</h3>';
				html += '<div class="item_box"><div class="item_box_con">';
				html += '<div class="rounded">'+trade_type+'<p>'+result[i].stock_name+'</p><span>'+result[i].stock_code+'</span></div>';
				html += '<div class="list_info">';
				html += '<div class="li_tit"><a class="withdrawals" gtserial_id="'+result[i].gtserial_num+'"  cancelId="'+result[i].serial_num+'">撤单</a><h3><span>委托时间：</span>'+result[i].order_time+'</h3></div>';
				html += '<div class="box_list clearfix"><ul>';
				html += '<li><span>委托价格</span>'+result[i].order_price+'</li>';
				html += '<li><span>委托数量</span>'+result[i].order_qty+'</li>';
				html += '<li><span>金额</span>'+result[i].order_balance+'</li>';
				if(result[i].trade_status == 0)
					html += '<li><span>状态</span>未报</li>';
				else if(result[i].trade_status == 1)
					html += '<li><span>状态</span>已报</li>';
				html += '</ul></div>';
				html += '</div>';
				html += '</div></div>';
			}
		}
		if (result.length == noDataNum) {
			//没有下滑加载下一页，所以可以这么处理
			var height = $(window).height() - $(_pageId +" .header").height()-$(_pageId+" .top_nav").height();
			$(_pageId + "#fillDataList").html("");
			var noDataHtml = '<div  style="height:'+height+'px; font-size:16px; color:#9999B1; background-color:#FFFFFF; text-align:center; padding-top:150px; margin-top: 0.1rem;">您暂无可撤委托</div>';
			$(_pageId + "#fillDataList").append(noDataHtml);
		}else{
			$(_pageId + "#fillDataList").append(html);
		}
		
	}
	/**
	 * 撤单
	 * */
	function cancelEntrust(cancel_id,gtserial_id){
		var param = {
				"account_id" : portfolio_id,
				"cancel_id" : cancel_id,
				"gtserial_id":gtserial_id
		};
		portfolioService.cancelTradeOrder(param,function callBack(resultVo){
			if(Number(resultVo.error_no) == 0){
				layerUtils.iMsg(0,"撤单成功");
				appUtils.pageInit(pageCode,pageCode);
			}
			else{
				layerUtils.iAlert("撤单失败:"+resultVo.error_info,-1);
			}
		});
	}
	
	//*********************************************************************//
	
	/**
	 * 销毁
	 */
	function destroy() {
		curPage = 1;		//当前页数
		totalPage=1;		//后台返回的总页数
		totalRows = 0;     //总条数
		num = 0;
		$(_pageId +" #fillDataList").html("");
	}

	var account_ytg_trade_myPortfolio_cancelEntrust = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = account_ytg_trade_myPortfolio_cancelEntrust;
});