/**
 * 我的组合
 * 描述：普通用户只能有一个组合，投顾用户可以有多个组合
 */
define('mall/scripts/account/ytg/trade/myPortfolio/myPortfolio.js',function(require, exports, module) {
	var appUtils = require("appUtils"), 
	    layerUtils = require("layerUtils"), 
        gconfig = require("gconfig"),
        portfolioService = require("ytgService"),
        userService = require("ytgService"),
		pageCode = "account/ytg/trade/myPortfolio/myPortfolio", 
		_pageId = "#account_ytg_trade_myPortfolio_myPortfolio ";
	
	//全局变量
	var user_id = null;
	var user_type = null;
	var mobile=null;	
	var gtaccount_id =null;
	var gtjsessionid=null;
	//页面公共JS
	var pageCommon = require("pageCommon");
	var common = require("common");
	/**
	 * 初始化
	 */
	function init() {
		common.initTitle(_pageId);
		common.loadNewCss();
		$(_pageId).show();
		//appUtils.setSStorageInfo("yqtid",38612);
		user_id = appUtils.getSStorageInfo('yqtid');
		if(user_id==null || user_id==""){
			 common.checkUserIsLogin();
			 user_id=appUtils.getPageParam("yqtid");
			 queryUser_id(user_id);
		}else{
			//查询我的组合列表
			getPortfolioList(user_id);
		}
		user_type = appUtils.getSStorageInfo('userType',true);
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent() {
		//头部返回
		appUtils.bindEvent($(_pageId + ".icon_back"), function(e) {
			appUtils.pageInit(pageCode,"userCenter/wd");
		});
		
		//创建组合图标
		appUtils.bindEvent($(_pageId + ".adv_nav_iocn"), function(e) {
			appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/createPortfolio");
		});
		
		//创建组合 文字提示(无组合数据时)
		appUtils.bindEvent($(_pageId + "#toCreatePort"), function(e) {
			appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/createPortfolio");
		});
		
		//进入组合详情
		appUtils.preBindEvent($(_pageId + "#myPortfolioList"),"li", function(e) {
			var portfolio_id = $(this).attr("id");
			var portfolio_name = $(this).attr("name");
			appUtils.clearSStorage("portfolioName");
			appUtils.setSStorageInfo("portfolioName",portfolio_name);
			appUtils.clearSStorage("portfolioId");
			appUtils.setSStorageInfo("portfolioId",portfolio_id);
			appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/portfolioDetail");
		});
	}
	
	//***************************【初始化方法】***********************************//
	  function queryUser_id(user_id){
		  var param = {
					"user_id":user_id
				};
				if(mobile!=null){	
					//不可重复提交表单
					userService.queryUserInfo(param,function callBack(resultVo){
						if(Number(resultVo.error_no) == 0){
							//将登录信息写入缓存
							var result = resultVo.results[0];
							var userId = result.user_id;
							var loginId = result.login_id;
							var userType = result.user_type;
							var userName = result.user_name;
							//登录后,设置相关cookie
							appUtils.setSStorageInfo("_isLoginIn","true");
							appUtils.setSStorageInfo("yqtid",userId);
							appUtils.setSStorageInfo("loginId",loginId);
							appUtils.setSStorageInfo("userType",userType);
							appUtils.setSStorageInfo("userName",userName);
							//查询我的组合列表
							getPortfolioList(userId);
						}
						else{
							layerUtils.iConfirm("登录失败!是否返回？", function(){
								appUtils.pageBack();
							},
							function(){});
						}
					});
				}
	  }
	
	
	/**
	 * 查询我的组合(默认查询100个 不分页)
	 * */
	function getPortfolioList(user_id){
		var param = {
				"user_id" : user_id,
				"curPage" : 1,
				"numPerPage" : 100
		};
		portfolioService.queryUsersPortfolioList(param,function callBack(resultVo){
			if(Number(resultVo.error_no) == 0){
				//layerUtils.iMsg(0,"查询我的组合成功");
				var result = resultVo.results;
				fillPortData(result); //将组合数据填充到页面
				
				//当组合列表不为空时，普通用户不能再创建组合，投顾用户依然可以创建组合
				if(user_type == 0){
					$(_pageId + ".adv_nav_iocn").hide();
					$(_pageId + ".menu_iocn:not(.close_iocn)").show();
				}else if(user_type != 0){
					$(_pageId + ".menu_iocn").hide();
					$(_pageId + ".adv_nav_iocn").show();
				}
			}
			else if(resultVo.error_no == '-40832202'){
				//当接口无返回数据时
				//当组合列表为空时，普通用户和投顾用户都可以创建组合
				//这里应该有一张，显示的图片，效果最佳
				$(_pageId + ".adv_nav_iocn").show();
				$(_pageId + ".menu_iocn").hide();
				$(_pageId + "#myPortfolioList").html("");
				$(_pageId + ".fix_add").show();
//				$(_pageId + "#myPortfolioList").html("");
//				var html='<div class="fix_add" style="z-index:2; margin-top:40%;"><div class="inner" id="toCreatePort"><p>您暂无组合</p><a href="javascript:void(0);"></a><span>快去创建吧</span></div></div>';
//				$(_pageId + "#myPortfolioList").append(html);
			}
			else{
				layerUtils.iAlert("查询我的组合失败:"+resultVo.error_info,-1);
			}
		});
	}
	
	//将组合数据填充到页面
	function fillPortData(result)
	{
		$(_pageId + "#myPortfolioList").html("");
		var html = "";
		for(var i = 0;i<result.length;i++)
		{
			html += '<li id="'+result[i].portfolio_id+'" name="'+result[i].portfolio_name+'">';
			html += '<a href="javascript:void(0)">';
			html += '<div class="li_det">';
			html += '<div class="ring">';
			html += '<strong>'+(Number(result[i].total_yield)*100).toFixed(2)+'<i>%</i></strong><p>总收益</p>';
			html += '</div>';
			html += '<div class="list_info"><div class="label_box"><span class="ui tag">沪深</span></div>';
			html += '<div class="mes_box">';
			html += '<h4>'+result[i].portfolio_name+'</h4>';
			html += '<p><span class="user">'+"我的组合"+' </span>';
			if(result[i].sub_num>=1){
			html +=result[i].sub_num+'人关注</p>';
			}else{
				html+=' 0  人关注</p>';
			}
			html += '</div></div></div></a>';
			html += '</li>';
		}
		$(_pageId + "#myPortfolioList").append(html);
	}
	
	//*********************************************************************//
	
	/**
	 * 销毁
	 */
	function destroy() {
		$(_pageId + "#myPortfolioList").html("");
		$(_pageId + ".fix_add").hide();
	}

	var account_ytg_trade_myPortfolio_myPortfolio = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = account_ytg_trade_myPortfolio_myPortfolio;
});