/**
 * 今日成交
 */
define('mall/scripts/account/ytg/trade/myPortfolio/queryEntrust/todayDeal.js',function(require, exports, module) {
	var appUtils = require("appUtils"), 
	    layerUtils = require("layerUtils"), 
        gconfig = require("gconfig"),
        portfolioService = require("ytgService"),
		
		pageCode = "account/ytg/trade/myPortfolio/queryEntrust/todayDeal", 
		pageId = "#account_ytg_trade_myPortfolio_queryEntrust_todayDeal ";
	
	//页面公共JS
	var pageCommon = require("pageCommon");
	
	//全局变量
	var portfolio_id = null;
	//插件
	var dropload=require("dropload"); // 滚动组件
	var me="";
	var common=require("common");	
	/**
	 * 初始化
	 */
	function init() {
		common.initTitle(pageId);
		portfolio_id = appUtils.getSStorageInfo("portfolioId");
		//查询当日成交
		getTodayDeal();
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent() {
		//头部返回
		appUtils.bindEvent($(pageId + ".icon_back"), function(e) {
			appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/queryEntrust/queryEntrustIndex");
		});
		
		//今日委托
		appUtils.bindEvent($(pageId + "#todayEntrust"), function(e) {
			appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/queryEntrust/todayEntrust");
		});
	}
	
	//***************************【初始化方法】***********************************//
	/**
	 * 今日成交
	 * */
	function getTodayDeal(){
		var param = {
			"account_id" : portfolio_id
		};
		portfolioService.queryTodayDeal(param,function(data){
				var error_no = data.error_no;
				if(error_no=="-40115302"){
					var height = $(window).height() - $(pageId +" .header").height()-$(pageId+" .top_nav").height();
					$(pageId + ".entrust_list").html("");
					var noDataHtml = '<div  style="height:'+height+'px; font-size:16px; color:#9999B1; background-color:#FFFFFF; text-align:center; padding-top:150px; margin-top: 0.1rem;">今日暂无成交记录</div>';
					$(pageId + ".entrust_list").append(noDataHtml);
					return false;
				}
				if(error_no == 0){
					var result = data.results;
					$(pageId + ".entrust_list").html("");
					var html = "";
					for(var i = 0;i<result.length;i++)
					{
						var trade_type = '';
						if(result[i].trade_type == 0)
							trade_type = '<h3 class="ared">买入</h3>';
						else
							trade_type = '<h3 class="agreen">卖出</h3>';
						html += '<div class="item_box">';
						html += '<div class="li_tit"><span class="time">'+result[i].exec_time+'</span>'+trade_type+'</div>';
						html += '<div class="box_list clearfix">';
						html += '<h4>'+result[i].stock_name+'<span>'+result[i].stock_code+'</span></h4>';
						html += '<ul>';
						html += '<li><span>委托编号</span>'+result[i].order_srlnum+'</li>';
						//html += '<li><span>状态说明</span>部分成交</li>';
						html += '<li><span>成交数量</span>'+result[i].exec_qty+'</li>';
						html += '<li><span>成交价格</span>'+result[i].exec_price+'</li>';
						html += '<li><span>成交金额</span>'+result[i].bargain_balance+'</li>';
						//html += '<li><span>委托数量</span>1500</li>';
						html += '</ul>';
						html += '</div>';
						html += '</div>';
					}
					$(pageId + ".entrust_list").append(html);
				}else{
					layerUtils.iAlert("当日成交查询失败:"+data.error_info,-1);
				}
			},{"isShowWait":false});		
	}
	//*********************************************************************//
	
	/**
	 * 销毁
	 */
	function destroy() {
		$(pageId + ".entrust_list").html("");
	}

	var account_ytg_trade_myPortfolio_queryEntrust_todayDeal = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = account_ytg_trade_myPortfolio_queryEntrust_todayDeal;
});