/**
 * 驳回影像上传
 */
define(function(require, exports,module) {
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"), service = require("serviceImp").getInstance(), // 业务层接口，请求数据
	layerUtils = require("layerUtils"),
	 gconfig = require("gconfig"),
	  global = gconfig.global,
	  serverPath = global.serverPath,
	  _pageId = "#account_backUploadPhoto",
	  font = "", back = "",
	// 填写资料的页面入参，属性由 imgState 方法赋值
	fillInformationInParam = {
		"idno" : "", // 身份证号
		"custname" : "", // 客户姓名
		"ethnicname" : "", // 民族
		"native" : "", // 证件地址
		"policeorg" : "", // 签发机关
		"birthday" : "", // 出生日期
		"idbegindate" : "", // 证件开始日期
		"idenddate" : "", // 证件结束日期
		"gender" : "", // 用户性别
		"imgPath" : "", // 图片的显示地址
		"imgId" : "", // 图片 id
		"branchno" : "", // 营业部Id
		"commission" : "", // 佣金套餐
		"postid" : "" // 邮编
	};
	var nohat = "";
	var external = require("external");
	var common = require("common");
	/* 私有业务模块的全局变量 end */

	function init() {
		common.initTitle(_pageId);
		// 填写资料的页面入参，属性由 imgState 方法赋值
		fillInformationInParam = {
			"idno" : "", // 身份证号
			"custname" : "", // 客户姓名
			"ethnicname" : "", // 民族
			"native" : "", // 证件地址
			"policeorg" : "", // 签发机关
			"birthday" : "", // 出生日期
			"idbegindate" : "", // 证件开始日期
			"idenddate" : "", // 证件结束日期
			"gender" : "", // 用户性别
			"imgPath" : "", // 图片的显示地址
			"imgId" : "", // 图片 id
			"branchno" : "", // 营业部Id
			"commission" : "", // 佣金套餐
			"postid" : "" // 邮编
		};
		initPage(); // 初始化页面
	}

	function bindPageEvent() {
		/* 点击页面隐藏按钮 */
		appUtils.bindEvent($(_pageId), function() {
					// 将按钮的自定义属性 last-media-id 设为 当前的 media-id
					$(_pageId + " .upload_btn li").attr(
							"last-media-id",
							$(_pageId + " .upload_btn li:eq(0)")
									.attr("media-id"));
					// 将按钮的自定义属性 media-id 设为 null
					$(_pageId + " .upload_btn li").attr("media-id", "null");
					// 隐藏照片上传按钮
					$(_pageId + " .upload_btn").slideUp("fast");
					$(_pageId + " .upload_box").removeClass("active");
				});
		/* 绑定返回 */
		appUtils.bindEvent($(_pageId+"  .icon_back"),function(){
			//appUtils.pageInit("account/personInfo","account/uploadPhoto",{});
			appUtils.pageBack();
		});

		/* 绑定上传正面身份证照 */
		appUtils.bindEvent($(_pageId + " .upload_main .positive"), function(e) {
					$(_pageId + " .upload_main .negative")
							.removeClass("active");
					$(_pageId + " .upload_main .headpic").removeClass("active");
					var isActive = $(this).hasClass("active");
					switchCss($(_pageId + " .upload_main .positive"), isActive,
							4);
					$(_pageId + " .upload_btn h5").html("上传身份证正面");
					e.stopPropagation();
				});

		/* 绑定上传反面身份证照 */
		appUtils.bindEvent($(_pageId + " .upload_main .negative"), function(e) {
					$(_pageId + " .upload_main .positive")
							.removeClass("active");
					$(_pageId + " .upload_main .headpic").removeClass("active");
					var isActive = $(this).hasClass("active");
					switchCss($(_pageId + " .upload_main .negative"), isActive,
							5);
					$(_pageId + " .upload_btn h5").html("上传身份证反面");
					e.stopPropagation();
				});

		/* 人像正面 */
		appUtils.bindEvent($(_pageId + " .upload_main .headpic"), function(e) {
					$(_pageId + " .upload_main .positive")
							.removeClass("active");
					$(_pageId + " .upload_main .negative")
							.removeClass("active");
					var isActive = $(this).hasClass("active");
					switchCss($(_pageId + " .upload_main .headpic"), isActive,
							3);
					$(_pageId + " .upload_btn h5").html("上传大头像");
					e.stopPropagation();
				});

			/* 点击相册 */
        		appUtils.bindEvent($(_pageId + " .upload_btn li:eq(0)"), function(e) {
        			var phoneConfig = {
        				"funcNum": $(this).attr("media-id") == "3" ? "501526" : "501525",
        				"uuid": "index",
        				"r": Math.random(),
        				"userId": appUtils.getSStorageInfo("user_id"),
        				"photoType": $(this).attr("media-id") == "3" ? "人像正面" : "身份证", // 影像名称
        				"action": "phone", // 照片来源类别，phone 相册，pai 相机
        				"imgType": $(this).attr("media-id"),
        				"key": "index", // key 和 uuid 只需要写一个
        				"url": global.serverPath,
        				"clientInfo": appUtils.getSStorageInfo("clientinfo"), // 从 session 中将 clientinfo 取出
        				"jsessionId": appUtils.getSStorageInfo("jsessionid"), // 从 session 中将 jsessionid 取出
        				"funcNo": "60002",
        				"moduleName": "open"
        			};
        			if (gconfig.platform == 3) {
        				layerUtils.iLoading(true);
        			}

        			external.callMessage(phoneConfig);
        			// 隐藏照片上传按钮
        			$(_pageId + " .upload_btn").slideUp("fast");
        			$(_pageId + " .upload_box").removeClass("active");
        			// 将按钮的自定义属性  last-media-id 设为 当前的 media-id
        			$(_pageId + " .upload_btn li").attr("last-media-id", $(_pageId + " .upload_btn li:eq(0)").attr("media-id"));
        			// 将按钮的自定义属性 media-id 设为 null
        			$(_pageId + " .upload_btn li").attr("media-id", "null");
        			e.stopPropagation(); // 阻止冒泡
        		});

        		/* 点击拍照 */
        		appUtils.bindEvent($(_pageId + " .upload_btn li:eq(1)"), function(e) {
        			var paiConfig = {
        				"funcNum": $(this).attr("media-id") == "3" ? "501526" : "501525",
        				"uuid": "index",
        				"r": Math.random(),
        				"userId": appUtils.getSStorageInfo("user_id"),
        				"photoType": $(this).attr("media-id") == "3" ? "人像正面" : "身份证", // 影像名称
        				"action": "pai", // 照片来源类别，phone 相册，pai 相机
        				"imgType": $(this).attr("media-id"),
        				"key": "index", // key 和 uuid 只需要写一个
        				"url": global.serverPath,
        				"clientInfo": appUtils.getSStorageInfo("clientinfo"), // 从 session 中将 clientinfo 取出
        				"jsessionId": appUtils.getSStorageInfo("jsessionid"), // 从 session 中将 jsessionid 取出
        				"funcNo": "60002",
        				"moduleName": "open"
        			};
        			if (gconfig.platform == 3) {
        				layerUtils.iLoading(true);
        			}
        			external.callMessage(paiConfig);
        			// 隐藏照片上传按钮
        			$(_pageId + " .upload_btn").slideUp("fast");
        			$(_pageId + " .upload_box").removeClass("active");
        			// 将按钮的自定义属性  last-media-id 设为 当前的 media-id
        			$(_pageId + " .upload_btn li").attr("last-media-id", $(_pageId + " .upload_btn li:eq(0)").attr("media-id"));
        			// 将按钮的自定义属性 media-id 设为 null
        			$(_pageId + " .upload_btn li").attr("media-id", "null");
        			e.stopPropagation(); // 阻止冒泡
        		});

		/* 绑定下一步 */
		appUtils.bindEvent($(_pageId + " .fix_bot .ct_btn"), function() {
					$(_pageId + " .upload_btn").hide(); // 隐藏照片按钮
					nextStep(); // 下一步确认
		});
	}

	function destroy() {
		service.destroy();
	}

	/* 初始化页面 */
	function initPage() {

		// 给补全信息赋值
		front = appUtils.getPageParam("needFront");
		back = appUtils.getPageParam("needBack");
		nohat = appUtils.getPageParam("needNohat");
		// 只补全正面照
		if (front == 1 && back != 1 && nohat != 1) {
			$(_pageId + " .upload_main .positive").show(); // 显示上传身份证正面
			$(_pageId + " .upload_main h5:eq(0)").html("补充身份证正面影像");
		}
		// 只补全反面照
		if (front != 1 && back == 1 && nohat != 1) {
			$(_pageId + " .upload_main .negative").show(); // 显示上传身份证反面
			$(_pageId + " .upload_main h5:eq(0)").html("补充身份证反面影像");
		}
		// 只补全大头像
		if (front != 1 && back != 1 && nohat == 1) {
			$(_pageId + " .upload_main .headpic").show(); // 显示上传大头像
			$(_pageId + " .upload_main h5:eq(0)").html("补充大头像");
		}
		// 补全正面和反面
		if (front == 1 && back == 1 && nohat != 1) {
			$(_pageId + " .upload_main .positive").show(); // 显示上传身份证正面
			$(_pageId + " .upload_main .negative").show(); // 显示上传身份证反面
			$(_pageId + " .upload_main h5:eq(0)").html("补充身份证正、反面影像");
		}
		// 补全正面和大头像
		if (front == 1 && back != 1 && nohat == 1) {
			$(_pageId + " .upload_main .positive").show(); // 显示上传身份证正面
			$(_pageId + " .upload_main .headpic").show(); // 显示上传大头像
			$(_pageId + " .upload_main h5:eq(0)").html("补充身份证正面影像和大头像");
		}
		// 补全反面和大头像
		if (front != 1 && back == 1 && nohat == 1) {
			$(_pageId + " .upload_main .negative").show(); // 显示上传身份证反面
			$(_pageId + " .upload_main .headpic").show(); // 显示上传大头像
			$(_pageId + " .upload_main h5:eq(0)").html("补充身份证反面影像和大头像");
		}
		// 三张全部补全
		if (front == 1 && back == 1 && nohat == 1) {
			$(_pageId + " .upload_main .positive").show(); // 显示上传身份证正面
			$(_pageId + " .upload_main .negative").show(); // 显示上传身份证反面
			$(_pageId + " .upload_main .headpic").show(); // 显示上传大头像
			$(_pageId + " .upload_main h5:eq(0)").html("补充以下相关影像");
		}
	}

	/* 处理点击上传身份证正面、反面效果 */
	function switchCss(ele, isActive, media) {
		if (isActive) {
			$(_pageId + " .upload_btn").slideUp("fast");
			$(_pageId + " .upload_btn li").attr("media-id", "null");
		} else {
			$(_pageId + " .upload_btn").slideDown("fast");
			$(_pageId + " .upload_btn li").attr("media-id", media);
		}
		$(ele).toggleClass("active");
	}

	/* 供图片上传成功后调用 */
	function imgState(data) {

//		if(gconfig.platform == "1"){
//			data = JSON.parse(data.source);  // 返回的是 json 串
//	    }
		var base64Str = (data.base64).replace(/[\n\r]*/g,"");

//		if(data.error_no != 0 && data.error_no != undefined)
//		{
//			layerUtils.iAlert(data.error_info);
//			return false;
//		}
//	   if(gconfig.platform == "1") {
//		   // 身份证正面信息
//		   if($(_pageId+" .upload_btn li:eq(0)").attr("last-media-id") == 4)
//		   {
//			   fillInformationInParam.idno = data.results[0].idno;  // 身份证号
//			   fillInformationInParam.custname = data.results[0].custname;  // 客户姓名
//			   fillInformationInParam.native = data.results[0].native;  // 证件地址
//			   fillInformationInParam.addr = data.results[0].native;  // 联系地址默认为证件地址
//			   fillInformationInParam.ethnicname = data.results[0].ethnicname;  // 民族
//			   appUtils.setSStorageInfo("ethnicname",data.results[0].ethnicname);
//			   fillInformationInParam.birthday = data.results[0].birthday;  // 出生日期
//			   fillInformationInParam.gender = data.results[0].usersex;  // 用户性别
//		   }
//		   // 身份证反面信息
//		   if($(_pageId+" .upload_btn li:eq(0)").attr("last-media-id") == 5)
//		   {
//			   fillInformationInParam.policeorg = data.results[0].policeorg;  // 签发机关
//			   fillInformationInParam.idbegindate = data.results[0].idbegindate;  // 证件开始日期
//			   fillInformationInParam.idenddate = data.results[0].idenddate;  // 证件结束日期
//		   }
//	   } else if(gconfig.platform == "2") {
		   // 身份证正面信息
		   if($(_pageId+" .upload_btn li:eq(0)").attr("last-media-id") == 4)
		   {
			   fillInformationInParam.idno = data.idNo;  // 身份证号
			   fillInformationInParam.custname = data.custName;  // 客户姓名
			   fillInformationInParam.native = data.native;  // 证件地址
			   fillInformationInParam.addr = data.native;  // 联系地址默认为证件地址
			   fillInformationInParam.ethnicname = data.ethnicName;  // 民族
			   appUtils.setSStorageInfo("ethnicname",data.ethnicname);
			   fillInformationInParam.birthday = data.birthday;  // 出生日期
			   fillInformationInParam.gender = data.userSex;  // 用户性别
		   }
		   // 身份证反面信息
		   if($(_pageId+" .upload_btn li:eq(0)").attr("last-media-id") == 5)
		   {
			   fillInformationInParam.policeorg = data.policeOrg;  // 签发机关
			   fillInformationInParam.idbegindate = data.idbeginDate;  // 证件开始日期
			   fillInformationInParam.idenddate = data.idendDate;  // 证件结束日期
		   }
//	   }
		var maxheight = $(_pageId+" .upload_box").height()+"px";
		$(_pageId+" .upload_box").css("height",maxheight);  // 设置回显照片区域高度不变
		switch(Number($(_pageId+" .upload_btn li:eq(0)").attr("last-media-id")))
		{
			// 正面照
			case 4 :
				if(fillInformationInParam.idno.length == 0)
				{
					layerUtils.iAlert("身份证号码识别失败，需重新拍摄，请注意拍摄的角度和光线！",-1);
					$(_pageId+" .positive").text("");  // 先将  li 置空
					$(_pageId+" .positive").attr("uploaded","false");  // 标识图片未上传
					$(_pageId+" .positive").append("<dd><p>点击上传身份证</p><h5>正 面</h5></dd>");
					return false;
				}
				else if(fillInformationInParam.gender.length == 0)
				{
					layerUtils.iAlert("性别识别失败，需重新拍摄，请注意拍摄的角度和光线！",-1);
					$(_pageId+" .positive").text("");  // 先将  li 置空
					$(_pageId+" .positive").attr("uploaded","false");  // 标识图片未上传
					$(_pageId+" .positive").append("<dd><p>点击上传身份证</p><h5>正 面</h5></dd>");
					return false;
				}
				$(_pageId+" .positive").text("");  // 先将  li 置空
				$(_pageId+" .positive").attr("uploaded","true");  // 标识图片已经上传
				$(_pageId+" .positive").append("<dd><img src=\""+base64Str+"\"/></dd>");  // 回显图片
				break;
			// 反面照
			case 5 :
				if(fillInformationInParam.idbegindate.length == 0)
				{
					layerUtils.iAlert("身份证的有效期限识别失败，需重新拍摄，请注意拍摄的角度和光线！",-1);
					$(_pageId+" .negative").text("");  // 先将  li 置空
					$(_pageId+" .negative").attr("uploaded","false");  // 标识图片未上传
					$(_pageId+" .negative").append("<dd><p>点击上传身份证</p><h5>反 面</h5></dd>");
					return false;
				}
				else if(fillInformationInParam.idenddate.length == 0)
				{
					layerUtils.iAlert("身份证的有效期限识别失败，需重新拍摄，请注意拍摄的角度和光线！",-1);
					$(_pageId+" .negative").text("");  // 先将  li 置空
					$(_pageId+" .negative").attr("uploaded","false");  // 标识图片未上传
					$(_pageId+" .negative").append("<dd><p>点击上传身份证</p><h5>反 面</h5></dd>");
					return false;
				}
				$(_pageId+" .negative").text("");  // 先将  li 置空
				$(_pageId+" .negative").attr("uploaded","true");  // 标识图片已上传
				$(_pageId+" .negative").append("<dd><img src=\""+base64Str+"\"/></dd>");  // 回显图片
				break;
		}
		$(_pageId+" .upload_box img").css("max-height",maxheight);  //设置图片展示大小
	}

	/* 确认下一步 */
	function nextStep() {
		// 只补全正面照
		if (front == 1 && back != 1 && nohat != 1) {
			if ($(_pageId + " .positive img").length == 0) {
				layerUtils.iMsg(-1, "请先上传正面照！");
				return false;
			}
		}
		// 只补全反面照
		if (front != 1 && back == 1 && nohat != 1) {
			if ($(_pageId + " .negative img").length == 0) {
				layerUtils.iMsg(-1, "请先上传反面照！");
				return false;
			}
		}
		// 只补全大头像
		if (front != 1 && back != 1 && nohat == 1) {
			if ($(_pageId + " .headpic img").length == 0) {
				layerUtils.iMsg(-1, "请先上传人像正面！");
				return false;
			}
		}
		// 补全正面和反面
		if (front == 1 && back == 1 && nohat != 1) {
			if ($(_pageId + " .positive img").length == 0) {
				layerUtils.iMsg(-1, "请先上传正面照！");
				return false;
			}
			if ($(_pageId + " .negative img").length == 0) {
				layerUtils.iMsg(-1, "请先上传反面照！");
				return false;
			}
		}
		// 补全正面和大头像
		if (front == 1 && back != 1 && nohat == 1) {
			if ($(_pageId + " .positive img").length == 0) {
				layerUtils.iMsg(-1, "请先上传正面照！");
				return false;
			}
			if ($(_pageId + " .headpic img").length == 0) {
				layerUtils.iMsg(-1, "请先上传人像正面！");
				return false;
			}
		}
		// 补全反面和大头像
		if (front != 1 && back == 1 && nohat == 1) {
			if ($(_pageId + " .negative img").length == 0) {
				layerUtils.iMsg(-1, "请先上传反面照！");
				return false;
			}
			if ($(_pageId + " .headpic img").length == 0) {
				layerUtils.iMsg(-1, "请先上传人像正面！");
				return false;
			}
		}
		// 三张全部补全
		if (front == 1 && back == 1 && nohat == 1) {
			if ($(_pageId + " .positive img").length == 0) {
				layerUtils.iMsg(-1, "请先上传正面照！");
				return false;
			}
			if ($(_pageId + " .negative img").length == 0) {
				layerUtils.iMsg(-1, "请先上传反面照！");
				return false;
			}
			if ($(_pageId + " .headpic img").length == 0) {
				layerUtils.iMsg(-1, "请先上传人像正面！");
				return false;
			}
		}

		var info = {
			"user_id" : appUtils.getSStorageInfo("user_id"),
			"custname" : fillInformationInParam.custname,
			"idno" : fillInformationInParam.idno,
			"native" : fillInformationInParam.native,
			"policeorg" : fillInformationInParam.policeorg,
			"idbegindate" : fillInformationInParam.idbegindate,
			"idenddate" : fillInformationInParam.idenddate
		};

		/*
		 * service.compareInfo(info, function(data){
		 * alert(JSON.stringify(data)); var error_no = data.error_no; var
		 * error_info = data.error_info; var result = data.results; if(error_no ==
		 * "0" && result.length != 0) { var flag = result[0].flag; alert(flag);
		 * if(flag == "1") {
		 *  } else if (flag == "0") {
		 * layerUtils.iMsg(-1,"驳回上传的身份证跟上次本号码上传的身份证不一样！"); $(_pageId+"
		 * .negative").append(""); $(_pageId+" .positive").append(""); return
		 * false; } } });
		 */

		// 调用提交补全资料接口
		var notifyParam = {
			"user_id" : appUtils.getSStorageInfo("user_id"),
			"fieldname" : "photo" // 通知图片已补全
		};
		service.rejectStep(notifyParam, function(data) {
			if (data.error_no == 0) {
				appUtils.setSStorageInfo("isBack", "backInfo"); // 标志重新提交资料成功
				var videoParam = appUtils.getSStorageInfo("videoParam");
				var accountParam = appUtils.getSStorageInfo("accountParam");
				var pwdParam = appUtils.getSStorageInfo("pwdParam");
				var thirdParam = appUtils.getSStorageInfo("thirdParam");
				videoParam = JSON.parse(videoParam);
				accountParam = JSON.parse(accountParam);
				pwdParam = JSON.parse(pwdParam);
				thirdParam = JSON.parse(thirdParam);
				// 需要继续驳回到视频
				if (videoParam.need_video == 1) {

					if (appUtils.getSStorageInfo("current_witness_way") == "1") {
						appUtils.pageInit("account/backUploadPhoto",
								"account/backTakePhoto", videoParam);
					} else {
						appUtils.pageInit("account/backUploadPhoto",
								"account/videoNotice", videoParam);
					}
				}
				// 需要继续驳回到开股东卡
				else if (accountParam.need_account == 1) {
					appUtils.pageInit("account/backUploadPhoto",
							"account/backSignProtocol", accountParam);
				}
				// 需要驳回资金或交易密码
				else if (pwdParam.needBusinessPwd == 1
						|| pwdParam.needFundPwd == 1) {
					appUtils.pageInit("account/backUploadPhoto",
							"account/backSetPwd", pwdParam); // 跳转设置密码页面
				}
				// 需要驳回到三方存管
				else if (thirdParam.needThirdDeposit == 1) {
					appUtils.pageInit("account/backUploadPhoto",
							"account/backThirdDepository", thirdParam); //返回结果页
				} else {
					appUtils.pageInit("account/backUploadPhoto",
							"account/accountResult", {});
				}
			}
		});
	}

	var backUploadPhoto = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy,
		"imgState" : imgState
	};

	// 暴露对外的接口
	module.exports = backUploadPhoto;
});
