/**
* 风险测评结果
*/
define(function(require,exports,module){
	var appUtils = require("appUtils"),
	
	 	service = require("serviceImp").getInstance(),
	 	Map = require("map"),
	    layerUtils = require("layerUtils"),
	    countProtocol = 0, // 计算签署成功的数量
	    userId = "",
	    cert_type = appUtils.getSStorageInfo("openChannel") == "new" ? "zd" : "tw", // tw:天威 zd:中登
	    
	    
		global = require("gconfig").global;
	var	_pageId = "#account_riskAssessmentResult";
	var external = require("external");
	var	fristMap = null;  //  存放所有相关协议
	var  protocolArray = new Array();  // 存放协议签名值
	var common = require("common");
	function init()
	{
		common.initTitle(_pageId);
		protocolArray = new Array();
		userId = appUtils.getSStorageInfo("user_id");
		//设置按钮显示提示文字
		if(appUtils.getSStorageInfo("openChannel") == "change")
		{
			if(appUtils.getSStorageInfo("finance") == "finance")
			{
				$(_pageId+" .fix_bot .ct_btn a").html("继续开户 >");  // 理财户
			}
			else
			{
				$(_pageId+" .fix_bot .ct_btn a").html("继续转户 >");  // 转户
			}
		}
		else
		{
			$(_pageId+" .fix_bot .ct_btn a").html("继续开户 >");  // 新开户
		}
		
		// 只有从 riskAssessment 跳转过来时，才设置页面的填充数据
		if(appUtils.getSStorageInfo("_prePageCode") == "account/riskAssessment")
		{
			var remark  = appUtils.getPageParam("remark");  //风险等级
			var riskdesc = appUtils.getPageParam("riskdesc"); //风险等级描述
			
			var investment_term= appUtils.getPageParam("investment_term");//投资期限
			var investment_products= appUtils.getPageParam("investment_products"); //投资产品
			var	investment_advice = appUtils.getPageParam("investment_advice");//投资建议
			
			var showStr = riskdesc;
			// 清空原有内容
			$(_pageId+" div[class='test_level']").text("");
			$(_pageId+" div[class='test_level']").append(showStr);
			$(_pageId+" #investment_term").text(investment_term);
			$(_pageId+" #investment_products").text(investment_products);
			$(_pageId+" #investment_advice").text(investment_advice);
			
		}
		if(appUtils.getSStorageInfo("flag")  == "1"){   //1:需要证书   0:不需要证书
			checkCert();  // 获取签名值并验签
	   }else{
		   queryAgreement();
	   }
		
	}
	/* 检测是否安装证书 */
	function checkCert()
	{
		//本页面需要用到证书，如果进入本页面时，证书不存在就下载并安装证书
		var existsParam = {
			"userId" : userId,
			"mediaId" : "certificate",
			"type" : cert_type,
			"funcNo" : "60000"
		};
		var result = external.callMessage(existsParam);
		var error_no;
		error_no = result.error_no;
		
		var result = result.results[0];
		if (error_no == "0" && result.mediaId == "") {
			utils.installCertificate(queryAgreement);  // 下载安装证书
		} else {
			layerUtils.iLoading(false);
			queryAgreement();  // 
		}
		
		//getMarket();
	}
	function bindPageEvent()
	{
		// 重新测评绑定事件
		appUtils.bindEvent($(_pageId+" .test_result p:eq(1) a"),function(){
			appUtils.pageInit("account/riskAssessmentResult","account/riskAssessment",{});
		});
		
		
		/* 绑定签署协议*/
		appUtils.bindEvent($(_pageId+" .rule_check .icon_check"),function(){
			$(this).toggleClass("checked"); //  切换勾选样式
		});
		
		/**
		 * 9.1
		 * 风险测评结果页面进入问卷回访页面
		 */
		appUtils.bindEvent($(_pageId+" .ct_btn"),function(){
			countProtocol = 0;
			protocolArray = new Array();
			if(appUtils.getSStorageInfo("flag")  == "1"){   //1:需要证书   0:不需要证书
				getSignProtocl();  // 获取签名值并验签
		   }else{
			   unsignProtocol(); //
		   }
			 
			
		});
		/* 绑定返回 */
		appUtils.bindEvent($(_pageId+"  .icon_back"),function(){
			
			appUtils.pageInit("account/riskAssessmentResult","account/riskAssessment",{});
		});
	}
	
	/* 获取协议 */
	function queryAgreement(){
		// category_no 1.资金开户协议   2.证券账户开户协议
		service.queryProtocolList({"category_no":appUtils.getSStorageInfo("xybh")},function(data){
			if(data.error_no == 0 && data.results.length != 0)
			{
				fristMap = new Map();
				var results = data.results,
					  allProtocols = "";
				var protocolMap = null;
				for(var i=0;i<results.length;i++)
				{
					protocolMap = new Map();
					protocolMap.put("protocolid",results[i].econtract_no);	//协议id
					protocolMap.put("protocolname",results[i].econtract_name);	//协议名
					protocolMap.put("summary",results[i].econtract_md5);	//协议内容MD5,签名摘要信息
					allProtocols += "<li><a href=\"javascript:;\" protocol-id=\""+results[i].econtract_no+"\" id=\"protocol0"+i+"\">《"+
						results[i].econtract_name+"》</a></li>";
					// 预绑定查看协议的事件
					appUtils.preBindEvent($(_pageId+" .rule_list ul"),"#protocol0"+i,function(e){
						appUtils.pageInit("account/signProtocol","account/showProtocol",{"protocol_id" : $(this).attr("protocol-id")});
						e.stopPropagation();
					});
					fristMap.put(i,protocolMap);
				}
				$(_pageId+" .rule_list ul").html(allProtocols);
			}
			else
			{
				layerUtils.iLoading(false);  // 关闭等待层。。。
				layerUtils.iAlert(data.error_info);
			}
		});
	}
	
	/* 获取签名值 */
	function getSignProtocl()
	{
		var keys = fristMap.keys();  // 协议的数量
		// 检查是否勾选签署协议
		if($(_pageId+" .rule_check a").hasClass("checked"))
		{
			layerUtils.iLoading(true);  // 开启等待层。。。
			var oneData  = fristMap.get(keys[countProtocol]); // 取出一个协议
			var protocolid = oneData.get("protocolid"); // 协议ID
			var protocolname = oneData.get("protocolname");  //协议名称
			var summary = oneData.get("summary");  // 协议内容MD5,签名摘要信息
			var signParam = {
				"mediaId":protocolid,
				"content":summary,
				"userId":userId,
				"type": cert_type,
				"funcNo": "60001"
			};
			var result = external.callMessage(signParam);
			var error_no;
			var error_info;
			error_no = result.error_no;
			error_info = result.error_info;
			result = result.results[0];
			if(error_no == "0") {
				var protocoldcsign = result.cipherText;
				// 添加值到数组中
				var protocol = {
					"protocol_id" : protocolid,
					"protocol_dcsign" : protocoldcsign,
					"summary" : summary
				};

				protocolArray.push(protocol);
				countProtocol++;
				if(countProtocol < keys.length)  // 通过比较，获取每个协议的签名值
				{
					getSignProtocl();
				}
				else  // 获取完每个签名值后 进行验签
				{

					startSign();
				}
			} else {
				layerUtils.iLoading(false);  // 关闭等待层
				countProtocol = 0;  // 将签署协议的计数器置为 0
				layerUtils.iAlert(error_info);
			}
			
			
			
			/*var protocol = {
				"protocol_id" : protocolid,
				"protocol_dcsign" : "",
				"summary" : summary
			};

			protocolArray.push(protocol);
			countProtocol++;
			startSign();*/
		}
		else
		{
			layerUtils.iMsg(-1,"请阅读并勾选同意签署以上全部协议！");
			return false;
		}
	}
	
	function unsignProtocol()
	{
		var keys = fristMap.keys();  // 协议的数量
		// 检查是否勾选签署协议
		if($(_pageId+" .rule_check a").hasClass("checked"))
		{
			layerUtils.iLoading(true);  // 开启等待层。。。
			var oneData  = fristMap.get(keys[countProtocol]); // 取出一个协议
			var protocolid = oneData.get("protocolid"); // 协议ID
			var protocolname = oneData.get("protocolname");  //协议名称
			var summary = oneData.get("summary");  // 协议内容MD5,签名摘要信息
				// 添加值到数组中
				var protocol = {
					"protocol_id" : protocolid,
					"protocol_dcsign" : "",
					"summary" : summary
				};

				protocolArray.push(protocol);
				countProtocol++;
				if(countProtocol < keys.length)  // 通过比较，获取每个协议的签名值
				{
					unsignProtocol();
				}
				else  // 获取完每个签名值后 进行验签
				{

					startSign();
				}
			
			
			
			
			/*var protocol = {
				"protocol_id" : protocolid,
				"protocol_dcsign" : "",
				"summary" : summary
			};

			protocolArray.push(protocol);
			countProtocol++;
			startSign();*/
		}
		else
		{
			layerUtils.iMsg(-1,"请阅读并勾选同意签署以上全部协议！");
			return false;
		}
	}
	/* 发请求进行协议验签 */
	function startSign()
	{
		countProtocol = 0;  // 将签署协议的计数器置为 0
		var signProtocolParam = {
			"user_id" : userId,
			"jsondata" : JSON.stringify(protocolArray),
			"ipaddr" : appUtils.getSStorageInfo("ip"),
			"macaddr" : appUtils.getSStorageInfo("mac"),
			"checksign" : appUtils.getSStorageInfo("flag")||"0"
		};
		// 新开中登验签
		if(appUtils.getSStorageInfo("openChannel") == "new")
		{
			service.queryOpenCheckSign(signProtocolParam,callSign,false);
		}
		// 转户天威验签
		else if(appUtils.getSStorageInfo("openChannel") == "change")
		{
			service.queryOpenCheckTsign(signProtocolParam,callSign,false);
		}
	}
	
	/* 验签回调函数*/
	function callSign(data)
	{
		// 如果有一个协议签署失败，就将签署结果设为 false
	    if(data.error_no == 0)
		{
			appUtils.pageInit("account/riskAssessmentResult","account/signProtocol",{});
		}
	    else
	    {
			layerUtils.iLoading(false);  // 关闭等待层。。。
			layerUtils.iAlert(data.error_info,-1);
	    }
	}
	
	
	function destroy(){}
	
	var riskAssessmentResult = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = riskAssessmentResult;
});