/**
 * 设置密码
 */
define(function(require, exports, module){ 
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
	    service = require("serviceImp").getInstance(),  //业务层接口，请求数据
		global = require("gconfig").global,
		validatorUtil = require("validatorUtil"),
		layerUtils = require("layerUtils"),
		utils = require("utils"),
		platform = require("gconfig").platform,
		protocol = null,  //保存协议
		cert_type = appUtils.getSStorageInfo("openChannel") == "new" ? "zd" : "tw", // tw:天威 zd:中登
		_pageId = "#account_setPwd ";
	var external = require("external");
	var curInputId = null;
	var pwdTimer = null; // 密码输入框计时器
	var isVerifyPwd = true;
	/* 私有业务模块的全局变量 end */
	var common = require("common");
	function init()
	{
		common.initTitle(_pageId);
		window.removeFocus = removeFocus;
		window.customKeyboardEvent = {
			keyBoardInputFunction: inputEvent
		};
		initPage();  // 初始化页面
	}
	
	function bindPageEvent()
	{
		appUtils.bindEvent($(_pageId+" input[keyboard-plugin='true']"),function(e){
				hideKeyboard(); // 隐藏原生键盘
				callKeyboard($(this)); // 调用键盘
		    	e.stopPropagation();
			});
		//点击页面关闭软键盘
		appUtils.bindEvent($(_pageId),function(e){
			hideKeyboard(); // 隐藏原生键盘
			e.stopPropagation();
		});
		
		/* 绑定返回 */
		appUtils.bindEvent($(_pageId+"  .icon_back"),function(){
			//appUtils.pageBack();
			appUtils.pageInit("account/setPwd","account/signProtocol",{});
		});
		/* 是否设置资金密码与交易密码一致（隐藏显示）*/
		appUtils.bindEvent($(_pageId+" .mt15 .icon_check:eq(0)"),function(){
			$(_pageId+" .user_form h5:not(0)").toggle();
			$(_pageId+" .user_form .circular:eq(1)").toggle();
			$(_pageId+" .user_form .mt10").toggle();
			$(_pageId+" #checkprotocol").toggle();
			$(_pageId+" .l_link").toggle();
			$(this).toggleClass("checked");
			if(!$(this).hasClass("checked")){
				$(_pageId+" #pass3").val("");
				$(_pageId+" #pass4").val("");
			}
		});
		
		/* 勾选协议按钮 */
		appUtils.bindEvent($(_pageId+" #checkprotocol .icon_check:eq(0)"),function(){
			$(this).toggleClass("checked");
		});
		
		/* 查看协议内容的事件 */
		appUtils.bindEvent($(_pageId+" #protocolName"),function(){
			appUtils.pageInit("account/setPwd","account/showProtocol",{"protocol_id":$(this).attr("protocolId")});
		});
		
	
		
		/* 密码框绑定失去焦点事件 */
		appUtils.bindEvent($(_pageId+" #pass1"),function(){
			isVerifyPwd && validatePassword($(this));
		},"blur");
		
		appUtils.bindEvent($(_pageId+" #pass3"),function(){
			isVerifyPwd && validatePassword($(this));
		},"blur");
		
		/* 密码框绑定检验二次密码是否匹配事件 */
		appUtils.bindEvent($(_pageId+" #pass2"),function(){
			isVerifyPwd && validatePassword($(this));
			isVerifyPwd && validateSecondPassword($(this),"1");
		},"blur");
		
		appUtils.bindEvent($(_pageId+" #pass4"),function(){
			isVerifyPwd && validatePassword($(this));
			isVerifyPwd && validateSecondPassword($(this),"2");
		},"blur");
		
		/* 继续开户 */
		appUtils.bindEvent($(_pageId+" .ct_btn"),function(){
			if(validatePost())
			{
				postPassword();  // 不需要签署协议，直接提交密码
			}
		});
	}
	
	function destroy()
	{
		service.destroy();
		hideKeyboard(); // 隐藏原生键盘
	}
	
	/* 点击关闭密码键盘，让对应的input失去焦点*/
	function removeFocus() {
		if($(_pageId+" #pass1").is(":focus")){
			$(_pageId+" #pass1").blur();
		}
		if($(_pageId+" #pass2").is(":focus")){
			$(_pageId+" #pass2").blur();
		}
		if($(_pageId+" .input_form:eq(1)").is(":visible")){
			if($(_pageId+" #pass3").is(":focus")){
				$(_pageId+" #pass3").blur();
			}
			if($(_pageId+" #pass4").is(":focus")){
				$(_pageId+" #pass4").blur();
			}
		}
	}
	
	/* 页面初始化 */
	function initPage()
	{
		if(platform == '2' || platform == '3'){
			$(_pageId+" .input_text input").removeAttr("readonly");
		}
		layerUtils.iLoading(false);  // 关闭等待层。。。
		cleanPageElement();  // 清理页面元素
	}
	
	/* 清理界面元素 */
	function cleanPageElement()
	{
		$(_pageId+" .input_text input").val(""); // 清理所有的密码框
		$(_pageId+" .input_form:eq(1)").hide(); 
		$(_pageId+" .user_form h5:eq(1)").hide();
		$(_pageId+" .user_form .mt10").show();
		$(_pageId+" .mt15 .icon_check:eq(0)").addClass("checked"); //默认选中
	}
	
	/* 密码提交时校验 */
	function validatePost()
	{
		isVerifyPwd = false
		var pass1 = $(_pageId+" #pass1").val().trim();
		var pass2 = $(_pageId+" #pass2").val().trim();
		var pass3 = $(_pageId+" #pass3").val().trim();
		var pass4 = $(_pageId+" #pass4").val().trim();
		if($(_pageId+" .mt15 .icon_check:eq(0)").hasClass("checked"))
		{
			if(validatorUtil.isEmpty(pass1)||validatorUtil.isEmpty(pass2))
			{
				layerUtils.iMsg(-1,"请完成密码设置!");
				return false;	
			}
		}
		else
		{
			if((validatorUtil.isEmpty(pass1)||validatorUtil.isEmpty(pass2))&&(validatorUtil.isEmpty(pass3)||validatorUtil.isEmpty(pass4)))
			{
				layerUtils.iMsg(-1,"请完成密码设置!");
				return false;	
			}
			else if(validatorUtil.isEmpty(pass1)||validatorUtil.isEmpty(pass2))
			{
				layerUtils.iMsg(-1,"请完成交易密码设置!");
				return false;	
			}
			else if(validatorUtil.isEmpty(pass3)||validatorUtil.isEmpty(pass4))
			{
				layerUtils.iMsg(-1,"请完成资金密码设置!");
				return false;	
			}
		}
		if(pass1.length!="6" || !validatorUtil.isNumeric(pass1))
		{
			layerUtils.iMsg(-1,"请输入6位数字交易密码，请重新输入!");
			return false;	
		}
		else if(pass1!=pass2)
		{
			layerUtils.iMsg(-1,"交易密码与第一次不符，请重新输入!");
			$(_pageId+" #pass2").val("");
			return false;	
		}
		if(!$(_pageId+" .mt15 .icon_check:eq(0)").hasClass("checked"))
		{
			if(pass3.length!="6" || !validatorUtil.isNumeric(pass3))
			{
				layerUtils.iMsg(-1,"请输入6位数字资金密码，请重新输入!");
				return false;	
			}
			else if(pass3 != pass4)
			{
				layerUtils.iMsg(-1,"资金密码与第一次不符，请重新输入!");
				$(_pageId+" #pass4").val("");
				return false;	
			}
		}
		else
		{
			$(_pageId+" #pass3").val(pass1);
			$(_pageId+" #pass4").val(pass1);
		}
		return true;
	}
	
	/**
    	 * 调用原生键盘
    	 * @param $input 显示在页面的输入框
    	 */
	function callKeyboard($input)
	{
		curInputId = $input.attr("id");
		var invokeParam = {
			moduleName: "open", // String	目标模块名	N
			source: "open", // String	源模块	Y
			funcNo: "50210", // String	功能号	Y
			pageId: _pageId.substring(1), // String	页面Id	Y
			eleId: curInputId, // String	元素Id	Y
			doneLable: "done", // String	完成按钮显示字符
			keyboardType: "3" // 1：英文键盘，2：股票键盘，3：数字键盘，4：随机数字键盘，9：系统键盘
		};
		external.callMessage(invokeParam);
	}

	/**
	 * 隐藏原生键盘
	 */
	function hideKeyboard()
	{
		var invokeParam = {
			funcNo: "50211", // String	功能号	Y
			moduleName: "open",
			mode:"0"
		};
		external.callMessage(invokeParam);
	}

	
	/**
	 * 原生键盘的输入事件
	 * @param curKeyCode 当前输入值
	 */
	function inputEvent(curKeyCode)
	{
		isVerifyPwd = true;
		var $curInput = $(_pageId + "#" + curInputId);
		var curVal = $curInput.val();
		//curTxt = typeof(curTxt) == "undefined" ? "" : curTxt;
		// {"CLEAR":-2, "DONE": -3, "DEL": -5}; //常量，键盘上面的按键对应编码（-2表示清空，-3表示完成，-5表示删除）
		switch(Number(curKeyCode))
		{
			case -2: 
				$curInput.val("");
				break;
			case -3:
				break;
			case -5:
				$curInput.val(curVal);
				break;
			default:
				if(curVal.length >= 1)
				{
					$curInput.val(curVal);
				}
				clearTimeout(pwdTimer);
				pwdTimer = null;
				break;
		}
	}
	
	/* 验证密码 6位数字 */
	function validatePassword(obj)
	{
		var password = obj.val().trim();
		if(!validatorUtil.isNumeric(password) || password.length !=6)
		{
			layerUtils.iMsg(-1,"请输入6位数字密码");
			return;
		}
		/**
		 * 增加弱密校验
		 * 1、出生日期的一部分
		 * 2、证件号码的一部分
		 * 3、某一字符出现的概率不能占总长度的一半以上
		 * 4、顺序递增或者递减
		 * 5、弱密表的控制值
		 * 6、移动电话的一部分
		 * 7、固定电话的一部分
		 */
		var idCardNo = appUtils.getSStorageInfo("idCardNo")?appUtils.getSStorageInfo("idCardNo"):"",
			mobileNo = appUtils.getSStorageInfo("mobileNo")?appUtils.getSStorageInfo("mobileNo"):"";
		// 判断是不是出生日期的一部分
//		 if(password == idCardNo.substring(6,12) || password == idCardNo.substring(8,14))
//		 {
//		 	layerUtils.iAlert("密码不能是出生日期的一部分！",-1);
//		 	// 将密码清除
//		 	obj.val("");
//		 	return false;
//		 }
		 // 判断是不是证件号码的一部分
//		 if(idCardNo.indexOf(password) != -1)
//		 {
//		 	layerUtils.iAlert("密码不能是证件号码的一部分！",-1);
//		 	// 将密码清除
//		 	obj.val("");
//		 	return false;
//		 }
		 // 判断某一字符出现的次数
		 for(var i=0;i<password.length;i++)
		 {
		 	var oneChar = password.charAt(i),
		 		count = 0;
		 	var firstPosition = 0;
		 	for(var j=0;j<password.length;j++)
		 	{
		 		if(oneChar == password.charAt(j))
		 		{
		 			count++;
		 		}
		 	}
		 	if(count >= 3)
		 	{
		 		layerUtils.iAlert("密码中&nbsp;"+oneChar+"&nbsp;出现的次数超过了三次！",-1);
		 		// 将密码清除
		 		obj.val("");
		 		return false;
		 	}
			
		 }
		// 判断顺序递增或者递减
		var orderArray = [012345,123456,234567,345678,456789,987654,876543,765432,654321,543210];
		if(orderArray.indexOf(password) != -1)
		{
			layerUtils.iAlert("密码不能是顺序递增或者递减！",-1);
			// 将密码清除
			obj.val("");
			return false;
		}
		//判断弱密码库
		var weakpwdArr=['111111','222222','333333','444444','555555','666666','777777','888888','999999','101010','202020','303030',
					'404040','505050','606060','707070','808080','909090','101010','121212','131313','141414','151515','161616',
					'171717','181818','191919','202020','212121','232323','242424','252525','262626','272727','282828','292929',
					'303030','313131','323232','343434','353535','363636','373737','383838','393939','404040','414141','424242',
					'434343','454545','464646','474747','484848','494949','505050','515151','525252','535353','545454','565656',
					'575757','585858','595959','606060','616161','626262','636363','646464','656565','676767','686868','696969',
					'707070','717171','727272','737373','747474','757575','767676','787878','797979','808080','818181','828282',
					'838383','848484','858585','868686','878787','898989','909090','919191','929292','939393','949494','959595',
					'969696','979797','989898','123412','234523','345634','456745','567856','678967','123012','123123','234234',
					'345345','456456','567567','678678','789789','112233','111222','123412','123443','234567','123456','876543',
					'111122','222233','333344','444455','555566','666677','777788','888899','999900','111111','111122','111133',
					'111144','111155','111166','111177','111188','111199','111100'];
		if(weakpwdArr.indexOf(password) != -1)
		{
			layerUtils.iAlert("请勿输入简单组合的密码！",-1);
			// 将密码清除
			obj.val("");
			return false;
		}
		// 判断是否是移动电话的一部分
		// if(mobileNo.indexOf(password) != -1)
		// {
		// 	layerUtils.iAlert("密码不能是移动电话的一部分！",-1);
		// 	// 将密码清除
		// 	obj.val("");
		// 	return;
		// }
	}
	
	/* 验证二次输入密码是否相同 */
	function validateSecondPassword(obj,i)
	{
		if(i=="1")//交易密码
		{
			var pass1 = $(_pageId+" #pass1").val().trim();
			var pass2 = $(_pageId+" #pass2").val().trim();
			if(pass1.length != 6)
			{
				layerUtils.iMsg(-1,"请输入6位数字交易密码，请重新输入!");
			}
			else if(pass1 != pass2 && pass2 != "")
			{
				layerUtils.iMsg(-1,"交易密码与第一次不符，请重新输入!");
				$(_pageId+" #pass2").val("");
			}
		}
		else  //资金密码
		{
			var pass3 = $(_pageId+" #pass3").val().trim();
			var pass4 = $(_pageId+" #pass4").val().trim();
			if(pass3.length != 6)
			{
				layerUtils.iMsg(-1,"请输入6位数字资金密码，请重新输入!");
			}
			else if(pass3 != pass4 && pass4 != "")
			{
				layerUtils.iMsg(-1,"资金密码与第一次不符，请重新输入!");
				$(_pageId+" #pass4").val("");
			}
		}
	}
	
	/**
	 * 提交交易密码，资金密码 两次单独请求
	 * 第一次提交设置交易密码 若失败 直接返回；若成功则锁定交易密码设置
	 * 第二次提交设置资金密码 若失败 程序停止，交易密码设置锁定；
	 * pwd_type 1:资金密码 2:交易密码
	 */
	function postPassword()
	{
		service.getRSAKey({}, function(data) {
			if( data.error_no==0)	//请求获取rsa公钥成功
			{
				//密码采用rsa加密
				var results = data.results[0];
				var modulus = results.modulus;
				var publicExponent =  results.publicExponent;
				var endecryptUtils = require("endecryptUtils");
				
				var tpassword = endecryptUtils.rsaEncrypt(modulus, publicExponent, $(_pageId+" #pass1").val().trim());  //交易密码
				var fpassword = endecryptUtils.rsaEncrypt(modulus, publicExponent, $(_pageId+" #pass3").val().trim());  //资金密码
				var userid = appUtils.getSStorageInfo("user_id");
				var is_same = $(_pageId+" .mt15 .icon_check:eq(0)").hasClass("checked") ? 1 : 0;  // 判断资金密码和交易密码是否一致
				var tradePasswordParam = {"user_id":userid,"acct_clientid":"","password":tpassword,"pwd_type":"2","is_same":is_same};
				var fundPasswordParam  = {"user_id":userid,"acct_clientid":"","password":fpassword,"pwd_type":"1","is_same":is_same};
				service.setAccountPwd(tradePasswordParam, function(data){
					var errorNo   = data.error_no;
					var errorInfo = data.error_info;
					if(errorNo==0)	//交易密码设置成功，锁定交易密码设置框
					{
						//第二次调用接口，提交资金密码
						service.setAccountPwd(fundPasswordParam, function(data){
							if( data.error_no==0)	//交易密码设置成功，锁定交易密码设置框
							{
								appUtils.pageInit("account/setPwd","account/thirdDepository",{});
							}
							else
							{
								layerUtils.iLoading(false);
								layerUtils.iAlert(data.error_info);
							}
						},false);
					}
					else
					{
						layerUtils.iLoading(false);
						layerUtils.iAlert(errorInfo);
						return false;
					}
				},false);
			}
			else
			{
				layerUtils.iLoading(false);
				layerUtils.iAlert(data.error_info);
			}
		}, false);
	}
	
	var setPwd = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	// 暴露对外的接口
	module.exports = setPwd;
});
