/**
* 查看支付记录
*/
define(function(require,exports,module){
	var appUtils = require("appUtils"),
	    gconfig=require("gconfig"),
		global = require("gconfig").global,
		Map = require("map"),
		layerUtils = require("layerUtils"),
		protocolArray = new Array(),  // 存放协议签名值
		service = require("serviceImp").getInstance(),  //业务层接口，请求数据
		_pageId = "#account_showPayRecordl";
    var fristMap = null; //  存放所有相关协议
    var external = require("external");
    var common = require("common");
	function init(){
		common.initTitle(_pageId);
		var docuHeight = $(window).height();
		var topHeight=$(_pageId+" .header").height();
//		var fixHeight=$(_pageId+" .fix_bot").height();	
		$(_pageId+" .main").css({"height":(docuHeight-topHeight-15)+"px","overflow-y":"auto"});
		payRecord();
	}
	
	/**
	 * //查询天翼支付记录
	 */
	function payRecord(){
		$(_pageId+" .order_succes").html("");
		var payParam={"type":"2","user_id":appUtils.getSStorageInfo("user_id")};
		service.operatePayRecord(payParam,function(data){
			var error_no=data.error_no;
			var error_info=data.error_info;
			var result=data.results;		
			if(error_no =="0")
			{
				var strHtml="";
				for(var i=0;i<result.length;i++){
					var paystate=result[i].paystate;  //支付状态
					if(paystate=="-1" ||paystate=="0000" || paystate=="00"){
						paystate="支付成功";
					}else{
						paystate="还未支付";
					}			
					var paytime=result[i].paytime;  //支付时间
					var paymoney=result[i].paymoney;  //金额
					var userid=result[i].userid;  //用户id
					strHtml+='<div class=\"order_info mt15\" ><h5>支付日期：'+paytime+'</h5><dl><dt>金额：</dt><dd>'+paymoney+'</dd></dl><dl><dt>支付状态：</dt><dd>'+paystate+'</dd></dl></div>';
			    }
				$(_pageId+" .order_succes").html(strHtml);
			}
			else
			{
				layerUtils.iMsg(-1, data.error_info);
			}
		});	
	}
	
	function bindPageEvent(){
		// 绑定返回
		appUtils.bindEvent($(_pageId+"  .icon_back"),function(){
			appUtils.pageBack();
		});
		//返回
//		appUtils.bindEvent($(_pageId+" .ct_btn a"),function(){
//			appUtils.pageBack();
//		});
	}
	
	function destroy(){
		// 将协议内容置空
		$(_pageId+" #contenttxt").text("");
		$(_pageId+" .top_title p:eq(0)").text("");
		service.destroy();
	}
	
	var showPayRecordl = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = showPayRecordl;
});