/**
 * 三方存管
 */
define(function(require, exports, module){ 
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		platform = require("gconfig").platform,
		service = require("serviceImp").getInstance(),  // 业务层接口，请求数据
		layerUtils = require("layerUtils"),
		utils = require("utils"),
		validatorUtil = require("validatorUtil"),
		zzispwd = 1,  // zzispwd	密码方式，1 需要，0 不需要
		iscard = 1,  // iscard	是否需要银行卡，1 需要，0 不需要
		protocol = null,  // 协议保存
		cert_type = appUtils.getSStorageInfo("openChannel") == "new" ? "zd" : "tw", // tw:天威 zd:中登
		_pageId = "#account_thirdDepository ";
	var external = require("external");
	var curInputId = null;
	var pwdTimer = null; // 密码输入框计时器
	/* 私有业务模块的全局变量 end */
	var common = require("common");
	function init()
	{
		common.initTitle(_pageId);
		getBankList(); //加载银行列表
		if(platform == '2' || platform == '3'){
			$(_pageId+" .input_text #bankcardPwd").removeAttr("readonly");
		}
		if(appUtils.getSStorageInfo("flag")  == "1"){   //1:需要证书   0:不需要证书
				initPage();  // 初始化页面并检测证书是否存在
		   }else{
		   	    getBankList(); //加载银行列表
		   }
		window.customKeyboardEvent = {
			keyBoardInputFunction: inputEvent
		};
		
		$(_pageId + " #bankListPage ul").css({
            height: $(window).height() / 2 - 40 + "px"
        });
		
	}
	
	function bindPageEvent(){
		
		appUtils.bindEvent($(_pageId+" input[keyboard-plugin='true']"),function(e){
				hideKeyboard(); // 隐藏原生键盘
				callKeyboard($(this)); // 调用键盘
		    	e.stopPropagation();
			});
		//点击页面关闭软键盘
		appUtils.bindEvent($(_pageId),function(e){
			hideKeyboard(); // 隐藏原生键盘
			$(_pageId+" #bankListPage").hide();
			e.stopPropagation();
		});
		
		
		/* 签署银行相关协议  */
		appUtils.bindEvent($(_pageId+" .rule_check a"),function(){
			$(this).toggleClass("checked"); 
		});
		
		/* 绑定返回 */
		appUtils.bindEvent($(_pageId+"  .icon_back"),function(){
			//appUtils.pageBack();
			appUtils.pageInit("account/thirdDepository","account/setPwd",{});
		});	
			
		/* 选择银行绑定下拉框按钮事件  */
		appUtils.bindEvent($(_pageId+" #selectBank"),function(e){
			// 关闭密码键盘
			var param = {
				"funcNo":"50211",
				"moduleName":"open"
			};
			external.callMessage(param);
			$(_pageId+" #bankListPage ul li").removeClass("active");
			$(_pageId+" #bankListPage ul li a").remove();
			$(_pageId+" #bankListPage").slideDown("fast");  // 显示银行下拉列表
			e.stopPropagation();  // 阻止冒泡
		});

		/* 选择银行卡绑定选择某银行事件 */
		appUtils.bindEvent($(_pageId+" #bankcard"),function(e){
			validateSelectBank(); // 验证是否选择银行卡
			hideKeyboard();
		    e.stopPropagation();
		});
		
		/* 银行卡号输入控制（每四位分隔） */
		appUtils.bindEvent($(_pageId+" #bankcard"),function(){
			utils.dealIPhoneMaxLength(this,21); // 处理iphone兼容
			utils.showBigNo(this,2);  // 调用放大镜插件
		},"input");
		
		
		
		/* 开通三方存管按钮绑定事件 */
		appUtils.bindEvent($(_pageId+" .ct_btn"),function(){
			if(appUtils.getSStorageInfo("flag")  == "1"){   //1:需要证书   0:不需要证书
				signProtocol();  // 
		   }else{
			   unsignProtocol(); //
		   }
			 
		});
	}
	
	function destroy()
	{
		$(_pageId+" input").val("");  // 把所有的input置空
		service.destroy();
	}
	
	/* 初始化页面 */
	function initPage()
	{
		layerUtils.iLoading(true);  // 开启等待层。。。
		// 本页面需要用到证书，如果进入本页面时，证书不存在就下载并安装证书
		var existsParam = {
			"userId" : appUtils.getSStorageInfo("user_id"),
			"mediaId" : "certificate",
			"type" : cert_type,
			"funcNo": "60000"
		};
		var result = external.callMessage(existsParam);
	   	var error_no;
	 	error_no = result.error_no;
		result = result.results && result.results[0];
		if (error_no == "0" && result.mediaId == "") {
			utils.installCertificate(getBankList);  // 下载安装证书，并且显示证券账户和协议
		} else {
		// 关闭等待层。。。
			layerUtils.iLoading(false);
			getBankList(); //加载银行列表
		}
	}
	
	/* 获取存管银行列表 */
	function getBankList()
	{
		var userid = appUtils.getSStorageInfo("user_id");
		var queryParam = {"user_id":userid,"bindtype" : "", "ispwd" : ""};
		service.queryBankList(queryParam,function(data){
			var errorNo = data.error_no;
			var errorInfo = data.error_info;
			$(_pageId+" .sel_list ul").html("");  // 清除页面的银行列表
			if(errorNo==0 && data.results.length != 0)
			{
				var results = data.results;
				var length = results.length;
				var itemElement = "";
				for(var i =0; i<length; i++)
				{
					var item = results[i],
					          bankSm = item.agreement;
				   		  bankcode = item.bankcode,  // 银行代码
						  bankname = item.bankname,  // 银行名称
						  zzbindtype = item.zzbindtype, // 绑定方式：1 一步式 2 预指定 3 同时支持两种方式
					      sortnum  = item.sortnum,  // 排序
					      smallimg = item.smallimg, // 图标
					      isbuffet = item.isbuffet, // 是否支持自助
					      sign_info = item.sign_info, // 提示信息简介
					      brief = item.brief; // 银行简介
				    zzispwd = item.zzispwd; // 密码方式：1 需要 0 不需要  
				    iscard = item.iscard; // 卡号方式：1 需要 0 不需要  
					itemElement += "<li><span bankname='"+bankname+"' id='"+bankcode+"' " +"zzispwd=\""+zzispwd+"\""+
									            "iscard=\""+iscard+"\"  zzbindtype=\""+zzbindtype+"\" bankSm=\""+bankSm+"\" sign-info=\""+sign_info+"\">"+bankname+"</span></li>";
				}
				$(_pageId+" .sel_list ul").html(itemElement);
				if((appUtils.getSStorageInfo("_prePageCode") == "account/showProtocol") || (appUtils.getSStorageInfo("_prePageCode") == "account/thirdDepository")){
					var bankNum = appUtils.getSStorageInfo("bankNum");
					var bankPwd = appUtils.getSStorageInfo("bankPwd",true);
					console.log(bankNum + "~~~~~~~~~~~~" + bankPwd);
					iscard = $(_pageId+" #selectBank").attr("iscard");
					$(_pageId+" #bankcard").val(bankNum);
					$(_pageId+" #bankcardPwd").val(bankPwd);
				}
				if(length==1){
					var item = results[0],
					id = item.bankcode,  // 银行代码
					banckName = item.bankname,  // 银行名称
					  zzbindtype = item.zzbindtype, // 绑定方式：1 一步式 2 预指定 3 同时支持两种方式
				      signInfo = item.sign_info; // 提示信息简介
				    zzispwd = item.zzispwd; // 密码方式：1 需要 0 不需要  
				    iscard = item.iscard; // 卡号方式：1 需要 0 不需要  
						appUtils.setSStorageInfo("zzispwd",zzispwd);
						$(_pageId+" .protocolshow").show();
						if(item.agreement=="") {
							$(_pageId+" #bindInfo").hide();
							$(_pageId+" #bindInfo").html("");
						}else {
							$(_pageId+" #bindInfo").show();
							$(_pageId+" #bindInfo").html("温馨提示：<br/>选择该银行开通三方存管，"+$(this).attr("bankSm"));
						}
					addBankItem(banckName,id,zzbindtype,signInfo,iscard);
					
				}else{
				// 选择银行添加银行事件
				appUtils.bindEvent($(_pageId+" #bankListPage ul li span"),function(e){
					if($(this).attr("bankSm")=="") {
						$(_pageId+" #bindInfo").hide();
						$(_pageId+" #bindInfo").html("");
					}else {
						$(_pageId+" #bindInfo").show();
						$(_pageId+" #bindInfo").html("温馨提示：<br/>选择该银行开通三方存管，"+$(this).attr("bankSm"));
					}
					$(_pageId+" #bankListPage ul li").removeClass("active");
					$(this).parent().addClass("active");
					$(this).append("<a href=\"#\" class=\"btn_ok\">确定</a>");
					$(_pageId+" .protocolshow").show();
					var banckName = $(this).attr("bankname"),
						  id = $(this).attr("id"),
						  zzbindtype = $(this).attr("zzbindtype"),  // 绑定方式
						  signInfo = $(this).attr("sign-info");  // 提示信息
				    zzispwd = $(this).attr("zzispwd");  // 密码方式
				    iscard = $(this).attr("iscard");  // 是否需要银行卡号
				    appUtils.setSStorageInfo("zzispwd",zzispwd);
					addBankItem(banckName,id,zzbindtype,signInfo,iscard);
					e.stopPropagation();
				});
				}
			}
			else
			{
				layerUtils.iAlert(errorInfo,-1);
			}
		},true,true,handleTimeout);	
	}
	
	/* 处理请求超时 */
	function handleTimeout()
	{
		layerUtils.iConfirm("请求超时，是否重新加载？",function(){
			getBankList();  // 再次获取银行列表
		});
	}
	
	/* 为选择银行列表添加选中银行数据 */
	function addBankItem(banckName,id,zzbindtype,signInfo,iscard)
	{
		// 显示银行的签约信息
		if(signInfo != "" && signInfo != undefined)
		{
			$(_pageId+" #signInfo").html("温馨提示: "+signInfo);
		}
		else 
		{
			$(_pageId+" #signInfo").html(""); 
		}
		$(_pageId+" #bankcard").val("");  // 清空银行卡号值
		$(_pageId+" #bankcardPwd").val(""); // 清空银行卡密码
		$(_pageId+" #selectBank").html(banckName);  // 赋值银行卡名称
		$(_pageId+" #selectBank").attr("bankcode",id);
		$(_pageId+" #selectBank").attr("iscard",iscard);
		$(_pageId+" #selectBank").attr("zzbindtype",zzbindtype);
		getDepositoryAgreement(id);  // 获取银行协议内容
		if(zzbindtype == 1)   // 判断一步式
		{
			if(zzispwd == 0)  // 不需要输入密码
			{
				$(_pageId+" #bankcardPwd").parent().hide();  // 隐藏银行密码输入框
			}
			else   // 需要输入密码
			{
				$(_pageId+" #bankcardPwd").parent().show();  // 显示银行密码输入框
			}
			$(_pageId+" .user_form .input_form:eq(1)").show();  // 显示银行卡、密码输入框
			//$(_pageId+" #bindInfo").hide();  // 隐藏预指定提示信息
		}
		if(zzbindtype == 2)  // 判断预指定(二步式)
		{
			if(iscard == 1)  // 需要银行卡
			{
				$(_pageId+" .user_form .input_form:eq(1)").show();  // 显示银行卡
				$(_pageId+" .user_form .input_form:eq(1) .input_text:eq(1)").hide();  // 隐藏密码
			}
			else // 不需要银行卡
			{
				$(_pageId+" .user_form .input_form:eq(1)").hide();  // 隐藏银行卡、密码输入框
			}
			//$(_pageId+" #bindInfo").show();  // 显示预指定提示信息
		}
		$(_pageId+" #bankListPage").slideUp("fast");  // 隐藏银行下拉列表
	}
	
	/* 签署协议 */
	function signProtocol()
	{
		if(!validateSelectBank())  // 验证是否选择银行
		{
			return false;
		}
		if((iscard == 1 || iscard == "") && !validateBankCorrect())  // 验证银行卡号
		{
			return false;
		}
		if(appUtils.getSStorageInfo("zzispwd")  == 1)  // 验证是否需要密码
		{
			if(!validateBankPwd())
			{
				return false;
			}
		}
		if(!validateDepositProtocolSelect())  // 验证是否勾选协议
		{
			return false;
		}
//	if(appUtils.getSStorageInfo("flag")  == "1"){ //1:需要证书   0:不需要证书
		// 进行协议签署
		var protocolArray = new Array(),  // 协议数组
			userid = appUtils.getSStorageInfo("user_id"),
			ipaddr  = appUtils.getSStorageInfo("ip"),
			macaddr = appUtils.getSStorageInfo("mac"),
			protocolid = protocol.econtract_no,
			protocolname = protocol.econtract_name,
			summary = protocol.econtract_md5,  // 协议内容MD5,签名摘要信息
			signParam = {
				"mediaId":protocolid,
				"content":summary,
				"userId":userid,
				"type": cert_type,
				"funcNo": "60001"
			};
		layerUtils.iLoading(true);  // 开启等待层......
		var result = external.callMessage(signParam);
        var error_no;
       error_no = result.error_no;
       cipherText = result.results && result.results[0] && result.results[0].cipherText ||"";
       var error_info = result.error_info;
		if(error_no == "0") {
            var protocoldcsign = cipherText;
			var protocolParam = {
				"protocol_id" : protocolid,
				"protocol_dcsign" : protocoldcsign,
				"summary" : summary
			};
			protocolArray.push(protocolParam);   // 添加值到数组中
			// 签署协议
			var signProtocolParam = {
				"user_id" : userid,
				"jsondata" : JSON.stringify(protocolArray),
				"ipaddr" : ipaddr,
				"macaddr" : macaddr,
				"checksign" : appUtils.getSStorageInfo("flag")||"0"
			};
			// 新开中登验签
			service.queryOpenCheckSign(signProtocolParam,postThirdDepositoryData,false);
		} else {
			layerUtils.iLoading(false);  // 关闭等待层
			layerUtils.iAlert(error_info);
		}
//	}
//	else{
//		postThirdDepository_Data();
//	}
	}
	
	/* 不需要证书签署协议 */
	function unsignProtocol()
	{
		if(!validateSelectBank())  // 验证是否选择银行
		{
			return false;
		}
		if((iscard == 1 || iscard == "") && !validateBankCorrect())  // 验证银行卡号
		{
			return false;
		}
		if(appUtils.getSStorageInfo("zzispwd")  == 1)  // 验证是否需要密码
		{
			if(!validateBankPwd())
			{
				return false;
			}
		}
		if(!validateDepositProtocolSelect())  // 验证是否勾选协议
		{
			return false;
		}
		// 进行协议签署
		var protocolArray = new Array(),  // 协议数组
		userid = appUtils.getSStorageInfo("user_id"),
		ipaddr  = appUtils.getSStorageInfo("ip"),
		macaddr = appUtils.getSStorageInfo("mac"),
		protocolid = protocol.econtract_no,
		protocolname = protocol.econtract_name,
		summary = protocol.econtract_md5; 
			var protocolParam = {
				"protocol_id" : protocolid,
				"protocol_dcsign" : "",
				"summary" : summary
			};
			protocolArray.push(protocolParam);   // 添加值到数组中
			// 签署协议
			var signProtocolParam = {
				"user_id" : userid,
				"jsondata" : JSON.stringify(protocolArray),
				"ipaddr" : ipaddr,
				"macaddr" : macaddr,
				"checksign" : "0"
			};
			// 新开中登验签
			service.queryOpenCheckSign(signProtocolParam,postThirdDepositoryData,false);

	}
	/* 提交三方存管银行数据 */
	function postThirdDepositoryData(data)
	{	
		if(data.error_no == 0){
			service.getRSAKey({}, function(data) {
				if( data.error_no==0)	//请求获取rsa公钥成功
				{
					//密码采用rsa加密
					var results = data.results[0];
					var modulus = results.modulus;
					var publicExponent =  results.publicExponent;
					var endecryptUtils = require("endecryptUtils");
					
					var bankpwd = endecryptUtils.rsaEncrypt(modulus, publicExponent, $(_pageId+" #bankcardPwd").val().trim());
					var userid = appUtils.getSStorageInfo("user_id");
					var bankcode= $(_pageId+" #selectBank").attr("bankcode");
					var bankaccount = $(_pageId+" #bankcard").val();
					var thirdDepositParam = {
						"user_id":userid,
						"acct_clientid":"",
						"acct_fndacct":"",
						"bank_code":bankcode,
						"bank_account":bankaccount,
						"bank_pwd":bankpwd,
						"op_type":$(_pageId+" #selectBank").attr("zzbindtype")
					};
					// 调用service绑定存管银行
					service.bindBank(thirdDepositParam,function(data){
						var errorNo = data.error_no;
						var errorInfo = data.error_info;
						if(errorNo==0)	 // 调用成功,跳转到风险测评页面
						{
							cleanPageElement();
							//appUtils.pageInit("account/thirdDepository","account/riskAssessment",{});
							if(global.needConfirm){
								appUtils.pageInit("account/thirdDepository","account/openConfirm",{});
							  }else{
								appUtils.pageInit("account/thirdDepository","account/accountResult",{});
							}
						}
						else
						{
							layerUtils.iLoading(false);
							layerUtils.iAlert(errorInfo,-1);
						}
					},false);
				}
				else
				{
					layerUtils.iLoading(false);
					layerUtils.iAlert(data.error_info);
				}
			}, false);
		}else{
			layerUtils.iAlert(data.error_info,-1);
		}
	}
	
	/*add start by 2015-04-13-10:24*/
	
	/* 提交三方存管银行数据 */
	function postThirdDepository_Data()
	{	
			service.getRSAKey({}, function(data) {
				if( data.error_no==0)	//请求获取rsa公钥成功
				{
					//密码采用rsa加密
					var results = data.results[0];
					var modulus = results.modulus;
					var publicExponent =  results.publicExponent;
					var endecryptUtils = require("endecryptUtils");
					
					var bankpwd = endecryptUtils.rsaEncrypt(modulus, publicExponent, $(_pageId+" #bankcardPwd").val().trim());
					var userid = appUtils.getSStorageInfo("user_id");
					var bankcode= $(_pageId+" #selectBank").attr("bankcode");
					var bankaccount = $(_pageId+" #bankcard").val();
					var thirdDepositParam = {
						"user_id":userid,
						"acct_clientid":"",
						"acct_fndacct":"",
						"bank_code":bankcode,
						"bank_account":bankaccount,
						"bank_pwd":bankpwd,
						"op_type":$(_pageId+" #selectBank").attr("zzbindtype")
					};
					// 调用service绑定存管银行
					service.bindBank(thirdDepositParam,function(data){
						var errorNo = data.error_no;
						var errorInfo = data.error_info;
						if(errorNo==0)	 // 调用成功,跳转到风险测评页面
						{
							cleanPageElement();
							appUtils.pageInit("account/thirdDepository","account/riskAssessment",{});
						}
						else
						{
							layerUtils.iLoading(false);
							layerUtils.iAlert(errorInfo,-1);
						}
					},false);
				}
				else
				{
					layerUtils.iLoading(false);
					layerUtils.iAlert(data.error_info);
				}
			}, false);
		}
	
	/*add start by 2015-04-13-10:24*/

	
	/* 验证是否选择银行  */
	function validateSelectBank()
	{
		var obj = $(_pageId+" #selectBank");
		var value = obj.html();
		if(validatorUtil.isEmpty(value)||value=="请选择银行")
		{
			layerUtils.iMsg(-1,"请选择银行");
			return false;
		}
		return true;
	}
	
	/* 检验银行卡填写是否正确 */
	function validateBankCorrect()
	{
		var bankcard = $(_pageId+" #bankcard").val();
		if(bankcard == "")  // 验证通过的情况
		{
			layerUtils.iMsg(-1,"银行卡号不能为空！");
			return false;
		}
		/*if(!validatorUtil.isBankCode(bankcard))
		{
			layerUtils.iMsg(-1,"银行卡号格式有误，请重新输入！");
		 	return false;
		}*/
		// 验证是否为纯数字
		if(!validatorUtil.isNumeric(bankcard))
		{
			layerUtils.iMsg(-1,"银行卡号格式有误，请重新输入!");
			return false;
		}
		return true;
	}
	
	/* 验证银行密码 */
	function validateBankPwd()
	{
		var cardPwd = $(_pageId+" #bankcardPwd").val();
		if(!validatorUtil.isNumeric(cardPwd) || cardPwd.length !=6)
		{
			layerUtils.iMsg(-1,"银行卡密码有误，请重新输入！");
			return false;
		}
		return true;
	}
	
	/* 检测勾选阅读协议 */
	function validateDepositProtocolSelect()
	{
		if(!$(_pageId+" .icon_check").hasClass("checked"))
		{
			layerUtils.iMsg(-1,"请阅读并勾选三方存管协议!");
			return false;
		}
		return true;
	}
	
	/* 获取存管银行签约电子协议列表 */
	function getDepositoryAgreement(bankcode)
	{
		$(_pageId+" #protocolName").html("");  // 清空协议
		// 调用service查询存管银行协议
		var param = {"econtract_no" : bankcode};
		service.queryProtocolList(param,function(data){
			$(_pageId+" #protocolName").html("");
			if(data.error_no == 0)
			{
				if(data.results&&data.results.length>=1)
				{
					protocol = data.results[0];
					$(_pageId+" #protocolName").html("《"+protocol.econtract_name+"》");
					$(_pageId+" #protocolName").attr("protocolId",protocol.econtract_no);
					$(_pageId+" #protocolName").attr("protocolMd5",protocol.econtract_md5);
					// 预绑定查看银行协议内容的事件
					appUtils.preBindEvent($(_pageId+" #protocolName").parent(),"#protocolName",function(){
						appUtils.setSStorageInfo("bankPwd",$(_pageId+" #bankcardPwd").val().trim(),true);
						appUtils.setSStorageInfo("bankNum",$(_pageId+" #bankcard").val());
						appUtils.pageInit("account/thirdDepository","account/showProtocol",{"protocol_id":$(_pageId+" #protocolName").attr("protocolId")});
					});
				}
			}
			else
			{
				layerUtils.iAlert(data.error_info,-1);
			}
		});
	}
	
	/**
    	 * 调用原生键盘
    	 * @param $input 显示在页面的输入框
    	 */
	function callKeyboard($input)
	{
		curInputId = $input.attr("id");
		var invokeParam = {
			moduleName: "open", // String	目标模块名	N
			source: "open", // String	源模块	Y
			funcNo: "50210", // String	功能号	Y
			pageId: _pageId.substring(1), // String	页面Id	Y
			eleId: curInputId, // String	元素Id	Y
			doneLable: "done", // String	完成按钮显示字符
			keyboardType: "3" // 1：英文键盘，2：股票键盘，3：数字键盘，4：随机数字键盘，9：系统键盘
		};
		external.callMessage(invokeParam);
	}

	/**
	 * 隐藏原生键盘
	 */
	function hideKeyboard()
	{
		var invokeParam = {
			funcNo: "50211", // String	功能号	Y
			moduleName: "open",
			mode:"0"
		};
		external.callMessage(invokeParam);
	}

	
	/**
	 * 原生键盘的输入事件
	 * @param curKeyCode 当前输入值
	 */
	function inputEvent(curKeyCode)
	{
		var $curInput = $(_pageId + "#" + curInputId);
		var curVal = $curInput.val();
		//curTxt = typeof(curTxt) == "undefined" ? "" : curTxt;
		// {"CLEAR":-2, "DONE": -3, "DEL": -5}; //常量，键盘上面的按键对应编码（-2表示清空，-3表示完成，-5表示删除）
		switch(Number(curKeyCode))
		{
			case -2: 
				$curInput.val("");
				break;
			case -3:
				break;
			case -5:
				$curInput.val(curVal);
				break;
			default:
				if(curVal.length >= 1)
				{
					$curInput.val(curVal);
				}
				clearTimeout(pwdTimer);
				pwdTimer = null;
				break;
		}
	}
	
	/* 清理界面元素 */
	function cleanPageElement()
	{
		$(_pageId+" .rule_check a").removeClass("checked");  // 取消勾选协议
		$(_pageId+" #selectBank").text("请选择银行");  // 清理银行卡的名字
		$(_pageId+" #bankcard").val("");  // 清理银行卡号
		$(_pageId+" #bankcardPwd").val("");  // 清理密码
		$(_pageId+" #protocolName").text("《券商银行投资者三方协议》");  // 清理协议名
		$(_pageId+" #signInfo").html("");  // 清除银行签约信息
	}
	
	var thirdDepository = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	// 暴露对外的接口
	module.exports = thirdDepository;
});
