define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var validata = require("validatorUtil");
	var layerUtils = require("layerUtils");
	var _pageId = "#account_login ";
	var mobileService = require("mobileService");
	var external = require("external");
	var platform = gconfig.platform;
	var moduleName = "";
	var tipsTimer = null;
	var curInputId = null;
	var pwdTimer = null; // 密码输入框计时器
	
	var url = "";
	var pageCode = "";

	function init() {
		//var footer_height = $(_pageId + " footer").height();
		cleanPageElement();
		var window_height = $(window).height();
		var main_height = window_height;
		$(_pageId + " .main").height(main_height);
	//	getModuleName(); //获取要跳转的模块名
		if(platform == 0){
			$(_pageId + " #otcaccount").removeAttr("readonly");
			$(_pageId + " #otcpass").removeAttr("readonly");
		}else{
			window.customKeyboardEvent = {
				keyBoardInputFunction: inputEvent
			};
		}
		var loginType = appUtils.getSStorageInfo("loginType",true);
		if(loginType == "1"){
			var login_account = appUtils.getSStorageInfo("login_account",true);
			var trade_pwd = appUtils.getSStorageInfo("trade_pwd",true);
			$(_pageId+" .mobileNo").val(login_account);
			$(_pageId+" .password").val(trade_pwd);
		}
	}

	function bindPageEvent() {
		appUtils.bindEvent($(_pageId+" #icon_back"),function(){
			if(platform=="1") {
				var param = {
				    	"funcNo" : "50101",
				    	"moduleName" : "mall",
				    	"params" : {"url":"userCenter/wd"}
				    };
				external.callMessage(param);
			}else {
				if(appUtils.getSStorageInfo("preModuleName") != "ygt"){
					appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
				}else{
					appUtils.pageBack();
				}
			}
		});

		//初始化登录密码键盘
		appUtils.bindEvent($(_pageId+" input[keyboard-plugin='true']"),function(e){
			if(platform != 0){
				callKeyboard($(this)); // 调用键盘
				$(this).parent().addClass("focus_txt").siblings().removeClass("focus_txt");
		    	e.stopPropagation();
			}
		});
		
		//点击页面关闭软键盘
		appUtils.bindEvent($(_pageId),function(e){
			if(platform != 0){
				hideKeyboard(); // 隐藏原生键盘
				e.stopPropagation();
			}
		});

		// appUtils.bindEvent($(_pageId + " .mobileNo"), function(){
		// 	$(_pageId+" .txt:eq(0)").addClass("focus_txt");
		// 	$(_pageId+" .txt:eq(1)").removeClass("focus_txt");
		// });
		
		// appUtils.bindEvent($(_pageId + " .password"), function(){
		// 	$(_pageId+" .txt:eq(0)").removeClass("focus_txt");
		// 	$(_pageId+" .txt:eq(1)").addClass("focus_txt");
		// });
		
		//绑定删除已经输入的电话号码
		appUtils.bindEvent($(_pageId + " .txt_close"), function(){
			$(_pageId+" .mobileNo").attr("value","");
		});
		
		//绑定明文显示输入的密码
		appUtils.bindEvent($(_pageId + " .pword_btn"), function(){
			var pass_value = $(_pageId+" .password").val();
			if(!$(_pageId + " .pword_btn").hasClass("show")) {
				$(_pageId+" .txt:eq(1) input:eq(0)").hide();
				$(_pageId+" .txt:eq(1) input:eq(1)").show();
				$(_pageId + " .pword_btn").addClass("show");
			} else {
				$(_pageId+" .txt:eq(1) input:eq(0)").show();
				$(_pageId+" .txt:eq(1) input:eq(1)").hide();
				$(_pageId + " .pword_btn").removeClass("show");
			}
			$(_pageId+" .password").attr("value", pass_value);
		});
		
		//绑定登陆
		appUtils.bindEvent($(_pageId + " .ct_btn a"), function(){
			$(_pageId+" .login_pop").show();	
			var param = {
				"login_id":$(_pageId+" .mobileNo").val(),
				"pwd_value":$(_pageId+" .password").val(),
				"identity_num":"",
				"pwd_type":"5",
				"login_uid":"",
				"login_type":"6"
			};
			mobileService.login(param, function(data){
		//	console.log("zhaocheng"+JSON.stringify(data));
				var error_no = data.error_no;
				var error_info = data.error_info;
				if(error_no == "0") {
					var result = data.results[0];
					//user_id保存到session
					if(result.user_id) {
						appUtils.setSStorageInfo("user_id", result.user_id);
					}
					//登陆账号保存到session
					if(result.login_id) {
						appUtils.setSStorageInfo("login_id", result.login_id);
					}
					//证件类型保存到session
					if(result.identity_type) {
						appUtils.setSStorageInfo("identity_type", result.identity_type);
					}
					//证件号码保存到session
					if(result.identity_num) {
						appUtils.setSStorageInfo("identity_num", result.identity_num);
					}
					//姓名保存到session
					if(result.name) {
						appUtils.setSStorageInfo("name", result.name);
					}
					//是否是交易用户 保存到session
					if(result.is_trade) {
						appUtils.setSStorageInfo("is_trade", result.is_trade);
					}
					//交易账户保存到session
					if(result.trade_account) {
						appUtils.setSStorageInfo("trade_account", result.trade_account);
					}
					//昵称保存到session
					if(result.nick_name) {
						appUtils.setSStorageInfo("nick_name", result.nick_name);
					}
					//sex性别保存到session
					if(result.sex) {
						appUtils.setSStorageInfo("sex", result.sex);
					}
					//birthday生日保存到session
					if(result.birthday) {
						appUtils.setSStorageInfo("birthday", result.birthday);
					}
					//mobile手机保存到session
					if(result.mobile) {
						appUtils.setSStorageInfo("mobile", result.mobile);
					}
					//login_by_mobile手机绑定保存到session
					if(result.login_by_mobile) {
						appUtils.setSStorageInfo("login_by_mobile", result.login_by_mobile);
					}
					//email邮箱保存到session
					if(result.email) {
						appUtils.setSStorageInfo("email", result.email);
					}
					//login_by_email绑定邮箱保存到session
					if(result.login_by_email) {
						appUtils.setSStorageInfo("login_by_email", result.login_by_email);
					}
					//telephone固定电话绑定到session
					if(result.telephone) {
						appUtils.setSStorageInfo("telephone", result.telephone);
					}
					//address通信住址保存到session
					if(result.address) {
						appUtils.setSStorageInfo("address", result.address);
					}
					//post_code邮编保存到session
					if(result.post_code) {
						appUtils.setSStorageInfo("post_code", result.post_code);
					}
					//qq_microblog QQ微博账号保存到session
					if(result.qq_microblog) {
						appUtils.setSStorageInfo("qq_microblog", result.qq_microblog);
					}
					//sina_microblog 新浪微博账号保存到session
					if(result.sina_microblog) {
						appUtils.setSStorageInfo("sina_microblog", result.sina_microblog);
					}
					//QQ号保存到session
					if(result.qq) {
						appUtils.setSStorageInfo("qq", result.qq);
					}
					//wechat号保存到session
					if(result.wechat) {
						appUtils.setSStorageInfo("wechat", result.wechat);
					}
					//recommend_person推荐人保存到session
					if(result.recommend_person) {
						appUtils.setSStorageInfo("recommend_person", result.recommend_person);
					}
					//last_login_time上次登录时间保存到session
					if(result.last_login_time) {
						appUtils.setSStorageInfo("last_login_time", result.last_login_time);
					}
					//occupational职业保存到session
					if(result.occupational) {
						appUtils.setSStorageInfo("occupational", result.occupational);
					}
					//adapter学历保存到session
					if(result.adapter) {
						appUtils.setSStorageInfo("adapter", result.adapter);
					}
					//certuid证书用户id保存到session
					if(result.certuid) {
						appUtils.setSStorageInfo("certuid", result.certuid);
					}
					//branch_no营业部保存到session
					if(result.branch_no) {
						appUtils.setSStorageInfo("branch_no", result.branch_no);
					}
					//emergency_name应急联系人姓名保存到session
					if(result.emergency_name) {
						appUtils.setSStorageInfo("emergency_name", result.emergency_name);
					}
					//emergency_relation与应急联系人关系保存到session
					if(result.emergency_relation) {
						appUtils.setSStorageInfo("emergency_relation", result.emergency_relation);
					}
					//emergency_tel应急联系人固定电话保存到session
					if(result.emergency_tel) {
						appUtils.setSStorageInfo("emergency_tel", result.emergency_tel);
					}
					//emergency_mobile应急联系人手机保存到session
					if(result.emergency_mobile) {
						appUtils.setSStorageInfo("emergency_mobile", result.emergency_mobile);
					}
					//emergency_email应急联系人邮箱保存到session
					if(result.emergency_email) {
						appUtils.setSStorageInfo("emergency_email", result.emergency_email);
					}
					//authentication_state实名认证,绑定银行卡 保存到session
					if(result.authentication_state) {
						appUtils.setSStorageInfo("authentication_state", result.authentication_state);
					}
					//org_id机构ID(第三方接口)保存到session
					if(result.org_id) {
						appUtils.setSStorageInfo("org_id", result.org_id);
					}
					//emergency_address应急联系人联系地址保存到session
					if(result.emergency_address) {
						appUtils.setSStorageInfo("emergency_address", result.emergency_address);
					}
					//type_code类别代码保存到session
					if(result.type_code) {
						appUtils.setSStorageInfo("type_code", result.type_code);
					}
					//type_name类别名称保存到session
					if(result.type_name) {
						appUtils.setSStorageInfo("type_name", result.type_name);
					}
					//vip_level会员等级保存到session
					if(result.vip_level) {
						appUtils.setSStorageInfo("vip_level", result.vip_level);
					}
					//total_integration用户总积分保存到session
					if(result.total_integration) {
						appUtils.setSStorageInfo("total_integration", result.total_integration);
					}
					//
					if(result.curr_loginid) {
						appUtils.setSStorageInfo("curr_loginid", result.curr_loginid);
					}
					if(platform == 0){//浏览器
						appUtils.setSStorageInfo("ygt_login", "1",true);
						var param = {
							"user_id":appUtils.getSStorageInfo("user_id"),
							"zj_account":"",
							"client_id":$(_pageId+" .mobileNo").val()
						};
						mobileService.syncTradeAccount(param, function(data){
							console.log("zhaocheng1004"+JSON.stringify(data));
							var error_no = data.error_no;
							var error_info = data.error_info;
							if(error_no == "0") {
								var result = data.results[0];
								var licaiAccount = "";
								var qihuoAccount = "";
								var netAccount = "";
								var zqAccount = "";
								if (result["1"]) {
									licaiAccount = result["1"];
								}
								if(result["2"]) {
									qihuoAccount = result["2"];
								}
								if(result["3"]) {
									netAccount = result["3"];
								}
								if(result["4"]) {
									zqAccount = result["4"];
								}
								appUtils.setSStorageInfo("zqAccount", zqAccount);
								var page = appUtils.getSStorageInfo("_loginInPageCode",true);
								if(page != "" && page != null && page != undefined){
									appUtils.pageInit("account/login",page);
								}else{
//									appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
									appUtils.pageInit("account/login","ggt/index");
									
								}
							} else {
								$(_pageId+" .login_pop").hide();
								layerUtils.iAlert(error_info);
								return false;
							}
						},{isShowWait: false});
					}else{//原生
						//把登陆标志存到原生内存缓存中
						var param = {
							"funcNo":"50040",
							"key":"isLogin",
	                        "value":"1"
						}
						var result = external.callMessage(param);
						if(result.error_no == "0" || result.error_no == "1") {
							//把登陆的信息存到原生内存缓存中
							var param = {
								"funcNo":"50040",
								"key":"userInfo",
								"value":data.results[0]
							};
							var result = external.callMessage(param);
							if(result.error_no == "0" || result.error_no == "1") {
								// 同步用户交易账号
								var param = {
									"user_id":appUtils.getSStorageInfo("user_id"),
									"zj_account":"",
									"client_id":$(_pageId+" .mobileNo").val()
								};
								mobileService.syncTradeAccount(param, function(data){
									console.log("zhaocheng1004"+JSON.stringify(data));
									var error_no = data.error_no;
									var error_info = data.error_info;
									if(error_no == "0") {
										var result = data.results[0];
										var licaiAccount = "";
										var qihuoAccount = "";
										var netAccount = "";
										var zqAccount = "";
										if (result["1"]) {
											licaiAccount = result["1"];
										}
										if(result["2"]) {
											qihuoAccount = result["2"];
										}
										if(result["3"]) {
											netAccount = result["3"];
										}
										if(result["4"]) {
											zqAccount = result["4"];
										}
										//把登陆的信息存到原生内存缓存中
										var param = {
											"funcNo":"50040",
											"key":"zqAccount",
											"value":zqAccount
										};
										var result = external.callMessage(param);
										if(result.error_no == "0" || result.error_no == "1") {
											
											if(moduleName=="qx") {
												var param = {
													"funcNo":"50101",
												    "moduleName":moduleName,
													"params" : {"url":url}
													};
													external.callMessage(param);
											}else {
												//跳转到模块
												var param = {
													"funcNo":"50101",
													"moduleName":moduleName
												};
												external.callMessage(param);
											}
											
											
											
										} else {
											$(_pageId+" .login_pop").hide();
											layerUtils.iAlert(result.error_info);
											return false;
										}
									} else {
										$(_pageId+" .login_pop").hide();
										layerUtils.iAlert(error_info);
										return false;
									}
								},{isShowWait: false});
							} else {
								$(_pageId+" .login_pop").hide();
								layerUtils.iAlert(result.error_info);
								return false;
							}
						} else {
							$(_pageId+" .login_pop").hide();
							layerUtils.iAlert(result.error_info);
							return false;
						}
					}
				} else {
					$(_pageId+" .login_pop").hide();
					layerUtils.iAlert(error_info);
					return false;
				}
			},{isShowWait: false});
		});
		
		//跳到注册页面
		appUtils.bindEvent($(_pageId + " .reg"), function(){
			appUtils.pageInit("account/login","account/register",{});
		});
	}

	//查询登陆成功后跳转的模块
	function getModuleName() {
		var param = {
			"funcNo":"50041",
			"key":"moudlesName"
		};
		var result = external.callMessage(param);
		console.log("zhaocheng123456"+JSON.stringify(result));
		if(result.error_no == "0" || result.error_no == "1") {
			moduleName = result.results[0].value;
			
			if(moduleName=="qx") {
				var param1 = {
			"funcNo":"50041",
			"key":"moudlesUrl"
			};
			var result1 = external.callMessage(param1);
			url = result1.results[0].value;	
			// url = paramMap.params.url;
			 pageId = $("body .page[data-display='block']").attr("id");
			 pageCode = pageId.replace("_", "/");
			}
			console.log("zhaocheng123456"+moduleName);
		} else {
			layerUtils.iAlert(result.error_info);
			return false;
		}
		
	}

	//初始化页面元素
	function cleanPageElement() {
		$(_pageId+" .mobileNo").attr("value","");
		$(_pageId+" .password").attr("value","");
	}

	/**
    	 * 调用原生键盘
    	 * @param $input 显示在页面的输入框
    	 */
	function callKeyboard($input)
	{
		curInputId = $input.attr("id");
		var invokeParam = {
			moduleName: "common", // String	目标模块名	N
			source: "login", // String	源模块	Y
			funcNo: "50210", // String	功能号	Y
			pageId: _pageId.substring(1), // String	页面Id	Y
			eleId: curInputId, // String	元素Id	Y
			doneLable: "done", // String	完成按钮显示字符
			keyboardType: "3" // 1：英文键盘，2：股票键盘，3：数字键盘，4：随机数字键盘，9：系统键盘
		};
		external.callMessage(invokeParam);
	}

	/**
	 * 隐藏原生键盘
	 */
	function hideKeyboard()
	{
		var invokeParam = {
			funcNo: "50211", // String	功能号	Y
			moduleName: "common"
		};
		external.callMessage(invokeParam);
	}

	
	/**
	 * 原生键盘的输入事件
	 * @param curKeyCode 当前输入值
	 */
	function inputEvent(curKeyCode)
	{
		var $curInput = $(_pageId + "#" + curInputId);
		var curVal = $curInput.val();
		//curTxt = typeof(curTxt) == "undefined" ? "" : curTxt;
		// {"CLEAR":-2, "DONE": -3, "DEL": -5}; //常量，键盘上面的按键对应编码（-2表示清空，-3表示完成，-5表示删除）
		switch(Number(curKeyCode))
		{
			case -2: 
				$curInput.val("");
				break;
			case -3:
				break;
			case -5:
				$curInput.val(curVal);
				break;
			default:
				if(curVal.length >= 1)
				{
					$curInput.val(curVal);
				}
				clearTimeout(pwdTimer);
				pwdTimer = null;
				break;
		}
	}

	//初始化页面元素
	function cleanPageElement() {
		$(_pageId+" .mobileNo").attr("value","");
		$(_pageId+" .password").attr("value","");
	}

	function destroy(){
		$(_pageId+" .txt").removeClass("focus_txt");
		$(_pageId+" .mobileNo").val("");
		$(_pageId+" .password").val("");
		$(_pageId+" .login_pop").hide();
	//	service.destroy();
	}
	
	var login = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = login;
});
