define(function(require, exports, module) {
	
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var layerUtils = require("layerUtils");
	
	/**
	 * 微信起始过渡页特殊的pageInit方法
	 * 这里没有prePageCode，而是负载元素pageCode
	 */
	function wxTransPageInit(parentPageCode, pageCode, param)
	{
		$("#stepLoadingDiv").hide();
		//增加过渡页面的标志位，兼容普通见面跳转过来
		if(!param){
			param = {};
		}
		param._isWxTransFlag = true;
		
		var pageUrl = gconfig.viewsPath + pageCode + ".html",
			pageId = pageCode.replaceAll("/", "_"),
			parentPageId = parentPageCode.replaceAll("/", "_"); //负载父元素ID
		
		try {
			if($("#"+pageId).length < 1) {
				require("ajax").loadHtml(pageUrl, function(htmlContent) {
					document.title = $(htmlContent).attr("data-pageTitle");
					$("#"+parentPageId).append(htmlContent); //保存这个page到parentPageCode
					$("#"+pageId+" img").each(function() { //设置图片scr地址，防止出错
						var src = $(this).attr("src");
						if(src && $(this).attr("data-serverImg")!="true") {
							$(this).attr("src", gconfig.imagesPath + src.substring(src.indexOf("images")+7));
						}
					});
					require.async(gconfig.scriptsPath+pageCode, function(page) {
						appUtils.setSStorageInfo("wxTransPage_pageParam", JSON.stringify(param));
						page.init(); //页面初始化
						page.bindPageEvent(); //事件绑定
					});
				}, true, false, false);
			} else {
				require.async(gconfig.scriptsPath+pageCode, function(page) {
					appUtils.setSStorageInfo("wxTransPage_pageParam", JSON.stringify(param));
					page.init(); //页面初始化
					page.bindPageEvent(); //事件绑定
				});
			}
		} catch(e) {
			console.printStackTrace(e);
		}
	}
	
	function moduleJump(){
		appUtils.setSStorageInfo("firstInstallwd","0",true);
		appUtils.setSStorageInfo("firstInstall","0",true);
		appUtils.setSStorageInfo("firstInstallLife","0",true);
		appUtils.setSStorageInfo("firstInstallShop","0",true);
		appUtils.setSStorageInfo("firstInstallYqtTrends","0",true);
		
		appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
	}
	
	/**
	 * 微信起始过渡页特殊的getPageParam方法
	 */
	function wxGetPageParam(paramName) 
	{
		 //根据_isWxTransFlag判断，兼容普通见面跳转过来
		var jsonParam = appUtils.getSStorageInfo("wxTransPage_pageParam");
		jsonParam = JSON.parse(jsonParam);
		if(jsonParam && jsonParam._isWxTransFlag){
			if(paramName) {
				return jsonParam[paramName];
			} else {
				return jsonParam;
			}
		} else {
			return appUtils.getPageParam(paramName);
		}
	}
	
	function firstLoadFunc() {
		// 为 pageInit 页面切换配置项赋值
		if(gconfig.pageInitOpts)
		{
			// 页面切换开始时执行的函数
			gconfig.pageInitOpts.startFn = function(curPageCode, toPageCode, param, isPageBack, options){
				toPageCode = toPageCode && toPageCode.replace(/\//g, "_");
				// 目标页面未加载过时
				if(toPageCode && $("body>#content>#" + toPageCode).length === 0)
				{
					// 不是返回时，隐藏当前页面
					if(curPageCode && !isPageBack)
					{
						curPageCode = curPageCode.replace(/\//g, "_");
						$("body>#content>#" + curPageCode).css("display", "none"); // 隐藏当前页面
					}
					$("body>#loading_page").css("display", "block"); // 显示加载中div
				}
			};
			// 页面切换完毕时执行的函数，在目标页面动画执行之前执行
			gconfig.pageInitOpts.finishBeforeAnimFn = function(curPageCode, toPageCode, param, isPageBack, options){
				$("body>#loading_page").css("display", "none"); // 隐藏加载中div
			};
			// 页面切换完毕时执行的函数，在目标页面动画执行之后执行
			gconfig.pageInitOpts.finishAfterAnimFn = function(curPageCode, toPageCode, param, isPageBack, options){
				console.log("在目标页面动画执行之后执行");
			};
		}
		
		$("body>#loading_page").css("display", "none"); // 隐藏加载中div
	}
	
	function filterLoginOut(data){
		var error_no = data.error_no;
		var error_info = data.error_info;
		if(error_no == "-999") {
			appUtils.clearSStorage("_isLoginIn");
			appUtils.clearSStorage("_loginInPageCode");
			appUtils.clearSStorage("_loginInPageParam");
			appUtils.clearSStorage("isLogin");
//			//其他清理工作..
//			appUtils.pageInit(appUtils.getSStorageInfo("_curPageCode"), gconfig.loginPage.pageCode, gconfig.loginPage.jsonParam);
			appUtils.clearSStorage(true);
			//其他清理工作...
			sessionStorage.setItem("bx","1");
			layerUtils.iAlert("登录超时,请重新登录!",-1,function(){
				appUtils.sendDirect("../mall/index.html#!/account/userLogin.html");
			});
		}
	}
	
	/**
	 * 权限校验
	 * @param checkInParam 校验判断依据
	 * "checkInParam": {
	 * 		"prePageCode": prePageCode,
	 * 		"pageCode": pageCode,
	 * 		"param": param,
	 * 		"isLastReq": isLastReq,
	 * 		"isShowWait": isShowWait,
	 * 		"isShowOverLay": isShowOverLay
	 *	}
	 */
	function checkPermission(checkInParam) {
//		$.ajax({
//				url: gconfig.global.serverUrl,
//				complete: function(XMLHttpRequest, textStatus) {
//					if(XMLHttpRequest.status!="200"){
//						layerUtils.iLoading(false);
////						alert(checkInParam.prePageCode);
////						appUtils.pageInit(checkInParam.pageCode,"error",{});
////						return false;
//					}
//				}
//			});
		return true;
	}

	
	/**
	 * 根据收益类别返回对应名称c'c'c'c'c
	 * 
	 * @param {Object}
	 *            earningkey
	 *            预期收益 1   固定收益,2   浮动收益,4   浮动盈亏
	 */
	function getearningsName(earningkey){
		var earningsInfo = {
			"1": {earningsName:"预期收益"},
			"2": {earningsName:"固定收益"},
			"3": {earningsName:"浮动收益"},
			"4": {earningsName:"浮动盈亏"},
			"": {earningsName: "未设定"}};
		return earningsInfo[earningkey];
	}
	
	/**
	 * investor_classify
	 * @param {Object}
	 *            earningkey
	 *           投资者分类  0-非专业投资者,1-专业投资者
	 */
	function getinvestorName(investorkey){
		var investorInfo = {
			"0": {investorkeyName:"非专业投资者"},
			"1": {investorkeyName:"专业投资者"},
			"": {investorkeyName: "未设定"}};
		return investorInfo[investorkey];
	}
	
	var common = {
		"firstLoadFunc": firstLoadFunc,
		"checkPermission": checkPermission,
		"wxTransPageInit": wxTransPageInit,
		"wxGetPageParam": wxGetPageParam,
		"filterLoginOut": filterLoginOut,
		"getearningsName": getearningsName,
		"getinvestorName": getinvestorName,
		"moduleJump":moduleJump
	};
	//暴露对外的接口
	module.exports = common;
});
