/**
 * 签署协议
 */
define(function(require, exports, module){ 
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		layerUtils = require("layerUtils"),
		Map = require("map"),
		fristMap = null,  //  存放所有相关协议
	    protocolArray = new Array(),  // 存放协议签名值
	    countProtocol = 0, // 计算签署成功的数量
	    signFlag = "",  //1代表签了协议，2代表未签协议
		_pageId = "#cyb_signProtocol";
	var mobileService = require("mobileService");
	var external = require("external");
	var platform = gconfig.platform;

	function init()
	{
		if(appUtils.getSStorageInfo("signFlag") != "1") {
			signFlag = "2";
			appUtils.setSStorageInfo("signFlag",signFlag);
		}
		//查询协议
		getSign();
	}
	
	//绑定
	function bindPageEvent(){
		/* 绑定签署协议*/
		appUtils.bindEvent($(_pageId+" .rule_check span"),function(){
			$(this).toggleClass("checked"); //  切换勾选样式
		});
		
		//绑定提交申请
		appUtils.bindEvent($(_pageId+" .ct_btn"),function(){
			if(!$(_pageId+" .icon_check").hasClass("checked")) {
				layerUtils.iMsg(-1, "请勾选同意协议额");
				return false;
			} else {
				//验签
				getSignProtocl();
			}
		});
		
		//绑定返回
		//绑定返回按钮
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageInit("cyb/signProtocol","cyb/index",{});
		});
		
		//绑定home键 跳转到主界面
		appUtils.bindEvent($(_pageId+" .icon_home"), function(){
			if(platform=="1") {
				var param = {
				    	"funcNo" : "50101",
				    	"moduleName" : "mall",
				    	"params" : {"url":"userCenter/wd"}
				    };
				external.callMessage(param);
			}else {
				appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
			}
		});
	}
	
	function destroy()
	{
		mobileService.destroy();
	}
	
	//获取协议
	function getSign(){
		var param = {
			"category_englishname":"",
			"category_no":"ygt_cybOpenProtcl",
			"econtract_no":""
		};
		mobileService.getSign(param,function(data){
			var error_no = data.error_no,
				error_info = data.error_info,
				result = data.results;
			if(error_no == "0" && result.length != 0){
				fristMap = new Map();
				var results = data.results,
					  allProtocols = "";
				var protocolMap = null;
				for(var i=0;i<results.length;i++)
				{
					protocolMap = new Map();
					protocolMap.put("protocolid",results[i].agree_no);	//协议id
					protocolMap.put("protocolname",results[i].agree_name);	//协议名
					protocolMap.put("summary",results[i].md5_content);	//协议内容MD5,签名摘要信息
					allProtocols += "<li><a href=\"javascript:;\" protocol-id=\""+results[i].agree_no+"\" id=\"protocol0"+i+"\">《"+
						results[i].agree_name+"》</a></li>";
					// 预绑定查看协议的事件
					appUtils.preBindEvent($(_pageId+" .rule_list"),"#protocol0"+i,function(e){
						appUtils.pageInit("cyb/signProtocol","cyb/showProtocol",{"protocol_id" : $(this).attr("protocol-id")});
						e.stopPropagation();
					});
					fristMap.put(i,protocolMap);
				}
				$(_pageId+" .rule_list").html(allProtocols);
			}else{
				layerUtils.iAlert(error_info,-1);
			}
		},true,true,handleTimeout);
	}
	
	/* 处理请求超时 */
	function handleTimeout()
	{
		layerUtils.iConfirm("请求超时，是否重新加载？",function(){
			getSign();  // 再次获取协议
		});
	}
	
	/* 获取签名值 */
	function getSignProtocl()
	{
		var keys = fristMap.keys();  // 协议的数量
		// 检查是否勾选签署协议
		if($(_pageId+" .rule_check span").hasClass("checked"))
		{
			layerUtils.iLoading(true);  // 开启等待层。。。
			var oneData  = fristMap.get(keys[countProtocol]); // 取出一个协议
			var protocolid = oneData.get("protocolid"); // 协议ID
			var protocolname = oneData.get("protocolname");  //协议名称
			var summary = oneData.get("summary");  // 协议内容MD5,签名摘要信息
			// 添加值到数组中
			var protocol = {
				"protocol_id" : protocolid,
				"summary" : summary
			}
			protocolArray.push(protocol);
			countProtocol++;
			if(countProtocol < keys.length)  // 通过比较，获取每个协议的签名值
			{
				getSignProtocl();  
			}else{
				submitProtocol();  //提交协议
			}
		}
		else
		{
			layerUtils.iAlert("请阅读并勾选同意签署以上全部协议！",-1);
			return false;
		}
	}
	
	// 提交协议
	function submitProtocol(){
		countProtocol = 0;  // 将签署协议的计数器置为 0
//		var signProtocolParam = {
//				"user_id" : appUtils.getSStorageInfo("user_id"),
//				"jsondata" : JSON.stringify(protocolArray),
//				"ipaddr" : "",
//				"macaddr" : "",
//				"checksign" : "0"
//		};
//		service.queryOpenCheckSign(signProtocolParam,function(data){
//			var error_no = data.error_no,
//				error_info = data.error_info;
//			if(error_no == "0"){
//				signFlag = "1";
//				appUtils.setSStorageInfo("signFlag",signFlag);
//				appUtils.pageInit("account/signProtocol","account/mainPage",{});
//			}else{
//				layerUtils.iAlert(error_info,-1);
//			}
//		});
		var signProtocolParam = {
			"user_id" : appUtils.getSStorageInfo("user_id"),
			"jsondata" : JSON.stringify(protocolArray),
			"ipaddr" : "",
			"macaddr" : "",
			"checksign" : "0",
			"trdaccount" : appUtils.getSStorageInfo("sza_account"),
			"sign_source_flag" : "1"
		};
		mobileService.checkSign(signProtocolParam,function(data){
			var error_no = data.error_no,
				error_info = data.error_info;
			if(error_no == "0"){
				signFlag = "1";
				appUtils.setSStorageInfo("signFlag",signFlag);
				appUtils.pageInit("cyb/signProtocol","cyb/mainPage",{});
			}else{
				protocolArray = new Array();
				layerUtils.iAlert(error_info,-1);
				return false;
			}
		});
	}
	
	var signProtocol = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
		
	module.exports = signProtocol;
});
