/*
 * 知识测评信息
 */
define(function(require, exports, module){ 
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		layerUtils = require("layerUtils"),
		knowledge_score = "",  //风险等级数字评分
		knowledgeFlag = "",  //1表示满足风险评测等级，2表示不满足
		knowledge_lvl_name = "",  //风险评测等级
		gconfig = require("gconfig"),
		_pageId = "#ggt_knowledgeInfo";
	var mobileService = require("mobileService");
	var external = require("external");
	var platform = gconfig.platform;
	/* 私有业务模块的全局变量 end */
	
	function init()
	{
		cleanPageElement();
		//初始化处理
		initHandle();
	}
	
	function bindPageEvent()
	{
		//绑定确认键
		appUtils.bindEvent($(_pageId+" #confirm"),function(){
			appUtils.setSStorageInfo("knowledgeScore",knowledge_score);
			
			var param = {
                "user_id":appUtils.getSStorageInfo("user_id"),
                "survey_type":"2"
            };
            mobileService.xiuGaijuan(param,function(data){
                console.log("yangrui......."+JSON.stringify(data));
                var error_no = data.error_no,
                    error_info = data.error_info,
                    result = data.accountInfoList;
                if(error_no == "0"){
                    appUtils.pageInit("ggt/riskInfo","ggt/mainPage",{});
                }else{
                    layerUtils.iAlert(error_info,-1);
                }
            },true,true);
			appUtils.pageInit("ggt/knowledgeInfo","ggt/mainPage",{});
		});
		
		//绑定重新评测按钮
		appUtils.bindEvent($(_pageId+" #reTest"),function(){
			appUtils.pageInit("ggt/knowledgeInfo","ggt/knowledge",{});
		});
		
		//绑定返回按钮
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.setSStorageInfo("knowledgeScore",knowledge_score);
			appUtils.pageInit("ggt/knowledgeInfo","ggt/mainPage",{});
		});
		
		//绑定home键 跳转到主界面
		appUtils.bindEvent($(_pageId+" .icon_home"), function(){
			if(platform == 0){
				appUtils.sendDirect("../mall/index.html#!/account/index.html");
			}else{
				var param = {
					"funcNo":"50101",
					"moduleName":"index"
				};
				external.callMessage(param);
			}
		});
	}
	
	function destroy()
	{
		mobileService.destroy();
	}

	//初始化处理
	function initHandle(){
		knowledge_score = appUtils.getPageParam("remark");
		knowledge_lvl_name = appUtils.getPageParam("riskdesc");
//		$(_pageId+" .chart_pic strong").html(knowledge_score);
//		$(_pageId+" .test_chart h1").html(knowledge_lvl_name);
		$(_pageId+" .test_level dl dt").html(knowledge_score);
		$(_pageId+" .test_level dl dd").html(knowledge_lvl_name);
		if(knowledge_score >= 85){
			//$(_pageId+" .retry").show();
			$(_pageId+" .center").show();
			$(_pageId+" .notice").hide();
			$(_pageId+" #confirm").show();
			$(_pageId+" #reTest").hide();
			knowledgeFlag = "1";
		}else{
			$(_pageId+" .notice").html("您好，你的测评等级为"+knowledge_lvl_name+"，不利于后面综合评分，请重新测评 ");
			knowledgeFlag = "2";
		}
		appUtils.setSStorageInfo("knowledgeFlag",knowledgeFlag);
	}
	
	/* 清理界面元素*/
	function cleanPageElement()
	{
		//$(_pageId+" .retry").hide();
		$(_pageId+" .center").hide();
		$(_pageId+" .notice").show();
		$(_pageId+" #confirm").hide();
		$(_pageId+" #reTest").show();
	}
	
	var knowledgeInfo = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = knowledgeInfo;
});
