/**
 * 信用资产审核
 */
define(function(require, exports, module){ 
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		layerUtils = require("layerUtils"),
		marketvalue = "",  //证券账户资产
		net_asset = "",  //信用账户资产
		totalValue = "", //账户总资产
		fundsFlag = "",  //等于1的时候满足资金条件   等于2的时候不满足资金条件
		gconfig = require("gconfig"),	
		_pageId = "#ggt_netInfo";
	var mobileService = require("mobileService");
	var external = require("external");
	var platform = gconfig.platform;
	/* 私有业务模块的全局变量 end */
	
	function init()
	{
		marketvalue = appUtils.getSStorageInfo("marketvalue");   //证券账户资产
		net_asset = appUtils.getSStorageInfo("net_asset");   //信用账户资产
		//totalValue = parseInt(marketvalue) + parseInt(net_asset);   //总资产
		totalValue = appUtils.getSStorageInfo("totalValue"); //总资产
		$(_pageId+" .ver_value ul li:eq(0) strong").html(marketvalue);
		$(_pageId+" .ver_value ul li:eq(1) strong").html(net_asset);
		$(_pageId+" .value_box h5").html(totalValue);
		if(totalValue >= 500000){
			$(_pageId+" .ver_notice p").html("您的证券账户资产已满足≥50万要求，请继续满足其他条件。");
			$(_pageId+" .ver_notice h5 span").html("已满足");
			$(_pageId+" .ver_notice h5 span").addClass("over");
			$(_pageId+" .ver_notice h5 span").removeClass("error");
			$(_pageId+" #confirm").show();
			$(_pageId+" #cancel").hide();
			fundsFlag = "1";
		}else{
			$(_pageId+" .ver_notice p").html("您的证券账户资产未满足≥50万要求，暂时无法开通港股通业务。");
			$(_pageId+" .ver_notice h5 span").html("抱歉");
			$(_pageId+" .ver_notice h5 span").removeClass("over");
			$(_pageId+" .ver_notice h5 span").addClass("error");
			$(_pageId+" #confirm").hide();
			$(_pageId+" #cancel").show();
			fundsFlag = "2";
		}
		appUtils.setSStorageInfo("fundsFlag",fundsFlag);
	}
	
	function bindPageEvent()
	{
		//绑定确认按钮
		appUtils.bindEvent($(_pageId+" #confirm"),function(){
			appUtils.setSStorageInfo("totalValue",totalValue);
			appUtils.pageInit("ggt/netInfo","ggt/mainPage",{});
		});

		//绑定返回按钮
		appUtils.bindEvent($(_pageId+" #cancel"),function(){
			appUtils.setSStorageInfo("totalValue",totalValue);
			appUtils.pageInit("ggt/netInfo","ggt/mainPage",{});
		});
		
		//绑定返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
		
		//绑定home键 跳转到主界面
		appUtils.bindEvent($(_pageId+" .icon_home"), function(){
			if(platform == 0){
				appUtils.sendDirect("../mall/index.html#!/account/index.html");
			}else{
				var param = {
					"funcNo":"50101",
					"moduleName":"index"
				};
				external.callMessage(param);
			}
		});
	}
	
	function destroy()
	{
		mobileService.destroy();
	}

	
	/* 清理界面元素*/
	function cleanPageElement()
	{
		
	}
	
	var netInfo = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = netInfo;
});
