/*
 * 风险测评信息
 */
define(function(require, exports, module){ 
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		layerUtils = require("layerUtils"),
		survey_score = "",  //风险等级数字评分
		riskFlag = "",  //1表示满足风险评测等级，2表示不满足
		rating_lvl_name = "",  //风险评测等级
		gconfig = require("gconfig"),	
		_pageId = "#ggt_riskInfo";
	var mobileService = require("mobileService");
	var external = require("external");
	var platform = gconfig.platform;
	/* 私有业务模块的全局变量 end */
	
	function init()
	{
		cleanPageElement();
		//初始化处理
		initHandle();
	}
	
	function bindPageEvent()
	{
		//绑定确认键
		appUtils.bindEvent($(_pageId+" #confirm"),function(){
			appUtils.setSStorageInfo("subitemname",rating_lvl_name);
		var param = {
                "user_id":appUtils.getSStorageInfo("user_id"),
                "survey_type":"1"
            };
		mobileService.xiuGaijuan(param,function(data){
                console.log("yangrui......."+JSON.stringify(data));
                var error_no = data.error_no,
                    error_info = data.error_info,
                    result = data.accountInfoList;
		   if(error_no == "0"){ 
		    appUtils.pageInit("ggt/riskInfo","ggt/mainPage",{});
		 }else{
                    layerUtils.iAlert(error_info,-1);
                }
		},true,true);
		});
		
		//绑定重新评测按钮
		appUtils.bindEvent($(_pageId+" #reTest"),function(){
		console.log("yangrui_________");
			appUtils.pageInit("ggt/riskInfo","ggt/riskAssessment",{});
		});
		
		//绑定返回按钮
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.setSStorageInfo("subitemname",rating_lvl_name);
			appUtils.pageInit("ggt/riskInfo","ggt/mainPage",{});
		});

		//绑定重新评测按钮
		appUtils.bindEvent($(_pageId+" #testAgain"),function(){
			appUtils.pageInit("ggt/riskInfo","ggt/riskAssessment",{});
		});
		
		//绑定home键 跳转到主界面
		appUtils.bindEvent($(_pageId+" .icon_home"), function(){
			if(platform == 0){
				appUtils.sendDirect("../mall/index.html#!/account/index.html");
			}else{
				var param = {
					"funcNo":"50101",
					"moduleName":"index"
				};
				external.callMessage(param);
			}
		});
	}
	
	function destroy()
	{
		mobileService.destroy();
	}

	//初始化处理
	function initHandle(){
		var _prePageCode = appUtils.getSStorageInfo("_prePageCode");
		if(_prePageCode == "ggt/riskAssessment"){
//			survey_score = appUtils.getPageParam("remark");
//			rating_lvl_name = appUtils.getPageParam("riskdesc");
			var getSurveyInfo = {
				"user_id":appUtils.getSStorageInfo("user_id"),
				"fundid":appUtils.getSStorageInfo("zqAccount")
			};
			mobileService.getSurveyInfo(getSurveyInfo, function(data){
				var error_no = data.error_no;
				var error_info = data.error_info;
				if(error_no == "0") {
					rating_lvl_name = data.results[0].subitemname;
					$(_pageId+" .test_level dl dt").html(survey_score);
                    $(_pageId+" .test_level dl dd").html(rating_lvl_name);
				} else {
					layerUtils.iMsg("-1",error_info);
					return false;
				}
			});
		} else {
			survey_score = appUtils.getSStorageInfo("riskvalue"); //风险评测分数
        	rating_lvl_name = appUtils.getSStorageInfo("subitemname");  //风险评测等级
			$(_pageId+" .test_level dl dt").html(survey_score);
            $(_pageId+" .test_level dl dd").html(rating_lvl_name);
		}
//		if(survey_score >= 85){
//			$(_pageId+" .center").show();
//			$(_pageId+" .notice").hide();
//			$(_pageId+" #confirm").show();
//			$(_pageId+" #reTest").hide();
//			riskFlag = "1"
		if(rating_lvl_name == "激进型" || rating_lvl_name == "积极型" || rating_lvl_name == "稳健型") {
			$(_pageId+" .center").show();
			$(_pageId+" .notice").hide();
			$(_pageId+" #confirm").show();
			$(_pageId+" #reTest").hide();
			riskFlag = "1"
		}else{
			$(_pageId+" .center").hide();
			$(_pageId+" .notice").show();
			$(_pageId+" #confirm").hide();
			$(_pageId+" #reTest").show();
			$(_pageId+" .notice").html("您好，你的测评等级为"+rating_lvl_name+"，不利于后面综合评分，<a href='javascript:void(0);' id='testAgain'>请重新测评 ></a>");
			riskFlag = "2"
		}
		appUtils.setSStorageInfo("riskFlag",riskFlag);
	}
	
	/* 清理界面元素*/
	function cleanPageElement()
	{
//		$(_pageId+" .retry").hide();
		$(_pageId+" .center").hide();
		$(_pageId+" .notice").show();
		$(_pageId+" #confirm").hide();
		$(_pageId+" #reTest").show();
	}
	
	var riskInfo = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = riskInfo;
});
