define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var validatorUtil = require("validatorUtil");
	var layerUtils = require("layerUtils");
	var _pageId ="#zl_editMobile ";
	var mobileService = require("mobileService");
	var external = require("external");
	var userInfo;

	function init() {
		var param = {
                "funcNo": "60021",
                "navTitle": "修改手机号码"
            };
            external.callMessage(param);
	}

	function bindPageEvent() {
		// 绑定输入手机号码
		appUtils.bindEvent($(_pageId+" .phoneNum"), function(){
			var phoneNum = $(_pageId+" .phoneNum").val();
			if(phoneNum != "") {
				$(_pageId+" .txt_close").show();
			} else {
				$(_pageId+" .txt_close").hide();
			}
		},"input");
		
		appUtils.bindEvent($(_pageId+" .txt_close"), function(){
			$(_pageId+" .phoneNum").val("");
			$(_pageId+" .txt_close").hide();
		});
		
		// 绑定发送验证码
		appUtils.bindEvent($(_pageId+" .code_btn"), function(){
			var phoneNum = $(_pageId+" .phoneNum").val();
			if(!$(_pageId+" .code_btn").hasClass("time")) {
				sendmsg(phoneNum);  //获取验证码
			}
		})
		
		//绑定确认按钮
		appUtils.bindEvent($(_pageId+" .ct_btn"), function() {
			if($(_pageId+" .mobileCode").val().length == 0) {
				layerUtils.iMsg(-1,"请输入验证码！");
				return false;
			}
			if(!validatorUtil.isMobile($(_pageId+" .phoneNum").val())) {
               layerUtils.iMsg(-1,"您输入的手机号格式错误！");    
               return false;
			}
			if($(_pageId+" .mobileCode").val().length == 0) {
				layerUtils.iMsg(-1,"请输入验证码！");
				return false;
			}
			checkSmsCode();  //验证码校验
		});
		
		// 绑定返回
		appUtils.bindEvent($(_pageId+" .icon_back"), function() {
			// 跳转到首页
//			var param = {
//				"funcNo":"50101",
//				"moduleName":"index"
//			};
//			external.callMessage(param);
			appUtils.pageBack();
		});

		// 绑定回到首页
		appUtils.bindEvent($(_pageId+" .icon_home"), function() {
			// 跳转到首页
//			var param = {
//				"funcNo":"50101",
//				"moduleName":"index"
//			};
//			external.callMessage(param);
			
//			appUtils.pageInit("zl/editMobile", "zl/UserCenter", {});
			var param = {
                    "funcNo": "50114",
                    "moduleName": "open"
                };
		external.callMessage(param);
		});
	}
	
	/* 发送验证码 */
	function sendmsg(phoneNum)
	{
		var param = {
			"mobile_no" : phoneNum,
			"user_id" : appUtils.getSStorageInfo("user_id"),
			//"user_id" : appUtils.getSStorageInfo("userInfo",true).user_id,
			"sms_type":"ygt_xgsj"
		};
		//请求获取验证码接口
		mobileService.sendSmsCode(param,function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			var result = data.results;
			if(error_no == "0")
			{
				// 计时器
				var sumTime = 120;
				//处理获取验证码时发生的动作
				var handleCount = function(){
					$(_pageId+" .code_btn").addClass("time");
					$(_pageId+" .code_btn").html(sumTime--+"秒后可重发");
				};
				handleCount();
				startCountDown = window.setInterval(function(){
					handleCount();
				}, 1000);
				// 120 秒之后清除计时器
			    var clearCountDown = setTimeout(function(){
			    	$(_pageId+" .code_btn").removeClass("time");
					$(_pageId+" .code_btn").html("发送");
					window.clearInterval(startCountDown);
				},121000);
			    //发送完验证码后，通过判断输入手机号是否一致，否则重新发送验证码
				 var c_phoneNum =phoneNum;
				 appUtils.bindEvent($(_pageId+" .phoneNum"),function(){
					c_phoneNum =$(_pageId+" .phoneNum").val();
				 	if(validatorUtil.isMobile(phoneNum)&&validatorUtil.isMobile(c_phoneNum))
				 	{
				 		//用户两次输入的手机号不同，重新获取验证码
				 		if(c_phoneNum!=phoneNum)
				 		{
				 			clearInterval(startCountDown);   //清除定时器
				 			clearTimeout(clearCountDown);
				 			$(_pageId+" .code_btn").removeClass("time");
							$(_pageId+" .code_btn").html("发送");
				 		}
				 	}
				 },"input");
			}
			else
			{
				layerUtils.iAlert(error_info,-1);
				return false;
			}
		});
	}
	
	// 校验验证码
	function checkSmsCode() {
		// 校验验证码
		var checkSmsCode = {
			"mobile_code":$(_pageId+" .mobileCode").val(),
			"mobile":$(_pageId+" .phoneNum").val(),
			"sms_type":"ygt_xgsj"
		};
		mobileService.checkSmsCode(checkSmsCode, function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			var result = data.results;
			console.log("yangrui ___ heheh:"+appUtils.getSStorageInfo("zqAccount"));
			if(error_no == "0") {
				var param = {
					"user_id" : appUtils.getSStorageInfo("user_id"),
					"mobile_code" : $(_pageId+" .mobileCode").val(),
					"old_mobile" : appUtils.getSStorageInfo("mobile"),
					"new_mobile" : $(_pageId+" .phoneNum").val(),
					"fundid":appUtils.getSStorageInfo("zqAccount")
				};
				//请求获取验证码接口
				mobileService.submitMobileNo(param,function(data){
					var error_no = data.error_no;
					var error_info = data.error_info;
					var result = data.results;
					console.log("yangrui ___ heheh:"+JSON.stringify(data));
					if(error_no == "0")
					{
						appUtils.setSStorageInfo("mobiles", $(_pageId+" .phoneNum").val());
						appUtils.setSStorageInfo("newmobile", "newmobile");
						appUtils.pageInit("zl/editMobile", "zl/UserCenter",{});
					}else{
						layerUtils.iAlert(error_info,-1);
						return false;
					}
				});



			} else {
				layerUtils.iAlert(error_info,-1);
				return false;
			}
		});
	}

	function destroy(){

	}
	
	var editMobile = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = editMobile;
});
