define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var validata = require("validatorUtil");
	var layerUtils = require("layerUtils");
	var _pageId ="#zl_verifyMobile";
	var mobileService = require("mobileService");
	var external = require("external");
	var startCountDown = null;
	var userInfo;
	var platform = gconfig.platform;

	function init() {
		var param = {
                "funcNo": "60021",
                "navTitle": "验证手机"
            };
            external.callMessage(param);
		$(_pageId+" .tel").html(appUtils.getSStorageInfo("mobile"));
	}

	function bindPageEvent() {
		var phoneNum = $(_pageId+" .tel").html(); 
		// 绑定短信发送按钮
		appUtils.bindEvent($(_pageId+" .code_btn"), function(){
			if(!$(_pageId+" .code_btn").hasClass("time")) {
				sendmsg(phoneNum);  //获取验证码
			}
		});
		
		//绑定确认按钮
		appUtils.bindEvent($(_pageId+" .ct_btn"), function() {
			if($(_pageId+" .mobileCode").val().length == 0) {
				layerUtils.iMsg(-1,"请输入验证码！");
				return;
			}
			checkSmsCode();  //验证码校验
		});

		// 绑定返回
		appUtils.bindEvent($(_pageId+" .icon_back"), function() {
			appUtils.pageInit("zl/verifyMobile","zl/UserCenter");
		});
	}
	
	/* 发送验证码 */
	function sendmsg(phoneNum)
	{
		var param = {
			"mobile_no" : phoneNum,
			"user_id" : appUtils.getSStorageInfo("user_id"),
//			"user_id" : appUtils.getSStorageInfo("userInfo",true).user_id,
			"sms_type":"ygt_xgsj"
		};
		//请求获取验证码接口
		mobileService.sendSmsCode(param,function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			var result = data.results;
			if(error_no == "0")
			{
				// 计时器
				var sumTime = 120;
				//处理获取验证码时发生的动作
				var handleCount = function(){
					$(_pageId+" .code_btn").addClass("time");
					$(_pageId+" .code_btn").html(sumTime--+"秒后可重发");
				};
				handleCount();
				startCountDown = window.setInterval(function(){
					handleCount();
				}, 1000);
				// 120 秒之后清除计时器
			    var clearCountDown = setTimeout(function(){
			    	$(_pageId+" .code_btn").removeClass("time");
					$(_pageId+" .code_btn").html("发送");
					window.clearInterval(startCountDown);
				},121000);
			}
			else
			{
				layerUtils.iAlert(error_info,-1);
				return false;
			}
		});
	}
	
	// 校验验证码
	function checkSmsCode() {
		// 校验验证码
		var checkSmsCode = {
			"mobile_code":$(_pageId+" .mobileCode").val(),
			"mobile":$(_pageId+" .tel").html(),
			"sms_type":"ygt_xgsj"
		};
		mobileService.checkSmsCode(checkSmsCode, function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			var result = data.results;
			console.log("yangrui ___ heheh1111:"+JSON.stringify(data));
			if(error_no == "0") {
				appUtils.pageInit("zl/verifyMobile", "zl/editMobile",{});
			} else {
				layerUtils.iAlert(error_info,-1);
				return false;
			}
		});
	}

	function destroy(){
		// 清除计时器
		if(startCountDown != null)
		{
			window.clearInterval(startCountDown);
		}
	}
	
	var verifyMobile = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = verifyMobile;
});
