/**
 * 作者:赵成
 * 证书service层调用接口
 **/
define(function(require,exports,module){
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var service = require("service");
	var serviceSingleton = new service.Service();
	
	/********************************公共代码部分********************************/
    function commonInvoke(paraMap, callback, ctrlParam, reqParamVo){
    	reqParamVo.setReqParam(paraMap);
    	ctrlParam = ctrlParam?ctrlParam:{};
    	reqParamVo.setIsLastReq(ctrlParam.isLastReq);
    	reqParamVo.setIsAsync(ctrlParam.isAsync);
    	reqParamVo.setIsShowWait(ctrlParam.isShowWait);
    	reqParamVo.setTimeOutFunc(ctrlParam.timeOutFunc);
    	reqParamVo.setErrorFunc(ctrlParam.errorFunc);
    	reqParamVo.setIsShowOverLay(ctrlParam.isShowOverLay);
    	reqParamVo.setTipsWords(ctrlParam.tipsWords);
    	reqParamVo.setDataType(ctrlParam.dataType);
    	reqParamVo.setIsGlobal(ctrlParam.isGlobal);
    	reqParamVo.setProtocol(ctrlParam.protocol);
    	reqParamVo.setCacheTime(ctrlParam.cacheTime);
    	reqParamVo.setCacheType(ctrlParam.cacheType);
    	serviceSingleton.invoke(reqParamVo, callback);
    }
	function destroy(){
		serviceSingleton.destroy();
	}
	var mobileService = {
		"getInstance": getInstance, //为了避免以前调用getInstance方法报错
		"destroy": destroy
	};
	function getInstance(){
		return mobileService;
	}
	module.exports = mobileService;

	/********************************应用接口开始********************************/
	/**
	 * 功能:检查用户是否申请过证书证书1004406
	 * 入参：user_id：用户编号(Y)
	 *       cert_type ： 证书类型(Y)
	 */
	mobileService.certCheckStatus = function(param,callback,ctrlParam)
    {
	    var paraMap = {};
		paraMap["funcNo"] = "1004406";
		paraMap["user_id"] = param.user_id;
		paraMap["cert_type"] = param.cert_type;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }

    /**
	 * 功能:获取自建证书(申请或更新证书)1004187
	 * 入参：user_id：用户编号(Y)
	 *       cert_type ： 证书类型(Y)
	 */
    mobileService.zjCertInseert = function(param,callback,ctrlParam)
    {
	    var paraMap = {};
		paraMap["funcNo"] = "1004187";
		paraMap["user_id"] = param.user_id;
		paraMap["pkcs10"] = param.pkcs10;
		paraMap["ipaddr"] = param.ipaddr;
		paraMap["macaddr"] = param.macaddr;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }

	/**
	 * 功能:获取中登证书(申请或更新证书)1004186
	 * 入参：user_id：用户编号(Y)
	 *       cert_type ： 证书类型(Y)
	 */
    mobileService.zdCertInseert = function(param,callback,ctrlParam)
    {
	    var paraMap = {};
		paraMap["funcNo"] = "1004186";
		paraMap["user_id"] = param.user_id;
		paraMap["pkcs10"] = param.pkcs10;
		paraMap["ipaddr"] = param.ipaddr;
		paraMap["macaddr"] = param.macaddr;
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }

});