/**
* 退市整理股票权限开通主页
*/
define(function(require,exports,module) {
    var appUtils = require("appUtils"),
        global = require("gconfig").global,
        layerUtils = require("layerUtils"),
        Map = require("map"),
        validatorUtil = require("validatorUtil"),
        _pageId = "#permissionOpen_finishingStockIndex ";
    var mobileService = require("mobileService");
	var fristMap = new Map(),  //  存放所有相关协议
    	protocolArray = new Array(),  // 存放协议签名值
    	countProtocol = 0;  // 计算签署成功的数量

    function init() {
    	countProtocol = 0; // 计算签署成功的数量
    	queryAccountState();//获取账户权限状态
    }
    
    /* 处理请求超时 */
    function handleTimeout() {
        layerUtils.iConfirm("请求超时，是否重新加载？",function(){
        	queryAccountState();  // 再次获取账户权限状态
        });
    }
    
    //查询并显示账户开通权限状态
    function queryAccountState(){
    	var param  = {
    		"user_id":appUtils.getSStorageInfo("userInfo",true).user_id
    	};
    	mobileService.queryFinishingStockData(param,function(data){
    		var error_no = data.error_no;
    		var error_info = data.error_info;
    		var accountList = data.accountList;//(交易帐号集合)
    		var checkFlagData = data.checkFlagData;//DataRow(条件判断结果) 
    		var businessInfo = data.businessInfo;//DataRow(业务办理数据)
    		var stkbd = "";//股东户类型 深A 沪A
    		if(error_no==0){
    			if(businessInfo[0].query_flag=="1"){//流程存在
					var create_date = businessInfo[0].create_date.split(" ")[0];//办理日期
		    		var html="";
					var clzHtml="",cgHtml="",sbHtml="";
//					var clzHtml="",cgHtml="",sbHtml="",sqzHtml="";//有流程，但存在可以开通的账号
					for(var i=0;i<accountList.length;i++){
						if(accountList[i].stkbd == "00"){//深A 00
							stkbd = "深A";
						}else{
							stkbd = "沪A";
						}
						if(accountList[i].open_flag == "1" || accountList[i].apply_state == "1"){//已开通   apply_state  0：已申请，1：成功，2：失败，3：处理中
							cgHtml += '<li><span>'+stkbd+'  '+accountList[i].trdacct+'</span><span class="status">开通成功</span></li>';
						}else if(accountList[i].open_flag == "0"  &&  (accountList[i].apply_state == "0" || accountList[i].apply_state == "3" || accountList[i].apply_state == "")){//0：已申请，1：成功，2：失败，3：处理中
////						}else if(accountList[i].open_flag == "0" || accountList[i].apply_state == "3"){//0：已申请，1：成功，2：失败，3：处理中	
							clzHtml += '<li><span>'+stkbd+'  '+accountList[i].trdacct+'</span><span class="status">申请中</span></li>';
						}else if(accountList[i].apply_state == "2"){//失败了
							sbHtml += '<li><span>'+stkbd+'  '+accountList[i].trdacct+'</span><span class="status error spel" account="'+stkbd+'  '+accountList[i].trdacct+'" errorInfo="'+accountList[i].description+'" href="javascript:void(0);">开通失败</span></li>';
						}
					}
//					html = sbHtml + clzHtml + cgHtml + sqzHtml;
					html = sbHtml + clzHtml + cgHtml;
					$(_pageId+" #result_div .account_list").html(html);
					$(_pageId+" #result_div").show();
					$(_pageId+" #ok_div,#info_div,#select_div").hide();
					//绑定跳转到失败详情页面
					appUtils.bindEvent($(_pageId+" .account_list span").filter(".error"), function(){
		                var errorInfo = $(this).attr("errorInfo");
		                var account = $(this).attr("account");
    	                appUtils.setSStorageInfo("permissionOpen_error_account",account);
    	                appUtils.setSStorageInfo("permissionOpen_error_info",errorInfo);
    	                appUtils.setSStorageInfo("permissionOpen_error_busi","finishingStock");
    	                appUtils.pageInit("permissionOpen/finishingStockIndex", "permissionOpen/failInfo",{});
			        });

					var state = businessInfo[0]['state'];//状态0：前端流程未走完  1：前端流程走完2：后台审核未通过3：后台审核通过4：业务办理失败5：业务办理通过
					if(state == "4"){//失败
		    			$("#title").addClass("error");
		    			$("#title").html("<span>您于"+create_date+"办理的业务失败</span>");
		    			$(_pageId+" .button").text("重新申请");
		    			//确认按钮
		    	        appUtils.bindEvent($(_pageId+" .button"), function(){
		    	            var param ={
		    	            	"user_id":appUtils.getSStorageInfo("userInfo",true).user_id
		    	            };
		    	            mobileService.confirmFinishingStock(param,function(data){
		    	            	  var error_no = data.error_no,
					                error_info = data.error_info;
					            if(error_no == "0"){
					            	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
					            }else{
					                layerUtils.iAlert(error_info,-1);
					            }
		    	            });
		    	        });
		    		}else if(state == "5"){//成功
		    			$("#title").addClass("ok");
		    			$("#title").html("<span>您于"+create_date+"办理的业务已通过</span>");
//		    			$(_pageId+" .button").text("重新申请");
		    			$(_pageId+" .button").text("确认");
		    			//确认按钮
		    	        appUtils.bindEvent($(_pageId+" .button"), function(){
		    	            var param ={
		    	            	"user_id":appUtils.getSStorageInfo("userInfo",true).user_id
		    	            };
		    	            mobileService.confirmFinishingStock(param,function(data){
		    	            	  var error_no = data.error_no,
					                error_info = data.error_info;
					            if(error_no == "0"){
					            	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
					            }else{
					                layerUtils.iAlert(error_info,-1);
					            }
		    	            });
		    	        });
		    		}else if(state == "1"){
		    			$("#title").addClass("ing");
		    			$("#title").html("<span>您于"+create_date+"办理的业务正在审核中</span>");
		    			//确认按钮
		    			$(_pageId+" .button").text("返回首页");
		    	        appUtils.bindEvent($(_pageId+" .button"), function(){
		    	        	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
		    	        });
		    		}
				}else{//流程不存在 展示所有账户
					//判断条件-不满足
//					if(checkFlagData[0]['flag']=="0" || businessInfo[0]['hasAccount']=="0" || checkFlagData[0]['trdtime_flag']=="0"){//flag  所有条件是否通过 1 ： 通过   0:不通过
					if(checkFlagData[0]['asset_flag']!="1" || businessInfo[0]['hasAccount']=="0"){//asset_flag  hasAccount 无资产或者少账户
					if(businessInfo[0]['hasAccount']!="1"){//账号不满足  您未在我司开通沪A或深A，请增开
							$(_pageId +" #hasAccount").text(" 您未在我司开通沪A或深A，请增开");
							$(_pageId +" #hasAccount").addClass('lk').removeClass('suc');
						}
						if(checkFlagData[0]['asset_flag']!="1"){//资产不满足
							$(_pageId +" #asset_flag").text("资产＜50万，请银证转账");
							$(_pageId +" #asset_flag").addClass('lk').removeClass('suc');//资产＜50万，请银证转账
						}
//						if(checkFlagData[0]['trdtime_flag']!="1"){//交易时间不满足
//							$(_pageId +" #trdtime_flag").addClass('lk').removeClass('suc');
//						}
						$(_pageId+" .content").addClass("white");
						$(_pageId+" .top_tips").html('<p class="error"><span>办理条件不满足</span></p>');
						$(_pageId+" #info_div").show();
						$(_pageId+" #ok_div,#result_div,#select_div").hide();
						
//						$(_pageId+" .ce_btn").hide();
						
						//确认按钮
		    			$(_pageId+" .button").text("返回首页");
		    	        appUtils.bindEvent($(_pageId+" .button"), function(){
		    	        	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
		    	        });
		    	        
		    	        /*****************资质不足的两个按钮***********.zk_errorinfo h5 **/
		    			if(businessInfo[0]['hasAccount']!="1"){
		    				appUtils.bindEvent($(_pageId+" #info_div h5").eq(0), function(){
	    						//增开增开增开
		    					layerUtils.iMsg(-1, "增开 敬请期待!");
	    		        	});
						}	        
		    			
//		    	    	//不满足条件时候的跳转事件     #info_div .zk_errorinfo h5.lk:after info_div
						if(checkFlagData[0]['asset_flag']=="0"){
							appUtils.bindEvent($(_pageId+" #info_div h5").eq(1), function(){
		    					//充值充值充值
								layerUtils.iMsg(-1, "资产 敬请期待!");
		    		        });
						}
		    	        /*****************资质不足的两个按钮*************/
		    	        
						//不满足条件时候的跳转事件     .zk_errorinfo h5.lk:after 
						/*if(checkFlagData[0]['asset_flag']=="0"){
							appUtils.bindEvent($(_pageId+" #info_div h5").eq(1), function(){
		    					//充值充值充值
								
		    		        });
						}
						appUtils.bindEvent($(_pageId+" #info_div h5").eq(0), function(){
	    					//增开增开增开
							 appUtils.pageInit("permissionOpen/finishingStockIndex", "zk/addIndex",{});
	    		        });*/
					}else{
						//判断条件-满足
    					queryDzcontract();//获取电子协议
						//展示页面信息
//						var htmlStr = "",wktHtml='',yktHtml='',bandHtml='',timeHtml='';//新加资质判断模板,stateHtml;
						var htmlStr = "",wktHtml='',yktHtml='',allHtml='';
						var all_bind = true;//是否都转签
						var state_flag=true;//账号是否符合资质
						var KaiTong_flag=false;//有开通账号
						var KaiTong_Ok=false;//是否有开通过的账户
						for(var i=0;i<accountList.length;i++){
							state_flag=true;//账号是否符合资质
							var flagStr="";
							var cwHtml='';
							if(accountList[i].stkbd == "00"){//深A 00
								stkbd = "深A";	
								if(accountList[i].trdtime_flag !="1" && accountList[i].open_flag != "1"){
									flagStr +='<span class="time_flag_class" style="font-size: 7px">'+"|交易时间不满2年|"+'</span>';
									cwHtml = '<li><span class="spel">'+stkbd+'  '+accountList[i].trdacct+'</span><span class="status">'+flagStr+'</span></li>';	
									state_flag= false;
									all_bind = false;
									allHtml += cwHtml;//累计所有错误模板
								}
							}else{
								stkbd = "沪A";		
								if(accountList[i].bind_state =="0" && accountList[i].open_flag != "1"){
									flagStr +='<span class="bind_flag_class" style="font-size: 7px">'+"|未指定交易|"+'</span>';
									cwHtml = '<li><span class="spel">'+stkbd+'  '+accountList[i].trdacct+'</span><span class="status">'+flagStr+'</span></li>';	
									state_flag= false;
									all_bind = false;
								}
								
//								if(accountList[i].bind_state =="32" || accountList[i].bind_state =="2"){
//									flagStr +='|已指定交易|';
//									cwHtml = '<li><span class="spel">'+stkbd+'  '+accountList[i].trdacct+'</span><span class="status">'+flagStr+'</span></li>';	
//									state_flag= false;
//									all_bind = false;
//								}
								
								if(accountList[i].trdtime_flag !="1" && accountList[i].open_flag != "1"){
									flagStr +='<span class="time_flag_class" style="font-size: 7px">'+"|交易时间不满2年|"+'</span>';
									cwHtml = '<li><span class="spel">'+stkbd+'  '+accountList[i].trdacct+'</span><span class="status">'+flagStr+'</span></li>';	
									state_flag= false;
									all_bind = false;
								}
								allHtml += cwHtml;//累计所有错误模板
							}
							if(accountList[i].open_flag == "1"){
								yktHtml += '<li><span class="spel">'+stkbd+'  '+accountList[i].trdacct+'</span><span class="status">已开通</span></li>';
								KaiTong_Ok =true;//有已开通的账户
							}
//							
							else if(state_flag){
								//可以开通的账户
								wktHtml += '<li><span class="icon_radio" account="'+accountList[i].trdacct+'">'+stkbd+'  '+accountList[i].trdacct+'</span></li>';
								$(_pageId+" #ycxy").show();
								all_bind = false;
							    KaiTong_flag=true;//有开通账号
							}
						}
//						htmlStr = wktHtml+yktHtml+stateHtml+bandHtml;
						htmlStr = wktHtml+yktHtml+allHtml;
						$(_pageId+" #select_div .account_list").html(htmlStr);
		    			//绑定切换账户勾选状态
		    			appUtils.bindEvent($(_pageId+" #select_div .icon_radio"),function(){
		    				if($(this).hasClass("checked")){
		    					$(this).removeClass("checked");
		    				}else{
		    					$(this).addClass("checked");
		    				}
		    			});
		    			
//						if(all_bind){
		    			if(all_bind && !KaiTong_flag && KaiTong_Ok){//有可开通账户，无开通账户，无资质不满足账户
							$(_pageId+" #title").html('<span>恭喜您！您的账户都已开通此权限</span>').addClass("ok");
//							select_div
//							$(_pageId+" .ce_btn").hide();
							$(_pageId+" #select_div").show();
							$(_pageId+" #select_div .title").html("恭喜您！您的账户都已开通此权限");
							$(_pageId+" #ok_div,#result_div,#info_div").hide();
							$(_pageId+" .button").html('返回首页');
							appUtils.bindEvent($(_pageId + " .button"), function(){
								appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
		    		        });	
						}else{
							appUtils.setSStorageInfo("tsgp_isSuccess","");
							if(appUtils.getSStorageInfo("_prePageCode")=="permissionOpen/showProtocol"){//从协议内容返回的直接展示勾选账户，隐藏条件页面
								//回显勾选的账户的情况
								var trdaccount = appUtils.getSStorageInfo("tsgp_account").split(',');
								for (var i = 0; i < trdaccount.length; i++) {
									$(_pageId+" #select_div .icon_radio").each(function(){
										if($(this).attr("account")==trdaccount[i]){
											$(this).addClass('checked');
										}
									});
								}
								if (appUtils.getSStorageInfo('tsgp_checked')) {
									$(_pageId+" #checkbox").prop('checked',true);
								}
								$(_pageId+" #select_div").show();
								$(_pageId+" #ok_div,#info_div,#result_div").hide();
								$(_pageId+" .button").html('马上开通');
								appUtils.bindEvent($(_pageId + " .button"), function(){
			    					//提交提交提交
									//1.判断账户选择情况
									if(!$(_pageId+" #select_div .icon_radio").hasClass("checked")) {
										layerUtils.iMsg(-1, "请选择要开通的股东账户");
										return false;
									}
									if(!$(_pageId+" #checkbox").attr("checked")) {
										layerUtils.iMsg(-1, "请阅读并勾选同意签署以上全部协议!");
										return false;
									}
									//2.提交账号
									var trdaccount = new Array();
									$(_pageId+" #select_div .icon_radio").each(function(){
										if($(this).hasClass("checked")){
											trdaccount.push($(this).attr("account")) ;
										}
									});
									trdaccount = trdaccount.join();
									appUtils.setSStorageInfo("tsgp_account" , trdaccount);
									if(trdaccount != ""){
										//验签
										getSignProtocl();
									}else{
										layerUtils.iMsg(-1, "选择的账号数据为空");
										return false;
									}
			    		        });
							}else{
								//第一次进入该页面，先展示条件、隐藏账户和协议
								$(_pageId+" .top_tips").html('<p class="ok"><span>条件已满足，请办理</span></p>');
								$(_pageId+" #ok_div").show();
								$(_pageId+" #select_div,#info_div,#result_div").hide();
								$(_pageId+" .button").html('马上开通');
								appUtils.bindEvent($(_pageId + " .button"), function(){
									$(_pageId+" #ok_div,#info_div,#result_div").hide();
									$(_pageId+" #select_div").show();
									$(_pageId+" .top_tips").animate({marginTop:"-35px"},500);
							        //绑定返回键
							        appUtils.bindEvent($(_pageId+" .icon_back"), function(){
							        	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
//										appUtils.pageBack();
							        });
							        
							        if(KaiTong_flag){	
							        	 //绑定提交
							        	$(_pageId+" .button").html('确认开通');
								        //绑定提交
										appUtils.bindEvent($(_pageId + " .button"), function(){
											//1.判断账户选择情况
											if(!$(_pageId+" #select_div .icon_radio").hasClass("checked")) {
												layerUtils.iMsg(-1, "请选择要开通的股东账户");
												return false;
											}
											if(!$(_pageId+" #checkbox").attr("checked")) {
												layerUtils.iMsg(-1, "请阅读并勾选同意签署以上全部协议!");
												return false;
											}
											//2.提交账号
											var trdaccount = new Array();
											$(_pageId+" #select_div .icon_radio").each(function(){
												if($(this).hasClass("checked")){
													trdaccount.push($(this).attr("account")) ;
												}
											});
											trdaccount = trdaccount.join();
											appUtils.setSStorageInfo("tsgp_account" , trdaccount);
											if(trdaccount != ""){
												//验签
												getSignProtocl();
											}
//					    	                appUtils.pageInit("permissionOpen/finishingStockIndex", "permissionOpen/finishingStockIndex",{});
					    		        });
							        }else{
							        	$(_pageId+" #select_div .title").html('未存在有开通权限的股东号');
							        	$(_pageId+" .button").html('返回首页');
										appUtils.bindEvent($(_pageId + " .button"), function(){
//											beforeSubmit();
										appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
					    		        });	
							        }
			    		        });
							}
						}
					}
				}
    			//展示页面
				$(_pageId+" .content").show();
//				setTimeout(function(){$(_pageId+" .top_tips").animate({marginTop:"-35px"},500);}, 1500);
    		}else{
    			layerUtils.iAlert(error_info,-1,function(){
    				appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
    			});
    		}
    	},true,true,handleTimeout);
    }
    //获取电子协议
    function queryDzcontract(){
        var param = {
            "agree_name":"",
            "type_code":"ygt_tsgpxy",
            "agree_no":""
        };
        mobileService.getSign(param,function(data){
			var error_no = data.error_no,
				error_info = data.error_info,
				results = data.results,
				allProtocols = "";
			var protocolMap = null;
            if(error_no == "0" && results.length != 0){
				//多个协议展示列表
				for(var i=0;i<results.length;i++)
				{
					protocolMap = new Map();
					protocolMap.put("protocolid",results[i].agree_no);	//协议id
					protocolMap.put("protocolname",results[i].agree_name);	//协议名
					protocolMap.put("summary",results[i].md5_content);	//协议内容MD5,签名摘要信息
					allProtocols += "<li><a href=\"javascript:;\" protocol-id=\""+results[i].agree_no+"\" id=\"protocol0"+i+"\">《"+
						results[i].agree_name+"》</a></li>";
					// 预绑定查看协议的事件
					appUtils.preBindEvent($(_pageId+" .rule_list"),"#protocol0"+i,function(e){
						//先把勾选的账户保存起来以便回显
						var trdaccount = new Array();
						$(_pageId+" #select_div .icon_radio").each(function(){
							if($(this).hasClass("checked")){
								trdaccount.push($(this).attr("account")) ;
							}
						});
						trdaccount = trdaccount.join();
						appUtils.setSStorageInfo("tsgp_account" , trdaccount);
						appUtils.setSStorageInfo("tsgp_checked" , $(_pageId+" #checkbox").attr('checked'));
						appUtils.pageInit("permissionOpen/finishingStockIndex","permissionOpen/showProtocol",{"protocol_id" : $(this).attr("protocol-id")});
                        e.stopPropagation();
					});
					fristMap.put(i,protocolMap);
				}
				$(_pageId+" .rule_list").html(allProtocols);
    			//展示页面
				$(_pageId+" .main").show();
            }else{
                layerUtils.iAlert(error_info,-1);
            }
        },true,true,handleTimeout);
    }
    /* 获取签名值 */
    function getSignProtocl()
    {
        var keys = fristMap.keys();  // 协议的数量
        // 检查是否勾选签署协议
        layerUtils.iLoading(true);  // 开启等待层。。。
        var oneData  = fristMap.get(keys[countProtocol]); // 取出一个协议
        var protocolid = oneData.get("protocolid"); // 协议ID
        var protocolname = oneData.get("protocolname");  //协议名称
        var protocol_content = oneData.get("protocol_content");  // 协议内容MD5,签名摘要信息
        // 添加值到数组中
        var protocol = {
            "protocol_id" : protocolid,
            "protocol_content" : protocol_content,
        	"summary":""
        }
        protocolArray.push(protocol);
        countProtocol++;
        if(countProtocol < keys.length)  // 通过比较，获取每个协议的签名值
        {
            getSignProtocl();
        }else{
            submitProtocol();  //提交协议
        }
    }
    
    /* 保存 签署协议并提交申请权限  */
    function submitProtocol(){
    	//获取所有选择开通的账号并拼接起来
    	var trdaccount = appUtils.getSStorageInfo("tsgp_account");
        var param = {
//            "user_id":appUtils.getSStorageInfo("user_id"),
//            "jsondata" : JSON.stringify(protocolArray),
//            "checksign" : "0",
//            "trdaccount":trdaccount
        		
        	  "user_id":appUtils.getSStorageInfo("userInfo",true).user_id,
              "jsondata" : JSON.stringify(protocolArray),
              "checksign" : "0",
              "trdaccount":trdaccount	
        };
        //保存 签署协议并提交申请权限
        mobileService.applyFinishingStock(param,function(data){
            var error_no = data.error_no,
                error_info = data.error_info;
            if(error_no == "0"){
            	appUtils.setSStorageInfo("tsgp_isSuccess","yes");
            	appUtils.clearSStorage('tsgp_account');
            	appUtils.clearSStorage('tsgp_checked');
				window.location.reload();
            }else{
                layerUtils.iAlert(error_info,-1,function (){
                	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
                });
            }
        },true,true,null);
    }
    function bindPageEvent() {
        //绑定home键 跳转到主界面
        appUtils.bindEvent($(_pageId+" .icon_home"), function(){
//            appUtils.pageInit("permissionOpen/finishingStockIndex", "account/addIndex",{});
        	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
        });
        //绑定返回键
        appUtils.bindEvent($(_pageId+" .icon_back"), function(){
//            appUtils.pageInit("permissionOpen/finishingStockIndex", "account/addIndex",{});
        	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
//			appUtils.pageBack();
        });
    }
    
    function destroy() {
    	//还原页面
    	$(_pageId+" #ct_btn_back").hide();
		$(_pageId+" #ct_btn_open").show();
//		$(_pageId+" .rule_check").show();//隐藏勾选协议
//		$(_pageId+" .rule_list").show();//隐藏协议
//		$(_pageId+" #rule").show();//隐藏协议
//		$(_pageId+" .agree_main h5:eq(0)").html("请点击按钮开通");//还原页面
		//$(_pageId+" .rule_check input").removeClass("checked");//还原页面
    }

    var finishingStockIndex = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };

    module.exports = finishingStockIndex;
});