﻿define(function (require, exports, module) {
    /* 私有业务模块的全局变量 begin */
    var appUtils = require("appUtils"),
        layerUtils = require("layerUtils"),
        gconfig = require("gconfig"),
        global = gconfig.global,
        mobileService = require("mobileService"),
        external = require("external"),
        _pageId = "#threeDepository_bankCardDetails ";

    var cardType = "";   //stock 证券银行卡  marginTrading 两融银行卡
	var bank_code ;
	
    function init() {
    	var account = appUtils.getSStorageInfo("account");
    	bank_code = appUtils.getSStorageInfo("bank_code");
    	var backName = appUtils.getSStorageInfo("bank_name");
    	$(_pageId + " #backName").html(backName);
    	$(_pageId + " #backCard").html(set_bank_no(account));
        $(_pageId + " #delect").hide();
        $(_pageId + " #queChange").hide();
    }

    //将银行卡号格式化为**** **** **** 1111
    function set_bank_no(bank_account) {
        var star = "";
        for (var i = 0; i < bank_account.length - 4; i++) {
            star += "*";
            if ((i + 1) % 4 == 0) {
                star += " ";
            }
        }
        bank_account = star + " " + bank_account.substring(bank_account.length - 4, bank_account.length);

        return bank_account;
    }

    function bindPageEvent() {
        //返回
        appUtils.bindEvent($(_pageId + " .icon_back"), function () {
            appUtils.pageInit("threeDepository/bankCardDetails", "threeDepository/showBankCard");
//			appUtils.pageBack();
        });
        //更改银行卡
        appUtils.bindEvent($(_pageId + " #change"), function () {
        	$(_pageId + " #queChange").show();
        });
        
        //银行卡解除绑定
        appUtils.bindEvent($(_pageId + " #bound"), function () {
            $(_pageId + " #delect").show();
        });
        //确定解除绑定
        appUtils.bindEvent($(_pageId + " #queding"), function () {
            delectBankCard();
        });
        //取消解除绑定
        appUtils.bindEvent($(_pageId + " #quxiao"), function () {
            $(_pageId + " #delect").hide();
        });
        
        //确定更换
        appUtils.bindEvent($(_pageId + " #quedingChange"), function () {
            changeBankCard();
        });
        //取消更换
        appUtils.bindEvent($(_pageId + " #quxiaoChange"), function () {
            $(_pageId + " #queChange").hide();
        });
        
    }
    //更改银行卡绑定
	function changeBankCard(){
		var bindBanks = {
//			"user_id":appUtils.getSStorageInfo("user_id"),
//			"fund_account":appUtils.getSStorageInfo("curr_loginid"),
//			"zj_password":appUtils.getSStorageInfo("password"),
//			"bankcode": bank_code ,//旧的银行编号
//			"op_account": appUtils.getSStorageInfo("curr_loginid")
			
			"user_id":appUtils.getSStorageInfo("userInfo",true).user_id,
			"fund_account":appUtils.getSStorageInfo("zqAccount",true),
//			"zj_password":appUtils.getSStorageInfo("password"),//可以不需要
//			"fund_account":appUtils.getSStorageInfo("fund_account_bank"),
			"bankcode": bank_code ,//旧的银行编号
			"op_account": appUtils.getSStorageInfo("fund_account_bank")
			,"money_type": "1"
		};
		mobileService.changeBankCard(bindBanks, function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			console.log("yangrui_____:"+JSON.stringify(data));
			if(error_no == "0") {
				var results = data.results[0];
				if(results.checkFlag == "0"){
					appUtils.setSStorageInfo("checkTradeRecored",results.checkTradeRecored);//交易记录条件是否满足
					appUtils.setSStorageInfo("checkCurrBusiness",results.checkCurrBusiness);//在途业务条件是否满足
					appUtils.setSStorageInfo("checkBalance",results.checkBalance);//余额条件是否满足
//					appUtils.setSStorageInfo("checkInterestBase",results.checkInterestBase);//利息基数条件是否满足
					appUtils.pageInit("threeDepository/bankCardDetails", "threeDepository/bankCardChangeInfo",{});
				}else{
					appUtils.setSStorageInfo("business_id",results.business_id);//利息基数条件是否满足
					appUtils.pageInit("threeDepository/bankCardDetails", "threeDepository/bankList",{});
				}
			} else {
				$(_pageId + " #queChange").hide();
				layerUtils.iAlert(error_info,-1);
				return false;
			}
		});
	}
	
	/*******************************2017-4-5日修改 不做删除************************************/
	//解除银行卡绑定
	function delectBankCard(){
		var bindBank = {
//			"user_id":appUtils.getSStorageInfo("user_id"),
//			"fund_account":appUtils.getSStorageInfo("curr_loginid"),
//			"password":appUtils.getSStorageInfo("password"),
//			"bankcode": bank_code ,//旧的银行编号
//			"op_account": appUtils.getSStorageInfo("curr_loginid")
			
				"user_id":appUtils.getSStorageInfo("userInfo",true).user_id,
				"fund_account":appUtils.getSStorageInfo("zqAccount",true),
//				"zj_password":appUtils.getSStorageInfo("password"),
//				"fund_account":appUtils.getSStorageInfo("fund_account_bank"),
				"bankcode": bank_code ,//旧的银行编号
				"op_account": appUtils.getSStorageInfo("fund_account_bank")
//				,"money_type": "1"
		};
		mobileService.delectBankCard(bindBank, function(data){
//		mobileService.changeBankCard(bindBank, function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			
			console.log("yangrui_____:"+JSON.stringify(data));
			if(error_no == "0") {
//				var results = data.results[0];
//				if(results.checkFlag == "0"){
//					appUtils.setSStorageInfo("checkTradeRecored",results.checkTradeRecored);//交易记录条件是否满足
//					appUtils.setSStorageInfo("checkCurrBusiness",results.checkCurrBusiness);//在途业务条件是否满足
//					appUtils.setSStorageInfo("checkBalance",results.checkBalance);//余额条件是否满足
////					appUtils.setSStorageInfo("checkInterestBase",results.checkInterestBase);//利息基数条件是否满足
//					appUtils.pageInit("threeDepository/bankCardDetails", "threeDepository/bankCardChangeInfo",{});
//				}else{
//				    layerUtils.iAlert("银行卡解绑成功！",-1,function(){
//				    	appUtils.clearSStorage("fund_account_bank");//当此银行卡解绑后，清除此银行卡对应的资金账号
//				    	appUtils.pageInit("threeDepository/bankCardDetails", "threeDepository/showBankCard",{});
//				    });
////					appUtils.pageInit("threeDepository/bankCardDetails", "threeDepository/showBankCard",{});
//				}
				  layerUtils.iAlert("您的申请已成功,请等候审核！",-1,function(){
				    	appUtils.clearSStorage("fund_account_bank");//当此银行卡解绑后，清除此银行卡对应的资金账号
				    	appUtils.pageInit("threeDepository/bankCardDetails", "threeDepository/showBankCard",{});
				   });
			} else {
				$(_pageId + " #delect").hide();
				layerUtils.iAlert(error_info,-1);
				return false;
			}
		});
	}
	/*******************************2017-4-5日修改************************************/
	
    //销毁
    function destroy() {
        $(_pageId + " ul.sele_card").html("");   //清空银行卡列表
        mobileService.destroy();
    }

    var bankCardDetails = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };
    module.exports = bankCardDetails;
});
