define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var validata = require("validatorUtil");
	var layerUtils = require("layerUtils");
	var _pageId ="#threeDepository_bankList ";
	var mobileService = require("mobileService");
	var external = require("external");
	var fund_account = null;
	var zzispwd = 1;  // zzispwd	密码方式，1 需要，0 不需要
	var iscard = 1;  // iscard	是否需要银行卡，1 需要，0 不需要

	function init() {
		// 获取银行卡列表
		getBankList();
	}

	function bindPageEvent() {
		//绑定返回
		appUtils.bindEvent($(_pageId+" .icon_back"), function(){
			appUtils.pageBack();
		});
	}
	
	function destroy() {

	}
	
	// 获取银行卡列表
	function getBankList(){
		var getAllBankList = {
			"business_code"	: "ygt",
			"bindtype" : "",
			"ispwd" : ""
		};
		mobileService.getAllBankList(getAllBankList, function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			if(error_no == "0"){
				var results = data.results;
				var length = results.length;
				var itemElement = "";
				for(var i=0; i<length; i++) {
					var item = results[i],
						bank_id = item.id, // 主键id
					 	bankcode = item.bankcode,  // 银行代码
					 	bankname = item.bankname,  // 银行名称
					 	zzbindtype = item.zzbindtype, // 绑定方式：1 一步式 2 预指定 3 同时支持两种方式
					 	sortnum  = item.sortnum,  // 排序
					 	bank_small_url = item.bank_small_url, // 图标地址
					 	brief = item.brief, // 银行简介
					 	agree_no = item.agree_no, // 协议编号
					 	zzispwd = item.zzispwd, // 是否需要密码
					 	iscard = item.iscard; // 是否需要卡号
					 	console.log("yangrui _____ 图片："+bank_small_url);
					itemElement += "<li bankname = '"+bankname+"' id='"+bankcode+"' zzispwd = '"+zzispwd+"' iscard = '"+iscard+"' zzbindtype = '"+zzbindtype+"' agree_no = '"+agree_no+"'><img src="+"images/"+bank_small_url+">"+bankname+"</li>";
					$(_pageId+" .bank_list").html(itemElement);
				}
				// 绑定选择银行事件
				appUtils.bindEvent($(_pageId+" .bank_list li"), function(e){
					var banckName = $(this).attr("bankname"),
					  	id = $(this).attr("id"),
					  	zzbindtype = $(this).attr("zzbindtype");  // 绑定方式
					var bank_small_url = $(this).find("img").attr("src");
					var agree_no = $(this).attr("agree_no");
					   	zzispwd = $(this).attr("zzispwd");  // 密码方式
					    iscard = $(this).attr("iscard");  // 是否需要银行卡号
					var bankInfo = {
						"bankcode":id,
						"bankname":banckName,
						"zzbindtype":zzbindtype,
						"bank_small_url":bank_small_url,
						"zzispwd":zzispwd,
						"iscard":iscard,
						"agree_no":agree_no
					};
					console.log("yangrui _____"+appUtils.getSStorageInfo("_prePageCode"));
//					if(appUtils.getSStorageInfo("returnPage") == "threeDepository/thirdDepository"){
					//如果主卡与辅卡选择同一个银行卡则会提示不能做选择
					var zhuKa_Info=appUtils.getSStorageInfo("zhuKa_Info");
					var zhuKa_flag =true;
					if(zhuKa_Info){
						for( var i=0;i<zhuKa_Info.length;i++){
							if(banckName==zhuKa_Info[i]){
								zhuKa_flag =false;
							}
						}
					}
					
					if(appUtils.getSStorageInfo("_prePageCode") == "threeDepository/thirdDepository"){
						if(!zhuKa_flag){
							layerUtils.iAlert("当同银行为主卡时，辅卡不能选择相同的银行！",-1,function (){
								appUtils.pageInit("threeDepository/bankList", "threeDepository/showBankCard",{});
							});
							return;
						}
						appUtils.pageInit("threeDepository/bankList", "threeDepository/thirdDepository", bankInfo);
						e.stopPropagation();
					}else{
						if(appUtils.getSStorageInfo("bank_name") == banckName){
//							layerUtils.iAlert("同一银行卡修改，请前往存管银行修改卡号即可！",-1,function (){
//								appUtils.pageInit("threeDepository/bankList", "threeDepository/showBankCard",{});
//							});
							layerUtils.iAlert("同一银行卡修改，请前往存管银行修改卡号即可！",-1);
						}else{
							appUtils.pageInit("threeDepository/bankList", "threeDepository/bankCardChange", bankInfo);
							e.stopPropagation();	
						}
					}
				});
			} else {
				layerUtils.iAlert(errorInfo,-1,function (){
					appUtils.pageInit("threeDepository/bankCardChange", "threeDepository/showBankCard",{});
				});
				return false;
			}
		},{timeOutFunc: handleTimeout});
	}
	
	/* 处理请求超时 */
	function handleTimeout() {
		layerUtils.iConfirm("请求超时，是否重新加载？",function(){
			getBankList();  // 再次获取银行列表
		});
	}
	
	var bankList = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = bankList;
});
