﻿define(function (require, exports, module) {
    /* 私有业务模块的全局变量 begin */
    var appUtils = require("appUtils"),
        layerUtils = require("layerUtils"),
        gconfig = require("gconfig"),
        global = gconfig.global,
        validata = require("validatorUtil");
    mobileService = require("mobileService"),
        _pageId = "#threeDepository_showBankCard ";
    var bank_totel_num = "";

    var cardType = "";   //stock 证券银行卡  marginTrading 两融银行卡

    function init() {
        //查询银行卡信息
        queryBanks();
    }

    /* 查询银行卡信息 */
    function queryBanks() {
        var getBankList = {
            "user_id":appUtils.getSStorageInfo("userInfo",true).user_id,
            "zj_account":appUtils.getSStorageInfo("zqAccount",true),
            "flag_status":"0"
        };
        mobileService.getBankList(getBankList, function(data){
            var error_no = data.error_no;
            var error_info = data.errorInfo;
            console.log("yangrui_____ 银行卡："+JSON.stringify(data));
            if(error_no == "0"){
                if(validata.isNotEmpty(data.results)){
                    bank_totel_num = data.results.length;
                    showCardInfo(data.results);   //显示银行卡信息
                }
            } else {
//				layerUtils.iAlert(errorInfo,-1);
                layerUtils.iAlert(error_info,-1);
                return false;
            }
        });
    }
    /* 查询失败银行卡信息 */
    function getBankListShiBai() {
        var getBankLists = {
            "user_id":appUtils.getSStorageInfo("userInfo",true).user_id,
            "zj_account":appUtils.getSStorageInfo("zqAccount",true),
            "flag_status":"0"
        };
        mobileService.getBankListShiBai(getBankLists, function(data){
            var error_no = data.error_no;
            var error_info = data.errorInfo;
            console.log("yangrui_____ 银行卡："+JSON.stringify(data));
            if(error_no == "0"){
                showCardInfos(data.results);   //显示银行卡信息
            } else {
                layerUtils.iAlert(error_info,-1);
                return false;
            }
        });
    }

    //匹配银行卡信息
    function matchBank(bankResult){
        //根据不同银行显示不同图标   bankbg:保存银行卡背景路径   bankpng:保存银行卡图标路径
        var bankParam = {
            //证券银行
            "GSYH": {
                "bank_name": "工商银行",
                "bankbg": "images/bankbg/gsyh.png",
                "bankpng": "images/bank/bk02.png"
            },
            "JSYH": {
                "bank_name": "建设银行",
                "bankbg": "images/bankbg/jsyh.png",
                "bankpng": "images/bank/bk04.png"
            },
            "ZGYH": {
                "bank_name": "中国银行",
                "bankbg": "images/bankbg/zgyh.png",
                "bankpng": "images/bank/bk01.png"
            },
            "ZSYH": {
                "bank_name": "招商银行",
                "bankbg": "images/bankbg/zsyh.png",
                "bankpng": "images/bank/bk05.png"
            },
            "SFZH": {
                "bank_name": "平安银行",
                "bankbg": "images/bankbg/payh.png",
                "bankpng": "images/bank/bk08.png"
            },
            "PFYH": {
                "bank_name": "浦发银行",
                "bankbg": "images/bankbg/pfyh.png",
                "bankpng": "images/bank/bk13.png"
            },
            "MSYH": {
                "bank_name": "民生银行",
                "bankbg": "images/bankbg/msyh.png",
                "bankpng": "images/bank/bk16.png"
            },
            "YCYH": {
                "bank_name": "邮储银行",
                "bankbg": "images/bankbg/ycyh.png",
                "bankpng": "images/bank/bk18.png"
            },
            "NYYH": {
                "bank_name": "农业银行",
                "bankbg": "images/bankbg/nyyh.png",
                "bankpng": "images/bank/bk03.png"
            },
            "JTYH": {
                "bank_name": "交通银行",
                "bankbg": "images/bankbg/jtyh.png",
                "bankpng": "images/bank/bk06.png"
            },
            "XYYH": {
                "bank_name": "兴业银行",
                "bankbg": "images/bankbg/xyyh.png",
                "bankpng": "images/bank/bk10.png"
            },
            "GDYH": {
                "bank_name": "光大银行",
                "bankbg": "images/bankbg/gdyh.png",
                "bankpng": "images/bank/bk07.png"
            },
            "ZXYH": {
                "bank_name": "中信银行",
                "bankbg": "images/bankbg/zxyh.png",
                "bankpng": "images/bank/bk15.png"
            }
        }

        if(bankParam[bankResult]){
            return bankParam[bankResult];
        }
    }
    /* 显示银行卡信息 */
    function showCardInfo(results) {
        if (results.length > 0) {
            var htmls = "";
            var htmlz = "";
            var htmlf = "";
            for (var i = 0, len = results.length; i < len; i++) {
            	var zhuKa_Info=new Array();
                var bankNo = results[i].bank_code,//银行编号
                    bankbg = "",       // 背景图
                    bankpng = results[i].bank_small_url,      // 银行图标
                    bank_name = results[i].bank_name,   // 银行名称
                    fund_account_bank =results[i].fund_account,//银行卡对应的资金账号
                    contract_status =results[i].contract_status;//银行卡预指定状态

                // if (bankParam[bankNo]) {   //上述列表中存在该银行matchBank

                if (matchBank(bankNo)) {
                    var rs_bankInfo=matchBank(bankNo);
                    bankbg = rs_bankInfo.bankbg;
                    /******************2017-4-8*************************/
                    bankpng = rs_bankInfo.bankpng;
                    bank_name = rs_bankInfo.bank_name;
                }
                else {                      //上述列表中不存在该银行
                    bankbg = "";
                }
                //1主卡,0辅卡
//                if(results[i].is_main_card == "1") {
//                    is_main_card = "主卡";
//                    htmlz += "<li bankpng=\""+bankpng+"\" bank_name=\""+results[i].bank_name+"\" fetch_balance=\""+results[i].fetch_balance+"\" account=\""+results[i].account+"\" bank_code=\""+results[i].bank_code+"\"><div class='card_bg'><img src=" + bankbg + "></div>" +
//                        "<div class='card_cont'><dl class='card_info'><dt><img src=" + bankpng + "></dt><dd><h5>" + results[i].bank_name + "</h5><p>"+is_main_card+"</p></dd></dl>" +
//                        "<div class='card_number'>" + set_bank_no(results[i].account) + "</div></div></li>";
//                } else if(results[i].is_main_card == "0"){
//                    is_main_card = "辅卡";
//                    htmlf += "<li bankpng=\""+bankpng+"\" bank_name=\""+results[i].bank_name+"\" fetch_balance=\""+results[i].fetch_balance+"\" account=\""+results[i].account+"\" bank_code=\""+results[i].bank_code+"\"><div class='card_bg'><img src=" + bankbg + "></div>" +
//                        "<div class='card_cont'><dl class='card_info'><dt><img src=" + bankpng + "></dt><dd><h5>" + results[i].bank_name + "</h5><p>"+is_main_card+"</p></dd></dl>" +
//                        "<div class='card_number'>" + set_bank_no(results[i].account) + "</div></div></li>";
//                }

                if(contract_status == "1"){
                    contract_status ="该卡已做预指定,请前往银行继续办理";
                    results[i].account="";
                }else{
                    contract_status="";
                }
                if(results[i].is_main_card == "1") {
                    is_main_card = "主卡";
                    zhuKa_Info[i] =bank_name;
                    htmlz += "<li bankpng=\""+bankpng+"\" bank_name=\""+bank_name+"\" fetch_balance=\""+results[i].fetch_balance+"\" fund_account_bank=\""+fund_account_bank+"\" account=\""+results[i].account+"\" bank_code=\""+results[i].bank_code+"\"><div class='card_bg'><img src=" + bankbg + "></div>" +
                        "<div class='card_cont'><dl class='card_info'><dt><img src=" + bankpng + "></dt><dd><h5>" + bank_name + "</h5><p>"+is_main_card+"</p><p>"+contract_status+"</p></dd></dl>" +
                        "<div class='card_number'>" + set_bank_no(results[i].account) + "</div></div></li>";//<p>预指定卡</p>
                } else if(results[i].is_main_card == "0"){
                    is_main_card = "辅卡";
                    htmlf += "<li bankpng=\""+bankpng+"\" bank_name=\""+bank_name+"\" fetch_balance=\""+results[i].fetch_balance+"\" fund_account_bank=\""+fund_account_bank+"\" account=\""+results[i].account+"\" bank_code=\""+results[i].bank_code+"\"><div class='card_bg'><img src=" + bankbg + "></div>" +
                        "<div class='card_cont'><dl class='card_info'><dt><img src=" + bankpng + "></dt><dd><h5>" + bank_name + "</h5><p>"+is_main_card+"</p><p>"+contract_status+"</p></dd></dl>" +
                        "<div class='card_number'>" + set_bank_no(results[i].account) + "</div></div></li>";//<p>预指定卡</p>
                }

                htmls =  htmlz + htmlf;
            }
            appUtils.setSStorageInfo("zhuKa_Info", zhuKa_Info);
            $(_pageId + " #seleCardOk").html(htmls);
        }
        else {   // 未开通三方存管银行
            $(_pageId + " .add_cardbtn a").text("您还未开通三方存管银行");
            $(_pageId + " .card_tips p").text("温馨提示：开通三方存管银行卡需要去银行办理");
        }
        getBankListShiBai();
    }
    /* 显示银行卡信息 */
//    function showCardInfos(results) {
//        var htmlShibai="";
//        var old_Bank_Code="";
//        var shiBai_BankInfo;
//        if(validata.isNotEmpty(results)){
//            bank_totel_num = bank_totel_num + results.length;
//            for (var i = 0, len = results.length; i < len; i++) {
//                console.log("yangrui "+results[i].id);
//                old_bankcode = results[i].old_bankcode;
//                if(matchBank(old_bankcode)){
//                	shiBai_BankInfo = matchBank(old_bankcode);
//                }
//    			htmlShibai += '<li business_id=\"'+results[i].id+'\" bank_name=\"'+results[i].old_bankname+'\" bank_code=\"'+results[i].old_bankcode+'\" account=\"'+results[i].old_banknum+'\" fund_account_bank=\"'+results[i].fund_account+'\" bankpng=\"'+shiBai_BankInfo.bankpng+'\"><div class="card_bg"><img src="'+shiBai_BankInfo.bankbg+'"></div><div class="card_cont"><span class="card_spel"></span><dl class="card_info"><dt><img src="'+shiBai_BankInfo.bankpng+'"></dt><dd><h5>'+results[i].bank_name+'</h5><p>储蓄卡</p></dd></dl><div class="card_number">'+set_bank_no(results[i].old_banknum)+'</div></div><div class="card_shadow"><span>更换过程中，新银行卡绑定失败<br>点击重绑</span></div></li>';
////                htmlShibai += '<li business_id=\"'+results[i].id+'\" bank_name=\"'+results[i].old_bankname+'\" fund_account_bank=\"'+results[i].fund_account+'\" bank_code=\"'+results[i].old_bankcode+'\" account=\"'+results[i].old_banknum+'\" bankpng=\"'+results[i].bank_small_url+'\"><div class="card_bg"><img src="'+img_url+'"></div><div class="card_cont"><span class="card_spel"></span><dl class="card_info"><dt><img src="'+results[i].bank_small_url+'"></dt><dd><h5>'+results[i].bank_name+'</h5><p>储蓄卡</p></dd></dl><div class="card_number">'+set_bank_no(results[i].old_banknum)+'</div></div><div class="card_shadow"><span>更换过程中，新银行卡绑定失败<br>点击重绑</span></div></li>';
//            }
//            if(bank_totel_num<5){
//                $(_pageId+" .add_cardbtn").show();
//            }
//            $(_pageId + " #seleCardNo").html(htmlShibai);
//        }
//    }
    


//显示失败银行卡
    function showCardInfos(results) {
        var htmlShibai="";
        var old_Bank_Code="";
        var shiBai_BankInfo;
        if(validata.isNotEmpty(results)){
            bank_totel_num = bank_totel_num + results.length;
            for (var i = 0, len = results.length; i < len; i++) {
                console.log("yangrui "+results[i].id);
                old_bankcode = results[i].old_bankcode;
                if(matchBank(old_bankcode)){
                    shiBai_BankInfo = matchBank(old_bankcode);
                }
                var old_num = results[i].old_banknum;
                for(var j=0,len =results.length;j<len;j++){
                    if(j!=i) {
                        if (old_num == results[j].old_banknum) {
                            break;
                        }else{
                            htmlShibai += '<li business_id=\"'+results[i].id+'\" bank_name=\"'+results[i].old_bankname+'\" bank_code=\"'+results[i].old_bankcode+'\" account=\"'+results[i].old_banknum+'\" fund_account_bank=\"'+results[i].fund_account+'\" bankpng=\"'+shiBai_BankInfo.bankpng+'\"><div class="card_bg"><img src="'+shiBai_BankInfo.bankbg+'"></div><div class="card_cont"><span class="card_spel"></span><dl class="card_info"><dt><img src="'+shiBai_BankInfo.bankpng+'"></dt><dd><h5>'+results[i].bank_name+'</h5><p>储蓄卡</p></dd></dl><div class="card_number">'+set_bank_no(results[i].old_banknum)+'</div></div><div class="card_shadow"><span>更换过程中，新银行卡绑定失败<br>点击重绑</span></div></li>';
                        }
                    }else{
                            htmlShibai += '<li business_id=\"'+results[i].id+'\" bank_name=\"'+results[i].old_bankname+'\" bank_code=\"'+results[i].old_bankcode+'\" account=\"'+results[i].old_banknum+'\" fund_account_bank=\"'+results[i].fund_account+'\" bankpng=\"'+shiBai_BankInfo.bankpng+'\"><div class="card_bg"><img src="'+shiBai_BankInfo.bankbg+'"></div><div class="card_cont"><span class="card_spel"></span><dl class="card_info"><dt><img src="'+shiBai_BankInfo.bankpng+'"></dt><dd><h5>'+results[i].bank_name+'</h5><p>储蓄卡</p></dd></dl><div class="card_number">'+set_bank_no(results[i].old_banknum)+'</div></div><div class="card_shadow"><span>更换过程中，新银行卡绑定失败<br>点击重绑</span></div></li>';
                    }
                }
                // htmlShibai += '<li business_id=\"'+results[i].id+'\" bank_name=\"'+results[i].old_bankname+'\" bank_code=\"'+results[i].old_bankcode+'\" account=\"'+results[i].old_banknum+'\" fund_account_bank=\"'+results[i].fund_account+'\" bankpng=\"'+shiBai_BankInfo.bankpng+'\"><div class="card_bg"><img src="'+shiBai_BankInfo.bankbg+'"></div><div class="card_cont"><span class="card_spel"></span><dl class="card_info"><dt><img src="'+shiBai_BankInfo.bankpng+'"></dt><dd><h5>'+results[i].bank_name+'</h5><p>储蓄卡</p></dd></dl><div class="card_number">'+set_bank_no(results[i].old_banknum)+'</div></div><div class="card_shadow"><span>更换过程中，新银行卡绑定失败<br>点击重绑</span></div></li>';
//                    htmlShibai += '<li business_id=\"'+results[i].id+'\" bank_name=\"'+results[i].old_bankname+'\" fund_account_bank=\"'+results[i].fund_account+'\" bank_code=\"'+results[i].old_bankcode+'\" account=\"'+results[i].old_banknum+'\" bankpng=\"'+results[i].bank_small_url+'\"><div class="card_bg"><img src="'+img_url+'"></div><div class="card_cont"><span class="card_spel"></span><dl class="card_info"><dt><img src="'+results[i].bank_small_url+'"></dt><dd><h5>'+results[i].bank_name+'</h5><p>储蓄卡</p></dd></dl><div class="card_number">'+set_bank_no(results[i].old_banknum)+'</div></div><div class="card_shadow"><span>更换过程中，新银行卡绑定失败<br>点击重绑</span></div></li>';
            }
            // if(bank_totel_num<5){
            //     $(_pageId+" .add_cardbtn").show();
            // }
            $(_pageId + " #seleCardNo").html(htmlShibai);
        }
    }
    
    

    function bindPageEvent() {
        //返回
        appUtils.bindEvent($(_pageId + " .icon_back"), function () {
//          appUtils.pageBack();
//			if(appUtils.getSStorageInfo("bankManages") == "bankManages"){
//				appUtils.pageInit("threeDepository/showBankCard", "threeDepository/bankManages");
//			}else{
//				appUtils.pageInit("threeDepository/showBankCard", "account/addIndex");
//			}
            appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");

        });
        //点击查看详细信息
        appUtils.preBindEvent($(_pageId + " #seleCardOk"),"li", function(){
            billsDetails={
                "account":$(this).attr("account"),           //银行卡号
                "bankpng":$(this).attr("bankpng"),           //图片
                "bank_name":$(this).attr("bank_name"),           //名称
                "bank_code":$(this).attr("bank_code")           //bank_code
            };
            console.log($(this).attr("bank_name"));
            appUtils.setSStorageInfo("account", $(this).attr("account"));
            appUtils.setSStorageInfo("bankpng", $(this).attr("bankpng"));
            appUtils.setSStorageInfo("bank_name", $(this).attr("bank_name"));
            appUtils.setSStorageInfo("bank_code", $(this).attr("bank_code"));
            appUtils.setSStorageInfo("fund_account_bank", $(this).attr("fund_account_bank"));//保存银行卡对应的资金账号
            appUtils.setSStorageInfo("fetch_balance", $(this).attr("fetch_balance"));
            appUtils.pageInit("threeDepository/showBankCard", "threeDepository/bankCardDetails",billsDetails);
        });

        appUtils.preBindEvent($(_pageId + " #seleCardNo"),"li", function(){
            appUtils.setSStorageInfo("business_id", $(this).attr("business_id"));
            appUtils.setSStorageInfo("account", $(this).attr("account"));
            appUtils.setSStorageInfo("bankpng", $(this).attr("bankpng"));
            appUtils.setSStorageInfo("bank_name", $(this).attr("bank_name"));
            appUtils.setSStorageInfo("bank_code", $(this).attr("bank_code"));//对应的银行卡编号
            appUtils.setSStorageInfo("fund_account_bank", $(this).attr("fund_account_bank"));//保存银行卡对应的资金账号
            appUtils.pageInit("threeDepository/showBankCard", "threeDepository/bankList");
        });


//        //三方存管事件2017-4-5日修改 
        appUtils.bindEvent($(_pageId + " .add_cardbtn"), function () {
            /*********查询中登时间************/
    		var checkTimeParam = {};
    			mobileService.checkTraeTime(checkTimeParam,function(data){
    				var error_no = data.error_no,
    					error_info = data.error_info;
    				if(error_no == "0"){
    					var results = data.results[0];
    					var isTraeTime = results.isTradeTime;    
    					if(isTraeTime == "1"){
        		            appUtils.pageInit("threeDepository/showBankCard", "threeDepository/thirdDepository");    						
    					}else{
    						 layerUtils.iAlert("非中登时间，无法进行相关的操作",-1);
    						  return false;
    					}
    				}else{
    					  layerUtils.iAlert(error_info,-1);
    		              return false;
    				}
    			});
        })
    }

    //销毁
    function destroy() {
        $(_pageId + " ul.sele_card").html("");   //清空银行卡列表
        mobileService.destroy();
    }

    //将银行卡号格式化为**** **** **** 1111
    function set_bank_no(bank_account) {
        var star = "";
        for (var i = 0; i < bank_account.length - 4; i++) {
            star += "*";
            if ((i + 1) % 4 == 0) {
                star += " ";
            }
        }
        bank_account = star + " " + bank_account.substring(bank_account.length - 4, bank_account.length);

        return bank_account;
    }

    var showBankCard = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };
    module.exports = showBankCard;
});
