define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var layerUtils = require("layerUtils");
	var _pageId ="#threeDepository_takeMoney ";
	var mobileService = require("mobileService");
	var fund_account = null;

	function init() {
//		fund_account = appUtils.getSStorageInfo("curr_loginid");
		fund_account = appUtils.getSStorageInfo("zqAccount",true);
		appUtils.clearSStorage("fetch_balance");
		var account = appUtils.getSStorageInfo("account");
		$(_pageId+" .bank_select").html("");
		$(_pageId+" #banks").html(set_bank_no(account));
		$(_pageId+" #showTime p").html(showTime);
        showBankcard();
	}
	
	
	function showTime(){
		var d =new Date();
        mouth=''+ (d.getMonth() + 1);
        day =''+(d.getDate()+1);
        year=''+d.getFullYear();
        if(mouth.length < 2 ) mouth = '0' + mouth;
        if(day.length < 2) day ='0' +day;
        return '预计到账时间：' + [year ,mouth ,day].join('-') + '  18:00';
	}
	
	
	function bindPageEvent() {
		//绑定返回
		appUtils.bindEvent($(_pageId+" .icon_back"), function(){
			appUtils.pageBack();
		});
		
		//绑定提现 按钮
		appUtils.bindEvent($(_pageId+" .ce_btn"), function(){
			appUtils.pageInit("threeDepository/takeMoney", "threeDepository/bankPassword", {});
		});
	}
	
	 //将银行卡号格式化为**** **** **** 1111
    function set_bank_no(bank_account) {
        var star = "";
        for (var i = 0; i < bank_account.length - 4; i++) {
            star += "*";
            if ((i + 1) % 4 == 0) {
                star += " ";
            }
        }
        bank_account = star + " " + bank_account.substring(bank_account.length - 4, bank_account.length);

        return bank_account;
    }
	
	function showBankcard(){
		var getBankList = {
//			"user_id":appUtils.getSStorageInfo("user_id"),
//			"zj_account":appUtils.getSStorageInfo("curr_loginid"),appUtils.getSStorageInfo("zqAccount",true)
			"user_id":appUtils.getSStorageInfo("userInfo",true).user_id,
			"zj_account":appUtils.getSStorageInfo("zqAccount",true),
			"flag_status":"0"
		};
		mobileService.getBankList(getBankList, function(data){
			var error_no = data.error_no;
			var error_info = data.errorInfo;
			var results = data.results;
			console.log("yangrui_____ 银行卡："+JSON.stringify(data));
			if(error_no == "0"){
				for (var i = 0, len = results.length; i < len; i++) {
					if(appUtils.getSStorageInfo("bank_code") == results[i].bank_code){
						appUtils.setSStorageInfo("fetch_balance", results[i].fetch_balance);
						$(_pageId+" #money").val(results[i].fetch_balance);
					}
				}
			} else {
				layerUtils.iAlert(errorInfo,-1);
				return false;
			}
		});
	}
	function destroy(){
		   mobileService.destroy();
	}
	
	// 初始化页面
	function initPage() {
		$(_pageId+" .bank_select").html("");
		var _prePageCode = appUtils.getSStorageInfo("_prePageCode");
		console.log("yangrui_________"+ _prePageCode);
		var selectBankCard = "";
		if(appUtils.getSStorageInfo("icon_back") != "icon_back"){
			if(_prePageCode == "asset/selectBanks" ) {
				var selectBank_url = appUtils.getSStorageInfo("selectBank_url");
				selectBankCard = appUtils.getSStorageInfo("selectBankCard");
				console.log("yangrui__________"+selectBankCard);
				$(_pageId+" .bank_select").html("<img src="+selectBank_url+">"+selectBankCard+"");
			}else{
				if(selectBankCard){
					$(_pageId+" .bank_select").html("<img src="+selectBank_url+">"+selectBankCard+"");
				}
			}
		}else{
			appUtils.clearSStorage("icon_back");
			$(_pageId+" .bank_select").html("");
		}
		
	}
	
	var takeMoney = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = takeMoney;
});
