/**
 * 手机前端service层调用接口
 **/
define('mall/service/mobileService.js',function(require,exports,module){
    var appUtils = require("appUtils");
    var gconfig = require("gconfig");
    var global = gconfig.global;
    var service = require("service");
    var external = require("external");
    var serviceSingleton = new service.Service();

    /********************************公共代码部分********************************/
    function commonInvoke(paraMap, callback, ctrlParam, reqParamVo){
        reqParamVo.setReqParam(paraMap);
        ctrlParam = ctrlParam?ctrlParam:{};
        reqParamVo.setIsLastReq(ctrlParam.isLastReq);
        reqParamVo.setIsAsync(ctrlParam.isAsync);
        /**
		 * 等待层自定义函数
		 * @param flag		  		  		  		  
		 */
		var loadingFunc = function(flag){
			// 获取当前头部的内容
			if(flag&&(!(fifterLoadingFunction(paraMap['funcNo'])))){
				//写开启等待层
				if($(".header_inner .title .loading").length<1) {
					$(".header_inner .title").prepend("<div class='loading'></div>");
					$(".header_inner .title").append("<div class='loading' style='border: 0px solid #FFF;'></div>");
				}
			} else {
				//写关闭等待层
				$(".header_inner .title .loading").remove();
			}
		};
		reqParamVo.setLoadingFunc(loadingFunc);
		// reqParamVo.setIsShowWait(false);;
        reqParamVo.setIsShowWait(ctrlParam.isShowWait);
        var errorFunc = function(errorTips,xhr, textStatus, errorMessage){
        	$("body .dropload-down").remove();//先删除样式
        	$(".header_inner .title .loading").remove();
//			if(gconfig.platform == 1 || gconfig.platform == 2){
//					var param = {
//						funcNo : "50106",
//						content : errorTips
//					};
//					external.callMessage(param);
//			} 

		};
		reqParamVo.setErrorFunc(errorFunc);

		var timeOutFunc = function(xhr, textStatus, errorMessage){
			console.log("timeOutFunc...");
			$(".header_inner .title .loading").remove();
		};
		
    	reqParamVo.setTimeOutFunc(timeOutFunc);
        reqParamVo.setIsShowOverLay(ctrlParam.isShowOverLay);
        reqParamVo.setTipsWords(ctrlParam.tipsWords);
        reqParamVo.setDataType(ctrlParam.dataType);
        reqParamVo.setIsGlobal(ctrlParam.isGlobal);
        reqParamVo.setProtocol(ctrlParam.protocol);
        if(fifterFunction(paraMap['funcNo'])){
            reqParamVo.setUrl(reqParamVo.getUrl());
        }else{
            reqParamVo.setUrl(reqParamVo.getUrl()+'/'+paraMap['funcNo']);
        }                                                                                      
        serviceSingleton.invoke(reqParamVo, callback);
    }
    function destroy(){
        serviceSingleton.destroy();
    }
    var mobileService = { //对应的接口方法需要在这里暴露出来
        "getInstance": getInstance, //为了避免以前调用getInstance方法报错
        "destroy": destroy
    };
    
    //过滤不需要头部菊花的功能号
    function fifterLoadingFunction(fucNo){
    	 var dataArray=["1104309","1002001","1000240","1000320"];
    	 for(var i=0;i<dataArray.length;i++){
    		 if(dataArray[i]==fucNo){
    			 return true;
    		 }
    	 }
    	 return false; 
    }
    
    function fifterFunction(fucNo){
   	 var dataArray=["1004492","1004487","1004491","1004196","1000","1004","1004493","1004488","502005","1004101"];
   	 for(var i=0;i<dataArray.length;i++){
   		 if(dataArray[i]==fucNo){
   			 return true;
   		 }
   	 }
   	 return false; 
   }
    
    
    /* 获取用户手机号码 */
    function getError(){
        alert("出错了");
    }
    //统一的错误提示
    function getPhone(){
        var phone = "";
        if(global.phone){
            phone = global.phone;
        }else{
            // 获取壳子里的手机号
            var key = {key : "phone"};
//			phone = require("external").callFunction("55601",JSON.stringify(key));
            global.phone = phone;
        }
        return phone;
    }

    function getInstance(){
        return mobileService;
    }
    module.exports = mobileService;

    /********************************应用接口开始********************************/
    /**
     * 接口方法模板
     * @param param json格式入参
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
     * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
     */
    mobileService.submitPhoto = function(param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "501503";
        paraMap["user_id"] = param.user_id;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }

    /**
     * @author 柴登峰
     * 功能 : 查询视频
     * 参数: callBackFunc:回调函数
     */
    mobileService.queryVideo = function(param,callBackFunc,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1002016";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.cfserverPath);
        reqParamVo.setReqParam(paraMap);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap,callBackFunc,ctrlParam,reqParamVo);
    };


    /**
     * @author 曾颖
     * 功能 : 登陆积分商城用户
     * 参数: callBackFunc:回调函数
     */
    mobileService.loginJfsc = function(param,callBackFunc,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1104300";
        paraMap["mobile_phone"] = param.mobile_phone;
        paraMap["mall_user_id"] = param.user_id;
        paraMap["khh"] = param.khh;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFunc,ctrlParam,reqParamVo);
    };

    /**
     * @author 曾颖
     * 功能 : 查询榜单数据
     * 参数: callBackFunc:回调函数
     */
    mobileService.queryBd = function(param,callBackFunc,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1002029";
        paraMap["type"] = param.type;
        paraMap["page"] = param.page;
        paraMap["pageSize"] = param.pageSize;
        paraMap["userId"] = param.user_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFunc,ctrlParam,reqParamVo);
    };

    /**
     * @author 柴登峰
     * 功能 ：榜单查询
     * 参数: callBackFunc:回调函数
     */
    mobileService.queryList = function(param,callBackFunc,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1002013";
        paraMap["type"] = param.type;
        paraMap["page"] = param.page;
        paraMap["pageSize"] = param.pageSize;
        paraMap["name"] = param.name;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFunc,ctrlParam,reqParamVo);
    };

    /**
     * @author 柴登峰
     * 功能 ：查询资讯产品的价格
     * 参数: callBackFunc:回调函数
     */
    mobileService.queryInfoPrice = function(param,callBackFunc,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1002010";
        paraMap["inst_id"] = param.inst_id;
        paraMap["sub_cycle"] = param.sub_cycle;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFunc,ctrlParam,reqParamVo);
    };

    /**
     * @author 柴登峰
     * 功能 ：发送手机验证码(授权)
     * 参数: callBackFunc:回调函数
     */
    mobileService.sendMoblie = function(param,callBackFunc,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1002008";
        paraMap["mobile_no"] = param.mobile_no;
        paraMap["source"] = param.source;
        paraMap["code"] = param.code;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFunc,ctrlParam,reqParamVo);
    };

    /**
     * @author 柴登峰
     * 功能 ：验证手机验证码(授权)
     * 参数: callBackFunc:回调函数
     */
    mobileService.verificationCode = function(param,callBackFunc,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1002009";
        paraMap["mobile_no"] = param.mobile_no;
        paraMap["mobile_code"] = param.mobile_code;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFunc,ctrlParam,reqParamVo);
    };

    /**
     * @author 柴登峰
     * 功能 ：意见反馈
     * 参数: callBackFunc:回调函数
     */
    mobileService.postFeedDack = function(param,callBackFunc,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1002007";
        paraMap["type"] = param.type;
        paraMap["userId"] = param.userId;
        paraMap["userName"] = param.userName;
        paraMap["contactWay"] = param.contactWay;
        paraMap["content"] = param.content;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFunc,ctrlParam,reqParamVo);
    };

    /**
     * @author 柴登峰
     * 功能：获取图片地址
     * 参数: callBackFunc:回调函数
     */
    mobileService.getImgUrl = function(param,callBackFunc,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1002006";
        paraMap["groupNo"] = param.groupNo;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.cfserverPath);
        reqParamVo.setReqParam(paraMap);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap,callBackFunc,ctrlParam,reqParamVo);
    };

    /**
     * @author 柴登峰
     * 功能：取数据字典
     * 参数: callBackFunc:回调函数
     */
    mobileService.getData = function(param,callBackFunc,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1001960";
        paraMap["enumName"] = param.enumName;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.cfserverPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFunc,ctrlParam,reqParamVo);
    };

    /**
     * @author 柴登峰
     * 功能：获取网络课堂地址
     */
    mobileService.getNetclassUrl = function(param,callBackFunc,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1001959";
        paraMap["enumName"] = param.enumName;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.cfserverPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFunc,ctrlParam,reqParamVo);
    };

    /**
     * @author 赵焕丛
     * 功能：获取股票信息
     * 参数: callBackFunc:回调函数
     */
    mobileService.getStockInfo = function(param,callBackFunc,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1002004";
        paraMap["trd_code"] = param.trd_code;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.cfserverPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFunc,ctrlParam,reqParamVo);
    };


    /**
     * @author 焕丛
     * 功能：获取catalog_id
     * 参数: callBackFunc:回调函数
     */
    mobileService.getTitle = function(param,callBackFunc,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1002003";
        paraMap["parent_id"] = param.parent_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.cfserverPath);
        reqParamVo.setReqParam(paraMap);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap,callBackFunc,ctrlParam,reqParamVo);
    };

    /**
     * @author 焕丛
     * 功能：获取文章内容
     * 参数: callBackFunc:回调函数
     */
    mobileService.getContent = function(param,callBackF,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1002002";
        paraMap["article_id"] = param.article_id;
        var reqParamVo =new service.ReqParamVo();
        reqParamVo.setUrl(global.cfserverPath);
        reqParamVo.setReqParam(paraMap);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap,callBackF,ctrlParam,reqParamVo);
    };

    /**
     * funcNo:1002040
     * 功能:设置密码
     * @param phoneNo 手机号码
     * @param vailCode 验证码
     * @param new_trade_pwd 新交易密码
     * @param new_trade_pwd1 确认密码
     */
    mobileService.resettingPwd = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1002040";
        paraMap["mobile_no"] = param.phoneNo;
        paraMap["mobile_code"] = param.vailCode;
        paraMap["new_trade_pwd"] = param.new_trade_pwd;
        paraMap["new_trade_pwd1"] = param.new_trade_pwd1;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
    /**
     * @author BrotherZeng
     * 功能：查询积分商城推荐产品
     * 参数: callBackFunc:回调函数
     */
    mobileService.queryJsscTs = function(param,callBackF,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1104100";
        var reqParamVo =new service.ReqParamVo();
        reqParamVo.setUrl(global.jsscServicePath);
        reqParamVo.setReqParam(paraMap);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap,callBackF,ctrlParam,reqParamVo);
    };

    /**
     * @author 焕丛
     * 功能：获取标题
     * 入参: catalog_id,page,pageSize
     * 回参:title,article_id,create_date
     */
    mobileService.testTitle = function(param,callBackFun,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1002001";
        paraMap["page"] = param.page;
        paraMap["pageSize"] = param.pageSize;
        paraMap["catalog_id"] = param.catalog_id;
        paraMap["flag"] = param.flag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.cfserverPath);
        reqParamVo.setReqParam(paraMap);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap,callBackFun,ctrlParam,reqParamVo);
    };

    /**
     * @author BrotherZeng
     * 功能：获取答题大赛题目
     * 入参: catalog_id,page,pageSize
     * 回参:title,article_id,create_date
     */
    mobileService.queryTimu = function(param,callBackFun,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1002017";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFun,ctrlParam,reqParamVo);
    };

    /**
     * @author BrotherZeng
     * 功能：获取答题大赛题目选项
     * 入参: catalog_id,page,pageSize
     * 回参:title,article_id,create_date
     */
    mobileService.queryTimuXx = function(param,callBackFun,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1002018";
        paraMap["id"] = param.id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFun,ctrlParam,reqParamVo);
    };

    /**
     * @author BrotherZeng
     * 功能：保存答题结果
     * 入参:login_id 登陆id（目前只支持保证金账号）,asset_mobile手机号，sub_id 问卷编号，que_ans 答题串 isflag 是否全对
     * 回参:
     */
    mobileService.insterAndwer = function(param,callBackFun,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1002019";
        paraMap["login_id"] = param.login_id;
        paraMap["asset_mobile"] = param.asset_mobile;
        paraMap["sub_id"] = param.sub_id;
        paraMap["que_ans"] = param.que_ans;
        paraMap["isflag"] = param.isflag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFun,ctrlParam,reqParamVo);
    };

    /**
     * @author BrotherZeng
     * 功能：查询答题结果
     * 入参: catalog_id,page,pageSize
     * 回参:title,article_id,create_date
     */
    mobileService.queryAndwer = function(param,callBackFun,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1002020";
        paraMap["login_id"] = param.login_id;
        //paraMap["answer_date"] = param.answer_date;
        //paraMap["isflag"] = param.isflag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFun,ctrlParam,reqParamVo);
    };

    /**
     * @author BrotherZeng
     * 功能：查询答题参数资格
     * 入参: khh
     * 回参:
     */
    mobileService.queryDtzg = function(param,callBackFun,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1002023";
        paraMap["khh"] = param.login_id;
        //paraMap["answer_date"] = param.answer_date;
        //paraMap["isflag"] = param.isflag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFun,ctrlParam,reqParamVo);
    };
    /******************shipkaishi*************************/
    /**
     * @author BrotherZeng
     */
    mobileService.findCyDr = function(param,callBackFun,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1005001";
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;
        //paraMap["answer_date"] = param.answer_date;
        //paraMap["isflag"] = param.isflag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFun,ctrlParam,reqParamVo);
    };

    /**
     * @author BrotherZeng
     * 功能：查询抽奖资格及抽奖
     * 入参: khh 客户号
     * 回参: 返回资格及抽奖结果
     */
    mobileService.queryCjjg = function(param,callBackFun,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1002024";
        paraMap["khh"] = param.khh;
        //paraMap["answer_date"] = param.answer_date;
        //paraMap["isflag"] = param.isflag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFun,ctrlParam,reqParamVo);
    };

    /**
     * @author BrotherZeng
     * 功能：查询抽奖结果
     * 入参: catalog_id,page,pageSize
     * 回参:title,article_id,create_date
     */
    mobileService.queryCrmCjjg = function(param,callBackFun,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1002021";
        paraMap["drawdate"] = param.answer_date;
        //paraMap["isflag"] = param.isflag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFun,ctrlParam,reqParamVo);
    };

    /**
     * @author BrotherZeng
     * 功能：查询抽奖结果
     * 入参: catalog_id,page,pageSize
     * 回参:title,article_id,create_date
     */
    mobileService.queryCrmCjQc = function(param,callBackFun,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1002022";
        //paraMap["answer_date"] = param.answer_date;
        //paraMap["isflag"] = param.isflag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFun,ctrlParam,reqParamVo);
    };

    /**
     * 更新版本(1002000)
     * @Author:柴登峰
     * @param versionsn  版本号
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.getVersion = function (param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1002000";
        paraMap["versionsn"] = param.versionsn;
        paraMap["chancel"] = param.chancel;
        paraMap["appName"] = param.appName;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    // 1002000
    /**
     * 查找订单失败原因(1000235)
     * @Author:柴登峰
     * @param order_id 订单ID
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.orderErrMsg = function (param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1000235";
        paraMap["order_id"] = param.order_id;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 检验身份证号码是否开过户(1000201)
     * @Author:柴登峰
     * @param validate_condition 身份证号码
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.checkCardId = function (param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1000201";
        paraMap["validate_condition"] = param.cardId;
        paraMap["validate_type"] = "9";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 检查身份证号是否已被使用
     * @param user_name 用户编号
     * @param id_kind 证件类型
     * @param id_no 证件号码
     * @param mobile_phone 手机号码
     * @param type 检查类型
     * @memberOf {TypeName}
     */
    mobileService.checkCard = function (param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1001704";
        paraMap["user_name"] = param.user_name;
        paraMap["id_kind"] = param.id_kind;
        paraMap["id_no"] = param.id_no;
        paraMap["mobile_phone"] = param.mobile_phone;
        paraMap["type"] = param.type;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 绑定资金账号(1001120)
     * @Author:柴登峰
     * @param fund_account 资金账号
     * @param user_id 用户ID
     * @param trade_pwd 支付密码
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.bindAccount = function (param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1001120";
        paraMap["fund_account"] = param.fund_account;
        paraMap["user_id"] = param.user_id;
        paraMap["trade_pwd"] = param.trade_pwd;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 商城账号用户登入(1000207)
     * @Author:黎志勇
     * @param login_value 登录值
     * @param type类型：1 账户名,2 手机,3 邮箱,7 身份证
     * @param login_pwd 登录密码
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.userLogin = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000207";
        paraMap["login_value"] = param.login_value;
        paraMap["type"] = "1";
        paraMap["login_pwd"] = param.login_pwd;
        paraMap["ticket"] = param.vf_code;
        /*paraMap["phone"] = getPhone();
         paraMap["entrust_way"] = "SJWT";*/

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 商城账号用户注册(1000204)
     * @param mobile_phone 手机号码
     * @param login_pwd 登录密码
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.register = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000204";
        paraMap["mobile_phone"] = param.mobile;
        paraMap["login_pwd"] = param.login_pwd;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 查询用户银行信息
     * @param user_id 用户ID
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     * @memberOf {TypeName}
     */
    mobileService.bankInfo = function (param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1000377";
        paraMap["user_id"] = param.user_id;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 查询支持的银行信息
     * @param {Object} param
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     * @memberOf {TypeName}
     */
    mobileService.supportBank = function (param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1001700";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 提交银行信息
     * @param user_id 用户ID
     * @param bank_no 银行编号
     * @param bank_pwd 银行密码
     * @param bank_card 银行卡号
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     * @memberOf {TypeName}
     */
    mobileService.updateBankInfo = function (param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1000376";
        paraMap["user_id"] = param.user_id;
        paraMap["bank_no"] = param.bank_no;
        paraMap["bank_pwd"] = param.bank_pwd;
        paraMap["bank_card"] = param.bank_card;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 获取协议内容
     * @param agreement_id
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     * @memberOf {TypeName}
     */
    mobileService.getContractContent = function (param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1000307";
        paraMap["agreement_id"] = param.agreement_id;
        paraMap["agreement_type"] = param.agreement_type;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /*
     * 查询绑定银行错误信息
     */
    mobileService.queryBankErr = function (param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1000379";
        paraMap["user_id"] = param.user_id;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /*
     * 校验手机号码是否已存在
     */
    //	MobileService.prototype.checkMobileIsExists= function(param,callback,isLastReq,isShowWait,timeOutFunc){
    //		var paraMap = {};
    //		paraMap["funcNo"] = "1001704";
    //		paraMap["user_name"] = param.user_name;
    //		paraMap["id_no"] = param.id_no;
    //		paraMap["mobile_phone"] = param.mobile;
    //		paraMap["type"] = param.type;
    //		var reqParamVo = $.getReqParamVo();
    //		reqParamVo.setUrl(global.serverPath);
    //		reqParamVo.setReqParam(paraMap);
    //		reqParamVo.setIsLastReq((typeof(isLastReq)=="undefined"||isLastReq==="")?true:isLastReq);
    //		reqParamVo.setIsShowWait((typeof(isShowWait)=="undefined"||isShowWait==="")?true:isShowWait);
    //		reqParamVo.setTimeOutFunc(timeOutFunc);
    //		this.service.invoke(reqParamVo,callback);
    //	};
    
    /*
     * 开通手机登陆
     */
    mobileService.connectMobile = function (param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1000361";
        paraMap["user_id"] = param.user_id;
        paraMap["login_pwd"] = param.login_pwd;
        paraMap["mobile_phone"] = param.mobile_phone;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /*
     * 手机验证码正确与否
     */
    mobileService.checkMobileCode = function (param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "120027";
        paraMap["verify_code"] = param.verify_code;
        //		paraMap["resp_url"] = param.resp_url;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /*
     * 向手机发送验证码
     */
    mobileService.sendMobileCode = function (param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "120026";
        paraMap["client_name"] = param.client_name;
        paraMap["id_no"] = param.id_no;
        paraMap["bank_no"] = param.bank_no;
        paraMap["bank_account"] = param.bank_account;
        paraMap["mobile_phone"] = param.mobile_phone;
        paraMap["req_trace_num"] = param.req_trace_num;
        //		paraMap["resp_url"] = param.resp_url;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 忘记密码，重置密码
     * @param funcNo服务号 1000378
     * @param login_pwd	       char	Y	新登录密码
     * @param login_pwd_second char	Y	确认新登录密码
     * @param mobile_phone     char	Y	手机号码
     * @param callback 回调函数
     *
     */
    mobileService.resetPassword = function (param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1000378";
        paraMap["login_pwd"] = param.new1_pwd;
        paraMap["login_pwd_second"] = param.new2_pwd;
        paraMap["mobile_phone"] = param.mobile_phone;
        paraMap["card_no"] = param.card_no;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 资金账号用户登入(1000207)
     * @param mobile_phone 手机号码
     * @param trade_pwd 交易密码
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.fundLogin = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = param.funcNo;
        if(param.loginType=="1"){
            paraMap["fund_account"] = param.fund_account;
            paraMap["trade_pwd"] = param.trade_pwd;
        }else{
            paraMap["login_account"] = param.login_account;
            paraMap["trade_pwd"] = param.trade_pwd;
        }
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 功能: 保证金登陆
     * 入参: callBackFunc: 回调函数
     *       login_id：资金账号
     *       login_pwd：交易密码
     */

    mobileService.savaZjzhInfo = function(param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1001103";
        paraMap["fidKhh"] = param.fidKhh;
        paraMap["fidKhqz"] = param.fidKhqz;
        paraMap["fidYyb"] = param.fidYyb;
        paraMap["fidXtcsbz"] = param.fidXtcsbz;
        paraMap["fidKhxm"] = param.fidKhxm;
        paraMap["fidKhzt"] = param.fidKhzt;
        paraMap["fidTzzfl"] = param.fidTzzfl;
        paraMap["fund_account"] = param.fund_account;
        paraMap["trade_pwd"] = param.trade_pwd;

        paraMap["FID_ZJBH"] = param.FID_ZJBH;
        paraMap["FID_MOBILE"] = param.FID_MOBILE;
        paraMap["FID_EMAIL"] = param.FID_EMAIL;
        paraMap["FID_FAX"] = param.FID_FAX;
        paraMap["FID_DH"] = param.FID_DH;
        paraMap["FID_DZ"] = param.FID_DZ;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);

    };

    /**
     * 确认支付密码(1001103)
     * @param fund_account 资金账号
     * @param login_pwd 支付密码
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.payPwd = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001103";
        if(validata.isEmpty(param.fund_account)){
            paraMap["mobile_phone"] = param.mobile_phone;
        }else{
            paraMap["fund_account"] = param.fund_account;
        }
        paraMap["login_pwd"] = param.pay_pwd;
        paraMap["login_type"] = param.login_type;
        /*paraMap["phone"] = getPhone();
         paraMap["entrust_way"] = "SJWT";*/

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 查询图片信息(1000311)
     * @Author:黎志勇
     * @param img_class   图片所属分类
     * @param img_type 图片类别
     * @param img_vesting 图片归属
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.showPic = function showPic(param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000311";
        paraMap["img_class"] = param.img_class;
        paraMap["img_type"] = param.img_type;
        paraMap["img_vesting"] = param.img_vesting;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:曾颖
     * 功能 : 查询IM账户未读消息条数
     */
    mobileService.queryImMessageNum = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1003140";
        paraMap["username"] = param.username;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.imServicePath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 查询用户存管信息(1001111)
     * @Author:黎志勇
     * @param fund_account   资金账号
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.accountBank = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001111";
        paraMap["fund_account"] = param.fund_account;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:黎志勇
     * 用户关注查询(1000260)
     * @param user_id 用户编号
     * @param product_sub_type产品类别
     * @param page 当前页数
     * @param numPerPage 单页显示记录数
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.queryMyAttention = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000260";
        paraMap["user_id"] = param.user_id;
        paraMap["product_sub_type"] = param.product_sub_type;
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:黎志勇
     * 用户订单查询(1000238)
     * @param user_id 用户编号
     * @param product_sub_type产品类别
     * @param page 当前页数
     * @param numPerPage 单页显示记录数
     * @param flag	1保证金2手机账户
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.queryMyOrder = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000238";
        paraMap["user_id"] = param.user_id;
        //paraMap["product_sub_type"] = param.product_sub_type;
        paraMap["page"] = param.page;
        paraMap["product_id"] = param.product_id;
        paraMap["numPerPage"] = param.numPerPage;
        paraMap["end_time"] = param.end_time;
        paraMap["start_time"] = param.start_time;
        paraMap["order_state"] = param.order_state;
        paraMap["flag"] = param.flag;
        paraMap["phone"] = getPhone();
        //paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:曾颖
     * 资讯订单查询(1100004)
     * @param user_id 用户编号
     * @param product_sub_type产品类别
     * @param page 当前页数
     * @param numPerPage 单页显示记录数
     * @param flag	1保证金2手机账户
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.queryMyZxOrder = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1100004";
        paraMap["user_id"] = param.user_id;
        //paraMap["product_sub_type"] = param.product_sub_type;
        paraMap["page"] = param.page;
        paraMap["product_id"] = param.product_id;
        paraMap["numPerPage"] = param.numPerPage;
        paraMap["end_time"] = param.end_time;
        paraMap["start_time"] = param.start_time;
        paraMap["order_state"] = param.order_state;
        paraMap["flag"] = param.flag;
        paraMap["phone"] = getPhone();
        //paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    // color: #FFFFFF; background: #e84c3d;
    /**
     * @Author:黎志勇
     * 用户订单查询(1000239)
     * @param user_id 用户编号
     * @param product_sub_type产品类别
     * @param page 当前页数
     * @param numPerPage 单页显示记录数
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.queryUserOrder = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000239";
        paraMap["user_id"] = param.user_id;
        paraMap["product_sub_type"] = param.product_sub_type;
        paraMap["order_state"] = param.order_state;
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:黎志勇
     * 查询份额(1001609)
     * @param fund_account 资金账号
     * @param product_sub_type 产品类别
     * @param page 当前页数
     * @param numPerPage 单页显示记录数
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.queryShare = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001609";
        paraMap["product_sub_type"] = param.product_sub_type;
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;
        paraMap["fina_belongs"] = param.fina_belongs;
        paraMap["source"] = param.source;
        paraMap["client_id"] = param.client_no;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:黎志勇
     * 订单撤销(1000250)
     * @param old_order_id 原订单编号
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.undoOrder = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000250";
        paraMap["userId"] = param.user_id;
        paraMap["old_order_id"] = param.old_order_id;
        paraMap["trade_pwd"] = param.trade_pwd;
        paraMap["loginFlag"] = param.loginFlag;
        paraMap["app_timestamp"] = param.app_timestamp;
        paraMap["apply_no"] = param.apply_no;
        paraMap["trd_date"] = param.trd_date;
        paraMap["trans_acct"] = param.trans_acct;
        paraMap["fund_account"] = param.fund_account;
        paraMap["khh"] = param.khh;
        paraMap["productType"] = param.productType;
        paraMap["phone"] = getPhone();
        paraMap["yuYzt"] = param.yuYzt;//预约状态

        paraMap["entrust_way"] = "SJWT";


        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:黎志勇
     * 取消订单(1000251)
     * @param old_order_id 原订单编号
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.cancelOrder = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000251";
        paraMap["old_order_id"] = param.old_order_id;
        paraMap["product_sub_type"] = param.product_sub_type;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:黎志勇
     * 赎回(1000252)
     * @param product_id 产品编号
     * @param user_id 用户编号
     * @param order_quantity 赎回份额
     * @param order_channel 订单渠道
     * @param money_type 币种
     * @param trade_pwd 交易密码
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.redemption = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000252";
        paraMap["product_id"] = param.product_id;
        paraMap["user_id"] = param.user_id;
        paraMap["order_quantity"] = param.order_quantity;
        paraMap["order_channel"] = param.order_channel;
        paraMap["money_type"] = param.money_type;
        paraMap["trade_pwd"] = param.trade_pwd;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:黎志勇
     * 查询资金(1001113)
     * @param fund_account   资金账号
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.queryAsset = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001113";
        paraMap["fund_account"] = param.fund_account;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 获取用户风险评测试题(1000303)
     * @Author:黎志勇
     * @param risk_type_id 试题类号
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.queryEval = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000303";
        paraMap["risk_type_id"] = param.risk_type_id;
        paraMap["cpjg"] = param.cpjg;
        paraMap["khh"] = param.khh;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);

        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 提交风险测评(1000304)
     * @Author:黎志勇
     * @param user_id 用户编号
     * @param risk_type_id 试题类号
     * @param content 提交数据
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.submitTestAnswerPhone = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000304";
        paraMap["user_id"] = param.user_id;
        paraMap["risk_type_id"] = param.risk_type_id;
        paraMap["content"] = param.content;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);

    };

    /**
     * 查询银证转账流水(1001108)
     * @Author:黎志勇
     * @param fund_account   资金账号
     * @param page 当前页数
     * @param numPerPage 单页显示记录数
     * @param trans_type 转账类别
     * 	@param bank_no   银行编号
     * @param money_type 币种
     * @param start_date 开始日期
     * @param end_date 结束日期
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.changeQuery = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001108";
        paraMap["fund_account"] = param.fund_account;
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;
        paraMap["trans_type"] = param.trans_type;
        paraMap["bank_no"] = param.bank_no;
        paraMap["money_type"] = param.money_type;
        paraMap["start_date"] = param.start_date;
        paraMap["end_date"] = param.end_date;
        paraMap["min_money"] = param.min_money;
        paraMap["max_money"] = param.max_money;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 银证转账(1001107)
     * @Author:黎志勇
     * @param fund_account   资金账号
     * @param trans_type 转账类别
     * 	@param bank_no   银行编号
     * @param fund_amount 转账金额
     * @param fund_pwd 资金密码
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.bankTrans = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001107";
        paraMap["fund_account"] = param.fund_account;
        paraMap["trans_type"] = param.trans_type;
        paraMap["bank_no"] = param.bank_no;
        paraMap["fund_amount"] = param.fund_amount;
        paraMap["fund_pwd"] = param.fund_pwd;
        paraMap["trade_pwd"] = param.trade_pwd;
        paraMap["bank_pwd"] = param.bank_pwd;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 查询用户状态(1001720)
     * @param mobile_phone 手机号码
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.queryUserState = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001720";
        paraMap["mobile_phone"] = param.mobile_phone;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 修改用户信息(1000205)
     * @Author:黎志勇
     * @param user_id   用户编号
     * @param user_name 用户姓名
     * @param nick_name 用户昵称
     * @param gender   性别
     * @param birthday  生日
     * @param identity_type 证件类型
     * @param identity_num  证件号码
     * @param mobile_phone 手机号码
     * @param user_mail 邮箱
     * @param telephone   固定电话
     * @param address  通信地址
     * @param post_code 邮编
     * @param qq_microblog   QQ微博
     * @param qq_microblog_uid QQ微博UID
     * @param sina_microblog 新浪微博账号
     * @param sina_microblog_uid   新浪微博UID
     * @param qq  QQ号
     * @param qq_uid QQ_UID
     * @param wechat  微信
     * @param weixin_uid 微信UID
     * @param update_time  信息更新时间
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.submitInfo = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000205";
        paraMap["user_id"] = param.user_id ;
        paraMap["user_name"] = param.user_name ;
        paraMap["identity_num"] = param.identity_num ;
        paraMap["birthday"] = param.birthday ;
        paraMap["gender"] = param.gender ;
        paraMap["mobile_phone"] = param.mobile_phone ;
        paraMap["user_mail"] = param.user_mail ;
        paraMap["address"] = param.address ;
        paraMap["post_code"] = param.post_code ;
        paraMap["telephone"] = param.telephone ;
        paraMap["qq_microblog"] = param.qq_microblog ;
        paraMap["sina_microblog"] = param.sina_microblog ;
        paraMap["qq"] = param.qq ;
        paraMap["wechat"] = param.wechat;
        paraMap["id_iss_agcy"] = param.id_iss_agcy;
        paraMap["id_beg_date"] = param.id_beg_date ;
        paraMap["id_exp_date"] = param.id_exp_date ;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:龙沅文
     * @Title 查询理财产品信息(分页列表)(1000240)
     * @param product_shelf :上架状态
     * @param page：当前页数
     * @param numPerPage ：单页显示记录数
     * @param recommend_type :推荐属性   1首页推荐 2购买推荐
     * @param fina_type：理财分类  0低风险  1高风险  2理财类  3混合型  4现金类
     * @param is_hot_sale 是否按照热销排序  1排序 0或其他不排
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.findFinan = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="1000240";
        paraMap["product_shelf"]=param.product_shelf;
        paraMap["page"]=param.page;
        paraMap["numPerPage"]=param.numPerPage;
        paraMap["recommend_type"]=param.recommend_type;
        paraMap["fina_belongs"]=param.fina_belongs;
        paraMap["is_hot_sale"]=param.is_hot_sale;
        paraMap["productType"]=param.productType;
        paraMap["userid"]=param.userid;
        paraMap["istj"]=param.istj;
        paraMap["risk_lvl_khh"]=param.risk_lvl_khh;
        paraMap["product_recommend"]=param.product_recommend;
        paraMap["phone"] = getPhone();

        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:龙沅文
     * @Title 查询基金产品信息(分页列表)(1000241)
     * @param product_shelf :上架状态
     * @param comp_ecommend_type:组合产品推荐  1 进取型组合推荐 2 保守型组合推荐 3 稳定型组合推荐
     * @param recommend_type :推荐属性   1首页推荐 2购买推荐
     * @param fund_type：基金类型
     * @param register_corp_code :基金公司
     * @param risk_level: 风险等级
     * @param amount : 基金规模
     * @param create_time : 成立时间  时间格式yyyy-MM-dd
     * @param page：当前页数
     * @param numPerPage ：单页显示记录数
     * @param is_hot_sale 是否按照热销排序  1排序 0或其他不排
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.findFund = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="1000241";
        paraMap["comp_ecommend_type"]=param.comp_ecommend_type;
        paraMap["recommend_type"]=param.recommend_type;
        paraMap["fund_type"]=param.fund_type;
        paraMap["register_corp_code"]=param.register_corp_code;
        paraMap["risk_level"]=param.risk_level;
        paraMap["amount"]=param.amount;
        paraMap["create_time"]=param.create_time;
        paraMap["is_nav"]=param.is_nav;
        paraMap["performance_sort"]=param.performance_sort;
        paraMap["product_performance"]=param.product_performance;
        paraMap["page"]=param.page;
        paraMap["numPerPage"]=param.numPerPage;
        paraMap["is_hot_sale"]=param.is_hot_sale;
        paraMap["product_shelf"]=param.product_shelf;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);

    };

    /**
     * @Author:龙沅文
     * @Title 查询咨询产品信息(分页列表)(1000242)
     * @param product_shelf :上架状态
     * @param page：当前页数
     * @param numPerPage ：单页显示记录数
     * @param recommend_type :推荐属性   1首页推荐 2购买推荐
     * @param brand_id :品牌编号
     * @param is_hot_sale 是否按照热销排序  1排序 0或其他不排
     * @param info_type 资讯产品类别
     * @param father_product_id 父产品编号
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.findInfo = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="1000242";
        paraMap["product_shelf"]=param.product_shelf;
        paraMap["page"]=param.page;
        paraMap["numPerPage"]=param.numPerPage;
        paraMap["recommend_type"]=param.recommend_type;
        paraMap["brand_id"]=param.brand_id;
        paraMap["is_hot_sale"]=param.is_hot_sale;
        paraMap["info_type"]=param.info_type;
        paraMap["father_product_id"]=param.father_product_id;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);

    };

    /**
     * @Author:黎志勇
     * @Title 查询服务产品信息(分页列表)(1000249)
     * @param product_shelf :上架状态
     * @param page：当前页数
     * @param numPerPage ：单页显示记录数
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.findService = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="1000249";
        paraMap["product_shelf"]=param.product_shelf;
        paraMap["page"]=param.page;
        paraMap["numPerPage"]=param.numPerPage;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:龙沅文
     * @Title 查询服务产品信息(分页列表)(1000249)
     * @param product_shelf :上架状态
     * @param page：当前页数
     * @param numPerPage ：单页显示记录数
     * @param recommend_type :推荐属性   1首页推荐 2购买推荐
     * @param is_hot_sale 是否按照热销排序  1排序 0或其他不排
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.findServ = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="1000249";
        paraMap["product_shelf"]=param.product_shelf;
        paraMap["page"]=param.page;
        paraMap["numPerPage"]=param.numPerPage;
        paraMap["recommend_type"]=param.recommend_type;
        paraMap["is_hot_sale"]=param.is_hot_sale;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);

    };


    /**
     * @Author:龙沅文
     * @Title 查询理财产品信息(单个)(1000243)
     * @param product_id 产品编号
     * @param product_sub_type

     */
    mobileService.finanInfo = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="1000243";
        paraMap["product_id"]=param.product_id;
        paraMap["product_code"]=param.product_code;
        paraMap["productType"]=param.productType;
        paraMap["userid"]=param.userid;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";
        // paraMap["product_sub_type"]=param.product_sub_type;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);

    };


    /**
     * @Author:龙沅文
     * @Title 查询基金产品信息(单个)(1000244)
     * @param product_id 产品编号
     */
    mobileService.fundInfo = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="1000244";
        paraMap["product_id"]=param.product_id;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:龙沅文
     * @Title 查询服务产品信息(单个)(1000248)
     * @param product_id   产品编号
     * @param rules_id     规则编号
     * @param service_type 服务方式
     */
    mobileService.findServInfo = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="1000248";
        paraMap["product_id"]=param.product_id;
        paraMap["rules_id"]=param.rules_id;
        paraMap["service_type"]=param.service_type;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);

    };

    /**
     * @Author:龙沅文
     * @Title 查询咨询产品信息(单个)(1000245)
     * @param product_id   产品编号
     * @param rules_id     规则编号
     * @param service_type 服务方式
     */
    mobileService.findInfoDetail = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="1000245";
        paraMap["product_id"]=param.product_id;
        paraMap["rules_id"]=param.rules_id;
        paraMap["service_type"]=param.service_type;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);

    };


    /**
     * @Author:龙沅文
     * @Title 查询价格规则和服务方式(1000247)(非金融产品)
     * @param product_id   产品编号
     */
    mobileService.findPriceRule = function (param,callback,ctrlParam)
    {

        var paraMap ={};
        paraMap["funcNo"]="1000247";
        paraMap["product_id"]=param.product_id;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);


    };

    /**
     * @Author:龙沅文
     * @Title 新增关注(1000261)
     * @param user_id   用户编号
     * @param product_sub_type 产品类别
     * @param product_id  产品编号
     */
    mobileService.addAttention = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000261";
        paraMap["user_id"] = param.user_id;
        paraMap["product_sub_type"] = param.product_sub_type;
        paraMap["product_id"] = param.product_id;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };


    /**
     * @Author:龙沅文
     * @Title 取消关注(1000262)
     * @param user_id  用户编号
     * @param product_id 产品编号
     */
    mobileService.cancerAttention = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000262";
        paraMap["user_id"] = param.user_id;
        paraMap["product_id"] = param.product_id;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);

    };



    /**
     * @Author:龙沅文
     * @Title 用户关注查询(1000260)
     * @param user_id  用户编号
     * @param product_sub_type  产品类别
     * @param page  当前页
     * @param numPerPage  每页显示多少条数据
     *
     */
    mobileService.userAttentionFind = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000260";
        paraMap["user_id"] = param.user_id;
        paraMap["product_sub_type"] = param.product_sub_type;
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);

    };


    /**
     * @Author:龙沅文
     * @Title 理财购买(1000232)
     * @param product_id 产品编号
     * @param user_id  用户编号
     * @param tot_price 购买金额
     */
    mobileService.finanPuy = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000232";
        paraMap["source"] = param.source;
        paraMap["client_no"] = param.client_no;
        paraMap["trade_pwd"] = param.trade_pwd;
        paraMap["product_id"] = param.product_id;
        paraMap["user_id"] = param.user_id;
        paraMap["tot_price"] = param.tot_price;
        paraMap["order_channel"] = param.order_channel;
        paraMap["fund_account"] = param.fund_account;
        paraMap["productType"] = param.productType;
        paraMap["sub_type"] = param.sub_type;
        paraMap["sub_cycle"] = param.sub_cycle;
        paraMap["agmt_sno"] = param.agmt_sno;//协议编码
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";
        paraMap["middleman_phone"] = param.fwryphone;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);

    };

    /**
     * @Author:龙沅文
     * @Title 基金购买(1000231)
     * @param product_id 产品编号
     * @param user_id  用户编号
     * @param tot_price 购买金额
     */
    mobileService.fundPuy = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000231";
        paraMap["product_id"] = param.product_id;
        paraMap["user_id"] = param.user_id;
        paraMap["tot_price"] = param.tot_price;
        paraMap["order_channel"] = param.order_channel;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);

    };

    /**
     * @Author:龙沅文
     * @Title 支付订单 (1000234)(金融产品)
     * @param order_id 订单编号
     * @param fund_account  资金账号
     * @param trade_pwd   交易密码
     */
    mobileService.orderPayment = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000234";
        paraMap["order_id"] = param.order_id;
        paraMap["user_id"] = param.user_id;
        paraMap["pay_account"] = param.pay_account;
        paraMap["trade_pwd"] = param.trade_pwd;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:龙沅文
     * @Title 支付订单 (1000257)(非金融产品)  注:后期可能后修改
     * @param order_id 		订单编号
     * @param fund_account  资金账号
     * @param trade_pwd     交易密码
     */
    mobileService.orderOtherPayment = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000257";
        paraMap["order_id"] = param.order_id;
        paraMap["fund_account"] = param.fund_account;
        paraMap["trade_pwd"] = param.trade_pwd;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);

    };

    /**
     * @Author:龙沅文:
     * @Title 金融订单查询(1000236)
     * @param user_id:用户id
     * @param order_id：订单id
     * @param product_sub_type：产品类别
     */
    mobileService.getFinancialOrder = function (param,callback,ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1000236";
        paraMap["user_id"] =param.user_id;
        paraMap["order_id"] =param. order_id;
        paraMap["product_sub_type"] = param.product_sub_type; //可不传
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:龙沅文:
     * @Title 非金融订单查询(1000237)
     * @param user_id:用户id
     * @param order_id：订单id
     * @param product_sub_type：产品类别
     */
    mobileService.getOtherOrder = function (param,callback,ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1000237";
        paraMap["user_id"] =param.user_id;
        paraMap["order_id"] =param. order_id;
        paraMap["product_sub_type"] = param.product_sub_type;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:龙沅文
     * @Title 查询签署(1000305)(金融产品，非金融产品)   注：两类产品调同一接口，只需根据传入的产品编号（product_id）查询出不同的协议
     * @param product_id 产品编号
     * @param user_id  用户编号
     */
    mobileService.findAgreement = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000305";
        paraMap["product_id"] = param.product_id;
        paraMap["user_id"] = param.user_id;
        paraMap["otcfundType"] = param.otcfundType;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);

    };

    /**
     * @Author:龙沅文
     * @Title 签署协议(1000306)(金融产品)
     * @param product_id 产品编号
     * @param agreement_id  协议编号
     * @param user_id  用户编号
     */
    mobileService.signAgreement = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000306";
        paraMap["product_id"] = param.product_id;
        paraMap["user_id"] = param.user_id;
        paraMap["agreement_id"] = param.agreement_id;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);

    };



    /**
     * @Author:龙沅文
     * @Title 判断协议是否签署(1000305)(非金融产品)
     * @param product_id 产品编号
     * @param user_id  用户编号
     */
    mobileService.isAgreement = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000305";
        paraMap["product_id"] = param.product_id;
        paraMap["user_id"] = param.user_id;
        paraMap["otcfundType"] = param.otcfundType;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);

    };

    /**
     * @Author:龙沅文
     * @Title 签署协议(1000306)(非金融产品)
     * @param product_id 产品编号
     * @param product_sub_type  产品类型
     * @param user_id  用户编号
     */
    mobileService.signOtherAgreement = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000306";

        paraMap["product_id"] = param.product_id;
        paraMap["user_id"] = param.user_id;
        paraMap["product_sub_type"] = param.product_sub_type;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);

    };


    /**
     * 查询理财产品信息(1000240)分页
     * @param product_shelf   上架状态
     * @param page 当前页数
     * @param numPerPage 单页显示记录数
     * @param recommend_type   推荐属性(1首页推荐 2购买推荐 )
     * @param fina_type  理财分类( 0低风险  1高风险  2理财类  3混合型  4现金类 )
     * @param is_hot_sale 是否按照热销排序 1排序 0或其他不排（按照销量排序  热销推荐）
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.getFinancialProduct = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000240";
        paraMap["product_shelf"] = param.product_shelf;
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;
        paraMap["recommend_type"] = param.recommend_type;
        paraMap["fina_type"] = param.fina_type;
        paraMap["is_hot_sale"] = param.is_hot_sale;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };


    /**
     * @Author:龙沅文
     * @Title 银行理财产品判断是否是首次购买(1001900)
     * @param fund_account 资金账号
     * @param product_id 产品编号
     * @param product_code 产品代码
     * @param product_sub_type 产品类型
     */
    mobileService.isFirstBuyFinan = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001900";
        paraMap["product_id"] = param.product_id;
        paraMap["fund_account"] = param.fund_account;
        paraMap["product_code"]=param.product_code;
        paraMap["product_sub_type"]=param.product_sub_type;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };


    /**
     * @Author:龙沅文
     * @Title 基金产品判断是否是首次购买(1001611)
     * @param fund_account 资金账号
     * @param product_id 产品编号

     */
    mobileService.isFirstBuyFund = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001611";
        paraMap["product_id"] = param.product_id;
        paraMap["fund_account"] = param.fund_account;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };


    /**
     * @Author:龙沅文
     * @Title 加密(1000000)
     */
    mobileService.getRSAKey = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000000";
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:lzy
     * @param :user_id 用户编号
     * @param :product_id 产品编号
     * @Title 获取是否需要密码
     */
    mobileService.queryPwd = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001112";
        paraMap["bank_no"] = param.bank_no;
        paraMap["trans_type"] = param.trans_type;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:龙沅文
     * @Title 检测是否可以提交订单 (金融产品)
     * @param :user_id 用户编号
     * @param :product_id 产品编号
     *
     */
    mobileService.checkOrderSubmit = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000258";
        paraMap["user_id"] = param.user_id;
        paraMap["product_id"] = param.product_id;
        paraMap["trade_pwd"] = param.trade_pwd;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";
        paraMap["risk_type_id"] = param.risk_type_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:龙沅文
     * @Title :检测是否可以提交订单 (非金融产品)(1000259)
     * @param :user_id 用户编号
     * @param :product_id 产品编号
     *
     */
    mobileService.checkOthorOrderSubmit = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000259";
        paraMap["user_id"] = param.user_id;
        paraMap["product_id"] = param.product_id;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };


    /**
     * @Author:龙沅文
     * @Title 服务产品购买 (1000230)
     * @param :user_id 用户编号
     * @param :product_id	产品编号
     * @param :rules_id	价格规则编号
     * @param :service_type	服务规则
     * @param :order_quantity  数量
     *
     */
    mobileService.servBuy = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000230";
        paraMap["user_id"] = param.user_id;
        paraMap["product_id"] = param.product_id;
        paraMap["rules_id"] = param.rules_id;
        paraMap["service_type"] = param.service_type;
        paraMap["order_quantity"] = param.order_quantity;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:龙沅文
     * @Title 咨询产品购买 (1000233)
     * @param :user_id 用户编号
     * @param :product_id	产品编号
     * @param :rules_id	价格规则编号
     * @param :service_type	服务规则
     * @param :order_quantity  数量
     *
     */
    mobileService.infoBuy = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000233";
        paraMap["user_id"] = param.user_id;
        paraMap["product_id"] = param.product_id;
        paraMap["rules_id"] = param.rules_id;
        paraMap["service_type"] = param.service_type;
        paraMap["order_quantity"] = param.order_quantity;
        paraMap["order_channel"] = param.order_channel;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:龙沅文
     * @Title 非金融产品交易时间校准 (1000301)
     * @param :data 时间
     */
    mobileService.dealTimeSyn = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000301";
        paraMap["data"] = param.data;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:龙沅文
     * @Title 填写电话邮箱 (1000253)
     * @param order_id 订单编号
     * @param user_mail 邮箱
     * @param mobile_phone 电话
     */
    mobileService.mobile_phoneOrUser_mailInfo = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000253";
        paraMap["order_id"] = param.order_id;
        paraMap["user_mail"] = param.user_mail;
        paraMap["mobile_phone"] = param.mobile_phone;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:黎志勇
     * @Title 查询基金产品(基金对比时用) (1000330)
     * @param product_code 产品编号
     * @param product_name 产品名称
     * @param product_shelf 产品上架状态
     */
    mobileService.queryFundList = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000330";
        paraMap["product_code"] = param.product_code;
        paraMap["product_name"] = param.product_name;
        paraMap["product_shelf"] = param.product_shelf;
        paraMap["product_sub_type"] = param.product_sub_type;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:黎志勇
     * @Title 退出登入 (1000001)
     */
    mobileService.loginOut = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000001";
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:黎志勇
     * @Title 基金分红 (1001602)
     */
    mobileService.setFh = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001602";
        paraMap["fund_account"] = param.fund_account;
        paraMap["product_id"] = param.product_id;
        paraMap["product_code"] = param.product_code;
        paraMap["operation_type"] = param.operation_type;
        paraMap["fenhong_type"] = param.fenhong_type;
        paraMap["phone"] = getPhone();
        paraMap["entrust_way"] = "SJWT";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 短信验证码发送(501600)
     * @param op_way 访问接口来源标识(0：pc,2：pad,3：手机)
     * @param mobile_no 手机号码
     * @param ip 客户IP地址
     * @param mac 设备mac地址
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.getSmsCode = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "501600";
        paraMap["op_way"] = param.op_way;
        paraMap["verify_code"] = param.verify_code;
        paraMap["mobile_no"] = param.mobile_no;
        paraMap["ip"] = param.ip;
        paraMap["mac"] = param.mac;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 登录短信验证码校验(501521)
     * @param mobile_no 手机号码
     * @param mobile_code 手机验证码
     * @param login_flag 登录业务标准
     * @param callback 回调函数
     */
    mobileService.checkSmsCode = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "501521";
        paraMap["mobile_no"] = param.mobile_no;
        paraMap["mobile_code"] = param.mobile_code;
        paraMap["login_flag"] = param.login_flag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 手机绑定(901930)
     * @param phone 手机号码
     * @param hardsn 硬件信息
     * @param callback 回调函数
     */
    mobileService.bindMobile = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "901930";
        paraMap["phone"] = param.phone;
        paraMap["hardsn"] = param.hardsn;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 增加推荐人(1001901)
     * @param order_id 订单编号
     * @param referrer_name 推荐人姓名
     * @param referrer_code 推荐人代码
     * @param callback 回调函数
     */
    mobileService.addReferrer = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"]="1001901";
        paraMap["order_id"]=param.order_id;
        paraMap["referrer_name"]=param.referrer_name;
        paraMap["referrer_code"]=param.referrer_code;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 获取广告图片
     * @Author:黎志勇
     * @param group_id 组别
     * @param ad_id 广告id
     */
    mobileService.getAdv = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"]="1000320";
        paraMap["group_id"] = param.group_id;
        paraMap["ad_id"] = param.ad_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:李智英
     * 修改密码
     * @param user_id 用户编号
     * @param pwd_type 要修改的密码类型 0 交易密码 1 资金密码
     * @param trade_pwd/fund_pwd 原密码
     * @param new_fund_pwd/new_trade_pwd  新密码
     * @param new_fund_pwd1/new_trade_pwd1  确认新密码
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.changPwd = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        if(param.pwd_type==0){
            paraMap["funcNo"] = "1001114";
            paraMap["user_id"] = param.user_id;
            paraMap["trade_pwd"] = param.old_pwd;
            paraMap["new_trade_pwd"] = param.new1_pwd;
            paraMap["new_trade_pwd1"] = param.new2_pwd;
        }else if(param.pwd_type==1){
            paraMap["funcNo"] = "1001115";
            paraMap["user_id"] = param.user_id;
            paraMap["fund_pwd"] = param.old_pwd;
            paraMap["new_fund_pwd"] = param.new1_pwd;
            paraMap["new_fund_pwd1"] = param.new2_pwd;
        }
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:张东东
     * 修改登录密码
     * @param user_id 用户编号
     * @param pwd_type 要修改的密码类型 0 交易密码 1 资金密码
     * @param trade_pwd/fund_pwd 原密码
     * @param new_fund_pwd/new_trade_pwd  新密码
     * @param new_fund_pwd1/new_trade_pwd1  确认新密码
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.changLoginPwd = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"]="1000217";
        paraMap["user_id"] = param.user_id;
        paraMap["pwd_value_befor"] = param.old_pwd;
        paraMap["pwd_value_after"]=param.new1_pwd;
        paraMap["pwd_value_after1"]=param.new2_pwd;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    //--------商城开户，完善资料----
    /**
     * 功能:商城 设置密码
     * funcNo 1000040
     * 入参: trd_pwd: 支付密码
     *      fund_pwd: 提现密码
     */
    mobileService.setPwd = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000040";
        paraMap["trd_pwd"] = param.trd_pwd;
        paraMap["fund_pwd"] = param.fund_pwd;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * funcNo 1000371
     * 功能:开户流程，查询用户个人资料，对状态进行判断
     * 入参: user_id: 用户id
     */
    mobileService.findUserInfo = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000371";
        paraMap["user_id"] = param.user_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * funcNo 1000373
     * 功能:查询风险测评答案
     * 入参: user_id: 用户id
     */
    mobileService.findRiskAnswer = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000373";
        paraMap["user_id"] = param.user_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * funcNo 1000372
     * 功能:保存风险测评答案
     * 入参: user_id: 用户id
     */
    mobileService.saveRisk = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000372";
        paraMap["user_id"] = param.user_id;
        paraMap["paper_answer"] = param.paper_answer;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * funcNo 1000375
     * 功能:确认提交个人资料
     * 入参: user_id: 用户id
     */
    mobileService.commitUserInfo = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000375";
        paraMap["user_id"] = param.user_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * funcNo 1000377
     * 功能:确认提交个人资料
     * 入参: user_id: 用户id
     */
    mobileService.getkhBank = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000377";
        paraMap["user_id"] = param.user_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * funcNo 1000380
     * 功能:忘记密码时，重置密码，判断是否需要输入身份证，
     * 及输入验证
     * 入参: mobile_phone : 输入手机号
     *      card_no： 身份证号码 验证身份证是传入
     *      type : "1"
     */
    mobileService.checkCardNo = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000380";
        paraMap["mobile_phone"] = param.mobile_phone;
        paraMap["card_no"] = param.card_no;
        paraMap["type"] = param.type;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 查询用户银行卡资金
     * @param {Object} callBackFunc
     * @param {Object} fund_account
     * @param {Object} bank_no
     * @param {Object} bank_pwd
     * @param {Object} trade_pwd
     * @memberOf {TypeName}
     */
    mobileService.queryBank = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000353";
        paraMap["bank_no"] = param.bank_no;
        paraMap["fund_account"] = param.fund_account;
        paraMap["bank_pwd"] = param.bank_pwd;
        paraMap["trade_pwd"] = param.trade_pwd;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);

    }



    /**
     * funcNo:1001800
     * 功能:存储用户信息，并且开otc开客户号
     * @param user_id 用户编号
     * @param identity_type 证件类型
     * @param identity_num 证件号码
     * @param user_name 姓名
     */
    mobileService.saveUserInfo = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001800";
        paraMap["user_id"] = param.user_id;
        paraMap["identity_type"] = param.identity_type;
        paraMap["identity_num"] = param.identity_num;
        paraMap["user_name"] = param.user_name;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
    /**
     * funcNo:1001801
     * 功能:开资产账号
     * @param user_id 用户编号
     */
    mobileService.openingCapitalAccount = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001801";
        paraMap["user_id"] = param.user_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * funcNo:1001807
     * 功能：查询手机号状态
     * @param mobile_phone 手机号
     */
    mobileService.queryMobilePhoneState = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001807";
        paraMap["mobile_phone"] = param.mobile_phone;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }

    /**
     * funcNo:1001114
     * 功能:设置密码
     * @param user_id 用户编号
     * @param trade_pwd 交易密码
     * @param new_trade_pwd 新交易密码
     * @param new_trade_pwd1 确认密码
     * @param oper_type 操作类型
     */
    mobileService.setPassw = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001114";
        paraMap["user_id"] = param.user_id;
        paraMap["trade_pwd"] = param.trade_pwd;
        paraMap["new_trade_pwd"] = param.new_trade_pwd;
        paraMap["new_trade_pwd1"] = param.new_trade_pwd1;
        paraMap["oper_type"] = param.oper_type;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
    /**
     * funcNo:1002040
     * 功能:设置密码
     * @param phoneNo 手机号码
     * @param vailCode 验证码
     * @param new_trade_pwd 新交易密码
     * @param new_trade_pwd1 确认密码
     */
    mobileService.resettingPwd = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1002040";
        paraMap["mobile_no"] = param.phoneNo;
        paraMap["mobile_code"] = param.vailCode;
        paraMap["new_trade_pwd"] = param.new_trade_pwd;
        paraMap["new_trade_pwd1"] = param.new_trade_pwd1;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }


    /**
     * funcNo:1001802
     * 功能：签电子协议
     * @param user_id 用户编号
     */
    mobileService.signZhAgreement = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001802";
        paraMap["user_id"] = param.user_id;
        paraMap["trade_pwd"] = param.trade_pwd;
        paraMap["new_trade_pwd"] = param.new_trade_pwd;
        paraMap["new_trade_pwd1"] = param.new_trade_pwd1;
        paraMap["oper_type"] = param.oper_type;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
    /**
     * funcNo:1001803
     * 功能:查询支持的银行
     */
    mobileService.querySupportBank = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001803";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }

    /**
     * funcNo:1001804
     * 功能:申请开通支付账号
     */
    mobileService.applyPaymentAccount = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001804";
        paraMap["user_id"] = param.user_id;
        paraMap["bank_no"] = param.bank_no;
        paraMap["bank_account"] = param.bank_account;
        paraMap["bank_mobile"] = param.bank_mobile;
        paraMap["money_type"] = param.money_type;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }

    /**
     * funcNo:1001805
     * 功能：同步支付账号到OTC
     */
    mobileService.synchronousPaymentAccount = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001805";
        paraMap["user_id"] = param.user_id;
        paraMap["bank_no"] = param.bank_no;
        paraMap["bank_account"] = param.bank_account;
        paraMap["pay_account"] = param.pay_account;
        paraMap["pay_way"] = param.pay_way;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }

    /**
     * funcNo:1001806
     * 功能：同步登记账号和交易账号到OTC
     */
    mobileService.simultRegTraAccount = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001806";
        paraMap["user_id"] = param.user_id;
        paraMap["bank_no"] = param.bank_no;
        paraMap["bank_account"] = param.bank_account;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }

    /**
     * funcNo:1001808
     * 功能：查询支付账号、绑定的银行卡
     */
    mobileService.queryThePaymentAccount = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001808";
        paraMap["user_id"] = param.user_id;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }

    /**
     * funcNo:1000203
     * 功能：查询用户信息
     */
    mobileService.queryUserInfo = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000203";
        paraMap["user_id"] = param.user_id;
        paraMap["account_name"] = param.account_name;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }

    /**
     * funcNo:1001909
     */
    mobileService.queryOrderInfo = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001909";
        paraMap["user_id"] = param.user_id;
        paraMap["flag"] = param.flag;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }

    /**
     * funcNo:1001910
     */
    mobileService.queryAccount = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001910";
        paraMap["user_id"] = param.user_id;
        paraMap["loginFlag"] = param.loginFlag;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }

    /**
     * funcNo:1001910
     */
    mobileService.queryAccountZZC = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1100001";
        paraMap["user_id"] = param.user_id;
        paraMap["loginFlag"] = param.loginFlag;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }


    /**
     * @Author : 柴登峰
     * 功能 ： 记录分享次数
     * funcNo : 1000253
     * @param user_id 用户id
     * @param shareType 分享平台
     * @param callback 回调函数
     */
    mobileService.recordShare = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1000253";
        paraMap["user_id"] = param.user_id;
        paraMap["shareType"] = param.shareType;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
    /**
     * @Author : 柴登峰
     * 功能 ： 绑定账户(OTC和手机账户)
     * funcNo : 1001957
     * @param user_id 用户id
     * @param shareType 分享平台
     * @param callback 回调函数
     */
    mobileService.bindOtcFinanAccount = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001957";
        paraMap["phoneNo"] = param.phoneNo;
        paraMap["bzjClientNo"] = param.bzjClientNo;
        paraMap["trade_pwd"] = param.trade_pwd;
        paraMap["type"] = param.type;
        paraMap["source"] = param.source;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }

    /**
     * @Author : 柴登峰
     * 功能 ： 判断是否要选择支付方式(OTC和手机账户)
     * funcNo : 1001958
     * @param user_id 用户id
     * @param shareType 分享平台
     * @param callback 回调函数
     */
    mobileService.selectPayMethod = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001958";
        paraMap["phoneNo"] = param.phoneNo;
        paraMap["bzjClientNo"] = param.bzjClientNo;
        paraMap["userId"] = param.user_id;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
    /********************************应用接口结束********************************/

    /**********************资金账号应用接口开始 曾颖*****************************/

    /**
     * 功能:查询用户的资金
     * 入参: callBackFunc: 回调函数
     *       fund_account：资金账号
     */
    mobileService.queryAccountFunds = function(param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1004234";
        paraMap["fid_khh"] = param.fid_khh;
        paraMap["fid_exflg"]= param.fid_exflg;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 功能:检查是否开户
     * 入参: callBackFunc: 回调函数
     *       fund_account：资金账号
     */
    mobileService.checkFunds = function(param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1001913";
        paraMap["user_id"] = param.user_id;
        paraMap["product_id"]= param.product_id;
        paraMap["khh"]= param.khh;
        paraMap["tadm"]= param.tadm;
        paraMap["source"]= param.source;
        paraMap["tot_price"]= param.tot_price;
        paraMap["business_type"]= param.business_type;
        paraMap["trade_pwd"]= param.trade_pwd;
        paraMap["type"]= param.type;
        paraMap["risk_level"]= param.risk_level;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 功能:修改密码调用柜台
     */
    mobileService.updateCounterPwd = function(param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1004232";
        paraMap["fid_khh"] = param.fid_khh;
        paraMap["fid_mm"] = param.fid_mm;
        paraMap["fid_newmm"] = param.fid_newmm;
        paraMap["fid_jmlx"] = param.fid_jmlx;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 功能:修改密码调用商城bus
     */
    mobileService.updateMallPwd = function(param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1001911";
        paraMap["user_id"] = param.user_id;
        paraMap["khh"] = param.khh;
        paraMap["trade_pwd"] = param.trade_pwd;
        paraMap["new_trade_pwd"] = param.new_trade_pwd;
        paraMap["new_trade_pwd1"] = param.new_trade_pwd1;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 功能:提交风险测评答案(资金账号)
     */
    mobileService.submitTest = function(param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "600005";
        paraMap["fid_khh"] = param.FID_KHH;
        paraMap["fid_wjhm"] = param.FID_WJHM;
        paraMap["fid_zjlb"] = param.FID_ZJLB;
        paraMap["fid_zjbh"] = param.FID_ZJBH;
        paraMap["fid_khxm"] = param.FID_KHXM;
        paraMap["fid_tmda"] = param.FID_TMDA;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:柴登峰
     * 功能:检查是否要风险测评和开户(OTC)
     * funcNo : 1001951
     * @param user_id 用户ID
     * @param khh 客户号
     * @param tadm 机构代码 ZZ
     * @param risk_level 风险等级
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.checkRiskAssessment = function(param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1001951";
        paraMap["user_id"] = param.user_id;
        paraMap["khh"] = param.khh;
        paraMap["tadm"] = param.tadm;
        paraMap["risk_level"] = param.risk_level;
        paraMap["random"] = Math.random();

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:柴登峰
     * 功能:风险测评(OTC)
     * funcNo : 1001952
     * @param risk_level 风险等级
     * @param isCp 是否需要测评 1需要0不需要
     * @param isKh 是否需要开户 1需要0不需要
     * @param khh 客户号
     * @param wjhm 问卷编号 13
     * @param zjlb 证件类型 0
     * @param zjbh 证件号码
     * @param khxm 客户姓名
     * @param tmda 测评答案
     * @param fxjg 发行机构
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.submitAns = function(param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1001952";
        paraMap["risk_level"] = param.risk_level;
        paraMap["isCp"] = param.isCp;
        paraMap["isKh"] = param.isKh;
        paraMap["khh"] = param.khh;
        paraMap["wjhm"] = param.wjhm;
        paraMap["zjlb"] = param.zjlb;
        paraMap["zjbh"] = param.zjbh;
        paraMap["khxm"] = param.khxm;
        paraMap["tmda"] = param.tmda;
        paraMap["fxjg"] = param.fxjg;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:柴登峰
     * 功能:下单(OTC)
     * funcNo : 1001953
     * @param user_id 用户ID
     * @param product_id 产品ID
     * @param khh 客户号
     * @param trade_pwd 交易密码
     * @param source 获取来源  1. 表示 保证金  2.表示理财户   默认 表示保证金
     * @param tot_price 购买金额
     * @param business_type
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.placeOrder = function(param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1001953";
        paraMap["user_id"] = param.user_id;
        paraMap["product_id"] = param.product_id;
        paraMap["khh"] = param.khh;
        paraMap["trade_pwd"] = param.trade_pwd;
        paraMap["source"] = param.source;
        paraMap["tot_price"] = param.tot_price;
        paraMap["business_type"] = param.business_type;
        paraMap["productType"] = param.productType;
        paraMap["sub_type"] = param.sub_type;
        paraMap["sub_cycle"] = param.sub_cycle;
        paraMap["middleman_phone"] = param.middleman_phone;
        paraMap["isNianfei"] = param.isNianfei;
        paraMap["khuserId"] = param.khuserid;
        paraMap["agmt_sno"] = param.agmt_sno;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:柴登峰
     * 功能 : 查询客户号下所有资金账户和银行卡
     * funcNo : 1004234
     * @param fid_khh 客户号
     * @param fid_exflg 扩展信息 1
     * @param fid_bz 币种 RMB
     * @param callback 回调函数
     * @param isLastReq 是否最后一次请求
     * @param isShowWait 是否显示等待层
     */
    mobileService.queryAccountBankcard = function(param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1004234";
        paraMap["fid_khh"] = param.fid_khh;
        paraMap["fid_exflg"] = param.fid_exflg;
        paraMap["fid_bz"] = param.fid_bz;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:柴登峰
     * 功能 : 银证转账(区分转账类型)
     * @param khh 客户号
     * @param fid_zjzh 资金账号
     * @param fid_bz 币种
     * @param fid_yhzh 银行卡
     * @param fid_yhdm 银行类型
     * @param fid_zzje 转账金额
     * @param fid_wbzhmm 密码(银行密码  资金密码)
     * @param fid_jmlx 加密类型 0
     */
    mobileService.bankCertifiTransfer = function(param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = param.funcNo;
        paraMap["khh"] = param.fid_khh;
        paraMap["fid_zjzh"] = param.fid_zjzh;
        paraMap["fid_bz"] = param.fid_bz;
        paraMap["fid_yhzh"] = param.fid_yhzh;
        paraMap["fid_yhdm"] = param.fid_yhdm;
        paraMap["fid_zzje"] = param.fid_zzje;
        paraMap["fid_wbzhmm"] = param.fid_wbzhmm;
        paraMap["fid_jmlx"] = param.fid_jmlx;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:柴登峰
     * 功能 : 转账查询
     * @param FID_KHH 客户号
     */
    mobileService.transferQuery = function(param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1004237";
        paraMap["FID_KHH"] = param.fid_khh;
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:柴登峰
     * 功能 : 查询银行卡信息
     * @param user_id 用户ID
     */
    mobileService.queryBankCardInfo = function(param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1001956";
        paraMap["user_id"] = param.user_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:柴登峰
     * 功能 : 获取资金账号信息
     * @param fid_khh 客户号
     * @param fid_exflg 扩展信息
     * @param callback 回调函数
     */
    mobileService.getOTCInfo = function(param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1004235";
        paraMap["fid_khh"] = param.fid_khh;
        paraMap["fid_exflg"] = param.fid_exflg;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };







    /**********************積分商城開始***************************/
    mobileService.activeProduct = function(param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1104100";
        paraMap["activity_type"] = param.activity_type;
        paraMap["module_belongs"] = param.module_belongs;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jsscServicePath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:舒小强
     * 查询活动产品详情【1000651】
     * @param activity_type: 活动类型
     * @param callback 回调函数
     */
    mobileService.activePdtDetail = function(param,callback,ctrlParam)
    {
        var paraMap = {};
        //paraMap["funcNo"] = "1000651";
        paraMap["funcNo"] = "1104101";
        paraMap["product_id"] = param.product_id;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:汪卫中
     * 查詢收货地址【1104304】
     * @param user_id 用户编号
     * @param mobile_phone 手机号码
     * @param address 地址
     * @param user_name 收件人
     * @param exprs_id 地址编号
     * @param type 1 查询 2 删除 3 增加、
     * @param is_default 1 默认地址 0 非默认地址
     * @param callback 回调函数
     */
    mobileService.queryAddressManage = function(param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1104304";
        paraMap["user_id"] = param.user_id;
        paraMap["mobile_phone"] = param.mobile_phone;
        paraMap["address"] = param.address;
        paraMap["user_name"] = param.user_name;
        paraMap["exprs_id"] = param.exprs_id;
        paraMap["type"] = param.type;
        paraMap["is_default"] = param.is_default;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:汪卫中
     * 用户订单产品购买个人限额【1000660】
     * @param user_id 用户编号
     * @param product_id 地址编号
     * @param callback 回调函数
     */
    mobileService.userBuyLimit = function(param,callback,ctrlParam)
    {
        var paraMap = {};
        //paraMap["funcNo"] = "1000658";
        paraMap["funcNo"] = "1104104";
        paraMap["user_id"] = param.user_id;
        paraMap["product_id"] = param.product_id;
        paraMap["type"] = param.type;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:汪卫中
     * 查用户积分【1000657】
     * @param callback 回调函数
     */
    mobileService.queryUserIntergral = function(param,callback,ctrlParam)
    {
        var paraMap = {};
        //paraMap["funcNo"] = "1000657";
        paraMap["funcNo"] = "1104303";
        paraMap["user_id"] = param.user_id;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:sxq
     * 添加收货地址【1104307】
     * @param user_id 用户编号
     * @param mobile_phone 手机号码
     * @param address 地址
     * @param user_name 收件人
     * @param exprs_id 地址编号
     * @param type 1 查询 2 删除 3 增加、
     * @param is_default 1 默认地址 0 非默认地址
     * @param callback 回调函数
     */
    mobileService.addAddressManage = function(param,callback,ctrlParam)
    {
        var paraMap = {};
        //paraMap["funcNo"] = "1104304";
        paraMap["funcNo"] = "1104307";
        paraMap["user_id"] = param.user_id;
        paraMap["mobile_phone"] = param.mobile_phone;
        paraMap["address"] = param.address;
        paraMap["user_name"] = param.user_name;
        paraMap["exprs_id"] = param.exprs_id;
        paraMap["type"] = param.type;
        paraMap["is_default"] = param.is_default;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:sxq
     * 删除收货地址【1104307】
     * @param user_id 用户编号
     * @param mobile_phone 手机号码
     * @param address 地址
     * @param user_name 收件人
     * @param exprs_id 地址编号
     * @param type 1 查询 2 删除 3 增加、
     * @param is_default 1 默认地址 0 非默认地址
     * @param callback 回调函数
     */
    mobileService.delAddressManage = function(param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1104306";
        paraMap["user_id"] = param.user_id;
        paraMap["mobile_phone"] = param.mobile_phone;
        paraMap["address"] = param.address;
        paraMap["user_name"] = param.user_name;
        paraMap["exprs_id"] = param.exprs_id;
        paraMap["type"] = param.type;
        paraMap["is_default"] = param.is_default;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:sxq
     * 积分订单提交【1000652】
     * @param user_id: 用户编号
     * @param product_id: 产品编号
     * @param product_type_id: 产品类型编号
     * @param product_code: 产品代码
     * @param order_phone: 订单号码
     * @param exprs_id: 收件地址编号
     * @param tot_num: 购买数量
     * @param callback 回调函数
     */
    mobileService.submitActOrder = function(param,callback,ctrlParam)
    {
        var paraMap = {};
//	    paraMap["funcNo"] = "1000652";
        paraMap["funcNo"] = "1104102";
        paraMap["user_id"] = param.user_id;
        paraMap["product_id"] = param.product_id;
        paraMap["product_code"] = param.product_code;
        paraMap["product_type_id"] = param.product_type_id;
        paraMap["order_phone"] = param.order_phone;
        paraMap["exprs_id"] = param.exprs_id;
        paraMap["tot_num"] = param.tot_num;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:sxq
     * 查询订单流水【1000653】
     * @param user_id: 用户编号
     * @param product_id: 产品编号
     * @param order_id: 订单编号
     * @param order_status: 订单状态
     * @param start_time: 开始时间
     * @param end_time: 结束时间
     * @param page: 当前页
     * @param numPerPage: 每页记录数
     * @param callback 回调函数
     */
    mobileService.queryOrderList = function(param,callback,ctrlParam)
    {
        var paraMap = {};
        //paraMap["funcNo"] = "1000653";
        paraMap["funcNo"] = "1104103";
        paraMap["user_id"] = param.user_id;
        paraMap["product_id"] = param.product_id;
        paraMap["order_id"] = param.order_id;
        paraMap["order_status"] = param.order_status;
        paraMap["start_time"] = param.start_time;
        paraMap["end_time"] = param.end_time;
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:sxq
     * 查询推荐产品【1104309】
     * @param recommend_type: 推荐类型
     * @param page: 当前页
     * @param numPerPage: 每页记录数
     * @param callback 回调函数
     */
    mobileService.queryRecommendProduct = function(param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1104309";
        paraMap["recommend_type"] = param.recommend_type;
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /*********************** 積分商城結束*********************************/
    /*********************** 基金开始*********************************/
    /**
     * @Author:郭志斌
     * 功能:下单(基金)
     * funcNo : 1004001
     * @param FID_JJDM 基金代码
     * @param FID_TADM TA编码
     * @param FID_KHH 客户号
     * @param FID_WTJE 购买金额
     */
    mobileService.placeFund = function(param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1004001";
        paraMap["fid_jjdm"] = param.product_id;
        paraMap["fid_khh"] = param.khh;//客户号
        paraMap["fid_wtje"] = param.tot_price;
        paraMap["fid_tadm"] = param.fid_tadm;
        paraMap["trade_pwd"] = param.trade_pwd;
        paraMap["fund_type"] = param.fund_type;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:郭志斌
     * @Title 查询基金产品信息(分页列表)(1004002)
     * @param page：当前页数
     * @param pageSize ：单页显示记录数
     */
    mobileService.findFundList = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="1004002";
        paraMap["page"]=param.page;
        paraMap["pageSize"]=param.pageSize;
        paraMap["user_id"]=param.user_id;
        paraMap["type"]=param.type;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:郭志斌
     * @Title 查询基金产品信息(单个)(1004003)
     * @param product_id 产品编号
     * @param product_sub_type
     */
    mobileService.findFundById = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="1004003";
        paraMap["product_id"]=param.product_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);

    };
    /**
     * @Author:郭志斌
     * 功能: 查询基金提交的订单信息(1004005)
     * @param FID_KHH:客户号,FID_KSRQ:开始日期,FID_JSRQ:结束日期
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数
     */
    mobileService.QueryFundInfo = function (param,callback,ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004005";
        paraMap["FID_KHH"] = param.fid_khh;//客户号
        paraMap["FID_KSRQ"] = param.start_time;//开始日期
        paraMap["FID_JSRQ"] = param.end_time;//结束日期
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };


    /**
     * @Author:郭志斌
     * 基金订单赎回(1004007)
     * @param fid_jjdm 基金代码
     * @param fid_khh 客户号
     * @param tot_price 赎回金额
     * @param fid_tadm TA编码
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数
     */
    mobileService.fundShuH = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1004007";
        paraMap["fid_jjdm"] = param.fid_jjdm;//基金代码
        paraMap["khh"] = param.khh;//客户号
        paraMap["fid_wtje"] = param.fid_wtje;//赎回份数
        paraMap["fid_tadm"] = param.fid_tadm;//TA编码
        paraMap["trd_date"] = param.trd_date;//基金账号
        paraMap["fid_sffs"] = param.fid_sffs;//收费方式
        paraMap["fid_ywdm"] = param.fid_ywdm;//业务代码
        paraMap["user_id"] = param.user_id;//用户ID
        paraMap["trade_pwd"] = param.trade_pwd;//密码
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:郭志斌
     * 基金检查风险测评(1004008)
     * @param fid_jjdm 基金代码
     * @param fid_khh 客户号
     * @param fid_tadm TA编码
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数findFxcp
     */
    mobileService.findFxcp = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1004008";
        paraMap["fid_jjdm"] = param.fid_jjdm;//基金代码
        paraMap["fid_khh"] = param.fid_khh;//客户号
        paraMap["fid_tadm"] = param.fid_tadm;//TA编码
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 基金订单列表展示
     */
    mobileService.findfundOrder = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1004009";
        paraMap["khh"] = param.khh;//用户id
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:郭志斌
     * 根据userid查询自选基金(分页)
     * @param userid 用户id
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数findFxcp
     */
    mobileService.findMyfund = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1004010";
        paraMap["user_id"] = param.user_id;//用户id
        paraMap["page"] = param.page;
        paraMap["pageSize"] = param.pageSize;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:郭志斌
     * 插入或删除自选基金
     *
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数findFxcp
     */
    mobileService.insertMyfund = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1004011";
        paraMap["fid_jjqc"] = param.fid_jjqc;
        paraMap["product_id"] = param.product_id;
        paraMap["fid_jjjc"] = param.fid_jjjc;
        paraMap["fid_tadm"] = param.fid_tadm;
        paraMap["fid_jjjz"] = param.fid_jjjz;
        paraMap["fid_mwfsy"] = param.fid_mwfsy;
        paraMap["fid_jjfxdj"] = param.fid_jjfxdj;
        paraMap["fid_lccpbz"] = param.fid_lccpbz;
        paraMap["fid_nsyl"] = param.fid_nsyl;
        paraMap["user_id"] = param.user_id;
        paraMap["flag"] = param.flag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:郭志斌
     * 根据基金代码或基金简称查询
     * @param userid 用户id
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数findFxcp
     */
    mobileService.findFundName = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1004012";
        paraMap["fund_name"] = param.fund_name;
        paraMap["page"] = param.page;
        paraMap["pageSize"] = param.pageSize;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:郭志斌
     * 精彩页基金显示
     */
    mobileService.queryFundTx = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1004013";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:郭志斌
     * 查询cif客户风险承受能力
     */
    mobileService.findFundFxce = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1004014";
        paraMap["fid_khh"] = param.fid_khh;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /*********************** 基金结束*********************************/
    //产品类别信息查询
    mobileService.findProduct = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1000501";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * 查询产品列表
     */
    mobileService.findCourseware = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1000503";
        paraMap["userId"] = param.userId;
        paraMap["loginFlag"] = param.loginFlag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };

    mobileService.findByParentId = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1000502";
        paraMap["spdj"] = param.spdj;
        paraMap["userId"] = param.userId;
        paraMap["loginFlag"] = param.loginFlag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /******************************视频产品接口开始**********************************/
    /**
     * @Author:薛勉
     * 功能 : 视频产品点评
     * @param remark_content 点评内容
     * @param user_id 用户编号
     * @param parent_id 产品id
     */
    mobileService.addRemark = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1000506";
        paraMap["remark_content"] = param.remark_content;
        paraMap["user_id"] = param.user_id;
        paraMap["product_id"] = param.product_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:薛勉
     * 功能 : 查询课程介绍
     * @param spdj 视频等级
     */
    mobileService.findBySpkcjs = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1000504";
        paraMap["spdj"] = param.spdj;
        paraMap["cpgs"] = param.cpgs;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:薛勉
     * 功能 : 查询视频产品详情
     * @param product_id 产品id
     */
    mobileService.findByVideoDetail = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1000509";
        paraMap["product_id"] = param.product_id;
        paraMap["userId"] = param.userId;
        paraMap["loginFlag"] = param.loginFlag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:薛勉
     * 功能 : 查询点评列表
     * @param product_id 产品id
     * @param yqtid 投顾id
     */
    mobileService.findRemark = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1000505";
        paraMap["product_id"] = param.product_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 查询免费视频产品
     * @param spdj 产品等级
     */
    mobileService.queryMfById = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004033";
        paraMap["spdj"] = param.spdj;
        paraMap["cpgs"] = param.cpgs;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 查询免费视频产品
     * @param spdj 产品等级
     */
    mobileService.queryZxVdio = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004031";
        paraMap["cpgs"] = param.cpgs;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 查询视频产品订单
     * @param spdj 产品等级
     */
    mobileService.findVdioOrder = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004035";
        paraMap["user_id"] = param.user_id;
        paraMap["page"] = param.page;
        paraMap["flag"] = param.flag;
        paraMap["numPerPage"] = param.numPerPage;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 查询视频产品订单在otc是否成功
     * @param apply_no 订单编号
     */
    mobileService.findOrderisCg = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004036";
        paraMap["apply_no"] = param.apply_no;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };

    /******************************视频产品接口结束**********************************/
    /******************************邮箱认证开始**********************************/
    /**
     * @Author:郭志斌
     * 功能 : 邮箱认证
     * @param e_address 邮箱地址
     * @param e_name 收件人
     * @param e_phone 手机号
     * @param e_usercard 身份证
     * @param user_id 用户id
     */
    mobileService.findEmailAtion = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006000";
        paraMap["e_address"] = param.e_address;
        paraMap["e_name"] = param.e_name;
        paraMap["e_phone"] = param.e_phone;
        paraMap["e_usercard"] = param.e_usercard;
        paraMap["user_id"] = param.user_id;
        paraMap["khh"] = param.khh;
        paraMap["xykh"] = param.flag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 邮箱认证状态查询
     * @param user_id 用户id
     */
    mobileService.findEmailVerifying = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006002";
        paraMap["user_id"] = param.user_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 重复邮件
     * @param user_id 用户id
     */
    mobileService.updataEmailVerifying = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006003";
        paraMap["user_id"] = param.user_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };

    /**
     * @Author:郭志斌
     * 功能 :修改客户邮件和姓名
     * @param user_id 用户id
     */
    mobileService.updataEmailCustomer = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006004";
        paraMap["user_id"] = param.user_id;
        paraMap["e_id"] = param.e_id;
        paraMap["e_name"] = param.e_name;
        paraMap["e_address"] = param.e_address;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };


    /********************************酒店接口开始********************************/

    /**
     * @Author:万亮
     * 功能 : 获取城市列表
     */
    mobileService.queryCityList = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1104800";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };

    /**
     * @Author:万亮
     * 功能 : 取消订单
     */
    mobileService.cancelOrder = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1104805";
        paraMap["order_id"] = param.order_id;
        paraMap["user_id"] = param.user_id;
        paraMap["reason"] = param.reason;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };

    /**
     * @Author:万亮
     * 功能 : 查询酒店列表
     * @param city_code 城市代码
     * @param stars 星级
     * @param city_name 城市名称
     * @param hotel_name 酒店地址
     */
    mobileService.queryHotelList = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1104801";
        paraMap["user_id"] = param.user_id;
        paraMap["city_code"] = param.city_code;
        paraMap["stars"] = param.stars;
        paraMap["city_name"] = param.city_name;
        paraMap["hotel_name"] = param.hotel_name;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };

    /**
     * @Author:万亮
     * 功能 : 查询酒店详情
     * @param hotel_code 酒店代码
     */
    mobileService.queryHotelDetail = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1104802";
        paraMap["hotel_code"] = param.hotel_code;
        paraMap["khh"] = param.khh;
        paraMap["user_id"] = param.user_id;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };

    /**
     * @Author:万亮
     * 功能 : 查询可用酒店列表信息
     * khh   客户号
     * room_num   房间数
     * arrival   到点日期
     * departure   离店日期
     * children   儿童数量
     * extra_bed   加床数
     * adults   成人数
     * room_num   房间数量
     */
    mobileService.queryUsableHotel = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1104804";
        paraMap["khh"] = param.khh;
        paraMap["user_id"] = param.user_id;
        paraMap["room_num"] = param.room_num;
        paraMap["hotel_name"] = param.hotel_name;
        paraMap["city_code"] = param.city_code;
        paraMap["arrival"] = param.arrival;
        paraMap["room_num"] = param.room_num;
        paraMap["arrival"] = param.arrival;
        paraMap["departure"] = param.departure;
        paraMap["children"] = param.children;
        paraMap["extra_bed"] = param.extra_bed;
        paraMap["adults"] = param.adults;
        paraMap["room_num"] = param.room_num;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };

    /**
     * @Author:万亮
     * 功能 : 预定酒店
     * hotel_code   酒店code
     * adults   成人数量（每间房）
     * extra_bed   加床数量
     * children   儿童数量
     * arrival   入住日期
     * departure   离店日期
     * room_num   房间数量
     * user_name   客户名字
     * last_name   客户姓氏
     * room_code   房型代码
     * rate_code   房价代码
     * mobile_phone  手机号
     * remark   备注
     * arrival_time   到店时间
     * reservationType   预定类型
     */
    mobileService.predetermineHotel = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1104803";
        paraMap["user_id"] = param.user_id;
        paraMap["hotel_code"] = param.hotel_code;
        paraMap["room_num"] = param.room_num;
        paraMap["arrival"] = param.arrival;
        paraMap["departure"] = param.departure;
        paraMap["hotel_address"] = param.hotel_address;
        paraMap["children"] = param.children;
        paraMap["extra_bed"] = param.extra_bed;
        paraMap["adults"] = param.adults;
        paraMap["user_name"] = param.user_name;
        paraMap["last_name"] = param.last_name;
        paraMap["room_code"] = param.room_code;
        paraMap["rate_code"] = param.rate_code;
        paraMap["arrival_time"] = param.arrival_time;
        paraMap["mobile_phone"] = param.mobile_phone;
        paraMap["remark"] = param.remark;
        paraMap["reservation_type"] = param.reservation_type;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };

    /**
     * @Author:万亮
     * 功能 : 发送短信验证
     * moblie_no   手机号
     */
    mobileService.sendMsg = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1002008";
        paraMap["mobile_no"] = param.mobile_no;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };

    /**
     * @Author:wanliang
     * 查询订单列表【1104807】
     * @param user_id: 用户编号
     * @param product_id: 产品编号
     * @param order_id: 订单编号
     * @param order_status: 订单状态
     * @param start_time: 开始时间
     * @param end_time: 结束时间
     * @param page: 当前页
     * @param numPerPage: 每页记录数
     * @param callback 回调函数
     */
    mobileService.queryHotelOrderList = function(param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1104807";
        paraMap["user_id"] = param.user_id;
        paraMap["product_id"] = param.product_id;
        paraMap["order_id"] = param.order_id;
        paraMap["order_status"] = param.order_status;
        paraMap["start_time"] = param.start_time;
        paraMap["end_time"] = param.end_time;
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /********************************集团用户开始********************************/
    /**
     * @Author:郭志斌
     * 功能 : 查询是否是集团用户
     * @param identity_num 身份证号
     */
    mobileService.findJtyh = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004020";
        paraMap["identity_num"] = param.identity_num;
        paraMap["mobile_phone"] = param.mobile_phone;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 查询是否是集团用户
     * @param mobile_phone 手机号
     */
    mobileService.findSJzh = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004024";
        paraMap["mobile_phone"] = param.mobile_phone;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 更具身份证查询是否开户
     * @param identity_num 身份证
     * @param mobile_phone 手机号
     * @param loginType 登入状态
     */
    mobileService.findZjzh = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004021";
        paraMap["identity_num"] = param.identity_num;
        paraMap["mobile_phone"] = param.mobile_phone;
        paraMap["loginType"] = param.loginType;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 查询各个专区里理财集团产品
     */
    mobileService.findLiZi = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004022";
        paraMap["jtzq"] = param.jtzq;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 查询各个专区里资讯集团产品
     */
    mobileService.findZxun = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004023";
        paraMap["jtzq"] = param.jtzq;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 查询理财产品
     */
    mobileService.findLicai = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004025";
        paraMap["yyb"] = param.yyb;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 查询专区
     */
    mobileService.queryLuxury = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004026";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 :更具集团标志和营业部来查询理财产品
     */
    mobileService.queryLuxuryLC = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004027";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 :保存和更新认证资料
     * @param user_id 用户id
     * @param bigImage 资料地址
     * @param phone 手机号
     * @param jt_name 名字
     * @param khh 客户号
     * @param flag 小袋标签
     * @param jt_card 客户身份证
     */
    mobileService.updateMaterialRz = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004028";
        paraMap["user_id"] = param.user_id;
        paraMap["bigImage"] = param.bigImage;
        paraMap["jt_name"] = param.jt_name;
        paraMap["khh"] = param.khh;
        paraMap["jt_card"] = param.jt_card;
        paraMap["flag"] = param.flag;
        paraMap["phone"] = param.phone;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 :判断资料审核的状态
     * @param user_id 用户id
     */
    mobileService.findMaterialRz = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004029";
        paraMap["user_id"] = param.user_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 :更具集团标志和营业部来查询各个专区的资讯产品
     * @param user_id 用户id
     */
    mobileService.queryLuxuryZx = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006010";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 更具身份证查询是否开户
     * @param identity_num 身份证
     * @param mobile_phone 手机号
     * @param loginType 登入状态
     */
    mobileService.queryLuxuryXd = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006011";
        paraMap["identity_num"] = param.identity_num;
        paraMap["mobile_phone"] = param.mobile_phone;
        paraMap["loginType"] = param.loginType;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 :更具集团标志和营业部来查询各个专区的资讯产品
     * @param user_id 用户id
     */
    mobileService.savephoneNo = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "502005";
        paraMap["type"] = "1";
        paraMap["phone"] =param.phone;
        paraMap["tjrPhone"] = param.tjrPhone;
        paraMap["hashslingerNo"] = param.hashslingerNo;
        paraMap["yyb"] = param.yyb;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.khserverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /********************************酒店接口开始********************************/
    /**
     * @Author:万亮
     * 功能 : 获取城市列表
     */
    mobileService.queryCityList = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1104800";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };

    /**
     * @Author:万亮
     * 功能 : 取消订单
     */
    mobileService.cancelOrder = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1104805";
        paraMap["order_id"] = param.order_id;
        paraMap["user_id"] = param.user_id;
        paraMap["reason"] = param.reason;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };

    /**
     * @Author:万亮
     * 功能 : 查询酒店列表
     * @param city_code 城市代码
     * @param stars 星级
     * @param city_name 城市名称
     * @param hotel_name 酒店地址
     */
    mobileService.queryHotelList = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1104801";
        paraMap["user_id"] = param.user_id;
        paraMap["city_code"] = param.city_code;
        paraMap["stars"] = param.stars;
        paraMap["city_name"] = param.city_name;
        paraMap["hotel_name"] = param.hotel_name;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };

    /**
     * @Author:万亮
     * 功能 : 查询酒店详情
     * @param hotel_code 酒店代码
     */
    mobileService.queryHotelDetail = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1104802";
        paraMap["hotel_code"] = param.hotel_code;
        paraMap["khh"] = param.khh;
        paraMap["user_id"] = param.user_id;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };

    /**
     * @Author:万亮
     * 功能 : 查询可用酒店列表信息
     * khh   客户号
     * room_num   房间数
     * arrival   到点日期
     * departure   离店日期
     * children   儿童数量
     * extra_bed   加床数
     * adults   成人数
     * room_num   房间数量
     */
    mobileService.queryUsableHotel = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1104804";
        paraMap["khh"] = param.khh;
        paraMap["user_id"] = param.user_id;
        paraMap["room_num"] = param.room_num;
        paraMap["hotel_name"] = param.hotel_name;
        paraMap["city_code"] = param.city_code;
        paraMap["arrival"] = param.arrival;
        paraMap["room_num"] = param.room_num;
        paraMap["arrival"] = param.arrival;
        paraMap["departure"] = param.departure;
        paraMap["children"] = param.children;
        paraMap["extra_bed"] = param.extra_bed;
        paraMap["adults"] = param.adults;
        paraMap["room_num"] = param.room_num;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };

    /**
     * @Author:万亮
     * 功能 : 预定酒店
     * hotel_code   酒店code
     * adults   成人数量（每间房）
     * extra_bed   加床数量
     * children   儿童数量
     * arrival   入住日期
     * departure   离店日期
     * room_num   房间数量
     * user_name   客户名字
     * last_name   客户姓氏
     * room_code   房型代码
     * rate_code   房价代码
     * mobile_phone  手机号
     * remark   备注
     * arrival_time   到店时间
     * reservationType   预定类型
     */
    mobileService.predetermineHotel = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1104803";
        paraMap["user_id"] = param.user_id;
        paraMap["hotel_code"] = param.hotel_code;
        paraMap["room_num"] = param.room_num;
        paraMap["arrival"] = param.arrival;
        paraMap["departure"] = param.departure;
        paraMap["children"] = param.children;
        paraMap["extra_bed"] = param.extra_bed;
        paraMap["adults"] = param.adults;
        paraMap["user_name"] = param.user_name;
        paraMap["last_name"] = param.last_name;
        paraMap["room_code"] = param.room_code;
        paraMap["rate_code"] = param.rate_code;
        paraMap["arrival_time"] = param.arrival_time;
        paraMap["mobile_phone"] = param.mobile_phone;
        paraMap["remark"] = param.remark;
        paraMap["reservation_type"] = param.reservation_type;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };

    /**
     * @Author:万亮
     * 功能 : 发送短信验证
     * moblie_no   手机号
     */
    mobileService.sendMsg = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1002008";
        paraMap["mobile_no"] = param.mobile_no;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };

    /**
     * @Author:wanliang
     * 查询订单列表【1104807】
     * @param user_id: 用户编号
     * @param product_id: 产品编号
     * @param order_id: 订单编号
     * @param order_status: 订单状态
     * @param start_time: 开始时间
     * @param end_time: 结束时间
     * @param page: 当前页
     * @param numPerPage: 每页记录数
     * @param callback 回调函数
     */
    mobileService.queryHotelOrderList = function(param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1104807";
        paraMap["user_id"] = param.user_id;
        paraMap["product_id"] = param.product_id;
        paraMap["order_id"] = param.order_id;
        paraMap["order_status"] = param.order_status;
        paraMap["start_time"] = param.start_time;
        paraMap["end_time"] = param.end_time;
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };


    /********************************酒店接口结束********************************/

    /********************************活动开始（曾颖）********************************/
    /**
     * @Author:曾颖
     *  保存活动对应关系表
     *
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数findFxcp
     */
    mobileService.addActivityUserInfo = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1007001";
        paraMap["participant"] = param.participant;
        paraMap["recommendedperson"] = param.recommendedperson;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:曾颖
     *  查询
     *
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数findFxcp
     */
    mobileService.queryActivityUserInfo = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1007003";
        paraMap["phone"] = param.phone;
        paraMap["page"] = param.curPage;
        paraMap["numPerPage"] = param.numPerPage;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /********************************活动结束********************************/

    /**
     * @Author:陈健
     * 功能 : 翼飞行产品详情页新增收藏
     * @param user_id   用户编号
     * @param product_id  产品编号
     */
    mobileService.addCollect = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1104310";
        paraMap["user_id"] = param.user_id;
        paraMap["product_id"]=param.product_id;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:陈健
     * 功能 : 翼飞行产品详情页取消收藏
     * @param user_id   用户编号
     * @param product_id  产品编号
     */
    mobileService.cancelCollect = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1104311";
        paraMap["user_id"] = param.user_id;
        paraMap["product_id"] = param.product_id;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:陈健
     * 功能 : 翼飞行产品详情页确认用户是否收藏
     * @param user_id   用户编号
     * @param product_id  产品编号
     * @param product_sub_type 产品子类型
     * @param page 当前页数
     * @param numPerPage 单页显示记录数
     */
    mobileService.checkCollect = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1104312";
        paraMap["user_id"] = param.user_id;
        paraMap["product_id"] = param.product_id;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /********************************中航宝接口开始********************************/

    /**
     * @Author:郭志斌
     * 功能 : 分页查询中航宝中的文章
     * @param page: 当前页
     * @param numPerPage: 每页记录数
     */
    mobileService.findAvicHelp = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006016";
        paraMap["page"]=param.page;
        paraMap["numPerPage"]=param.numPerPage;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:郭志斌
     * 功能 : 通过id去查找标题和文章内容
     */
    mobileService.findAvicConnet = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006017";
        paraMap["a_id"] = param.a_id;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };

    /**
     * @Author:郭志斌
     * 功能 : 翼钱罐查询客户信息
     */
    mobileService.findAvicCustomer = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006018";
        paraMap["client_no"] = param.client_no;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 翼钱罐存入
     */
    mobileService.findAvicDeposit = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006020";
        paraMap["client_no"] = param.client_no;
        paraMap["trd_amt"] = param.trd_amt;
        paraMap["trade_pwd"] = param.trade_pwd;
        paraMap["agmt_sno"] = param.agmt_sno;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 翼钱罐取出
     */
    mobileService.findAvicTakeout = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006021";
        paraMap["client_no"] = param.client_no;
        paraMap["trd_qty"] = param.trd_qty;
        paraMap["trade_pwd"] = param.trade_pwd;
        paraMap["flag"] = param.flag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 翼钱罐历史交易
     */
    mobileService.findmyHistorical = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006022";
        paraMap["client_no"] = param.client_no;
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 7天收益和一个月的
     */
    mobileService.findProfit = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006019";
        paraMap["flag"] = param.flag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 翼钱罐交易流水
     */
    mobileService.queryMyTrade = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006023";
        paraMap["client_no"] = param.client_no;
        paraMap["end_date"] = param.end_date;
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 翼钱罐查询额度
     */
    mobileService.queryAvicAccount = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006024";
        paraMap["client_id"] = param.client_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 查询钱罐产品信息
     */
    mobileService.findAvicId = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006025";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 翼钱管查询是否是集团用户
     * @param mobile_phone 手机号
     */
    mobileService.findAvicPhone = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006030";
        paraMap["mobile_phone"] = param.mobile_phone;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 翼钱管查询是否是集团用户
     * @param identity_num 身份证
     * @param mobile_phone 手机号
     * @param loginType 登入状态
     */
    mobileService.findAvicIndo = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006031";
        paraMap["identity_num"] = param.identity_num;
        paraMap["mobile_phone"] = param.mobile_phone;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /********************************中航宝接口结束********************************/
    /**
     * @Author:陈健
     * 功能 :查询订单详情页的信息
     * @param user_id   用户编号
     * @param order_id  订单编号
     */
    mobileService.queryOrderDetailMsg = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1104808";
        paraMap["user_id"] = param.user_id;
        paraMap["order_id"] = param.apply_no;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.jfscServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };



    /********************************酒店接口结束********************************/



    /********************************滴滴打车开始********************************/
    /**
     * @Author:郭志斌
     * 功能 : 滴滴打车时间列表和单个时间查询
     * @param type: 1为 所有时间段的活动表，2为查询当前时间点活动
     */
    mobileService.findDropsTime = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "30304002";
        paraMap["type"] = param.type;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 滴滴打车领取优惠卷
     * @param userid:用户id
     */
    mobileService.DropsCoupon = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "30304003";
        paraMap["userid"] = param.userid;
        paraMap["source"] = param.source;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };

    /********************************滴滴打车结束********************************/
    /********************************手机插入绑定表中开始********************************/
    /**
     * @Author:郭志斌
     * 功能 : 手机插入绑定表中
     * @param phone:手机号
     * @param bzjclientno ：保证金号
     */
    mobileService.insetKhh = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "30304004";
        paraMap["phone"] = param.phone;
        paraMap["bzjclientno"] = param.bzjclientno;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /********************************手机插入绑定表中结束********************************/


    /********************************中航新基金详情接口开始********************************/

    /** ******************************中航新基金详情接口开始******************************* */
    /**
     * @author 钟志 功能 : 查询净值 参数: callBackFunc:回调函数
     */
    mobileService.seleValue = function(param, callBackFunc, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006118";
        paraMap["product_id"] = param.product_id;
        paraMap["stDate"] = param.stDate;
        paraMap["enDate"] = param.enDate;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callBackFunc, ctrlParam, reqParamVo);
    };

    /*	*//**
     * @Author:钟志
     * @Title 查询基金产品信息(单个)(1004003)
     * @param product_id
     *            产品编号
     * @param product_sub_type
     */
    /*
     * mobileService.FundDetails = function (param,callback,ctrlParam) { var
     * paraMap ={}; paraMap["funcNo"]="1006117";
     * paraMap["product_id"]=param.product_id; var reqParamVo = new
     * service.ReqParamVo(); reqParamVo.setUrl(global.serverPath);
     * commonInvoke(paraMap, callback, ctrlParam, reqParamVo); };
     */

    /**
     * @Author:钟志
     * @Title 查询单位净值
     * @param product_id
     *            产品编号
     * @param product_sub_type
     */
    mobileService.FundValue = function(param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006119";
        paraMap["product_id"] = param.product_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:钟志
     * @Title 查询基金概况
     * @param product_id
     *            产品编号
     * @param product_sub_type
     */
    mobileService.FundInform = function(param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006120";
        paraMap["product_id"] = param.product_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:钟志
     * @Title 查询基金概况
     * @param product_id
     *            产品编号
     * @param product_sub_type
     */
    mobileService.investCombination = function(param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006121";
        paraMap["product_id"] = param.product_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:钟志
     * @Title 查询风险等级
     * @param product_id
     *            产品编号
     * @param product_sub_type
     */
    mobileService.riskLevel = function(param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006122";
        paraMap["product_id"] = param.product_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:钟志
     * @Title 查询基金热度
     * @param product_id
     *            产品编号
     */
    mobileService.seleHeat = function(param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006124";
        paraMap["product_id"] = param.product_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:钟志
     * @Title 查询基金公告
     * @param product_id
     *            产品编号
     */
    mobileService.seleNotice = function(param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006125";
        paraMap["product_id"] = param.product_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:钟志
     * @Title 查询基金公告详情
     * @param id
     *            产品编号
     */
    mobileService.seleNoticeDetails = function(param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006129";
        paraMap["id"] = param.id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:钟志
     * @Title 查询基金公告
     * @param product_id
     *            产品编号
     */
    mobileService.seleFundCompany = function(param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006126";
        paraMap["product_id"] = param.product_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:钟志
     * @Title 查询基金公告
     * @param product_id
     *            产品编号
     */
    mobileService.seleBonusAnalysis = function(param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006127";
        paraMap["product_id"] = param.product_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:钟志
     * @Title 查询基金公告
     * @param product_id
     *            产品编号
     */
    mobileService.seleHistoricalWorth = function(param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006128";
        paraMap["numPerPage"] = param.numPerPage;
        paraMap["page"] = param.page;
        paraMap["product_id"] = param.product_id;
        paraMap["stDate"] = param.stDate;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /** ******************************中航新基金详情接口结束******************************* */

    /** ******************************应用接口结束******************************* */

    mobileService.loginContext = function(callback, ctrlParam) {
        var paraMap = {};
        var ctrlParam = {};
        ctrlParam.isAsync = false;
        paraMap["funcNo"] = "1006123";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        // reqParamVo.setIsAsync(false);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };



    /**
     * @Author:郭志斌
     * @Title 查询专区白名单的信息
     */
    mobileService.findonnet = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="1006200";
        paraMap["phone"]=param.phone;
        paraMap["khh"]=param.khh;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /********************************中航宝接口开始********************************/
    /**
     * @Author:郭志斌
     * 功能 : 中航宝交易日判断并查出下个交易日
     *
     */
    mobileService.findTradeDate = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006015";
        var reqParamVo = new service.ReqParamVo();
        paraMap["flag"]=param.flag;
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 分页查询中航宝中的文章
     * @param page: 当前页
     * @param numPerPage: 每页记录数
     */
    mobileService.findAvicHelp = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006016";
        paraMap["page"]=param.page;
        paraMap["numPerPage"]=param.numPerPage;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:郭志斌
     * 功能 : 通过id去查找标题和文章内容
     */
    mobileService.findAvicConnet = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006017";
        paraMap["a_id"] = param.a_id;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };

    /**
     * @Author:郭志斌
     * 功能 : 翼钱罐查询客户信息
     */
    mobileService.findAvicCustomer = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006018";
        paraMap["client_no"] = param.client_no;
        paraMap["cust_name"] = param.cust_name;
        paraMap["cust_type"] = param.cust_type;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 翼钱罐存入
     */
    mobileService.findAvicDeposit = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006020";
        paraMap["client_no"] = param.client_no;
        paraMap["trd_amt"] = param.trd_amt;
        paraMap["trade_pwd"] = param.trade_pwd;
		paraMap["agmt_sno"] = param.agmt_sno;//协议编码
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 翼钱罐取出
     */
    mobileService.findAvicTakeout = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006021";
        paraMap["client_no"] = param.client_no;
        paraMap["trd_qty"] = param.trd_qty;
        paraMap["trade_pwd"] = param.trade_pwd;
        paraMap["flag"] = param.flag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 翼钱罐历史交易
     */
    mobileService.findmyHistorical = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006022";
        paraMap["client_no"] = param.client_no;
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 7天收益和一个月的
     */
    mobileService.findProfit = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006019";
        paraMap["flag"] = param.flag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 翼钱罐交易流水
     */
    mobileService.queryMyTrade = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006023";
        paraMap["client_no"] = param.client_no;
        paraMap["end_date"] = param.end_date;
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 翼钱罐查询额度
     */
    mobileService.queryAvicAccount = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006024";
        paraMap["client_id"] = param.client_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 查询钱罐产品信息
     */
    mobileService.findAvicId = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006025";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };

    /**
     * @Author:郭志斌
     * 功能 : 查询钱罐产品信息
     */
    mobileService.queryDataMyTrade = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006026";
        paraMap["client_no"] = param.client_no;
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;
        paraMap["next_trade_date"] = param.next_trade_date;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 取消存入
     */
    mobileService.killAnorder = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006027";
        paraMap["khh"] = param.khh;
        paraMap["trd_date"] = param.trd_date;
        paraMap["app_sno"] = param.app_sno;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 检查协议
     */
    mobileService.queryAgreement = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006028";
        paraMap["product_id"] = param.product_id;
        paraMap["user_id"] = param.user_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 上一个交易日的累计收益
     */
    mobileService.findAvicincome = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006029";
        paraMap["client_no"] = param.client_no;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };

    /********************************中航宝接口结束********************************/
    /********************************应用接口结束********************************/
    /**
     * @Author:王顺辉
     * @Title 增加一条下载记录
     * @param version_no 产品编号
     * @param phone_type 机型
     * @param source     下载来源
     */
    mobileService.addDownload = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="30304006";
        paraMap["version_no"]=param.version_no;
        paraMap["phone_type"]=param.phone_type;
        paraMap["source"]=param.source;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:王顺辉
     * @Title 打点登录
     */
    mobileService.doPointLogin = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="30104002";
        paraMap["userId"]=param.user_id;
        paraMap["clientType"]=param.clientType;
        paraMap["referer"]=param.referer;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /********************************活动找客户号开始********************************/
    /**
     * @Author:郭志斌
     * @Title 活动找客户号
     */
    mobileService.cardCustomer = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="1007002";
        paraMap["phone"]=param.phone;
        paraMap["idno"]=param.idno;
        paraMap["loginType"]=param.loginType;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:曾颖
     *  查询
     *
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数findFxcp
     */
    mobileService.queryActivityUserInfo = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1007003";
        paraMap["phone"] = param.phone;
        paraMap["page"] = param.curPage;
        paraMap["numPerPage"] = param.numPerPage;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:郭志斌
     * @Title 在一定的时间段点击相关的按钮弹出相关信息
     */
    mobileService.Advertisingtips = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="1006032";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * @Title 首页公告
     */
    mobileService.findNotice = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="1006034";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        //reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };

    /*********************** 基金开始*********************************/
    /**
     * @Author:郭志斌
     * 功能:下单(基金)
     * funcNo : 1004001
     * @param FID_JJDM 基金代码
     * @param FID_TADM TA编码
     * @param FID_KHH 客户号
     * @param FID_WTJE 购买金额
     */
    mobileService.placeFund = function(param,callback,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1004001";
        paraMap["fid_jjdm"] = param.product_id;
        paraMap["fid_khh"] = param.khh;//客户号
        paraMap["fid_wtje"] = param.tot_price;
        paraMap["fid_tadm"] = param.fid_tadm;
        paraMap["trade_pwd"] = param.trade_pwd;
        paraMap["fund_type"] = param.fund_type;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:郭志斌
     * @Title 查询基金产品信息(分页列表)(1004002)
     * @param page：当前页数
     * @param pageSize ：单页显示记录数
     */
    mobileService.findFundList = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="1004002";
        paraMap["page"]=param.page;
        paraMap["pageSize"]=param.pageSize;
        paraMap["user_id"]=param.user_id;
        paraMap["type"]=param.type;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:郭志斌
     * @Title 查询基金产品信息(单个)(1004003)
     * @param product_id 产品编号
     * @param product_sub_type
     */
    mobileService.findFundById = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="1004003";
        paraMap["product_id"]=param.product_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);

    };
    /**
     * @Author:郭志斌
     * 功能: 查询基金提交的订单信息(1004005)
     * @param FID_KHH:客户号,FID_KSRQ:开始日期,FID_JSRQ:结束日期
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数
     */
    mobileService.QueryFundInfo = function (param,callback,ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004005";
        paraMap["FID_KHH"] = param.fid_khh;//客户号
        paraMap["FID_KSRQ"] = param.start_time;//开始日期
        paraMap["FID_JSRQ"] = param.end_time;//结束日期
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };


    /**
     * @Author:郭志斌
     * 基金订单赎回(1004007)
     * @param fid_jjdm 基金代码
     * @param fid_khh 客户号
     * @param tot_price 赎回金额
     * @param fid_tadm TA编码
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数
     */
    mobileService.fundShuH = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1004007";
        paraMap["fid_jjdm"] = param.fid_jjdm;//基金代码
        paraMap["khh"] = param.khh;//客户号
        paraMap["sh_fs"] = param.sh_fs;//赎回份数
        paraMap["fid_tadm"] = param.fid_tadm;//TA编码
        paraMap["trd_date"] = param.trd_date;//基金账号
        paraMap["fid_sffs"] = param.fid_sffs;//收费方式
        paraMap["trade_pwd"] = param.trade_pwd;//密码
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:郭志斌
     * 基金检查风险测评(1004008)
     * @param fid_jjdm 基金代码
     * @param fid_khh 客户号
     * @param fid_tadm TA编码
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数findFxcp
     */
    mobileService.findFxcp = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1004008";
        paraMap["fid_jjdm"] = param.fid_jjdm;//基金代码
        paraMap["fid_khh"] = param.fid_khh;//客户号
        paraMap["fid_tadm"] = param.fid_tadm;//TA编码
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 基金订单列表展示
     */
    mobileService.findfundOrder = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1004009";
        paraMap["khh"] = param.khh;//用户id
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:郭志斌
     * 根据userid查询自选基金(分页)
     * @param userid 用户id
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数findFxcp
     */
    mobileService.findMyfund = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1004010";
        paraMap["user_id"] = param.user_id;//用户id
        paraMap["page"] = param.page;
        paraMap["pageSize"] = param.pageSize;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:郭志斌
     * 插入或删除自选基金
     *
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数findFxcp
     */
    mobileService.insertMyfund = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1004011";
        paraMap["fid_jjqc"] = param.fid_jjqc;
        paraMap["product_id"] = param.product_id;
        paraMap["fid_jjjc"] = param.fid_jjjc;
        paraMap["fid_tadm"] = param.fid_tadm;
        paraMap["fid_jjjz"] = param.fid_jjjz;
        paraMap["fid_mwfsy"] = param.fid_mwfsy;
        paraMap["fid_jjfxdj"] = param.fid_jjfxdj;
        paraMap["fid_lccpbz"] = param.fid_lccpbz;
        paraMap["fid_nsyl"] = param.fid_nsyl;
        paraMap["user_id"] = param.user_id;
        paraMap["flag"] = param.flag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:郭志斌
     * 根据基金代码或基金简称查询
     * @param userid 用户id
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数findFxcp
     */
    mobileService.findFundName = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1004012";
        paraMap["fund_name"] = param.fund_name;
        paraMap["page"] = param.page;
        paraMap["pageSize"] = param.pageSize;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:郭志斌
     * 精彩页基金显示
     */
    mobileService.queryFundTx = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1004013";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:郭志斌
     * 查询cif客户风险承受能力
     */
    mobileService.findFundFxce = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1004014";
        paraMap["fid_khh"] = param.fid_khh;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @author 钟志 功能 : 查询净值 参数: callBackFunc:回调函数
     */
    mobileService.seleValue = function(param, callBackFunc, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006118";
        paraMap["product_id"] = param.product_id;
        paraMap["stDate"] = param.stDate;
        paraMap["enDate"] = param.enDate;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callBackFunc, ctrlParam, reqParamVo);
    };
    /**
     * @Author:钟志
     * @Title 查询单位净值
     * @param product_id
     *            产品编号
     * @param product_sub_type
     */
    mobileService.FundValue = function(param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006119";
        paraMap["product_id"] = param.product_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:钟志
     * @Title 查询基金概况
     * @param product_id
     *            产品编号
     * @param product_sub_type
     */
    mobileService.FundInform = function(param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006120";
        paraMap["product_id"] = param.product_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:钟志
     * @Title 查询基金概况
     * @param product_id
     *            产品编号
     * @param product_sub_type
     */
    mobileService.investCombination = function(param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006121";
        paraMap["product_id"] = param.product_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:钟志
     * @Title 查询风险等级
     * @param product_id
     *            产品编号
     * @param product_sub_type
     */
    mobileService.riskLevel = function(param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006122";
        paraMap["product_id"] = param.product_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:钟志
     * @Title 查询基金热度
     * @param product_id
     *            产品编号
     */
    mobileService.seleHeat = function(param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006124";
        paraMap["product_id"] = param.product_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:钟志
     * @Title 查询基金公告
     * @param product_id
     *            产品编号
     */
    mobileService.seleNotice = function(param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006125";
        paraMap["product_id"] = param.product_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:钟志
     * @Title 查询基金公告详情
     * @param id
     *            产品编号
     */
    mobileService.seleNoticeDetails = function(param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006129";
        paraMap["id"] = param.id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * @Author:钟志
     * @Title 查询基金公告
     * @param product_id
     *            产品编号
     */
    mobileService.seleFundCompany = function(param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006126";
        paraMap["product_id"] = param.product_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:钟志
     * @Title 查询基金公告
     * @param product_id
     *            产品编号
     */
    mobileService.seleBonusAnalysis = function(param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006127";
        paraMap["product_id"] = param.product_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:钟志
     * @Title 查询基金公告
     * @param product_id
     *            产品编号
     */
    mobileService.seleHistoricalWorth = function(param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006128";
        paraMap["numPerPage"] = param.numPerPage;
        paraMap["page"] = param.page;
        paraMap["product_id"] = param.product_id;
        paraMap["stDate"] = param.stDate;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /** ******************************中航新基金详情接口结束******************************* */

    /** ******************************应用接口结束******************************* */

    mobileService.loginContext = function(callback, ctrlParam) {
        var paraMap = {};
        var ctrlParam = {};
        paraMap["funcNo"] = "1006123";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };



    /**
     * @Author:郭志斌
     * @Title 根据产品名称或主办名字查找投研产品
     */
    mobileService.findResrarch = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="1006033";
        paraMap["research_val"]=param.research_val;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**网络视频产品开始**/
    /**
     * @Author:郭志斌
     * @Title 根据网络视频产品id查找相关信息
     */
    mobileService.findvideoById = function(param,callBackFun,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1006036";
        paraMap["article_id"] = param.article_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.cfserverPath);
        reqParamVo.setReqParam(paraMap);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap,callBackFun,ctrlParam,reqParamVo);
    };
    /**
     * @author 郭志斌
     * 功能：查询中奖结果
     * 入参: catalog_id,page,pageSize
     * 回参:title,article_id,create_date
     */
    mobileService.queryZjgg = function(param,callBackFun,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1006202";
        paraMap["flag"]=param.flag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFun,ctrlParam,reqParamVo);
    };
    /**
     * @author 郭志斌
     * 功能：
     * 入参: catalog_id,page,pageSize
     * 回参:title,article_id,create_date
     *
     */
    mobileService.findflowjh = function(param,callBackFun,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1006203";
        paraMap["khh"]=param.khh;
        paraMap["flag"]=param.flag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFun,ctrlParam,reqParamVo);
    };
    /**
     * @author 郭志斌
     * 功能：
     * 入参: catalog_id,page,pageSize
     * 回参:title,article_id,create_date
     *
     */
    mobileService.prizeDraw = function(param,callBackFun,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1006204";
        paraMap["participant"]=param.participant;
        paraMap["loginType"]=param.loginType;
        paraMap["user_id"]=param.user_id;
        paraMap["phone"]=param.phone;
        paraMap["flag"]=param.flag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFun,ctrlParam,reqParamVo);
    };
    /**
     * @author BrotherZeng
     * 功能：
     * 入参: catalog_id,page,pageSize
     * 回参:title,article_id,create_date
     *
     */
    mobileService.findflowjh = function(param,callBackFun,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1006203";
        paraMap["khh"]=param.khh;
        paraMap["flag"]=param.flag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFun,ctrlParam,reqParamVo);
    };
    /**
     * @author BrotherZeng
     * 功能：
     * 入参: catalog_id,page,pageSize
     * 回参:title,article_id,create_date
     *
     */
    mobileService.queryanswer = function(param,callBackFun,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1006205";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFun,ctrlParam,reqParamVo);
    };

    /********************************活动找客户号结束********************************/
    /********************************应用接口结束********************************/
    /**
     * @Author:曾颖
     * @Title 查询校验码
     */
    mobileService.queryCheckCode = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="30304006";
//		paraMap["version_no"]=param.version_no;
//		paraMap["phone_type"]=param.phone_type;
//		paraMap["source"]=param.source;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:王顺辉
     * @Title 打点登录
     */
    mobileService.doPointLogin = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="30104002";
        paraMap["userId"]=param.user_id;
        paraMap["clientType"]=param.clientType;
        paraMap["referer"]=param.referer;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * @Author:郭志斌
     * @Title 在一定的时间段点击相关的按钮弹出相关信息
     */
    mobileService.Advertisingtips = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="1006032";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * @Title 根据产品名称或主办名字查找投研产品
     */
    mobileService.findResrarch = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="1006033";
        paraMap["research_val"]=param.research_val;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * @Title 首页公告
     */
    mobileService.findNotice = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="1006034";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * @Title 图片首页公告
     */
    mobileService.noticeimg = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="1006035";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * @Title 双11活动进入专区
     */
    mobileService.updateNotice = function (param,callback,ctrlParam)
    {
        var paraMap ={};
        paraMap["funcNo"]="1006206";
        paraMap["participant"]=param.participant;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);

        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**网络视频产品开始**/
    /**
     * @Author:郭志斌
     * @Title 根据网络视频产品id查找相关信息
     */
    mobileService.findvideoById = function(param,callBackFun,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1006036";
        paraMap["article_id"] = param.article_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.cfserverPath);
        reqParamVo.setReqParam(paraMap);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap,callBackFun,ctrlParam,reqParamVo);
    };
    /**网络视频产品结束**/
    /**查询是否收藏观点**/
    mobileService.isSubView = function(queryMap, callBackFun, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006037";
        paraMap["view_id"] = queryMap.view_id;
        paraMap["user_id"] = queryMap.user_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callBackFun, ctrlParam, reqParamVo);
    };
    /**
     * 观点收藏
     */
    mobileService.addCollection = function(param, callBackFun, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006038";
        paraMap["view_id"] = param.view_id;
        paraMap["user_id"] = param.user_id;
        paraMap["col_status"] = param.col_status; // 关注类型（0：取消收藏 1：收藏）
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callBackFun, ctrlParam, reqParamVo);

    };
    /**投资者教育**/
    //首页一级栏目查询
    mobileService.getPrograma = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1003001";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
        //this.service.invoke(reqParamVo, callBackFunc, false);
    };
    //二级栏目查询
    mobileService.getProgramaTwo = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1003002";
        paraMap["parent_id"] = param.parent_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setIsShowWait(ctrlParam.isShowWait);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
        //this.service.invoke(reqParamVo, callBackFunc, false);
    };
    //获取文章标题
    mobileService.showTitle = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1003003";
        paraMap["catalog_id"] = param.catalog_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
        //this.service.invoke(reqParamVo, callBackFunc, false);
    };

    //获取文章内容
    mobileService.showContent = function (param, callback, ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1003004";
        paraMap["article_id"] = param.article_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
        //this.service.invoke(reqParamVo, callBackFunc, false);
    };

    //获取图片
    mobileService.showImgUrl = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1003005";
        paraMap["groupNo"] = param.groupNo;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
        //this.service.invoke(reqParamVo, callBackFunc, false);
    };




    /**
     * 查询资产视图
     */
    mobileService.queryAssetView = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1100003";
        paraMap["khh"] = param.khh;
        paraMap["userId"] = param.userId;
        paraMap["loginType"] = param.loginType;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        // reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
        //this.service.invoke(reqParamVo, callBackFunc, false);
    };





    /**
     * 点击赎回
     */
    mobileService.queryTrdae = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006043";
        paraMap["client_no"] = param.client_no;
        paraMap["trd_qty"] = param.trd_qty;
        paraMap["inst_code"] = param.inst_code;
        paraMap["trade_pwd"] = param.trade_pwd;
        paraMap["trd_id"] = param.trd_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
        //this.service.invoke(reqParamVo, callBackFunc, false);
    };





    /********************************云柜台开始********************************/

    /**
     * 云柜台登陆接口
     * @param param json格式入参
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
     * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
     */
    mobileService.ygt_login = function(param,callback,ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1000";
        paraMap["login_id"] = param.login_id;
        paraMap["identity_num"] = param.identity_num;
        paraMap["pwd_type"] = param.pwd_type;
        paraMap["pwd_value"] = param.pwd_value;
        paraMap["login_uid"] = param.login_uid;
        paraMap["login_type"] = param.login_type;
        paraMap["op_source"] = "3";

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.ygtServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }

    /**
     * 云柜台同步用户交易帐号
     * @param param json格式入参
     * @param callback 回调处理
     * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
     * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
     */
    mobileService.ygt_syncTradeAccount = function(param,callback,ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004";
        paraMap["user_id"] = param.user_id;
        paraMap["zj_account"] = param.zj_account;
        paraMap["client_id"] = param.client_id

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.ygtServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
    /**新otc基金开始***/

    /**
     * @Author:郭志斌
     * 功能 : 产品查询
     */
    mobileService.findOtcFund = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006039";
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;
        paraMap["product_shelf"] = param.product_shelf;
        paraMap["fina_belongs"] = param.fina_belongs;
        paraMap["istj"] = param.istj;
        paraMap["isAvictj"] = param.isAvictj;
        paraMap["fina_type"] = param.fina_type;
        paraMap["product_recommend"]=param.product_recommend;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };

    /**
     * @Author:郭志斌
     * 功能 : 翼钱罐交易流水
     */
    mobileService.queryAvicApplyno = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006040";
        paraMap["client_no"] = param.client_no;
        paraMap["end_date"] = param.end_date;
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;
        paraMap["flag"] = param.flag;
        paraMap["product_code"] = param.product_code;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : otc基金单个信息查询
     */
    mobileService.findOtcFundById = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006041";
        paraMap["product_id"] = param.product_id;
        paraMap["product_code"] = param.product_code;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
	 * @Author:郭志斌
	 * 功能 : otc基金购买
	 */
    mobileService.placeOtcFund = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006042";
        paraMap["client_no"] = param.client_no;
        paraMap["product_id"] = param.product_id;
        paraMap["trade_pwd"] = param.trade_pwd;
        paraMap["trd_amt"] = param.trd_amt;
        paraMap["product_type"] = param.product_type;
		paraMap["middleman_phone"] = param.middleman_phone;
        paraMap["agmt_sno"] = param.agmt_sno;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : otc基金涨幅查询
     */
    mobileService.queryOtcFundChart = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006044";
        paraMap["flag"] = param.flag;
        paraMap["product_id"] = param.product_id;
        paraMap["product_code"] = param.product_code;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : otc基金撤单
     */
    mobileService.queryotcFundOrder = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006045";
        paraMap["app_sno"] = param.app_sno;
        paraMap["trd_date"] = param.trd_date;
        paraMap["inst_code"] = param.inst_code;
        paraMap["client_no"] = param.client_no;
        paraMap["trade_pwd"] = param.trade_pwd;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 购买otc基金产品时风险等级插入客户相关信息
     */
    mobileService.insertCustomer= function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1100005";
        paraMap["user_id"] = param.user_id;
        paraMap["khh"] = param.khh;
        paraMap["desc"] = param.desc;
        paraMap["flag"] = param.flag;
        paraMap["productId"] = param.productId;
        paraMap["product_type"] = param.product_type;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * 查询基金净值
     */
    mobileService.FundnetWorth = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1100006";
        paraMap["flag"] = param.flag;
        paraMap["product_id"] = param.product_id;
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * 随心投产品相关信息
     */
    mobileService.findAvicBao = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006014";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };

    /**
     * @author 郭志斌
     * 功能：流量我的奖品
     * 入参: catalog_id,page,pageSize
     * 回参:title,article_id,create_date
     *
     */
    mobileService.findPrize = function(param,callBackFun,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1006207";
        paraMap["khh"]=param.khh;
        paraMap["flag"]=param.flag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFun,ctrlParam,reqParamVo);
    };
    /**
     * @author 郭志斌
     * 功能：查询活动相关信息
     * 入参: flag：活动编号
     *
     *
     */
    mobileService.findActivityTime = function(param,callBackFun,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1006208";
        paraMap["flag"]=param.flag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        commonInvoke(paraMap,callBackFun,ctrlParam,reqParamVo);
    };

    /**
     * @Author:郭志斌
     * 功能 : 中航航行宝产品查询
     */
    mobileService.findZhFundtj = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006050";
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;
        paraMap["product_shelf"] = param.product_shelf;
        paraMap["fina_belongs"] = param.fina_belongs;
        paraMap["istj"] = param.istj;
        paraMap["isAvictj"] = param.isAvictj;
        paraMap["fina_type"] = param.fina_type;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
    /**
     * @Author:郭志斌
     * 功能 : 中航航行宝货币基金查询七日年华收益率
     */
    mobileService.findzhFundjy = function (param, callback, ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1006051";
        paraMap["flag"] = param.flag;
        paraMap["product_id"] = param.product_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    };
   /**
	 * 云柜台登陆接口
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.ygt_login = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1000";
		paraMap["login_id"] = param.login_id;
		paraMap["identity_num"] = param.identity_num;
		paraMap["pwd_type"] = param.pwd_type;
		paraMap["pwd_value"] = param.pwd_value;
		paraMap["login_uid"] = param.login_uid;
		paraMap["login_type"] = param.login_type;
		paraMap["op_source"] = "3";
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.ygtServerPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
	
	/**
	 * 云柜台同步用户交易帐号
	 * @param param json格式入参
	 * @param callback 回调处理
	 * @param ctrlParam json格式控制参数，包括protocol、isLastReq、isAsync、isShowWait、
	 * 	isShowOverLay、tipsWords、timeOutFunc、dataType、isGlobal
	 */
	mobileService.ygt_syncTradeAccount = function(param,callback,ctrlParam) {
	    var paraMap = {};
		paraMap["funcNo"] = "1004";
		paraMap["user_id"] = param.user_id;
		paraMap["zj_account"] = param.zj_account;
		paraMap["client_id"] = param.client_id
		
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.ygtServerPath);
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }
     /**
     * 设置基金产品分红方式
     */
    mobileService.setDividendWay = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1004015";
        paraMap["fid_khh"] = param.fid_khh;
        paraMap["fid_tadm"] = param.fid_tadm;
        paraMap["fid_jjdm"] = param.fid_jjdm;
        paraMap["fid_jjzh"] = param.fid_jjzh;
        paraMap["fid_fhfs"] = param.fid_fhfs;
        paraMap["fid_sffs"] = param.fid_sffs;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 查询转让商品
     */
    mobileService.checkTransFer = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "30304015";
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;
        paraMap["client_no"] = param.client_no;
        paraMap["flag"] = param.flag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    mobileService.checkTransFerpruduct = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "30304012";
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;
        paraMap["client_no"] = param.client_no;
        paraMap["flag"] = param.flag;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 转让卖出
     */
    mobileService.payTransFer = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "30304013";
        paraMap["client_no"] = param.client_no;
        paraMap["inst_id"] = param.inst_id;
        paraMap["trade_pwd"] = param.trade_pwd;
        paraMap["sell_price"] = param.sell_price;
        paraMap["valid_date"] = param.valid_date;
        paraMap["sell_qty"] = param.sell_qty;
        paraMap["traBox"] = param.traBox;
        paraMap["user_id"] = param.user_id;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 固收产品可用份额
     */
    mobileService.findTraSfterky = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "30304011";
        paraMap["client_no"] = param.client_no;
        paraMap["inst_id"] = param.inst_id;
        paraMap["inst_type"] = param.inst_type;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 转让卖出撤单
     */
    mobileService.soldTraOrder = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "30304014";
        paraMap["client_no"] = param.client_no;
        paraMap["ori_app_sno"] = param.ori_app_sno;
        paraMap["ori_app_date"] = param.ori_app_date;
        paraMap["trade_pwd"] = param.trade_pwd;
        paraMap["inst_id"] = param.inst_id;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 转让买入
     */
    mobileService.transBuy = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "30304016";
        paraMap["client_no"] = param.client_no;
        paraMap["inst_id"] = param.inst_id;
        paraMap["trade_pwd"] = param.trade_pwd;
        paraMap["trd_price"] = param.trd_price;
        paraMap["trd_qty"] = param.trd_qty;
        paraMap["trd_id"] = param.trd_id;
        paraMap["cntr_no"] = param.cntr_no;
        paraMap["cntr_reg_date"] = param.cntr_reg_date;
        paraMap["agreement_id"] = param.agreement_id;
        paraMap["app_sno"] = param.app_sno;
        paraMap["app_date"] = param.app_date;
        paraMap["trans_acct"] = param.trans_acct;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 查询转让成交商品
     */
    mobileService.buyTransFer = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "30304017";
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;
        paraMap["client_no"] = param.client_no;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 查询产品额度
     */
    mobileService.productByIdQuota = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "30304019";
        paraMap["inst_id"] = param.inst_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * z还让买入撤单
     */
    mobileService.buyTraOrder = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "30304018";
        paraMap["client_no"] = param.client_no;
        paraMap["ori_app_sno"] = param.ori_app_sno;
        paraMap["ori_app_date"] = param.ori_app_date;
        paraMap["trade_pwd"] = param.trade_pwd;
        paraMap["inst_id"] = param.inst_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 插入浏览产品
     */
    mobileService.insertBrowse = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1006052";
        paraMap["user_id"] = param.user_id;
        paraMap["loginflag"] = param.loginflag;
        paraMap["phone"] = param.phone;
        paraMap["khh"] = param.khh;
        paraMap["product_id"] = param.product_id;
        paraMap["product_name"] = param.product_name;
        paraMap["product_type"] = param.product_type;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 插入收藏产品
     */
    mobileService.insertCollection = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1006053";
        paraMap["user_id"] = param.user_id;
        paraMap["loginflag"] = param.loginflag;
        paraMap["phone"] = param.phone;
        paraMap["khh"] = param.khh;
        paraMap["product_id"] = param.product_id;
        paraMap["product_name"] = param.product_name;
        paraMap["product_type"] = param.product_type;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 查询收藏和浏览产品
     */
    mobileService.findCollorBrowse = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1006054";
        paraMap["user_id"] = param.user_id;
        paraMap["loginflag"] = param.loginflag;
        paraMap["phone"] = param.phone;
        paraMap["khh"] = param.khh;
        paraMap["flag"] = param.flag;
        paraMap["type"] = param.type;
        paraMap["page"] = param.page;
        paraMap["numPerPage"] = param.numPerPage;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 查询推荐产品
     */
    mobileService.findRecommend = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1006055";
        paraMap["product_type"] = param.product_type;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     *
     */
    mobileService.productRisk_level = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1006056";
        paraMap["order_id"] = param.order_id;
        paraMap["tot_price"] = param.tot_price;
        paraMap["product_type"] = param.product_type;
        paraMap["khh"] = param.khh;
        paraMap["risk_level_khh"] = param.risk_level_khh;
        paraMap["risk_level_cp"] = param.risk_level_cp;
        paraMap["product_id"] = param.product_id;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 查询所有的营业部
     */
    mobileService.findSalesyyb = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1006057";
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 插入预约开户信息
     */
    mobileService.insertSales = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1006058";
        paraMap["khxm"] = param.khxm;
        paraMap["yyb"] = param.yyb;
        paraMap["khsj"] = param.khsj;
        paraMap["gddh"] = param.gddh;
        paraMap["mobile"] = param.mobile;
        paraMap["khjl"] = param.khjl;
        paraMap["khjltel"] = param.khjltel;
        paraMap["qtdesc"] = param.qtdesc;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 检查客户身份证情况和风险测评情况
     */
    mobileService.finduserCardRisk = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "30304021";
        paraMap["khh"] = param.khh;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 开户
     */
    mobileService.openOtc = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1001952";
        paraMap["khh"] = param.khh; //客户号
        paraMap["fxjg"] = param.fxjg; //发行机构
        paraMap["risk_level"] = param.risk_level; //风险等级

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 判断产品双录
     */
    mobileService.checkProduct = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "30304022";
        paraMap["product_code"] = param.product_code; //产品代码

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 判断用户双录
     */
    mobileService.checkUser = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "30304025";
        paraMap["khh"] = param.khh; //产品代码
        paraMap["product_code"] = param.product_code;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 随心投开户
     */
    mobileService.AvicCustomerKh = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "30304027";
        paraMap["client_no"] = param.client_no;
	paraMap["cust_name"] = param.cust_name;
        paraMap["cust_type"] = param.cust_type;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };



    /**************网厅适当性流水接口调用********************************/

    /**
     * 查询风险测评结果
     */
    mobileService.ZQaccount = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1004196";
        paraMap["user_id"] = param.user_id;
        paraMap["zj_account"] = param.zj_account;
        paraMap["op_source"] = param.op_source;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.ygtServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };



    /**
     * 查询风测协议
     */
    mobileService.gzhProtocol = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1004491";
        paraMap["agree_no"] = param.agree_no;
        paraMap["agree_type"] = param.agree_type;
        paraMap["agree_version"] = param.agree_version;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.ygtServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };


    /**
     * 协议验签以及流水
     */
    mobileService.insertSignProtocol = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1004487";
        paraMap["user_id"] = param.user_id;
        paraMap["fundaccount"] = param.fundaccount;
        paraMap["name"] = param.name;
        paraMap["type"] = param.type;
        paraMap["protocol_name"] = param.protocol_name;
        paraMap["protocol_version"] = param.protocol_version;
        paraMap["signing_status"] = param.signing_status;
        paraMap["signature_channel"] = param.signature_channel;
        paraMap["channel_type"] = param.channel_type;
        paraMap["channel_version_number"] = param.channel_version_number;
        paraMap["md5"] = param.md5;
        paraMap["protocol_content"] = param.protocol_content;
        paraMap["business_code"] = param.business_code;
        paraMap["agreement_type"] = param.agreement_type;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.ygtServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };


    /**
     * 查询风测协议内容
     */
    mobileService.getGzhProtocolInfo = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1004492";
        paraMap["user_id"] = param.user_id;
        paraMap["agree_no"] = param.agree_no;
        paraMap["risklevel"] = param.risklevel;
        paraMap["business_code"] = param.business_code;
        paraMap["agree_type"] = param.agree_type;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.ygtServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };

    /**
     * 匹配账户信息
     */
    mobileService.matchInfo = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1004493";
        paraMap["user_id"] = param.user_id;
        paraMap["business_code"] = param.business_code;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.ygtServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    
    
    /**
     * 提交风险测评答案留痕
     */
    mobileService.questionnaireFlow = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1004488";
        paraMap["user_id"] = param.user_id;
        paraMap["fundaccount"] = param.fundaccount;
        paraMap["name"] = param.name;
        paraMap["questionnaire_type"] = param.questionnaire_type;
        paraMap["questionnaire_name"] = param.questionnaire_name;
        paraMap["questionnaire_version"] = param.questionnaire_version;
        paraMap["pre_test_scores"] = param.pre_test_scores;
        paraMap["post_evaluation_score"] = param.post_evaluation_score;
        paraMap["pre_evaluation_level"] = param.pre_evaluation_level;
        paraMap["post_rating"] = param.post_rating;
        paraMap["questionnaire_title"] = param.questionnaire_title;
        paraMap["questionnaire_options"] = param.questionnaire_options;
        paraMap["questionnaire_answer"] = param.questionnaire_answer;
        paraMap["assessment_channel"] = param.assessment_channel;
        paraMap["questionnaire_expiration_date"] = param.questionnaire_expiration_date;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.ygtServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    
    
    
   
    /**************网厅适当性流水接口调用********************************/
    /**
     * 查询产品类别的风险告知函
     */
    mobileService.findProductTypeAgreement = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1006059";
        paraMap["product_type"] = param.product_type; //产品类别
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 查询年末冲刺数据
     */
    mobileService.queryNmcc = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1007010";
        paraMap["aflag"] = param.aflag; //业务类别
        paraMap["bflag"] = param.bflag; //统计类别
        paraMap["cflag"] = param.cflag; //排序类别
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 查询是否在抽奖白名单
     */
    mobileService.isKhll = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1007020";
		paraMap["activitytype"] = param.type;
        paraMap["khh"] = param.khh; 
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 调用送流量接口
     */
    mobileService.prizeSend = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1006209";
        paraMap["khh"] = param.khh;
        paraMap["phoneno"] = param.phoneno;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
    /**
     * 插入到领奖记录
     */
    mobileService.setPrize = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1007030";
        paraMap["tjrq"] = param.tjrq;
        paraMap["drawdate"] = param.drawdate;
        paraMap["khh"] = param.khh;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    };
	
	/**
	 * 查询是否在购买资格白名单
	 */
	mobileService.isKhzg = function (param,callback,ctrlParam)
	{
		var paraMap = {};
		paraMap["funcNo"] = "1007040";
		paraMap["khh"] = param.khh; 
		var reqParamVo = new service.ReqParamVo();
		reqParamVo.setUrl(global.serverPath);
		reqParamVo.setReqType("get");
		commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
	};	
    /**
     * @author 蔡恒
     * 功能：获取时报资讯标题
     */
    mobileService.SBTitle = function(param,callBackFun,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1002050";
        paraMap["page"] = param.page;
        paraMap["pageSize"] = param.pageSize;
        paraMap["categoryid"] = param.categoryid;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.cfserverPath);
        reqParamVo.setReqParam(paraMap);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap,callBackFun,ctrlParam,reqParamVo);
    };
    /**
     * @author 蔡恒
     * 功能：获取时报资讯内容
     */
    mobileService.getSBContent = function(param,callBackF,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1002051";
        paraMap["combinationid"] = param.combinationid;
        paraMap["categoryid"] = param.categoryid;
        var reqParamVo =new service.ReqParamVo();
        reqParamVo.setUrl(global.cfserverPath);
        reqParamVo.setReqParam(paraMap);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap,callBackF,ctrlParam,reqParamVo);
    };
	/**
     * 查询客户资产(加上两融资产),提佣准入
     */
    mobileService.queryAccLiaRZC = function (param,callback,ctrlParam)
    {
        var paraMap = {};
        paraMap["funcNo"] = "1100010";
        paraMap["user_id"] = param.user_id;
        paraMap["loginFlag"] = param.loginFlag;

        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo);
    }	
    /**
     * @author 蔡恒
     * 功能：获取客户历史购买信息
     */
    mobileService.findIsfb = function(param,callBackF,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1002052";
        paraMap["userid"] = param.user_id;
        paraMap["productid"] = param.product_id;
        var reqParamVo =new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap,callBackF,ctrlParam,reqParamVo);
    };
    /**
     * @author 蔡恒
     * 功能：插入客户历史购买信息
     */
    mobileService.insertIsfb = function(param,callBackF,ctrlParam){
        var paraMap = {};
        paraMap["funcNo"] = "1002053";
        paraMap["userid"] = param.user_id;
        paraMap["productid"] = param.product_id;
        paraMap["khh"] = param.khh;
        var reqParamVo =new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap,callBackF,ctrlParam,reqParamVo);
    };	
    
    /********************************新增中焯登录接口*******************************************/
    /**
     *证券账户--新增中焯登录接口
     * 我的账户-1001104
     * @param param json格式入参
     * @param user_id 用户编号
     */
    mobileService.zhongZhuoLogin = function(param,callback,ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1001104";
        paraMap["mobilephone"] = param.mobilecode;
        paraMap["user_token"] = param.user_token;
        var reqParamVo =new service.ReqParamVo();
        reqParamVo.setUrl(global.serverPath);
        reqParamVo.setReqParam(paraMap);
        reqParamVo.setReqType("get");
        commonInvoke(paraMap,callback,ctrlParam,reqParamVo);
    };
    /**
     *证券账户--新增中焯登录接口
     * 我的账户-1004494
     * @param param json格式入参
     * @param user_id 用户编号
     */
    mobileService.wtzhongZhuLogin = function(param,callback,ctrlParam) {
        var paraMap = {};
        paraMap["funcNo"] = "1004101";
        paraMap["mobilephone"] = param.mobilephone;
        paraMap["user_token"] = param.user_token;


        paraMap["op_source"] = param.op_source;
        var reqParamVo = new service.ReqParamVo();
        reqParamVo.setUrl(global.ygtServerPath);
        commonInvoke(paraMap, callback, ctrlParam, reqParamVo,false);
    }
    
    /********************************新增中焯登录接口*******************************************/
});